CREATE DATABASE  `qc` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `qc`;

/*
Navicat MySQL Data Transfer

Source Server         : 朗通mysql 236联调服务器
Source Server Version : 50725
Source Host           : 192.168.2.236:3306
Source Database       : qc

Target Server Type    : MYSQL
Target Server Version : 50725
File Encoding         : 65001

Date: 2020-04-17 13:49:32
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for bas_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `bas_dept_info`;
CREATE TABLE `bas_dept_info` (
  `dept_id` varchar(20) NOT NULL COMMENT '科室编码（HIS导入）',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `dept_name` varchar(100) NOT NULL COMMENT '科室名称',
  `dept_type` varchar(20) DEFAULT NULL COMMENT '科室类别',
  `spell` varchar(10) DEFAULT NULL COMMENT '首字母拼音',
  `station` varchar(64) DEFAULT NULL COMMENT '区域类别（门诊、工作站、住院等）',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`dept_id`,`hospital_id`),
  UNIQUE KEY `hospital_dept_unique` (`dept_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='医院科室信息';

-- ----------------------------
-- Table structure for bas_doctor_info
-- ----------------------------
DROP TABLE IF EXISTS `bas_doctor_info`;
CREATE TABLE `bas_doctor_info` (
  `doctor_id` varchar(16) NOT NULL COMMENT 'HIS导入的医生ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `dept_id` varchar(16) NOT NULL COMMENT '医院导入科室ID',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `professor` varchar(32) DEFAULT NULL COMMENT '职称',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`doctor_id`,`hospital_id`),
  UNIQUE KEY `bas_hospital_dept_unique` (`hospital_id`,`dept_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for bas_hospital_info
-- ----------------------------
DROP TABLE IF EXISTS `bas_hospital_info`;
CREATE TABLE `bas_hospital_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(32) NOT NULL COMMENT '医院名称',
  `code` varchar(16) NOT NULL COMMENT '组织机构代码',
  `spell` varchar(32) DEFAULT NULL COMMENT '医院名称拼音',
  `address` varchar(128) DEFAULT NULL COMMENT '医院地址',
  `status` int(1) NOT NULL DEFAULT '1' COMMENT '状态：0.禁用1.启用',
  `order_no` int(5) DEFAULT NULL COMMENT '排序号',
  `connect` int(1) DEFAULT '0' COMMENT '是否对接（0-不对接，1-对接）',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='医院信息表';

-- ----------------------------
-- Table structure for hz_column
-- ----------------------------
DROP TABLE IF EXISTS `hz_column`;
CREATE TABLE `hz_column` (
  `hz_mc` varchar(128) DEFAULT NULL,
  `hz_zj` varchar(128) DEFAULT NULL,
  `hz_type` int(11) DEFAULT '0' COMMENT '1-病案首页',
  UNIQUE KEY `HZ_MC_ZJ_INDEX` (`hz_mc`,`hz_zj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for kl_clinic
-- ----------------------------
DROP TABLE IF EXISTS `kl_clinic`;
CREATE TABLE `kl_clinic` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL COMMENT '术语概念id',
  `has_bodypart` bigint(20) DEFAULT NULL COMMENT '科室概念id',
  `has_label` varchar(2) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38446 DEFAULT CHARSET=utf8 COMMENT='疾病表';

-- ----------------------------
-- Table structure for kl_disease
-- ----------------------------
DROP TABLE IF EXISTS `kl_disease`;
CREATE TABLE `kl_disease` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL COMMENT '术语概念id',
  `icd10` varchar(255) DEFAULT NULL,
  `dept_id` bigint(20) DEFAULT NULL COMMENT '科室概念id',
  `classify` varchar(8) DEFAULT NULL COMMENT '疾病的分类，现在分为I、II类',
  `is_chronic` varchar(2) DEFAULT '0' COMMENT '慢病标识',
  `is_infections` varchar(2) DEFAULT '0' COMMENT '传染病标识',
  `has_label` varchar(2) DEFAULT NULL,
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=87719 DEFAULT CHARSET=utf8 COMMENT='疾病表';

-- ----------------------------
-- Table structure for kl_relevant_feature
-- ----------------------------
DROP TABLE IF EXISTS `kl_relevant_feature`;
CREATE TABLE `kl_relevant_feature` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `diagnose` varchar(100) DEFAULT NULL,
  `feature` varchar(100) DEFAULT NULL,
  `feature_type` int(2) DEFAULT NULL COMMENT '1：直接相关特征 2.程度词等非直接相关词 3.部位',
  `value_type` int(2) DEFAULT NULL COMMENT '1：字符类型(二值属性：阳性/阴性)\r\n2：数值类型',
  `find_suspect_diagnose` int(2) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `doc_rec_diagnose` (`diagnose`)
) ENGINE=InnoDB AUTO_INCREMENT=47161 DEFAULT CHARSET=utf8 COMMENT='此表保存每种诊断所需的特征字段，用于后续学习分析';

-- ----------------------------
-- Table structure for lt_column
-- ----------------------------
DROP TABLE IF EXISTS `lt_column`;
CREATE TABLE `lt_column` (
  `lt_mc` varchar(128) DEFAULT NULL,
  `lt_zj` varchar(128) DEFAULT NULL,
  `lt_type` int(11) DEFAULT '0' COMMENT '1-病案首页',
  UNIQUE KEY `LT_MC_ZJ_INDEX` (`lt_mc`,`lt_zj`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for lt_hz_columnmap
-- ----------------------------
DROP TABLE IF EXISTS `lt_hz_columnmap`;
CREATE TABLE `lt_hz_columnmap` (
  `lt_mc` varchar(128) DEFAULT NULL,
  `lt_zj` varchar(128) DEFAULT NULL,
  `hz_mc` varchar(128) DEFAULT NULL,
  `hz_zj` varchar(128) DEFAULT NULL,
  `type` int(1) DEFAULT '0' COMMENT '1-病案首页',
  UNIQUE KEY `LT_HZ_MC_ZJ_TYPE_INDEX` (`lt_mc`,`lt_zj`,`hz_mc`,`hz_zj`,`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for med_behospital_info
-- ----------------------------
DROP TABLE IF EXISTS `med_behospital_info`;
CREATE TABLE `med_behospital_info` (
  `behospital_code` varchar(16) NOT NULL COMMENT '病人住院ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `name` varchar(32) NOT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别（男，女）',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `file_code` varchar(16) DEFAULT NULL COMMENT '档案号',
  `qc_type_id` bigint(20) DEFAULT '1' COMMENT '质控类型',
  `ward_code` varchar(16) DEFAULT NULL COMMENT '病区编码',
  `ward_name` varchar(32) DEFAULT NULL COMMENT '病区名称',
  `beh_dept_id` varchar(16) NOT NULL COMMENT '住院科室ID',
  `beh_dept_name` varchar(64) NOT NULL COMMENT '住院科室名称',
  `bed_code` varchar(12) DEFAULT NULL COMMENT '床位号',
  `bed_name` varchar(12) DEFAULT NULL COMMENT '床位名称',
  `insurance_name` varchar(50) DEFAULT NULL COMMENT '医保类别',
  `job_type` varchar(30) DEFAULT NULL COMMENT '职业',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院时间',
  `leave_hospital_date` datetime DEFAULT NULL COMMENT '出院时间',
  `diagnose_icd` varchar(50) DEFAULT NULL COMMENT '疾病ICD编码',
  `diagnose` text COMMENT '疾病名称',
  `doctor_id` varchar(6) DEFAULT NULL COMMENT '医生ID',
  `doctor_name` varchar(50) DEFAULT NULL COMMENT '医生姓名',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`behospital_code`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='住院病历信息';

-- ----------------------------
-- Table structure for med_doctor_advice
-- ----------------------------
DROP TABLE IF EXISTS `med_doctor_advice`;
CREATE TABLE `med_doctor_advice` (
  `doctor_advice_id` varchar(20) NOT NULL COMMENT '病人医嘱ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院id',
  `behospital_code` varchar(20) NOT NULL COMMENT '病人ID',
  `order_doctor_name` varchar(20) DEFAULT NULL COMMENT '医生开单判别',
  `frequency` varchar(20) DEFAULT NULL COMMENT '医嘱频率判别',
  `parent_type_id` varchar(20) DEFAULT NULL COMMENT '父类医嘱ID',
  `doctor_advice_type` varchar(20) DEFAULT NULL COMMENT '医嘱类型判别(嘱托长嘱、长期医嘱等)',
  `usage_num` varchar(20) DEFAULT NULL COMMENT '一次使用数量',
  `usage_unit` varchar(30) DEFAULT NULL COMMENT '一次用量单位',
  `dose` varchar(20) DEFAULT NULL COMMENT '医嘱单次剂量',
  `dose_unit` varchar(30) DEFAULT NULL COMMENT '单次剂量单位',
  `med_mode_type` varchar(20) DEFAULT NULL COMMENT '给药方式',
  `da_frequency` varchar(10) DEFAULT NULL COMMENT '医嘱频率',
  `da_deal_type` varchar(20) DEFAULT NULL COMMENT '医嘱处理类型',
  `da_start_date` datetime DEFAULT NULL COMMENT '医嘱开始时间',
  `da_item_name` varchar(200) DEFAULT NULL COMMENT '医嘱项目名称',
  `da_status` varchar(20) DEFAULT NULL COMMENT '医嘱状态判别',
  `da_stop_date` datetime DEFAULT NULL COMMENT '医嘱结束时间',
  `da_group_no` varchar(20) DEFAULT NULL COMMENT '医嘱同组序号',
  `da_prescription_type` varchar(20) DEFAULT NULL COMMENT '医嘱处方类型(检验、描述医嘱、膳食、西药、护理等)',
  `da_med_type` varchar(20) DEFAULT NULL COMMENT '医嘱领药类型',
  `doctor_notice` varchar(100) DEFAULT NULL COMMENT '医生嘱托',
  `doctor_id` varchar(20) DEFAULT NULL COMMENT '开单医生ID',
  `doctor_name` varchar(60) DEFAULT NULL COMMENT '开单医生姓名',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  UNIQUE KEY `advice_behospital_code_unique` (`doctor_advice_id`,`behospital_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='病人医嘱';

-- ----------------------------
-- Table structure for med_home_diagnose_info
-- ----------------------------
DROP TABLE IF EXISTS `med_home_diagnose_info`;
CREATE TABLE `med_home_diagnose_info` (
  `home_page_id` varchar(20) NOT NULL COMMENT '病案首页ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `diagnose_order_no` varchar(20) NOT NULL COMMENT '诊断序号',
  `diagnose_type` varchar(20) DEFAULT NULL COMMENT '诊断类别',
  `diagnose_type_short` varchar(20) DEFAULT NULL COMMENT '诊断判别',
  `diagnose_name` varchar(200) DEFAULT NULL COMMENT '诊断名称',
  `behospital_type` varchar(20) DEFAULT NULL COMMENT '入院情况',
  `leave_hospital_type` varchar(20) DEFAULT NULL COMMENT '出院情况',
  `pathology_diagnose` varchar(20) DEFAULT NULL COMMENT '病理号',
  `icd_code` varchar(20) DEFAULT NULL COMMENT '诊断编码',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for med_home_operation_info
-- ----------------------------
DROP TABLE IF EXISTS `med_home_operation_info`;
CREATE TABLE `med_home_operation_info` (
  `home_page_id` varchar(20) NOT NULL COMMENT '病案首页ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `operation_order_no` varchar(20) NOT NULL COMMENT '手术序号',
  `operation_date` datetime(6) DEFAULT NULL COMMENT '手术日期',
  `operation_code` varchar(20) DEFAULT NULL COMMENT '手术编码',
  `operation_doctor_id` varchar(20) DEFAULT NULL COMMENT '手术医生',
  `first_assistant_id` varchar(20) DEFAULT NULL COMMENT '一助医生',
  `second_assistant_id` varchar(20) DEFAULT NULL COMMENT '二助医生',
  `cut_level` varchar(20) DEFAULT NULL COMMENT '切口等级',
  `healing_level` varchar(20) DEFAULT NULL COMMENT '愈合等级',
  `operation_name` varchar(200) DEFAULT NULL COMMENT '手术名称',
  `operation_level` varchar(20) DEFAULT NULL COMMENT '手术级别',
  `anaesthesia_name` varchar(100) DEFAULT NULL COMMENT '麻醉方式',
  `sham_operation_name` varchar(200) DEFAULT NULL COMMENT '拟手术名称',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for med_home_page
-- ----------------------------
DROP TABLE IF EXISTS `med_home_page`;
CREATE TABLE `med_home_page` (
  `home_page_id` varchar(20) NOT NULL COMMENT '病案首页编号',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(20) NOT NULL COMMENT '病人住院序号',
  `hospital_code` varchar(20) DEFAULT NULL COMMENT '组织机构id',
  `hospital_name` varchar(20) DEFAULT NULL COMMENT '医疗机构名称',
  `org_code` varchar(20) DEFAULT NULL COMMENT '医疗机构代码',
  `pay_type` varchar(20) DEFAULT NULL COMMENT '医疗付费方式',
  `health_card` varchar(20) DEFAULT NULL COMMENT '健康卡号',
  `behospital_num` varchar(10) DEFAULT NULL COMMENT '住院次数',
  `file_code` varchar(20) DEFAULT NULL COMMENT '病案号',
  `name` varchar(40) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(10) DEFAULT NULL COMMENT '性别',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `age` varchar(10) DEFAULT NULL COMMENT '年龄',
  `age_unit` varchar(20) DEFAULT NULL COMMENT '年龄单位',
  `nationality` varchar(20) DEFAULT NULL COMMENT '国籍',
  `newborn_month` varchar(10) DEFAULT NULL COMMENT '新生儿出生月数',
  `newborn_day` varchar(10) DEFAULT NULL COMMENT '新生儿出生天数',
  `newborn_weight` varchar(10) DEFAULT NULL COMMENT '新生儿出生体重',
  `newborn_behospital_weight` varchar(10) DEFAULT NULL COMMENT '新生儿入院体重',
  `born_address` varchar(100) DEFAULT NULL COMMENT '出生地',
  `born_place` varchar(100) DEFAULT NULL COMMENT '籍贯',
  `nation` varchar(10) DEFAULT NULL COMMENT '民族',
  `identity_card_no` varchar(20) DEFAULT NULL COMMENT '身份证号',
  `job_type` varchar(20) DEFAULT NULL COMMENT '职业',
  `marriage` varchar(20) DEFAULT NULL COMMENT '婚姻',
  `cur_address` varchar(100) DEFAULT NULL COMMENT '现住址',
  `cur_phone` varchar(20) DEFAULT NULL COMMENT '现住址电话',
  `cur_post_code` varchar(6) DEFAULT NULL COMMENT '现住址邮编',
  `residence_address` varchar(100) DEFAULT NULL COMMENT '户口地址',
  `residence_post_code` varchar(6) DEFAULT NULL COMMENT '户口地址邮编',
  `work_address` varchar(60) DEFAULT NULL COMMENT '工作单位',
  `work_phone` varchar(20) DEFAULT NULL COMMENT '工作单位电话',
  `work_post_code` varchar(6) DEFAULT NULL COMMENT '工作单位邮编',
  `contact_name` varchar(20) DEFAULT NULL COMMENT '联系人姓名',
  `contact_relation` varchar(60) DEFAULT NULL COMMENT '联系人关系',
  `contact_address` varchar(100) DEFAULT NULL COMMENT '联系人地址',
  `contact_phone` varchar(20) DEFAULT NULL COMMENT '联系人电话',
  `behospital_way` varchar(20) DEFAULT NULL COMMENT '入院途径',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院时间',
  `behospital_dept` varchar(20) DEFAULT NULL COMMENT '入院科别',
  `behospital_ward` varchar(20) DEFAULT NULL COMMENT '入院病房',
  `behospital_bed_id` varchar(20) DEFAULT NULL COMMENT '入院床位序号',
  `behospital_bed_code` varchar(20) DEFAULT NULL COMMENT '入院床位号码',
  `change_dept` varchar(50) DEFAULT NULL COMMENT '转科科别',
  `leave_hospital_date` datetime DEFAULT NULL COMMENT '出院时间',
  `leave_hospital_dept` varchar(20) DEFAULT NULL COMMENT '出院科别',
  `leave_hospital_ward` varchar(20) DEFAULT NULL COMMENT '出院病房',
  `leave_hospital_bed_id` varchar(20) DEFAULT NULL COMMENT '出院床位序号',
  `leave_hospital_bed_code` varchar(20) DEFAULT NULL COMMENT '出院床位号码',
  `behospital_day_num` varchar(10) DEFAULT NULL COMMENT '实际住院天数',
  `outpatient_emr_diagnose` varchar(100) DEFAULT NULL COMMENT '门急诊诊断',
  `outpatient_emr_diagnose_code` varchar(20) DEFAULT NULL COMMENT '门急诊诊断编码',
  `poison_factor` varchar(100) DEFAULT NULL COMMENT '损伤中毒因素',
  `poison_factor_code` varchar(50) DEFAULT NULL COMMENT '损伤中毒因素编码',
  `pathology_diagnose` varchar(100) DEFAULT NULL COMMENT '病理诊断',
  `pathology_diagnose_code` varchar(50) DEFAULT NULL COMMENT '病理诊断编码',
  `pathology_diagnose_id` varchar(50) DEFAULT NULL COMMENT '病理诊断编号',
  `is_med_allergy` varchar(10) DEFAULT NULL COMMENT '药物过敏',
  `med_allergy_name` varchar(20) DEFAULT NULL COMMENT '过敏药物',
  `autopsy` varchar(10) DEFAULT NULL COMMENT '死亡患者尸检',
  `blood_type` varchar(20) DEFAULT NULL COMMENT '血型',
  `rh` varchar(20) DEFAULT NULL COMMENT 'Rh',
  `dept_director` varchar(20) DEFAULT NULL COMMENT '科主任',
  `director_doctor` varchar(20) DEFAULT NULL COMMENT '主任医师',
  `attending_doctor` varchar(20) DEFAULT NULL COMMENT '主治医师',
  `behospital_doctor` varchar(20) DEFAULT NULL COMMENT '住院医师',
  `response_nurse` varchar(20) DEFAULT NULL COMMENT '责任护士',
  `study_doctor` varchar(20) DEFAULT NULL COMMENT '进修医师',
  `practice_doctor` varchar(20) DEFAULT NULL COMMENT '实习医师',
  `encode_man` varchar(20) DEFAULT NULL COMMENT '编码员',
  `home_page_quality` varchar(20) DEFAULT NULL COMMENT '病案质量',
  `qc_doctor` varchar(20) DEFAULT NULL COMMENT '质控医师',
  `qc_nurse` varchar(20) DEFAULT NULL COMMENT '质控护士',
  `qc_date` datetime DEFAULT NULL COMMENT '质控日期',
  `leave_hospital_type` varchar(10) DEFAULT NULL COMMENT '离院方式',
  `accept_org_code` varchar(100) DEFAULT NULL COMMENT '接收机构名称',
  `again_behospital_plan` varchar(10) DEFAULT NULL COMMENT '31天内再住院计划',
  `again_behospital_goal` varchar(100) DEFAULT NULL COMMENT '再住院目的',
  `tbi_before_day` varchar(10) DEFAULT NULL COMMENT '颅脑损伤患者昏迷前天数',
  `tbi_before_hour` varchar(10) DEFAULT NULL COMMENT '颅脑损伤患者昏迷前小时',
  `tbi_before_minute` varchar(10) DEFAULT NULL COMMENT '颅脑损伤患者昏迷前分钟',
  `tbi_after_day` varchar(10) DEFAULT NULL COMMENT '颅脑损伤患者昏迷后天数',
  `tbi_after_hour` varchar(10) DEFAULT NULL COMMENT '颅脑损伤患者昏迷后小时',
  `tbi_after_minute` varchar(10) DEFAULT NULL COMMENT '颅脑损伤患者昏迷后分钟',
  `total_fee` varchar(20) DEFAULT NULL COMMENT '总费用',
  `own_fee` varchar(20) DEFAULT NULL COMMENT '自付金额',
  `general_fee` varchar(20) DEFAULT NULL COMMENT '一般医疗服务费',
  `service_fee` varchar(20) DEFAULT NULL COMMENT '一般治疗服务费',
  `nurse_fee` varchar(20) DEFAULT NULL COMMENT '护理费',
  `other_fee` varchar(20) DEFAULT NULL COMMENT '其他费用',
  `pathology_fee` varchar(20) DEFAULT NULL COMMENT '病理诊断费',
  `lab_fee` varchar(20) DEFAULT NULL COMMENT '实验室诊断费',
  `pacs_fee` varchar(20) DEFAULT NULL COMMENT '影像学诊断费',
  `clinic_diagnose_fee` varchar(20) DEFAULT NULL COMMENT '临床诊断项目费',
  `not_operation_fee` varchar(20) DEFAULT NULL COMMENT '非手术治疗项目费',
  `clinic_physic_fee` varchar(20) DEFAULT NULL COMMENT '临床物理治疗费',
  `operation_treat_fee` varchar(20) DEFAULT NULL COMMENT '手术治疗费',
  `anaesthesia_fee` varchar(20) DEFAULT NULL COMMENT '麻醉费',
  `operation_fee` varchar(20) DEFAULT NULL COMMENT '手术费',
  `health_type_fee` varchar(20) DEFAULT NULL COMMENT '康复类',
  `chn_treat_fee` varchar(20) DEFAULT NULL COMMENT '中医治疗费',
  `western_med_fee` varchar(20) DEFAULT NULL COMMENT '西药费',
  `antibiosis_fee` varchar(20) DEFAULT NULL COMMENT '抗菌药物费用',
  `chn_med_fee` varchar(20) DEFAULT NULL COMMENT '中成药费',
  `chn_herb_fee` varchar(20) DEFAULT NULL COMMENT '中草药费',
  `blood_fee` varchar(20) DEFAULT NULL COMMENT '血费',
  `albumen_fee` varchar(20) DEFAULT NULL COMMENT '白蛋白类制品费',
  `globulin_fee` varchar(20) DEFAULT NULL COMMENT '球蛋白类制品费',
  `blood_factor_fee` varchar(20) DEFAULT NULL COMMENT '凝血因子类制品费',
  `cell_factor_fee` varchar(20) DEFAULT NULL COMMENT '细胞因子类制品费',
  `check_material_fee` varchar(20) DEFAULT NULL COMMENT '检查用一次性医用材料费',
  `treat_material_fee` varchar(20) DEFAULT NULL COMMENT '治疗用一次性医用材料费',
  `operation_material_fee` varchar(20) DEFAULT NULL COMMENT '手术用一次性医用材料费',
  `other_type_fee` varchar(20) DEFAULT NULL COMMENT '其他类其他费',
  `single_diag_manage` varchar(10) DEFAULT NULL COMMENT '单病种管理',
  `clinic_pathway_manage` varchar(10) DEFAULT NULL COMMENT '临床路径管理',
  `is_outpatient_behospital` varchar(10) DEFAULT NULL COMMENT '门诊与住院',
  `is_leave_behospital` varchar(10) DEFAULT NULL COMMENT '入院与出院',
  `is_operation_before_after` varchar(10) DEFAULT NULL COMMENT '术前与术后',
  `is_clinic_pathology` varchar(10) DEFAULT NULL COMMENT '临床与病理',
  `is_radiate_pathology` varchar(10) DEFAULT NULL COMMENT '放射与病理',
  `rescue_num` varchar(10) DEFAULT NULL COMMENT '病人抢救次数',
  `rescue_success_num` varchar(10) DEFAULT NULL COMMENT '病人抢救成功次数',
  `is_auto_leavehospital` varchar(10) DEFAULT NULL COMMENT '是否为自动出院',
  `return_to_type` varchar(10) DEFAULT NULL COMMENT '转归情况',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`home_page_id`,`hospital_id`),
  KEY `behospital_code` (`behospital_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for med_medical_record
-- ----------------------------
DROP TABLE IF EXISTS `med_medical_record`;
CREATE TABLE `med_medical_record` (
  `rec_id` varchar(20) NOT NULL,
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病人住院ID',
  `org_code` varchar(20) DEFAULT NULL COMMENT '组织机构代码',
  `rec_type_id` varchar(100) DEFAULT NULL COMMENT '病历类别编号',
  `mode_id` bigint(20) DEFAULT 0 COMMENT '模块id',
  `rec_date` varchar(50) DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(128) DEFAULT NULL COMMENT '病历标题',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for med_medical_record_content
-- ----------------------------
DROP TABLE IF EXISTS `med_medical_record_content`;
CREATE TABLE `med_medical_record_content` (
  `rec_id` varchar(11) NOT NULL COMMENT '病历ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `content_blob` longblob COMMENT '文书内容（blob）',
  `content_text` longtext COMMENT '病历文本（文本）',
  `html_text` longtext COMMENT 'html文本信息',
  `xml_text` longtext COMMENT 'xml文本信息',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for med_qcresult_detail
-- ----------------------------
DROP TABLE IF EXISTS `med_qcresult_detail`;
CREATE TABLE `med_qcresult_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(255) NOT NULL DEFAULT '' COMMENT '病人住院ID',
  `cases_id` bigint(20) DEFAULT NULL COMMENT '模块id',
  `cases_score` decimal(5,1) DEFAULT NULL COMMENT '模块总分',
  `cases_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '条目ID',
  `score` decimal(5,1) DEFAULT NULL COMMENT '人工修改分值',
  `msg` varchar(255) DEFAULT NULL COMMENT '提示信息',
  `is_reject` int(3) DEFAULT '0' COMMENT '单项否决（1-单项否决 0-非）',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `behospital_code` (`behospital_code`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='质控评分明细信息\r\n每次评分增加一条信息，前面所有评分is_deleted全部设置为Y';

-- ----------------------------
-- Table structure for med_qcresult_info
-- ----------------------------
DROP TABLE IF EXISTS `med_qcresult_info`;
CREATE TABLE `med_qcresult_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` bigint(20) DEFAULT '0' COMMENT '医院ID',
  `behospital_code` varchar(255) NOT NULL DEFAULT '' COMMENT '病人住院ID',
  `level` varchar(20) NOT NULL DEFAULT '' COMMENT '等级',
  `page_data` longtext COMMENT '页面数据',
  `menu_data` longtext COMMENT '菜单数据',
  `grade_type` tinyint(4) DEFAULT '1' COMMENT '评分类型(1：机器，2：人工)',
  `score_res` decimal(5,1) NOT NULL DEFAULT '0.0' COMMENT '最后得分',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `behospital_code` (`behospital_code`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='质控评分主表信息\r\n每次评分增加一条信息，前面所有评分is_deleted全部设置为Y';

-- ----------------------------
-- Table structure for med_record_type
-- ----------------------------
DROP TABLE IF EXISTS `med_record_type`;
CREATE TABLE `med_record_type` (
  `type_id` varchar(16) NOT NULL COMMENT '类别ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `type_name` varchar(128) DEFAULT NULL COMMENT '类别名称',
  `parent_type_id` varchar(16) DEFAULT NULL COMMENT '上级类别',
  `obj_name` varchar(4) DEFAULT NULL COMMENT '服务对象(全院、科室、个人)',
  `spell` varchar(32) DEFAULT NULL COMMENT '拼音',
  `remark` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`type_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qc_cases
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases`;
CREATE TABLE `qc_cases` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '模块名称',
  `prefix` varchar(255) DEFAULT NULL COMMENT '模块编码前缀',
  `order_no` int(6) DEFAULT NULL COMMENT '顺序号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=285 DEFAULT CHARSET=utf8 COMMENT='模块数据标准';

-- ----------------------------
-- Table structure for qc_cases_entry
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_entry`;
CREATE TABLE `qc_cases_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `cases_id` bigint(20) DEFAULT NULL COMMENT '病历id',
  `cases_name` varchar(255) DEFAULT NULL,
  `mode_id` bigint(20) DEFAULT NULL COMMENT '数据模块ID-对应qc_mode.id',
  `code` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '条目',
  `precond` varchar(255) DEFAULT NULL,
  `order_no` int(6) DEFAULT NULL COMMENT '顺序号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2774 DEFAULT CHARSET=utf8 COMMENT='病历条目';

-- ----------------------------
-- Table structure for qc_cases_entry_hospital
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_entry_hospital`;
CREATE TABLE `qc_cases_entry_hospital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `cases_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '条目ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `score` decimal(5,1) NOT NULL DEFAULT '0.0' COMMENT '扣分值',
  `msg` varchar(1024) DEFAULT NULL COMMENT '条目提示信息',
  `is_used` int(3) NOT NULL DEFAULT '0' COMMENT '0-未启用 1-启用',
  `is_reject` int(3) DEFAULT '0' COMMENT '单项否决（1-单项否决 0-非）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6944 DEFAULT CHARSET=utf8 COMMENT='病历条目';

-- ----------------------------
-- Table structure for qc_cases_hospital
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_hospital`;
CREATE TABLE `qc_cases_hospital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `cases_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '模块ID',
  `score` decimal(5,1) NOT NULL DEFAULT '0.0' COMMENT '模块总分',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8 COMMENT='医院模块数据';

-- ----------------------------
-- Table structure for qc_mode
-- ----------------------------
DROP TABLE IF EXISTS `qc_mode`;
CREATE TABLE `qc_mode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(128) DEFAULT NULL COMMENT '模块名称',
  `order_no` int(11) DEFAULT '1' COMMENT '排序号',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级模块',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8 COMMENT='病历';

-- ----------------------------
-- Table structure for qc_model_hospital
-- ----------------------------
DROP TABLE IF EXISTS `qc_model_hospital`;
CREATE TABLE `qc_model_hospital` (
  `hospital_model_name` varchar(255) DEFAULT NULL,
  `stand_model_name` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hospital_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=957 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for qc_model_mapping
-- ----------------------------
DROP TABLE IF EXISTS `qc_model_mapping`;
CREATE TABLE `qc_model_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `case_number_id` bigint(20) DEFAULT NULL COMMENT '病历号',
  `case_number` varchar(255) DEFAULT NULL,
  `mode_id` bigint(20) DEFAULT NULL COMMENT '数据类型id',
  `origin_mode` varchar(255) DEFAULT NULL,
  `text` longtext COMMENT '内容',
  `origin_text` longtext,
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=257952 DEFAULT CHARSET=utf8 COMMENT='病历内容';

-- ----------------------------
-- Table structure for qc_type
-- ----------------------------
DROP TABLE IF EXISTS `qc_type`;
CREATE TABLE `qc_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '质控类型名称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='质控类型标准';

-- ----------------------------
-- Table structure for qc_type_cases_entry
-- ----------------------------
DROP TABLE IF EXISTS `qc_type_cases_entry`;
CREATE TABLE `qc_type_cases_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `type_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '质控类型ID',
  `case_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '条目数据ID',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=649 DEFAULT CHARSET=utf8 COMMENT='质控类型和质控条目关联表';

-- ----------------------------
-- Table structure for qc_type_doc
-- ----------------------------
DROP TABLE IF EXISTS `qc_type_doc`;
CREATE TABLE `qc_type_doc` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `type_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '质控类型ID(qc_type.id)',
  `hospital_type_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院文书类型的类型id（med_record_type.type_id）',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院文书类型的医院ID（med_record_type.hospital_id）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='质控类型和医院文书类型关联表';

-- ----------------------------
-- Table structure for sys_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_dictionary_info`;
CREATE TABLE `sys_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=224 DEFAULT CHARSET=utf8 COMMENT='系统字典表';

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单名称',
  `parent_id` bigint(20) NOT NULL DEFAULT '-1' COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `code` varchar(255) NOT NULL DEFAULT '' COMMENT '编码，与前端对应',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序，从小到大',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='系统菜单';

-- ----------------------------
-- Table structure for sys_menu_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_permission`;
CREATE TABLE `sys_menu_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `menu_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '菜单id',
  `permission_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '系统资源id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单和系统资源的映射表';

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资源ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '资源名称',
  `permissionUrl` varchar(255) NOT NULL DEFAULT '' COMMENT '资源Url',
  `method` varchar(255) NOT NULL DEFAULT 'ALL' COMMENT '资源允许的请求方式',
  `descritpion` varchar(255) NOT NULL DEFAULT '' COMMENT '资源描述',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8 COMMENT='系统资源表';

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '角色名称',
  `roleLevel` int(11) NOT NULL DEFAULT '0' COMMENT '角色等级',
  `descritpion` varchar(255) NOT NULL DEFAULT '' COMMENT '角色描述',
  `menuItems` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单ID：对应角色ID(暂无用处)',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='系统角色表';

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '角色id',
  `menu_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '菜单id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='角色和菜单的映射表';

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '角色id',
  `permission_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '资源id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='角色和资源的映射表';

-- ----------------------------
-- Table structure for sys_task_cron
-- ----------------------------
DROP TABLE IF EXISTS `sys_task_cron`;
CREATE TABLE `sys_task_cron` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `cron_code` varchar(30) NOT NULL DEFAULT '' COMMENT '任务编号',
  `cron` varchar(30) NOT NULL DEFAULT '' COMMENT '任务执行周期',
  `is_used` int(3) NOT NULL DEFAULT '0' COMMENT '0-未启用 1-启用',
  `remark` varchar(100) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='定时任务';

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `username` varchar(255) NOT NULL DEFAULT '' COMMENT '用户名',
  `password` varchar(255) NOT NULL DEFAULT '' COMMENT '用户密码',
  `linkman` varchar(255) NOT NULL DEFAULT '' COMMENT '联系人',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '1内部用户，0外部用户（默认0）',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `uk_username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COMMENT='系统用户表';

-- ----------------------------
-- Table structure for sys_user_hospital
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_hospital`;
CREATE TABLE `sys_user_hospital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户主键',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8 COMMENT='用户-机构表映射表';

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户和角色关联ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '系统用户表.用户ID',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '系统角色表.角色ID',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8 COMMENT='系统用户角色关联表';


-- ----------------------------
-- Table structure for qc_cases_entry_pagedata
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_entry_pagedata`;
CREATE TABLE `qc_cases_entry_pagedata` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `cases_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '条目ID',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `page_key` varchar(255) NOT NULL DEFAULT '' COMMENT '页面数据对应的key',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='质控条目对应页面数据映射表';