use `qc`;

drop table if exists med_lis_result;
CREATE TABLE `med_lis_result` (
  `rept_no` int(11) NOT NULL COMMENT '报告单号',
  `hospital_id` int(11) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(255) DEFAULT NULL COMMENT '住院病人ID',
  `item_code` varchar(255) DEFAULT NULL COMMENT '报告代码',
  `item_name` varchar(255) DEFAULT NULL COMMENT '报告名称',
  `result` varchar(255) DEFAULT NULL COMMENT '检验结果',
  `reference_min` varchar(255) DEFAULT NULL COMMENT '最小参考值',
  `reference_max` varchar(255) DEFAULT NULL COMMENT '最大参考值',
  `unit` varchar(255) DEFAULT NULL COMMENT '单位',
  `abnormal` varchar(255) DEFAULT NULL COMMENT '异常标志',
  `color` varchar(255) DEFAULT NULL COMMENT '异常颜色',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`rept_no`,`hospital_id`),
  KEY `behospital_code` (`behospital_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

drop table if exists med_pacs_result;
CREATE TABLE `med_pacs_result` (
  `rept_no` varchar(50) NOT NULL COMMENT '报告单号',
  `hospital_id` int(11) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '住院病人ID',
  `rept_name` varchar(255) DEFAULT NULL COMMENT '报告名称',
  `part` varchar(255) DEFAULT NULL COMMENT '检查部位',
  `clinic_sight` varchar(255) DEFAULT NULL COMMENT '检查所见',
  `rept_diag` varchar(255) DEFAULT NULL COMMENT '检查结果诊断',
  `remark` varchar(1024) DEFAULT NULL COMMENT '观察记录',
  `clinic_diag` varchar(255) DEFAULT NULL COMMENT '临床诊断',
  `apply_doctor` varchar(50) DEFAULT NULL COMMENT '申请医生',
  `checker_doctor` varchar(50) DEFAULT NULL COMMENT '审核医生',
  `report_doctor` varchar(50) DEFAULT NULL COMMENT '报告医生',
  `dept_name` varchar(50) DEFAULT NULL COMMENT '科室名称',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`rept_no`,`hospital_id`),
  KEY `behospital_code` (`behospital_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'hospitalId', '医院ID', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'behospitalCode', '病人住院ID', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'recType', '记录类型', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisId', '危急值ID', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisName', '危急值名称', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'deptId', '开单科室ID', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'deptName', '开单科室名称', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'doctorId', '开单医生ID', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'doctorName', '开单医生姓名', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisValue', '危急结果值', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisDesc', '危急值描述', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisStatus', '危急值状态', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisTopValue', '参考上限', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'crisisLowerValue', '参考下限', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'sendDate', '送检时间', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', 'repDate', '报告时间', '2', '0', '危急值');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'reptNo', '报告单号', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'itemCode', '报告代码', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'itemName', '报告名称', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'result', '检验结果', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'referenceMin', '最小参考值', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'referenceMax', '最大参考值', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'unit', '单位', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'abnormal', '异常标志', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', 'color', '异常颜色', '2', '0', '化验');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'reptNo', '报告单号', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'reptName', '报告名称', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'part', '检查部位', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'clinicSight', '检查所见', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'reptDiag', '检查结果诊断', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'remark', '观察记录', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'clinicDiag', '临床诊断', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'applyDoctor', '申请医生', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'checkerDoctor', '审核医生', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'reportDoctor', '报告医生', '2', '0', '辅检');
INSERT INTO `qc`.`sys_dictionary_info` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', 'deptName', '科室名称', '2', '0', '辅检');
