use `qc`;
DROP TABLE IF EXISTS `med_abnormal_info`;
CREATE TABLE `med_abnormal_info`  (
  `abnormal_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `module_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `rec_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模块名称',
  `param_in` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '入参',
  `param_out` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '出参',
  `ramark` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '异常描述',
  `is_deleted` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`abnormal_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 106 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;


alter table str_consultation_note alter column is_deleted set default 'N';
update  str_consultation_note set is_deleted = 'N';
alter table str_consultation_apply alter column is_deleted set default 'N';
update  str_consultation_apply set is_deleted = 'N';
alter table str_consultation_result alter column is_deleted set default 'N';
update  str_consultation_result set is_deleted = 'N';
alter table str_admission_note alter column is_deleted set default 'N';
update  str_admission_note set is_deleted = 'N';
alter table str_leave_hospital alter column is_deleted set default 'N';
update  str_leave_hospital set is_deleted = 'N';
alter table str_crisis_note alter column is_deleted set default 'N';
update  str_crisis_note set is_deleted = 'N';
alter table str_operative_note alter column is_deleted set default 'N';
update  str_operative_note set is_deleted = 'N';
alter table str_rescue_note alter column is_deleted set default 'N';
update  str_rescue_note set is_deleted = 'N';
alter table str_preoperative_discussion alter column is_deleted set default 'N';
update  str_preoperative_discussion set is_deleted = 'N';
alter table str_operative_first_record alter column is_deleted set default 'N';
update  str_operative_first_record set is_deleted = 'N';
alter table str_ward_record alter column is_deleted set default 'N';
update  str_ward_record set is_deleted = 'N';
alter table str_death_discussion alter column is_deleted set default 'N';
update  str_death_discussion set is_deleted = 'N';
alter table str_death_note alter column is_deleted set default 'N';
update  str_death_note set is_deleted = 'N';
alter table str_difficult_case alter column is_deleted set default 'N';
update  str_difficult_case set is_deleted = 'N';
alter table str_ill_critically alter column is_deleted set default 'N';
update str_ill_critically set is_deleted = 'N';
alter table str_ill_seriousl alter column is_deleted set default 'N';
update  str_ill_seriousl set is_deleted = 'N';
alter table str_transfer_in_note alter column is_deleted set default 'N';
update  str_transfer_in_note set is_deleted = 'N';
alter table str_transfer_out_note alter column is_deleted set default 'N';
update  str_transfer_out_note set is_deleted = 'N';
alter table str_blood_result alter column is_deleted set default 'N';
update  str_blood_result set is_deleted = 'N';
alter table str_blood_transfusion alter column is_deleted set default 'N';
update  str_blood_transfusion set is_deleted = 'N';
alter table str_period_conclusion alter column is_deleted set default 'N';
update  str_period_conclusion set is_deleted = 'N';
alter table str_first_record alter column is_deleted set default 'N';
update  str_first_record set is_deleted = 'N';



rename table med_consultation_note to str_consultation_note;
rename table med_consultation_apply to str_consultation_apply;
rename table med_consultation_result to str_consultation_result;
rename table med_admission_note to str_admission_note;
rename table med_leave_hospital to str_leave_hospital;
rename table med_crisis_note to str_crisis_note;
rename table med_operative_note to str_operative_note;
rename table med_rescue_note to str_rescue_note;
rename table med_preoperative_discussion to str_preoperative_discussion;
rename table med_operative_first_record to str_operative_first_record;
rename table med_ward_record to str_ward_record;
rename table med_death_discussion to str_death_discussion;
rename table med_death_note to str_death_note;
rename table med_difficult_case to str_difficult_case;
rename table med_ill_critically to str_ill_critically;
rename table med_ill_seriousl to str_ill_seriousl;
rename table med_transfer_in_note to str_transfer_in_note;
rename table med_transfer_out_note to str_transfer_out_note;
rename table med_blood_result to str_blood_result;
rename table med_blood_transfusion to str_blood_transfusion;
rename table med_period_conclusion to str_period_conclusion;
rename table med_first_record to str_first_record;
rename table med_consultation_record to str_consultation_record;




SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

DROP TABLE IF EXISTS `str_admission_note`;
CREATE TABLE `str_admission_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `birthday` datetime DEFAULT NULL COMMENT '出生日期',
  `marriage` varchar(16) DEFAULT NULL COMMENT '婚姻状况',
  `job_type` varchar(32) DEFAULT NULL COMMENT '职业',
  `nation` varchar(32) DEFAULT NULL COMMENT '民族',
  `phone` varchar(32) DEFAULT NULL COMMENT '联系电话',
  `workplace` varchar(256) DEFAULT NULL COMMENT '工作单位',
  `register_address` varchar(256) DEFAULT NULL COMMENT '户口地址',
  `born_address` varchar(256) DEFAULT NULL COMMENT '出生地',
  `expect_date` varchar(32) DEFAULT NULL COMMENT '预产期',
  `last_menstrual` varchar(32) DEFAULT NULL COMMENT '末次月经',
  `pregnant_num` varchar(32) DEFAULT NULL COMMENT '孕/产次',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `history_teller` varchar(64) DEFAULT NULL COMMENT '病史陈述者',
  `chief` varchar(256) DEFAULT NULL COMMENT '主诉',
  `present` text COMMENT '现病史',
  `past_history` text COMMENT '既往史',
  `personal_history` text COMMENT '个人史',
  `marital_history` text COMMENT '婚育史',
  `menstrual_history` text COMMENT '月经史',
  `family_history` text COMMENT '家族史',
  `feeding_history` text COMMENT '喂养史',
  `operation_history` text COMMENT '手术外伤史',
  `blood_history` text COMMENT '输血史',
  `infection_history` text COMMENT '传染病史',
  `special_vital` text COMMENT '专科检查',
  `assistant_exam` text COMMENT '辅助检查',
  `lis_exam` text COMMENT '实验室检查',
  `pacs_exam` text COMMENT '影像学检查',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '初步诊断',
  `supply_diagnosis` varchar(512) DEFAULT NULL COMMENT '补充诊断',
  `revised_diagnosis` varchar(512) DEFAULT NULL COMMENT '修正诊断',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `temperature` varchar(64) DEFAULT NULL COMMENT '体温',
  `pulse` varchar(64) DEFAULT NULL COMMENT '脉搏',
  `breathe` varchar(64) DEFAULT NULL COMMENT '呼吸',
  `blood_pressure` varchar(64) DEFAULT NULL COMMENT '血压',
  `pain` varchar(512) DEFAULT NULL COMMENT '疼痛',
  `weight` varchar(64) DEFAULT NULL COMMENT '体重',
  `height` varchar(64) DEFAULT NULL COMMENT '身高',
  `bmi` varchar(64) DEFAULT NULL COMMENT 'BMI',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='入院记录';

-- ----------------------------
-- Table structure for str_blood_result
-- ----------------------------
DROP TABLE IF EXISTS `str_blood_result`;
CREATE TABLE `str_blood_result` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `transfusion_evaluate` text COMMENT '效果评价',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='输血效果评价';

-- ----------------------------
-- Table structure for str_blood_transfusion
-- ----------------------------
DROP TABLE IF EXISTS `str_blood_transfusion`;
CREATE TABLE `str_blood_transfusion` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `transfusion_reason` varchar(256) DEFAULT NULL COMMENT '输血原因',
  `transfusion_type` varchar(256) DEFAULT NULL COMMENT '输注种类、血型、数量',
  `transfusion_process` text COMMENT '输注过程',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='输血记录';

-- ----------------------------
-- Table structure for str_consultation_apply
-- ----------------------------
DROP TABLE IF EXISTS `str_consultation_apply`;
CREATE TABLE `str_consultation_apply` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `apply_dept` varchar(32) DEFAULT NULL COMMENT '申请科室',
  `apply_doctor` varchar(32) DEFAULT NULL COMMENT '申请医生',
  `apply_date` datetime DEFAULT NULL COMMENT '申请日期',
  `invite_type` varchar(32) DEFAULT NULL COMMENT '会诊类别',
  `invite_dept` varchar(32) DEFAULT NULL COMMENT '会诊科室',
  `invite_doctor` varchar(32) DEFAULT NULL COMMENT '会诊医生',
  `brief_note` text COMMENT '简要病情',
  `diagnosis` varchar(512) DEFAULT NULL COMMENT '当前诊断',
  `treatment_situation` text COMMENT '诊疗情况',
  `consultation_date` datetime DEFAULT NULL COMMENT '会诊时间',
  `consultation_purpose` varchar(1024) DEFAULT NULL COMMENT '会诊目的',
  `consultation_opinions` text COMMENT '会诊意见',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='会诊申请单';

-- ----------------------------
-- Table structure for str_consultation_note
-- ----------------------------
DROP TABLE IF EXISTS `str_consultation_note`;
CREATE TABLE `str_consultation_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `apply_dept` varchar(32) DEFAULT NULL COMMENT '申请科室',
  `apply_doctor` varchar(32) DEFAULT NULL COMMENT '申请医生',
  `apply_date` datetime DEFAULT NULL COMMENT '申请日期',
  `invite_type` varchar(32) DEFAULT NULL COMMENT '会诊类别',
  `invite_dept` varchar(32) DEFAULT NULL COMMENT '会诊科室',
  `invite_doctor` varchar(32) DEFAULT NULL COMMENT '会诊医生',
  `brief_note` text COMMENT '简要病情',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '当前诊断',
  `treatment_situation` text COMMENT '诊疗情况',
  `consultation_date` datetime DEFAULT NULL COMMENT '会诊时间',
  `consultation_purpose` varchar(1024) DEFAULT NULL COMMENT '会诊目的',
  `consultation_opinions` text COMMENT '会诊意见',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='会诊单（申请和结果）';

-- ----------------------------
-- Table structure for str_consultation_record
-- ----------------------------
DROP TABLE IF EXISTS `str_consultation_record`;
CREATE TABLE `str_consultation_record` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `apply_dept` varchar(32) DEFAULT NULL COMMENT '申请科室',
  `apply_doctor` varchar(32) DEFAULT NULL COMMENT '申请医生',
  `apply_date` datetime DEFAULT NULL COMMENT '申请日期',
  `invite_type` varchar(32) DEFAULT NULL COMMENT '会诊类别',
  `invite_dept` varchar(32) DEFAULT NULL COMMENT '会诊科室',
  `invite_doctor` varchar(32) DEFAULT NULL COMMENT '会诊医生',
  `brief_note` text COMMENT '简要病情',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '当前诊断',
  `treatment_situation` text COMMENT '诊疗情况',
  `consultation_date` datetime DEFAULT NULL COMMENT '会诊时间',
  `consultation_purpose` varchar(1024) DEFAULT NULL COMMENT '会诊目的',
  `consultation_opinions` text COMMENT '会诊意见',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='会诊记录';

-- ----------------------------
-- Table structure for str_consultation_result
-- ----------------------------
DROP TABLE IF EXISTS `str_consultation_result`;
CREATE TABLE `str_consultation_result` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `apply_dept` varchar(32) DEFAULT NULL COMMENT '申请科室',
  `apply_doctor` varchar(32) DEFAULT NULL COMMENT '申请医生',
  `apply_date` datetime DEFAULT NULL COMMENT '申请日期',
  `invite_type` varchar(32) DEFAULT NULL COMMENT '会诊类别',
  `invite_dept` varchar(32) DEFAULT NULL COMMENT '会诊科室',
  `invite_doctor` varchar(32) DEFAULT NULL COMMENT '会诊医生',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '当前诊断',
  `consultation_purpose` varchar(1024) DEFAULT NULL COMMENT '会诊目的',
  `consultation_opinions` text COMMENT '会诊意见',
  `consultation_arrive_date` datetime DEFAULT NULL COMMENT '会诊到达时间',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='会诊结果单';

-- ----------------------------
-- Table structure for str_crisis_note
-- ----------------------------
DROP TABLE IF EXISTS `str_crisis_note`;
CREATE TABLE `str_crisis_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `crisis_note` text COMMENT '危急值报告',
  `brief_note` text COMMENT '病情分析及处理',
  `recieve_date` datetime DEFAULT NULL COMMENT '接收时间',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='危急值记录';

-- ----------------------------
-- Table structure for str_death_discussion
-- ----------------------------
DROP TABLE IF EXISTS `str_death_discussion`;
CREATE TABLE `str_death_discussion` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '入院诊断',
  `death_diagnosis` varchar(512) DEFAULT NULL COMMENT '死亡诊断',
  `death_reason` text COMMENT '死亡原因',
  `death_date` datetime DEFAULT NULL COMMENT '死亡时间',
  `discuss_date` datetime DEFAULT NULL COMMENT '讨论时间',
  `discuss_place` varchar(256) DEFAULT NULL COMMENT '讨论地点',
  `anchor` varchar(256) DEFAULT NULL COMMENT '主持人',
  `participant` varchar(512) DEFAULT NULL COMMENT '参加人员',
  `brief_history` varchar(1024) DEFAULT NULL COMMENT '病史简介',
  `discussion_content` text COMMENT '讨论内容',
  `anchor_conclusion` text COMMENT '主持人小结',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='死亡病例讨论记录';

-- ----------------------------
-- Table structure for str_death_note
-- ----------------------------
DROP TABLE IF EXISTS `str_death_note`;
CREATE TABLE `str_death_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `death_date` datetime DEFAULT NULL COMMENT '死亡日期',
  `behospital_situation` text COMMENT '入院情况',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '入院诊断',
  `treatment_process` text COMMENT '诊疗经过',
  `death_reason` text COMMENT '死亡原因',
  `death_diagnosis` varchar(512) DEFAULT NULL COMMENT '死亡诊断',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='死亡记录';

-- ----------------------------
-- Table structure for str_difficult_case
-- ----------------------------
DROP TABLE IF EXISTS `str_difficult_case`;
CREATE TABLE `str_difficult_case` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `discuss_date` datetime DEFAULT NULL COMMENT '讨论日期',
  `discuss_place` varchar(256) DEFAULT NULL COMMENT '讨论地点',
  `anchor_man` varchar(512) DEFAULT NULL COMMENT '主持人姓名及专业技术职务',
  `participant` varchar(2560) DEFAULT NULL COMMENT '参加人员的姓名及专业技术职务',
  `brief_history` varchar(1024) DEFAULT NULL COMMENT '病史简介',
  `discuss_aim` varchar(1024) DEFAULT NULL COMMENT '讨论目的',
  `discussion_opinions` text COMMENT '具体讨论意见',
  `anchor_conclusion` text COMMENT '主持人小结',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='疑难病例讨论记录';

-- ----------------------------
-- Table structure for str_first_record
-- ----------------------------
DROP TABLE IF EXISTS `str_first_record`;
CREATE TABLE `str_first_record` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `chief` varchar(256) DEFAULT NULL COMMENT '主诉',
  `present` text COMMENT '现病史',
  `past_history` text COMMENT '既往史',
  `vital` text COMMENT '查体',
  `assistant_exam` text COMMENT '辅检',
  `case_character` text COMMENT '病例特点',
  `tentative_diagnosis` varchar(1024) DEFAULT NULL COMMENT '初步诊断',
  `supply_diagnosis` text COMMENT '诊断依据',
  `revised_diagnosis` varchar(1024) DEFAULT NULL COMMENT '鉴别诊断',
  `treat_plan` text COMMENT '诊疗计划(方案)',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='首次病程录';

-- ----------------------------
-- Table structure for str_ill_critically
-- ----------------------------
DROP TABLE IF EXISTS `str_ill_critically`;
CREATE TABLE `str_ill_critically` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '当前诊断',
  `critical_situation` text COMMENT '病情危重情况',
  `patient_sign` varchar(256) DEFAULT NULL COMMENT '患者签名',
  `patient_sign_date` datetime DEFAULT NULL COMMENT '患者签名时间',
  `doctor_sign` varchar(256) DEFAULT NULL COMMENT '医生签名',
  `doctor_sign_date` datetime DEFAULT NULL COMMENT '医生签名时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='病危通知单';

-- ----------------------------
-- Table structure for str_ill_seriousl
-- ----------------------------
DROP TABLE IF EXISTS `str_ill_seriousl`;
CREATE TABLE `str_ill_seriousl` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '当前诊断',
  `critical_situation` text COMMENT '病情危重情况',
  `patient_sign` varchar(256) DEFAULT NULL COMMENT '患者签名',
  `patient_sign_date` datetime DEFAULT NULL COMMENT '患者签名时间',
  `doctor_sign` varchar(256) DEFAULT NULL COMMENT '医生签名',
  `doctor_sign_date` datetime DEFAULT NULL COMMENT '医生签名时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='病重通知单';

-- ----------------------------
-- Table structure for str_leave_hospital
-- ----------------------------
DROP TABLE IF EXISTS `str_leave_hospital`;
CREATE TABLE `str_leave_hospital` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(255) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `behospital_date` datetime DEFAULT NULL COMMENT '入院日期',
  `leave_hospital_date` datetime DEFAULT NULL COMMENT '出院日期',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '入院诊断',
  `leave_diagnosis` varchar(512) DEFAULT NULL COMMENT '出院诊断',
  `behospital_day_num` varchar(8) DEFAULT NULL COMMENT '住院天数',
  `behospital_reason` text COMMENT '入院原因',
  `behospital_situation` text COMMENT '入院情况',
  `treatment_process` text COMMENT '诊治经过',
  `leave_hospital_situation` text COMMENT '出院情况',
  `leave_hospital_doctoradvice` text COMMENT '出院医嘱',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='出院小结';

-- ----------------------------
-- Table structure for str_operative_first_record
-- ----------------------------
DROP TABLE IF EXISTS `str_operative_first_record`;
CREATE TABLE `str_operative_first_record` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `operation_date` datetime DEFAULT NULL COMMENT '手术日期',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `narcosis_type` varchar(32) DEFAULT NULL COMMENT '麻醉方式',
  `narcosis_doctor` varchar(256) DEFAULT NULL COMMENT '麻醉医师',
  `preoperation_diagnosis` varchar(512) DEFAULT NULL COMMENT '术前诊断',
  `postoperative_diagnosis` varchar(512) DEFAULT NULL COMMENT '术（中）后诊断',
  `operation_man` varchar(512) DEFAULT NULL COMMENT '手术人员',
  `operation_name` varchar(256) DEFAULT NULL COMMENT '手术名称方式',
  `operation_process` text COMMENT '手术简要经过',
  `postoperative_situation` text COMMENT '患者术后情况',
  `postoperative_treatment` text COMMENT '术后处理措施',
  `postoperative_notice` text COMMENT '术后注意事项',
  `postoperative_complication` text COMMENT '术后可能出现的并发症及预防措施',
  `operation_specimen` varchar(512) DEFAULT NULL COMMENT '手术切除标本',
  `operation_bleed` varchar(256) DEFAULT NULL COMMENT '术中出血量',
  `operation_blood_transfusion` varchar(256) DEFAULT NULL COMMENT '术中输血量',
  `operation_complication` varchar(512) DEFAULT NULL COMMENT '术中并发症',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='术后首程';

-- ----------------------------
-- Table structure for str_operative_note
-- ----------------------------
DROP TABLE IF EXISTS `str_operative_note`;
CREATE TABLE `str_operative_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `operation_date` datetime DEFAULT NULL COMMENT '手术日期',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `preoperation_diagnosis` varchar(512) DEFAULT NULL COMMENT '术前诊断',
  `operation_name` varchar(2048) DEFAULT NULL COMMENT '手术名称',
  `postoperative_diagnosis` varchar(512) DEFAULT NULL COMMENT '术（中）后诊断',
  `operation_surgeon` varchar(32) DEFAULT NULL COMMENT '主刀医师',
  `first_helping` varchar(32) DEFAULT NULL COMMENT '一助',
  `second_helping` varchar(32) DEFAULT NULL COMMENT '二助',
  `narcosis_doctor` varchar(32) DEFAULT NULL COMMENT '麻醉医师',
  `narcosis_type` varchar(32) DEFAULT NULL COMMENT '麻醉方式',
  `cut_type` varchar(32) DEFAULT NULL COMMENT '切口类别',
  `pathological_diagnosis` varchar(512) DEFAULT NULL COMMENT '病理诊断',
  `is_implants` varchar(32) DEFAULT NULL COMMENT '是否术中植入物',
  `implants_name` varchar(256) DEFAULT NULL COMMENT '植入物名称',
  `blood_loss` varchar(32) DEFAULT NULL COMMENT '出血',
  `intraoperative_view` text COMMENT '术中所见',
  `postoperative_notice` text COMMENT '术后注意事项',
  `operation_process` text COMMENT '手术经过及处理',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='手术记录';

-- ----------------------------
-- Table structure for str_period_conclusion
-- ----------------------------
DROP TABLE IF EXISTS `str_period_conclusion`;
CREATE TABLE `str_period_conclusion` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `participant` varchar(256) DEFAULT NULL COMMENT '参加人员',
  `chief` varchar(256) DEFAULT NULL COMMENT '主诉',
  `behospital_situation` text COMMENT '入院情况',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '入院诊断',
  `treatment_process` text COMMENT '诊治经过',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '目前诊断',
  `present_situation` text COMMENT '目前情况',
  `treat_plan` text COMMENT '诊疗计划',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='阶段小结';

-- ----------------------------
-- Table structure for str_preoperative_discussion
-- ----------------------------
DROP TABLE IF EXISTS `str_preoperative_discussion`;
CREATE TABLE `str_preoperative_discussion` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `discuss_time` datetime DEFAULT NULL COMMENT '讨论时间',
  `discuss_type` varchar(64) DEFAULT NULL COMMENT '讨论方式',
  `participant` varchar(512) DEFAULT NULL COMMENT '参加人员',
  `brief_note` text COMMENT '简要病情',
  `preoperation_diagnosis` varchar(512) DEFAULT NULL COMMENT '术前诊断',
  `operation_indication` varchar(512) DEFAULT NULL COMMENT '手术指征与禁忌',
  `replace_plan` text COMMENT '可替代的方案',
  `operation_name` varchar(512) DEFAULT NULL COMMENT '拟施手术方式、名称及可能的变更与禁忌症',
  `anesthesia_type` varchar(256) DEFAULT NULL COMMENT '拟施麻醉方式',
  `preoperation_prepare` varchar(512) DEFAULT NULL COMMENT '术前准备',
  `intraoperative_risk` text COMMENT '主要术中、术后风险及防范措施',
  `intraoperative_notice` text COMMENT '术中注意事项',
  `postoperative_notice` text COMMENT '术后注意事项',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='术前讨论小结';

-- ----------------------------
-- Table structure for str_rescue_note
-- ----------------------------
DROP TABLE IF EXISTS `str_rescue_note`;
CREATE TABLE `str_rescue_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `brief_note` text COMMENT '简要病情',
  `resuscitation` text COMMENT '抢救措施',
  `rescue_man` varchar(256) DEFAULT NULL COMMENT '参加抢救的医务人员姓名及专业技术职称',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='抢救记录';

-- ----------------------------
-- Table structure for str_transfer_in_note
-- ----------------------------
DROP TABLE IF EXISTS `str_transfer_in_note`;
CREATE TABLE `str_transfer_in_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(1024) DEFAULT NULL COMMENT '标题',
  `transfer_in_date` datetime DEFAULT NULL COMMENT '转入日期',
  `transfer_out_dept` varchar(256) DEFAULT NULL COMMENT '转出科室',
  `transfer_in_dept` varchar(256) DEFAULT NULL COMMENT '转入科室',
  `chief` varchar(256) DEFAULT NULL COMMENT '主诉',
  `behospital_situation` text COMMENT '入院情况',
  `current_situation` text COMMENT '目前病情',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '入院诊断',
  `treatment_process` text COMMENT '诊疗经过',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '目前诊断',
  `treat_plan` text COMMENT '转入诊疗计划',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='转入记录';

-- ----------------------------
-- Table structure for str_transfer_out_note
-- ----------------------------
DROP TABLE IF EXISTS `str_transfer_out_note`;
CREATE TABLE `str_transfer_out_note` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `rec_title` varchar(512) DEFAULT NULL COMMENT '标题',
  `transfer_in_date` datetime DEFAULT NULL COMMENT '转入日期',
  `transfer_out_dept` varchar(256) DEFAULT NULL COMMENT '转出科室',
  `transfer_in_dept` varchar(256) DEFAULT NULL COMMENT '转入科室',
  `chief` varchar(256) DEFAULT NULL COMMENT '主诉',
  `behospital_situation` text COMMENT '入院情况',
  `current_situation` text COMMENT '目前病情',
  `tentative_diagnosis` varchar(512) DEFAULT NULL COMMENT '入院诊断',
  `treatment_process` text COMMENT '诊疗经过',
  `current_diagnosis` varchar(512) DEFAULT NULL COMMENT '目前诊断',
  `treat_plan` text COMMENT '转入诊疗计划',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='转出记录';

-- ----------------------------
-- Table structure for str_ward_record
-- ----------------------------
DROP TABLE IF EXISTS `str_ward_record`;
CREATE TABLE `str_ward_record` (
  `rec_id` varchar(32) NOT NULL COMMENT '记录编号',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `age` varchar(32) DEFAULT NULL COMMENT '年龄',
  `bed_no` varchar(32) DEFAULT NULL COMMENT '床号',
  `dept_name` varchar(32) DEFAULT NULL COMMENT '科别',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `record_date` datetime DEFAULT NULL COMMENT '病历日期',
  `ward_date` datetime DEFAULT NULL COMMENT '查房日期',
  `ward_doctor` varchar(32) DEFAULT NULL COMMENT '查房医生',
  `ward_title` varchar(256) DEFAULT NULL COMMENT '标题',
  `ward_content` text COMMENT '病情记录',
  `ward_s` text COMMENT 'S',
  `ward_o` text COMMENT 'O',
  `ward_a` text COMMENT 'A',
  `ward_p` text COMMENT 'P',
  `rec_doctor` varchar(32) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `audit_doctor` varchar(32) DEFAULT NULL COMMENT '审核医生',
  `audit_date` datetime DEFAULT NULL COMMENT '审核时间',
  `whole_data` longtext COMMENT '结构化数据',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`rec_id`,`hospital_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='查房记录';

SET FOREIGN_KEY_CHECKS = 1;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

DROP TABLE IF EXISTS `med_transfer_record`;
CREATE TABLE `med_transfer_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` int(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) NOT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` int(5) DEFAULT NULL COMMENT '年龄',
  `dept_name` varchar(255) DEFAULT NULL COMMENT '科别',
  `transfer_out_date` datetime DEFAULT NULL COMMENT '转出日期',
  `transfer_in_date` datetime DEFAULT NULL COMMENT '转入日期',
  `transfer_out_dept` varchar(255) DEFAULT NULL COMMENT '转出科室',
  `transfer_in_dept` varchar(255) DEFAULT NULL COMMENT '转入科室',
  `rec_doctor` varchar(255) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='转入转出记录（标记时间）';

SET FOREIGN_KEY_CHECKS = 1;







