use `qc`;
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

DROP TABLE IF EXISTS `med_transfer_record`;
CREATE TABLE `med_transfer_record` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` int(20) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(50) NOT NULL COMMENT '病历号',
  `name` varchar(32) DEFAULT NULL COMMENT '姓名',
  `sex` varchar(2) DEFAULT NULL COMMENT '性别',
  `age` int(5) DEFAULT NULL COMMENT '年龄',
  `dept_name` varchar(255) DEFAULT NULL COMMENT '科别',
  `transfer_out_date` datetime DEFAULT NULL COMMENT '转出日期',
  `transfer_in_date` datetime DEFAULT NULL COMMENT '转入日期',
  `transfer_out_dept` varchar(255) DEFAULT NULL COMMENT '转出科室',
  `transfer_in_dept` varchar(255) DEFAULT NULL COMMENT '转入科室',
  `rec_doctor` varchar(255) DEFAULT NULL COMMENT '记录医生',
  `rec_date` datetime DEFAULT NULL COMMENT '记录时间',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `is_deleted` varchar(3) DEFAULT 'N' COMMENT '是否删除',
  `gmt_create` datetime DEFAULT NULL COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT NULL COMMENT '记录修改时间',
  `creator` varchar(60) DEFAULT NULL COMMENT '创建人',
  `modifier` varchar(60) DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='转入转出记录（标记时间）';

SET FOREIGN_KEY_CHECKS = 1;


-- 索引脚本
ALTER TABLE `med_home_page` ADD INDEX index_home_page_id ( `home_page_id` );
ALTER TABLE `med_home_page` ADD INDEX index_hospital_id ( `hospital_id` );
ALTER TABLE `med_home_page` ADD INDEX index_behospital_code ( `behospital_code` );
ALTER TABLE `med_home_operation_info` ADD INDEX index_home_page_id ( `home_page_id` );
