use `qc`;
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

DROP TABLE IF EXISTS `med_nurse`;
CREATE TABLE `med_nurse` (
  `rep_no` varchar(255) NOT NULL COMMENT '单号',
  `hospital_id` int(11) NOT NULL COMMENT '医院ID',
  `behospital_code` varchar(255) DEFAULT NULL COMMENT '住院病人ID',
  `measure_time` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '测量时间',
  `item_name` varchar(255) DEFAULT NULL COMMENT '生命体征名称',
  `item_value` varchar(255) DEFAULT NULL COMMENT '生命体征数值',
  `item_unit` varchar(255) DEFAULT NULL COMMENT '生命体征单位',
  `item_type` varchar(255) DEFAULT NULL COMMENT '生命体征类型',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  KEY `behospital_code` (`behospital_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

SET FOREIGN_KEY_CHECKS = 1;

INSERT INTO `qc_mode`( `name`, `order_no`, `parent_id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `remark`) VALUES ( '护理信息', 259, 37, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', NULL);
