package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/03 15:00
 */
@Getter
@Setter
public class CheckInfoDTO {

    /**
     * 检查类型判别
     */
    private String checkItemType;

    /**
     * 检查项目名称
     */
    private String checkItemName;

    /**
     * 检查结果
     */
    private String checkResult;

    /**
     * 检查时间
     */
    private Date checkTime;

    /**
     * 报告时间
     */
    private Date reptTime;

    /**
     * 入院时间
     */
    @JsonIgnore
    private Date behospitalDate;

    /**
     * 出院时间
     */
    @JsonIgnore
    private Date leaveHospitalDate;

    /**
     * 开单医生
     */
    private String doctorName;

    /**
     * 质检提示信息
     */
    @JsonIgnore
    private String info;
}
