package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/5 14:26
 */
@Getter
@Setter
public class DeptEntryNumDTO {
    /**
     * 条目缺陷id
     */

    private Long id;
    /**
     * 条目缺陷名称
     */
    @Excel(name = "缺陷名称", width = 40, orderNum = "2")
    private String name;
    /**
     * 模块id
     */
    private Long casesId;
    /**
     * 模块名称
     */
    @Excel(name = "模块名称", width = 20, orderNum = "1")
    private String casesName;
    /**
     * 科室id
     */
    private String deptId;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 条目缺陷总数
     */
    private Integer totleNum = 0;
    /**
     * 条目缺陷数
     */
    @Excel(name = "数量", orderNum = "5")
    private Integer num = 0;
    /**
     * 条目缺陷占比
     */

    private Double percent = 0.00d;
    /**
     * 条目缺陷占比（百分比）
     */
    @Excel(name = "缺陷占比", orderNum = "6")
    private String percentStr = "0.00%";
    /**
     * 条目缺陷分值
     */
    @Excel(name = "分值", orderNum = "3")
    private Double score = 0d;
    /**
     * 单项否决标识
     */
    @Excel(name = "单项否决", orderNum = "4", replace = { "否_0", "是_1" })
    private Integer isReject;
    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;
}
