package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/18 20:17
 */
@Getter
@Setter
public class EntryStasByDeptDTO {
    /**
     * 科室id（科室编码）
     */
    private String deptId;
    /**
     * 主治医生
     */
    @Excel(name = "主管医生", width = 30, orderNum = "1")
    private String doctorName;
    /**
     * 未在24小时内完成会诊数
     */
    @Excel(name = "未在24小时内完成会诊数", width = 15, orderNum = "2")
    private Integer consultationNum = 0;
    /**
     * 未在24小时内完成会诊条目id
     */
    private Long consultationEntryId = 2511L;
    /**
     * 未在24小时内完成会诊条目名称
     */
    private String consultationEntryName = "普通会诊未在24小时内完成";
    /**
     * 未在24小时内完成会诊率
     */
    private Double consultationPercent = 0.00d;
    /**
     * 未在24小时内完成会诊率（百分比）
     */
    @Excel(name = "未在24小时内完成会诊率", width = 15, orderNum = "3")
    private String consultationPercentStr = "0.00%";
    /**
     * 会诊病历数
     */
    private Integer consultationMRNum = 0;
    /**
     * 手术记录名称不匹配条目id
     */
    private Long operationNameEntryId = 2594L;
    /**
     * 手术记录名称不匹配条目名称
     */
    private String operationNameEntryName = "首页手术名称与手术记录不一致";
    /**
     * 手术记录名称不匹配数
     */
    @Excel(name = "手术记录名称不匹配数", width = 15, orderNum = "4")
    private Integer operationNameNum = 0;
    /**
     * 手术记录名称不匹配率
     */
    private Double operationNamePercent = 0.00d;
    /**
     * 手术记录名称不匹配率（百分比）
     */
    @Excel(name = "手术记录名称不匹配率", width = 15, orderNum = "5")
    private String operationNamePercentStr = "0.00%";
    /**
     * 术后首程未在15分钟内完成条目id
     */
    private Long operation15MinuteEntryId = 2930L;
    /**
     * 术后首程未在15分钟内完成条目名称
     */
    private String operation15MinuteEntryName = "术后首次病程未即刻完成";
    /**
     * 术后首程未在15分钟内完成数
     */
    @Excel(name = "术后首程未在15分钟内完成数", width = 15, orderNum = "6")
    private Integer operation15MinuteNum = 0;
    /**
     * 术后首程未在15分钟内完成率
     */
    private Double operation15MinutePercent = 0.00d;
    /**
     * 术后首程未在15分钟内完成率（百分比）
     */
    @Excel(name = "术后首程未在15分钟内完成率", width = 15, orderNum = "7")
    private String operation15MinutePercentStr = "0.00%";
    /**
     * 病案首页手术时间不匹配条目id
     */
    private Long operationTimeEntryId = 2973L;
    /**
     * 病案首页手术时间不匹配条目名称
     */
    private String operationTimeEntryName = "手术日期与手术记录中手术日期不一致";
    /**
     * 病案首页手术时间不匹配数
     */
    @Excel(name = "病案首页手术时间不匹配数", width = 15, orderNum = "8")
    private Integer operationTimeNum = 0;
    /**
     * 病案首页手术时间不匹配率
     */
    private Double operationTimePercent = 0.00;
    /**
     * 病案首页手术时间不匹配率（百分比）
     */
    @Excel(name = "病案首页手术时间不匹配率", width = 15, orderNum = "9")
    private String operationTimePercentStr = "0.00%";
    /**
     * 手术记录病历数
     */
    private Integer operationMRNum = 0;
    /**
     * 未在6小时内书写危急值条目id
     */
    private Long crisisEntryId = 2419L;
    /**
     * 未在6小时内书写危急值条目名称
     */
    private String crisisEntryName = "危急值记录未在接到危急值报告后6小时内完成";
    /**
     * 未在6小时内书写危急值记录数
     */
    @Excel(name = "未在6小时内书写危急值记录数", width = 15, orderNum = "10")
    private Integer crisisNum = 0;
    /**
     * 未在6小时内书写危急值记录率
     */
    private Double crisisPercent = 0.00d;
    /**
     * 未在6小时内书写危急值记录率（百分比）
     */
    @Excel(name = "未在6小时内书写危急值记录率", width = 15, orderNum = "11")
    private String crisisPercentStr = "0.00%";
    /**
     * 危急值记录病历数
     */
    private Integer crisisMRNum = 0;
    /**
     * 住院超过31日病人数
     */
    @Excel(name = "住院超过31日病人数", width = 15, orderNum = "12")
    private Integer beHosGT31DaysMRNum;
    /**
     * 阶段小节未书写条目id
     */
    private Long stageSummaryEntryId = 2495L;
    /**
     * 阶段小节未书写条目名称
     */
    private String stageSummaryEntryName = "无阶段小结";
    /**
     * 阶段小节未书写数
     */
    @Excel(name = "阶段小节未书写数", width = 15, orderNum = "13")
    private Integer stageSummaryNum = 0;
    /**
     * 阶段小节未书写率
     */
    private Double stageSummaryPercent = 0.00d;
    /**
     * 阶段小节未书写率（百分比）
     */
    @Excel(name = "阶段小节未书写率", width = 15, orderNum = "14")
    private String stageSummaryPercentStr = "0.00%";
    /**
     * 病人住院超过30天的病历数
     */
    private Integer stageSummaryMRNum = 0;
}
