package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:各科室缺陷占比返回结构
 * @Author:zhaops
 * @time: 2020/5/19 16:04
 */
@Getter
@Setter
public class LevelStsByDeptDTO {
    /**
     * 科室id（科室编码）
     */
//    @Excel(name = "科室编码", orderNum = "0")
    private String deptId;
    /**
     * 科室名称
     */

    private String deptName;
    /**
     * 主管医生id
     */
    private String doctorId;
    /**
     * 主管医生名称
     */
    @Excel(name = "主管医生", width = 30, orderNum = "2")
    private String doctorName;
    /**
     * 缺陷条目数
     */
    private Integer entryNum = 0;

    /**
     * 缺陷条目数-带升降标示
     */
    @Excel(name = "缺陷总数", orderNum = "3")
    private String entryStrNum = "0";

    /**
     * 同比总数
     */
    private Integer sameNum = 0;

    /**
     * 同比总数-带升降标示
     */
    @Excel(name = "同比总数", orderNum = "4")
    private String sameStrNum = "0";

    /**
     * 缺陷条目数现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer entrySameNum = 0;

    /**
     * 质控病历数
     */
    private Integer mrNum = 0;

    /**
     * 质控病历数-带升降标示
     */
    @Excel(name = "质控病历数", orderNum = "7")
    private String mrStrNum = "0";

    /**
     * 同比病历数
     */
    private Integer sameMrNum= 0;

    /**
     * 同比病历数-带升降标示
     */
    @Excel(name = "同比质控数", orderNum = "8")
    private String sameMrStrNum = "0";

    /**
     * 质控病历数现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer mrSameNum = 0;

    /**
     * 质控评分（总分）
     */
    private Double totleValue = 0d;

    /**
     * 同比质控评分（总分）
     */
    private Double sameTotleValue= 0d;


    /**
     * 质控评分（平均分）
     */
    private Double averageValue = 0d;

    /**
     * 质控评分（平均分）-带升降标示
     */
    @Excel(name = "质控平均分", orderNum = "5")
    private String averageStrValue = "0";

    /**
     * 同比评分（平均分）
     */
    private Double sameAvgValue = 0d;

    /**
     * 同比评分（平均分）-带升降标示
     */
    @Excel(name = "同比平均分", orderNum = "6")
    private String sameAvgStrValue = "0";

    /**
     * 质控评分现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer avSameValue = 0;

    /**
     * 甲级病历数/病案首页合格病历数
     */
    private Integer firstLevelNum = 0;

    /**
     * 甲级病历数/病案首页合格病历数-带升降标示
     */
    @Excel(name = "甲级病历数", orderNum = "9")
    private String firstLevelStrNum = "0";

    /**
     * 同比甲级病历数/病案首页合格病历数
     */
    private Integer sameFirstLevelNum = 0;

    /**
     * 同比甲级病历数/病案首页合格病历数-带升降标示
     */
    @Excel(name = "同比甲级数", orderNum = "10")
    private String sameFirstLevelStrNum = "0";

    /**
     * 甲级病历数现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer firSameLevelNum = 0;

    /**
     * 乙级病历数/病案首页不合格病历数
     */
    private Integer secondLevelNum = 0;

    /**
     * 乙级病历数/病案首页不合格病历数-带升降标示
     */
    @Excel(name = "乙级病历数", orderNum = "11")
    private String secondLevelStrNum = "0";

    /**
     * 同比乙级病历数/病案首页不合格病历数
     */
    private Integer sameSecondLevelNum = 0;

    /**
     * 同比乙级病历数/病案首页不合格病历数-带升降标示
     */
    @Excel(name = "同比乙级数", orderNum = "12")
    private String sameSecondLevelStrNum = "0";


    /**
     * 乙级病历数现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer secSameLevelNum = 0;

    /**
     * 丙级病历数
     */
    private Integer thirdLevelNum = 0;

    /**
     * 丙级病历数-带升降标示
     */
    @Excel(name = "丙级病历数", orderNum = "13")
    private String thirdLevelStrNum = "0";

    /**
     * 同比丙级病历数
     */
    private Integer sameThirdLevelNum = 0;

    /**
     * 同比丙级病历数-带升降标示
     */
    @Excel(name = "同比丙级数", orderNum = "14")
    private String sameThirdLevelStrNum = "0";

    /**
     * 丙级病历数现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer thiSameLevelNum = 0;

    /**
     * 甲级病历占比/病案首页合格病历占比
     */
    private Double firstLevelPercent = 0d;

    /**
     * 同比甲级病历占比/病案首页合格病历占比
     */
    private Double sameFirstLevelPercent = 0d;

    /**
     * 甲级病历占比现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer firSameLevelPercent = 0;

    /**
     * 乙级病历占比/病案首页不合格病历占比
     */
    private Double secondLevelPercent= 0d;

    /**
     * 同比乙级病历占比/病案首页不合格病历占比
     */
    private Double sameSecondLevelPercent = 0d;

    /**
     * 乙级病历占比现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer secSameLevelPercent = 0;

    /**
     * 丙级病历占比
     */
    private Double thirdLevelPercent= 0d;

    /**
     * 同比丙级病历占比
     */
    private Double sameThirdLevelPercent = 0d;

    /**
     * 丙级病历占比现有数据与同期数据对比(-1-降 0-持平 1-升)
     */
    private Integer thiSameLevelPercent = 0;

    /**
     * 甲级病历占比（百分比）/病案首页合格病历占比（百分比）
     */
    @Excel(name = "甲级率", orderNum = "15")
    private String firstLevelPercentStr = "0.00%";

    /**
     * 同比甲级病历占比（百分比）/病案首页合格病历占比（百分比）
     */
    @Excel(name = "同比甲级率", orderNum = "16")
    private String sameFirstLevelPercentStr = "0.00%";

    /**
     * 乙级病历占比（百分比）/病案首页不合格病历占比（百分比）
     */
    @Excel(name = "乙级率", orderNum = "17")
    private String secondLevelPercentStr = "0.00%";

    /**
     * 同比乙级病历占比（百分比）/病案首页不合格病历占比（百分比）
     */
    @Excel(name = "同比乙级率", orderNum = "18")
    private String sameSecondLevelPercentStr = "0.00%";

    /**
     * 丙级病历占比（百分比）
     */
    @Excel(name = "丙级率", orderNum = "19")
    private String thirdLevelPercentStr = "0.00%";

    /**
     * 同比丙级病历占比（百分比）
     */
    @Excel(name = "同比丙级率", orderNum = "20")
    private String sameThirdLevelPercentStr = "0.00%";

}
