package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;


/**
 * @Description:医疗质量控制指标
 * @Author:cy
 * @time: 2021/1/20 13:32
 */
@Getter
@Setter
public class MedQualityControlDTO {

    /**
     * 住院病案管理人员月均负担出院患者病历数
     */
    @Excel(name = "住院病案管理人员月均负担出院患者病历数", width = 12, orderNum = "1")
    private String managerMouthNum;

    /**
     * 病案编码管理人员月均负担出院患者病历数
     */
    @Excel(name = "病案编码管理人员月均负担出院患者病历数", width = 12, orderNum = "2")
    private String coderMouthNum;

    /**
     * 门诊病案管理人员月均负担出院患者病历数
     */
    @Excel(name = "门诊病案管理人员月均负担出院患者病历数", width = 12, orderNum = "3")
    private String secManagerMouthNum;

    /**
     * 入院记录24小时内完成量
     */
    private Double admissionNum;

    /**
     * 入院记录24小时内完成率
     */
    @Excel(name = "入院记录24小时内完成率", width = 12, orderNum = "4")
    private String admissionStr;

    /**
     * 手术记录24小时内完成量
     */
    private Double operationNum;

    /**
     * 手术记录24小时内完成率
     */
    @Excel(name = "手术记录24小时内完成率", width = 12, orderNum = "5")
    private String operationStr;

    /**
     * 出院记录24小时内完成量
     */
    private Double leaveHospitalNum;

    /**
     * 出院记录24小时内完成率
     */
    @Excel(name = "出院记录24小时内完成率", width = 12, orderNum = "6")
    private String leaveHospitalStr;

    /**
     * 病案首页24小时内完成量
     */
    private Double medHomePageNum;

    /**
     * 病案首页24小时内完成率
     */
    @Excel(name = "病案首页24小时内完成率",width = 12, orderNum = "7")
    private String medHomePageStr;

    /**
     * 医师查房记录完成量
     */
    private Double WardRoundNum;

    /**
     * 医师查房记录完成率
     */
    @Excel(name = "医师查房记录完成率",width = 12, orderNum = "8")
    private String WardRoundStr;

    /**
     * 患者抢救记录6h完成量
     */
    private Double rescueNum;

    /**
     * 患者抢救记录6h完成率
     */
    @Excel(name = "患者抢救记录完成率",width = 12, orderNum = "9")
    private String rescueStr;

    /**
     * 出院患者病历2日归档量
     */
    private Double leaveSecFileNum;

    /**
     * 出院患者病历2日归档率
     */
    @Excel(name = "出院患者病历2日归档完整率",width = 12, orderNum = "10")
    private String leaveSecFileStr;

    /**
     * 出院患者病历归档完整量
     */
    private Double leaveFileNum;

    /**
     * 出院患者病历归档完整率
     */
    @Excel(name = "出院患者病历归档完整率",width = 12, orderNum = "11")
    private String leaveFileStr;

    /**
     * 主要诊断填写正确量
     */
    private Double mainDiagnosisNum;

    /**
     * 主要诊断填写正确率
     */
    @Excel(name = "主要诊断填写正确率",width = 12, orderNum = "12")
    private String mainDiagnosisStr;

    /**
     * 主要诊断编码正确量
     */
    private Double mainCodeDiagnosisNum;

    /**
     * 主要诊断编码正确率
     */
    @Excel(name = "扣分", width = 12,orderNum = "13")
    private String mainCodeDiagnosisStr;

    /**
     * 不合理复制病历发生量
     */
    private Double  notCopiedNum;

    /**
     * 不合理复制病历发生率
     */
    @Excel(name = "不合理复制病历发生率",width = 12, orderNum = "14")
    private String  notCopiedStr;

    /**
     * 甲级病历量
     */
    private Double firGradeNum;

    /**
     * 甲级病历率
     */
    @Excel(name = "扣分",width = 12, orderNum = "15")
    private String firGradeStr;
}
