package com.diagbot.dto;

import com.diagbot.enums.AbnormalStatusEnum;
import com.diagbot.enums.AbnormalTypeEnum;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/5/15 9:27
 */
@Getter
@Setter
public class QcAbnormalDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 异常类型(1:数据模块 2：质控类型 3：XML结构)
     */
    private Integer type;

    /**
     * 异常类型名称(1:数据模块 2：质控类型 3：XML结构)
     */
    private String typeName;

    public String getTypeName() {
        return AbnormalTypeEnum.getName(this.type);
    }

    /**
     * 异常描述
     */
    private String description;

    /**
     * 状态(0:未处理，1：已处理)
     */
    private Integer status;

    /**
     * 状态名称(0:未处理，1：已处理)
     */
    private String statusName;

    public String getStatusName() {
        return AbnormalStatusEnum.getName(this.status);
    }

    /**
     * 备注
     */
    private String remark;
}
