package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description:病历质控报表返回结构
 * @Author:cy
 * @time: 2021/1/20 13:32
 */
@Getter
@Setter
public class QualityControlNullDTO {



    /**
     * 病案首页--
     */

    private String medHomePage;

    /**
     * 入院记录--
     */

    private String admissionNote;



    /**
     * 首次病程录--
     */

    private String firstCourseNote;


    /**
     * 病程记录--
     */

    private String courseRecord;


    /**
     * 手术信息--
     */

    private String  operationInfo;


    /**
     * 出院记录--
     */

    private String  dischargeNote;

    /**
     * 医嘱单--
     */

    private String  docAdviceNote;

    /**
     * 其他
     */

    private String  otherCase;

    /**
     * 病案首页扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "7")
    private Double medHomePageScore;


    /**
     * 入院记录扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "9")
    private Double admissionNoteScore;



    /**
     * 首次病程录扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "11")
    private Double firstCourseNoteScore;


    /**
     * 病程记录扣分
     */
    @Excel(name = "扣分", width = 12,orderNum = "13")
    private Double courseRecordScore;


    /**
     * 手术信息扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "15")
    private Double operationInfoScore;


    /**
     * 出院记录扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "17")
    private Double  dischargeNoteScore;


    /**
     * 医嘱单扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "19")
    private Double docAdviceNoteScore;


    /**
     * 其他扣分
     */
    @Excel(name = "扣分",width = 12, orderNum = "21")
    private Double otherCaseScore;

    /**
     * 总分
     */
    @Excel(name = "总分",width = 12, orderNum = "22")
    private Double  totalScore;



}
