package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class RecordContentDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 标准模块名称
     */
    private String standModelName;

    /**
     * 内容
     */
    private String contentText;

    /**
     * html内容
     */
    private String htmlText;
    /**
     * xml内容
     */
    private String xmlText;

    /**
     * 加密信息
     */
    private String contentBlob;

    /**
     * 医院文书标题
     */
    private String recTitle;

    /**
     * 医院文书id
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历类别编号
     */
    private String recTypeId;

    /**
     * 模块id
     */
    private Long modeId;

    /**
     *是否从结构化表中取数据(0-从文文书取 1-从结构化取)
     */
    private int isParsed = 0;
    /**
     *转出时间集合-qc作判断
     */
    List<LocalDateTime> transferOutDate = new ArrayList<>();
    /**
     *转入时间集合-qc作判断
     */
    List<LocalDateTime> transferInDate = new ArrayList<>();
}
