package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_home_diagnose_info")
@Data
public class HomeDiagnoseInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病案首页ID
     */
    @TableId(value = "home_page_id",type = IdType.INPUT)
    private String homePageId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 诊断序号
     */
    private String diagnoseOrderNo;

    /**
     * 诊断类别（主要诊断、其他诊断）
     */
    private String diagnoseType;

    /**
     * 诊断判别（主、次）
     */
    private String diagnoseTypeShort;

    private String diagnoseName;

    private String behospitalType;

    private String leaveHospitalType;

    private String pathologyDiagnose;

    private String icdCode;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
