package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gaodm
 * @since 2020-04-13
 */
@Getter
@Setter
public class MedRecordType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 类别ID
     */
    @TableId(value = "type_id",type = IdType.INPUT)
    private String typeId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 类别名称
     */
    private String typeName;

    /**
     * 上级类别
     */
    private String parentTypeId;

    /**
     * 服务对象(全院、科室、个人)
     */
    private String objName;

    /**
     * 拼音
     */
    private String spell;

    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
