package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_medical_record")
@Data
public class MedicalRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "rec_id",type = IdType.INPUT)
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 组织机构代码
     */
    private String orgCode;

    /**
     * 病历类别编号
     */
    private String recTypeId;

    /**
     * 模块id
     */
    private Long modeId;

    /**
     * 病历日期
     */
    private Date recDate;

    /**
     * 病历标题
     */
    private String recTitle;

    /**
     * 模板处理状态(0:未处理，1：已处理)
     */
    private Integer status;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

}
