package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历条目
 * </p>
 *
 * @author wangfeng
 * @since 2020-04-13
 */
@Data
public class QcCasesEntry implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 病历id
     */
    private Long casesId;

    private String casesName;

    /**
     * 数据模块ID-对应qc_mode.id
     */
    private Long modeId;

    private String code;

    /**
     * 条目
     */
    private String name;

    /**
     * 控费标识(1：是控费条目，2：不是控费条目)
     */
    private Integer drgs;

    /**
     * 质控形式(1：形式质控，2：内涵质控)
     */
    private Integer type;

    /**
     * 规则类型(0：无，1：空项，2：错误)
     */
    private Integer ruleType;

    /**
     * 开发状态标识： 0-未开发  1-已开发
     */
    private Integer devType;

    /**
     * 准确率类型：0-极高，1-高，2-中，3-低
     */
    private Integer accuracyType;

    private String precond;

    /**
     * 顺序号
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;
}
