package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-27
 */
@Data
public class QcQuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 数据模块ID
     */
    private Long modeId;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * key
     */
    private String name;

    /**
     * value
     */
    private String val;

    /**
     * 标签标识(1：单标签 4：组合标签)
     */
    private Integer tagType;

    /**
     * 控件类型(0：无类型)
     */
    private Integer controlType;

    /**
     * 缩进(0：不缩进 1：缩进)
     */
    private Integer retract;

    /**
     * 内容换行(0：不换行，1：换行)
     */
    private Integer addLine;

    /**
     * 独占一行(0：不换行，1：换行)
     */
    private Integer monoLine;

    /**
     * 换行(0：不换行，1：加粗)
     */
    private Integer bold;

    /**
     * 显示位置(1：靠右显示)
     */
    private Integer position;

    /**
     * 质控条目id列表
     */
    private String casesEntryIds;

    /**
     * 备注
     */
    private String remark;
}
