package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 质控评分明细信息
 * 每次评分增加一条信息，前面所有评分is_deleted全部设置为Y
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-14
 */
@TableName("med_qcresult_detail")
@Data
public class QcresultDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 模块id
     */
    private Long casesId;

    /**
     * 模块总分
     */
    private BigDecimal casesScore;

    /**
     * 条目ID
     */
    private Long casesEntryId;

    /**
     * 人工修改分值
     */
    private BigDecimal score;

    /**
     * 条目提示信息
     */
    private String msg;

    /**
     * 质控返回提示信息
     */
    private String info;

    /**
     * 单项否决（1-单项否决 0-非）
     */
    private Integer isReject;

    /**
     * 初始类型(1：机器，2：人工)
     */
    private Integer gradeType;

    /**
     * 操作类型(1：新增，2：删除，3：修改)
     */
    private Integer optType;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;
}
