package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统菜单
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
@Getter
@Setter
public class SysMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 菜单名称
     */
    private String name;

    /**
     * -1：表示顶级,其他值表示上级菜单的id
     */
    private Long parentId;

    /**
     * 编码，与前端对应
     */
    private String code;

    /**
     * 是否在右侧菜单显示(0:不显示，1：显示)
     */
    private Integer showStatus;


    /**
     * 是否可以维护(0:不可维护，1：可以维护)
     */
    private Integer maintainStatus;

    /**
     * 排序，从小到大
     */
    private Integer orderNo;

    /**
     * 备注
     */
    private String remark;

}
