package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class CheckInfoVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 检查项类型缺陷判别(0-全部检查项 1-缺陷检查项  2-非缺陷检查项 )
     */
    private Integer checkType = 0;

    /**
     * 病历号
     */
    @NotBlank(message = "请输入病历号")
    private String behospitalCode;

    /**
     * 检查类型判别
     */
    private String checkItemType;

    /**
     * 检查项目名称
     */
    private String checkItemName;

    /**
     * 检查时间开始
     */
    private Date jxDateStart;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 检查时间结束
     */
    private Date jxDateEnd;

    /**
     * 是否归档 (0-未归档 1-归档)
     */
    private String isPlacefile;

    /**
     * 提示信息
     */
    @JsonIgnore
    private String info;

}
