package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/7/13 14:59
 */
@Getter
@Setter
public class DoctorAdviceVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 医嘱类型缺陷判别(0-全部医嘱 1-缺陷医嘱 2-非缺陷医嘱)
     */
    private Integer adviceType = 0;

    /**
     * 病历号
     */
    @NotBlank(message = "请输入病历号")
    private String behospitalCode;

    /**
     * 医嘱类型判别(嘱托长嘱、长期医嘱等)
     */
    private String doctorAdviceType;

    /**
     * 药品类型(0.普药 1.抗生素 2.激素)
     */
    private String medicineType;

    /**
     * 医嘱项目名称
     */
    private String daItemName;

    /**
     * 医嘱开始时间开始
     */
    private Date daStartDateStart;

    /**
     * 医嘱开始时间结束
     */
    private Date daStartDateEnd;
    /**
     * 提示信息
     */
    @JsonIgnore
    private String info;

}
