package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:06
 */
@Getter
@Setter
public class FilterMedicalCheckVO extends Page {
    /**
     * 起始时间
     */
    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 主管医生
     */
    private String name;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";
}
