package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/3 17:20
 */
@Getter
@Setter
public class MedLisInfoVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 检查缺陷类型判别(0-全部检查项 1缺陷检查项 2非缺陷检查项)
     */
    private Integer checkType = 0;

    /**
     * 病历号
     */
    @NotBlank(message = "请输入病历号")
    private String behospitalCode;

    /**
     * 检查类型判别
     */
    private String checkItemType;

    /**
     * 检查项目名称
     */
    private String checkItemName;

    /**
     * 检查开始时间开始
     */
    private Date daStartDateStart;

    /**
     * 检查开始时间结束
     */
    private Date daStartDateEnd;
    /**
     * 提示信息
     */
    @JsonIgnore
    private String info;

}
