package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class MedNurseInfoVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病历号
     */
    @NotBlank(message = "请输入病历号")
    private String behospitalCode;

    /**
     * 体征名称
     */
    private String itemName;

    /**
     * 测量开始时间
     */
    private Date dateStart;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 测量结束时间
     */
    private Date dateEnd;

    /**
     * 是否归档 (0-未归档 1-归档)
     */
    private String isPlacefile;

}
