package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.BasDoctorInfo;
import com.diagbot.facade.BasDoctorInfoFacade;
import com.diagbot.vo.data.BasDoctorInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 医院医生信息 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-12-24
 */
@RestController
@RequestMapping("/bas/doctor")
@Api(value = "医院医生API", tags = { "医院医生API" })
@SuppressWarnings("unchecked")
public class BasDoctorInfoController {
    @Autowired
    private BasDoctorInfoFacade basDoctorInfoFacade;

    @ApiOperation(value = "获取病历质控一览下医院医生下拉列表信息[by:cy]",
            notes = "inputStr: 搜索参数")
    @PostMapping("/getList")
    @SysLogger("getList")
    public RespDTO<List<BasDoctorInfo>> getList(@RequestBody BasDoctorInfoVO basDoctorInfoVO) {
        return RespDTO.onSuc(basDoctorInfoFacade.getDoctorByDept(basDoctorInfoVO));
    }
}
