package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;

import com.diagbot.dto.RespDTO;
import com.diagbot.entity.MedNurse;
import com.diagbot.facade.MedNurseFacade;
import com.diagbot.vo.MedNurseInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author cy
 * @since 2020-12-11
 */
@RestController
@RequestMapping("/qc/medNurse")
@Api(value = "护理信息API", tags = {"护理信息API"})
public class MedNurseController {
    @Autowired
    private MedNurseFacade medNurseFacade;

    @ApiOperation(value = "护理信息API[by:cy]",
            notes = "behospitalCode：病人住院序号<br>" +
                    "itemName：体征名称（模糊搜索）<br>" +
                    "DateStart：护理时间开始<br>" +
                    "DateEnd：护理时间结束<br>;")
    @PostMapping("/getMedNursePage")
    @SysLogger("getMedNursePage")
    public RespDTO<IPage<MedNurse>> getMedNursePage(@RequestBody @Valid MedNurseInfoVO medNurseInfoVO) {
        return RespDTO.onSuc(medNurseFacade.getMedNursePage(medNurseInfoVO));
    }

}
