use `qc`;
-- 所有环境已经执行
-- ALTER TABLE `med_behospital_info` ADD COLUMN `is_placefile` varchar(2) NOT NULL DEFAULT '0' COMMENT '是否归档（0：未归档，1：已归档）' AFTER `director_doctor_name`;

ALTER TABLE `med_qcresult_detail` ADD COLUMN `grade_type` tinyint(4) DEFAULT '1' COMMENT '初始类型(1：机器，2：人工)' AFTER `is_reject`;
ALTER TABLE `med_qcresult_detail` ADD COLUMN `opt_type` tinyint(4) DEFAULT '1' COMMENT '操作类型(1：新增，2：删除，3：修改)' AFTER `grade_type`;

UPDATE `sys_permission` SET `is_deleted` = 'Y' WHERE `id` = '10';

update `sys_dictionary_info` set is_deleted = 'N' where group_type = 12 and `name` = '病案首页';
DROP TABLE IF EXISTS `qc_mode`;
CREATE TABLE `qc_mode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(128) DEFAULT NULL COMMENT '数据模块名称',
  `order_no` int(11) DEFAULT '1' COMMENT '排序号',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级模块',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8 COMMENT='数据模块表';

INSERT INTO `qc_mode` VALUES ('1', '入院记录', '2', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('2', '首次病程录', '10', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('3', '死亡病例讨论记录', '40', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('4', '查房记录', '20', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('5', '出院小结', '800', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('6', '病案首页', '1', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('7', '会诊记录', '170', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('8', '医嘱信息', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('9', '交接班记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('10', '输血/血制品病程记录', '130', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('11', '术前讨论、术前小结', '50', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('12', '麻醉记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('13', '麻醉知情同意书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('14', '麻醉术前访视记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('15', '麻醉术后访视记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('16', '手术知情同意书', '80', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('17', '手术记录', '60', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('18', '术后首次病程及谈话记录', '70', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('19', '疑难病例讨论记录', '30', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('20', '手术风险评估表', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('21', '手术安全核查表', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('22', '抢救记录', '90', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('23', '危急值记录', '100', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('24', '死亡记录', '250', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('25', '病危通知书', '120', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('26', '转入记录', '190', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('27', '转出记录', '200', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('28', '阶段小结', '110', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('29', '病重通知书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('30', '会诊申请单', '150', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('31', '会诊结果单', '160', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('32', '输血后效果评价', '140', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('33', '专科交接单', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('34', '转科记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('35', '病理检验送检单', '180', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('36', '自定义病程记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('37', '病程信息', '3', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('52', '授权知情同意书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('53', '知情同意书', '260', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('54', '谈话告知书', '270', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('55', '其他', '999', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);

ALTER TABLE `sys_task_cron` ADD COLUMN `param` varchar(500) DEFAULT '' COMMENT '参数' AFTER `cron`;
UPDATE `sys_task_cron` SET `param` = 1,`is_deleted` = 'N' where cron_code = 'TASK_CX';
UPDATE `sys_task_cron` SET `id` = -2,`param` = 3,`is_deleted` = 'N',`remark` = '评分未评分的数据' where cron_code = 'TASK001';

UPDATE `sys_task_cron` SET `id`='-2', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `cron_code`='TASK001', `cron`='0 0 23 * * ?', `param`='3', `is_used`='1', `remark`='评分未评分的数据' WHERE (`id`='-2');
UPDATE `sys_task_cron` SET `id`='-1', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `cron_code`='TASK_CX', `cron`='0 0 22 * * ?', `param`='1', `is_used`='1', `remark`='每天晚上自动评分出院日期之前3天的未评分数据' WHERE (`id`='-1');


INSERT INTO `sys_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES (89, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目缺陷占比（内页）', 'FUNC000089', '/console/entryGroupByEntryInnerPage', 'ALL', '控制台-条目缺陷占比（内页）', NULL);
INSERT INTO `sys_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES (90, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目缺陷占比-科室（内页）', 'FUNC000090', '/consoleByDept/entryGroupByEntryAndDeptInnerPage', 'ALL', '控制台（科室）-条目缺陷占比-科室（内页）', NULL);
INSERT INTO `sys_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES (91, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各科室质控平均分（首页）-根据内外科系统统计', 'FUNC000091', '/console/getAverageScoreByDeptClass', 'ALL', '控制台-各科室质控平均分（首页）-根据内外科系统统计', NULL);
INSERT INTO `sys_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `code`, `permissionUrl`, `method`, `descritpion`, `remark`) VALUES (92, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各科室缺陷占比（内页）-根据内外科系统统计', 'FUNC000092', '/console/levelStatisticsByDeptClass', 'ALL', '控制台-各科室缺陷占比（内页）-根据内外科系统统计', NULL);

INSERT INTO `sys_menu_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES (62, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 20, 89, '控制台-条目缺陷占比（内页）');
INSERT INTO `sys_menu_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES (63, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 27, 90, '控制台（科室）-条目缺陷占比-科室（内页）');
INSERT INTO `sys_menu_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES (64, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 1, 91, '控制台-各科室质控平均分（首页）-根据内外科系统统计');
INSERT INTO `sys_menu_permission`(`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `menu_id`, `permission_id`, `remark`) VALUES (65, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', 31, 92, '控制台-各科室缺陷占比（内页）-根据内外科系统统计');

INSERT INTO `sys_role_permission`( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 89, '控制台-条目缺陷占比（内页）');
INSERT INTO `sys_role_permission`( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 90, '控制台（科室）-条目缺陷占比-科室（内页）');
INSERT INTO `sys_role_permission`( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 91, '控制台-各科室质控平均分（首页）-根据内外科系统统计');
INSERT INTO `sys_role_permission`( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `permission_id`, `remark`) VALUES ( 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', -1, 92, '控制台-各科室缺陷占比（内页）-根据内外科系统统计');


SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for bas_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `bas_dept_info`;
CREATE TABLE `bas_dept_info`  (
  `dept_id` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '科室编码（HIS导入）',
  `hospital_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '医院ID',
  `parent_dept_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dept_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '科室名称',
  `dept_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '科室类别',
  `spell` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '首字母拼音',
  `station` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域类别（门诊、工作站、住院等）',
  `is_deleted` char(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime(0) NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime(0) NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`dept_id`, `hospital_id`) USING BTREE,
  UNIQUE INDEX `hospital_dept_unique`(`dept_id`, `hospital_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '医院科室信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of bas_dept_info
-- ----------------------------
INSERT INTO `bas_dept_info` VALUES ('01', 3, NULL, '内科', NULL, 'PN', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('03', 3, NULL, '小儿科', NULL, 'XEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('04', 3, NULL, '普外一普通门诊', NULL, 'PWYPTMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('042', 3, NULL, '普外二门诊', NULL, 'PWEMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('05', 3, '1030000', '神经外科', NULL, 'SJNWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('06', 3, NULL, '肿瘤外科', NULL, 'ZLWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('07', 3, NULL, '妇产科', NULL, 'FCK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('075', 3, NULL, '妇产科门诊手术室', NULL, 'FCKMZSSS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('08', 3, '01', '感染科', NULL, 'GRK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('081', 3, NULL, '结核门诊', NULL, 'JHMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('09', 3, '1030000', '眼科', NULL, 'YK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0901', 3, NULL, '内科专家门诊呼叫', NULL, 'NKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0902', 3, NULL, '神经内呼叫', NULL, 'SJNHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0903', 3, NULL, '五官科呼叫', NULL, 'WGKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0904', 3, NULL, '妇科呼叫', NULL, 'FKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0905', 3, NULL, '内科呼叫2', NULL, 'NKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0906', 3, NULL, '口腔科呼叫', NULL, 'KQKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0907', 3, NULL, '内科普通门诊呼叫', NULL, 'NKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0908', 3, NULL, '急诊呼叫', NULL, 'JZHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0909', 3, NULL, '国医呼叫', NULL, 'GYHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0910', 3, NULL, '康复呼叫', NULL, 'KFHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0911', 3, NULL, '乳腺中心呼叫', NULL, 'RXZXHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0912', 3, NULL, '心胸外科呼叫', NULL, 'XXWKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0913', 3, NULL, '结合门诊呼叫', NULL, 'JHMZHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('0914', 3, NULL, '呼吸科呼叫', NULL, 'HXKHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('10', 3, NULL, '耳鼻咽喉科', NULL, 'EBHK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1000002', 3, NULL, '(W10)手足口病病区', NULL, 'SZKBBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1001', 1, NULL, '呼吸内科门诊', NULL, 'HXNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1002', 1, NULL, '肺癌门诊', NULL, 'FAMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1002222', 3, NULL, '(E7)新生儿科病区', NULL, 'XSEBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1003', 1, NULL, '间质性肺病门诊', NULL, 'JZXFBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1003000', 3, NULL, '(W2)针灸推拿康复科病区', NULL, 'ZJTNKFKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1004', 1, NULL, '慢性阻塞性肺病门诊', NULL, 'MXZSXFBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1005', 1, NULL, '支气管哮喘门诊', NULL, 'ZQGXCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1006', 1, NULL, '鼾症门诊', NULL, 'HZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1007', 1, NULL, '戒烟门诊', NULL, 'JYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1008', 1, NULL, '肺结节肺肿瘤门诊', NULL, 'FJJFZLMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1008100', 3, '01', '消化内科', NULL, 'XHNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1008101', 3, NULL, '(W8)消化内科病区', NULL, 'XHNKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009001', 3, NULL, '(W7)血液、肿瘤内科病区', NULL, 'XYZLNKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009003', 3, NULL, '(NH)居家护理', NULL, 'JJHL', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009005', 3, NULL, '(D5)老年科/全科医学病区', NULL, 'QKYLBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009006', 3, NULL, '(RJ)日间病区', NULL, 'RJBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009100', 3, '01', '内分泌科', NULL, 'NFMNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009200', 3, NULL, '血液肿瘤内科', NULL, 'XYZLNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009201', 3, '01', '肿瘤内科', NULL, 'ZLNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009500', 3, '01', '全科医学科', NULL, 'QKYLK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1009501', 3, '01', '老年病科', NULL, 'LNBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010000', 3, NULL, '(E1)急诊医学科一病区', NULL, 'JZYXKYBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010001', 3, NULL, '急诊医学科1', NULL, 'JZYXK1', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010002', 3, NULL, '(B2)急诊/康复/烧伤病区', NULL, 'JZKFSSBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010003', 3, NULL, '(E1)EICU病区', NULL, 'EICUBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010005', 3, NULL, '急诊留观病区', NULL, 'LGBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010100', 3, '01', '急诊内科', NULL, 'JZNK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010200', 3, NULL, '急诊外科', NULL, 'JZWK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010300', 3, NULL, '急诊.儿科', NULL, 'JZEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010301', 3, NULL, '急诊.发热儿科', NULL, 'JZFREK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1010500', 3, NULL, '急诊.神经内科', NULL, 'JZSJNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1011', 1, NULL, '肿瘤内科门诊', NULL, 'ZLNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1012', 1, NULL, '肿瘤血液科门诊', NULL, 'ZLXYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020011', 3, NULL, '方便门诊', NULL, 'FBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020012', 3, NULL, '全科医学(专家)', NULL, 'QKYXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020013', 3, '01', '全科医学科', NULL, 'QKYXK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020100', 3, '01', '呼吸内科一', NULL, 'HXNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020200', 3, '01', '神经内科一', NULL, 'SJNYK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020400', 3, NULL, '心内科', NULL, 'XNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020500', 3, '01', '肾内科', NULL, 'SNK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1020600', 3, '01', '风湿免疫科', NULL, 'FSMYK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1021', 1, NULL, '血液科门诊', NULL, 'XYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030000', 3, NULL, '外科', NULL, 'WK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030011', 3, NULL, '呼吸内二科(普通)', NULL, 'HXNEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030013', 3, NULL, '呼吸内一科(普通)', NULL, 'HXNYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030021', 3, NULL, '消化内科方美清', NULL, 'XHKFMQ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030032', 3, NULL, '记忆障碍门诊', NULL, 'SJNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030034', 3, NULL, '帕金森病（专家）', NULL, 'PJSBZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030041', 3, NULL, '心律失常门诊', NULL, 'XLSCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030042', 3, NULL, '心血管.高血压门诊', NULL, 'XXGGXYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030081', 3, NULL, '痛风（专家）门诊', NULL, 'TFZJMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030100', 3, '1030000', '胃肠外科', NULL, 'WCWK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030102', 3, '1030000', '肛肠外科', NULL, 'GCWK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030200', 3, '1030000', '神经外科', NULL, 'SJWK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030300', 3, '1030000', '泌尿外科', NULL, 'MNWK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1030500', 3, '1030000', '肝胆外科、血管外科', NULL, 'GDWKXGWK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1031', 1, NULL, '心血管内科门诊', NULL, 'XXGNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1032', 1, NULL, '心血管高血压门诊', NULL, 'XXGGXYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('104', 3, NULL, '免疫室', NULL, 'MYS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040011', 3, NULL, '甲状腺(肿瘤外科)专家', NULL, 'JZXZLWKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040012', 3, NULL, '乳腺(肿瘤外科)专家', NULL, 'RXZLWKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040200', 3, '1030000', '心胸外科', NULL, 'XXWK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040613', 3, NULL, '骨科.脊柱外科(专家)', NULL, 'JZWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040614', 3, NULL, '骨科-肩痛门诊(专家)', NULL, 'JTMZ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040615', 3, NULL, '骨科-肩痛门诊', NULL, 'JTMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040616', 3, NULL, '骨科.关节外科(专家)', NULL, 'JTMZ(GJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040618', 3, NULL, '骨质疏松(专家)', NULL, 'GZSS(GJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040991', 3, NULL, '甲状腺(肿瘤外科)', NULL, 'JZXZLWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040992', 3, NULL, '乳腺(肿瘤外科)', NULL, 'RXZLWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1040993', 3, NULL, '胃食道反流病(专家)', NULL, 'WSDFLB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1041', 1, NULL, '神经内科门诊', NULL, 'SJNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1042', 1, NULL, '神经内科精神科门诊', NULL, 'SJNKJSKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1043', 1, NULL, '卒中筛查门诊', NULL, 'ZZSCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1044', 1, NULL, '记忆（认知障碍）门诊', NULL, 'JYRZZAMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1045', 1, NULL, '头晕头痛门诊', NULL, 'TYTTMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050000', 3, NULL, '骨科一', NULL, 'GK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050041', 3, NULL, '产科.高危妊娠', NULL, 'GWRSMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050100', 3, NULL, '骨科一门诊', NULL, 'GKYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050300', 3, NULL, '骨科二', NULL, 'GKE', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050500', 3, NULL, '骨科二门诊', NULL, 'GKEMZ', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050601', 3, NULL, '骨科换药室', NULL, 'GKHYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050900', 3, NULL, '骨科三', NULL, 'GKS', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050992', 3, NULL, '产科.营养咨询', NULL, 'CKYYZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1050993', 3, NULL, '妇科.尿失禁.更年期(专家)', NULL, 'FKNSJGNQZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1051', 1, NULL, '内分泌科门诊', NULL, 'NFMKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1052', 1, NULL, '内分泌肾内科门诊', NULL, 'NFMSNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1053', 1, NULL, '糖尿病足门诊', NULL, 'TNBZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1054', 1, NULL, '肥胖门诊', NULL, 'FPMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1055', 1, NULL, '糖尿病健康咨询门诊', NULL, 'TNBJKZXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1060000', 3, NULL, '(W9)中西医结合病区', NULL, 'ZXYJHBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1061', 1, NULL, '肾内科门诊', NULL, 'SNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1063', 1, NULL, '血液透析门诊', NULL, 'XYTXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1070000', 3, NULL, '耳鼻咽喉科', NULL, 'EBYHK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1070041', 3, NULL, '慢性咳嗽哮喘专科', NULL, 'MXKSXCZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1070200', 3, NULL, '耳鼻喉门诊', NULL, 'EBHMZ', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1070300', 3, '1030000', '眼科', NULL, 'YK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1070500', 3, NULL, '(Y4)眼科医院病区', NULL, 'YKYYBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1071', 1, NULL, '风湿免疫科门诊', NULL, 'FSMYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1072', 1, NULL, '风湿免疫科（痛风）门诊', NULL, 'FSMYKTFMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('108', 3, NULL, '消化内科', NULL, 'XHNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1080000', 3, '1030000', '口腔科', NULL, 'KQK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1080011', 3, NULL, '小儿外科', NULL, 'XEWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1081', 1, NULL, '消化内科门诊', NULL, 'XHNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1081', 3, NULL, '脂肪肝减脂中医', NULL, 'ZFGJZZY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('109', 3, NULL, '呼吸内科(门诊)', NULL, 'HXNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090000', 3, '1030000', '妇科', NULL, 'FK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090011', 3, NULL, '儿童生长发育门诊', NULL, 'ETSZFYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090012', 3, NULL, '儿童生长发育(专家)', NULL, 'ETSZFY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090300', 3, NULL, '妇科门诊', NULL, 'FKMZ', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090500', 3, '1030000', '产科', NULL, 'CK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090600', 3, NULL, '妇产科', NULL, 'FCK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1090991', 3, NULL, '儿童保健专科', NULL, 'ETBJZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1091', 1, NULL, '肝胆胰外科门诊', NULL, 'GDYWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1092', 1, NULL, '胆道术后门诊', NULL, 'DDSHMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('11', 3, '1030000', '口腔科', NULL, 'KQK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('110', 3, NULL, '口腔科(专家)', NULL, 'KQKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1100000', 3, '01', '儿内科', NULL, 'ENK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1100500', 3, NULL, '(W5)内分泌\\肾内风湿病区', NULL, 'NFMSNFSBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1100600', 3, NULL, '(W6)骨科二病区(脊柱外科)', NULL, 'GKEBQJZWK', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1100700', 3, NULL, '(W10)耳鼻咽喉病区', NULL, 'EBYHBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1100800', 3, NULL, '(E6)神经内科二病区', NULL, 'SJNKE', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1100810', 3, '01', '神经内科二', NULL, 'SJNK2', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1101', 1, NULL, '胸外科门诊', NULL, 'XWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1101000', 3, NULL, '新生儿科', NULL, 'XSEK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1101001', 3, NULL, '新生儿科监护室', NULL, 'XSEKJHS', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('111', 3, NULL, '采购部', NULL, 'CGB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1110000', 3, NULL, '麻醉科', NULL, 'MZK', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1110100', 3, NULL, '麻醉科', NULL, 'MZK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1111', 1, NULL, '甲状腺乳腺科门诊', NULL, 'JZXRXKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1112', 1, NULL, '甲状腺外科门诊', NULL, 'JZXWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1113', 1, NULL, '乳腺外科门诊', NULL, 'RXWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('112', 3, NULL, '麻醉门诊', NULL, 'MZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1120081', 3, NULL, '种植牙专科', NULL, 'ZZYZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1121', 1, NULL, '血管外科门诊', NULL, 'XGWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1121', 3, NULL, '麻醉门诊(专家)', NULL, 'MZMZ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1130000', 3, '01', '老年病科', NULL, 'LNBK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1130001', 3, NULL, '老年病科(专家)', NULL, 'LNBK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1131', 1, NULL, '疝和腹壁门诊', NULL, 'SHFBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1132', 1, NULL, '疝外科门诊', NULL, 'SWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1140011', 3, NULL, '医疗美容科', NULL, 'YLMRK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1140012', 3, NULL, '微整形美容专科', NULL, 'WZXMRZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1140013', 3, NULL, '痣美容专科', NULL, 'ZMRZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1141', 1, NULL, '泌尿外科门诊', NULL, 'MNWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1142', 1, NULL, '泌尿男性外科门诊', NULL, 'MNNXWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1143', 1, NULL, '泌尿外科操作门诊', NULL, 'MNWKCZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('115', 3, NULL, '骨科-骨质疏松', NULL, 'GZSSZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1150021', 3, NULL, '抑郁焦虑门诊', NULL, 'JLYYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1150061', 3, NULL, '失眠门诊', NULL, 'SMMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1151', 1, NULL, '胃肠外科门诊', NULL, 'WCWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1152', 1, NULL, '肿瘤外科门诊', NULL, 'ZLWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1153', 1, NULL, '胃肠/肿瘤外科门诊', NULL, 'WCZLWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1160991', 3, NULL, '脂肪肝门诊(专家)', NULL, 'ZFGMZZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1160992', 3, NULL, '感染特殊门诊', NULL, 'GRTSMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1161', 1, NULL, '肛肠科门诊', NULL, 'GCKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1162', 1, NULL, '结/直肠/肛门外科', NULL, 'JZCGMWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1171', 1, NULL, '神经外科门诊', NULL, 'SJWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('118', 3, NULL, '营养科', NULL, 'YYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1180000', 3, '01', '中西医结合科（中医老年病科）', NULL, 'ZXYJHK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1180200', 3, NULL, '中医门诊', NULL, 'ZYMZ', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1181', 1, NULL, '急诊骨科', NULL, 'JZGK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1182', 1, NULL, '骨科门诊', NULL, 'GKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1183', 1, NULL, '骨科（创伤外科）门诊', NULL, 'GKCSWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1184', 1, NULL, '足踝骨科门诊', NULL, 'ZHGKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1185', 1, NULL, '骨科（关节外科）门诊', NULL, 'GKGJWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1186', 1, NULL, '骨科（脊柱外科）门诊', NULL, 'GKJZWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1187', 1, NULL, '小针刀门诊', NULL, 'XZDMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('119', 3, NULL, '冷作', NULL, 'LZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190000', 3, '01', '感染科', NULL, 'GRK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190001', 3, NULL, '发热性疾病科0', NULL, 'FRXJBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190012', 3, NULL, '血液肿瘤化疗门诊', NULL, 'XYZLHLMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190100', 3, NULL, '(D1)感染科病区', NULL, 'GRKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190101', 3, NULL, '(F3)发热病区0', NULL, 'FRBQ0', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190102', 3, NULL, '(D1)发热病区1', NULL, 'FRBQ0', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190103', 3, NULL, '(D2)发热病区2', NULL, 'FRBQ2', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190104', 3, NULL, '(D3)发热病区3', NULL, 'FRBQ3', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190105', 3, NULL, '(D4)发热病区4', NULL, 'FRBQ4', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190106', 3, NULL, '(D5)发热病区5', NULL, 'FRBQ5', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190112', 3, NULL, '发热性疾病科1', NULL, 'FRXJBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190113', 3, NULL, '发热性疾病科2', NULL, 'FRXJBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190114', 3, NULL, '发热性疾病科3', NULL, 'FRXJBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190115', 3, NULL, '发热性疾病科4', NULL, 'FRXJBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1190116', 3, NULL, '发热性疾病科5', NULL, 'FRXJBK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1191', 1, NULL, '医疗美容科门诊', NULL, 'YLMRKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1192', 1, NULL, '整形外科门诊', NULL, 'ZXWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1193', 1, NULL, '整形外科/医学美容科门诊', NULL, 'ZXWKYXMRKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('12', 3, NULL, '急诊医学科', NULL, 'JZYXK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('120', 3, NULL, '抗凝药学门诊', NULL, 'KNYXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200011', 3, NULL, '急诊.创伤骨科', NULL, 'JZCSGK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200100', 3, NULL, '烧伤科', NULL, 'SSK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200101', 3, NULL, '急诊医学科2', NULL, 'JZYXK2', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200301', 3, NULL, '针灸推拿康复科', NULL, 'ZJTNKFK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200302', 3, '01', '康复医学科', NULL, 'KFYXK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200303', 3, NULL, '康复中心', NULL, 'KFZX', '康复中心', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200500', 3, NULL, '换药室', NULL, 'HYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1200600', 3, NULL, '小手术室', NULL, 'XSSS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1201', 1, NULL, '急诊妇科', NULL, 'JZFK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1201100', 3, NULL, '外科门诊', NULL, 'WKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1201500', 3, NULL, '胃镜室', NULL, 'WJS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1201800', 3, NULL, '碎石室', NULL, 'SSS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1201900', 3, NULL, '皮肤科', NULL, 'PFK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1201901', 3, '1030000', '疼痛科', NULL, 'TTK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1202', 1, NULL, '妇科门诊', NULL, 'FKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1202000', 3, NULL, '内分泌(专家)', NULL, 'NFMZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1202100', 3, NULL, '静脉营养配制室', NULL, 'JMYYPZS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1202500', 3, NULL, '化疗药物配制室', NULL, 'HLYWPZS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1203', 1, NULL, '妇科生殖医学门诊', NULL, 'FKSZYXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1204', 1, NULL, '妇科宫颈疾病门诊', NULL, 'FKGJJBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1210011', 3, NULL, '康复治疗', NULL, 'KFZL', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1210012', 3, NULL, '儿童康复门诊', NULL, 'ETKFMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1211', 1, NULL, '急诊产科', NULL, 'JZCK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1212', 1, NULL, '产科门诊', NULL, 'CKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1213', 1, NULL, '产科高危门诊', NULL, 'CKGWMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1214', 1, NULL, '母乳喂养咨询门诊', NULL, 'MRWYZXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('122', 3, NULL, '基因实验室', NULL, 'JYSYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1221', 1, NULL, '急诊儿科', NULL, 'JZEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1222', 1, NULL, '儿科门诊', NULL, 'EKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1223', 1, NULL, '儿科发热门诊', NULL, 'EKFRMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1224', 1, NULL, '儿科肠道门诊', NULL, 'EKCDMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1225', 1, NULL, '小儿神经内科门诊', NULL, 'XESJNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1226', 1, NULL, '儿科（公共卫生）门诊', NULL, 'EKGGWSMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1227', 1, NULL, '生长发育门诊', NULL, 'SCFYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1228', 1, NULL, '儿科门诊（有流行病学史）', NULL, 'EKMZYLXBXS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('123', 3, NULL, '烧伤整形外科门诊', NULL, 'SSKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1230011', 3, NULL, '运动医学门诊', NULL, 'YDYXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1230012', 3, NULL, '运动医学门诊(专家)', NULL, 'YDYXMZ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1230013', 3, NULL, '骨科.小儿骨科(专家)', NULL, 'XEGK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1231', 1, NULL, '急诊内科', NULL, 'JZNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1232', 1, NULL, '急诊外科', NULL, 'JZWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1233', 1, NULL, '胸痛门诊', NULL, 'XTMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1241', 1, NULL, '感染科门诊', NULL, 'GRKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1242', 1, NULL, '肝病门诊', NULL, 'GBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1243', 1, NULL, '结核病门诊', NULL, 'JHBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1244', 1, NULL, '艾滋病门诊', NULL, 'AZBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1245', 1, NULL, '发热门诊', NULL, 'FRMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1246', 1, NULL, '肠道门诊', NULL, 'CDMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('125', 3, NULL, '淋巴水肿治疗门诊', NULL, 'LBSZZLMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1251', 1, NULL, '急诊眼科', NULL, 'JZYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1252', 1, NULL, '眼科门诊', NULL, 'YKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1253', 1, NULL, '视光门诊', NULL, 'SGMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1261', 1, NULL, '急诊耳鼻咽喉科', NULL, 'JZEBYHK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1262', 1, NULL, '耳鼻咽喉科门诊', NULL, 'EBYHKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1271', 1, NULL, '急诊口腔科', NULL, 'JZKQK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1272', 1, NULL, '口腔科门诊', NULL, 'KQKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1273', 1, NULL, '正畸科门诊', NULL, 'ZJKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1274', 1, NULL, '口腔正畸科门诊', NULL, 'KQZJK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1275', 1, NULL, '口腔粘膜门诊', NULL, 'KQNMMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1276', 1, NULL, '口腔特需专科门诊', NULL, 'KQTXZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1281', 1, NULL, '急诊皮肤科', NULL, 'JZPFK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1282', 1, NULL, '皮肤科门诊', NULL, 'PFKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1283', 1, NULL, '过敏性皮肤病门诊', NULL, 'GMXPFBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1284', 1, NULL, '皮肤性病科门诊', NULL, 'PFXBKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1285', 1, NULL, 'VCT咨询门诊', NULL, 'VCTZXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1291', 1, NULL, '精神科门诊', NULL, 'JSKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1292', 1, NULL, '精神睡眠障碍门诊', NULL, 'JSSMZAMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1293', 1, NULL, '精神心理科（睡眠障碍）门诊', NULL, 'JSXLKSMZAMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1294', 1, NULL, '重精残联门诊', NULL, 'CJCLMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('13', 3, NULL, '中医科', NULL, 'ZYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1300001', 3, NULL, '中医科', NULL, 'ZYK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1300002', 3, NULL, '临床心理科', NULL, 'LCXLK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1300003', 3, NULL, '高压氧科', NULL, 'GYYC', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1300004', 3, NULL, '精神卫生科', NULL, 'JSWSK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1300005', 3, NULL, '心理咨询', NULL, 'XLZX', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1301', 1, NULL, '方便门诊', NULL, 'FBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1302', 1, NULL, '全科医学门诊', NULL, 'QKYXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1303', 1, NULL, '新冠筛查门诊', NULL, 'XGSCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310011', 3, NULL, '古中医门诊（专家）', NULL, 'GZYMZZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310041', 3, NULL, '中医儿科(专家)', NULL, 'ZYEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310131', 3, NULL, '中医针灸妇科(专家)', NULL, 'ZYZJFK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310132', 3, NULL, '中医男科(专家)', NULL, 'ZYNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310133', 3, NULL, '中医妇科', NULL, 'ZYFK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310134', 3, NULL, '中医肿瘤', NULL, 'ZYZL', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310135', 3, NULL, '骨伤科(专家)', NULL, 'ZYGSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1310181', 3, NULL, '中医护理门诊', NULL, 'ZYHLMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1311', 1, NULL, '中医科门诊', NULL, 'ZYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1312', 1, NULL, '中医内科门诊', NULL, 'ZYNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1313', 1, NULL, '中医消化内科门诊', NULL, 'ZYXHNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1314', 1, NULL, '中医肾病门诊', NULL, 'ZYSBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1315', 1, NULL, '中医风湿免疫科门诊', NULL, 'ZYFSMYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1316', 1, NULL, '中西医儿科门诊', NULL, 'ZXYEKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1317', 1, NULL, '中西医妇科门诊', NULL, 'ZXYFKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1318', 1, NULL, '中西医骨伤科门诊', NULL, 'ZXYGSKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1319', 1, NULL, '中西医泌尿科门诊', NULL, 'ZXYMNKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1320', 1, NULL, '中西医皮肤科门诊', NULL, 'ZXYPFKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1320011', 3, NULL, '咳嗽专病门诊', NULL, 'KSZBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1331', 1, NULL, '针灸门诊', NULL, 'ZJMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1332', 1, NULL, '康复门诊', NULL, 'KFMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1333', 1, NULL, '中医护理门诊', NULL, 'ZYHLMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1341', 1, NULL, '高压氧门诊', NULL, 'GYYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1351', 1, NULL, '疼痛科门诊', NULL, 'TTKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1361', 1, NULL, '老年医学科门诊', NULL, 'LNYXKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1371', 1, NULL, '普外科门诊', NULL, 'PWKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1372', 1, NULL, '浅表肿块门诊', NULL, 'QBZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1381', 1, NULL, 'PICC门诊', NULL, 'PICCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1382', 1, NULL, '创面修复中心', NULL, 'CMXFZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1383', 1, NULL, '盆底康复中心', NULL, 'PDKFZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1384', 1, NULL, '腹透门诊', NULL, 'FTMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1385', 1, NULL, '造口门诊', NULL, 'ZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1391', 1, NULL, '超声科门诊', NULL, 'CSKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1392', 1, NULL, '超声介入室', NULL, 'CSJRS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('14', 3, '01', '中西医结合（专家）', NULL, 'ZXYJHZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1401', 1, NULL, '营养科门诊', NULL, 'YYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('141', 3, NULL, '脾胃病(专家)', NULL, 'PWB(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1411', 1, NULL, '放疗科门诊（预设）', NULL, 'FLKMZYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1421', 1, NULL, '行政中心医疗服务点', NULL, 'XZZXYLFWD', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1431', 1, NULL, '看守所门诊部', NULL, 'KSSMZB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1441', 1, NULL, '预防接种门诊', NULL, 'YFJZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1451', 1, NULL, '名医馆', NULL, 'MYG', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1461', 1, NULL, '国医馆', NULL, 'GYG', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1481', 1, NULL, '急诊五官科', NULL, 'JZWGK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1491', 1, NULL, '麻醉内镜门诊', NULL, 'MZNJMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('15', 3, NULL, '美容科', NULL, 'MRK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1501', 1, NULL, '临床医学鉴定门诊', NULL, 'LCYXJDMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1511', 1, NULL, '胶片自助门诊', NULL, 'JPZZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1521', 1, NULL, '放射读片门诊', NULL, 'FSDPMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1531', 1, NULL, '病理阅片门诊', NULL, 'BLYPMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('16', 3, NULL, '皮肤科', NULL, 'PFK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1600300', 3, NULL, '(Z3)产科病区', NULL, 'CKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1600600', 3, NULL, '(Z6)骨科一病区(关节外科)', NULL, 'GKYBQGJWK', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1600700', 3, NULL, '(Z10)泌尿外科/疼痛科病区', NULL, 'MNWKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1600701', 3, '1030000', '耳鼻喉科实验室', NULL, 'EBHKSYS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1600800', 3, NULL, '(Z8)肛肠胃肠病区', NULL, 'GCWCBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1600900', 3, NULL, ' (Z9)普外科三病区（甲状腺外科、乳腺外科)', NULL, 'ZLWKMNWKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601000', 3, NULL, '(Z7)儿内科病区', NULL, 'ENKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601100', 3, NULL, '(Z11)神经外科,口腔科病区', NULL, 'SJWKKQKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601200', 3, NULL, '(Z12)妇科病区', NULL, 'FKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601300', 3, NULL, '(Z13)呼吸内科一病区', NULL, 'HXNKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601400', 3, NULL, '(Z14)神经内科一病区', NULL, 'SJNKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601500', 3, NULL, '(Z15)普外二病区(肝胆外科、血管外科 )', NULL, 'PWEBQGDWKXGWK', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1601600', 3, NULL, '(Z16)心血管内科病区', NULL, 'XXGNKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('165', 3, NULL, '综合档案室', NULL, 'ZHDAS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('168', 3, NULL, '医疗安全部', NULL, 'YLAQB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('17', 3, NULL, '其它科', NULL, 'QTK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('18', 3, '01', '康复医学科', NULL, 'KFYXK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1800000', 3, NULL, 'ICU', NULL, 'JHKICU', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1800100', 3, NULL, '(E4)ICU病区', NULL, 'ICUBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('181', 3, NULL, '神经康复(专家)', NULL, 'SJKFZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1880000', 3, NULL, '血液净化中心', NULL, 'XYJHZX', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1880100', 3, NULL, '血液净化室', NULL, 'XYJHS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1900000', 3, NULL, '手术室', NULL, 'SSS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1900100', 3, NULL, '眼科手术室', NULL, 'YKSSS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1919', 1, NULL, '北门社区', NULL, 'BMSQ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1971', 1, NULL, '盆底康复筛查室（体检）', NULL, 'PDKFSCSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1972', 1, NULL, '肺通气功能室（体检）', NULL, 'FTQGNSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1973', 1, NULL, '肛门直肠镜室（体检）', NULL, 'GMZCJSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1974', 1, NULL, '呼气实验室（体检）', NULL, 'HQSYSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1975', 1, NULL, '病理1（体检）', NULL, 'BL1TJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1976', 1, NULL, '骨密度室（体检）', NULL, 'GMDSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1977', 1, NULL, '人体成份室（体检）', NULL, 'RTCFSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1978', 1, NULL, '肛肠2（体检）', NULL, 'GC2TJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1979', 1, NULL, '肛肠1（体检）', NULL, 'GC1TJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1980', 1, NULL, '心电图室1（体检）', NULL, 'XDTS1TJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1981', 1, NULL, '眼科（体检）', NULL, 'YKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1982', 1, NULL, '耳鼻喉科（体检）', NULL, 'EBHKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1983', 1, NULL, '内镜室（体检）', NULL, 'NJSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1984', 1, NULL, '脑彩超室（体检）', NULL, 'NCCSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1985', 1, NULL, '其它（体检）', NULL, 'QTTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1986', 1, NULL, '病理科（体检）', NULL, 'BLKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1987', 1, NULL, '放射科（体检）', NULL, 'FSKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1988', 1, NULL, 'B超（体检）', NULL, 'BCTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1989', 1, NULL, '心电图室（体检）', NULL, 'XDTSTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1990', 1, NULL, '检验科（体检）', NULL, 'JYKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1990011', 3, NULL, '多学科联合门诊', NULL, 'DXKLHMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1990012', 3, NULL, '介入科(专家)', NULL, 'JRKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1990013', 3, NULL, '外院专家合作科', NULL, 'WYZJHZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1991', 1, NULL, '妇科检查（体检）', NULL, 'FKJCTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1992', 1, NULL, '五官科检查（体检）', NULL, 'WGKJCTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1993', 1, NULL, '外科检查（体检）', NULL, 'WKJCTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1994', 1, NULL, '内科检查（体检）', NULL, 'NKJCTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1995', 1, NULL, '五官科（体检）', NULL, 'WGKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1996', 1, NULL, '外科（体检）', NULL, 'WKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1997', 1, NULL, '内科（体检）', NULL, 'NKTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1998', 1, NULL, '一般检查（体检）', NULL, 'YBJCTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('1999', 1, NULL, '体检中心（体检）', NULL, 'TJZXTJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('20', 3, NULL, '功检科', NULL, 'GJK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('200', 3, NULL, '传染科(专家)', NULL, 'CRK(ZJ)', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2001', 1, NULL, '呼吸内科一住院', NULL, 'HXNKYZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2002', 1, NULL, '呼吸内科二/肿瘤科/血液科住院', NULL, 'HXNKEZLKXYKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010000', 3, NULL, '药剂科', NULL, 'YJK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010100', 3, NULL, '西药房', NULL, 'XYF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010200', 3, NULL, '病区药房', NULL, 'BQYF', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010300', 3, NULL, '眼科医院药房', NULL, 'YKYYYF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010400', 3, NULL, '眼科药房', NULL, 'JZYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010501', 3, NULL, '中草药房', NULL, 'CYF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010600', 3, NULL, '临床药学', NULL, 'LCYX', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2010700', 3, NULL, '急诊药房', NULL, 'JZYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2011', 1, NULL, '心血管内科住院', NULL, 'XXGNKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2011000', 3, NULL, '西药库', NULL, 'XYK', '药库', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2011100', 3, NULL, '中药库', NULL, 'ZYK', '药库', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2011200', 3, NULL, '中药库_1', NULL, 'BJPK', '药库', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020000', 3, NULL, '放射科', NULL, 'FSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020100', 3, NULL, '科室CT室', NULL, 'KSCTS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020101', 3, NULL, '影像科', NULL, 'YXK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020102', 3, NULL, '导管室', NULL, 'DGS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020103', 3, NULL, '科室DSA2', NULL, 'DSA2', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020200', 3, NULL, '磁共振室', NULL, 'CGZS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2020400', 3, NULL, '科室CR室', NULL, 'CRS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2021', 1, NULL, '神经内科住院', NULL, 'SJNKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2030000', 3, NULL, '检验科', NULL, 'JYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2030011', 3, NULL, '(D4)呼吸内科二病区', NULL, 'HXNKBQ', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2030012', 3, '01', '呼吸内科二', NULL, 'HXNK2', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2030400', 3, NULL, '免疫室', NULL, 'MYS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2031', 1, NULL, '内分泌科/肾内科住院', NULL, 'NFMKSNKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2040061', 3, NULL, '(W4)骨科三病区(手足外科、中医骨伤科)', NULL, 'GKSBQSZWKZYGSK', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2041', 1, NULL, '消化内科住院', NULL, 'XHNKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('205', 3, NULL, '神心血管(专家)', NULL, 'S,XXG(ZJ)', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2050000', 3, NULL, '营养科', NULL, 'YYS', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2051', 1, NULL, '肝胆脾胰外科住院', NULL, 'GDPYWKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2060000', 3, NULL, '病理科', NULL, 'BLK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2061', 1, NULL, '心胸/甲乳/血管/疝外科住院', NULL, 'XXJRXGSWKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('207', 3, NULL, '中西医(专家)', NULL, 'ZXY(ZJ)', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2070000', 3, NULL, '功检科', NULL, 'GJK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2070100', 3, NULL, '超声医学科', NULL, 'BCS', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2070300', 3, NULL, '心电图室', NULL, 'XDTS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2070400', 3, NULL, '脑电图室', NULL, 'NDTS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2070600', 3, NULL, '冷冻室', NULL, 'LDS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2071', 1, NULL, '泌尿外科住院', NULL, 'MNWKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2080000', 3, NULL, '内窥镜室', NULL, 'NKJS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2080100', 3, NULL, '内镜检查室', NULL, 'NJJCS', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2081', 1, NULL, '胃肠外科/肛肠科/肿瘤外科住院', NULL, 'WCWKGCKZLWKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('209', 3, NULL, '骨科(专家)', NULL, 'GKMZ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2091', 1, NULL, '神经外科住院', NULL, 'SJWKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('21', 3, NULL, '放射科1', NULL, 'FSK1', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2100000', 3, NULL, '消毒供应室', NULL, 'XDGYS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2101', 1, NULL, '骨科一住院', NULL, 'GKYZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2102', 1, NULL, '骨科二住院', NULL, 'GKEZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('211', 3, NULL, '儿科(专家)', NULL, 'EK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2110000', 3, NULL, '病案室', NULL, 'BAS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2111', 1, NULL, '医疗美容科/整形外科住院', NULL, 'YLMRKZXWKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2121', 1, NULL, '妇产科住院', NULL, 'FCKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2131', 1, NULL, '儿科住院', NULL, 'EKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2132', 1, NULL, '新生儿监护病房住院', NULL, 'XSEJHBFZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('214', 3, NULL, '肛肠(专家)', NULL, 'GCZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2140000', 3, NULL, '预防保健科', NULL, 'YFBJK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2141', 1, NULL, '急诊医学科住院', NULL, 'JZYXKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('215', 3, '1030000', '肛肠外科', NULL, 'GCK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2151', 1, NULL, 'ICU住院', NULL, 'ICUZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2152', 1, NULL, 'EICU住院', NULL, 'EICUZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('216', 3, NULL, '肠道科', NULL, 'CDK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2161', 1, NULL, '感染科住院', NULL, 'GRKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('217', 3, '1030000', '疼痛科', NULL, 'TTK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2171', 1, NULL, '眼科住院', NULL, 'YKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2181', 1, NULL, '耳鼻咽喉科住院', NULL, 'EBYHKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2190011', 3, '1030000', '甲状腺外科', NULL, 'JZXTJZL', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2190012', 3, '1030000', '乳腺外科', NULL, 'RXZX', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2191', 1, NULL, '口腔科住院', NULL, 'KQKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('22', 3, NULL, '血透室', NULL, 'XTK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2200011', 3, NULL, 'EICU', NULL, 'EICU', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2201', 1, NULL, '皮肤科住院', NULL, 'PFKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('221', 3, NULL, '血透室', NULL, 'XTS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2211', 1, NULL, '全科医学/风湿免疫科住院', NULL, 'QKYXFSMYKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('222', 3, NULL, '消化内科(专家)', NULL, 'XHNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2221', 1, NULL, '中医科/中西医结合科住院', NULL, 'ZYKZXYJHKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2231', 1, NULL, '康复医学科', NULL, 'KFYXK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('224', 3, NULL, '急诊外科', NULL, 'JZWK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2241', 1, NULL, '老年医学科住院', NULL, 'LNYXKZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('229', 3, NULL, '风湿免疫病专科', NULL, 'FSMYBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2291', 3, NULL, '风湿免疫科(专家)', NULL, 'FSMYKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2292', 3, NULL, '肾内科(专家)', NULL, 'SNKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('23', 3, NULL, '科室不明', NULL, 'KSBM', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('230', 3, NULL, '急诊.眼科', NULL, 'JZYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('231', 3, NULL, '斜视弱视专科', NULL, 'XSRSZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('232', 3, NULL, '眼科(门诊)', NULL, 'YK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2333', 1, NULL, '入院准备中心住院', NULL, 'RYZBZXZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('237', 3, NULL, '保卫科', NULL, 'BWK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('240', 3, '1030000', '介入科', NULL, 'JRK', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('241', 3, NULL, '市纪委', NULL, 'SJW', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('242', 3, NULL, '纪检监察室', NULL, 'JJJCS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('25', 3, NULL, '骨科', NULL, 'GK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('251', 3, NULL, '骨一科', NULL, 'GYK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('252', 3, NULL, '骨二科', NULL, 'GEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('256', 3, NULL, '客户服务科', NULL, 'KHFWK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('26', 3, '1030000', '泌尿外科', NULL, 'MNWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('267', 3, NULL, '护送队', NULL, 'HSDCZS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('27', 3, NULL, '烧伤整形外科', NULL, 'SSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('271', 3, NULL, '伤口治疗中心', NULL, 'SKZLZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('276', 3, NULL, '教学办公室', NULL, 'JXBGS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('28', 3, NULL, '预防保健科、老干部', NULL, 'YFBJKLGB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('29', 3, '01', '重症医学科', NULL, 'ZZYXK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('2999', 1, NULL, '日间病房住院', NULL, 'RJBFZY', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('30', 3, NULL, '中药房', NULL, 'ZYF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3001', 1, NULL, '呼吸内科一病区', NULL, 'HXNKYBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3002', 1, NULL, '呼吸内科二/肿瘤科/血液科病区', NULL, 'HXNKEZLKXYKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('301', 3, NULL, '心血管内科(专家)', NULL, 'XXGNK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3010001', 3, NULL, '宣传统战部', NULL, 'XCTZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3011', 1, NULL, '心血管内科病区', NULL, 'XXGNKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('302', 3, NULL, '肝胆外科（专家）', NULL, 'GDWKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3021', 1, NULL, '神经内科病区', NULL, 'SJNKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('303', 3, NULL, '普外科.肛肠外科', NULL, 'PWKGCWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3030000', 3, NULL, '医院办公室', NULL, 'YYBGS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3031', 1, NULL, '内分泌科/肾内科病区', NULL, 'NFMKSNKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('304', 3, NULL, '肛肠胃肠(专家)', NULL, 'GCWCZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3040000', 3, NULL, '组织人事部', NULL, 'ZZRSB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3041', 1, NULL, '消化内科病区', NULL, 'XHNKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3042', 3, NULL, '普外二(专家)', NULL, 'PWE(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('305', 3, NULL, '神经(脑)外科(专家)', NULL, 'SJNWK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3050000', 3, NULL, '工会', NULL, 'GH', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3051', 1, NULL, '肝胆脾胰外科病区', NULL, 'GDPYWKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('306', 3, NULL, '肿瘤外科.甲状腺乳腺外科(专家)', NULL, 'ZLWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3060000', 3, NULL, '医务部', NULL, 'YWB', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3060001', 3, NULL, '医院感染管理科', NULL, 'YYGRGLK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3060003', 3, NULL, '质量管理办公室', NULL, 'ZLGLBGS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3061', 1, NULL, '心胸/甲乳/血管/疝外科病区', NULL, 'XXJRXGSWKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('307', 3, NULL, '血液肿瘤内科(专家)', NULL, 'XYZLNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3070001', 3, NULL, '技能培训中心', NULL, 'JNPXZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3070002', 3, NULL, '骨科支具室', NULL, 'GKZJS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3070003', 3, NULL, '中心实验室', NULL, 'ZXSYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3071', 1, NULL, '泌尿外科病区', NULL, 'MNWKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('308', 3, NULL, '妇产科(专家)', NULL, 'FCK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3080000', 3, NULL, '护理部', NULL, 'HLB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3081', 1, NULL, '胃肠外科/肛肠科/肿瘤外科病区', NULL, 'WCWKGCKZLWKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('309', 3, NULL, '妇产科.不孕不育(专家)', NULL, 'FCKBYBY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3090000', 3, NULL, '质控院感', NULL, 'ZKYG', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3091', 1, NULL, '神经外科病区', NULL, 'SJWKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('310', 3, NULL, '感染.肝病(专家)', NULL, 'GRGBZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3101', 1, NULL, '骨科一病区', NULL, 'GKYBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3102', 1, NULL, '骨科二病区', NULL, 'GKEBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('311', 3, NULL, '眼科(专家)', NULL, 'YK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3110000', 3, NULL, '核算科', NULL, 'HSK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3111', 1, NULL, '医疗美容科/整形外科病区(十九病区)', NULL, 'YLMRKZXWKBQSJBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3111', 3, NULL, '眼底病专科', NULL, 'YDBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('312', 3, NULL, '耳鼻咽喉科(专家)', NULL, 'EBHK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3120000', 3, NULL, '财务核算部', NULL, 'CWHSB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3120009', 3, NULL, '眼科收费处', NULL, 'YKCFC', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3121', 1, NULL, '妇产科病区', NULL, 'FCKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('313', 3, '01', '内分泌科', NULL, 'NFMK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3131', 1, NULL, '儿科病区', NULL, 'EKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3132', 1, NULL, '新生儿监护病房病区', NULL, 'XSEJHBFBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('314', 3, NULL, '中医科(专家)', NULL, 'ZYK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3140000', 3, NULL, '信息中心', NULL, 'XXZX', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3140100', 3, NULL, 'IT中心', NULL, 'JSJZX', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3140200', 3, NULL, '统计室', NULL, 'TJS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3140300', 3, NULL, '图书室', NULL, 'TSS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3141', 1, NULL, '急诊医学科病区', NULL, 'JZYXKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3151', 1, NULL, 'ICU病区', NULL, 'ICUBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3151', 3, NULL, '中医皮肤(专家)', NULL, 'ZYPF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3152', 1, NULL, 'EICU病区', NULL, 'EICUBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3160000', 3, NULL, '医学工程部', NULL, 'YXGCB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3161', 1, NULL, '感染科病区', NULL, 'GRKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('317', 3, NULL, '皮肤科(专家)', NULL, 'PFK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3171', 1, NULL, '眼科病区', NULL, 'YKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('318', 3, NULL, '骨科.手足外科(专家)', NULL, 'GKSZWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3180000', 1, NULL, '超级管理员', NULL, 'ITZX', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3180001', 1, NULL, '待分配', NULL, 'DFP', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3181', 1, NULL, '耳鼻咽喉科病区', NULL, 'EBYHKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('319', 3, NULL, '泌尿外科(专家)', NULL, 'MNWK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3191', 1, NULL, '口腔科病区', NULL, 'KQKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('32', 3, NULL, '输液室', NULL, 'SYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('320', 3, NULL, '神经内科', NULL, 'SJNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3201', 1, NULL, '皮肤科病区', NULL, 'PFKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3201', 3, '01', '神经内科一', NULL, 'SJNKY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3202', 3, '01', '神经内科二', NULL, 'SJNKE', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('321', 3, NULL, '神经内科(专家)', NULL, 'SJNK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3211', 1, NULL, '全科医学病区', NULL, 'QKYXBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('322', 3, NULL, '呼吸内科(专家)', NULL, 'HXNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3221', 1, NULL, '中医科/中西医结合科病区', NULL, 'ZYKZXYJHKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('323', 3, NULL, '肾脏风湿病内科(专家)', NULL, 'SZFSBNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3231', 1, NULL, '康复医学科/风湿免疫科病区', NULL, 'KFYXKFSMYKBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('324', 3, NULL, '肾脏风湿病内科', NULL, 'SZFSBNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3241', 1, NULL, '老年科病区（预设）', NULL, 'LNKBQYS', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('325', 3, NULL, '儿科', NULL, 'EK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('326', 3, NULL, '肝胆胰专科', NULL, 'GDYZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('327', 3, NULL, '心胸外科(专家)', NULL, 'XXWK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('329', 3, NULL, '内分泌、糖尿病专科', NULL, 'TNBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3291', 3, NULL, '骨质疏松门诊', NULL, 'GZSSMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('330', 3, NULL, '肝病专科', NULL, 'GBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('332', 3, '01', '针推.腰椎间盘突出症', NULL, 'ZTYZJPTCZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('333', 3, '01', '针推.小针刀专科', NULL, 'ZTXZDZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3333', 1, NULL, '入院准备中心病区', NULL, 'RYZBZXBQ', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3334', 1, NULL, '日间病房', NULL, 'RJBF', '护士站', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('335', 3, NULL, '中西医.中医老年病', NULL, 'ZXYZYLNB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3351', 3, NULL, '中医治未专科', NULL, 'ZYZWBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('336', 3, '1030000', '心胸外科', NULL, 'XXWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('338', 3, NULL, '健康管理中心', NULL, 'JKGLZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('339', 3, NULL, '外科呼叫', NULL, 'WK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('341', 3, NULL, '发热专科门诊', NULL, 'FRZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('346', 3, '01', '血液肿瘤内科', NULL, 'XYZLNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('347', 3, NULL, '肺结核专科门诊', NULL, 'FJHZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3471', 3, '01', '肿瘤内科', NULL, 'ZLNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3472', 3, NULL, '肿瘤内科(专家)', NULL, 'ZLNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('348', 3, NULL, '美沙酮诊治门诊', NULL, 'MSTZZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('349', 3, NULL, '消控中心', NULL, 'XKZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('35', 3, NULL, '病理科', NULL, 'BLK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('351', 3, NULL, '咽喉-鼾症门诊', NULL, 'YHHZMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('352', 3, NULL, '中耳炎-耳聋(专家)', NULL, 'ZEYZJMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('355', 3, NULL, '普外二科', NULL, 'PWEKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('356', 3, NULL, '普外一科', NULL, 'PWYKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('357', 3, NULL, '呼吸内科', NULL, 'HXNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3571', 3, NULL, '睡眠呼吸疾病', NULL, 'SMHXJB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3572', 3, NULL, '支气管哮喘', NULL, 'ZQGXC', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3573', 3, NULL, '慢性阻塞性肺疾病', NULL, 'MXZSXFJB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3574', 3, NULL, '肺癌门诊', NULL, 'FAMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3575', 3, NULL, '戒烟门诊(呼吸)', NULL, 'JYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('358', 3, NULL, '肾病专科', NULL, 'SBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('360', 3, NULL, '骨科.手足外科', NULL, 'GKSZWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('361', 3, NULL, '肝胆外科专科', NULL, 'GDWKZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('362', 3, NULL, '普外二.血管外科', NULL, 'PWEXGWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('363', 3, NULL, '肝病介入门诊', NULL, 'GBJRZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('365', 3, '1030000', '骨科.脊柱外科', NULL, 'GKJZWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3651', 3, NULL, '骨伤.针刀专科', NULL, 'GSZDZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('366', 3, '1030000', '骨科.关节外科', NULL, 'GKGJWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('367', 3, '1030000', '介入科', NULL, 'JRK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('368', 3, NULL, '手足口病门诊', NULL, 'SZKBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('369', 3, NULL, '小儿神经(专家)', NULL, 'XESJZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3691', 3, NULL, '儿童保健(专家)', NULL, 'ETBJZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3693', 3, NULL, '小儿神经', NULL, 'XESJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('370', 3, NULL, '肿瘤外科[专家]', NULL, 'ZLWK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('371', 3, NULL, '小儿脑瘫', NULL, 'TENT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('373', 3, NULL, '疝外科(专家)', NULL, 'SWK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('375', 3, NULL, 'PICC门诊', NULL, 'PICCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('376', 3, NULL, '内科综合门诊', NULL, 'NKZHMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('377', 3, NULL, '内科综合门诊(专家)', NULL, 'NKZHMZ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('380', 3, NULL, '不孕不育', NULL, 'BYBY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('381', 3, NULL, '妇科.肿瘤(专家)', NULL, 'FKZLZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('382', 3, NULL, '妇科.宫颈门诊', NULL, 'FKGJMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3821', 3, NULL, '妇科.宫颈(专家)', NULL, 'FKGJZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('383', 3, NULL, '上海九院', NULL, 'SHJY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('384', 3, NULL, '精神卫生科', NULL, 'JSWSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('385', 3, NULL, '骨科-随访', NULL, 'GKSF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('386', 3, NULL, '血管外科(专家)', NULL, 'XGWK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('387', 3, NULL, '乳腺整形专科', NULL, 'RXZXZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('388', 3, NULL, '疼痛科(专家)', NULL, 'TTKMZ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('389', 3, NULL, '产科.母乳喂养', NULL, 'CKMRWY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3891', 3, NULL, '产科.助产士门诊', NULL, 'CKZCSNZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('39', 3, NULL, '心电图', NULL, 'XDT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('391', 3, NULL, '居家护理', NULL, 'PICCMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('392', 3, NULL, '特需门诊', NULL, 'TXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('393', 3, NULL, '产科.再生育咨询门诊', NULL, 'CKZSYZXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('396', 3, NULL, '脾胃病门诊', NULL, 'PWBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('397', 3, NULL, '肺结节门诊（特需）', NULL, 'FJJMZTX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3971', 3, NULL, '肺结节(专家)', NULL, 'FJJ(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3972', 3, NULL, '肺结节普通门诊', NULL, 'FJJPTMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('3990011', 3, NULL, '伤口造口门诊', NULL, 'SKZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('40', 3, NULL, '动态心电图', NULL, 'DTXDT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4001', 1, NULL, '肺功能/气管内镜室', NULL, 'FGNQGNJS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4002', 1, NULL, '心电图室', NULL, 'XDTS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4003', 1, NULL, '脑电图室', NULL, 'NDTS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4004', 1, NULL, '内镜中心', NULL, 'NJZX', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4005', 1, NULL, '碎石中心', NULL, 'SSZX', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4006', 1, NULL, '检验科', NULL, 'JYK', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4007', 1, NULL, '放射科', NULL, 'FSK', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4008', 1, NULL, '病理科', NULL, 'BLK', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4009', 1, NULL, '超声科', NULL, 'CSK', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4010', 1, NULL, '介入中心', NULL, 'JRZX', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4011', 1, NULL, '热疗中心', NULL, 'RLZX', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030000', 3, NULL, '总务科', NULL, 'ZWK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030001', 3, NULL, '支持保障部', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030002', 3, NULL, '支持保障部(电工组)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030003', 3, NULL, '支持保障部(保洁组)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030005', 3, NULL, '支持保障部(锅炉房)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030009', 3, NULL, '支持保障部(电梯)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030010', 3, NULL, '膳食科', NULL, 'SSK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030011', 3, NULL, '支持保障部(职工食堂)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030012', 3, NULL, '支持保障部(病区食堂)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4030015', 3, NULL, '支持保障部(勤杂)', NULL, 'ZCBZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4040003', 3, NULL, '高压氧科', NULL, 'GYYC', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('41', 3, NULL, '脑电图室', NULL, 'NDT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('43', 3, NULL, '超声医学科', NULL, 'KSBCS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4501', 1, NULL, '血透室', NULL, 'XTS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4502', 1, NULL, '医学美容科手术室', NULL, 'YXMRKSSS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4503', 1, NULL, '人流室', NULL, 'RLS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4504', 1, NULL, '分娩室', NULL, 'FMS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4505', 1, NULL, '院前急救', NULL, 'YQJJ', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4506', 1, NULL, '门诊小手术室', NULL, 'MZXSSS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('47', 3, NULL, '脑彩超室', NULL, 'NCC', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('48', 3, NULL, '电生理', NULL, 'DSLJC', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('49', 3, NULL, '肺功能', NULL, 'FGN', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4996', 1, NULL, '输血科', NULL, 'SXK', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4997', 1, NULL, '输液大厅', NULL, 'SYDT', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4998', 1, NULL, '麻醉科', NULL, 'MZK', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('4999', 1, NULL, '手术室', NULL, 'SSS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5001', 1, NULL, '门诊药房', NULL, 'MZYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5002', 1, NULL, '急诊药房', NULL, 'JZYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5003', 1, NULL, '病区药房', NULL, 'BQYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5004', 1, NULL, '中药房', NULL, 'ZYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5005', 1, NULL, '静脉用药调配中心', NULL, 'JMYWPZZX', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5006', 1, NULL, '防保科（疫苗）药房', NULL, 'FBKYMYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5007', 1, NULL, '代煎药房', NULL, 'DJYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5011', 1, NULL, '西药库', NULL, 'XYK', '药库', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5012', 1, NULL, '中药库', NULL, 'ZYK', '药库', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5013', 1, NULL, '医共体药库', NULL, 'YGTYK', '药库', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5021', 1, NULL, '临床药学室', NULL, 'LCYXS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5022', 1, NULL, '药剂科办公室', NULL, 'YJKBGS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5023', 1, NULL, '药学部', NULL, 'YXB', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5060011', 3, NULL, '入院管理中心', NULL, 'RYGLZX', '病区', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('51', 3, NULL, '心理测定', NULL, 'XLCD', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('510', 3, NULL, '面部皮炎门诊', NULL, 'MBPYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5101', 1, NULL, '煤山分院药房', NULL, 'MSFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5102', 1, NULL, '林城分院药房', NULL, 'LCFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5103', 1, NULL, '太湖分院药房', NULL, 'THFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5104', 1, NULL, '图影分院药房', NULL, 'TYFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5105', 1, NULL, '雉城分院药房', NULL, 'ZCFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5106', 1, NULL, '北门社区药房', NULL, 'BMSQYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5107', 1, NULL, '水木花都社区药房', NULL, 'SMHDSQYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5108', 1, NULL, '水口分院药房', NULL, 'SKFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5109', 1, NULL, '看守所药房', NULL, 'KSSYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5110', 1, NULL, '小浦分院药房', NULL, 'XPFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5111', 1, NULL, '行政中心药房', NULL, 'XZZXYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5112', 1, NULL, '龙山分院药房', NULL, 'LSFYYF', '药房', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('512', 3, NULL, '临床心理科', NULL, 'LCXLK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5121', 3, NULL, '临床心理科(专家)', NULL, 'LCXLK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('5122', 3, NULL, '心理咨询门诊', NULL, 'XLZXMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('513', 3, NULL, '多动症门诊（专家）', NULL, 'DDZMZZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('514', 3, NULL, '精神卫生科(专家)', NULL, 'JSWSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('515', 3, NULL, '戒烟门诊', NULL, 'JYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('516', 3, NULL, '便民门诊', NULL, 'BMMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('517', 3, NULL, '中风专病门诊', NULL, 'ZFZBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('518', 3, NULL, '眩晕专病门诊', NULL, 'XYZBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('519', 3, NULL, '痛风、风湿专科(专家)', NULL, 'TFFSZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('53', 3, NULL, '肌电图', NULL, 'JDT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('54', 3, NULL, '动态脑电图室', NULL, 'NDT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('55', 3, NULL, '支气管镜', NULL, 'ZQGJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('561', 3, NULL, '胸痛中心', NULL, 'XTZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('57', 3, NULL, '直肠镜', NULL, 'ZCJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('59', 3, NULL, '门诊手术室', NULL, 'MZSSS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('60', 3, NULL, '门诊检查室', NULL, 'MZJCS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6001', 1, NULL, '财务科办公室', NULL, 'CWKBGS', '财务', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6002', 1, NULL, '住院收费处', NULL, 'ZYSFC', '财务', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6003', 1, NULL, '挂号收费处', NULL, 'GHSFC', '财务', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6011', 1, NULL, '门诊部办公室', NULL, 'MZBBGS', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6012', 1, NULL, '名医服务中心', NULL, 'MYFWZX', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6013', 1, NULL, '国医馆', NULL, 'GYG', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6014', 1, NULL, '双向转诊办公室', NULL, 'SXZZBGS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6021', 1, NULL, '医保办', NULL, 'YBB', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6031', 1, NULL, '公共卫生科办公室', NULL, 'GGWSKBGS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6032', 1, NULL, '健康教育科', NULL, 'JKJYK', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6041', 1, NULL, '质量管理与评审办公室', NULL, 'ZLGLYPSBGS', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6051', 1, NULL, '病案和医疗数据中心', NULL, 'BAHYLSJZX', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6061', 1, NULL, '院感科', NULL, 'YGK', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6071', 1, NULL, '消毒供应室', NULL, 'XDGYS', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('61', 3, NULL, '康复医学科(门诊)', NULL, 'KFYXKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6100011', 3, NULL, '居家护理、慢病管理中心', NULL, 'JJHLMBGLZX', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6100012', 3, NULL, '日间手术', NULL, 'RJSS', '住院', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('65', 3, NULL, '外科换药室', NULL, 'WKHYS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6501', 1, NULL, '本院规培', NULL, 'BYGP', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6502', 1, NULL, '外院规培', NULL, 'WYGP', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6511', 1, NULL, '献血小屋', NULL, 'XXXW', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6521', 1, NULL, '院办室', NULL, 'YBS', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6531', 1, NULL, '文印室', NULL, 'WYS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6532', 1, NULL, '驾驶班（行政）', NULL, 'JSBXZ', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6533', 1, NULL, '收发室', NULL, 'SFS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6534', 1, NULL, '员工服务中心', NULL, 'YGFWZX', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6535', 1, NULL, '档案室', NULL, 'DAS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6541', 1, NULL, '党办', NULL, 'DB', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6551', 1, NULL, '内审科', NULL, 'NSK', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6561', 1, NULL, '人力资源部', NULL, 'RLZYB', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6571', 1, NULL, '后勤服务部办公室', NULL, 'HQFWBBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6581', 1, NULL, '物资采购办公室', NULL, 'WZCGBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6582', 1, NULL, '门诊耗材发放处', NULL, 'MZHCFFC', '医技', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6583', 1, NULL, '消控中心', NULL, 'XKZX', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6584', 1, NULL, '后勤保障办公室', NULL, 'HQBZBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6585', 1, NULL, '后勤保障服务', NULL, 'HQBZFW', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6586', 1, NULL, '后勤保障维修', NULL, 'HQBZWX', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6587', 1, NULL, '洗衣房', NULL, 'XYF', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6588', 1, NULL, '膳食管理办公室', NULL, 'SSGLBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6591', 1, NULL, '基建科', NULL, 'JJK', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6601', 1, NULL, '科教办公室', NULL, 'KJBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6602', 1, NULL, '临床技能培训中心', NULL, 'LCJNPXZX', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6603', 1, NULL, '图书馆', NULL, 'TSG', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6611', 1, NULL, '设备科', NULL, 'SBK', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6621', 1, NULL, '120急救中心办公室', NULL, '120JJZXBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6622', 1, NULL, '驾驶班', NULL, 'JSB', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6623', 1, NULL, '调度室', NULL, 'DDS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6631', 1, NULL, '宣传中心', NULL, 'XCZX', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6641', 1, NULL, '纪检监察室', NULL, 'JJJCS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6651', 1, NULL, '项目管理办公室', NULL, 'XMGLBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6661', 1, NULL, '仁怡公社管理办公室', NULL, 'RYGSGLBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6671', 1, NULL, '团委', NULL, 'TW', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6681', 1, NULL, '社会发展部', NULL, 'SHFZB', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6691', 1, NULL, '离退休办公室', NULL, 'LTXBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6701', 1, NULL, '工会办公室', NULL, 'GHBGS', '后勤', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6711', 1, NULL, '外借', NULL, 'WJ', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6888', 1, NULL, 'IT中心', NULL, 'ITZX', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6977', 1, NULL, '护理部', NULL, 'HLB', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6988', 1, NULL, '医务科', NULL, 'YWK', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6989', 1, NULL, '医疗安全科', NULL, 'YLAQK', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('6999', 1, NULL, '院领导', NULL, 'YLD', '机关', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('70', 3, NULL, '膀胱镜', NULL, 'PGJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7000', 1, NULL, '海遇测试部门', NULL, 'HYCSBM', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7001', 1, NULL, '平台测试部门', NULL, 'PTCSBM', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7003', 1, NULL, '财政拨款收入', NULL, 'CZBKSR', '其它', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('71', 3, NULL, '其它', NULL, 'QT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('728', 3, NULL, '物资供应中心', NULL, 'WZGYZX', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('73', 3, NULL, '冷冻科', NULL, 'LDK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('74', 3, NULL, '挂号室', NULL, 'GHS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('75', 3, NULL, '放射科2', NULL, 'FSK2', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('751', 3, NULL, '放射科', NULL, 'FSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('76', 3, NULL, '区政府医务室', NULL, 'QZFYWS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('78', 3, NULL, '区公安局医务室', NULL, 'QKAJYWS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('79', 3, NULL, '针灸推拿康复科', NULL, 'ZJTNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('792', 3, NULL, '针灸推拿康复（专家）', NULL, 'ZJTNKFZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7921', 3, NULL, '(国医馆)针灸推拿康复', NULL, 'GYGZJTNKF', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7922', 3, NULL, '(国医馆)针灸推拿康复(专家)', NULL, 'GYGZJTNKFZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7923', 3, NULL, '脊柱侧弯矫形专科(国医馆)', NULL, 'JZCWJXZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7924', 3, NULL, '偏瘫康复治疗专科(国医馆)', NULL, 'PTKFZLZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7925', 3, NULL, '治未病专科', NULL, 'ZWBZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('793', 3, NULL, '康复医学科(专家)', NULL, 'KFYXKZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('794', 3, NULL, '针灸减肥美容专科', NULL, 'ZJJFMRZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('795', 3, NULL, '头昏眩晕专科', NULL, 'THXYZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('796', 3, '01', '针推.颈椎病专科', NULL, 'ZTJZBZKMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('797', 3, NULL, '抽动症门诊（专家）', NULL, 'CDZMZZJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('798', 3, NULL, '脱发专病门诊', NULL, 'TFZBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7991', 3, NULL, '激光微整美容专科', NULL, 'JGWZMRZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('7992', 3, NULL, '痤疮专病门诊', NULL, 'CCZBMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('80', 3, NULL, '皮试计费', NULL, 'PSJF', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('81', 3, '1030000', '妇科', NULL, 'FK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('811', 3, NULL, '妇科.整形盆底', NULL, 'FKZXPD', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('812', 3, NULL, '妇科.计划生育门诊', NULL, 'FKJHSYMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('82', 3, '1030000', '产科(普通)', NULL, 'CKPT', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('821', 3, '1030000', '产科(专家)', NULL, 'CK(ZJ)', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('84', 3, NULL, '眼科门诊手术室', NULL, 'YKMZSSS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('85', 3, NULL, '输血科', NULL, 'SXK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('86', 3, NULL, '120', NULL, '120', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('88', 3, NULL, '眼科门诊', NULL, 'YKMZ', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('90', 3, NULL, '行政事务部', NULL, 'YB', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9001002', 3, NULL, 'B超呼叫', NULL, 'BCHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9002001', 3, NULL, '心电图呼叫', NULL, 'XDTHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9003001', 3, NULL, '肺功能呼叫', NULL, 'FGNHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9004001', 3, NULL, '肌电图呼叫', NULL, 'JDTHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9005001', 3, NULL, '放射呼叫', NULL, 'FSHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9006001', 3, NULL, '内镜呼叫', NULL, 'NJHJ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9011', 3, NULL, '浙大儿童医院', NULL, 'ZDETYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('902', 3, NULL, '上海华山医院', NULL, 'HSYYHZK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('904', 3, NULL, '上海肿瘤医院', NULL, 'SHZLYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('906', 3, NULL, '浙大二院', NULL, 'ZDEY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('907', 3, NULL, '浙大一院', NULL, 'ZDYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('908', 3, NULL, '浙大邵逸夫医院', NULL, 'ZDSYFYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('909', 3, NULL, '浙江省人民医院', NULL, 'ZJSRMYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('91', 3, NULL, '社区卫生服务', NULL, 'SQWSFW', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('910', 3, NULL, '广州中山眼科中心', NULL, 'GZZSYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('912', 3, '01', '新生儿科', NULL, 'XSEK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('914', 3, NULL, '上海儿童医学中心', NULL, 'SHETYXZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('915', 3, NULL, '医疗安全部(市场管理科)', NULL, 'YLAQBSCGLK', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('916', 3, NULL, '科教部', NULL, 'KYJXB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('9161', 3, NULL, '轮转科', NULL, 'lzk', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('917', 3, NULL, '上海华东医院', NULL, 'SHHDYY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('919', 3, NULL, '门诊办(护士)', NULL, 'MZBHS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('92', 3, NULL, '物价医保办公室', NULL, 'WJYBBGS', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('920', 3, NULL, '门诊收费处', NULL, 'MZSFC', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('922', 3, NULL, '住院收费处', NULL, 'ZYCFC', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('93', 3, NULL, '门诊办公室', NULL, 'MZBGS', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('94', 3, NULL, '儿科特殊门诊', NULL, 'EKTSMZ', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('95', 3, NULL, '基建拓展部', NULL, 'JJTZB', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('954', 3, NULL, '上海六院', NULL, 'SHLY', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('961', 3, NULL, '激光中心', NULL, 'JGZX', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('98', 3, NULL, '公安局医疗点', NULL, 'GAJYLD', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('99', 3, NULL, '返聘专家科', NULL, 'FPZJK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('B346', 3, '01', '血液肿瘤内科', NULL, 'XYZLNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('B347', 3, '01', '肿瘤内科', NULL, 'ZLNK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('B348', 3, '01', '老年病科', NULL, 'LNBK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('B751', 3, NULL, '放射科', NULL, 'FSK', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJ01', 3, NULL, '体检中心', NULL, 'TJZX', '门诊', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJA001', 3, NULL, '台州市椒江区海门街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJB001', 3, NULL, '台州市椒江区白云街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJC001', 3, NULL, '台州市椒江区葭芷街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJC002', 3, NULL, '台州市椒江区葭芷街道东山卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJD001', 3, NULL, '台州市椒江区洪家街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJE001', 3, NULL, '台州市椒江区三甲街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJF001', 3, NULL, '台州市椒江区下陈街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJG001', 3, NULL, '台州市椒江区章安街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJH001', 3, NULL, '台州市椒江区前所街道卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('TJI001', 3, NULL, '台州市椒江区大陈镇卫生院', NULL, 'NULL', 'NULL', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('X0001', 3, NULL, '党委办公室', NULL, 'DWB', '院办', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `bas_dept_info` VALUES ('X0002', 3, NULL, '院领导', NULL, 'YLD', '院办', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');

SET FOREIGN_KEY_CHECKS = 1;

update med_record_analyze
set map_keys=concat(map_keys,',mode_id=',mode_id)
where map_keys NOT like '%mode_id=%';

update med_record_analyze
set map_keys=concat(map_keys,',rec_title=',rec_type)
where map_keys NOT like '%rec_title=%';

insert into med_record_analyze(hospital_id,name,mode_id,mode_name,rec_type,map_type) VALUE(1,'长兴病案首页模板',6,'病案首页','病案首页','1');
insert into med_record_module(hospital_id,rec_type_detail,with_record_analyze_names,mode_id,mode_name) VALUE(1,'长兴病案首页模板','长兴病案首页模板',6,'病案首页');
insert into med_record_analyze(hospital_id,name,mode_id,mode_name,rec_type,map_type) VALUE(3,'台州病案首页模板',6,'病案首页','病案首页','1');
insert into med_record_module(hospital_id,rec_type_detail,with_record_analyze_names,mode_id,mode_name) VALUE(3,'台州病案首页模板','台州病案首页模板',6,'病案首页');

CREATE TABLE `med_record_analyze_example` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `record_analyze_id` bigint(20) DEFAULT NULL COMMENT '主表ID',
  `behospital_code` varchar(50) DEFAULT NULL COMMENT '病人住院ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=111472 DEFAULT CHARSET=utf8 COMMENT='医院病历文书类型细分类示例表';

alter table qc_module_info MODIFY COLUMN `record_module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT 'med_record_module的id';

DROP TABLE IF EXISTS `med_module_mapping`;
CREATE TABLE `med_module_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '模板id',
  `record_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '文书id(med_record_analyze中的id)',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `remark` varchar(128) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`),
  KEY `record_id` (`record_id`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8 COMMENT='模板与文书映射关系表';


ALTER TABLE `med_behospital_info` ADD INDEX `idx_hospital_id_behospital_code` (`hospital_id`,`behospital_code`) USING BTREE;

alter table med_medical_record add COLUMN `status` TINYINT(4) NOT NULL DEFAULT '0' COMMENT '模板处理状态(0:未处理，1：已处理)' AFTER `rec_title`;

alter table med_home_diagnose_info MODIFY COLUMN `diagnose_order_no` INT(11) NOT NULL COMMENT '诊断序号';
alter table med_home_operation_info MODIFY COLUMN `operation_order_no` INT(11) NOT NULL COMMENT '手术序号';

alter table med_home_page MODIFY COLUMN  `again_behospital_plan` varchar(10) DEFAULT NULL COMMENT '三十一天内再住院计划';
update sys_dictionary_info set val = '三十一天内再住院计划' where name = 'againBehospitalPlan';