use `qc`;

ALTER TABLE `sys_menu` ADD  COLUMN `show_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否在右侧菜单显示(0:不显示，1：显示)' AFTER `code`;
ALTER TABLE `sys_menu` ADD  COLUMN `maintain_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否可以维护(0:不可维护，1：可以维护)' AFTER `show_status`;

ALTER TABLE `sys_permission` ADD  COLUMN `code` varchar(10) NOT NULL DEFAULT '' COMMENT '资源编码' AFTER `name`;

ALTER TABLE `sys_user` ADD  COLUMN `status` int(11) NOT NULL DEFAULT '1' COMMENT '是否启用(0:停用，1：启用)' AFTER `linkman`;

alter table `med_qcresult_detail` add  column `info` varchar(500) DEFAULT '' COMMENT '质控返回提示信息' AFTER `msg`;
ALTER TABLE `med_behospital_info` MODIFY COLUMN `doctor_id` varchar(16) DEFAULT '' COMMENT '主治医生ID';
ALTER TABLE `med_behospital_info` MODIFY COLUMN `doctor_name` varchar(50) DEFAULT '' COMMENT '主治医生姓名';
alter table `med_behospital_info` add  column  `beh_doctor_id` varchar(16) DEFAULT '' COMMENT '住院医生ID' AFTER `doctor_name`;
alter table `med_behospital_info` add  column `beh_doctor_name` varchar(50) DEFAULT '' COMMENT '住院医生姓名' AFTER `beh_doctor_id`;
alter table `med_behospital_info` add  column `director_doctor_id` varchar(16) DEFAULT '' COMMENT '主任医生ID' AFTER `beh_doctor_name`;
alter table `med_behospital_info` add  column `director_doctor_name` varchar(50) DEFAULT '' COMMENT '主任医生姓名' AFTER `director_doctor_id`;

ALTER TABLE `med_behospital_info` MODIFY COLUMN `qc_type_id` bigint(20) DEFAULT '0' COMMENT '质控类型';

ALTER TABLE `med_home_page` MODIFY COLUMN `residence_post_code` varchar(10) DEFAULT NULL COMMENT '户口地址邮编';
ALTER TABLE `med_home_page` MODIFY COLUMN `work_post_code` varchar(10) DEFAULT NULL COMMENT '工作单位邮编';
ALTER TABLE `med_medical_record` MODIFY COLUMN `mode_id` bigint(20) DEFAULT '0' COMMENT '模块id';



-- ----------------------------
-- Table structure for qc_cases
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases`;
CREATE TABLE `qc_cases` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '模块名称',
  `prefix` varchar(255) DEFAULT NULL COMMENT '模块编码前缀',
  `order_no` int(6) DEFAULT NULL COMMENT '顺序号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=285 DEFAULT CHARSET=utf8 COMMENT='模块数据标准';

-- ----------------------------
-- Records of qc_cases
-- ----------------------------
INSERT INTO `qc_cases` VALUES ('237', '入院记录', 'BEH0', null, 'behospitalized', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('238', '首次病程录', 'FIRC0', null, 'firstCourseRecord', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('239', '死亡病例讨论制度', 'DEAC0', null, 'deathCaseDiscuss', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('240', '疑难病例讨论制度', 'DIF0', null, 'difficultCaseDiscuss', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('241', '三级查房制度', 'THR0', null, 'threeLevelWard', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('242', '出院小结', 'LEA0', null, 'leaveHospital', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('243', '病案首页', 'FIRP0', null, 'firstPageRecord', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('244', '会诊制度', 'CON0', null, 'consultation', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('245', '分级护理制度', 'NUR0', null, 'nursingSystem', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('246', '值班及交接班制度', 'DUT0', null, 'dutyShiftSystem', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('247', '临床用血审核制度', 'CLI0', null, 'clinicalBlood', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('248', '围手术期病历讨论', 'OPE0', null, 'operationDiscussion', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('249', '术前讨论制度', 'PRE0', null, 'preOperativeDiscussion', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('250', '死亡记录', 'DEAR0', null, 'deathRecord', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('262', '危急值报告制度', 'CON0', null, 'criticalValue', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('280', '医嘱', 'ADVI0', null, 'doctorAdvice', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('281', '有创操作记录', 'INVA0', null, 'invasiveOperation', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('282', '诊疗合理性', 'REAS0', null, 'reasonableDiagnosis', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('283', '病历书写规范', 'MEDI0', null, 'medicalWriting', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases` VALUES ('284', '麻醉相关', 'ANES0', null, 'anesthesiarelated', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');

-- ----------------------------
-- Table structure for qc_cases_entry
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_entry`;
CREATE TABLE `qc_cases_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `cases_id` bigint(20) DEFAULT NULL COMMENT '病历id',
  `cases_name` varchar(255) DEFAULT NULL,
  `mode_id` bigint(20) DEFAULT NULL COMMENT '数据模块ID-对应qc_mode.id',
  `code` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL COMMENT '条目',
  `precond` varchar(255) DEFAULT NULL,
  `order_no` int(6) DEFAULT NULL COMMENT '顺序号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2900 DEFAULT CHARSET=utf8 COMMENT='病历条目';

-- ----------------------------
-- Records of qc_cases_entry
-- ----------------------------
INSERT INTO `qc_cases_entry` VALUES ('2126', '241', '三级查房制度', '4', 'THR0691', '放化疗等措施未在病程录记录', null, '2126', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2127', '241', '三级查房制度', '4', 'THR0690', '再手术等措施未在病程录记录', null, '2127', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2128', '241', '三级查房制度', '4', 'THR0689', '术后康复等措施未在病程录记录', null, '2128', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2129', '241', '三级查房制度', '4', 'THR0688', '病程记录不规范', null, '2129', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2130', '241', '三级查房制度', '4', 'THR0687', '病程记录应根据病情观察、查房情况并结合检查结果进行分析、判断，记录体现三级医师的诊断思路和处理方案', null, '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2131', '241', '三级查房制度', '22', 'THR0686', '抢救记录与抢救医嘱不一致', null, '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2132', '241', '三级查房制度', '22', 'THR0685', '抢救记录未记录参加抢救医务人员姓名及职称', null, '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2133', '241', '三级查房制度', '22', 'THR0684', '抢救记录未记录抢救措施', null, '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2134', '241', '三级查房制度', '22', 'THR0683', '抢救记录未记录抢救时间', null, '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2135', '241', '三级查房制度', '22', 'THR0682', '抢救记录无病情变化情况', null, '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2136', '241', '三级查房制度', '22', 'THR0681', '抢救记录无记录时间', null, '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2137', '241', '三级查房制度', '22', 'THR0680', '抢救记录未在抢救开始后6小时内完成', null, '2137', null, 'N', '2020-04-20 14:18:42', '2020-04-20 14:18:42', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2138', '284', '麻醉相关', null, 'ANES0679', '麻醉记录未记录出血量', null, '2138', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2139', '284', '麻醉相关', null, 'ANES0678', '麻醉记录未记录尿量', null, '2139', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2140', '284', '麻醉相关', null, 'ANES0677', '麻醉记录无施麻醉者', null, '2140', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2141', '284', '麻醉相关', null, 'ANES0676', '麻醉记录无麻醉方法', null, '2141', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2142', '284', '麻醉相关', null, 'ANES0675', '麻醉记录无手术名称', null, '2142', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2143', '284', '麻醉相关', null, 'ANES0674', '麻醉记录无手术后诊断', null, '2143', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2144', '284', '麻醉相关', null, 'ANES0673', '麻醉记录无拟施手术', null, '2144', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2145', '284', '麻醉相关', null, 'ANES0672', '麻醉记录无术前诊断', null, '2145', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2146', '284', '麻醉相关', null, 'ANES0671', '麻醉记录缺麻醉执业医师签名', null, '2146', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2147', '284', '麻醉相关', null, 'ANES0670', '麻醉前访视记录不规范', null, '2147', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2148', '284', '麻醉相关', null, 'ANES0669', '麻前访视录无麻醉执业医师签名', null, '2148', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2149', '284', '麻醉相关', null, 'ANES0668', '麻醉术前访视记录未在术前完成', null, '2149', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2150', '283', '病历书写规范', null, 'MEDI0667', '非执业医师书写的病历无执业医师审核签名', null, '2150', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2151', '283', '病历书写规范', null, 'MEDI0666', '拷贝导致的严重错误', null, '2151', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2152', '283', '病历书写规范', null, 'MEDI0665', '病历内容误归入', null, '2152', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2153', '283', '病历书写规范', null, 'MEDI0664', '病历内容缺失', null, '2153', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2154', '283', '病历书写规范', null, 'MEDI0663', '伪造、篡改病理主要内容', null, '2154', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2155', '283', '病历书写规范', null, 'MEDI0662', '病历出现错别字', null, '2155', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2156', '283', '病历书写规范', null, 'MEDI0661', '病历排序不正确', null, '2156', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2157', '283', '病历书写规范', null, 'MEDI0660', '重要部位涂改', null, '2157', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2158', '283', '病历书写规范', null, 'MEDI0659', '重要部位粘贴', null, '2158', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2159', '283', '病历书写规范', null, 'MEDI0658', '内容欠客观准确，相互矛盾', null, '2159', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2160', '283', '病历书写规范', null, 'MEDI0657', '打印病历字迹不清', null, '2160', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2161', '283', '病历书写规范', null, 'MEDI0656', '手书字迹潦草', null, '2161', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2162', '283', '病历书写规范', null, 'MEDI0655', '涂改', null, '2162', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2163', '283', '病历书写规范', null, 'MEDI0654', '粘贴', null, '2163', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2164', '283', '病历书写规范', null, 'MEDI0653', '修（补）正不符合要求', null, '2164', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2165', '248', '围手术期病历讨论', '18', 'OPE0652', '术后首程无患方签名', null, '2165', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2166', '248', '围手术期病历讨论', '18', 'OPE0651', '术后首程未在手术结束1小时内完成', null, '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2167', '248', '围手术期病历讨论', '18', 'OPE0650', '术后首程手术名称和方式未填写', null, '2167', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2168', '248', '围手术期病历讨论', '18', 'OPE0649', '术后首程麻醉方式未填写', null, '2168', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2169', '248', '围手术期病历讨论', '17', 'OPE0648', '手术记录由非参加手术者书写', null, '2169', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2170', '248', '围手术期病历讨论', '17', 'OPE0647', '手术记录未在术后24h内完成', null, '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2171', '248', '围手术期病历讨论', '17', 'OPE0646', '未记录术中输血情况', null, '2171', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2172', '248', '围手术期病历讨论', '17', 'OPE0645', '未记录术中耗材情况', null, '2172', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2173', '248', '围手术期病历讨论', '17', 'OPE0644', '未记录术中并发症情况', null, '2173', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2174', '248', '围手术期病历讨论', '17', 'OPE0643', '未记录冰冻切片病理结果', null, '2174', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2175', '248', '围手术期病历讨论', '17', 'OPE0642', '未记录无术中发现', null, '2175', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2176', '248', '围手术期病历讨论', '17', 'OPE0641', '未记录切下标本处理情况', null, '2176', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2177', '248', '围手术期病历讨论', '17', 'OPE0640', '未记录麻醉医师', null, '2177', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2178', '248', '围手术期病历讨论', '17', 'OPE0639', '未记录巡回护士', null, '2178', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2179', '248', '围手术期病历讨论', '17', 'OPE0638', '未记录器械护士', null, '2179', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2180', '248', '围手术期病历讨论', '17', 'OPE0637', '未记录手术助手', null, '2180', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2181', '248', '围手术期病历讨论', '17', 'OPE0636', '未记录手术医师', null, '2181', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2182', '248', '围手术期病历讨论', '17', 'OPE0635', '未记录手术经过及处理', null, '2182', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2183', '248', '围手术期病历讨论', '17', 'OPE0634', '术(中)后诊断未填写', null, '2183', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2184', '248', '围手术期病历讨论', '17', 'OPE0632', '手术切口类别未填写', null, '2184', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2185', '248', '围手术期病历讨论', '17', 'OPE0631', '手术结束时间不规范', null, '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2186', '248', '围手术期病历讨论', '17', 'OPE0630', '手术开始时间不规范', null, '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2187', '248', '围手术期病历讨论', '17', 'OPE0629', '缺手术结束时间', null, '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2188', '248', '围手术期病历讨论', '17', 'OPE0628', '缺手术开始时间', null, '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2189', '282', '诊疗合理性', null, 'REAS0627', '诊治过程欠合理', null, '2189', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2190', '282', '诊疗合理性', null, 'REAS0626', '重要医疗措施调整不及时', null, '2190', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2191', '282', '诊疗合理性', null, 'REAS0625', '重要药物调整不及时', null, '2191', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2192', '282', '诊疗合理性', null, 'REAS0624', '严重违反用药原则及剂量规定', null, '2192', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2193', '282', '诊疗合理性', null, 'REAS0623', '诊疗措施严重违反医疗原则规范', null, '2193', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2194', '281', '有创操作记录', null, 'INVA0622', '无有创操作知情同意书或患方签名未授权', null, '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2195', '281', '有创操作记录', null, 'INVA0621', '操作医师未签名', null, '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2196', '281', '有创操作记录', null, 'INVA0620', '操作记录无操作后医嘱', null, '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2197', '281', '有创操作记录', null, 'INVA0619', '操作记录无操作后注意事项', null, '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2198', '281', '有创操作记录', null, 'INVA0618', '操作记录无操作后体征描述', null, '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2199', '281', '有创操作记录', null, 'INVA0617', '非执业医师书写操作记录', null, '2199', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2200', '281', '有创操作记录', null, 'INVA0616', '操作记录过程顺利与否未描述', null, '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2201', '281', '有创操作记录', null, 'INVA0615', '操作记录无患者一般情况', null, '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2202', '281', '有创操作记录', null, 'INVA0614', '操作记录无结果', null, '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2203', '281', '有创操作记录', null, 'INVA0613', '操作记录无操作步骤', null, '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2204', '281', '有创操作记录', null, 'INVA0612', '操作记录过程有无不良反应未描述', null, '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2205', '281', '有创操作记录', null, 'INVA0611', '操作记录无操作时间', null, '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2206', '281', '有创操作记录', null, 'INVA0610', '操作记录无术前准备', null, '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2207', '281', '有创操作记录', null, 'INVA0609', '操作记录无操作名称', null, '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2208', '281', '有创操作记录', null, 'INVA0608', '操作记录无患者信息，核对有误', null, '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2209', '241', '三级查房制度', '4', 'THR0607', '冒用上级医生工号密码书写病历文书', null, '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2210', '241', '三级查房制度', '4', 'THR0606', '对抢救病人的上级医师查房记录未精确到时分', null, '2210', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2211', '241', '三级查房制度', '4', 'THR0605', 'Fellow查房记录无审核', null, '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2212', '241', '三级查房制度', '4', 'THR0604', '主治医师查房记录无审核', null, '2212', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2213', '241', '三级查房制度', '4', 'THR0603', '对危重疑难病人的上级医师查房记录未精确到时分', null, '2213', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2214', '241', '三级查房制度', '4', 'THR0602', '主刀医师在术后48小时内无查房记录', null, '2214', null, 'N', '2020-04-22 14:58:25', '2020-04-22 14:58:25', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2215', '241', '三级查房制度', '4', 'THR0601', '整份病历无主治医师查房记录', null, '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2216', '241', '三级查房制度', '4', 'THR0600', '危重患者查房记录无上级医师签名', null, '2216', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2217', '246', '值班及交接班制度', '34', 'DUT0599', '转科后病程录没有连续记录3天', null, '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2218', '246', '值班及交接班制度', '26', 'DUT0598', '接科记录未在24h内完成', null, '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2219', '246', '值班及交接班制度', '27', 'DUT0597', '转出记录未在转出前完成', null, '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2220', '241', '三级查房制度', '4', 'THR0596', '病危患者每天应有一次病程记录', null, '2220', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2221', '241', '三级查房制度', '4', 'THR0595', '病重患者每2天应有一次病程记录', null, '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2222', '241', '三级查房制度', '4', 'THR0594', '术后病程录对引流管的引流液性状未记录', null, '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2223', '241', '三级查房制度', '4', 'THR0593', '术后病程录对引流管的引流量未记录', null, '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2224', '241', '三级查房制度', '4', 'THR0592', '对于异常病理检查结果无分析', null, '2224', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2225', '241', '三级查房制度', '4', 'THR0591', '医嘱中有病理相关检查，病程中无病理报告结果', null, '2225', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2226', '241', '三级查房制度', '4', 'THR0590', '病情危重患者每天应有一次病程记录', null, '2226', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2227', '280', '医嘱', null, 'ADVI0589', '使用抗生素前无采样培养', null, '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2228', '241', '三级查房制度', '4', 'THR0588', '病情稳定患者连续3天无病程记录', null, '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2229', '248', '围手术期病历讨论', '18', 'OPE0587', '术后病程录没有连续记录3天', null, '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2230', '241', '三级查房制度', '4', 'THR0586', '在病程录中无补充诊断相应依据', null, '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2231', '241', '三级查房制度', '4', 'THR0585', '病程录中无修正诊断的相应依据记录', null, '2231', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2232', '249', '术前讨论制度', '11', 'PRE0584', '按制度需行手术审批而未审批', null, '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2233', '249', '术前讨论制度', '11', 'PRE0583', '疑难手术审批内容缺项或不规范', null, '2233', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2234', '249', '术前讨论制度', '11', 'PRE0582', '术前讨论无主持人小结意见', null, '2234', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2235', '249', '术前讨论制度', '11', 'PRE0581', '术前讨论无记录者签名', null, '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2236', '249', '术前讨论制度', '11', 'PRE0580', '术前讨论记录未记录讨论者的姓名及职称', null, '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2237', '249', '术前讨论制度', '11', 'PRE0579', '术前讨论记录讨论日期未填写', null, '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2238', '249', '术前讨论制度', '11', 'PRE0578', '术前讨论记录未记录具体讨论意见', null, '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2239', '249', '术前讨论制度', '11', 'PRE0577', '术前讨论及小结无上级医师(副高及以上)审核', null, '2239', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2240', '249', '术前讨论制度', '11', 'PRE0576', '术前准备情况未描述术前重要检查结果等', null, '2240', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2241', '249', '术前讨论制度', '11', 'PRE0575', '术前讨论及小结无简要病情', null, '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2242', '247', '临床用血审核制度', '10', 'CLI0574', '输血知情同意书无患方签名或患方签名未授权', null, '2242', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2243', '247', '临床用血审核制度', '10', 'CLI0573', '输血记录输注前评估未填写', null, '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2244', '247', '临床用血审核制度', '10', 'CLI0572', '输血记录Rh血型与化验中血型不一致', null, '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2245', '247', '临床用血审核制度', '10', 'CLI0571', '输血记录Rh血型未填写', null, '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2246', '247', '临床用血审核制度', '10', 'CLI0570', '输血记录血型与化验中血型不一致', null, '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2247', '247', '临床用血审核制度', '10', 'CLI0569', '输血记录血型未填写', null, '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2248', '247', '临床用血审核制度', '10', 'CLI0568', '输血记录输血记录时间未填写', null, '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2249', '247', '临床用血审核制度', '10', 'CLI0566', '输血记录输血记录者未签名', null, '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2250', '247', '临床用血审核制度', '10', 'CLI0565', '输血记录输血结束时间填写不规范', null, '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2251', '247', '临床用血审核制度', '10', 'CLI0564', '输血记录输血结束时间未填写', null, '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2252', '247', '临床用血审核制度', '10', 'CLI0563', '输血记录开始输血时间填写不规范', null, '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2253', '247', '临床用血审核制度', '10', 'CLI0562', '输血记录开始输血时间未填写', null, '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2254', '250', '死亡记录', '24', 'DEAR0561', '死亡记录未在患者离院后24小时内完成', null, '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2255', '237', '入院记录', '1', 'BEH0560', '在现病史中症状主诉未填写', '11', '2255', '在现病史中症状主诉未填写', 'N', '2020-05-07 14:03:38', '2020-05-07 14:03:38', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2256', '242', '出院小结', '5', 'LEA0559', '出院带药未填写', '', '2256', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2257', '239', '死亡病例讨论制度', '3', 'DEAC0558', '死亡病例讨论无主持人小结意见', null, '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2258', '239', '死亡病例讨论制度', '3', 'DEAC0557', '死亡病例讨论无具体讨论意见', null, '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2259', '239', '死亡病例讨论制度', '3', 'DEAC0556', '死亡病例讨论参加人员姓名及职称未填写', null, '2259', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2260', '240', '疑难病例讨论制度', '19', 'DIF0555', '疑难病例讨论有缺项', null, '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2261', '240', '疑难病例讨论制度', '19', 'DIF0554', '疑难病例讨论无主任或主持人签名', null, '2261', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2262', '240', '疑难病例讨论制度', '19', 'DIF0553', '疑难病例讨论无记录者签名', null, '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2263', '240', '疑难病例讨论制度', '19', 'DIF0552', '疑难病例讨论内容有错误', null, '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2264', '244', '会诊制度', '31', 'CON0551', '会诊结果单中会诊日期及时间填写不规范', null, '2264', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2265', '244', '会诊制度', '31', 'CON0550', '会诊结果单中会诊日期及时间未填写', null, '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2266', '244', '会诊制度', '31', 'CON0549', '会诊结果单中会诊医师未签名', null, '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2267', '244', '会诊制度', '31', 'CON0548', '会诊结果单中会诊意见未填写', null, '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2268', '244', '会诊制度', '31', 'CON0547', '会诊结果单中当前诊断未填写', null, '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2269', '244', '会诊制度', '31', 'CON0546', '会诊结果单中会诊查体未填写', null, '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2270', '244', '会诊制度', '31', 'CON0545', '会诊结果单中病史回顾描述未填写', null, '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2271', '244', '会诊制度', '31', 'CON0544', '会诊结果单中会诊到达日期填写不规范', null, '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2272', '244', '会诊制度', '31', 'CON0543', '会诊结果单中会诊到达日期未填写', null, '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2273', '244', '会诊制度', '31', 'CON0542', '会诊结果单中申请日期未填写', null, '2273', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2274', '244', '会诊制度', '31', 'CON0541', '会诊结果单中会诊科室未填写', null, '2274', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2275', '244', '会诊制度', '31', 'CON0540', '会诊结果单中申请医生未填写', null, '2275', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2276', '244', '会诊制度', '31', 'CON0539', '会诊结果单中会诊类别未填写', null, '2276', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2277', '244', '会诊制度', '31', 'CON0538', '会诊结果单中申请科室未填写', null, '2277', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2278', '244', '会诊制度', '31', 'CON0537', '无会诊结果单', null, '2278', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2279', '244', '会诊制度', '30', 'CON0536', '会诊申请单中会诊日期及时间填写不规范', null, '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2280', '244', '会诊制度', '30', 'CON0535', '会诊申请单中会诊日期及时间未填写', null, '2280', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2281', '244', '会诊制度', '30', 'CON0534', '会诊申请单中会诊科室未填写', null, '2281', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2282', '244', '会诊制度', '30', 'CON0533', '会诊申请单中会诊类别未填写', null, '2282', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2283', '244', '会诊制度', '30', 'CON0532', '会诊申请单中会诊申请科室未填写', null, '2283', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2284', '244', '会诊制度', '7', 'CON0531', '不采纳会诊意见，专科医师未在病程录中记录理由', null, '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2285', '244', '会诊制度', '7', 'CON0530', '会诊记录中会诊医师签名未填写', null, '2285', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2286', '244', '会诊制度', '7', 'CON0529', '会诊记录中会诊医师科室未填写', null, '2286', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2287', '244', '会诊制度', '7', 'CON0528', '无会诊记录', null, '2287', null, 'N', '2020-05-12 10:23:50', '2020-05-12 10:23:50', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2288', '244', '会诊制度', '7', 'CON0527', '病房急会诊未在十分钟内完成', null, '2288', null, 'N', '2020-05-07 17:09:47', '2020-05-07 17:09:47', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2289', '244', '会诊制度', '7', 'CON0526', '急诊室急会诊未按时完成', null, '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2290', '243', '病案首页', '6', 'FIRP0525', '缺少病案首页', null, '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2291', '243', '病案首页', '6', 'FIRP0524', '麻醉医师填写错误', null, '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2292', '243', '病案首页', '6', 'FIRP0523', '麻醉方式填写错误', null, '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2293', '243', '病案首页', '6', 'FIRP0521', '手术级别填写错误', null, '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2294', '243', '病案首页', '6', 'FIRP0520', '电话与入院记录不一致', null, '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2295', '243', '病案首页', '6', 'FIRP0519', '户口地址与入院记录不一致', null, '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2296', '243', '病案首页', '6', 'FIRP0518', '民族与入院记录不一致', null, '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2297', '243', '病案首页', '6', 'FIRP0517', '出生日期与入院记录不一致', null, '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2298', '243', '病案首页', '6', 'FIRP0516', '身份证号码与入院记录不一致', null, '2298', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2299', '242', '出院小结', '5', 'LEA0515', '出院记录无健康教育', null, '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2300', '242', '出院小结', '5', 'LEA0514', '出院记录出院诊断与首页出院诊断不一致', null, '2300', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2301', '242', '出院小结', '5', 'LEA0513', '出院记录无重要发现和结论', null, '2301', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2302', '242', '出院小结', '5', 'LEA0512', '出院记录诊治经过不够详细，并与住院病历内容不一致', null, '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2303', '242', '出院小结', '5', 'LEA0511', '出院记录随访指导注意事项不全', null, '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2304', '242', '出院小结', '5', 'LEA0510', '出院记录复诊时间不明确', null, '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2305', '242', '出院小结', '5', 'LEA0509', '出院记录入院诊断与首程的初步诊断不一致', null, '2305', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2306', '242', '出院小结', '5', 'LEA0508', '出院记录无副主任/主任医师签名', null, '2306', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2307', '242', '出院小结', '5', 'LEA0507', '无出院记录', null, '2307', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2308', '238', '首次病程录', '2', 'FIRC0505', '首次病程记录无主任医师审核签名', null, '2308', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2309', '238', '首次病程录', '2', 'FIRC0504', '治疗计划未填写', null, '2309', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2310', '238', '首次病程录', '2', 'FIRC0503', '检查计划无辅检项目名称', null, '2310', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2311', '238', '首次病程录', '2', 'FIRC0502', '检查计划无化验项目名称', null, '2311', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2312', '238', '首次病程录', '2', 'FIRC0501', '检查计划未填写', null, '2312', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2313', '238', '首次病程录', '2', 'FIRC0500', '首程主诉与入院记录主诉不一致', null, '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2314', '238', '首次病程录', '2', 'FIRC0499', '未描述辅助检查', null, '2314', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2315', '238', '首次病程录', '2', 'FIRC0498', '未描述体格检查', null, '2315', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2316', '238', '首次病程录', '2', 'FIRC0497', '未描述发病经过', null, '2316', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2317', '237', '入院记录', '1', 'BEH0496', '待查诊断未列出可能性较大诊断', null, '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2318', '237', '入院记录', '1', 'BEH0495', '执业医师未在24小时内完成入院记录审核签名', 'BEH0494,THR0123', '2318', null, 'N', '2020-04-07 16:53:57', '2020-04-07 16:53:57', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2319', '237', '入院记录', '1', 'BEH0494', '入院记录由非执业医师填写', null, '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2320', '237', '入院记录', '1', 'BEH0493', '辅助检查未填写', null, '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2321', '237', '入院记录', '1', 'BEH0492', '实验室检查未填写', null, '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2322', '237', '入院记录', '1', 'BEH0491', '辅助检查未注明时间和地点', null, '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2323', '237', '入院记录', '1', 'BEH0490', '实验室检查未注明时间和地点', null, '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2324', '237', '入院记录', '1', 'BEH0489', '体格检查与专科检查不一致', null, '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2325', '237', '入院记录', '1', 'BEH0488', '有鉴别意义的体征未描述', null, '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2326', '237', '入院记录', '1', 'BEH0487', '淋巴结检查未填写', null, '2326', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2327', '237', '入院记录', '1', 'BEH0486', '神经系统检查未填写', null, '2327', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2328', '237', '入院记录', '1', 'BEH0485', '骨骼肌肉检查未填写', null, '2328', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2329', '237', '入院记录', '1', 'BEH0484', '外生殖器检查未填写', null, '2329', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2330', '237', '入院记录', '1', 'BEH0483', '肛门直肠检查未填写', null, '2330', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2331', '237', '入院记录', '1', 'BEH0482', '腹部检查未填写', null, '2331', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2332', '237', '入院记录', '1', 'BEH0481', '周围血管检查未填写', null, '2332', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2333', '237', '入院记录', '1', 'BEH0480', '心脏检查未填写', null, '2333', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2334', '237', '入院记录', '1', 'BEH0479', '胸部检查未填写', null, '2334', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2335', '237', '入院记录', '1', 'BEH0478', '甲状腺检查填写', null, '2335', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2336', '237', '入院记录', '1', 'BEH0477', '颈部检查未填写', null, '2336', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2337', '237', '入院记录', '1', 'BEH0476', '五官检查未填写', null, '2337', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2338', '237', '入院记录', '1', 'BEH0475', '头部检查未填写', null, '2338', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2339', '237', '入院记录', '1', 'BEH0474', '一般情况未填写', null, '2339', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2340', '237', '入院记录', '1', 'BEH0473', '生命体征未填写', null, '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2341', '237', '入院记录', '1', 'BEH0472', '月经史未描述生育情况', null, '2341', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2342', '237', '入院记录', '1', 'BEH0471', '个人史未描述职业', null, '2342', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2343', '237', '入院记录', '1', 'BEH0470', '既往史缺其他传染病史描述', null, '2343', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2344', '237', '入院记录', '1', 'BEH0469', '既往史缺肝脏病史描述', null, '2344', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2345', '237', '入院记录', '1', 'BEH0468', '既往史缺结核病史描述', null, '2345', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2346', '237', '入院记录', '1', 'BEH0467', '既往史缺其他慢性病史描述', null, '2346', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2347', '237', '入院记录', '1', 'BEH0466', '既往史缺肾脏疾病史描述', null, '2347', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2348', '237', '入院记录', '1', 'BEH0465', '既往史缺肝脏疾病史描述', null, '2348', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2349', '237', '入院记录', '1', 'BEH0464', '既往史缺呼吸系统疾病史描述', null, '2349', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2350', '237', '入院记录', '1', 'BEH0463', '既往史缺脑血管疾病史描述', null, '2350', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2351', '237', '入院记录', '1', 'BEH0462', '既往史缺心血管疾病史描述', null, '2351', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2352', '237', '入院记录', '1', 'BEH0461', '既往史缺糖尿病史描述', null, '2352', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2353', '237', '入院记录', '1', 'BEH0460', '既往史缺高血压史描述', null, '2353', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2354', '237', '入院记录', '1', 'BEH0459', '既往史缺近一周抗凝药物使用情况', null, '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2355', '237', '入院记录', '1', 'BEH0458', '既往史缺成瘾药物用药情况', null, '2355', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2356', '237', '入院记录', '1', 'BEH0457', '既往史缺长期用药情况', null, '2356', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2357', '237', '入院记录', '1', 'BEH0456', '既往史缺食物中毒史', null, '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2358', '237', '入院记录', '1', 'BEH0455', '既往史缺药物中毒史', null, '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2359', '237', '入院记录', '1', 'BEH0454', '既往史未描述既往健康状况', null, '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2360', '237', '入院记录', '1', 'BEH0453', '现病史目前仍需治疗的其他疾病未描述', null, '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2361', '237', '入院记录', '1', 'BEH0452', '现病史缺少发病的前驱症状描述', null, '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2362', '237', '入院记录', '1', 'BEH0451', '现病史症状缺少发病地点', null, '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2363', '237', '入院记录', '1', 'BEH0450', '现病史内容与首次病程内容雷同', null, '2363', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2364', '237', '入院记录', '1', 'BEH0449', '现病史主症状与主诉症状不一致', null, '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2365', '237', '入院记录', '1', 'BEH0448', '现病史症状缺少伴随症状', null, '2365', null, 'N', '2020-04-09 11:23:15', '2020-04-09 11:23:15', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2366', '237', '入院记录', '1', 'BEH0447', '现病史症状缺少演变情况', null, '2366', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2367', '237', '入院记录', '1', 'BEH0446', '现病史症状缺少持续时间', null, '2367', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2368', '237', '入院记录', '1', 'BEH0445', '现病史缺少发病以来睡眠描述', null, '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2369', '237', '入院记录', '1', 'BEH0444', '现病史缺少发病以来精神状态描述', null, '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2370', '237', '入院记录', '1', 'BEH0443', '现病史缺少发病以来体重描述', null, '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2371', '237', '入院记录', '1', 'BEH0442', '现病史缺少发病以来二便描述', null, '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2372', '237', '入院记录', '1', 'BEH0441', '现病史缺少发病以来食欲描述', null, '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2373', '237', '入院记录', '1', 'BEH0440', '入院记录户口地址未填写', null, '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2374', '237', '入院记录', '1', 'BEH0439', '入院记录出生日期填写与病案首页不一致', null, '2374', null, 'N', '2020-04-22 13:54:57', '2020-04-22 13:54:57', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2375', '237', '入院记录', '1', 'BEH0438', '入院记录出生日期未填写', null, '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2376', '241', '三级查房制度', '4', 'THR0436', '抢救患者无上级医师(副高及以上)查房记录', null, '2376', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2377', '241', '三级查房制度', '4', 'THR0435', '疑难患者无上级医师(副高及以上)查房记录', null, '2377', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2378', '241', '三级查房制度', '4', 'THR0434', '危重患者无上级医师(副高及以上)查房记录', null, '2378', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2379', '241', '三级查房制度', '4', 'THR0433', '抢救患者上级医师(副高及以上)查房记录无诊疗意见', null, '2379', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2380', '241', '三级查房制度', '4', 'THR0432', '疑难患者上级医师(副高及以上)查房记录无诊疗意见', null, '2380', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2381', '241', '三级查房制度', '4', 'THR0431', '危重患者上级医师(副高及以上)查房记录无诊疗意见', null, '2381', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2382', '241', '三级查房制度', '4', 'THR0430', '抢救患者上级医师(副高及以上)查房记录无病情分析及评估', null, '2382', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2383', '241', '三级查房制度', '4', 'THR0429', '疑难患者上级医师(副高及以上)查房记录无病情分析及评估', null, '2383', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2384', '241', '三级查房制度', '4', 'THR0428', '危重患者上级医师(副高及以上)查房记录无病情分析及评估', null, '2384', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2385', '237', '入院记录', '1', 'BEH0424', '入院记录联系电话未填写', null, '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2386', '237', '入院记录', '1', 'BEH0423', '入院记录联系电话填写与病案首页不一致', null, '2386', null, 'N', '2020-04-22 13:55:53', '2020-04-22 13:55:53', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2387', '237', '入院记录', '1', 'BEH0422', '入院记录记录日期填写错误', null, '2387', null, 'N', '2020-04-22 13:57:28', '2020-04-22 13:57:28', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2388', '237', '入院记录', '1', 'BEH0421', '入院记录入院日期填写与病案首页不一致', null, '2388', null, 'N', '2020-04-22 13:57:13', '2020-04-22 13:57:13', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2389', '237', '入院记录', '1', 'BEH0420', '入院记录病史陈述者填写与病案首页不一致', null, '2389', null, 'N', '2020-04-22 13:57:51', '2020-04-22 13:57:51', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2390', '237', '入院记录', '1', 'BEH0419', '入院记录联系地址填写与病案首页不一致', null, '2390', null, 'N', '2020-04-22 13:58:08', '2020-04-22 13:58:08', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2391', '237', '入院记录', '1', 'BEH0418', '入院记录婚姻状况填写与病案首页不一致', null, '2391', null, 'N', '2020-04-22 13:58:23', '2020-04-22 13:58:23', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2392', '237', '入院记录', '1', 'BEH0417', '入院记录出生地填写与病案首页不一致', null, '2392', null, 'N', '2020-04-22 13:58:41', '2020-04-22 13:58:41', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2393', '237', '入院记录', '1', 'BEH0416', '入院记录职业填写与病案首页不一致', null, '2393', null, 'N', '2020-04-22 13:58:54', '2020-04-22 13:58:54', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2394', '237', '入院记录', '1', 'BEH0415', '入院记录民族填写与病案首页不一致', null, '2394', null, 'N', '2020-04-22 13:59:08', '2020-04-22 13:59:08', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2395', '237', '入院记录', '1', 'BEH0414', '入院记录年龄填写与病案首页不一致', null, '2395', null, 'N', '2020-04-22 13:59:22', '2020-04-22 13:59:22', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2396', '237', '入院记录', '1', 'BEH0413', '入院记录性别填写与病案首页不一致', null, '2396', null, 'N', '2020-04-22 13:59:41', '2020-04-22 13:59:41', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2397', '237', '入院记录', '1', 'BEH0412', '入院记录姓名填写与病案首页不一致', null, '2397', null, 'N', '2020-04-22 14:01:11', '2020-04-22 14:01:11', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2398', '237', '入院记录', '1', 'BEH0411', '入院记录记录日期未填写', null, '2398', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2399', '237', '入院记录', '1', 'BEH0410', '入院记录入院日期未填写', null, '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2400', '237', '入院记录', '1', 'BEH0409', '入院记录病史陈述者未填写', null, '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2401', '237', '入院记录', '1', 'BEH0408', '入院记录联系地址未填写', null, '2401', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2402', '237', '入院记录', '1', 'BEH0407', '入院记录婚姻状况未填写', null, '2402', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2403', '237', '入院记录', '1', 'BEH0406', '入院记录出生地未填写', null, '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2404', '237', '入院记录', '1', 'BEH0405', '入院记录职业未填写', null, '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2405', '237', '入院记录', '1', 'BEH0404', '入院记录民族未填写', null, '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2406', '237', '入院记录', '1', 'BEH0403', '入院记录年龄未填写', null, '2406', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2407', '237', '入院记录', '1', 'BEH0402', '入院记录性别未填写', null, '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2408', '237', '入院记录', '1', 'BEH0401', '入院记录姓名未填写', null, '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2409', '237', '入院记录', '1', 'BEH0400', '既往史未填写', null, '2409', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2410', '237', '入院记录', '1', 'BEH0399', '家属有死亡者,未记录死亡年龄', null, '2410', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2411', '237', '入院记录', '1', 'BEH0398', '兄弟姐妹健康状况未描述', null, '2411', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2412', '237', '入院记录', '1', 'BEH0397', '父母健康状况未描述', null, '2412', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2413', '242', '出院小结', '5', 'LEA0396', '出院记录内容缺出院时间', null, '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2414', '262', '危急值报告制度', '23', 'CON0387', '危急值记录中无效果观察', null, '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2415', '262', '危急值报告制度', '23', 'CON0386', '危急值记录中无处置措施', null, '2415', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2416', '262', '危急值报告制度', '23', 'CON0385', '危急值记录中无临床意义', null, '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2417', '262', '危急值报告制度', '23', 'CON0384', '危急值记录中无危急值结果', null, '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2418', '262', '危急值报告制度', '23', 'CON0383', '危急值记录中无报告时间 ', null, '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2419', '262', '危急值报告制度', '23', 'CON0382', '接到危急值报告后6小时内无病程记录', null, '2419', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2420', '237', '入院记录', '1', 'BEH0378', '配偶死亡原因未描述', null, '2420', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2421', '237', '入院记录', '1', 'BEH0377', '配偶死亡时间未描述', null, '2421', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2422', '237', '入院记录', '1', 'BEH0376', '子女健康状况未描述', null, '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2423', '237', '入院记录', '1', 'BEH0375', '配偶健康状况未描述', null, '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2424', '237', '入院记录', '1', 'BEH0372', '婚姻状况前后不一致', null, '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2425', '250', '死亡记录', '24', 'DEAR0371', '死亡记录里死亡时间未精确到分', null, '2425', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2426', '248', '围手术期病历讨论', '17', 'OPE0370', '手术患者缺术前讨论或术前小结', null, '2426', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2427', '248', '围手术期病历讨论', '17', 'OPE0369', '手术患者缺术前主刀医师查房记录', null, '2427', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2428', '248', '围手术期病历讨论', '17', 'OPE0368', '手术患者缺麻醉术后访视记录', null, '2428', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2429', '248', '围手术期病历讨论', '17', 'OPE0367', '手术患者缺麻醉记录', null, '2429', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2430', '248', '围手术期病历讨论', '17', 'OPE0366', '手术患者缺麻醉知情同意书', null, '2430', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2431', '248', '围手术期病历讨论', '17', 'OPE0365', '手术患者缺麻醉术前访视记录', null, '2431', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2432', '248', '围手术期病历讨论', '17', 'OPE0364', '缺手术风险评估记录', null, '2432', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2433', '248', '围手术期病历讨论', '17', 'OPE0363', '手术风险评估记录内容不完整', null, '2433', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2434', '248', '围手术期病历讨论', '18', 'OPE0362', '术后谈话记录无患方签字', null, '2434', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2435', '248', '围手术期病历讨论', '18', 'OPE0361', '术中谈话记录无患方签字', null, '2435', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2436', '248', '围手术期病历讨论', '17', 'OPE0360', '手术记录中手术经过描述不完整（缺术中病理结果、内植入物、标本送检情况）', null, '2436', null, 'N', '2020-04-09 16:02:23', '2020-04-09 16:02:23', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2437', '248', '围手术期病历讨论', '17', 'OPE0359', '手术记录中手术经过未填写', null, '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2438', '248', '围手术期病历讨论', '17', 'OPE0358', '手术记录中术(中)后诊断未填写', null, '2438', null, 'N', '2020-04-22 19:15:51', '2020-04-22 19:15:51', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2439', '248', '围手术期病历讨论', '17', 'OPE0357', '手术记录中术前诊断未填写', null, '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2440', '248', '围手术期病历讨论', '17', 'OPE0356', '手术记录中麻醉方式未填写', null, '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2441', '248', '围手术期病历讨论', '17', 'OPE0355', '手术记录中手术名称未填写', null, '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2442', '248', '围手术期病历讨论', '18', 'OPE0353', '术后首次病程记录未记录处理及注意事项', null, '2442', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2443', '248', '围手术期病历讨论', '18', 'OPE0352', '术后首次病程记录未记录术后风险', null, '2443', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2444', '248', '围手术期病历讨论', '18', 'OPE0351', '术后首次病程记录未记录患者生命体征', null, '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2445', '248', '围手术期病历讨论', '18', 'OPE0350', '术后首次病程记录未记录术中所见', null, '2445', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2446', '248', '围手术期病历讨论', '17', 'OPE0349', '缺术中谈话记录', null, '2446', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2447', '248', '围手术期病历讨论', '17', 'OPE0348', '缺手术知情同意书', null, '2447', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2448', '250', '死亡记录', '24', 'DEAR0347', '死亡记录无死亡时间', null, '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2449', '250', '死亡记录', '24', 'DEAR0346', '死亡记录无死亡诊断', null, '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2450', '250', '死亡记录', '24', 'DEAR0345', '死亡记录无死亡原因', null, '2450', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2451', '250', '死亡记录', '24', 'DEAR0344', '死亡记录无抢救经过', null, '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2452', '250', '死亡记录', '24', 'DEAR0343', '死亡记录无病情演变', null, '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2453', '250', '死亡记录', '24', 'DEAR0342', '死亡记录无诊疗经过', null, '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2454', '250', '死亡记录', '24', 'DEAR0341', '死亡记录无入院诊断', null, '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2455', '250', '死亡记录', '24', 'DEAR0340', '死亡记录无入院情况', null, '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2456', '250', '死亡记录', '24', 'DEAR0339', '死亡记录无主诉', null, '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2457', '250', '死亡记录', '24', 'DEAR0338', '死亡记录无副主任以上医师审核签名', null, '2457', null, 'N', '2020-04-22 19:31:20', '2020-04-22 19:31:20', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2458', '250', '死亡记录', '24', 'DEAR0337', '死亡记录未在患者离院前完成', null, '2458', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2459', '249', '术前讨论制度', '11', 'PRE0336', '重大疑难手术缺疑难手术审批单', null, '2459', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2460', '249', '术前讨论制度', '11', 'PRE0335', '术前讨论无主刀医师签字', null, '2460', null, 'N', '2020-04-08 19:20:50', '2020-04-08 19:20:50', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2461', '249', '术前讨论制度', '11', 'PRE0334', '术前讨论记录未记录术前术后注意事项', null, '2461', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2462', '249', '术前讨论制度', '11', 'PRE0333', '术前讨论记录未记录可能意外和防范措施', null, '2462', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2463', '249', '术前讨论制度', '11', 'PRE0332', '术前讨论记录无术前准备内容', null, '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2464', '249', '术前讨论制度', '11', 'PRE0331', '术前讨论记录无麻醉方式', null, '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2465', '249', '术前讨论制度', '11', 'PRE0330', '术前讨论记录无拟行术式', null, '2465', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2466', '249', '术前讨论制度', '11', 'PRE0329', '术前讨论记录无手术指征', null, '2466', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2467', '249', '术前讨论制度', '11', 'PRE0328', '手术患者无术前讨论记录', null, '2467', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2468', '248', '围手术期病历讨论', '17', 'OPE0326', '缺少术后首次病程记录', null, '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2469', '248', '围手术期病历讨论', '17', 'OPE0324', '手术记录无主刀医师签字', null, '2469', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2470', '248', '围手术期病历讨论', '17', 'OPE0323', '手术记录未由主刀或一助书写', null, '2470', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2471', '248', '围手术期病历讨论', '17', 'OPE0322', '手术患者无手术记录', null, '2471', null, 'N', '2020-04-22 15:50:48', '2020-04-22 15:50:48', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2472', '248', '围手术期病历讨论', '18', 'OPE0321', '术后首次病程记录无主刀医师或一助签名', null, '2472', null, 'N', '2020-04-22 15:48:27', '2020-04-22 15:48:27', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2473', '248', '围手术期病历讨论', '17', 'OPE0320', '术中更改手术方式应行谈话告知并记录', null, '2473', null, 'N', '2020-05-12 10:34:40', '2020-05-12 10:34:40', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2474', '248', '围手术期病历讨论', '17', 'OPE0319', '缺内置物谈话', null, '2474', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2475', '248', '围手术期病历讨论', '17', 'OPE0318', '手术知情同意书无患方签字', null, '2475', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2476', '248', '围手术期病历讨论', '17', 'OPE0317', '缺术后谈话记录', null, '2476', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2477', '248', '围手术期病历讨论', '17', 'OPE0316', '三方签字不完整', null, '2477', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2478', '248', '围手术期病历讨论', '17', 'OPE0315', '手术安全核查表填写时间不正确', null, '2478', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2479', '248', '围手术期病历讨论', '17', 'OPE0314', '手术安全核查表内容不完整', null, '2479', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2480', '248', '围手术期病历讨论', '17', 'OPE0313', '缺手术安全核查表', null, '2480', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2481', '248', '围手术期病历讨论', '17', 'OPE0312', '手术患者缺手术清点记录空缺', null, '2481', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2482', '247', '临床用血审核制度', '10', 'CLI0309', '无输血或使用血液制品后效果评价', null, '2482', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2483', '247', '临床用血审核制度', '10', 'CLI0308', '输血记录中未记录是否有不良反应', null, '2483', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2484', '247', '临床用血审核制度', '10', 'CLI0307', '输血记录中无血液制品种类及量', null, '2484', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2485', '247', '临床用血审核制度', '10', 'CLI0306', '输血记录中无输血指征', null, '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2486', '247', '临床用血审核制度', '10', 'CLI0305', '输血记录未在输注结束后24小时内完成', null, '2486', null, 'N', '2020-04-22 18:43:43', '2020-04-22 18:43:43', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2487', '247', '临床用血审核制度', '10', 'CLI0304', '无输血前化验检查', null, '2487', null, 'N', '2020-04-09 19:51:43', '2020-04-09 19:51:43', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2488', '247', '临床用血审核制度', '10', 'CLI0303', '无输血审批单', null, '2488', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2489', '247', '临床用血审核制度', '10', 'CLI0302', '输血或使用血液制品知情同意书填写不完整', null, '2489', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2490', '247', '临床用血审核制度', '10', 'CLI0301', '无输血或使用血液制品知情同意书', null, '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2491', '247', '临床用血审核制度', '10', 'CLI0300', '输血指征不严格', null, '2491', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2492', '247', '临床用血审核制度', '10', 'CLI0299', '无输血/血制品病程记录', null, '2492', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2493', '246', '值班及交接班制度', '34', 'DUT0298', '值班期间，当班医师的诊疗处理未在病程中记录', null, '2493', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2494', '246', '值班及交接班制度', '9', 'DUT0297', '接班（科）记录未在接班（科）后24小时内完成', null, '2494', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2495', '246', '值班及交接班制度', '28', 'DUT0296', '无阶段小结', null, '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2496', '246', '值班及交接班制度', '34', 'DUT0295', '病人转科时无转科记录', null, '2496', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2497', '246', '值班及交接班制度', '9', 'DUT0294', '更换主管医师时，无交接班记录', null, '2497', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2498', '245', '分级护理制度', '8', 'NUR0293', '医嘱无护理级别（一级护理/二级护理/三级护理/特级护理）（医嘱部分）', null, '2498', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2499', '244', '会诊制度', '7', 'CON0292', '会诊记录无会诊意见的执行情况', null, '2499', null, 'N', '2020-04-22 18:26:20', '2020-04-22 18:26:20', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2500', '244', '会诊制度', '7', 'CON0291', '会诊当日未书写病程记录', null, '2500', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2501', '244', '会诊制度', '7', 'CON0290', '外院医师会诊未注明医疗机构名称', null, '2501', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2502', '244', '会诊制度', '7', 'CON0289', '会诊单会诊医师未签字', null, '2502', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2503', '244', '会诊制度', '7', 'CON0288', '会诊单无会诊时间', null, '2503', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2504', '244', '会诊制度', '7', 'CON0287', '会诊单无会诊医师科别', null, '2504', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2505', '244', '会诊制度', '7', 'CON0286', '会诊单无会诊意见', null, '2505', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2506', '244', '会诊制度', '7', 'CON0285', '会诊单无申请会诊医师签字', null, '2506', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2507', '244', '会诊制度', '7', 'CON0284', '会诊单无申请会诊的理由和目的', null, '2507', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2508', '244', '会诊制度', '7', 'CON0283', '会诊单无患者诊疗情况', null, '2508', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2509', '244', '会诊制度', '7', 'CON0282', '会诊单无患者病情情况', null, '2509', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2510', '244', '会诊制度', '7', 'CON0281', '急会诊未在10分钟内到达', null, '2510', null, 'N', '2020-05-07 17:06:16', '2020-05-07 17:06:16', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2511', '244', '会诊制度', '31', 'CON0280', '普通会诊未在24小时内完成', null, '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2512', '243', '病案首页', '6', 'FIRP0279', '出院诊断在病程录中未记录依据', null, '2512', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2513', '243', '病案首页', '6', 'FIRP0275', '实际住院天数与出院小结不一致', null, '2513', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2514', '243', '病案首页', '6', 'FIRP0274', '新生儿年龄未填', null, '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2515', '243', '病案首页', '6', 'FIRP0273', '新生儿年龄错误', 'FIRP0274', '2515', null, 'N', '2020-04-04 19:32:37', '2020-04-04 19:32:37', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2516', '243', '病案首页', '6', 'FIRP0272', '出院诊断顺序不规范', null, '2516', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2517', '243', '病案首页', '6', 'FIRP0271', '出院诊断在病程中未记录依据', null, '2517', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2518', '243', '病案首页', '6', 'FIRP0270', '其他费用填错', null, '2518', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2519', '243', '病案首页', '6', 'FIRP0269', '其他费用未填', null, '2519', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2520', '243', '病案首页', '6', 'FIRP0268', '费用填错', null, '2520', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2521', '243', '病案首页', '6', 'FIRP0267', '费用未填', null, '2521', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2522', '243', '病案首页', '6', 'FIRP0266', '放射诊断与病理诊断符合情况未填', null, '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2523', '243', '病案首页', '6', 'FIRP0265', '放射诊断与病理诊断符合情况填写错误', 'FIRP0266', '2523', null, 'N', '2020-04-05 14:10:42', '2020-04-05 14:10:42', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2524', '243', '病案首页', '6', 'FIRP0264', '临床诊断与病理诊断符合情况未填', null, '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2525', '243', '病案首页', '6', 'FIRP0263', '临床诊断与病理诊断符合情况填写错误', 'FIRP0264', '2525', null, 'N', '2020-04-05 14:10:22', '2020-04-05 14:10:22', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2526', '243', '病案首页', '6', 'FIRP0262', '术前诊断与术后诊断符合情况未填', null, '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2527', '243', '病案首页', '6', 'FIRP0261', '术前诊断与术后诊断符合情况填写错误', 'FIRP0262', '2527', null, 'N', '2020-04-05 14:10:07', '2020-04-05 14:10:07', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2528', '243', '病案首页', '6', 'FIRP0260', '入院诊断与出院诊断符合情况未填', null, '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2529', '243', '病案首页', '6', 'FIRP0259', '入院诊断与出院诊断符合情况填写错误', 'FIRP0260', '2529', null, 'N', '2020-04-05 14:09:52', '2020-04-05 14:09:52', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2530', '243', '病案首页', '6', 'FIRP0258', '门诊诊断与出院诊断符合情况未填', null, '2530', null, 'N', '2020-04-03 14:41:57', '2020-04-03 14:41:57', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2531', '243', '病案首页', '6', 'FIRP0257', '门诊诊断与出院诊断符合情况填写错误', 'FIRP0258', '2531', null, 'N', '2020-04-05 14:09:28', '2020-04-05 14:09:28', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2532', '243', '病案首页', '6', 'FIRP0256', '转归情况填写错误', null, '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2533', '243', '病案首页', '6', 'FIRP0255', '转归情况未填', null, '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2534', '243', '病案首页', '6', 'FIRP0254', '临床路径管理填写错误', null, '2534', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2535', '243', '病案首页', '6', 'FIRP0253', '临床路径管理未填', null, '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2536', '243', '病案首页', '6', 'FIRP0252', '单病种管理填写错误', null, '2536', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2537', '243', '病案首页', '6', 'FIRP0251', '单病种管理未填', null, '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2538', '243', '病案首页', '6', 'FIRP0250', '抢救成功次数填写错误', null, '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2539', '243', '病案首页', '6', 'FIRP0249', '抢救成功次数未填写', null, '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2540', '243', '病案首页', '6', 'FIRP0248', '抢救次数填写错误', null, '2540', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2541', '243', '病案首页', '6', 'FIRP0247', '抢救次数未填写', null, '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2542', '243', '病案首页', '6', 'FIRP0246', '切口愈合等级填写的与出院小结不一致', null, '2542', null, 'N', '2020-04-07 11:08:36', '2020-04-07 11:08:36', '0', '测试3');
INSERT INTO `qc_cases_entry` VALUES ('2543', '243', '病案首页', '6', 'FIRP0245', '切口愈合等级未填写', null, '2543', null, 'N', '2020-04-07 11:07:26', '2020-04-07 11:07:26', '0', '测试3');
INSERT INTO `qc_cases_entry` VALUES ('2544', '243', '病案首页', '6', 'FIRP0244', '手术切口等级填写的与手术记录不一致', null, '2544', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2545', '243', '病案首页', '6', 'FIRP0243', '手术切口等级未填写', null, '2545', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2546', '243', '病案首页', '6', 'FIRP0242', '出院科别未填写', null, '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2547', '243', '病案首页', '6', 'FIRP0240', '病历分型未填写', null, '2547', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2548', '243', '病案首页', '6', 'FIRP0239', '是否有在住院计划未填写', null, '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2549', '243', '病案首页', '6', 'FIRP0238', '质控日期未填写', null, '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2550', '243', '病案首页', '6', 'FIRP0237', '质控护士未填写', null, '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2551', '243', '病案首页', '6', 'FIRP0236', '质控医师未填写', null, '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2552', '243', '病案首页', '6', 'FIRP0235', '病案质量未勾选', null, '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2553', '243', '病案首页', '6', 'FIRP0234', '编码员未填写', null, '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2554', '243', '病案首页', '6', 'FIRP0233', '实习医师未填写', null, '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2555', '243', '病案首页', '6', 'FIRP0232', '进修医师未填写', null, '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2556', '243', '病案首页', '6', 'FIRP0231', '责任护士未填写', null, '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2557', '243', '病案首页', '6', 'FIRP0230', '住院医师未填写', null, '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2558', '243', '病案首页', '6', 'FIRP0229', '主治医师未填写', null, '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2559', '243', '病案首页', '6', 'FIRP0228', '主任医师未填写', null, '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2560', '243', '病案首页', '6', 'FIRP0227', '科主任未填写', null, '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2561', '243', '病案首页', '6', 'FIRP0226', '出院诊断未填写', null, '2561', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2562', '243', '病案首页', '6', 'FIRP0225', '出院时间与出院记录时间不一致', null, '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2563', '243', '病案首页', '6', 'FIRP0224', '出院时间未填写', null, '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2564', '243', '病案首页', '6', 'FIRP0223', '入院床号未填写', null, '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2565', '243', '病案首页', '6', 'FIRP0222', '入院科别填写错误', null, '2565', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2566', '243', '病案首页', '6', 'FIRP0221', '入院科别未填写', null, '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2567', '243', '病案首页', '6', 'FIRP0220', '入院时间与入院记录时间不一致', null, '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2568', '243', '病案首页', '6', 'FIRP0219', '入院时间未填写', null, '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2569', '243', '病案首页', '6', 'FIRP0218', '联系人电话未填写', null, '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2570', '243', '病案首页', '6', 'FIRP0217', '联系人地址未填写', null, '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2571', '243', '病案首页', '6', 'FIRP0216', '联系人关系未填写', null, '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2572', '243', '病案首页', '6', 'FIRP0215', '联系人姓名未填写', null, '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2573', '243', '病案首页', '6', 'FIRP0214', '工作单位邮编未填写', null, '2573', null, 'N', '2020-04-09 11:05:56', '2020-04-09 11:05:56', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2574', '243', '病案首页', '6', 'FIRP0213', '户口地址邮编未填写', null, '2574', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2575', '243', '病案首页', '6', 'FIRP0212', '现住址邮编未填写', null, '2575', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2576', '243', '病案首页', '6', 'FIRP0211', '工作单位电话未填写', null, '2576', null, 'N', '2020-04-09 14:11:46', '2020-04-09 14:11:46', '0', '测试3');
INSERT INTO `qc_cases_entry` VALUES ('2577', '243', '病案首页', '6', 'FIRP0210', '居住电话未填写', null, '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2578', '243', '病案首页', '6', 'FIRP0209', '工作单位及地址没有填写', null, '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2579', '243', '病案首页', '6', 'FIRP0208', '户口地址没有填写', null, '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2580', '243', '病案首页', '6', 'FIRP0207', '现住址没有填写', null, '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2581', '243', '病案首页', '6', 'FIRP0206', '职业未填写', null, '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2582', '243', '病案首页', '6', 'FIRP0205', '民族未填写', null, '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2583', '243', '病案首页', '6', 'FIRP0204', '籍贯未填写', null, '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2584', '243', '病案首页', '6', 'FIRP0203', '出生地未填写', null, '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2585', '243', '病案首页', '6', 'FIRP0202', '新生儿入院体重填写错误', 'FIRP0201', '2585', null, 'N', '2020-04-04 19:35:26', '2020-04-04 19:35:26', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2586', '243', '病案首页', '6', 'FIRP0201', '新生儿入院体重未填写', '', '2586', null, 'N', '2020-04-05 14:52:30', '2020-04-05 14:52:30', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2587', '243', '病案首页', '6', 'FIRP0200', '新生儿出生体重填写错误', 'FIRP0199', '2587', null, 'N', '2020-04-04 19:35:11', '2020-04-04 19:35:11', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2588', '243', '病案首页', '6', 'FIRP0199', '新生儿出生体重未填写', '', '2588', null, 'N', '2020-04-05 14:52:38', '2020-04-05 14:52:38', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2589', '243', '病案首页', '6', 'FIRP0197', '总费用填错', null, '2589', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2590', '243', '病案首页', '6', 'FIRP0196', '颅脑损伤患者昏迷时间未填写', null, '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2591', '243', '病案首页', '6', 'FIRP0195', '离院方式选择错误', null, '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2592', '243', '病案首页', '6', 'FIRP0194', '离院方式未填写', null, '2592', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2593', '243', '病案首页', '6', 'FIRP0193', '手术及操作名称填写不全', null, '2593', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2594', '243', '病案首页', '6', 'FIRP0192', '主要手术及操作名称与手术记录不一致', null, '2594', null, 'N', '2020-04-22 14:20:36', '2020-04-22 14:20:36', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2595', '243', '病案首页', '6', 'FIRP0191', '主要手术及操作名称未填写', null, '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2596', '243', '病案首页', '6', 'FIRP0190', 'Rh填写错误', null, '2596', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2597', '243', '病案首页', '6', 'FIRP0189', 'Rh血型未填写', null, '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2598', '243', '病案首页', '6', 'FIRP0188', '血型未填写', null, '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2599', '243', '病案首页', '6', 'FIRP0187', '患者尸检填写错误', null, '2599', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2600', '243', '病案首页', '6', 'FIRP0186', '患者尸检未填写', null, '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2601', '243', '病案首页', '6', 'FIRP0185', '药物过敏与既往史不一致', null, '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2602', '243', '病案首页', '6', 'FIRP0184', '药物过敏史未填写', null, '2602', null, 'N', '2020-04-22 14:20:18', '2020-04-22 14:20:18', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2603', '243', '病案首页', '6', 'FIRP0183', '病理诊断填写与病程记录不一致', null, '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2604', '243', '病案首页', '6', 'FIRP0182', '病理诊断未填写', null, '2604', null, 'N', '2020-04-20 10:41:02', '2020-04-20 10:41:02', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2605', '243', '病案首页', '6', 'FIRP0181', '损伤、中毒的外部原因未填写', null, '2605', null, 'N', '2020-04-20 10:32:15', '2020-04-20 10:32:15', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2606', '243', '病案首页', '6', 'FIRP0180', '入院病情填写错误', null, '2606', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2607', '243', '病案首页', '6', 'FIRP0179', '入院病情未填写', null, '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2608', '243', '病案首页', '6', 'FIRP0178', '出院其他诊断不完全', null, '2608', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2609', '243', '病案首页', '6', 'FIRP0175', '主要诊断与出院小结不一致', null, '2609', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2610', '243', '病案首页', '6', 'FIRP0174', '出院主要诊断未填', null, '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2611', '243', '病案首页', '6', 'FIRP0173', '门（急）诊诊断与现病史里的内容不一致', null, '2611', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2612', '243', '病案首页', '6', 'FIRP0172', '门（急）诊诊断未填写', null, '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2613', '243', '病案首页', '6', 'FIRP0171', '转科科别不正确', null, '2613', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2614', '243', '病案首页', '6', 'FIRP0170', '转科科别未填写', null, '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2615', '243', '病案首页', '6', 'FIRP0169', '入院途径与入院记录填写内容不一致', null, '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2616', '243', '病案首页', '6', 'FIRP0168', '入院途径未填写', null, '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2617', '243', '病案首页', '6', 'FIRP0167', '联系人应非本人', null, '2617', null, 'N', '2020-04-05 15:47:59', '2020-04-05 15:47:59', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2618', '243', '病案首页', '6', 'FIRP0166', '婚姻状况与入院记录中不一致', null, '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2619', '243', '病案首页', '6', 'FIRP0164', '婚姻状况未填', null, '2619', null, 'N', '2020-04-20 14:53:41', '2020-04-20 14:53:41', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2620', '243', '病案首页', '6', 'FIRP0163', '身份证项没有填写', null, '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2621', '243', '病案首页', '6', 'FIRP0162', '身份证信息错误', null, '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2622', '243', '病案首页', '6', 'FIRP0161', '患者年龄与入院记录不一致', null, '2622', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2623', '243', '病案首页', '6', 'FIRP0160', '患者性别与入院记录不一致', null, '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2624', '243', '病案首页', '6', 'FIRP0159', '患者性别未填写', null, '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2625', '243', '病案首页', '6', 'FIRP0158', '患者姓名与入院记录不一致', null, '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2626', '243', '病案首页', '6', 'FIRP0157', '患者姓名未填写', null, '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2627', '242', '出院小结', '5', 'LEA0156', '出院记录内容缺出院注意事项', null, '2627', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2628', '242', '出院小结', '5', 'LEA0155', '出院记录内容缺出院医嘱', null, '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2629', '242', '出院小结', '5', 'LEA0154', '出院记录内容缺出院诊断', null, '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2630', '242', '出院小结', '5', 'LEA0153', '出院记录内容缺出院情况', null, '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2631', '242', '出院小结', '5', 'LEA0152', '出院记录内容缺诊疗经过', null, '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2632', '242', '出院小结', '5', 'LEA0151', '出院记录内容缺入院诊断', null, '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2633', '242', '出院小结', '5', 'LEA0150', '出院记录内容缺入院情况', null, '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2634', '242', '出院小结', '5', 'LEA0149', '出院记录内容缺主诉', null, '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2635', '242', '出院小结', '5', 'LEA0148', '出院记录未在患者出院24小时内完成', null, '2635', null, 'N', '2020-04-29 10:19:47', '2020-04-29 10:19:47', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2636', '242', '出院小结', '5', 'LEA0147', '出院诊断不标准', null, '2636', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2637', '242', '出院小结', '5', 'LEA0146', '出院诊断不完整', null, '2637', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2638', '241', '三级查房制度', '4', 'THR0145', '病程记录中重要辅助检查报告结果有异常，无记录与分析', null, '2638', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2639', '241', '三级查房制度', '4', 'THR0144', '患者出院前无上级医师(主治及以上)同意出院的病程记录', null, '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2640', '241', '三级查房制度', '4', 'THR0143', '危重患者、疑难患者、抢救患者无主任医师/副主任医师查房后病情诊疗意见', null, '2640', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2641', '241', '三级查房制度', '4', 'THR0141', '危重患者、疑难患者、抢救患者无主任医师/科主任查房记录', null, '2641', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2642', '241', '三级查房制度', '4', 'THR0140', '查房记录无医师签名', null, '2642', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2643', '241', '三级查房制度', '4', 'THR0139', '副主任医师/主任医师首次查房无补充诊断/初步诊断/修正诊断', 'THR0125', '2643', null, 'N', '2020-04-04 17:28:38', '2020-04-04 17:28:38', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2644', '241', '三级查房制度', '4', 'THR0138', '副主任医师/主任医师首次查房无诊疗计划', 'THR0125', '2644', null, 'N', '2020-04-04 17:28:27', '2020-04-04 17:28:27', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2645', '241', '三级查房制度', '4', 'THR0137', '副主任医师/主任医师首次查房无病情分析/评估', 'THR0125', '2645', null, 'N', '2020-04-04 17:28:20', '2020-04-04 17:28:20', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2646', '241', '三级查房制度', '4', 'THR0136', '副主任医师/主任医师首次查房无鉴别诊断', 'THR0125', '2646', null, 'N', '2020-04-04 17:28:13', '2020-04-04 17:28:13', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2647', '241', '三级查房制度', '4', 'THR0135', '副主任医师/主任医师首次查房对病史、查体无补充', 'THR0125', '2647', null, 'N', '2020-04-04 17:27:55', '2020-04-04 17:27:55', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2648', '241', '三级查房制度', '4', 'THR0134', '主治医师首次查房无补充诊断/初步诊断/修正诊断', 'THR0126', '2648', null, 'N', '2020-04-04 17:26:58', '2020-04-04 17:26:58', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2649', '241', '三级查房制度', '4', 'THR0133', '主治医师首次查房无诊疗计划', 'THR0126', '2649', null, 'N', '2020-04-04 17:26:45', '2020-04-04 17:26:45', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2650', '241', '三级查房制度', '4', 'THR0132', '主治医师首次查房无病情分析/评估', 'THR0126', '2650', null, 'N', '2020-04-04 17:25:31', '2020-04-04 17:25:31', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2651', '241', '三级查房制度', '4', 'THR0131', '主治医师首次查房无鉴别诊断', 'THR0126', '2651', null, 'N', '2020-04-04 17:24:57', '2020-04-04 17:24:57', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2652', '241', '三级查房制度', '4', 'THR0130', '主治医师首次查房对病史、查体无补充', 'THR0126', '2652', null, 'N', '2020-04-04 17:25:13', '2020-04-04 17:25:13', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2653', '241', '三级查房制度', '4', 'THR0129', '上级医师查房（主治医师/副主任医师/主任医师）未签名', null, '2653', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2654', '241', '三级查房制度', '4', 'THR0128', '每周无3次主治医师查房记录', null, '2654', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2655', '241', '三级查房制度', '4', 'THR0127', '每周无2次副主任医师/主任医师查房记录', null, '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2656', '241', '三级查房制度', '4', 'THR0126', '主治医师首次查房未在患者入院48小时内完成', null, '2656', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2657', '241', '三级查房制度', '4', 'THR0125', '副主任医师/主任医师首次查房未在患者入院72h内完成', null, '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2658', '241', '三级查房制度', '4', 'THR0123', '入院记录未在患者入院24小时内完成', null, '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2660', '240', '疑难病例讨论制度', '19', 'DIF0121', '疑难病例讨论记录无主持人小结意见', null, '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2661', '240', '疑难病例讨论制度', '19', 'DIF0120', '疑难病例讨论记录未填写讨论内容', null, '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2662', '240', '疑难病例讨论制度', '19', 'DIF0119', '疑难病例讨论记录未填写参加讨论者(包括职称及姓名)', null, '2662', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2663', '240', '疑难病例讨论制度', '19', 'DIF0118', '疑难病例讨论记录未填写主持人', null, '2663', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2664', '240', '疑难病例讨论制度', '19', 'DIF0117', '疑难病例讨论记录未填写讨论时间', null, '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2665', '240', '疑难病例讨论制度', '19', 'DIF0116', '疑难病例无疑难病例讨论记录', null, '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2666', '239', '死亡病例讨论制度', '3', 'DEAC0115', '死亡病例讨论记录无签名', null, '2666', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2667', '239', '死亡病例讨论制度', '3', 'DEAC0114', '死亡病例讨论记录无死亡原因', null, '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2668', '239', '死亡病例讨论制度', '3', 'DEAC0113', '死亡病例讨论记录无死亡诊断', null, '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2669', '239', '死亡病例讨论制度', '3', 'DEAC0112', '死亡病例讨论记录无主持人姓名', null, '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2670', '239', '死亡病例讨论制度', '3', 'DEAC0111', '死亡病例讨论记录无地点', null, '2670', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2671', '239', '死亡病例讨论制度', '3', 'DEAC0110', '死亡病例讨论记录无讨论日期', null, '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2672', '239', '死亡病例讨论制度', '3', 'DEAC0109', '死亡病例讨论记录未在患者死亡1周内完成', null, '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2673', '239', '死亡病例讨论制度', '3', 'DEAC0108', '死亡患者无死亡病例讨论记录', null, '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2674', '239', '死亡病例讨论制度', '3', 'DEAC0106', '死亡病例讨论记录中无死亡时间', null, '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2675', '239', '死亡病例讨论制度', '3', 'DEAC0104', '死亡病例讨论记录中无抢救经过', null, '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2676', '239', '死亡病例讨论制度', '3', 'DEAC0103', '死亡病例讨论记录中无病情演变', null, '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2677', '239', '死亡病例讨论制度', '3', 'DEAC0102', '死亡病例讨论记录中无诊疗经过', null, '2677', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2678', '239', '死亡病例讨论制度', '3', 'DEAC0101', '死亡病例讨论记录中无入院诊断', null, '2678', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2679', '239', '死亡病例讨论制度', '3', 'DEAC0100', '死亡病例讨论记录中无入院情况', null, '2679', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2680', '239', '死亡病例讨论制度', '3', 'DEAC0099', '死亡病例讨论记录中无主诉', null, '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2681', '250', '死亡记录', '24', 'DEAC0098', '死亡记录未在患者死亡后24小时内完成', null, '2681', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2682', '250', '死亡记录', '24', 'DEAC0097', '死亡患者无死亡记录', null, '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2683', '238', '首次病程录', '2', 'FIRC0096', '初步诊断不标准', null, '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2684', '238', '首次病程录', '2', 'FIRC0095', '初步诊断不完整', null, '2684', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2685', '241', '三级查房制度', '2', 'THR0094', '首次病程由非执业医师书写', null, '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2686', '238', '首次病程录', '2', 'FIRC0093', '首次病程未在患者入院8小时内完成', null, '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2687', '238', '首次病程录', '2', 'FIRC0092', '治疗措施不具体', null, '2687', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2688', '238', '首次病程录', '2', 'FIRC0091', '检查不具体', null, '2688', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2689', '238', '首次病程录', '2', 'FIRC0090', '诊疗计划不全', null, '2689', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2690', '238', '首次病程录', '2', 'FIRC0089', '无诊疗计划', null, '2690', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2691', '238', '首次病程录', '2', 'FIRC0088', '鉴别诊断不全面', null, '2691', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2692', '238', '首次病程录', '2', 'FIRC0087', '无鉴别诊断', null, '2692', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2693', '238', '首次病程录', '2', 'FIRC0086', '诊断依据不充分', null, '2693', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2694', '238', '首次病程录', '2', 'FIRC0085', '未归纳出病史特点', null, '2694', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2695', '238', '首次病程录', '2', 'FIRC0084', '首程记录内容不可写同上', null, '2695', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2696', '238', '首次病程录', '2', 'FIRC0083', '病例特点与现病史内容雷同', null, '2696', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2697', '237', '入院记录', '1', 'BEH0082', '外院医疗机构检查记录不规范', null, '2697', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2698', '237', '入院记录', '1', 'BEH0081', '辅助检查与结果未记录', null, '2698', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2699', '237', '入院记录', '1', 'BEH0080', '专科检查记录不准确，或缺应有的鉴别诊断体征', null, '2699', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2700', '237', '入院记录', '1', 'BEH0079', '专科检查未填写', null, '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2701', '237', '入院记录', '1', 'BEH0078', '体格检查内容有空项', null, '2701', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2702', '237', '入院记录', '1', 'BEH0077', '记录体检结果与患者实际情况不符', null, '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2703', '237', '入院记录', '1', 'BEH0076', '体格检查未填写', null, '2703', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2704', '237', '入院记录', '1', 'BEH0075', '类似疾病史未描述', null, '2704', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2705', '237', '入院记录', '1', 'BEH0074', '两系三代内是否有肿瘤病史未描述', null, '2705', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2706', '237', '入院记录', '1', 'BEH0073', '家族中是否有肝炎、结核等病史未描述', null, '2706', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2707', '237', '入院记录', '1', 'BEH0072', '家属有死亡者,未记录死亡原因', null, '2707', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2708', '237', '入院记录', '1', 'BEH0070', '家族史未描述是否有家族性遗传病史及传染病史', null, '2708', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2709', '237', '入院记录', '1', 'BEH0069', '家族史未填写', null, '2709', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2710', '237', '入院记录', '1', 'BEH0068', '月经史未描述白带情况', 'BEH0059', '2710', null, 'N', '2020-04-06 11:27:49', '2020-04-06 11:27:49', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2711', '237', '入院记录', '1', 'BEH0067', '月经史未描述月经痛经情况', 'BEH0059', '2711', null, 'N', '2020-04-06 11:27:39', '2020-04-06 11:27:39', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2712', '237', '入院记录', '1', 'BEH0066', '月经史未描述月经血块情况', 'BEH0059', '2712', null, 'N', '2020-04-06 11:27:31', '2020-04-06 11:27:31', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2713', '237', '入院记录', '1', 'BEH0065', '月经史未描述月经颜色', 'BEH0059', '2713', null, 'N', '2020-04-06 11:27:19', '2020-04-06 11:27:19', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2714', '237', '入院记录', '1', 'BEH0064', '月经史未描述月经量', 'BEH0059', '2714', null, 'N', '2020-04-06 11:27:11', '2020-04-06 11:27:11', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2715', '237', '入院记录', '1', 'BEH0063', '月经史未描述末次月经时间/闭经日期/绝经年龄', 'BEH0059', '2715', null, 'N', '2020-04-06 11:27:04', '2020-04-06 11:27:04', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2716', '237', '入院记录', '1', 'BEH0062', '月经史未描述行经天数', 'BEH0059', '2716', null, 'N', '2020-04-06 11:26:55', '2020-04-06 11:26:55', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2717', '237', '入院记录', '1', 'BEH0061', '月经史未描述月经周期', 'BEH0059', '2717', null, 'N', '2020-04-06 11:26:43', '2020-04-06 11:26:43', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2718', '237', '入院记录', '1', 'BEH0060', '月经史未描述初潮年龄', 'BEH0059', '2718', null, 'N', '2020-04-06 11:26:24', '2020-04-06 11:26:24', '0', '测试8');
INSERT INTO `qc_cases_entry` VALUES ('2719', '237', '入院记录', '1', 'BEH0059', '月经史未填写', null, '2719', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2720', '237', '入院记录', '1', 'BEH0058', '子女数量情况未描述', null, '2720', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2721', '237', '入院记录', '1', 'BEH0056', '夫妻关系未描述', null, '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2722', '237', '入院记录', '1', 'BEH0054', '是否近亲结婚未描述', null, '2722', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2723', '237', '入院记录', '1', 'BEH0053', '结婚年龄未描述', null, '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2724', '237', '入院记录', '1', 'BEH0052', '婚育史未填写', null, '2724', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2725', '237', '入院记录', '1', 'BEH0051', '饮酒史患者描述不规范', null, '2725', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2726', '237', '入院记录', '1', 'BEH0050', '吸烟史患者描述不规范', null, '2726', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2727', '237', '入院记录', '1', 'BEH0049', '特殊嗜好未描述', null, '2727', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2728', '237', '入院记录', '1', 'BEH0048', '放射物、毒物、粉尘接触史未描述', null, '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2729', '237', '入院记录', '1', 'BEH0047', '饮酒史未描述', null, '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2730', '237', '入院记录', '1', 'BEH0046', '吸烟史未描述', null, '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2731', '237', '入院记录', '1', 'BEH0045', '冶游史未描述', null, '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2732', '237', '入院记录', '1', 'BEH0044', '疫区接触史未描述', null, '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2733', '237', '入院记录', '1', 'BEH0043', '居住地未描述', null, '2733', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2734', '237', '入院记录', '1', 'BEH0042', '出生地未描述', null, '2734', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2735', '237', '入院记录', '1', 'BEH0041', '个人史未填写', null, '2735', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2736', '237', '入院记录', '1', 'BEH0040', '药物过敏史描述不完整', null, '2736', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2737', '237', '入院记录', '1', 'BEH0039', '食物过敏史描述不完整', null, '2737', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2738', '237', '入院记录', '1', 'BEH0038', '输血史描述不完整', null, '2738', null, 'N', '2020-04-09 11:06:32', '2020-04-09 11:06:32', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2739', '237', '入院记录', '1', 'BEH0037', '外伤史描述不完整', null, '2739', null, 'N', '2020-04-09 11:06:23', '2020-04-09 11:06:23', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2740', '237', '入院记录', '1', 'BEH0036', '手术史描述不完整', null, '2740', null, 'N', '2020-04-09 11:06:12', '2020-04-09 11:06:12', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2741', '237', '入院记录', '1', 'BEH0035', '过敏药物未标引号', null, '2741', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2742', '237', '入院记录', '1', 'BEH0034', '手术名称未标引号', null, '2742', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2743', '237', '入院记录', '1', 'BEH0032', '疾病名未标引号', null, '2743', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2744', '237', '入院记录', '1', 'BEH0031', '慢病史未描述', null, '2744', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2745', '237', '入院记录', '1', 'BEH0030', '传染病史未描述', null, '2745', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2746', '237', '入院记录', '1', 'BEH0029', '预防接种史未描述', null, '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2747', '237', '入院记录', '1', 'BEH0028', '输血史未描述', null, '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2748', '237', '入院记录', '1', 'BEH0026', '食物过敏史未描述', null, '2748', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2749', '237', '入院记录', '1', 'BEH0025', '手术史未描述', null, '2749', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2750', '237', '入院记录', '1', 'BEH0024', '外伤史未描述', null, '2750', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2751', '237', '入院记录', '1', 'BEH0023', '现病史未描述入院前有无相关治疗检查', null, '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2752', '237', '入院记录', '1', 'BEH0022', '现病史缺少发病以来一般情况描述', null, '2752', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2753', '237', '入院记录', '1', 'BEH0021', '现病史症状缺少加剧情况', null, '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2754', '237', '入院记录', '1', 'BEH0020', '现病史症状缺少缓解情况', null, '2754', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2755', '237', '入院记录', '1', 'BEH0019', '现病史症状缺少程度', null, '2755', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2756', '237', '入院记录', '1', 'BEH0018', '现病史症状缺少近期时间描述', null, '2756', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2757', '237', '入院记录', '1', 'BEH0017', '现病史症状缺少时间描述', null, '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2758', '237', '入院记录', '1', 'BEH0016', '现病史症状缺少性质', null, '2758', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2759', '237', '入院记录', '1', 'BEH0015', '现病史症状缺少部位', null, '2759', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2760', '237', '入院记录', '1', 'BEH0014', '现病史症状缺少诱因', null, '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2761', '237', '入院记录', '1', 'BEH0013', '现病史缺少有鉴别意义的阴性症状', null, '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2762', '237', '入院记录', '1', 'BEH0012', '初步诊断名称不标准', null, '2762', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2763', '237', '入院记录', '1', 'BEH0011', '初步诊断不完整', null, '2763', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2764', '237', '入院记录', '1', 'BEH0010', '主诉中出现诊断名称（病理确诊：如肿瘤疾病、再入院除外）', null, '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2765', '237', '入院记录', '1', 'BEH0009', '主诉缺少主症状', null, '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2766', '237', '入院记录', '1', 'BEH0008', '主诉症状超过3个', null, '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2767', '237', '入院记录', '1', 'BEH0007', '主诉症状时间描述模糊', null, '2767', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2768', '237', '入院记录', '1', 'BEH0006', '症状缺少近期时间描述', null, '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2769', '237', '入院记录', '1', 'BEH0005', '症状时间描述前后不合理', null, '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2770', '237', '入院记录', '1', 'BEH0004', '入院记录个人基本信息缺项或信息错误', null, '2770', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2771', '237', '入院记录', '1', 'BEH0003', '主诉字数超过20字', null, '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2772', '237', '入院记录', '1', 'BEH0002', '主诊断与主诉不符', null, '2772', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2773', '237', '入院记录', '1', 'BEH0001', '症状缺少时间描述', null, '2773', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2774', '243', '病案首页', '6', 'FIRP0', '出院床号未填写', '', '2774', '', 'N', '2020-04-22 15:54:27', '2020-04-22 15:54:27', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2775', '237', '入院记录', '1', 'BEH0724', '药物过敏史与病案首页不一致', '', '2775', '', 'N', '2020-04-22 16:00:58', '2020-04-22 16:00:58', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2776', '237', '入院记录', '1', 'BEH0', '长期用药情况未填写', '', '2776', '', 'N', '2020-04-22 16:01:58', '2020-04-22 16:01:58', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2777', '237', '入院记录', '1', 'BEH0', '工作性质为填写', '', '2777', '', 'N', '2020-04-22 16:03:01', '2020-04-22 16:03:01', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2778', '237', '入院记录', '1', 'BEH0', '出生生长史未填写', '', '2778', '', 'N', '2020-04-22 16:03:15', '2020-04-22 16:03:15', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2780', '237', '入院记录', '1', 'BEH0', '家庭成员健康状况未填写', '', '2780', '', 'N', '2020-04-22 16:04:37', '2020-04-22 16:04:37', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2781', '237', '入院记录', '1', 'BEH0', '家庭成员类似病史未填写', '', '2781', '', 'N', '2020-04-22 16:08:48', '2020-04-22 16:08:48', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2782', '237', '入院记录', '1', 'BEH0', '缺两系三代内传染性疾病与遗传性疾病或遗传倾向性疾病未填写', '', '2782', '', 'N', '2020-04-22 16:09:28', '2020-04-22 16:09:28', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2783', '237', '入院记录', '1', 'BEH0', '体格检查一般情况未填写', '', '2783', '', 'N', '2020-04-22 16:11:44', '2020-04-22 16:11:44', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2784', '237', '入院记录', '1', 'BEH0', '体格检查皮肤情况未填写', '', '2784', '', 'N', '2020-04-22 16:12:39', '2020-04-22 16:12:39', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2785', '237', '入院记录', '1', 'BEH0', '体格检查头部情况未填写', '', '2785', '', 'N', '2020-04-22 16:13:11', '2020-04-22 16:13:11', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2786', '237', '入院记录', '1', 'BEH0', '体格检查五官情况未填写', '', '2786', '', 'N', '2020-04-22 16:13:39', '2020-04-22 16:13:39', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2787', '237', '入院记录', '1', 'BEH0', '体格检查颈部情况未填写', '', '2787', '', 'N', '2020-04-22 16:14:15', '2020-04-22 16:14:15', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2788', '237', '入院记录', '1', 'BEH0', '体格检查甲状腺情况未填写', '', '2788', '', 'N', '2020-04-22 16:20:53', '2020-04-22 16:20:53', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2789', '237', '入院记录', '1', 'BEH0', '体格检查胸部和肺部情况未填写', '', '2789', '', 'N', '2020-04-22 16:21:23', '2020-04-22 16:21:23', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2790', '237', '入院记录', '1', 'BEH0', '体格检查心脏情况未填写', '', '2790', '', 'N', '2020-04-22 16:21:51', '2020-04-22 16:21:51', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2791', '237', '入院记录', '1', 'BEH0', '体格检查周围血管情况未填写', '', '2791', '', 'N', '2020-04-22 16:22:17', '2020-04-22 16:22:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2792', '237', '入院记录', '1', 'BEH0', '体格检查腹部情况未填写', '', '2792', '', 'N', '2020-04-22 16:22:40', '2020-04-22 16:22:40', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2793', '237', '入院记录', '1', 'BEH0', '体格检查肛门直肠情况未填写', '', '2793', '', 'N', '2020-04-22 16:26:59', '2020-04-22 16:26:59', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2794', '237', '入院记录', '1', 'BEH0', '体格检查外生殖器情况未填写', '', '2794', '', 'N', '2020-04-22 16:29:46', '2020-04-22 16:29:46', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2795', '237', '入院记录', '1', 'BEH0', '体格检查骨骼肌肉情况未填写', '', '2795', '', 'N', '2020-04-22 16:33:31', '2020-04-22 16:33:31', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2796', '237', '入院记录', '1', 'BEH0', '体格检查神经系统情况未填写', '', '2796', '', 'N', '2020-04-22 16:35:14', '2020-04-22 16:35:14', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2797', '238', '首次病程录', '2', 'FIRC0', '病历特点发病经过未描述', '', '2797', '', 'N', '2020-04-22 17:01:04', '2020-04-22 17:01:04', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2798', '238', '首次病程录', '2', 'FIRC0', '病历特点体格检查未描述', '', '2798', '', 'N', '2020-04-22 17:01:14', '2020-04-22 17:01:14', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2799', '237', '入院记录', '1', 'BEH0', '病历特点辅助检查未描述', '', '2799', '', 'N', '2020-04-22 17:01:25', '2020-04-22 17:01:25', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2800', '241', '三级查房制度', '4', 'THR0', '危重疑难病人的上级医师查房记录未精确到时分', '', '2800', '', 'N', '2020-04-22 17:30:29', '2020-04-22 17:30:29', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2801', '241', '三级查房制度', '4', 'THR0', '抢救病人的上级医师查房记录未精确到时分', '', '2801', '', 'N', '2020-04-22 17:30:42', '2020-04-22 17:30:42', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2802', '241', '三级查房制度', '4', 'THR0', '连续三天无主治医师查房', '', '2802', '', 'N', '2020-04-22 17:31:10', '2020-04-22 17:31:10', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2803', '238', '首次病程录', '2', 'FIRC0', '首次病程无医疗组长审核签名', '', '2803', '', 'N', '2020-04-22 17:31:39', '2020-04-22 17:31:39', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2804', '283', '病历书写规范', null, 'MEDI0', '危重患者无病(危)重通知书', '', '2804', '', 'N', '2020-04-22 17:34:17', '2020-04-22 17:34:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2805', '241', '三级查房制度', '4', 'THR0', '住院超过48小时无血常规化验项目', '', '2805', '', 'N', '2020-04-22 17:35:21', '2020-04-22 17:35:21', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2806', '241', '三级查房制度', '4', 'THR0', '住院超过48小时无尿常规化验项目', '', '2806', '', 'N', '2020-04-22 17:35:48', '2020-04-22 17:35:48', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2807', '283', '病历书写规范', null, 'MEDI0', '住院期间使用化疗药物无化疗知情同意书', '', '2807', '', 'N', '2020-04-22 17:36:13', '2020-04-22 17:36:13', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2808', '283', '病历书写规范', null, 'MEDI0', '住院期间使用激素药物无激素使用知情同意书', '', '2808', '', 'N', '2020-04-22 17:36:32', '2020-04-22 17:36:32', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2809', '281', '有创操作记录', null, 'INVA0', '开立有创操作医嘱病程无有创操作记录', '', '2809', '', 'N', '2020-04-22 17:36:54', '2020-04-22 17:36:54', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2810', '281', '有创操作记录', null, 'INVA0', '有创操作记录无执业医师签名', '', '2810', '', 'N', '2020-04-22 17:37:17', '2020-04-22 17:37:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2811', '281', '有创操作记录', null, 'INVA0', '有创操作记录未在24小时内完成', '', '2811', '', 'N', '2020-04-22 17:37:45', '2020-04-22 17:37:45', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2812', '248', '围手术期病历讨论', '18', 'OPE0', '术后首程未在术后1小时内完成', '', '2812', '', 'N', '2020-05-07 16:51:14', '2020-05-07 16:51:14', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2813', '237', '入院记录', '1', 'BEH0', '手术外伤史未填写', '', '2813', '', 'N', '2020-04-22 17:38:40', '2020-04-22 17:38:40', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2814', '244', '会诊制度', '30', 'CON0', '会诊申请单中申请医师未填写', '', '2814', '', 'N', '2020-04-22 18:01:49', '2020-04-22 18:01:49', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2815', '244', '会诊制度', '30', 'CON0', '会诊申请单中申请会诊理由与目的未填写', '', '2815', '', 'N', '2020-04-22 18:05:10', '2020-04-22 18:05:10', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2816', '244', '会诊制度', '30', 'CON0', '会诊申请单中诊疗情况未填写', '', '2816', '', 'N', '2020-04-22 18:05:56', '2020-04-22 18:05:56', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2817', '244', '会诊制度', '30', 'CON0', '会诊申请单中简要病情未填写', '', '2817', '', 'N', '2020-04-22 18:06:44', '2020-04-22 18:06:44', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2818', '244', '会诊制度', '7', 'CON0', '会诊记录无医师签名', '', '2818', '', 'N', '2020-04-22 18:25:17', '2020-04-22 18:25:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2819', '244', '会诊制度', '7', 'CON0', '会诊记录无会诊医师所在科室及会诊医师姓名', '', '2819', '', 'N', '2020-04-22 18:29:01', '2020-04-22 18:29:01', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2820', '244', '会诊制度', '7', 'CON0', '会诊时间未精确到时分', '', '2820', '', 'N', '2020-04-22 18:30:15', '2020-04-22 18:30:15', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2821', '239', '死亡病例讨论制度', '3', 'DEAC0', '死亡病例讨论记录无主持人或主任签名', '', '2821', '', 'N', '2020-04-22 18:39:17', '2020-04-22 18:39:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2822', '239', '死亡病例讨论制度', '3', 'DEAC0', '死亡病例讨论记录无参加者姓名及职务', '', '2822', '', 'N', '2020-04-22 18:40:37', '2020-04-22 18:40:37', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2823', '247', '临床用血审核制度', '10', 'CLI0', '输血患者无输血记录', '', '2823', '', 'N', '2020-04-22 18:49:57', '2020-04-22 18:49:57', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2824', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中手术医生未填写', '', '2824', '', 'N', '2020-04-22 19:16:51', '2020-04-22 19:16:51', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2825', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中一助未填写', '', '2825', '', 'N', '2020-04-22 19:17:47', '2020-04-22 19:17:47', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2826', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中器械护士未填写', '', '2826', '', 'N', '2020-04-22 19:18:31', '2020-04-22 19:18:31', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2827', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中巡回护士未填写', '', '2827', '', 'N', '2020-04-22 19:19:55', '2020-04-22 19:19:55', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2828', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中麻醉医师未填写', '', '2828', '', 'N', '2020-04-22 19:20:45', '2020-04-22 19:20:45', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2829', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中手术切口类别未填写', '', '2829', '', 'N', '2020-04-22 19:22:17', '2020-04-22 19:22:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2830', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中术中并发症情况未填写', '', '2830', '', 'N', '2020-04-22 19:24:42', '2020-04-22 19:24:42', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2831', '248', '围手术期病历讨论', '17', 'OPE0', '手术记录中术中输血情况未填写', '', '2831', '', 'N', '2020-04-22 19:25:32', '2020-04-22 19:25:32', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2832', '248', '围手术期病历讨论', '18', 'OPE0', '术后首次病程记录麻醉方式未填写', '', '2832', '', 'N', '2020-04-22 19:27:29', '2020-04-22 19:27:29', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2833', '248', '围手术期病历讨论', '18', 'OPE0', '术后首次病程记录手术方式未填写', '', '2833', '', 'N', '2020-04-22 19:28:42', '2020-04-22 19:28:42', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2834', '241', '三级查房制度', '4', 'THR0', '末次查房医师非主治以上职称', '', '2834', '', 'N', '2020-04-22 19:33:46', '2020-04-22 19:33:46', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2835', '249', '术前讨论制度', '11', 'PRE0', '术前讨论记录无术前诊断', '', '2835', '', 'N', '2020-04-22 19:38:06', '2020-04-22 19:38:06', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2836', '243', '病案首页', '6', 'FIRP0', '患者出生日期未填写', '', '2836', '', 'N', '2020-04-22 19:52:16', '2020-04-22 19:52:16', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2837', '243', '病案首页', '6', 'FIRP0', '患者年龄未填写', '', '2837', '', 'N', '2020-04-22 19:53:02', '2020-04-22 19:53:02', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2838', '243', '病案首页', '6', 'FIRP0', '患者国籍未填写', '', '2838', '', 'N', '2020-04-22 19:53:15', '2020-04-22 19:53:15', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2839', '243', '病案首页', '6', 'FIRP0', '新生儿年龄与入院记录不一致', '', '2839', '', 'N', '2020-04-22 19:53:27', '2020-04-22 19:53:27', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2840', '243', '病案首页', '6', 'FIRP0', '婚姻状况没有填写', '', '2840', '', 'N', '2020-04-22 19:55:39', '2020-04-22 19:55:39', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2841', '243', '病案首页', '6', 'FIRP0', '实际住院天数未填写', '', '2841', '', 'N', '2020-04-22 19:56:02', '2020-04-22 19:56:02', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2842', '243', '病案首页', '6', 'FIRP0', '出院诊断疾病编码未填写', '', '2842', '', 'N', '2020-04-22 19:56:33', '2020-04-22 19:56:33', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2843', '243', '病案首页', '6', 'FIRP0', '出院其他诊断未填写', '', '2843', '', 'N', '2020-04-22 19:58:36', '2020-04-22 19:58:36', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2844', '243', '病案首页', '6', 'FIRP0', '手术及操作编码未填', '', '2844', '', 'N', '2020-04-22 19:59:05', '2020-04-22 19:59:05', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2845', '243', '病案首页', '6', 'FIRP0', '手术及操作医师未填', '', '2845', '', 'N', '2020-04-22 19:59:16', '2020-04-22 19:59:16', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2846', '243', '病案首页', '6', 'FIRP0', '手术及操作医师与手术记录单不一致', '', '2846', '', 'N', '2020-04-22 19:59:27', '2020-04-22 19:59:27', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2847', '243', '病案首页', '6', 'FIRP0', '麻醉方式未填', '', '2847', '', 'N', '2020-04-22 19:59:36', '2020-04-22 19:59:36', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2848', '243', '病案首页', '6', 'FIRP0', '麻醉医师未填', '', '2848', '', 'N', '2020-04-22 19:59:47', '2020-04-22 19:59:47', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2849', '237', '入院记录', '1', 'BEH0', '入院记录入院日期未精确到分', '', '2849', '', 'N', '2020-04-22 20:00:30', '2020-04-22 20:00:30', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2850', '237', '入院记录', '1', 'BEH0', '主诉症状无时间描述', '', '2850', '', 'N', '2020-04-22 20:00:22', '2020-04-22 20:00:22', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2851', '241', '三级查房制度', '4', 'THR0', '抢救患者无抢救记录', '', '2851', '', 'N', '2020-04-22 20:05:53', '2020-04-22 20:05:53', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2852', '241', '三级查房制度', '4', 'THR0', '抢救记录未在抢救结束后6小时内完成', '', '2852', '', 'N', '2020-05-07 15:51:55', '2020-05-07 15:51:55', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2853', '237', '入院记录', '1', 'BEH0', '内科疾病史未填写', '', '2853', '', 'N', '2020-04-22 20:08:02', '2020-04-22 20:08:02', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2854', '237', '入院记录', '1', 'BEH0', '传染病史未填写', '', '2854', '', 'N', '2020-04-22 20:08:31', '2020-04-22 20:08:31', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2855', '237', '入院记录', '1', 'BEH0', '过敏史未填写', '', '2855', '', 'N', '2020-04-28 11:34:32', '2020-04-28 11:34:32', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2856', '241', '查房记录', '4', 'THR0698', '查房记录缺记录时间', null, '2856', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1');
INSERT INTO `qc_cases_entry` VALUES ('2857', '241', '查房记录', '4', 'THR0700', '最后一次查房记录缺“上级医师”', null, '2857', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '1');
INSERT INTO `qc_cases_entry` VALUES ('2858', '241', '查房记录', '4', 'THR0701', '首次主治医师查房中鉴别诊断跟首程一致', null, '2858', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2859', '243', '病案首页', '6', 'FIRP02859', '质控未在出院三天内完成', null, '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2860', '237', '入院记录', '1', 'BEH02860', '主诉时间应该为阿拉伯数字', null, '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry` VALUES ('2880', '241', '三级查房制度', '4', 'THR02880', '首次主任医师查房中鉴别诊断跟首程一致', '', null, '', 'N', '2020-05-11 14:29:10', '2020-05-11 14:29:10', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2881', '241', '三级查房制度', '4', 'THR02881', '检验检查结果未及时记录', '', null, '', 'N', '2020-05-11 14:31:17', '2020-05-11 14:31:17', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2882', '283', '病历书写规范', '54', 'MEDI02882', '患者拒绝治疗，缺少相关告知书', '', null, '', 'N', '2020-05-11 14:34:27', '2020-05-11 14:34:27', '0', '测试6');
INSERT INTO `qc_cases_entry` VALUES ('2883', '243', '病案首页', '6', 'FIRP02883', '现住址邮编信息错误', '', null, '', 'N', '2020-05-12 09:43:36', '2020-05-12 09:43:36', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2885', '243', '病案首页', '6', 'FIRP02885', '户口地址邮编信息错误', '', null, '', 'N', '2020-05-12 09:43:54', '2020-05-12 09:43:54', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2886', '243', '病案首页', '6', 'FIRP02886', '工作单位邮编信息错误', '', null, '', 'N', '2020-05-12 09:44:13', '2020-05-12 09:44:13', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2887', '237', '入院记录', '1', 'BEH02887', '患者病情前后描述不一致', '', null, '', 'N', '2020-05-12 09:50:47', '2020-05-12 09:50:47', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2888', '283', '病历书写规范', '54', 'MEDI02888', '缺入院72小时内谈话记录', '', null, '', 'N', '2020-05-12 10:19:10', '2020-05-12 10:19:10', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2889', '283', '病历书写规范', '53', 'MEDI02889', '缺授权知情同意书', '', null, '', 'N', '2020-05-12 10:20:05', '2020-05-12 10:20:05', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2890', '283', '病历书写规范', '54', 'MEDI02890', '缺入院病情告知书', '', null, '', 'N', '2020-05-12 10:22:45', '2020-05-12 10:22:45', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2891', '248', '围手术期病历讨论', '17', 'OPE02891', '手术记录手术开始时间与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:25:03', '2020-05-12 10:25:03', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2892', '248', '围手术期病历讨论', '17', 'OPE02892', '手术记录手术结束时间与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:25:38', '2020-05-12 10:25:38', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2893', '248', '围手术期病历讨论', '17', 'OPE02893', '手术记录手术术中输血情况与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:26:06', '2020-05-12 10:26:06', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2894', '248', '围手术期病历讨论', '17', 'OPE02894', '手术记录生命体征与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:26:41', '2020-05-12 10:26:41', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2895', '248', '围手术期病历讨论', '18', 'OPE02895', '术后首次病程生命体征与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:27:41', '2020-05-12 10:27:41', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2896', '248', '围手术期病历讨论', '18', 'OPE02896', '术后首次病程手术术中输血情况与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:28:09', '2020-05-12 10:28:09', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2897', '248', '围手术期病历讨论', '18', 'OPE02897', '术后首次病程手术结束时间与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:28:27', '2020-05-12 10:28:27', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2898', '248', '围手术期病历讨论', '18', 'OPE02898', '术后首次病程手术开始时间与手麻系统记录不一致', '', null, '', 'N', '2020-05-12 10:29:33', '2020-05-12 10:29:33', '0', '测试1');
INSERT INTO `qc_cases_entry` VALUES ('2899', '240', '疑难病例讨论制度', '19', 'DIF02899', '疑难病例讨论记录结论未填写', '', null, '', 'N', '2020-05-12 10:33:14', '2020-05-12 10:33:14', '0', '测试1');

-- ----------------------------
-- Table structure for qc_cases_entry_hospital
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_entry_hospital`;
CREATE TABLE `qc_cases_entry_hospital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `cases_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '质控条目id',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `score` decimal(5,1) NOT NULL DEFAULT '0.0' COMMENT '扣分值',
  `msg` varchar(1024) DEFAULT NULL COMMENT '条目提示信息',
  `is_used` int(3) NOT NULL DEFAULT '0' COMMENT '0-未启用 1-启用',
  `is_reject` int(3) DEFAULT '0' COMMENT '单项否决（1-单项否决 0-非）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11344 DEFAULT CHARSET=utf8 COMMENT='病历条目';

-- ----------------------------
-- Records of qc_cases_entry_hospital
-- ----------------------------
INSERT INTO `qc_cases_entry_hospital` VALUES ('9815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2317', '3', '1.0', '待查诊断未列出可能性较大诊断', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2318', '3', '0.0', '执业医师未在24小时内完成入院记录审核签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2319', '3', '10.0', '入院记录由非执业医师填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9818', 'N', '1970-01-01 12:00:00', '2020-05-12 14:46:40', '0', '56', '2320', '3', '0.5', '辅助检查未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2321', '3', '0.5', '实验室检查未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2322', '3', '0.5', '辅助检查未注明时间和地点', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2323', '3', '0.5', '实验室检查未注明时间和地点', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2324', '3', '1.0', '体格检查与专科检查不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2325', '3', '0.5', '有鉴别意义的体征未描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2340', '3', '1.0', '生命体征未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2354', '3', '0.5', '既往史缺近一周抗凝药物使用情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2357', '3', '0.5', '既往史缺食物中毒史', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2358', '3', '0.5', '既往史缺药物中毒史', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2359', '3', '0.5', '既往史未描述既往健康状况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2360', '3', '0.5', '现病史目前仍需治疗的其他疾病未描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2361', '3', '0.5', '现病史缺少发病的前驱症状描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2362', '3', '0.5', '现病史症状缺少发病地点', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2364', '3', '0.5', '现病史主症状与主诉症状不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2368', '3', '0.5', '现病史缺少发病以来睡眠描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2369', '3', '0.5', '现病史缺少发病以来精神状态描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2370', '3', '0.5', '现病史缺少发病以来体重描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2371', '3', '0.5', '现病史缺少发病以来二便描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2372', '3', '0.5', '现病史缺少发病以来食欲描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2373', '3', '0.5', '入院记录户口地址未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2374', '3', '0.5', '入院记录出生日期填写与病案首页不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2375', '3', '0.5', '入院记录出生日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2385', '3', '0.5', '入院记录联系电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2388', '3', '0.5', '入院记录入院日期填写与病案首页不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2391', '3', '0.5', '入院记录婚姻状况填写与病案首页不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2392', '3', '0.5', '入院记录出生地填写与病案首页不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2394', '3', '0.5', '入院记录民族填写与病案首页不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2396', '3', '0.5', '入院记录性别填写与病案首页不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2397', '3', '0.5', '入院记录姓名填写与病案首页不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2399', '3', '0.5', '入院记录入院日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2400', '3', '0.5', '入院记录病史陈述者未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2403', '3', '0.5', '入院记录出生地未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2404', '3', '0.5', '入院记录职业未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2405', '3', '0.5', '入院记录民族未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2407', '3', '0.5', '入院记录性别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2408', '3', '0.5', '入院记录姓名未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2422', '3', '0.5', '子女健康状况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2423', '3', '0.5', '配偶健康状况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2424', '3', '0.5', '婚姻状况前后不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2700', '3', '1.0', '专科检查未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2702', '3', '1.0', '记录体检结果与患者实际情况不符', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2719', '3', '2.0', '月经史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2721', '3', '0.5', '夫妻关系未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2723', '3', '0.5', '结婚年龄未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2728', '3', '0.5', '放射物、毒物、粉尘接触史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2729', '3', '0.5', '饮酒史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2730', '3', '0.5', '吸烟史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2731', '3', '0.5', '冶游史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2732', '3', '0.5', '疫区接触史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2746', '3', '0.5', '预防接种史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2747', '3', '0.5', '输血史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2751', '3', '0.5', '现病史未描述入院前有无相关治疗检查', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2753', '3', '0.5', '现病史症状缺少加剧情况', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2757', '3', '0.5', '现病史症状缺少时间描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2760', '3', '0.5', '现病史症状缺少诱因', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2761', '3', '0.5', '现病史缺少有鉴别意义的阴性症状', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2764', '3', '1.0', '主诉中出现诊断名称（病理确诊：如肿瘤疾病、再入院除外）', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2765', '3', '1.0', '主诉缺少主症状', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2766', '3', '0.0', '主诉症状超过3个', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2768', '3', '0.0', '症状缺少近期时间描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2769', '3', '0.5', '症状时间描述前后不合理', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2771', '3', '1.0', '主诉字数超过20字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2775', '3', '1.0', '药物过敏史与病案首页不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2776', '3', '0.5', '长期用药情况未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2777', '3', '0.5', '工作性质为填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2778', '3', '0.5', '出生生长史未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2780', '3', '0.5', '家庭成员健康状况未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2781', '3', '0.5', '家庭成员类似病史未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2782', '3', '0.5', '缺两系三代内传染性疾病与遗传性疾病或遗传倾向性疾病未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2783', '3', '0.5', '体格检查一般情况未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2784', '3', '0.5', '体格检查皮肤情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2785', '3', '0.5', '体格检查头部情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2786', '3', '0.5', '体格检查五官情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2787', '3', '0.5', '体格检查颈部情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2788', '3', '0.5', '体格检查甲状腺情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2789', '3', '0.5', '体格检查胸部和肺部情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2790', '3', '0.5', '体格检查心脏情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2791', '3', '0.5', '体格检查周围血管情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2792', '3', '0.5', '体格检查腹部情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2793', '3', '0.5', '体格检查肛门直肠情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2794', '3', '0.5', '体格检查外生殖器情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2795', '3', '0.5', '体格检查骨骼肌肉情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2796', '3', '0.5', '体格检查神经系统情况未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2799', '3', '1.0', '病历特点辅助检查未描述', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2813', '3', '0.5', '手术外伤史未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2849', '3', '0.5', '入院记录入院日期未精确到分', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2850', '3', '0.5', '主诉症状无时间描述', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2853', '3', '0.5', '内科疾病史未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2854', '3', '0.5', '传染病史未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2855', '3', '2.0', '过敏史未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2860', '3', '1.0', '主诉时间应该为阿拉伯数字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2313', '3', '1.0', '首程主诉与入院记录主诉不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2683', '3', '1.0', '初步诊断不标准', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2686', '3', '10.0', '首次病程未在患者入院8小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2797', '3', '1.0', '病历特点发病经过未描述', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2798', '3', '1.0', '病历特点体格检查未描述', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2803', '3', '1.0', '首次病程无医疗组长审核签名', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2257', '3', '0.5', '死亡病例讨论无主持人小结意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2258', '3', '0.5', '死亡病例讨论无具体讨论意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2667', '3', '0.5', '死亡病例讨论记录无死亡原因', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2668', '3', '0.5', '死亡病例讨论记录无死亡诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2669', '3', '0.5', '死亡病例讨论记录无主持人姓名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2671', '3', '0.5', '死亡病例讨论记录无讨论日期', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2672', '3', '10.0', '死亡病例讨论记录未在患者死亡1周内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2673', '3', '10.0', '死亡患者无死亡病例讨论记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2674', '3', '0.5', '死亡病例讨论记录中无死亡时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2675', '3', '0.5', '死亡病例讨论记录中无抢救经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2676', '3', '0.5', '死亡病例讨论记录中无病情演变', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2680', '3', '0.5', '死亡病例讨论记录中无主诉', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2821', '3', '0.5', '死亡病例讨论记录无主持人或主任签名', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2260', '3', '0.5', '疑难病例讨论有缺项', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2262', '3', '0.5', '疑难病例讨论无记录者签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2263', '3', '0.5', '疑难病例讨论内容有错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2660', '3', '0.5', '疑难病例讨论记录无主持人小结意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2661', '3', '0.5', '疑难病例讨论记录未填写讨论内容', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2664', '3', '0.5', '疑难病例讨论记录未填写讨论时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2665', '3', '10.0', '疑难病例无疑难病例讨论记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2130', '3', '2.0', '病程记录应根据病情观察、查房情况并结合检查结果进行分析、判断，记录体现三级医师的诊断思路和处理方案', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2131', '3', '0.5', '抢救记录与抢救医嘱不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2132', '3', '0.5', '抢救记录未记录参加抢救医务人员姓名及职称', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2133', '3', '0.5', '抢救记录未记录抢救措施', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2134', '3', '0.5', '抢救记录未记录抢救时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2135', '3', '0.5', '抢救记录无病情变化情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2136', '3', '0.5', '抢救记录无记录时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2209', '3', '2.0', '冒用上级医生工号密码书写病历文书', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2211', '3', '1.0', 'Fellow查房记录无审核', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2214', '3', '2.0', '主刀医师在术后48小时内无查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2215', '3', '10.0', '整份病历无主治医师查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2221', '3', '2.0', '病重患者每2天应有一次病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2222', '3', '0.5', '术后病程录对引流管的引流液性状未记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2223', '3', '1.0', '术后病程录对引流管的引流量未记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2228', '3', '2.0', '病情稳定患者连续3天无病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2230', '3', '1.0', '在病程录中无补充诊断相应依据', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2639', '3', '1.0', '患者出院前无上级医师(主治及以上)同意出院的病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2655', '3', '2.0', '每周无2次副主任医师/主任医师查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2657', '3', '5.0', '副主任医师/主任医师首次查房未在患者入院72h内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2658', '3', '10.0', '入院记录未在患者入院24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2685', '3', '10.0', '首次病程由非执业医师书写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2800', '3', '2.0', '危重疑难病人的上级医师查房记录未精确到时分', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2801', '3', '2.0', '抢救病人的上级医师查房记录未精确到时分', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2802', '3', '2.0', '连续三天无主治医师查房', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2805', '3', '1.0', '住院超过48小时无血常规化验项目', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2806', '3', '0.5', '住院超过48小时无尿常规化验项目', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2834', '3', '1.0', '末次查房医师非主治以上职称', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2851', '3', '10.0', '抢救患者无抢救记录', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('9966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2299', '3', '0.5', '出院记录无健康教育', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2302', '3', '0.5', '出院记录诊治经过不够详细，并与住院病历内容不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2303', '3', '0.5', '出院记录随访指导注意事项不全', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2304', '3', '0.5', '出院记录复诊时间不明确', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2413', '3', '0.5', '出院记录内容缺出院时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2628', '3', '0.5', '出院记录内容缺出院医嘱', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2629', '3', '0.5', '出院记录内容缺出院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2630', '3', '0.5', '出院记录内容缺出院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2631', '3', '0.5', '出院记录内容缺诊疗经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2632', '3', '0.5', '出院记录内容缺入院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2633', '3', '0.5', '出院记录内容缺入院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2634', '3', '0.5', '出院记录内容缺主诉', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9978', 'N', '1970-01-01 12:00:00', '2020-05-11 17:12:29', '0', '56', '2290', '3', '40.0', '缺少病案首页', '1', '1', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2291', '3', '0.5', '麻醉医师填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2292', '3', '1.0', '麻醉方式填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2293', '3', '0.0', '手术级别填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2294', '3', '0.5', '电话与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2295', '3', '0.5', '户口地址与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2296', '3', '0.5', '民族与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2297', '3', '0.5', '出生日期与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2514', '3', '0.5', '新生儿年龄未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2522', '3', '1.0', '放射诊断与病理诊断符合情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2524', '3', '1.0', '临床诊断与病理诊断符合情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2526', '3', '1.0', '术前诊断与术后诊断符合情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2528', '3', '1.0', '入院诊断与出院诊断符合情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2530', '3', '1.0', '门诊诊断与出院诊断符合情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2532', '3', '1.0', '转归情况填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2533', '3', '1.0', '转归情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2535', '3', '1.0', '临床路径管理未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2537', '3', '1.0', '单病种管理未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2538', '3', '0.5', '抢救成功次数填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2539', '3', '0.5', '抢救成功次数未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2541', '3', '0.5', '抢救次数未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('9999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2543', '3', '1.0', '切口愈合等级未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2546', '3', '0.5', '出院科别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2548', '3', '0.5', '是否有在住院计划未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2549', '3', '0.5', '质控日期未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2550', '3', '0.5', '质控护士未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10004', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2551', '3', '0.5', '质控医师未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2552', '3', '0.5', '病案质量未勾选', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2553', '3', '0.5', '编码员未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2554', '3', '0.5', '实习医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2555', '3', '0.5', '进修医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2556', '3', '0.5', '责任护士未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2557', '3', '0.5', '住院医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2558', '3', '0.5', '主治医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2559', '3', '0.5', '主任医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2560', '3', '0.5', '科主任未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2562', '3', '0.5', '出院时间与出院记录时间不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2563', '3', '0.5', '出院时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2564', '3', '0.5', '入院床号未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2566', '3', '0.5', '入院科别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2567', '3', '0.5', '入院时间与入院记录时间不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2568', '3', '0.5', '入院时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2569', '3', '0.5', '联系人电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2570', '3', '0.5', '联系人地址未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2571', '3', '0.5', '联系人关系未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2572', '3', '0.5', '联系人姓名未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2576', '3', '0.5', '工作单位电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2577', '3', '0.5', '居住电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2578', '3', '0.5', '工作单位及地址没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2579', '3', '0.5', '户口地址没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2580', '3', '0.5', '现住址没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2581', '3', '0.5', '职业未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2582', '3', '0.5', '民族未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2583', '3', '0.5', '籍贯未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2584', '3', '0.5', '出生地未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2586', '3', '0.5', '新生儿入院体重未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2590', '3', '0.5', '颅脑损伤患者昏迷时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2591', '3', '0.5', '离院方式选择错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2595', '3', '1.0', '主要手术及操作名称未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2597', '3', '0.5', 'Rh血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2598', '3', '0.5', '血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2600', '3', '0.5', '患者尸检未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2601', '3', '1.0', '药物过敏与既往史不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2602', '3', '1.0', '药物过敏史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2603', '3', '0.5', '病理诊断填写与病程记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2604', '3', '0.5', '病理诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2605', '3', '0.5', '损伤、中毒的外部原因未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2607', '3', '0.5', '入院病情未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2610', '3', '2.0', '出院主要诊断未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2612', '3', '0.5', '门（急）诊诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2614', '3', '0.5', '转科科别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2615', '3', '0.5', '入院途径与入院记录填写内容不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2616', '3', '0.5', '入院途径未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2618', '3', '0.5', '婚姻状况与入院记录中不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2620', '3', '10.0', '身份证项没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2621', '3', '10.0', '身份证信息错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2623', '3', '10.0', '患者性别与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2624', '3', '10.0', '患者性别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2625', '3', '10.0', '患者姓名与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10057', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2626', '3', '10.0', '患者姓名未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2774', '3', '0.5', '出院床号未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2836', '3', '0.5', '患者出生日期未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2837', '3', '0.5', '患者年龄未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2838', '3', '0.5', '患者国籍未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2839', '3', '0.5', '新生儿年龄与入院记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2840', '3', '0.5', '婚姻状况没有填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2841', '3', '0.5', '实际住院天数未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2843', '3', '1.0', '出院其他诊断未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2844', '3', '1.0', '手术及操作编码未填', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2845', '3', '0.5', '手术及操作医师未填', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2846', '3', '0.5', '手术及操作医师与手术记录单不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2847', '3', '1.0', '麻醉方式未填', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2848', '3', '0.5', '麻醉医师未填', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2859', '3', '1.0', '质控未在出院三天内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2265', '3', '0.5', '会诊结果单中会诊日期及时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2266', '3', '1.0', '会诊结果单中会诊医师未签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2267', '3', '0.5', '会诊结果单中会诊意见未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2268', '3', '0.5', '会诊结果单中当前诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2269', '3', '0.5', '会诊结果单中会诊查体未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2270', '3', '0.5', '会诊结果单中病史回顾描述未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2271', '3', '0.5', '会诊结果单中会诊到达日期填写不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2272', '3', '0.5', '会诊结果单中会诊到达日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2279', '3', '0.5', '会诊申请单中会诊日期及时间填写不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2284', '3', '1.0', '不采纳会诊意见，专科医师未在病程录中记录理由', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2289', '3', '2.0', '急诊室急会诊未按时完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2499', '3', '1.0', '会诊记录无会诊意见的执行情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2511', '3', '1.0', '普通会诊未在24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2815', '3', '0.5', '会诊申请单中申请会诊理由与目的未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2816', '3', '0.5', '会诊申请单中诊疗情况未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2817', '3', '0.5', '会诊申请单中简要病情未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2818', '3', '1.0', '会诊记录无医师签名', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2819', '3', '0.5', '会诊记录无会诊医师所在科室及会诊医师姓名', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2820', '3', '1.0', '会诊时间未精确到时分', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2217', '3', '2.0', '转科后病程录没有连续记录3天', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2218', '3', '1.0', '接科记录未在24h内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2219', '3', '0.0', '转出记录未在转出前完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2495', '3', '2.0', '无阶段小结', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2243', '3', '0.5', '输血记录输注前评估未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2244', '3', '0.5', '输血记录Rh血型与化验中血型不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2245', '3', '0.5', '输血记录Rh血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2246', '3', '0.5', '输血记录血型与化验中血型不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2247', '3', '0.5', '输血记录血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2248', '3', '0.5', '输血记录输血记录时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2249', '3', '0.5', '输血记录输血记录者未签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2250', '3', '0.5', '输血记录输血结束时间填写不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2251', '3', '0.5', '输血记录输血结束时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2252', '3', '0.5', '输血记录开始输血时间填写不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2253', '3', '0.5', '输血记录开始输血时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2485', '3', '0.5', '输血记录中无输血指征', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2490', '3', '10.0', '无输血或使用血液制品知情同意书', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2823', '3', '2.0', '输血患者无输血记录', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2166', '3', '1.0', '术后首程未在手术结束1小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2170', '3', '10.0', '手术记录未在术后24h内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2185', '3', '0.5', '手术结束时间不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2186', '3', '0.5', '手术开始时间不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2187', '3', '0.5', '缺手术结束时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2188', '3', '0.5', '缺手术开始时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2229', '3', '2.0', '术后病程录没有连续记录3天', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2437', '3', '0.5', '手术记录中手术经过未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2438', '3', '0.5', '手术记录中术(中)后诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2439', '3', '0.5', '手术记录中术前诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2440', '3', '0.5', '手术记录中麻醉方式未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2441', '3', '0.5', '手术记录中手术名称未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2444', '3', '2.0', '术后首次病程记录未记录患者生命体征', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2468', '3', '10.0', '缺少术后首次病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2471', '3', '10.0', '手术患者无手术记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2472', '3', '2.0', '术后首次病程记录无主刀医师或一助签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2824', '3', '0.5', '手术记录中手术医生未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2825', '3', '0.5', '手术记录中一助未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2826', '3', '0.5', '手术记录中器械护士未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2827', '3', '0.5', '手术记录中巡回护士未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2828', '3', '0.5', '手术记录中麻醉医师未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2829', '3', '0.5', '手术记录中手术切口类别未填写', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2830', '3', '0.5', '手术记录中术中并发症情况未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2831', '3', '0.5', '手术记录中术中输血情况未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2832', '3', '0.5', '术后首次病程记录麻醉方式未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2833', '3', '0.5', '术后首次病程记录手术方式未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2232', '3', '2.0', '按制度需行手术审批而未审批', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2235', '3', '0.5', '术前讨论无记录者签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2236', '3', '0.5', '术前讨论记录未记录讨论者的姓名及职称', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2237', '3', '0.5', '术前讨论记录讨论日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2238', '3', '0.5', '术前讨论记录未记录具体讨论意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2241', '3', '0.5', '术前讨论及小结无简要病情', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2463', '3', '0.5', '术前讨论记录无术前准备内容', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2464', '3', '0.5', '术前讨论记录无麻醉方式', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2835', '3', '0.5', '术前讨论记录无术前诊断', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2254', '3', '10.0', '死亡记录未在患者离院后24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2448', '3', '0.5', '死亡记录无死亡时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2449', '3', '0.5', '死亡记录无死亡诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2451', '3', '0.5', '死亡记录无抢救经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2452', '3', '0.5', '死亡记录无病情演变', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2453', '3', '0.5', '死亡记录无诊疗经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2454', '3', '0.5', '死亡记录无入院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2455', '3', '0.5', '死亡记录无入院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2456', '3', '0.5', '死亡记录无主诉', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2457', '3', '1.0', '死亡记录无副主任以上医师审核签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2682', '3', '10.0', '死亡患者无死亡记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2414', '3', '0.5', '危急值记录中无效果观察', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2416', '3', '0.5', '危急值记录中无临床意义', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2417', '3', '0.5', '危急值记录中无危急值结果', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2418', '3', '0.5', '危急值记录中无报告时间 ', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2227', '3', '1.0', '使用抗生素前无采样培养', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2194', '3', '10.0', '无有创操作知情同意书或患方签名未授权', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2195', '3', '1.0', '操作医师未签名', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2196', '3', '1.0', '操作记录无操作后医嘱', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2197', '3', '0.5', '操作记录无操作后注意事项', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2198', '3', '0.5', '操作记录无操作后体征描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2200', '3', '0.5', '操作记录过程顺利与否未描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2201', '3', '0.5', '操作记录无患者一般情况', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2202', '3', '0.5', '操作记录无结果', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2203', '3', '0.5', '操作记录无操作步骤', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2204', '3', '0.5', '操作记录过程有无不良反应未描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2205', '3', '0.5', '操作记录无操作时间', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2206', '3', '0.5', '操作记录无术前准备', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2207', '3', '0.5', '操作记录无操作名称', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2208', '3', '0.5', '操作记录无患者信息，核对有误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2809', '3', '2.0', '开立有创操作医嘱病程无有创操作记录', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2810', '3', '1.0', '有创操作记录无执业医师签名', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2811', '3', '1.0', '有创操作记录未在24小时内完成', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2807', '3', '10.0', '住院期间使用化疗药物无化疗知情同意书', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2808', '3', '10.0', '住院期间使用激素药物无激素使用知情同意书', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('10662', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2319', '1', '3.0', '入院记录由非执业医师填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10663', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2320', '1', '4.0', '辅助检查未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10664', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2324', '1', '0.5', '体格检查与专科检查不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10665', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2340', '1', '0.5', '生命体征未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10666', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2341', '1', '20.0', '月经史未描述生育情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10667', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2359', '1', '0.5', '既往史未描述既往健康状况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10668', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2363', '1', '0.5', '现病史内容与首次病程内容雷同', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10669', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2364', '1', '0.5', '现病史主症状与主诉症状不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10670', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2365', '1', '0.5', '现病史症状缺少伴随症状', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10671', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2367', '1', '0.5', '现病史症状缺少持续时间', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10672', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2368', '1', '0.5', '现病史缺少发病以来睡眠描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10673', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2369', '1', '0.5', '现病史缺少发病以来精神状态描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10674', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2370', '1', '0.5', '现病史缺少发病以来体重描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10675', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2371', '1', '0.5', '现病史缺少发病以来二便描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10676', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2372', '1', '0.5', '现病史缺少发病以来食欲描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10677', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2373', '1', '0.5', '入院记录户口地址未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10678', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2374', '1', '0.5', '入院记录出生日期填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10679', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2375', '1', '0.5', '入院记录出生日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10680', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2385', '1', '0.5', '入院记录联系电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10681', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2386', '1', '0.5', '入院记录联系电话填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10682', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2387', '1', '0.5', '入院记录记录日期填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10683', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2388', '1', '0.5', '入院记录入院日期填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10684', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2389', '1', '0.5', '入院记录病史陈述者填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10685', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2390', '1', '0.5', '入院记录联系地址填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10686', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2391', '1', '0.5', '入院记录婚姻状况填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10687', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2392', '1', '0.5', '入院记录出生地填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10688', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2393', '1', '0.5', '入院记录职业填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10689', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2394', '1', '0.5', '入院记录民族填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10690', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2395', '1', '0.5', '入院记录年龄填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10691', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2396', '1', '0.5', '入院记录性别填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10692', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2397', '1', '0.5', '入院记录姓名填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10693', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2398', '1', '0.5', '入院记录记录日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10694', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2399', '1', '0.5', '入院记录入院日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10695', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2400', '1', '0.5', '入院记录病史陈述者未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10696', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2401', '1', '0.5', '入院记录联系地址未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10697', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2402', '1', '0.5', '入院记录婚姻状况未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10698', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2403', '1', '0.5', '入院记录出生地未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10699', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2404', '1', '0.5', '入院记录职业未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10700', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2405', '1', '0.5', '入院记录民族未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10701', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2406', '1', '0.5', '入院记录年龄未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10702', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2407', '1', '0.5', '入院记录性别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10703', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2408', '1', '0.5', '入院记录姓名未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10704', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2409', '1', '1.0', '既往史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10705', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2410', '1', '0.5', '家属有死亡者,未记录死亡年龄', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10706', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2411', '1', '1.0', '兄弟姐妹健康状况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10707', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2412', '1', '1.0', '父母健康状况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10708', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2420', '1', '0.5', '配偶死亡原因未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10709', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2421', '1', '0.5', '配偶死亡时间未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10710', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2422', '1', '0.5', '子女健康状况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10711', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2423', '1', '0.5', '配偶健康状况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10712', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2424', '1', '0.5', '婚姻状况前后不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10713', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2697', '1', '0.5', '外院医疗机构检查记录不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10714', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2698', '1', '0.5', '辅助检查与结果未记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10715', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2699', '1', '0.5', '专科检查记录不准确，或缺应有的鉴别诊断体征', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10716', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2700', '1', '0.5', '专科检查未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10717', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2701', '1', '0.5', '体格检查内容有空项', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10718', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2702', '1', '0.5', '记录体检结果与患者实际情况不符', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10719', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2703', '1', '0.5', '体格检查未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10720', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2704', '1', '0.5', '类似疾病史未描述', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10721', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2705', '1', '0.5', '两系三代内是否有肿瘤病史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10722', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2706', '1', '0.5', '家族中是否有肝炎、结核等病史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10723', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2707', '1', '0.5', '家属有死亡者,未记录死亡原因', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10724', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2708', '1', '0.5', '家族史未描述是否有家族性遗传病史及传染病史', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10725', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2709', '1', '1.0', '家族史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10726', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2710', '1', '0.5', '月经史未描述白带情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10727', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2711', '1', '0.5', '月经史未描述月经痛经情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10728', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2712', '1', '0.5', '月经史未描述月经血块情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10729', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2713', '1', '0.5', '月经史未描述月经颜色', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10730', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2714', '1', '0.5', '月经史未描述月经量', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10731', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2715', '1', '0.5', '月经史未描述末次月经时间/闭经日期/绝经年龄', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10732', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2716', '1', '0.5', '月经史未描述行经天数', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10733', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2717', '1', '0.5', '月经史未描述月经周期', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10734', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2718', '1', '0.5', '月经史未描述初潮年龄', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10735', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2719', '1', '1.0', '月经史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10736', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2720', '1', '1.0', '子女数量情况未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10737', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2721', '1', '0.5', '夫妻关系未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10738', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2722', '1', '0.5', '是否近亲结婚未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10739', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2723', '1', '0.5', '结婚年龄未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10740', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2724', '1', '1.0', '婚育史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10741', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2725', '1', '0.5', '饮酒史患者描述不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10742', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2726', '1', '0.5', '吸烟史患者描述不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10743', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2727', '1', '0.5', '特殊嗜好未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10744', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2728', '1', '0.5', '放射物、毒物、粉尘接触史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10745', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2729', '1', '0.5', '饮酒史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10746', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2730', '1', '0.5', '吸烟史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10747', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2731', '1', '0.5', '冶游史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10748', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2732', '1', '0.5', '疫区接触史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10749', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2733', '1', '0.5', '居住地未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10750', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2734', '1', '0.5', '出生地未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10751', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2735', '1', '1.0', '个人史未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10752', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2736', '1', '0.0', '药物过敏史描述不完整', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10753', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2737', '1', '0.0', '食物过敏史描述不完整', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10754', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2738', '1', '0.0', '输血史描述不完整', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10755', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2739', '1', '0.0', '外伤史描述不完整', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10756', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2740', '1', '0.0', '手术史描述不完整', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10757', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2741', '1', '0.0', '过敏药物未标引号', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10758', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2742', '1', '0.0', '手术名称未标引号', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10759', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2743', '1', '0.5', '疾病名未标引号', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10760', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2744', '1', '0.5', '慢病史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10761', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2745', '1', '0.5', '传染病史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10762', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2746', '1', '0.5', '预防接种史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10763', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2747', '1', '1.0', '输血史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10764', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2748', '1', '2.0', '食物过敏史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10765', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2749', '1', '0.5', '手术史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10766', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2750', '1', '0.5', '外伤史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10767', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2751', '1', '0.5', '现病史未描述入院前有无相关治疗检查', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10768', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2752', '1', '0.5', '现病史缺少发病以来一般情况描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10769', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2753', '1', '0.5', '现病史症状缺少加剧情况', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10770', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2754', '1', '0.5', '现病史症状缺少缓解情况', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10771', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2755', '1', '0.5', '现病史症状缺少程度', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10772', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2756', '1', '0.5', '现病史症状缺少近期时间描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10773', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2757', '1', '0.5', '现病史症状缺少时间描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10774', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2758', '1', '0.5', '现病史症状缺少性质', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10775', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2759', '1', '0.5', '现病史症状缺少部位', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10776', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2760', '1', '0.5', '现病史症状缺少诱因', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10777', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2761', '1', '0.5', '现病史缺少有鉴别意义的阴性症状', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10778', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2762', '1', '0.0', '初步诊断名称不标准', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10779', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2763', '1', '1.0', '初步诊断不完整', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10780', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2764', '1', '0.0', '主诉中出现诊断名称（病理确诊：如肿瘤疾病、再入院除外）', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10781', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2765', '1', '0.5', '主诉缺少主症状', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10782', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2766', '1', '0.0', '主诉症状超过3个', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10783', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2767', '1', '0.5', '主诉症状时间描述模糊', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10784', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2768', '1', '0.5', '症状缺少近期时间描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10785', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2769', '1', '0.5', '症状时间描述前后不合理', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10786', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2770', '1', '0.5', '入院记录个人基本信息缺项或信息错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10787', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2771', '1', '0.5', '主诉字数超过20字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10788', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2772', '1', '10.0', '主诊断与主诉不符', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10789', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2773', '1', '50.0', '症状缺少时间描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10790', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2860', '1', '1.0', '主诉时间应该为阿拉伯数字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10791', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2683', '1', '1.0', '初步诊断不标准', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10792', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2684', '1', '1.0', '初步诊断不完整', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10793', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2686', '1', '10.0', '首次病程未在患者入院8小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10794', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2687', '1', '1.0', '治疗措施不具体', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10795', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2688', '1', '1.0', '检查不具体', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10796', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2689', '1', '1.0', '诊疗计划不全', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10797', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2690', '1', '2.0', '无诊疗计划', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10798', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2691', '1', '1.0', '鉴别诊断不全面', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10799', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2692', '1', '2.0', '无鉴别诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10800', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2693', '1', '1.0', '诊断依据不充分', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10801', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2694', '1', '1.0', '未归纳出病史特点', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10802', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2695', '1', '1.0', '首程记录内容不可写同上', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10803', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2696', '1', '2.0', '病例特点与现病史内容雷同', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10804', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2666', '1', '1.0', '死亡病例讨论记录无签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10805', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2667', '1', '0.5', '死亡病例讨论记录无死亡原因', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10806', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2668', '1', '0.5', '死亡病例讨论记录无死亡诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10807', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2669', '1', '0.5', '死亡病例讨论记录无主持人姓名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10808', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2670', '1', '0.5', '死亡病例讨论记录无地点', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10809', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2671', '1', '0.5', '死亡病例讨论记录无讨论日期', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10810', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2672', '1', '10.0', '死亡病例讨论记录未在患者死亡1周内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10811', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2673', '1', '2.0', '死亡患者无死亡病例讨论记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10812', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2674', '1', '0.5', '死亡病例讨论记录中无死亡时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10813', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2675', '1', '0.5', '死亡病例讨论记录中无抢救经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10814', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2676', '1', '0.5', '死亡病例讨论记录中无病情演变', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10815', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2677', '1', '0.5', '死亡病例讨论记录中无诊疗经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10816', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2678', '1', '0.5', '死亡病例讨论记录中无入院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10817', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2679', '1', '0.5', '死亡病例讨论记录中无入院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10818', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2680', '1', '0.5', '死亡病例讨论记录中无主诉', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10819', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2260', '1', '0.5', '疑难病例讨论有缺项', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10820', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2261', '1', '1.0', '疑难病例讨论无主任或主持人签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10821', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2262', '1', '1.0', '疑难病例讨论无记录者签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10822', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2660', '1', '1.0', '疑难病例讨论记录无主持人小结意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10823', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2661', '1', '0.5', '疑难病例讨论记录未填写讨论内容', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10824', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2662', '1', '1.0', '疑难病例讨论记录未填写参加讨论者(包括职称及姓名)', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10825', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2663', '1', '0.5', '疑难病例讨论记录未填写主持人', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10826', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2664', '1', '0.5', '疑难病例讨论记录未填写讨论时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10827', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2665', '1', '6.0', '疑难病例无疑难病例讨论记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10828', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2215', '1', '2.0', '整份病历无主治医师查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10829', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2225', '1', '0.5', '医嘱中有病理相关检查，病程中无病理报告结果', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10830', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2376', '1', '2.0', '抢救患者无上级医师(副高及以上)查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10831', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2377', '1', '2.0', '疑难患者无上级医师(副高及以上)查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10832', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2378', '1', '2.0', '危重患者无上级医师(副高及以上)查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10833', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2379', '1', '0.5', '抢救患者上级医师(副高及以上)查房记录无诊疗意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10834', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2380', '1', '0.5', '疑难患者上级医师(副高及以上)查房记录无诊疗意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10835', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2381', '1', '0.5', '危重患者上级医师(副高及以上)查房记录无诊疗意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10836', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2382', '1', '0.5', '抢救患者上级医师(副高及以上)查房记录无病情分析及评估', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10837', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2383', '1', '0.5', '疑难患者上级医师(副高及以上)查房记录无病情分析及评估', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10838', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2384', '1', '0.5', '危重患者上级医师(副高及以上)查房记录无病情分析及评估', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10839', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2638', '1', '2.0', '病程记录中重要辅助检查报告结果有异常，无记录与分析', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10840', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2639', '1', '1.0', '患者出院前无上级医师(主治及以上)同意出院的病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10841', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2640', '1', '2.0', '危重患者、疑难患者、抢救患者无主任医师/副主任医师查房后病情诊疗意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10842', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2641', '1', '2.0', '危重患者、疑难患者、抢救患者无主任医师/科主任查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10843', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2642', '1', '0.5', '查房记录无医师签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10844', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2643', '1', '0.5', '副主任医师/主任医师首次查房无补充诊断/初步诊断/修正诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10845', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2644', '1', '0.5', '副主任医师/主任医师首次查房无诊疗计划', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10846', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2645', '1', '0.5', '副主任医师/主任医师首次查房无病情分析/评估', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10847', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2646', '1', '0.5', '副主任医师/主任医师首次查房无鉴别诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10848', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2647', '1', '0.5', '副主任医师/主任医师首次查房对病史、查体无补充', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10849', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2648', '1', '0.5', '主治医师首次查房无补充诊断/初步诊断/修正诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10850', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2649', '1', '0.5', '主治医师首次查房无诊疗计划', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10851', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2650', '1', '0.5', '主治医师首次查房无病情分析/评估', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10852', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2651', '1', '0.5', '主治医师首次查房无鉴别诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10853', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2652', '1', '0.5', '主治医师首次查房对病史、查体无补充', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10854', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2653', '1', '1.0', '上级医师查房（主治医师/副主任医师/主任医师）未签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10855', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2654', '1', '2.0', '每周无3次主治医师查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10856', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2655', '1', '10.0', '每周无2次副主任医师/主任医师查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10857', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2656', '1', '12.0', '主治医师首次查房未在患者入院48小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10858', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2657', '1', '2.0', '副主任医师/主任医师首次查房未在患者入院72h内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10859', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2658', '1', '10.0', '入院记录未在患者入院24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10860', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2685', '1', '2.0', '首次病程由非执业医师书写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10861', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2302', '1', '0.5', '出院记录诊治经过不够详细，并与住院病历内容不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10862', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2306', '1', '13.0', '出院记录无副主任/主任医师签名', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10863', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2307', '1', '10.0', '无出院记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10864', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2413', '1', '1.0', '出院记录内容缺出院时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10865', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2627', '1', '1.0', '出院记录内容缺出院注意事项', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10866', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2628', '1', '1.0', '出院记录内容缺出院医嘱', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10867', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2629', '1', '1.0', '出院记录内容缺出院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10868', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2630', '1', '1.0', '出院记录内容缺出院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10869', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2631', '1', '1.0', '出院记录内容缺诊疗经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10870', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2632', '1', '1.0', '出院记录内容缺入院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10871', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2633', '1', '1.0', '出院记录内容缺入院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10872', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2634', '1', '0.5', '出院记录内容缺主诉', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10873', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2635', '1', '10.0', '出院记录未在患者出院24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10874', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2636', '1', '0.0', '出院诊断不标准', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10875', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2637', '1', '0.0', '出院诊断不完整', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10876', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2291', '1', '0.5', '麻醉医师填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10877', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2292', '1', '0.5', '麻醉方式填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10878', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2512', '1', '0.1', '出院诊断在病程录中未记录依据', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10879', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2513', '1', '0.5', '实际住院天数与出院小结不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10880', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2514', '1', '0.2', '新生儿年龄未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10881', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2515', '1', '0.2', '新生儿年龄错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10882', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2516', '1', '0.1', '出院诊断顺序不规范', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10883', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2518', '1', '0.1', '其他费用填错', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10884', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2519', '1', '0.1', '其他费用未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10885', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2520', '1', '0.1', '费用填错', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10886', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2521', '1', '0.1', '费用未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10887', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2522', '1', '0.1', '放射诊断与病理诊断符合情况未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10888', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2523', '1', '0.1', '放射诊断与病理诊断符合情况填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10889', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2524', '1', '0.1', '临床诊断与病理诊断符合情况未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10890', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2525', '1', '0.1', '临床诊断与病理诊断符合情况填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10891', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2526', '1', '0.1', '术前诊断与术后诊断符合情况未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10892', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2527', '1', '0.1', '术前诊断与术后诊断符合情况填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10893', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2528', '1', '0.1', '入院诊断与出院诊断符合情况未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10894', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2529', '1', '0.1', '入院诊断与出院诊断符合情况填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10895', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2530', '1', '0.1', '门诊诊断与住院诊断符合情况未填', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10896', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2531', '1', '0.1', '门诊诊断与住院诊断符合情况填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10897', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2532', '1', '0.1', '转归情况填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10898', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2533', '1', '0.1', '转归情况未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10899', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2534', '1', '0.5', '临床路径管理填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10900', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2535', '1', '0.5', '临床路径管理未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10901', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2536', '1', '0.5', '单病种管理填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10902', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2537', '1', '0.5', '单病种管理未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10903', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2538', '1', '0.1', '抢救成功次数填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10904', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2539', '1', '0.1', '抢救成功次数未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10905', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2540', '1', '0.1', '抢救次数填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10906', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2541', '1', '0.1', '抢救次数未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10907', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2542', '1', '0.5', '切口愈合等级填写的与出院小结不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10908', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2543', '1', '0.5', '切口愈合等级未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10909', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2544', '1', '1.0', '手术切口等级填写的与手术记录不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10910', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2545', '1', '1.0', '手术切口等级未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10911', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2546', '1', '0.2', '出院科别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10912', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2547', '1', '0.1', '病历分型未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10913', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2548', '1', '0.5', '是否有在住院计划未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10914', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2549', '1', '0.1', '质控日期未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10915', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2550', '1', '0.1', '质控护士未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10916', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2551', '1', '0.1', '质控医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10917', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2552', '1', '0.1', '病案质量未勾选', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10918', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2553', '1', '0.1', '编码员未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10919', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2554', '1', '0.1', '实习医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10920', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2555', '1', '0.1', '进修医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10921', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2556', '1', '0.1', '责任护士未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10922', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2557', '1', '0.1', '住院医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10923', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2558', '1', '0.1', '主治医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10924', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2559', '1', '0.1', '主任医师未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10925', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2560', '1', '0.1', '科主任未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10926', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2561', '1', '1.0', '出院诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10927', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2562', '1', '0.5', '出院时间与出院记录时间不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10928', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2563', '1', '0.5', '出院时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10929', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2564', '1', '0.1', '入院床号未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10930', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2565', '1', '0.2', '入院科别填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10931', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2566', '1', '0.2', '入院科别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10932', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2567', '1', '0.5', '入院时间与入院记录时间不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10933', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2568', '1', '0.5', '入院时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10934', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2569', '1', '0.1', '联系人电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10935', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2570', '1', '0.1', '联系人地址未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10936', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2571', '1', '0.1', '联系人关系未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10937', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2572', '1', '0.1', '联系人姓名未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10938', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2573', '1', '0.1', '单位地址邮编未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10939', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2574', '1', '0.1', '户口地址邮编未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10940', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2575', '1', '0.1', '现住址邮编未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10941', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2576', '1', '0.1', '工作单位电话未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10942', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2577', '1', '0.1', '居住电话未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10943', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2578', '1', '0.1', '工作单位及地址没有填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10944', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2579', '1', '0.1', '户口地址没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10945', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2580', '1', '0.1', '现住址没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10946', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2581', '1', '0.1', '职业未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10947', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2582', '1', '0.1', '民族未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10948', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2583', '1', '0.1', '籍贯未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10949', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2584', '1', '0.1', '出生地未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10950', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2585', '1', '1.0', '新生儿入院体重填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10951', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2586', '1', '1.0', '新生儿入院体重未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10952', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2587', '1', '1.0', '新生儿出生体重填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10953', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2588', '1', '1.0', '新生儿出生体重未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10954', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2589', '1', '1.0', '总费用填错', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10955', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2590', '1', '0.5', '颅脑损伤患者昏迷时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10956', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2591', '1', '1.0', '离院方式选择错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10957', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2592', '1', '1.0', '离院方式未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10958', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2593', '1', '1.0', '手术及操作名称填写不全', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10959', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2594', '1', '1.0', '主要手术及操作名称与病程记录不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10960', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2595', '1', '1.0', '主要手术及操作名称未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10961', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2596', '1', '0.1', 'Rh填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10962', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2597', '1', '0.1', 'Rh血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10963', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2598', '1', '0.1', '血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10964', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2599', '1', '0.1', '患者尸检填写错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10965', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2600', '1', '0.1', '患者尸检未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10966', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2601', '1', '0.1', '药物过敏与既往史不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10967', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2602', '1', '0.1', '药物过敏史未描述', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10968', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2603', '1', '0.5', '病理诊断填写与病程记录不一致', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10969', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2604', '1', '0.5', '病理诊断未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10970', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2605', '1', '0.5', '损伤、中毒的外部原因未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10971', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2606', '1', '0.5', '入院病情填写错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10972', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2607', '1', '0.5', '入院病情未填写', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10973', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2608', '1', '1.0', '出院其他诊断不完全', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10974', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2609', '1', '1.0', '主要诊断与出院小结不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10975', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2610', '1', '1.0', '出院主要诊断未填', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10976', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2611', '1', '0.2', '门（急）诊诊断与现病史里的内容不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10977', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2612', '1', '0.2', '门（急）诊诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10978', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2613', '1', '0.2', '转科科别不正确', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10979', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2614', '1', '0.2', '转科科别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10980', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2615', '1', '0.2', '入院途径与入院记录填写内容不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10981', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2616', '1', '0.2', '入院途径未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10982', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2617', '1', '0.0', '联系人应非本人', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10983', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2618', '1', '0.1', '婚姻状况与入院记录中不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10984', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2619', '1', '0.1', '婚姻状况没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10985', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2620', '1', '0.2', '身份证项没有填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10986', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2621', '1', '0.2', '身份证信息错误', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10987', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2622', '1', '0.2', '患者年龄与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10988', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2623', '1', '0.2', '患者性别与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10989', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2624', '1', '0.2', '患者性别未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10990', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2625', '1', '0.1', '患者姓名与入院记录不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10991', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2626', '1', '0.1', '患者姓名未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10992', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2859', '1', '1.0', '质控未在出院三天内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10993', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2499', '1', '1.0', '病程记录中无会诊执行情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10994', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2500', '1', '1.0', '会诊当日未书写病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10995', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2501', '1', '0.5', '外院医师会诊未注明医疗机构名称', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10996', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2502', '1', '0.5', '会诊单会诊医师未签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10997', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2503', '1', '0.5', '会诊单无会诊时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10998', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2504', '1', '0.5', '会诊单无会诊医师科别', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('10999', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2505', '1', '0.5', '会诊单无会诊意见', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11000', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2506', '1', '0.5', '会诊单无申请会诊医师签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11001', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2507', '1', '0.5', '会诊单无申请会诊的理由和目的', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11002', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2508', '1', '0.5', '会诊单无患者诊疗情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11003', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2509', '1', '0.5', '会诊单无患者病情情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11005', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2511', '1', '1.0', '普通会诊未在24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11006', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2498', '1', '1.0', '医嘱无护理级别（一级护理/二级护理/三级护理/特级护理）（医嘱部分）', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11007', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2493', '1', '0.5', '值班期间，当班医师的诊疗处理未在病程中记录', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11008', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2494', '1', '0.5', '接班（科）记录未在接班（科）后24小时内完成', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11009', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2495', '1', '2.0', '无阶段小结', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11010', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2496', '1', '2.0', '病人转科时无转科记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11011', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2497', '1', '2.0', '更换主管医师时，无交接班记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11012', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2242', '1', '5.0', '输血知情同意书无患方签名或患方签名未授权', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11013', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2244', '1', '1.0', '输血记录Rh血型与化验中血型不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11014', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2245', '1', '1.0', '输血记录Rh血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11015', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2246', '1', '1.0', '输血记录血型与化验中血型不一致', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11016', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2247', '1', '1.0', '输血记录血型未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11017', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2249', '1', '1.0', '输血记录输血记录者未签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11018', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2251', '1', '1.0', '输血记录输血结束时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11019', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2253', '1', '1.0', '输血记录开始输血时间未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11020', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2482', '1', '1.0', '无输血或使用血液制品后效果评价', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11021', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2483', '1', '1.0', '输血记录中未记录是否有不良反应', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11022', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2484', '1', '1.0', '输血记录中无血液制品种类及量', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11023', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2485', '1', '1.0', '输血记录中无输血指征', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11024', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2486', '1', '5.0', '输血记录未在输注结束后24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11025', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2487', '1', '10.0', '无输血前化验检查', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11026', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2488', '1', '2.0', '无输血审批单', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11027', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2489', '1', '0.5', '输血或使用血液制品知情同意书填写不完整', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11028', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2490', '1', '10.0', '无输血或使用血液制品知情同意书', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11029', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2491', '1', '1.0', '输血指征不严格', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11030', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2492', '1', '1.0', '无输血/血制品病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11031', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2426', '1', '1.0', '手术患者缺术前讨论或术前小结', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11032', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2427', '1', '2.0', '手术患者缺术前主刀医师查房记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11033', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2428', '1', '0.5', '手术患者缺麻醉术后访视记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11034', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2429', '1', '0.5', '手术患者缺麻醉记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11035', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2430', '1', '0.5', '手术患者缺麻醉知情同意书', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11036', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2431', '1', '0.5', '手术患者缺麻醉术前访视记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11037', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2432', '1', '5.0', '缺手术风险评估记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11038', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2433', '1', '0.5', '手术风险评估记录内容不完整', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11039', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2434', '1', '5.0', '术后谈话记录无患方签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11040', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2435', '1', '5.0', '术中谈话记录无患方签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11041', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2436', '1', '0.5', '手术记录中手术经过描述不完整（缺术中病理结果、内植入物、标本送检情况）', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11042', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2437', '1', '0.5', '手术记录中手术经过未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11043', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2438', '1', '0.5', '手术记录中术后诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11044', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2439', '1', '0.5', '手术记录中术前诊断未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11045', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2440', '1', '0.5', '手术记录中麻醉方式未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11046', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2441', '1', '0.5', '手术记录中手术名称未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11047', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2442', '1', '0.5', '术后首次病程记录未记录处理及注意事项', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11048', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2443', '1', '0.5', '术后首次病程记录未记录术后风险', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11049', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2444', '1', '0.5', '术后首次病程记录未记录患者生命体征', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11050', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2446', '1', '2.0', '缺术中谈话记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11051', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2447', '1', '10.0', '缺手术知情同意书', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11052', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2468', '1', '10.0', '缺少术后首次病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11053', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2469', '1', '2.0', '手术记录无主刀医师签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11054', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2470', '1', '10.0', '手术记录未由主刀或一助书写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11055', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2471', '1', '10.0', '手术记录缺少', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11056', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2472', '1', '0.0', '术后首次病程记录由主刀医师书写或一助书写并签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11058', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2474', '1', '10.0', '缺内置物谈话', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11059', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2475', '1', '5.0', '手术知情同意书无患方签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11060', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2476', '1', '2.0', '缺术后谈话记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11061', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2477', '1', '0.5', '三方签字不完整', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11062', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2478', '1', '0.5', '手术安全核查表填写时间不正确', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11063', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2479', '1', '0.5', '手术安全核查表内容不完整', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11064', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2480', '1', '5.0', '缺手术安全核查表', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11065', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2481', '1', '2.0', '手术患者缺手术清点记录空缺', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11066', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2235', '1', '0.5', '术前讨论无记录者签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11067', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2459', '1', '10.0', '重大疑难手术缺疑难手术审批单', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11068', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2460', '1', '10.0', '术前讨论是无主刀医师签字', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11069', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2461', '1', '0.5', '术前讨论记录未记录术前术后注意事项', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11070', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2462', '1', '0.5', '术前讨论记录未记录可能意外和防范措施', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11071', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2463', '1', '0.5', '术前讨论记录无术前准备内容', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11072', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2464', '1', '0.5', '术前讨论记录无麻醉方式', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11073', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2465', '1', '0.5', '术前讨论记录无拟行术式', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11074', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2466', '1', '0.5', '术前讨论记录无手术指征', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11075', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2467', '1', '10.0', '手术患者无术前讨论记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11076', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2425', '1', '1.0', '死亡记录里死亡时间未精确到分', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11077', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2448', '1', '2.0', '死亡记录无死亡时间', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11078', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2449', '1', '1.0', '死亡记录无死亡诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11079', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2450', '1', '2.0', '死亡记录无死亡原因', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11080', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2451', '1', '1.0', '死亡记录无抢救经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11081', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2452', '1', '1.0', '死亡记录无病情演变', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11082', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2453', '1', '1.0', '死亡记录无诊疗经过', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11083', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2454', '1', '1.0', '死亡记录无入院诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11084', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2455', '1', '1.0', '死亡记录无入院情况', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11085', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2456', '1', '1.0', '死亡记录无主诉', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11086', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2457', '1', '10.0', '死亡记录无副主任医师审核签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11087', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2458', '1', '5.0', '死亡记录未在患者离院前完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11088', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2681', '1', '10.0', '死亡记录未在患者死亡后24小时内完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11089', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2682', '1', '10.0', '死亡患者无死亡记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11090', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2414', '1', '0.5', '危急值记录中无效果观察', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11091', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2415', '1', '0.5', '危急值记录中无处置措施', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11092', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2416', '1', '0.5', '危急值记录中无临床意义', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11093', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2417', '1', '0.5', '危急值记录中无危急值结果', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11094', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2418', '1', '0.5', '危急值记录中无报告时间 ', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11095', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2419', '1', '4.0', '接到危急值报告后6小时内无病程记录', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11096', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2189', '1', '5.0', '诊治过程欠合理', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11097', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2190', '1', '5.0', '重要医疗措施调整不及时', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11098', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2191', '1', '5.0', '重要药物调整不及时', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11099', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2192', '1', '10.0', '严重违反用药原则及剂量规定', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2193', '1', '10.0', '诊疗措施严重违反医疗原则规范', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2150', '1', '5.0', '非执业医师书写的病历无执业医师审核签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2151', '1', '10.0', '拷贝导致的严重错误', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2152', '1', '10.0', '病历内容误归入', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2153', '1', '10.0', '病历内容缺失', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2154', '1', '10.0', '伪造、篡改病理主要内容', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2155', '1', '1.0', '病历出现错别字', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2156', '1', '1.0', '病历排序不正确', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2157', '1', '1.0', '重要部位涂改', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2158', '1', '1.0', '重要部位粘贴', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2159', '1', '1.0', '内容欠客观准确，相互矛盾', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2160', '1', '1.0', '打印病历字迹不清', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2161', '1', '1.0', '手书字迹潦草', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2162', '1', '1.0', '涂改', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2163', '1', '1.0', '粘贴', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2164', '1', '0.5', '修（补）正不符合要求', '0', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2138', '1', '0.5', '麻醉记录未记录出血量', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2139', '1', '0.5', '麻醉记录未记录尿量', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2140', '1', '0.5', '麻醉记录无施麻醉者', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2141', '1', '0.5', '麻醉记录无麻醉方法', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2142', '1', '0.5', '麻醉记录无手术名称', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2143', '1', '0.5', '麻醉记录无手术后诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2144', '1', '0.5', '麻醉记录无拟施手术', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2145', '1', '0.5', '麻醉记录无术前诊断', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2146', '1', '1.5', '麻醉记录缺麻醉执业医师签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2147', '1', '0.5', '麻醉前访视记录不规范', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2148', '1', '0.5', '麻前访视录无麻醉执业医师签名', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '测试1', '2149', '1', '0.5', '麻醉术前访视记录未在术前完成', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11128', 'N', '2020-05-07 14:03:38', '2020-05-07 14:03:38', '0', '测试1', '2255', '1', '1.0', '在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写在现病史中症状主诉未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11129', 'N', '2020-05-07 14:03:38', '2020-05-07 14:03:38', '0', '测试1', '2255', '2', '2.0', '在现病史中症状主诉未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11130', 'N', '2020-05-07 14:03:38', '2020-05-07 14:03:38', '0', '测试1', '2255', '3', '3.0', '在现病史中症状主诉未填写', '1', '0', null);
INSERT INTO `qc_cases_entry_hospital` VALUES ('11313', 'N', '2020-05-07 15:51:55', '2020-05-07 15:51:55', '0', '测试6', '2852', '3', '10.0', '抢救记录未在抢救结束后6小时内完成', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11314', 'N', '2020-05-07 15:51:55', '2020-05-07 15:51:55', '0', '测试6', '2852', '1', '5.0', '抢救记录未在抢救结束后6小时内完成', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11315', 'N', '2020-05-07 16:51:14', '2020-05-07 16:51:14', '0', '测试6', '2812', '1', '5.0', '术后首程未在术后1小时内完成', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11316', 'N', '2020-05-07 17:06:16', '2020-05-07 17:06:16', '0', '测试6', '2510', '1', '5.0', '急会诊未在10分钟内到达', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11317', 'N', '2020-05-07 17:09:47', '2020-05-12 15:02:39', '0', '32', '2288', '3', '2.0', '病房急会诊未在十分钟内完成', '0', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11318', 'N', '2020-05-07 17:09:47', '2020-05-07 17:09:47', '0', '测试6', '2288', '1', '5.0', '病房急会诊未在十分钟内完成', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11319', 'N', '2020-05-11 14:29:10', '2020-05-11 14:29:10', '0', '测试6', '2880', '1', '0.0', '首次主任医师查房中鉴别诊断跟首程一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11320', 'N', '2020-05-11 14:31:17', '2020-05-11 14:31:17', '0', '测试6', '2881', '1', '1.0', '检验检查结果未及时记录', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11321', 'N', '2020-05-11 14:34:27', '2020-05-11 14:34:27', '0', '测试6', '2882', '1', '5.0', '患者拒绝治疗，缺少相关告知书', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11325', 'N', '2020-05-12 09:43:36', '2020-05-12 09:43:36', '0', '测试1', '2883', '1', '0.1', '现住址邮编信息错误', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11326', 'N', '2020-05-12 09:43:54', '2020-05-12 09:43:54', '0', '测试1', '2885', '1', '0.1', '户口地址邮编信息错误', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11327', 'N', '2020-05-12 09:44:13', '2020-05-12 09:44:13', '0', '测试1', '2886', '1', '0.1', '工作单位邮编信息错误', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11328', 'N', '2020-05-12 09:50:47', '2020-05-12 09:50:47', '0', '测试1', '2887', '1', '1.0', '患者病情前后描述不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11329', 'N', '2020-05-12 10:19:10', '2020-05-12 10:19:10', '0', '测试1', '2888', '1', '10.0', '缺入院72小时内谈话记录', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11330', 'N', '2020-05-12 10:20:05', '2020-05-12 10:20:05', '0', '测试1', '2889', '1', '10.0', '缺授权知情同意书', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11331', 'N', '2020-05-12 10:22:45', '2020-05-12 10:22:45', '0', '测试1', '2890', '1', '10.0', '缺入院病情告知书', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11332', 'N', '2020-05-12 10:23:50', '2020-05-12 10:23:50', '0', '测试1', '2287', '3', '2.0', '无会诊记录', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11333', 'N', '2020-05-12 10:23:50', '2020-05-12 10:23:50', '0', '测试1', '2287', '1', '2.0', '无会诊记录', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11334', 'N', '2020-05-12 10:25:03', '2020-05-12 10:25:03', '0', '测试1', '2891', '1', '1.0', '手术记录手术开始时间与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11335', 'N', '2020-05-12 10:25:38', '2020-05-12 10:25:38', '0', '测试1', '2892', '1', '1.0', '手术记录手术结束时间与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11336', 'N', '2020-05-12 10:26:06', '2020-05-12 10:26:06', '0', '测试1', '2893', '1', '1.0', '手术记录手术术中输血情况与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11337', 'N', '2020-05-12 10:26:41', '2020-05-12 10:26:41', '0', '测试1', '2894', '1', '1.0', '手术记录生命体征与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11338', 'N', '2020-05-12 10:27:41', '2020-05-12 10:27:41', '0', '测试1', '2895', '1', '1.0', '术后首次病程生命体征与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11339', 'N', '2020-05-12 10:28:09', '2020-05-12 10:28:09', '0', '测试1', '2896', '1', '1.0', '术后首次病程手术术中输血情况与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11340', 'N', '2020-05-12 10:28:27', '2020-05-12 10:28:27', '0', '测试1', '2897', '1', '1.0', '术后首次病程手术结束时间与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11341', 'N', '2020-05-12 10:29:33', '2020-05-12 10:29:33', '0', '测试1', '2898', '1', '1.0', '术后首次病程手术开始时间与手麻系统记录不一致', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11342', 'N', '2020-05-12 10:33:14', '2020-05-12 10:33:14', '0', '测试1', '2899', '1', '1.0', '疑难病例讨论记录结论未填写', '1', '0', '');
INSERT INTO `qc_cases_entry_hospital` VALUES ('11343', 'N', '2020-05-12 10:34:40', '2020-05-12 10:34:40', '0', '测试1', '2473', '1', '10.0', '术中更改手术方式应行谈话告知并记录', '1', '0', '');

-- ----------------------------
-- Table structure for qc_cases_entry_pagedata
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_entry_pagedata`;
CREATE TABLE `qc_cases_entry_pagedata` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `cases_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '质控条目id',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `page_key` varchar(255) NOT NULL DEFAULT '' COMMENT '页面数据对应的key',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='质控条目对应页面数据映射表';

-- ----------------------------
-- Records of qc_cases_entry_pagedata
-- ----------------------------
INSERT INTO `qc_cases_entry_pagedata` VALUES ('1', '2386', '3', 'key1', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry_pagedata` VALUES ('2', '2392', '3', 'key3', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_cases_entry_pagedata` VALUES ('3', '2386', '3', 'key2', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');

-- ----------------------------
-- Table structure for qc_cases_hospital
-- ----------------------------
DROP TABLE IF EXISTS `qc_cases_hospital`;
CREATE TABLE `qc_cases_hospital` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `cases_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '模块ID',
  `score` decimal(5,1) NOT NULL DEFAULT '0.0' COMMENT '模块总分',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8 COMMENT='医院模块数据';

-- ----------------------------
-- Records of qc_cases_hospital
-- ----------------------------
INSERT INTO `qc_cases_hospital` VALUES ('1', '1', '237', '3.0', 'N', '1970-01-01 12:00:00', '2020-05-06 17:03:27', '0', '1');
INSERT INTO `qc_cases_hospital` VALUES ('2', '1', '238', '8.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('3', '1', '239', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('4', '1', '240', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('5', '1', '241', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('6', '1', '242', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('7', '1', '243', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('8', '1', '244', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('9', '1', '245', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('10', '1', '246', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('11', '1', '247', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('12', '1', '248', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('13', '1', '249', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('14', '1', '250', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('15', '1', '262', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('16', '1', '280', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('17', '1', '281', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('18', '1', '282', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('19', '1', '283', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('20', '1', '284', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 17:14:37', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('21', '3', '237', '23.0', 'N', '1970-01-01 12:00:00', '2020-04-29 15:55:29', '0', '13');
INSERT INTO `qc_cases_hospital` VALUES ('22', '3', '238', '6.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:43:20', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('23', '3', '239', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 10:23:42', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('24', '3', '240', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 10:23:42', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('25', '3', '241', '20.0', 'N', '1970-01-01 12:00:00', '2020-04-23 13:46:15', '0', '56');
INSERT INTO `qc_cases_hospital` VALUES ('26', '3', '242', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 10:23:42', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('27', '3', '243', '10.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:43:09', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('28', '3', '244', '4.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:43:29', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('29', '3', '245', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 10:23:42', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('30', '3', '246', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:39:35', '0', '56');
INSERT INTO `qc_cases_hospital` VALUES ('31', '3', '247', '2.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:36:32', '0', '56');
INSERT INTO `qc_cases_hospital` VALUES ('32', '3', '248', '10.0', 'N', '1970-01-01 12:00:00', '2020-04-23 13:49:14', '0', '56');
INSERT INTO `qc_cases_hospital` VALUES ('33', '3', '249', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:39:20', '0', '56');
INSERT INTO `qc_cases_hospital` VALUES ('34', '3', '250', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-16 10:23:42', '0', '19');
INSERT INTO `qc_cases_hospital` VALUES ('35', '3', '262', '5.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:42:59', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('36', '3', '280', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:41:58', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('37', '3', '281', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:41:48', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('38', '3', '282', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:38:06', '0', '56');
INSERT INTO `qc_cases_hospital` VALUES ('39', '3', '283', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:41:53', '0', '32');
INSERT INTO `qc_cases_hospital` VALUES ('40', '3', '284', '0.0', 'N', '1970-01-01 12:00:00', '2020-04-23 14:38:31', '0', '56');

-- ----------------------------
-- Table structure for qc_mode
-- ----------------------------
DROP TABLE IF EXISTS `qc_mode`;
CREATE TABLE `qc_mode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(128) DEFAULT NULL COMMENT '数据模块名称',
  `order_no` int(11) DEFAULT '1' COMMENT '排序号',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '上级模块',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8 COMMENT='数据模块表';

-- ----------------------------
-- Records of qc_mode
-- ----------------------------
INSERT INTO `qc_mode` VALUES ('1', '入院记录', '2', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('2', '首次病程录', '10', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('3', '死亡病例讨论记录', '40', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('4', '查房记录', '20', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('5', '出院小结', '800', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('6', '病案首页', '1', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('7', '会诊记录', '170', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('8', '医嘱信息', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('9', '交接班记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('10', '输血/血制品病程记录', '130', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('11', '术前讨论、术前小结', '50', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('12', '麻醉记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('13', '麻醉知情同意书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('14', '麻醉术前访视记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('15', '麻醉术后访视记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('16', '手术知情同意书', '80', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('17', '手术记录', '60', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('18', '术后首次病程及谈话记录', '70', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('19', '疑难病例讨论记录', '30', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('20', '手术风险评估表', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('21', '手术安全核查表', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('22', '抢救记录', '90', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('23', '危急值记录', '100', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('24', '死亡记录', '190', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('25', '病危通知书', '120', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('26', '转入记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('27', '转出记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('28', '阶段小结', '110', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('29', '病重通知书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('30', '会诊申请单', '150', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('31', '会诊结果单', '160', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('32', '输血后效果评价', '140', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('33', '专科交接单', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('34', '转科记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('35', '病理检验送检单', '180', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('36', '自定义病程记录', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('37', '病程信息', '3', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('52', '授权知情同意书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('53', '知情同意书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('54', '谈话告知书', '500', '37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);
INSERT INTO `qc_mode` VALUES ('55', '其他', '999', '-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', null);

-- ----------------------------
-- Table structure for qc_model_hospital
-- ----------------------------
DROP TABLE IF EXISTS `qc_model_hospital`;
CREATE TABLE `qc_model_hospital` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `hospital_id` int(11) DEFAULT NULL,
  `hospital_model_name` varchar(255) DEFAULT NULL,
  `stand_model_id` bigint(11) DEFAULT NULL,
  `stand_model_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=969 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of qc_model_hospital
-- ----------------------------
INSERT INTO `qc_model_hospital` VALUES ('1', '3', '0110 查房记录(SOAP)', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('2', '3', '0240 阶段小结', '28', '阶段小结');
INSERT INTO `qc_model_hospital` VALUES ('3', '3', '首次病程录', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('4', '3', '大病史(女)', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('5', '3', '0413 诊疗知情同意书（入院72小时谈话记录）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('6', '3', '0160 术后首次病程录', '18', '术后首次病程及谈话记录');
INSERT INTO `qc_model_hospital` VALUES ('7', '3', '0290 术前小结', '11', '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('8', '3', '0230 转入记录', '26', '转入记录');
INSERT INTO `qc_model_hospital` VALUES ('9', '3', '0220 转出记录', '27', '转出记录');
INSERT INTO `qc_model_hospital` VALUES ('10', '3', '0900 手术记录', '17', '手术记录');
INSERT INTO `qc_model_hospital` VALUES ('11', '3', '0840 出院记录', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('12', '3', '0850 死亡记录', '24', '死亡记录');
INSERT INTO `qc_model_hospital` VALUES ('13', '3', '0310 会诊申请', '30', '会诊申请单');
INSERT INTO `qc_model_hospital` VALUES ('14', '3', '0310 会诊结果', '31', '会诊结果单');
INSERT INTO `qc_model_hospital` VALUES ('15', '3', '疑难病例讨论', '19', '疑难病例讨论记录');
INSERT INTO `qc_model_hospital` VALUES ('16', '3', '死亡病例讨论', '3', '死亡病例讨论记录');
INSERT INTO `qc_model_hospital` VALUES ('17', '3', '手术知情同意书', '16', '手术知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('18', '3', '0920 手术材料使用告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('19', '3', '0407 麻醉知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('20', '3', '0405 输血/成份血知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('21', '3', '介入放射检查/治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('22', '3', '0401 化学治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('23', '3', '放射治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('24', '3', '介入神经放射检查/治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('25', '3', '非血管性介入放射检查/治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('26', '3', '人工流产/清宫术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('27', '3', '心脏介入诊断和治疗术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('28', '3', '美容整形手术自愿书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('29', '3', '骨髓穿刺、活检知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('30', '3', '0446 患者授权书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('31', '3', 'YAG激光后囊切开术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('32', '3', '浙江省冠心病急性事件、脑卒中发病报告卡', null, null);
INSERT INTO `qc_model_hospital` VALUES ('33', '3', '0120 上级查房记录', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('34', '3', '转院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('35', '3', '0020 24小时内入出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('36', '3', '0150 抢救记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('37', '3', '大病史（产科）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('38', '3', '0433 病危（重）通知', '25', '病危通知书');
INSERT INTO `qc_model_hospital` VALUES ('39', '3', '0030 24小时内入院死亡记录（原）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('40', '3', '0275 有创诊疗操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('41', '3', '颈内静脉长期血透导管置入术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('42', '3', '0904 剖宫产手术记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('43', '3', '腹腔镜双侧精索静脉高位结扎术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('44', '3', '腹腔镜下右/左肾囊肿去顶术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('45', '3', '包皮环切记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('46', '3', '输尿管镜下钬激光碎石术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('47', '3', '体外冲击波碎石记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('48', '3', '0270 骨髓穿刺术操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('49', '3', '0260 胸腔穿刺术操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('50', '3', '胸腔闭式引流术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('51', '3', '肾活检记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('52', '3', '股静脉临时血透导管置入术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('53', '3', '颈内静脉临时血透导管置入术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('54', '3', 'B超引导下经皮肾穿刺造瘘记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('55', '3', 'B超引导下经皮肾肿物穿刺活检记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('56', '3', 'B超引导下经直肠前列腺穿刺活检记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('57', '3', '无张力阴道吊带尿道悬吊术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('58', '3', '肝穿记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('59', '3', '0250 腰椎穿刺术操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('60', '3', '腹穿记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('61', '3', '心内科手术主模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('62', '3', '冠脉造影阴性模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('63', '3', '经皮血管成型术模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('64', '3', '冠状动脉粥样硬化', null, null);
INSERT INTO `qc_model_hospital` VALUES ('65', '3', '旁道射频消融模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('66', '3', '双径路射频消融模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('67', '3', '房性心动过速射频消融模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('68', '3', '心房扑动射频消融模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('69', '3', '房颤射频消融术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('70', '3', '室性早搏射频消融模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('71', '3', '室速射频消融模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('72', '3', '经皮DDD埋藏式起搏器植入模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('73', '3', '经皮VVI埋藏式起搏器植入模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('74', '3', '经皮临时起搏器植入术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('75', '3', 'ICD植入模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('76', '3', 'PDA封堵术和主动脉造影', null, null);
INSERT INTO `qc_model_hospital` VALUES ('77', '3', '经皮球囊二尖瓣成型术模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('78', '3', '经皮房间隔缺损封堵术模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('79', '3', '经皮室间隔伞片封堵术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('80', '3', '心内科出院指导', null, null);
INSERT INTO `qc_model_hospital` VALUES ('81', '3', '神经内科出院指导', null, null);
INSERT INTO `qc_model_hospital` VALUES ('82', '3', '经皮中心静脉穿刺术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('83', '3', '0415 入住重症监护室ICU谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('84', '3', '血浆净化知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('85', '3', '糖皮质类固醇激素治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('86', '3', '大病史(男)', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('87', '3', '浙江省恶性肿瘤病例报告卡', null, null);
INSERT INTO `qc_model_hospital` VALUES ('88', '3', '0010 入院记录（女）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('89', '3', 'APACHEⅡ评分', null, null);
INSERT INTO `qc_model_hospital` VALUES ('90', '3', '传染病报卡（性病申报流程）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('91', '3', '新生儿乙肝疫苗接种告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('92', '3', '耳鼻喉科大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('93', '3', '骨科大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('94', '3', '泌尿外科大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('95', '3', '眼科大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('96', '3', '肛肠外科大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('97', '3', '浙江省糖尿病发病报告卡', null, null);
INSERT INTO `qc_model_hospital` VALUES ('98', '3', '居民死亡医学证明书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('99', '3', '新生儿大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('100', '3', '查房记录(简单)', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('101', '3', '眼科专科检查', null, null);
INSERT INTO `qc_model_hospital` VALUES ('102', '3', '神经内科专科体检格式表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('103', '3', '缺血性卒中出院小结', null, null);
INSERT INTO `qc_model_hospital` VALUES ('104', '3', '大病史(简约式)', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('105', '3', '0011 入院记录（神经外科--男）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('106', '3', '儿科大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('107', '3', 'YAG激光虹膜切除术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('108', '3', '0425 支气管镜检查知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('109', '3', '胃镜检查', null, null);
INSERT INTO `qc_model_hospital` VALUES ('110', '3', '肠镜检查/手术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('111', '3', '经内镜逆行胰胆管造影/手术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('112', '3', '超声内镜/内镜超声引导下检查治疗术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('113', '3', '经食道超声心动图（TEE）检查', null, null);
INSERT INTO `qc_model_hospital` VALUES ('114', '3', '胸腹腔穿刺/置管', null, null);
INSERT INTO `qc_model_hospital` VALUES ('115', '3', '活检术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('116', '3', '静脉置管', null, null);
INSERT INTO `qc_model_hospital` VALUES ('117', '3', '射频治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('118', '3', '转移性骨肿瘤内照射治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('119', '3', '甲状腺癌131I 治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('120', '3', '甲亢131I治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('121', '3', '子宫、输卵管造影术(HSG)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('122', '3', '宫腔镜检查/手术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('123', '3', '宫内节育器取、放术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('124', '3', '病人自备药物使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('125', '3', '造影剂使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('126', '3', '血浆净化', null, null);
INSERT INTO `qc_model_hospital` VALUES ('127', '3', '康复治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('128', '3', '自体外周血干细胞移植', null, null);
INSERT INTO `qc_model_hospital` VALUES ('129', '3', '皮肤病激光、手术或其它有创性治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('130', '3', '经阴道穿刺术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('131', '3', '鼻内镜下鼻术腔检查/清理术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('132', '3', '宫颈电环切术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('133', '3', '阴道镜检查/活检', null, null);
INSERT INTO `qc_model_hospital` VALUES ('134', '3', '0423 气管插管', null, null);
INSERT INTO `qc_model_hospital` VALUES ('135', '3', '腰椎穿刺', null, null);
INSERT INTO `qc_model_hospital` VALUES ('136', '3', '鼓膜穿刺术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('137', '3', '上颌窦穿刺术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('138', '3', '0427 鼻咽内镜/纤维内镜检查', null, null);
INSERT INTO `qc_model_hospital` VALUES ('139', '3', '膀胱镜检查/手术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('140', '3', '血细胞单采/去除术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('141', '3', '内镜下介入治疗', null, null);
INSERT INTO `qc_model_hospital` VALUES ('142', '3', '硬膜外自体血注射手术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('143', '3', '介入操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('144', '3', '拔牙告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('145', '3', '拔牙同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('146', '3', '体外受精 — 胚胎移植（IVF-ET）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('147', '3', '辅助生殖治疗结局知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('148', '3', '卵胞浆内单精子显微注射(ICSI)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('149', '3', '体外受精-胚胎移植术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('150', '3', '剖宫产手术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('151', '3', '人造血管动静脉内瘘术后告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('152', '3', '选择性胚胎减灭术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('153', '3', '胚胎低温保存', null, null);
INSERT INTO `qc_model_hospital` VALUES ('154', '3', '阴道分娩知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('155', '3', '动静脉内瘘术（包括人造血管内瘘）知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('156', '3', '睾丸、附睾取精术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('158', '3', '夫精宫腔内人工授精术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('159', '3', '冷冻胚胎解冻、移植术', null, null);
INSERT INTO `qc_model_hospital` VALUES ('160', '3', '卵子、精子、胚胎遗弃', null, null);
INSERT INTO `qc_model_hospital` VALUES ('161', '3', '肉毒素治疗知情意书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('162', '3', '知情选择书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('163', '3', '接受赠卵－体外授精－胚胎移植', null, null);
INSERT INTO `qc_model_hospital` VALUES ('164', '3', '身高体重', null, null);
INSERT INTO `qc_model_hospital` VALUES ('165', '3', '五官科体检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('166', '3', 'vip病史及报告', null, null);
INSERT INTO `qc_model_hospital` VALUES ('167', '3', '妇科体检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('168', '3', '内科体检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('169', '3', '男外科体检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('170', '3', '眼科体检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('171', '3', '入ICU首次病程录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('172', '3', '精、卵配子操作', null, null);
INSERT INTO `qc_model_hospital` VALUES ('173', '3', '牙科口腔正畸治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('174', '3', '口腔正畸治疗须知', null, null);
INSERT INTO `qc_model_hospital` VALUES ('175', '3', '牙科种植治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('176', '3', '牙科种植治疗告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('177', '3', '牙科充填治疗告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('178', '3', '牙科充填治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('179', '3', '牙科髓病、根管治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('180', '3', '牙科髓病、根管治疗告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('181', '3', '牙科冠、贴面修复同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('182', '3', '牙科冠、贴面修复告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('183', '3', '牙科可摘局部义齿修复同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('184', '3', '牙科可摘局部义齿修复告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('185', '3', '牙科桥 （固定义齿）修复同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('186', '3', '牙科桥 （固定义齿）修复告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('187', '3', '全口义齿修复同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('188', '3', '全口义齿修复告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('189', '3', '牙科牙根牵出术同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('190', '3', '牙科牙根牵出术告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('191', '3', '牙科义齿修理同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('192', '3', '牙科义齿修理告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('193', '3', '产科病人入院', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('194', '3', '辅助生育治疗随访知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('195', '3', '牙冠、桥、贴面修复知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('196', '3', '牙漂白治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('197', '3', '女外科体检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('198', '3', '病重通知', '29', '病重通知书');
INSERT INTO `qc_model_hospital` VALUES ('199', '3', '镇静操作知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('200', '3', '辅助生殖结局', null, null);
INSERT INTO `qc_model_hospital` VALUES ('201', '3', '鞘内注射', null, null);
INSERT INTO `qc_model_hospital` VALUES ('202', '3', '脊髓碘造影', null, null);
INSERT INTO `qc_model_hospital` VALUES ('203', '3', '住院病案首页（病人存档及卫生统计用）', '6', '病案首页');
INSERT INTO `qc_model_hospital` VALUES ('204', '3', '住院病案附页（医疗质量管理用）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('205', '3', '病理科组织检查申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('206', '3', '辅助生殖技术病史小结', null, null);
INSERT INTO `qc_model_hospital` VALUES ('207', '3', '经阴道穿刺手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('208', '3', '病房转ICU记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('209', '3', 'ICU转病房记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('210', '3', '入ICU记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('211', '3', '出ICU记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('212', '3', '光动力治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('213', '3', '眼底激光治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('214', '3', '再入ICU记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('215', '3', '0130 普通病程录', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('216', '3', '入ICU谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('217', '3', '传染病报卡（普通申报流程）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('218', '3', '传染病报卡（甲型H1N1流感申报流程）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('219', '3', '传染病报卡（手足口病申报流程）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('220', '3', 'ICU收治病人', null, null);
INSERT INTO `qc_model_hospital` VALUES ('221', '3', '呼吸睡眠障碍大病史', null, null);
INSERT INTO `qc_model_hospital` VALUES ('222', '3', '肉毒毒素注射治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('223', '3', '小病历（产科）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('224', '3', '手术知情同意书（2）测试', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('225', '3', '痛风、高尿酸血症营养膳食指南', null, null);
INSERT INTO `qc_model_hospital` VALUES ('226', '3', '甲状腺功能亢进症患者放射性碘治疗后注意事项', null, null);
INSERT INTO `qc_model_hospital` VALUES ('227', '3', '神经外科术前谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('228', '3', '深静脉血栓形成预防谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('229', '3', '新生儿体格检查记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('230', '3', '肝癌标本库', null, null);
INSERT INTO `qc_model_hospital` VALUES ('232', '3', '新生儿出院小结', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('233', '3', '新生儿转院小结', null, null);
INSERT INTO `qc_model_hospital` VALUES ('234', '3', '0923 阴道助产手术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('235', '3', '出血性卒中出院小结', null, null);
INSERT INTO `qc_model_hospital` VALUES ('236', '3', '首次病程录（呼吸内科）', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('237', '3', '住院通知单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('238', '3', '新生儿记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('239', '3', '传染病报卡（腹泻、菌痢申报流程）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('240', '3', 'ICU收治病人资料登记表(新)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('241', '3', '0427 拔除或更改气切套管谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('242', '3', '心胸外科查房记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('243', '3', '镇痛分娩知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('244', '3', '传染病报卡（病毒性肝炎申报流程）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('245', '3', '住院病案首页（多手术）', '6', '病案首页');
INSERT INTO `qc_model_hospital` VALUES ('246', '3', '胰岛素泵治疗病程录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('247', '3', '应用生物制剂治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('248', '3', '查房记录(癌痛病人)', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('249', '3', '0300 首次病程录（隐藏）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('250', '3', '玻璃体腔注射知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('251', '3', 'SIH 神经内科查体表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('252', '3', '社会因素剖宫产手术申请知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('253', '3', '胎盘自行处置告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('254', '3', '英夫利西单抗治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('255', '3', '免疫抑制剂治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('256', '3', '眼部超声造影 (CEUS) 检查知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('257', '3', '镇静镇痛记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('258', '3', '经外周穿刺中心静脉置管（PICC）出院宣教单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('259', '3', '康复治疗记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('260', '3', '呼吸内科肺癌患者VTE筛选表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('261', '3', '角膜屈光手术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('262', '3', '重大疑难手术审批报告', null, null);
INSERT INTO `qc_model_hospital` VALUES ('263', '3', '新生儿转院回执', null, null);
INSERT INTO `qc_model_hospital` VALUES ('264', '3', '0514 康复医学科康复治疗记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('265', '3', '康复医学科临床功能评估表（new）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('266', '3', '康复治疗处方', null, null);
INSERT INTO `qc_model_hospital` VALUES ('267', '3', '康复医学科针灸治疗记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('268', '3', '0412 重大疑难手术审批报告', null, null);
INSERT INTO `qc_model_hospital` VALUES ('269', '3', '口腔预防（常规洁牙）告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('271', '3', '预防性抗凝或治疗性抗凝/溶栓治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('272', '3', '约束具使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('273', '3', '新生儿首次病程录', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('274', '3', '新生儿普通病程记录', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('275', '3', '预防性抗凝或治疗性抗凝知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('276', '3', '溶栓治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('277', '3', '呼吸肌功能评定', null, null);
INSERT INTO `qc_model_hospital` VALUES ('278', '3', '呼吸治疗初次评估单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('279', '3', '呼吸治疗病程录', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('280', '3', '静脉血栓栓塞症风险评估单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('281', '3', '肺功能康复评定', null, null);
INSERT INTO `qc_model_hospital` VALUES ('282', '3', '神经系统专科体检格式表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('283', '3', '精神科专科体检格式表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('284', '3', '精神卫生科谈话摘录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('285', '3', '传染病报卡', null, null);
INSERT INTO `qc_model_hospital` VALUES ('286', '3', '盖尔维斯顿定向和记忆缺失测验(GOAT)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('287', '3', '康复医学科日常生活能力评定', null, null);
INSERT INTO `qc_model_hospital` VALUES ('288', '3', '康复医学科偏瘫患者手功能评估', null, null);
INSERT INTO `qc_model_hospital` VALUES ('289', '3', '康复医学科手外伤患者手功能评定', null, null);
INSERT INTO `qc_model_hospital` VALUES ('290', '3', '吞咽障碍评估表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('291', '3', '洼田氏饮水试验', null, null);
INSERT INTO `qc_model_hospital` VALUES ('292', '3', '简易智能状态测试，MMSE', null, null);
INSERT INTO `qc_model_hospital` VALUES ('293', '3', 'Frenchay构音障碍评估单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('294', '3', '失语症评定简表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('295', '3', '汉语失语症检查表（ABC法）---(一、三、四)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('296', '3', '汉语失语症检查表（ABC法）---(二)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('297', '3', '汉语失语症检查表（ABC法）---(五)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('298', '3', '汉语失语症检查表（ABC法）---(六、九)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('299', '3', 'ABC法评定结果总结表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('300', '3', '上肢功能指数评估', null, null);
INSERT INTO `qc_model_hospital` VALUES ('301', '3', '中心静脉置管知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('302', '3', '血液透析病人须知', null, null);
INSERT INTO `qc_model_hospital` VALUES ('303', '3', '局部封闭治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('304', '3', 'A型肉毒素注射知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('305', '3', '康复医学科姿势控制评估报告', null, null);
INSERT INTO `qc_model_hospital` VALUES ('306', '3', '新生儿监护室首次病程录', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('307', '3', '新生儿监护室大病史', null, null);
INSERT INTO `qc_model_hospital` VALUES ('308', '3', '0481 入住重症监护室（ICU）谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('309', '3', '入住重症监护室（NICU）谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('310', '3', '母婴同室新生儿出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('311', '3', '母婴同室新生儿检查记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('312', '3', '0340 血液制品输注病程录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('314', '3', '经颅多普勒超声发泡试验知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('315', '3', '康复医学科蜡疗\\热喷疗法皮肤评估单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('316', '3', '上级查房记录', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('317', '3', '24小时内入出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('319', '3', '产钳手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('320', '3', '0410 贵重药品使用告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('321', '3', '住院患者离院外出告知同意书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('322', '3', '阴道检查记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('323', '3', '手术知情同意书（3）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('324', '3', '手术知情同意书（2）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('325', '3', '0941 手术安全核查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('326', '3', '0942 手术风险评估表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('327', '3', '母婴同室新生儿查房记录新', null, null);
INSERT INTO `qc_model_hospital` VALUES ('328', '3', '新生儿疾病筛查知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('329', '3', '婴儿病史记录新', null, null);
INSERT INTO `qc_model_hospital` VALUES ('330', '3', '胎盘处置告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('331', '3', '经阴道子宫球囊扩张手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('332', '3', '劝阻住院患者外出告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('333', '3', '使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('334', '3', '家属谈话', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('335', '3', '人工破膜手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('336', '3', '0925 人工破膜术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('337', '3', '手术前知情同意书（3）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('338', '3', '新生儿母婴同房大病历(原来）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('339', '3', '儿科专科大病历', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('340', '3', '新生儿住院病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('341', '3', '医院感染病例登记表2222222222222222', null, null);
INSERT INTO `qc_model_hospital` VALUES ('342', '3', '新生儿科大病历', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('343', '3', '新生儿住院病历1', null, null);
INSERT INTO `qc_model_hospital` VALUES ('344', '3', '神经内科大病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('345', '3', '神经内科病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('346', '3', '新生儿母婴同房大病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('347', '3', '0428 胸腔穿刺术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('348', '3', '0425 深静脉置管术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('349', '3', '0424 气管插管和机械通气知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('350', '3', '0454 气管切开术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('351', '3', '0420 腹腔穿刺术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('352', '3', '0429 腰椎穿刺术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('353', '3', '腰椎穿刺及鞘内注射知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('354', '3', '0421 骨髓穿刺/活检术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('355', '3', '0429 肝脏穿刺术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('356', '3', '手术知情同意书通用模板', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('357', '3', '0970 手术中冰冻切片检查知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('358', '3', '经外周置入的中心静脉导管（PICC）术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('360', '3', '儿科出院记录', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('361', '3', '诊疗知情同意记录', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('362', '3', '病情告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('363', '3', '疾病证明书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('366', '3', '血液制品使用知情同意书同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('368', '3', '神经内科病历（男）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('369', '3', '0453 诊疗知情同意记录', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('370', '3', '计划生育及妇科小手术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('371', '3', '冷冻快速切片病理会诊申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('372', '3', '0463 使用进口或贵重药品同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('373', '3', '病理检查申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('374', '3', '0990 细胞学穿刺病理检查申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('375', '3', '药物流产知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('376', '3', '中期妊娠引产手术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('377', '3', '0448 自动出院申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('379', '3', 'CT增强知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('380', '3', 'MR增强检查知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('381', '3', '各种损伤性穿刺知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('383', '3', '大病史', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('384', '3', '（蔡亮）削痂异体皮覆盖手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('385', '3', '（蔡亮）成人烧伤大病史', null, null);
INSERT INTO `qc_model_hospital` VALUES ('386', '3', '0702 出院证', null, null);
INSERT INTO `qc_model_hospital` VALUES ('387', '3', '（蔡亮）烧伤首次病程记录2.0', null, null);
INSERT INTO `qc_model_hospital` VALUES ('389', '3', '0010 入院记录（产科）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('390', '3', '首次病程记录（产科-陈仁）', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('391', '3', '出院证（产科）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('392', '3', '大病史（陈仁）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('393', '3', '测试1（陈仁）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('394', '3', '产科病史录入（陈仁）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('395', '3', '产科病史编辑器（陈仁）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('396', '3', '新生儿出院小结S', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('397', '3', '全身性皮质类XXXX知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('398', '3', '陈渊—首次病程', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('399', '3', '危急值处置记录', '23', '危急值记录');
INSERT INTO `qc_model_hospital` VALUES ('402', '3', '0330 危急值处置记录', '23', '危急值记录');
INSERT INTO `qc_model_hospital` VALUES ('403', '3', '0406 外院专家会诊知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('404', '3', '0072 (日间)入院/术前评估记录单', '11', '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('405', '3', '0950 特殊使用级抗菌药物使用审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('406', '3', '0880 癌痛出院记录-', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('407', '3', '0073 (日间)手术及术后首次病程记录', '18', '术后首次病程及谈话记录');
INSERT INTO `qc_model_hospital` VALUES ('408', '3', '0960 病理检验送检单', '35', '病理检验送检单');
INSERT INTO `qc_model_hospital` VALUES ('409', '3', '0980 异常糖链糖蛋白（TAP）检测申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('410', '3', '0071 (日间)入出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('411', '3', '0060 疼痛治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('412', '3', '0445 人血白蛋白使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('413', '3', '0443 静脉血栓栓塞症的预防性抗凝治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('414', '3', '0442 静脉血栓栓塞症的溶栓治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('415', '3', '0441 静脉血栓栓塞症的抗凝治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('416', '3', '0440 静脉血栓栓塞风险告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('417', '3', '0439 自体输血治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('418', '3', '0435 临床路径知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('419', '3', '消化道内镜检查及/或治疗知情同意书1', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('420', '3', '0426 尸检检查同意（拒绝）书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('421', '3', '0074 (日间)出院评估记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('422', '3', '长期医嘱记录', '8', '医嘱信息');
INSERT INTO `qc_model_hospital` VALUES ('423', '3', '0430 消化道内镜检查或治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('424', '3', '0013 烧伤科专科检查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('425', '3', '0419 ICU血液净化治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('426', '3', '0432 医保用药知情谈话书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('427', '3', '0437 医（农）保住院病人用药知情表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('428', '3', '临时医嘱记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('429', '3', '0050 简明疼痛评估量化表（BPI）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('430', '3', '陈渊-大病历', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('431', '3', '0438 医患双方不收和不送“红包协议”书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('432', '3', '神经外科大病历', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('433', '3', '0403 癌痛治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('434', '3', '0402 丙种球蛋白', null, null);
INSERT INTO `qc_model_hospital` VALUES ('435', '3', '0012 神经外科专科查体', null, null);
INSERT INTO `qc_model_hospital` VALUES ('436', '3', '0010 入院记录（男）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('437', '3', 'wdaghj', null, null);
INSERT INTO `qc_model_hospital` VALUES ('438', '3', '体检测试-1', null, null);
INSERT INTO `qc_model_hospital` VALUES ('439', '3', '0011 入院记录（神经外科--女）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('440', '3', '神经外科-首次病程', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('441', '3', '0014 神经内科体格检查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('442', '3', '0924 欣普贝生使用知情同意', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('443', '3', '0926 缩宫素使用知情同意', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('444', '3', '0341 血液制品输注记录 停用', null, null);
INSERT INTO `qc_model_hospital` VALUES ('445', '3', '0342 输血/血液制品输注后疗效评价（输血）', '32', '输血后效果评价');
INSERT INTO `qc_model_hospital` VALUES ('446', '3', '0341 血液制品输注前评估及输注过程记录（输血）', '10', '输血/血制品病程记录');
INSERT INTO `qc_model_hospital` VALUES ('447', '3', '神经外科入院-男（新）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('448', '3', '0447 激素使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('449', '3', '0000 电子病历初始元素', null, null);
INSERT INTO `qc_model_hospital` VALUES ('450', '3', '0010入院记录（男）烧伤', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('451', '3', '0404 手术知情同意书', '16', '手术知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('452', '3', '住院病案首页02（病人存档及卫生统计用）', '6', '病案首页');
INSERT INTO `qc_model_hospital` VALUES ('453', '3', '手术知情同意书03', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('454', '3', '0290 术前小结02（隐藏）', '11', '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('455', '3', '0120 上级查房记录02', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('456', '3', '0150 抢救记录02', '22', '抢救记录');
INSERT INTO `qc_model_hospital` VALUES ('457', '3', '0840 出院记录（手术）', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('458', '3', '0160 术后首次病程录02', '18', '术后首次病程及谈话记录');
INSERT INTO `qc_model_hospital` VALUES ('459', '3', '0320 术前讨论记录02', '11', '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('460', '3', '0310会诊申请02', '30', '会诊申请单');
INSERT INTO `qc_model_hospital` VALUES ('461', '3', '0310 会诊记录02', '7', '会诊记录');
INSERT INTO `qc_model_hospital` VALUES ('462', '3', '0220 转科记录02', '34', '转科记录');
INSERT INTO `qc_model_hospital` VALUES ('463', '3', '交接班记录02', '9', '交接班记录');
INSERT INTO `qc_model_hospital` VALUES ('464', '3', '0241 交班记录', '9', '交接班记录');
INSERT INTO `qc_model_hospital` VALUES ('465', '3', '0240 阶段小结02', '28', '阶段小结');
INSERT INTO `qc_model_hospital` VALUES ('466', '3', '0280 疑难病例讨论02', '19', '疑难病例讨论记录');
INSERT INTO `qc_model_hospital` VALUES ('467', '3', '0030 24小时内入院死亡记录02', '24', '死亡记录');
INSERT INTO `qc_model_hospital` VALUES ('468', '3', '0341 输血/血液制品输注记录02', '10', '输血/血制品病程记录');
INSERT INTO `qc_model_hospital` VALUES ('469', '3', '2001 急诊留观', null, null);
INSERT INTO `qc_model_hospital` VALUES ('470', '3', '0300 首次病程录02', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('471', '3', '0020 24小时内入出院记录02', null, null);
INSERT INTO `qc_model_hospital` VALUES ('472', '3', '0010 入院记录（儿）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('474', '3', '0840 出院记录（非手术）', '5', '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('475', '3', '0449 房颤患者评估', null, null);
INSERT INTO `qc_model_hospital` VALUES ('476', '3', '0450 NSTEMI/UA患者评估', null, null);
INSERT INTO `qc_model_hospital` VALUES ('477', '3', '0010 入院记录（中医 男）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('478', '3', '0010 入院记录（中医 女）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('479', '3', '0300 首次病程录（中医）', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('480', '3', '0014 妇产科体格检查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('481', '3', '肠镜检查/手术知情同意书02', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('482', '3', '00501 PICCO监测记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('483', '3', '00502 肠内营养表单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('484', '3', '00503 肠内营养治疗核查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('485', '3', '00504 肠外营养表单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('486', '3', '00505 机械通气核查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('487', '3', '00506 营养风险筛查表(≥14周岁)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('488', '3', '00507 镇静镇痛抗谵妄记录表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('489', '3', '00508 镇静镇痛抗谵妄医嘱单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('490', '3', '00509 每日核查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('491', '3', '0901 硬膜下血肿手术手术记录', '17', '手术记录');
INSERT INTO `qc_model_hospital` VALUES ('492', '3', '出院指导', null, null);
INSERT INTO `qc_model_hospital` VALUES ('493', '3', '00510 APACHEII评分', null, null);
INSERT INTO `qc_model_hospital` VALUES ('494', '3', '00511 APACHEII评分表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('495', '3', '0902 基底节脑出血手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('496', '3', '0903 垂体瘤手术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('497', '3', 'X（烧伤）科级住院病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('498', '3', '（烧伤）科级住院病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('499', '3', '（烧伤）住院病历男', null, null);
INSERT INTO `qc_model_hospital` VALUES ('500', '3', '烧伤—现病史—男', null, null);
INSERT INTO `qc_model_hospital` VALUES ('501', '3', '0900 手术记录02', '17', '手术记录');
INSERT INTO `qc_model_hospital` VALUES ('502', '3', '0010 入院记录（新生儿）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('503', '3', '烧伤-首次-男', null, null);
INSERT INTO `qc_model_hospital` VALUES ('504', '3', '0961 超薄细胞学检测申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('505', '3', '0921 分娩镇痛知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('506', '3', '0922 分娩镇痛前签字记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('507', '3', '0431 骨科外固定支具知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('508', '3', '空白模板试建（叶飞龙）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('509', '3', '鉴别诊断（叶飞龙）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('510', '3', '0422 知情同意通用模板', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('511', '3', '0452 特需病房收费知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('512', '3', '鉴别诊断空白试（叶飞龙）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('514', '3', '0414 转科72小时谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('515', '3', '0051 测试', null, null);
INSERT INTO `qc_model_hospital` VALUES ('516', '3', '00512 美国国立卫生研究院卒中量表NIHSS', null, null);
INSERT INTO `qc_model_hospital` VALUES ('517', '3', '0701 医疗诊断证明书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('518', '3', '空白大文本', null, null);
INSERT INTO `qc_model_hospital` VALUES ('519', '3', '0281 疑难病例讨论记录签字单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('520', '3', '0420 有创知情通用模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('521', '3', '0951 特殊药物使用审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('522', '3', '0952 重大疑难手术审批报告', null, null);
INSERT INTO `qc_model_hospital` VALUES ('523', '3', '0953 非计划再次手术上报表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('524', '3', '0954 外请专家手术审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('525', '3', '0957 重点监控药品临时用药申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('528', '3', '0971 手术中快速冰冻切片病理送检单', '35', '病理检验送检单');
INSERT INTO `qc_model_hospital` VALUES ('529', '3', '0961 常规病理检验申请单', '35', '病理检验送检单');
INSERT INTO `qc_model_hospital` VALUES ('530', '3', '0962 非妇科细胞学送检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('531', '3', '0963 胃肠镜病理检查送检单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('532', '3', '0964 分子病理检测申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('533', '3', '0965 TCT超薄液基细胞检查单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('534', '3', '0425 血流动力学监测知情同意书（PICCO）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('535', '3', '0427 拔除气管插管谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('536', '3', '0958 高危孕产妇上报', null, null);
INSERT INTO `qc_model_hospital` VALUES ('537', '3', '00550 产后42天随访', null, null);
INSERT INTO `qc_model_hospital` VALUES ('538', '3', '00513 ABCD2评分', null, null);
INSERT INTO `qc_model_hospital` VALUES ('539', '3', '00514 Essen卒中风险评分量表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('540', '3', '00515 NIHSS评分量表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('541', '3', '00516 房颤血栓危险度评分', null, null);
INSERT INTO `qc_model_hospital` VALUES ('542', '3', '00517 改良RANKIN量表(mRS)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('543', '3', '0282 MDT', null, null);
INSERT INTO `qc_model_hospital` VALUES ('544', '3', '0455 高压氧治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('545', '3', '00518 医用高压氧舱治疗病史', null, null);
INSERT INTO `qc_model_hospital` VALUES ('546', '3', '0455 乙肝免疫球蛋白免费接种知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('547', '3', '0242 接班记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('548', '3', '0456 精神障碍患者入院须知', null, null);
INSERT INTO `qc_model_hospital` VALUES ('549', '3', '0943 消化内镜手术术前评估单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('550', '3', '0941 DSA手术安全核查表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('551', '3', '0310 会诊记录', '7', '会诊记录');
INSERT INTO `qc_model_hospital` VALUES ('552', '3', '0061 康复治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('553', '3', '出院记录(手术)(测试)1', null, null);
INSERT INTO `qc_model_hospital` VALUES ('554', '3', '手术知情同意书（仅限术中改变手术方式）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('555', '3', '0461 胎盘处置知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('556', '3', '分娩镇痛知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('557', '3', '0460 分娩镇痛知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('558', '3', '0459 分娩镇痛前签字记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('559', '3', '0462 死胎、死婴处理知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('560', '3', '0959 产后出血报告卡', null, null);
INSERT INTO `qc_model_hospital` VALUES ('561', '3', '0955 大型仪器使用申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('562', '3', '0243 住院超过30天病人讨论记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('563', '3', '0981 CRRT治疗医嘱单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('564', '3', '0960 ____使用审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('565', '3', '0283 多学科联合协作查房记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('566', '3', '0010 再次入院（男）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('567', '3', '0010 再次入院（女）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('568', '3', '0960 白蛋白审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('569', '3', '0960 丙种球蛋白使用审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('570', '3', '0413 入院再次谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('571', '3', '0957 省、市重点监控药品目录外特殊药品临时使用申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('572', '3', '0957 省、市重点监控药品限制科室扩大科室范围用药申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('573', '3', '台州市立医院外请专家手术审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('574', '3', '0952 高龄患者手术审批表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('575', '3', '0954 外院专家费用自愿支付承诺书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('576', '3', '0310 多学科会诊申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('577', '3', '0471 母乳外带知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('578', '3', '0000 行政谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('579', '3', '手术知情同意书（心内）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('580', '3', '0075 日间手术住院病人告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('581', '3', '0472 患者自带药品使用知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('582', '3', '0710 一级信息更改申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('583', '3', '0473 肿瘤免疫治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('584', '3', '0051 VTE评分', null, null);
INSERT INTO `qc_model_hospital` VALUES ('585', '3', '0956 手术高值耗材使用申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('586', '3', '0949 欠费说明书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('587', '3', '0099 大病历（脑梗死）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('588', '3', '0290 术前讨论兼术前小结', '11', '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('589', '3', '00506 整体营养状况评量表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('590', '3', '0474 抗结核治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('591', '3', '0000 电子病历复印申请信息', null, null);
INSERT INTO `qc_model_hospital` VALUES ('592', '3', '0475 自体造血干细胞移植动员知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('593', '3', '0476 外周血造血干细胞采集知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('594', '3', '0477 自体造血干细胞移植知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('595', '3', '0478 危重症患者转送检查或治疗知情同意谈话', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('596', '3', '0011 入院记录(男)(神经内科)', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('597', '3', '0011 入院记录(女)(神经内科)', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('598', '3', '0479 日间化疗入院告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('599', '3', '0021 日间化疗入出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('600', '3', '0076 日间化疗入院评估记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('601', '3', '00511 APACHE II 评分', null, null);
INSERT INTO `qc_model_hospital` VALUES ('602', '3', '0110 主刀医生术前查房记录(SOAP)', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('603', '3', '0280 自动出院讨论记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('604', '3', '00519 汉密顿焦虑量表（HAMA）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('605', '3', '00520 汉密顿抑郁量表（HAMD）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('606', '3', '00521 DSPN', null, null);
INSERT INTO `qc_model_hospital` VALUES ('607', '3', '0480 交换输血知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('608', '3', '0940 自带药核查及使用登记表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('609', '3', '0415 特需病房收费知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('610', '3', '0077 住院病人退出日间手术转一般住院申请表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('611', '3', '测试', null, null);
INSERT INTO `qc_model_hospital` VALUES ('612', '3', '0501 关节活动度检查和徒手肌力检查', null, null);
INSERT INTO `qc_model_hospital` VALUES ('613', '3', '0502 洼田式饮水试验', null, null);
INSERT INTO `qc_model_hospital` VALUES ('614', '3', '0503 GCS量表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('615', '3', '0504 Berg平衡量表记录表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('616', '3', '0505 改良Ashworth痉挛分级', null, null);
INSERT INTO `qc_model_hospital` VALUES ('617', '3', '0506 Barthel指数评定表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('618', '3', '0507 简易智能状态评定表（MMSE）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('619', '3', '0508 Fugl-Meyer平衡功能评定', null, null);
INSERT INTO `qc_model_hospital` VALUES ('620', '3', '0509 Brunnstrom脑卒中恢复分期', null, null);
INSERT INTO `qc_model_hospital` VALUES ('621', '3', '0510 康复审批模板', null, null);
INSERT INTO `qc_model_hospital` VALUES ('622', '3', '0511 康复评定会议', null, null);
INSERT INTO `qc_model_hospital` VALUES ('623', '3', '0512 康复治疗计划单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('624', '3', '0513 康复治疗效果评定表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('625', '3', '0531 Caprini评分表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('626', '3', '0920 手术材料使用告知书（50）', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('627', '3', '0532 PADUA评分表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('628', '3', '0533 Wells评分表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('629', '3', '0534 外科住院患者大出血危险因素评估表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('630', '3', '0535 内科住院患者出血危险风险评估', null, null);
INSERT INTO `qc_model_hospital` VALUES ('631', '3', '0536 VTE发生上报表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('632', '3', '0 测试表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('633', '3', '0515 住院患者安全分级', null, null);
INSERT INTO `qc_model_hospital` VALUES ('634', '3', '0516 脊髓损伤AIS量表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('635', '3', '0276 气管插管操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('636', '3', '0131 静脉血栓病程录（深静脉血栓）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('637', '3', '0132 静脉血栓病程录（肺栓塞）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('638', '3', '0514 针灸推拿康复科治疗记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('639', '3', '0291 术前讨论（术前小结）兼主刀查房', '4', '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('640', '3', '0517 出院后康复指导计划单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('641', '3', '0540 营养科随访单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('642', '3', '0482 早产儿入住重症监护室（NICU）谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('643', '3', '0537 新型冠状病毒感染风险评估', null, null);
INSERT INTO `qc_model_hospital` VALUES ('645', '3', '00506 营养风险筛查表(14周岁以内)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('646', '3', '废弃 00506 营养风险筛查表(14周岁以内)', null, null);
INSERT INTO `qc_model_hospital` VALUES ('647', '3', '0541 营养科会诊单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('813', '1', '24小时入出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('814', '1', 'ICU危重患者APACHEⅡ评分表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('815', '1', 'ICU转入评估表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('816', '1', 'Nutric评分量表（无IL-6）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('817', '1', 'VTE风险评估（Caprini模型）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('818', '1', '（日间）入出院记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('819', '1', '（住院）诊疗操作知情同意书（人工心脏起搏（永久））', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('820', '1', '（住院）诊疗操作知情同意书（输血/血液制品治疗）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('821', '1', '病危（重）告知书', '25', '病危通知书');
INSERT INTO `qc_model_hospital` VALUES ('822', '1', '出院记录-长兴', null, '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('823', '1', '出院记录（儿科）-长兴', null, '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('824', '1', '出院评估记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('825', '1', '单病种支付告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('826', '1', '儿科病情告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('827', '1', '儿科病重/病危告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('828', '1', '儿科授权书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('829', '1', '副主任兼主刀医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('830', '1', '副主任医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('831', '1', '副主任医师查房记录（共同照护讨论记录）', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('832', '1', '副主任医师代主治医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('833', '1', '肛肠科手术部位标记图', null, null);
INSERT INTO `qc_model_hospital` VALUES ('834', '1', '高压氧诊疗操作知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('835', '1', '高值耗材使用知情同意书模板', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('836', '1', '骨髓穿刺记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('837', '1', '冠脉介入五联单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('838', '1', '患者拒绝检查告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('839', '1', '会诊记录', null, '会诊记录');
INSERT INTO `qc_model_hospital` VALUES ('840', '1', '基本医疗保险意外伤害情况备案表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('841', '1', '阶段小结', null, '阶段小结');
INSERT INTO `qc_model_hospital` VALUES ('842', '1', '拒绝诊疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('843', '1', '科主任查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('844', '1', '临床路径患者知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('845', '1', '免疫抑制患者规范化评估表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('846', '1', '剖宫产手术记录', null, '手术记录');
INSERT INTO `qc_model_hospital` VALUES ('847', '1', '普通会诊', null, '会诊申请单');
INSERT INTO `qc_model_hospital` VALUES ('848', '1', '抢救记录', null, '抢救记录');
INSERT INTO `qc_model_hospital` VALUES ('849', '1', '日常病程记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('850', '1', '入院/术前小结讨论记录单', null, '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('851', '1', '入院72小时内谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('852', '1', '入院记录（不含系统回顾Caprini）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('853', '1', '入院记录（不含系统回顾Padua）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('854', '1', '入院记录（产科）-长兴', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('855', '1', '入院记录（产科含系统回顾）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('856', '1', '入院记录（儿科）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('857', '1', '入院记录（耳鼻咽喉含系统回顾）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('858', '1', '入院记录（妇科）-长兴', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('859', '1', '入院记录（妇科含系统回顾）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('860', '1', '入院记录（含系统回顾Caprini）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('861', '1', '入院记录（含系统回顾Padua）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('862', '1', '入院记录（神经内科）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('863', '1', '入院记录（神经外科）-长兴', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('864', '1', '入院记录（新生儿）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('865', '1', '入院记录（心内不含系统回顾）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('866', '1', '入院记录（心内含系统回顾）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('867', '1', '入院记录（专用）', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('868', '1', '手术及术后首次病程记录', null, '术后首次病程及谈话记录');
INSERT INTO `qc_model_hospital` VALUES ('869', '1', '手术记录单', null, '手术记录');
INSERT INTO `qc_model_hospital` VALUES ('870', '1', '手术知情同意书', '16', '手术知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('871', '1', '首次病程记录-长兴', null, '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('872', '1', '授权知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('873', '1', '输血、血制品治疗病程记录', null, '输血/血制品病程记录');
INSERT INTO `qc_model_hospital` VALUES ('874', '1', '输血后效果评价', null, '输血后效果评价');
INSERT INTO `qc_model_hospital` VALUES ('875', '1', '术后首次病程记录及谈话记录', '18', '术后首次病程及谈话记录');
INSERT INTO `qc_model_hospital` VALUES ('876', '1', '术前讨论、术前小结', null, '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('877', '1', '术前小结', null, '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('878', '1', '术中快速冷冻切片病理会诊知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('879', '1', '术中冷冻切片病理会诊申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('880', '1', '死亡病例讨论记录', null, '死亡病例讨论记录');
INSERT INTO `qc_model_hospital` VALUES ('881', '1', '死亡记录', null, '死亡记录');
INSERT INTO `qc_model_hospital` VALUES ('882', '1', '胎盘告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('883', '1', '特殊用药知情同意书（化疗）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('884', '1', '特殊用药知情同意书（激素治疗）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('885', '1', '特殊用药知情同意书（抗结核治疗）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('886', '1', '特殊用药知情同意书（免疫抑制剂）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('887', '1', '特殊用药知情同意书（通用）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('888', '1', '特殊用药知情同意书（自备药物）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('889', '1', '特殊用药知情同意书（自费药品/检查）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('890', '1', '提血单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('891', '1', '外请专家知情告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('892', '1', '危急值记录', null, '危急值记录');
INSERT INTO `qc_model_hospital` VALUES ('893', '1', '胸腔穿刺记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('894', '1', '腰椎穿刺术记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('895', '1', '医保自费项目使用告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('896', '1', '医疗材料收费知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('897', '1', '医疗新技术（含新项目）知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('898', '1', '疑难危重病例讨论记录', null, '疑难病例讨论记录');
INSERT INTO `qc_model_hospital` VALUES ('899', '1', '乙型肝炎疫苗接种告知单', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('900', '1', '婴儿入室经过记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('901', '1', '婴儿入室经过记录（含抬头）', null, null);
INSERT INTO `qc_model_hospital` VALUES ('902', '1', '婴儿室记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('903', '1', '院外会诊邀请函', null, null);
INSERT INTO `qc_model_hospital` VALUES ('904', '1', '择期手术术前核查表单', null, '手术安全核查表');
INSERT INTO `qc_model_hospital` VALUES ('905', '1', '诊断证明书', null, null);
INSERT INTO `qc_model_hospital` VALUES ('906', '1', '诊疗操作知情同意书（超声引导下甲状腺结节细针穿刺术）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('907', '1', '诊疗操作知情同意书（妇科诊疗）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('908', '1', '诊疗操作知情同意书（术中冰冻快速诊断）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('909', '1', '诊疗操作知情同意书（通用）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('910', '1', '诊疗操作知情同意书（胸腔穿刺/置管引流术）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('911', '1', '诊疗操作知情同意书（腰椎穿刺）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('912', '1', '诊疗操作知情同意书（阴道分娩）', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('913', '1', '诊疗操作知情同意书（植入性医疗器械（冠脉支架））', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('914', '1', '植入医疗器械使用知情同意', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('915', '1', '肿瘤病人规范化化疗评估表', null, null);
INSERT INTO `qc_model_hospital` VALUES ('916', '1', '重大疑难（新开展）手术审批报告', null, null);
INSERT INTO `qc_model_hospital` VALUES ('917', '1', '重大疑难手术审批知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('918', '1', '重症医学超声检查方案（CCUE）记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('919', '1', '主刀医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('920', '1', '主任代主治医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('921', '1', '主任兼主刀医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('922', '1', '主任医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('923', '1', '主任医师查房记录（共同照护讨论记录）', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('924', '1', '主治兼主刀医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('925', '1', '主治医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('926', '1', '住院患者外出不良后果告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('927', '1', '转出记录（有格式）', null, '转出记录');
INSERT INTO `qc_model_hospital` VALUES ('928', '1', '转入后谈话', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('929', '1', '转入记录（有格式）', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('930', '1', '转院交接记录单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('931', '1', '自定义病程记录', null, '自定义病程记录');
INSERT INTO `qc_model_hospital` VALUES ('932', '1', '组织病理学检查申请单', null, null);
INSERT INTO `qc_model_hospital` VALUES ('933', '1', '入院记录', null, '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('934', '1', '首程', null, '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('935', '1', '24小时内入出院记录', null, '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('936', '1', '病理送检', null, '病理检验送检单');
INSERT INTO `qc_model_hospital` VALUES ('937', '1', '操作记录', null, null);
INSERT INTO `qc_model_hospital` VALUES ('938', '1', '出院记录', null, '出院小结');
INSERT INTO `qc_model_hospital` VALUES ('939', '1', '会诊记录单', null, '会诊记录');
INSERT INTO `qc_model_hospital` VALUES ('940', '1', '评估相关', null, null);
INSERT INTO `qc_model_hospital` VALUES ('941', '1', '日间病历', null, null);
INSERT INTO `qc_model_hospital` VALUES ('942', '1', '三级医师查房记录', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('943', '1', '手术部位', null, null);
INSERT INTO `qc_model_hospital` VALUES ('944', '1', '手术记录', null, '手术记录');
INSERT INTO `qc_model_hospital` VALUES ('945', '1', '输血记录', null, '输血/血制品病程记录');
INSERT INTO `qc_model_hospital` VALUES ('946', '1', '输血治疗知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('947', '1', '术后首程', null, '术后首次病程及谈话记录');
INSERT INTO `qc_model_hospital` VALUES ('948', '1', '术前风险评估表', null, '手术风险评估表');
INSERT INTO `qc_model_hospital` VALUES ('949', '1', '术前讨论', null, '术前讨论、术前小结');
INSERT INTO `qc_model_hospital` VALUES ('950', '1', '死亡讨论', null, '死亡病例讨论记录');
INSERT INTO `qc_model_hospital` VALUES ('951', '1', '谈话告知', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('952', '1', '特殊检查、特殊治疗同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('953', '1', '危机值记录', null, '危急值记录');
INSERT INTO `qc_model_hospital` VALUES ('954', '1', '主治医查房', null, '查房记录');
INSERT INTO `qc_model_hospital` VALUES ('955', '1', '转出记录', null, '转出记录');
INSERT INTO `qc_model_hospital` VALUES ('956', '1', '转入记录', null, '转入记录');
INSERT INTO `qc_model_hospital` VALUES ('957', '3', '会诊结果', '31', '会诊结果单');
INSERT INTO `qc_model_hospital` VALUES ('958', '3', '0404 手术知情同意书02', '16', '手术知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('959', '3', '0413 入院72小时谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('960', '3', '0010入院记录（男）', '1', '入院记录');
INSERT INTO `qc_model_hospital` VALUES ('961', '3', '0300 首次病程录', '2', '首次病程录');
INSERT INTO `qc_model_hospital` VALUES ('962', '3', '0413 入院七十二小时谈话记录', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('963', '3', '0433 病危通知', '25', '病危通知书');
INSERT INTO `qc_model_hospital` VALUES ('964', '3', '肝脏穿刺术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('965', '3', '气管切开术知情同意书', '53', '知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('966', '3', '0410 贵重药品、材料使用告知书', '54', '谈话告知书');
INSERT INTO `qc_model_hospital` VALUES ('967', '3', '0404 手术知情同意书通用模板', '16', '手术知情同意书');
INSERT INTO `qc_model_hospital` VALUES ('968', '3', '0840 出院记录02', '5', '出院小结');

-- ----------------------------
-- Table structure for qc_module_detail
-- ----------------------------
DROP TABLE IF EXISTS `qc_module_detail`;
CREATE TABLE `qc_module_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT 'module_id',
  `group_id` int(11) NOT NULL DEFAULT '0' COMMENT '分组id',
  `question_id` bigint(20) DEFAULT NULL COMMENT 'questionId',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7635 DEFAULT CHARSET=utf8 COMMENT='模型明细表';

-- ----------------------------
-- Records of qc_module_detail
-- ----------------------------
INSERT INTO `qc_module_detail` VALUES ('1', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('8', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('9', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('10', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('11', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('12', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('13', 'Y', '2020-05-08 11:34:36', '2020-05-08 11:41:35', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('14', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('15', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('16', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('17', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('18', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('19', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('20', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('21', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('22', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('23', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('24', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('25', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('26', 'Y', '2020-05-08 11:41:35', '2020-05-08 18:47:20', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('27', 'Y', '2020-05-08 12:20:44', '2020-05-08 20:15:15', '102', '102', '2', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('28', 'Y', '2020-05-08 13:23:43', '2020-05-08 15:05:06', '99', '99', '3', '0', '58', '1', null);
INSERT INTO `qc_module_detail` VALUES ('29', 'Y', '2020-05-08 13:26:12', '2020-05-08 13:47:44', '99', '101', '4', '0', '59', '1', null);
INSERT INTO `qc_module_detail` VALUES ('30', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '59', '1', null);
INSERT INTO `qc_module_detail` VALUES ('31', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '62', '2', null);
INSERT INTO `qc_module_detail` VALUES ('32', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '64', '3', null);
INSERT INTO `qc_module_detail` VALUES ('33', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '67', '4', null);
INSERT INTO `qc_module_detail` VALUES ('34', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '7', '5', null);
INSERT INTO `qc_module_detail` VALUES ('35', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '71', '6', null);
INSERT INTO `qc_module_detail` VALUES ('36', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '0', '8', '7', null);
INSERT INTO `qc_module_detail` VALUES ('37', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '13', '8', null);
INSERT INTO `qc_module_detail` VALUES ('38', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '14', '9', null);
INSERT INTO `qc_module_detail` VALUES ('39', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '17', '10', null);
INSERT INTO `qc_module_detail` VALUES ('40', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '30', '11', null);
INSERT INTO `qc_module_detail` VALUES ('41', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '32', '12', null);
INSERT INTO `qc_module_detail` VALUES ('42', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '97', '13', null);
INSERT INTO `qc_module_detail` VALUES ('43', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '33', '14', null);
INSERT INTO `qc_module_detail` VALUES ('44', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '98', '15', null);
INSERT INTO `qc_module_detail` VALUES ('45', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '99', '16', null);
INSERT INTO `qc_module_detail` VALUES ('46', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '101', '17', null);
INSERT INTO `qc_module_detail` VALUES ('47', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '102', '18', null);
INSERT INTO `qc_module_detail` VALUES ('48', 'N', '2020-05-08 13:47:44', '2020-05-08 13:47:44', '101', '101', '4', '1', '104', '19', null);
INSERT INTO `qc_module_detail` VALUES ('49', 'Y', '2020-05-08 13:54:27', '2020-05-08 14:22:31', '101', '101', '5', '0', '112', '1', null);
INSERT INTO `qc_module_detail` VALUES ('50', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '112', '1', null);
INSERT INTO `qc_module_detail` VALUES ('51', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '113', '2', null);
INSERT INTO `qc_module_detail` VALUES ('52', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '114', '3', null);
INSERT INTO `qc_module_detail` VALUES ('53', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '115', '4', null);
INSERT INTO `qc_module_detail` VALUES ('54', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '116', '5', null);
INSERT INTO `qc_module_detail` VALUES ('55', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '117', '6', null);
INSERT INTO `qc_module_detail` VALUES ('56', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '0', '118', '7', null);
INSERT INTO `qc_module_detail` VALUES ('57', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '119', '8', null);
INSERT INTO `qc_module_detail` VALUES ('58', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '120', '9', null);
INSERT INTO `qc_module_detail` VALUES ('59', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '122', '10', null);
INSERT INTO `qc_module_detail` VALUES ('60', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '123', '11', null);
INSERT INTO `qc_module_detail` VALUES ('61', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '124', '12', null);
INSERT INTO `qc_module_detail` VALUES ('62', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '125', '13', null);
INSERT INTO `qc_module_detail` VALUES ('63', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '132', '14', null);
INSERT INTO `qc_module_detail` VALUES ('64', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '137', '15', null);
INSERT INTO `qc_module_detail` VALUES ('65', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '139', '16', null);
INSERT INTO `qc_module_detail` VALUES ('66', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '141', '17', null);
INSERT INTO `qc_module_detail` VALUES ('67', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '143', '18', null);
INSERT INTO `qc_module_detail` VALUES ('68', 'N', '2020-05-08 14:22:31', '2020-05-08 14:22:31', '101', '101', '5', '1', '145', '19', null);
INSERT INTO `qc_module_detail` VALUES ('69', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('70', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('71', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('72', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('73', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('74', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('75', 'Y', '2020-05-08 14:24:13', '2020-05-08 14:27:19', '103', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('76', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('77', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('78', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('79', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('80', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('81', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('82', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('83', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('84', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('85', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('86', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('87', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('88', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('89', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('90', 'Y', '2020-05-08 14:27:19', '2020-05-08 14:29:40', '103', '103', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('91', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('92', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('93', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('94', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('95', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('96', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('97', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('98', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('99', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('100', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('101', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('102', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('103', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('104', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('105', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('106', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '84', '16', null);
INSERT INTO `qc_module_detail` VALUES ('107', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '28', '17', null);
INSERT INTO `qc_module_detail` VALUES ('108', 'Y', '2020-05-08 14:29:40', '2020-05-08 14:35:40', '103', '103', '6', '0', '34', '18', null);
INSERT INTO `qc_module_detail` VALUES ('109', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('110', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('111', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('112', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('113', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('114', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('115', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('116', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('117', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('118', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('119', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('120', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('121', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('122', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('123', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('124', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '84', '16', null);
INSERT INTO `qc_module_detail` VALUES ('125', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '28', '17', null);
INSERT INTO `qc_module_detail` VALUES ('126', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '34', '18', null);
INSERT INTO `qc_module_detail` VALUES ('127', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '29', '19', null);
INSERT INTO `qc_module_detail` VALUES ('128', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '147', '20', null);
INSERT INTO `qc_module_detail` VALUES ('129', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '51', '21', null);
INSERT INTO `qc_module_detail` VALUES ('130', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '148', '22', null);
INSERT INTO `qc_module_detail` VALUES ('131', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '86', '23', null);
INSERT INTO `qc_module_detail` VALUES ('132', 'Y', '2020-05-08 14:35:40', '2020-05-09 13:59:18', '103', '103', '6', '0', '87', '24', null);
INSERT INTO `qc_module_detail` VALUES ('133', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('134', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('135', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('136', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('137', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('138', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('139', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('140', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('141', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('142', 'Y', '2020-05-08 15:01:37', '2020-05-08 15:03:15', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('143', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('144', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('145', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('146', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('147', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('148', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('149', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('150', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('151', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('152', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('153', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('154', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('155', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('156', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('157', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('158', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('159', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('160', 'Y', '2020-05-08 15:03:15', '2020-05-08 15:21:46', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('161', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '38', '1', null);
INSERT INTO `qc_module_detail` VALUES ('162', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '39', '2', null);
INSERT INTO `qc_module_detail` VALUES ('163', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '41', '3', null);
INSERT INTO `qc_module_detail` VALUES ('164', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '56', '4', null);
INSERT INTO `qc_module_detail` VALUES ('165', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '57', '5', null);
INSERT INTO `qc_module_detail` VALUES ('166', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '60', '6', null);
INSERT INTO `qc_module_detail` VALUES ('167', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '61', '7', null);
INSERT INTO `qc_module_detail` VALUES ('168', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '63', '8', null);
INSERT INTO `qc_module_detail` VALUES ('169', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '65', '9', null);
INSERT INTO `qc_module_detail` VALUES ('170', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '66', '10', null);
INSERT INTO `qc_module_detail` VALUES ('171', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '68', '11', null);
INSERT INTO `qc_module_detail` VALUES ('172', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '69', '12', null);
INSERT INTO `qc_module_detail` VALUES ('173', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '72', '13', null);
INSERT INTO `qc_module_detail` VALUES ('174', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '74', '14', null);
INSERT INTO `qc_module_detail` VALUES ('175', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '75', '15', null);
INSERT INTO `qc_module_detail` VALUES ('176', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '76', '16', null);
INSERT INTO `qc_module_detail` VALUES ('177', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '77', '17', null);
INSERT INTO `qc_module_detail` VALUES ('178', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '79', '18', null);
INSERT INTO `qc_module_detail` VALUES ('179', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '81', '19', null);
INSERT INTO `qc_module_detail` VALUES ('180', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '82', '20', null);
INSERT INTO `qc_module_detail` VALUES ('181', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '83', '21', null);
INSERT INTO `qc_module_detail` VALUES ('182', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '85', '22', null);
INSERT INTO `qc_module_detail` VALUES ('183', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '90', '23', null);
INSERT INTO `qc_module_detail` VALUES ('184', 'Y', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '8', '0', '91', '24', null);
INSERT INTO `qc_module_detail` VALUES ('185', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '0', '167', '1', null);
INSERT INTO `qc_module_detail` VALUES ('186', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '0', '169', '2', null);
INSERT INTO `qc_module_detail` VALUES ('187', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '0', '170', '3', null);
INSERT INTO `qc_module_detail` VALUES ('188', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '1', '187', '4', null);
INSERT INTO `qc_module_detail` VALUES ('189', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '1', '191', '5', null);
INSERT INTO `qc_module_detail` VALUES ('190', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '1', '192', '6', null);
INSERT INTO `qc_module_detail` VALUES ('191', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '1', '195', '7', null);
INSERT INTO `qc_module_detail` VALUES ('192', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '1', '197', '8', null);
INSERT INTO `qc_module_detail` VALUES ('193', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '9', '1', '198', '9', null);
INSERT INTO `qc_module_detail` VALUES ('194', 'Y', '2020-05-08 15:05:06', '2020-05-08 15:08:14', '99', '99', '3', '0', '58', '1', null);
INSERT INTO `qc_module_detail` VALUES ('195', 'Y', '2020-05-08 15:05:06', '2020-05-08 15:08:14', '99', '99', '3', '0', '121', '2', null);
INSERT INTO `qc_module_detail` VALUES ('196', 'Y', '2020-05-08 15:05:06', '2020-05-08 15:08:14', '99', '99', '3', '0', '126', '3', null);
INSERT INTO `qc_module_detail` VALUES ('197', 'Y', '2020-05-08 15:05:06', '2020-05-08 15:08:14', '99', '99', '3', '0', '127', '4', null);
INSERT INTO `qc_module_detail` VALUES ('198', 'Y', '2020-05-08 15:05:06', '2020-05-08 15:08:14', '99', '99', '3', '0', '128', '5', null);
INSERT INTO `qc_module_detail` VALUES ('199', 'Y', '2020-05-08 15:05:06', '2020-05-08 15:08:14', '99', '99', '3', '1', '129', '6', null);
INSERT INTO `qc_module_detail` VALUES ('200', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '0', '58', '1', null);
INSERT INTO `qc_module_detail` VALUES ('201', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '0', '121', '2', null);
INSERT INTO `qc_module_detail` VALUES ('202', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '0', '126', '3', null);
INSERT INTO `qc_module_detail` VALUES ('203', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '0', '127', '4', null);
INSERT INTO `qc_module_detail` VALUES ('204', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '0', '128', '5', null);
INSERT INTO `qc_module_detail` VALUES ('205', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '129', '6', null);
INSERT INTO `qc_module_detail` VALUES ('206', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '130', '7', null);
INSERT INTO `qc_module_detail` VALUES ('207', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '131', '8', null);
INSERT INTO `qc_module_detail` VALUES ('208', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '134', '9', null);
INSERT INTO `qc_module_detail` VALUES ('209', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '136', '10', null);
INSERT INTO `qc_module_detail` VALUES ('210', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '138', '11', null);
INSERT INTO `qc_module_detail` VALUES ('211', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '140', '12', null);
INSERT INTO `qc_module_detail` VALUES ('212', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '142', '13', null);
INSERT INTO `qc_module_detail` VALUES ('213', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '144', '14', null);
INSERT INTO `qc_module_detail` VALUES ('214', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '149', '15', null);
INSERT INTO `qc_module_detail` VALUES ('215', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '150', '16', null);
INSERT INTO `qc_module_detail` VALUES ('216', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '152', '17', null);
INSERT INTO `qc_module_detail` VALUES ('217', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '154', '18', null);
INSERT INTO `qc_module_detail` VALUES ('218', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '156', '19', null);
INSERT INTO `qc_module_detail` VALUES ('219', 'Y', '2020-05-08 15:08:14', '2020-05-08 15:09:20', '99', '99', '3', '1', '157', '20', null);
INSERT INTO `qc_module_detail` VALUES ('220', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '0', '58', '1', null);
INSERT INTO `qc_module_detail` VALUES ('221', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '0', '121', '2', null);
INSERT INTO `qc_module_detail` VALUES ('222', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '0', '126', '3', null);
INSERT INTO `qc_module_detail` VALUES ('223', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '0', '127', '4', null);
INSERT INTO `qc_module_detail` VALUES ('224', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '0', '128', '5', null);
INSERT INTO `qc_module_detail` VALUES ('225', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '129', '6', null);
INSERT INTO `qc_module_detail` VALUES ('226', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '130', '7', null);
INSERT INTO `qc_module_detail` VALUES ('227', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '131', '8', null);
INSERT INTO `qc_module_detail` VALUES ('228', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '134', '9', null);
INSERT INTO `qc_module_detail` VALUES ('229', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '136', '10', null);
INSERT INTO `qc_module_detail` VALUES ('230', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '138', '11', null);
INSERT INTO `qc_module_detail` VALUES ('231', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '140', '12', null);
INSERT INTO `qc_module_detail` VALUES ('232', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '142', '13', null);
INSERT INTO `qc_module_detail` VALUES ('233', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '144', '14', null);
INSERT INTO `qc_module_detail` VALUES ('234', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '149', '15', null);
INSERT INTO `qc_module_detail` VALUES ('235', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '150', '16', null);
INSERT INTO `qc_module_detail` VALUES ('236', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '152', '17', null);
INSERT INTO `qc_module_detail` VALUES ('237', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '154', '18', null);
INSERT INTO `qc_module_detail` VALUES ('238', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '156', '19', null);
INSERT INTO `qc_module_detail` VALUES ('239', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '157', '20', null);
INSERT INTO `qc_module_detail` VALUES ('240', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '159', '21', null);
INSERT INTO `qc_module_detail` VALUES ('241', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '162', '22', null);
INSERT INTO `qc_module_detail` VALUES ('242', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '165', '23', null);
INSERT INTO `qc_module_detail` VALUES ('243', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '166', '24', null);
INSERT INTO `qc_module_detail` VALUES ('244', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '168', '25', null);
INSERT INTO `qc_module_detail` VALUES ('245', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '183', '26', null);
INSERT INTO `qc_module_detail` VALUES ('246', 'Y', '2020-05-08 15:09:20', '2020-05-08 15:10:08', '99', '99', '3', '1', '185', '27', null);
INSERT INTO `qc_module_detail` VALUES ('247', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '0', '58', '1', null);
INSERT INTO `qc_module_detail` VALUES ('248', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '0', '121', '2', null);
INSERT INTO `qc_module_detail` VALUES ('249', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '0', '126', '3', null);
INSERT INTO `qc_module_detail` VALUES ('250', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '0', '127', '4', null);
INSERT INTO `qc_module_detail` VALUES ('251', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '0', '128', '5', null);
INSERT INTO `qc_module_detail` VALUES ('252', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '129', '6', null);
INSERT INTO `qc_module_detail` VALUES ('253', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '130', '7', null);
INSERT INTO `qc_module_detail` VALUES ('254', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '131', '8', null);
INSERT INTO `qc_module_detail` VALUES ('255', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '134', '9', null);
INSERT INTO `qc_module_detail` VALUES ('256', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '136', '10', null);
INSERT INTO `qc_module_detail` VALUES ('257', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '138', '11', null);
INSERT INTO `qc_module_detail` VALUES ('258', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '140', '12', null);
INSERT INTO `qc_module_detail` VALUES ('259', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '142', '13', null);
INSERT INTO `qc_module_detail` VALUES ('260', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '144', '14', null);
INSERT INTO `qc_module_detail` VALUES ('261', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '149', '15', null);
INSERT INTO `qc_module_detail` VALUES ('262', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '150', '16', null);
INSERT INTO `qc_module_detail` VALUES ('263', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '152', '17', null);
INSERT INTO `qc_module_detail` VALUES ('264', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '154', '18', null);
INSERT INTO `qc_module_detail` VALUES ('265', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '156', '19', null);
INSERT INTO `qc_module_detail` VALUES ('266', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '157', '20', null);
INSERT INTO `qc_module_detail` VALUES ('267', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '159', '21', null);
INSERT INTO `qc_module_detail` VALUES ('268', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '162', '22', null);
INSERT INTO `qc_module_detail` VALUES ('269', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '165', '23', null);
INSERT INTO `qc_module_detail` VALUES ('270', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '166', '24', null);
INSERT INTO `qc_module_detail` VALUES ('271', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '168', '25', null);
INSERT INTO `qc_module_detail` VALUES ('272', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '183', '26', null);
INSERT INTO `qc_module_detail` VALUES ('273', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '1', '185', '27', null);
INSERT INTO `qc_module_detail` VALUES ('274', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '2', '188', '28', null);
INSERT INTO `qc_module_detail` VALUES ('275', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '2', '190', '29', null);
INSERT INTO `qc_module_detail` VALUES ('276', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '2', '193', '30', null);
INSERT INTO `qc_module_detail` VALUES ('277', 'Y', '2020-05-08 15:10:08', '2020-05-08 15:12:26', '99', '99', '3', '2', '194', '31', null);
INSERT INTO `qc_module_detail` VALUES ('278', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '0', '58', '1', null);
INSERT INTO `qc_module_detail` VALUES ('279', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '0', '121', '2', null);
INSERT INTO `qc_module_detail` VALUES ('280', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '0', '126', '3', null);
INSERT INTO `qc_module_detail` VALUES ('281', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '0', '127', '4', null);
INSERT INTO `qc_module_detail` VALUES ('282', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '0', '128', '5', null);
INSERT INTO `qc_module_detail` VALUES ('283', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '129', '6', null);
INSERT INTO `qc_module_detail` VALUES ('284', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '130', '7', null);
INSERT INTO `qc_module_detail` VALUES ('285', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '131', '8', null);
INSERT INTO `qc_module_detail` VALUES ('286', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '134', '9', null);
INSERT INTO `qc_module_detail` VALUES ('287', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '136', '10', null);
INSERT INTO `qc_module_detail` VALUES ('288', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '138', '11', null);
INSERT INTO `qc_module_detail` VALUES ('289', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '140', '12', null);
INSERT INTO `qc_module_detail` VALUES ('290', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '142', '13', null);
INSERT INTO `qc_module_detail` VALUES ('291', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '144', '14', null);
INSERT INTO `qc_module_detail` VALUES ('292', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '149', '15', null);
INSERT INTO `qc_module_detail` VALUES ('293', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '150', '16', null);
INSERT INTO `qc_module_detail` VALUES ('294', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '152', '17', null);
INSERT INTO `qc_module_detail` VALUES ('295', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '154', '18', null);
INSERT INTO `qc_module_detail` VALUES ('296', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '156', '19', null);
INSERT INTO `qc_module_detail` VALUES ('297', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '157', '20', null);
INSERT INTO `qc_module_detail` VALUES ('298', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '159', '21', null);
INSERT INTO `qc_module_detail` VALUES ('299', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '160', '22', null);
INSERT INTO `qc_module_detail` VALUES ('300', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '162', '23', null);
INSERT INTO `qc_module_detail` VALUES ('301', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '165', '24', null);
INSERT INTO `qc_module_detail` VALUES ('302', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '166', '25', null);
INSERT INTO `qc_module_detail` VALUES ('303', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '168', '26', null);
INSERT INTO `qc_module_detail` VALUES ('304', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '183', '27', null);
INSERT INTO `qc_module_detail` VALUES ('305', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '1', '185', '28', null);
INSERT INTO `qc_module_detail` VALUES ('306', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '2', '188', '29', null);
INSERT INTO `qc_module_detail` VALUES ('307', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '2', '190', '30', null);
INSERT INTO `qc_module_detail` VALUES ('308', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '2', '193', '31', null);
INSERT INTO `qc_module_detail` VALUES ('309', 'N', '2020-05-08 15:12:26', '2020-05-08 15:12:26', '99', '99', '3', '2', '194', '32', null);
INSERT INTO `qc_module_detail` VALUES ('310', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '38', '1', null);
INSERT INTO `qc_module_detail` VALUES ('311', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '39', '2', null);
INSERT INTO `qc_module_detail` VALUES ('312', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '41', '3', null);
INSERT INTO `qc_module_detail` VALUES ('313', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '56', '4', null);
INSERT INTO `qc_module_detail` VALUES ('314', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '57', '5', null);
INSERT INTO `qc_module_detail` VALUES ('315', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '60', '6', null);
INSERT INTO `qc_module_detail` VALUES ('316', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '61', '7', null);
INSERT INTO `qc_module_detail` VALUES ('317', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '63', '8', null);
INSERT INTO `qc_module_detail` VALUES ('318', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '65', '9', null);
INSERT INTO `qc_module_detail` VALUES ('319', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '66', '10', null);
INSERT INTO `qc_module_detail` VALUES ('320', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '68', '11', null);
INSERT INTO `qc_module_detail` VALUES ('321', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '69', '12', null);
INSERT INTO `qc_module_detail` VALUES ('322', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '72', '13', null);
INSERT INTO `qc_module_detail` VALUES ('323', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '74', '14', null);
INSERT INTO `qc_module_detail` VALUES ('324', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '75', '15', null);
INSERT INTO `qc_module_detail` VALUES ('325', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '76', '16', null);
INSERT INTO `qc_module_detail` VALUES ('326', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '77', '17', null);
INSERT INTO `qc_module_detail` VALUES ('327', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '79', '18', null);
INSERT INTO `qc_module_detail` VALUES ('328', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '81', '19', null);
INSERT INTO `qc_module_detail` VALUES ('329', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '82', '20', null);
INSERT INTO `qc_module_detail` VALUES ('330', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '83', '21', null);
INSERT INTO `qc_module_detail` VALUES ('331', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '85', '22', null);
INSERT INTO `qc_module_detail` VALUES ('332', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '90', '23', null);
INSERT INTO `qc_module_detail` VALUES ('333', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '91', '24', null);
INSERT INTO `qc_module_detail` VALUES ('334', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '202', '25', null);
INSERT INTO `qc_module_detail` VALUES ('335', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '201', '26', null);
INSERT INTO `qc_module_detail` VALUES ('336', 'N', '2020-05-08 15:13:01', '2020-05-08 15:13:01', '102', '102', '8', '0', '203', '27', null);
INSERT INTO `qc_module_detail` VALUES ('337', 'Y', '2020-05-08 15:18:59', '2020-05-08 15:39:45', '99', '99', '10', '0', '208', '1', null);
INSERT INTO `qc_module_detail` VALUES ('338', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('339', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('340', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('341', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('342', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('343', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('344', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('345', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('346', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('347', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('348', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('349', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('350', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('351', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('352', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('353', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('354', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('355', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('356', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '200', '19', null);
INSERT INTO `qc_module_detail` VALUES ('357', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('358', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('359', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('360', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('361', 'Y', '2020-05-08 15:21:46', '2020-05-08 15:23:21', '103', '103', '7', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('362', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('363', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('364', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('365', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('366', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('367', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('368', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('369', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('370', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('371', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('372', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('373', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('374', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('375', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('376', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('377', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('378', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('379', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('380', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '200', '19', null);
INSERT INTO `qc_module_detail` VALUES ('381', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('382', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('383', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('384', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('385', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('386', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('387', 'Y', '2020-05-08 15:23:21', '2020-05-08 15:25:31', '103', '103', '7', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('388', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('389', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('390', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('391', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('392', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('393', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('394', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('395', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('396', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('397', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('398', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('399', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('400', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('401', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('402', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('403', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('404', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('405', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('406', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '200', '19', null);
INSERT INTO `qc_module_detail` VALUES ('407', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('408', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('409', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('410', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('411', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('412', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('413', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('414', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '88', '27', null);
INSERT INTO `qc_module_detail` VALUES ('415', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '89', '28', null);
INSERT INTO `qc_module_detail` VALUES ('416', 'Y', '2020-05-08 15:25:31', '2020-05-09 15:11:35', '103', '103', '7', '0', '92', '29', null);
INSERT INTO `qc_module_detail` VALUES ('417', 'Y', '2020-05-08 15:39:45', '2020-05-08 15:41:41', '99', '99', '10', '0', '208', '1', null);
INSERT INTO `qc_module_detail` VALUES ('418', 'Y', '2020-05-08 15:39:45', '2020-05-08 15:41:41', '99', '99', '10', '0', '217', '2', null);
INSERT INTO `qc_module_detail` VALUES ('419', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '208', '1', null);
INSERT INTO `qc_module_detail` VALUES ('420', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '217', '2', null);
INSERT INTO `qc_module_detail` VALUES ('421', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '241', '3', null);
INSERT INTO `qc_module_detail` VALUES ('422', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '240', '4', null);
INSERT INTO `qc_module_detail` VALUES ('423', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '240', '5', null);
INSERT INTO `qc_module_detail` VALUES ('424', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '238', '6', null);
INSERT INTO `qc_module_detail` VALUES ('425', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '236', '7', null);
INSERT INTO `qc_module_detail` VALUES ('426', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '231', '8', null);
INSERT INTO `qc_module_detail` VALUES ('427', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '229', '9', null);
INSERT INTO `qc_module_detail` VALUES ('428', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '228', '10', null);
INSERT INTO `qc_module_detail` VALUES ('429', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '226', '11', null);
INSERT INTO `qc_module_detail` VALUES ('430', 'Y', '2020-05-08 15:41:41', '2020-05-08 16:57:40', '99', '99', '10', '0', '219', '12', null);
INSERT INTO `qc_module_detail` VALUES ('431', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '0', '212', '1', null);
INSERT INTO `qc_module_detail` VALUES ('432', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '0', '216', '2', null);
INSERT INTO `qc_module_detail` VALUES ('433', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '0', '218', '3', null);
INSERT INTO `qc_module_detail` VALUES ('434', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '0', '222', '4', null);
INSERT INTO `qc_module_detail` VALUES ('435', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '0', '224', '5', null);
INSERT INTO `qc_module_detail` VALUES ('436', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '0', '227', '6', null);
INSERT INTO `qc_module_detail` VALUES ('437', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '1', '230', '7', null);
INSERT INTO `qc_module_detail` VALUES ('438', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '1', '233', '8', null);
INSERT INTO `qc_module_detail` VALUES ('439', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '1', '234', '9', null);
INSERT INTO `qc_module_detail` VALUES ('440', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '1', '235', '10', null);
INSERT INTO `qc_module_detail` VALUES ('441', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '2', '237', '11', null);
INSERT INTO `qc_module_detail` VALUES ('442', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '2', '239', '12', null);
INSERT INTO `qc_module_detail` VALUES ('443', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '2', '242', '13', null);
INSERT INTO `qc_module_detail` VALUES ('444', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '2', '248', '14', null);
INSERT INTO `qc_module_detail` VALUES ('445', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '11', '2', '251', '15', null);
INSERT INTO `qc_module_detail` VALUES ('446', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '153', '1', null);
INSERT INTO `qc_module_detail` VALUES ('447', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '155', '2', null);
INSERT INTO `qc_module_detail` VALUES ('448', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '158', '3', null);
INSERT INTO `qc_module_detail` VALUES ('449', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '161', '4', null);
INSERT INTO `qc_module_detail` VALUES ('450', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '163', '5', null);
INSERT INTO `qc_module_detail` VALUES ('451', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '164', '6', null);
INSERT INTO `qc_module_detail` VALUES ('452', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '214', '7', null);
INSERT INTO `qc_module_detail` VALUES ('453', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '220', '8', null);
INSERT INTO `qc_module_detail` VALUES ('454', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '225', '9', null);
INSERT INTO `qc_module_detail` VALUES ('455', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '253', '10', null);
INSERT INTO `qc_module_detail` VALUES ('456', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '256', '11', null);
INSERT INTO `qc_module_detail` VALUES ('457', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '258', '12', null);
INSERT INTO `qc_module_detail` VALUES ('458', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '260', '13', null);
INSERT INTO `qc_module_detail` VALUES ('459', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '12', '0', '261', '14', null);
INSERT INTO `qc_module_detail` VALUES ('460', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('461', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('462', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('463', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('464', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('465', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('466', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('467', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('468', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('469', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('470', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('471', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('472', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('473', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('474', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '44', '15', null);
INSERT INTO `qc_module_detail` VALUES ('475', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '45', '16', null);
INSERT INTO `qc_module_detail` VALUES ('476', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '267', '17', null);
INSERT INTO `qc_module_detail` VALUES ('477', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '52', '18', null);
INSERT INTO `qc_module_detail` VALUES ('478', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '53', '19', null);
INSERT INTO `qc_module_detail` VALUES ('479', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '55', '20', null);
INSERT INTO `qc_module_detail` VALUES ('480', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('481', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '80', '22', null);
INSERT INTO `qc_module_detail` VALUES ('482', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '210', '23', null);
INSERT INTO `qc_module_detail` VALUES ('483', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '86', '24', null);
INSERT INTO `qc_module_detail` VALUES ('484', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '88', '25', null);
INSERT INTO `qc_module_detail` VALUES ('485', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '89', '26', null);
INSERT INTO `qc_module_detail` VALUES ('486', 'Y', '2020-05-08 15:59:39', '2020-05-09 14:38:18', '103', '103', '13', '0', '92', '27', null);
INSERT INTO `qc_module_detail` VALUES ('487', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('488', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('489', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('490', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('491', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('492', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('493', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('494', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('495', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('496', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('497', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('498', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('499', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('500', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('501', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('502', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('503', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('504', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('505', 'Y', '2020-05-08 16:25:16', '2020-05-08 16:30:22', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('506', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('507', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('508', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('509', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('510', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('511', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('512', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('513', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('514', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('515', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('516', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('517', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('518', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('519', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('520', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('521', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('522', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('523', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('524', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('525', 'Y', '2020-05-08 16:30:22', '2020-05-08 16:36:13', '103', '103', '14', '0', '306', '20', null);
INSERT INTO `qc_module_detail` VALUES ('526', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('527', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('528', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('529', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('530', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('531', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('532', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('533', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('534', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('535', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('536', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('537', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('538', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('539', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('540', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('541', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('542', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('543', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('544', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('545', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('546', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('547', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '298', '22', null);
INSERT INTO `qc_module_detail` VALUES ('548', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('549', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('550', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('551', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('552', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '304', '27', null);
INSERT INTO `qc_module_detail` VALUES ('553', 'Y', '2020-05-08 16:32:28', '2020-05-08 16:37:02', '102', '102', '15', '0', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('554', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('555', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('556', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('557', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('558', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('559', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('560', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('561', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('562', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('563', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('564', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('565', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('566', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('567', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('568', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('569', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('570', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('571', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('572', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('573', 'Y', '2020-05-08 16:36:13', '2020-05-08 16:39:53', '103', '103', '14', '0', '306', '20', null);
INSERT INTO `qc_module_detail` VALUES ('574', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('575', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('576', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('577', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('578', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('579', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('580', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('581', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('582', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('583', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('584', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('585', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('586', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('587', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('588', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('589', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('590', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('591', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('592', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('593', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('594', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('595', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '298', '22', null);
INSERT INTO `qc_module_detail` VALUES ('596', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('597', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('598', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('599', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('600', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '304', '27', null);
INSERT INTO `qc_module_detail` VALUES ('601', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('602', 'Y', '2020-05-08 16:37:02', '2020-05-08 20:07:36', '102', '102', '15', '0', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('603', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('604', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('605', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('606', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('607', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('608', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('609', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('610', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('611', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('612', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('613', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('614', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('615', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('616', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('617', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('618', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('619', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('620', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('621', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('622', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '306', '20', null);
INSERT INTO `qc_module_detail` VALUES ('623', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('624', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '73', '22', null);
INSERT INTO `qc_module_detail` VALUES ('625', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '78', '23', null);
INSERT INTO `qc_module_detail` VALUES ('626', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('627', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('628', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('629', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '87', '27', null);
INSERT INTO `qc_module_detail` VALUES ('630', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '88', '28', null);
INSERT INTO `qc_module_detail` VALUES ('631', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '89', '29', null);
INSERT INTO `qc_module_detail` VALUES ('632', 'Y', '2020-05-08 16:39:53', '2020-05-12 11:23:38', '103', '103', '14', '0', '92', '30', null);
INSERT INTO `qc_module_detail` VALUES ('633', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '241', '1', null);
INSERT INTO `qc_module_detail` VALUES ('634', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '240', '2', null);
INSERT INTO `qc_module_detail` VALUES ('635', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '238', '3', null);
INSERT INTO `qc_module_detail` VALUES ('636', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '236', '4', null);
INSERT INTO `qc_module_detail` VALUES ('637', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '231', '5', null);
INSERT INTO `qc_module_detail` VALUES ('638', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '229', '6', null);
INSERT INTO `qc_module_detail` VALUES ('639', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '228', '7', null);
INSERT INTO `qc_module_detail` VALUES ('640', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '0', '226', '8', null);
INSERT INTO `qc_module_detail` VALUES ('641', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '1', '208', '9', null);
INSERT INTO `qc_module_detail` VALUES ('642', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '1', '217', '10', null);
INSERT INTO `qc_module_detail` VALUES ('643', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '1', '245', '11', null);
INSERT INTO `qc_module_detail` VALUES ('644', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '1', '219', '12', null);
INSERT INTO `qc_module_detail` VALUES ('645', 'Y', '2020-05-08 16:57:40', '2020-05-08 16:57:47', '99', '99', '10', '1', '221', '13', null);
INSERT INTO `qc_module_detail` VALUES ('646', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '0', '208', '1', null);
INSERT INTO `qc_module_detail` VALUES ('647', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '0', '217', '2', null);
INSERT INTO `qc_module_detail` VALUES ('648', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '0', '245', '3', null);
INSERT INTO `qc_module_detail` VALUES ('649', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '0', '219', '4', null);
INSERT INTO `qc_module_detail` VALUES ('650', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '0', '221', '5', null);
INSERT INTO `qc_module_detail` VALUES ('651', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '241', '6', null);
INSERT INTO `qc_module_detail` VALUES ('652', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '240', '7', null);
INSERT INTO `qc_module_detail` VALUES ('653', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '238', '8', null);
INSERT INTO `qc_module_detail` VALUES ('654', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '236', '9', null);
INSERT INTO `qc_module_detail` VALUES ('655', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '231', '10', null);
INSERT INTO `qc_module_detail` VALUES ('656', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '229', '11', null);
INSERT INTO `qc_module_detail` VALUES ('657', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '228', '12', null);
INSERT INTO `qc_module_detail` VALUES ('658', 'Y', '2020-05-08 16:57:47', '2020-05-08 17:10:56', '99', '99', '10', '1', '226', '13', null);
INSERT INTO `qc_module_detail` VALUES ('659', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '0', '275', '1', null);
INSERT INTO `qc_module_detail` VALUES ('660', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '0', '277', '2', null);
INSERT INTO `qc_module_detail` VALUES ('661', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '0', '279', '3', null);
INSERT INTO `qc_module_detail` VALUES ('662', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '0', '281', '4', null);
INSERT INTO `qc_module_detail` VALUES ('663', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '0', '283', '5', null);
INSERT INTO `qc_module_detail` VALUES ('664', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '0', '284', '6', null);
INSERT INTO `qc_module_detail` VALUES ('665', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '1', '286', '7', null);
INSERT INTO `qc_module_detail` VALUES ('666', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '1', '288', '8', null);
INSERT INTO `qc_module_detail` VALUES ('667', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '1', '292', '9', null);
INSERT INTO `qc_module_detail` VALUES ('668', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '1', '295', '10', null);
INSERT INTO `qc_module_detail` VALUES ('669', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '16', '1', '299', '11', null);
INSERT INTO `qc_module_detail` VALUES ('670', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '0', '208', '1', null);
INSERT INTO `qc_module_detail` VALUES ('671', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '0', '217', '2', null);
INSERT INTO `qc_module_detail` VALUES ('672', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '0', '245', '3', null);
INSERT INTO `qc_module_detail` VALUES ('673', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '0', '219', '4', null);
INSERT INTO `qc_module_detail` VALUES ('674', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '0', '221', '5', null);
INSERT INTO `qc_module_detail` VALUES ('675', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '226', '6', null);
INSERT INTO `qc_module_detail` VALUES ('676', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '228', '7', null);
INSERT INTO `qc_module_detail` VALUES ('677', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '229', '8', null);
INSERT INTO `qc_module_detail` VALUES ('678', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '231', '9', null);
INSERT INTO `qc_module_detail` VALUES ('679', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '232', '10', null);
INSERT INTO `qc_module_detail` VALUES ('680', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '236', '11', null);
INSERT INTO `qc_module_detail` VALUES ('681', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '1', '238', '12', null);
INSERT INTO `qc_module_detail` VALUES ('682', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '2', '240', '13', null);
INSERT INTO `qc_module_detail` VALUES ('683', 'Y', '2020-05-08 17:10:56', '2020-05-08 17:11:42', '99', '99', '10', '2', '241', '14', null);
INSERT INTO `qc_module_detail` VALUES ('684', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '0', '208', '1', null);
INSERT INTO `qc_module_detail` VALUES ('685', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '0', '217', '2', null);
INSERT INTO `qc_module_detail` VALUES ('686', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '0', '245', '3', null);
INSERT INTO `qc_module_detail` VALUES ('687', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '0', '219', '4', null);
INSERT INTO `qc_module_detail` VALUES ('688', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '0', '221', '5', null);
INSERT INTO `qc_module_detail` VALUES ('689', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '226', '6', null);
INSERT INTO `qc_module_detail` VALUES ('690', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '228', '7', null);
INSERT INTO `qc_module_detail` VALUES ('691', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '229', '8', null);
INSERT INTO `qc_module_detail` VALUES ('692', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '231', '9', null);
INSERT INTO `qc_module_detail` VALUES ('693', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '232', '10', null);
INSERT INTO `qc_module_detail` VALUES ('694', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '236', '11', null);
INSERT INTO `qc_module_detail` VALUES ('695', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '1', '238', '12', null);
INSERT INTO `qc_module_detail` VALUES ('696', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '2', '240', '13', null);
INSERT INTO `qc_module_detail` VALUES ('697', 'N', '2020-05-08 17:11:42', '2020-05-08 17:11:42', '99', '99', '10', '2', '241', '14', null);
INSERT INTO `qc_module_detail` VALUES ('698', 'Y', '2020-05-08 17:38:16', '2020-05-09 11:13:55', '99', '99', '17', '0', '331', '1', null);
INSERT INTO `qc_module_detail` VALUES ('699', 'Y', '2020-05-08 17:38:45', '2020-05-09 11:16:58', '99', '99', '18', '0', '332', '1', null);
INSERT INTO `qc_module_detail` VALUES ('700', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('701', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('702', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '310', '3', null);
INSERT INTO `qc_module_detail` VALUES ('703', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '311', '4', null);
INSERT INTO `qc_module_detail` VALUES ('704', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '312', '5', null);
INSERT INTO `qc_module_detail` VALUES ('705', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '313', '6', null);
INSERT INTO `qc_module_detail` VALUES ('706', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('707', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('708', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '317', '9', null);
INSERT INTO `qc_module_detail` VALUES ('709', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '318', '10', null);
INSERT INTO `qc_module_detail` VALUES ('710', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '319', '11', null);
INSERT INTO `qc_module_detail` VALUES ('711', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('712', 'Y', '2020-05-08 17:42:51', '2020-05-08 17:53:05', '103', '103', '19', '0', '322', '13', null);
INSERT INTO `qc_module_detail` VALUES ('713', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('714', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('715', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '310', '3', null);
INSERT INTO `qc_module_detail` VALUES ('716', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '311', '4', null);
INSERT INTO `qc_module_detail` VALUES ('717', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '312', '5', null);
INSERT INTO `qc_module_detail` VALUES ('718', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '313', '6', null);
INSERT INTO `qc_module_detail` VALUES ('719', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('720', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('721', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '317', '9', null);
INSERT INTO `qc_module_detail` VALUES ('722', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '318', '10', null);
INSERT INTO `qc_module_detail` VALUES ('723', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '319', '11', null);
INSERT INTO `qc_module_detail` VALUES ('724', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('725', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '322', '13', null);
INSERT INTO `qc_module_detail` VALUES ('726', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '337', '14', null);
INSERT INTO `qc_module_detail` VALUES ('727', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '338', '15', null);
INSERT INTO `qc_module_detail` VALUES ('728', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '340', '16', null);
INSERT INTO `qc_module_detail` VALUES ('729', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '326', '17', null);
INSERT INTO `qc_module_detail` VALUES ('730', 'Y', '2020-05-08 17:53:05', '2020-05-08 17:55:32', '103', '103', '19', '0', '327', '18', null);
INSERT INTO `qc_module_detail` VALUES ('731', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('732', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('733', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '310', '3', null);
INSERT INTO `qc_module_detail` VALUES ('734', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '311', '4', null);
INSERT INTO `qc_module_detail` VALUES ('735', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '312', '5', null);
INSERT INTO `qc_module_detail` VALUES ('736', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '313', '6', null);
INSERT INTO `qc_module_detail` VALUES ('737', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('738', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('739', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '317', '9', null);
INSERT INTO `qc_module_detail` VALUES ('740', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '318', '10', null);
INSERT INTO `qc_module_detail` VALUES ('741', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '319', '11', null);
INSERT INTO `qc_module_detail` VALUES ('742', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('743', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '322', '13', null);
INSERT INTO `qc_module_detail` VALUES ('744', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '337', '14', null);
INSERT INTO `qc_module_detail` VALUES ('745', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '338', '15', null);
INSERT INTO `qc_module_detail` VALUES ('746', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '340', '16', null);
INSERT INTO `qc_module_detail` VALUES ('747', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '326', '17', null);
INSERT INTO `qc_module_detail` VALUES ('748', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '327', '18', null);
INSERT INTO `qc_module_detail` VALUES ('749', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '344', '19', null);
INSERT INTO `qc_module_detail` VALUES ('750', 'Y', '2020-05-08 17:55:32', '2020-05-09 16:55:10', '103', '103', '19', '0', '345', '20', null);
INSERT INTO `qc_module_detail` VALUES ('751', 'Y', '2020-05-08 18:02:52', '2020-05-08 18:05:07', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('752', 'Y', '2020-05-08 18:05:07', '2020-05-08 18:08:49', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('753', 'Y', '2020-05-08 18:05:07', '2020-05-08 18:08:49', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('754', 'Y', '2020-05-08 18:05:47', '2020-05-08 18:06:47', '102', '102', '21', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('755', 'Y', '2020-05-08 18:05:47', '2020-05-08 18:06:47', '102', '102', '21', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('756', 'Y', '2020-05-08 18:05:47', '2020-05-08 18:06:47', '102', '102', '21', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('757', 'Y', '2020-05-08 18:06:47', '2020-05-08 19:11:09', '102', '102', '21', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('758', 'Y', '2020-05-08 18:06:47', '2020-05-08 19:11:09', '102', '102', '21', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('759', 'Y', '2020-05-08 18:06:47', '2020-05-08 19:11:09', '102', '102', '21', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('760', 'Y', '2020-05-08 18:06:47', '2020-05-08 19:11:09', '102', '102', '21', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('761', 'Y', '2020-05-08 18:08:49', '2020-05-08 18:11:56', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('762', 'Y', '2020-05-08 18:08:49', '2020-05-08 18:11:56', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('763', 'Y', '2020-05-08 18:08:49', '2020-05-08 18:11:56', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('764', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('765', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('766', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('767', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('768', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('769', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('770', 'Y', '2020-05-08 18:11:56', '2020-05-08 18:58:29', '103', '103', '20', '0', '316', '7', null);
INSERT INTO `qc_module_detail` VALUES ('771', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('772', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('773', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('774', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('775', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('776', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('777', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('778', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('779', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('780', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('781', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('782', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('783', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('784', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('785', 'Y', '2020-05-08 18:47:20', '2020-05-08 19:07:59', '102', '102', '1', '1', '377', '15', null);
INSERT INTO `qc_module_detail` VALUES ('786', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('787', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('788', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('789', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('790', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('791', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('792', 'Y', '2020-05-08 18:58:29', '2020-05-08 19:02:39', '103', '103', '20', '0', '316', '7', null);
INSERT INTO `qc_module_detail` VALUES ('793', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('794', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('795', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('796', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('797', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('798', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('799', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '316', '7', null);
INSERT INTO `qc_module_detail` VALUES ('800', 'Y', '2020-05-08 19:02:39', '2020-05-08 19:12:29', '103', '103', '20', '0', '380', '8', null);
INSERT INTO `qc_module_detail` VALUES ('801', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('802', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('803', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('804', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('805', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('806', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('807', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('808', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('809', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('810', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('811', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('812', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('813', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('814', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('815', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('816', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('817', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('818', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('819', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('820', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('821', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('822', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('823', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('824', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('825', 'Y', '2020-05-08 19:07:59', '2020-05-08 19:24:43', '102', '102', '1', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('826', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('827', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('828', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('829', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('830', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('831', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('832', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('833', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('834', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('835', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('836', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('837', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('838', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('839', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('840', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('841', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('842', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '285', '17', null);
INSERT INTO `qc_module_detail` VALUES ('843', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '376', '18', null);
INSERT INTO `qc_module_detail` VALUES ('844', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '289', '19', null);
INSERT INTO `qc_module_detail` VALUES ('845', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '290', '20', null);
INSERT INTO `qc_module_detail` VALUES ('846', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '291', '21', null);
INSERT INTO `qc_module_detail` VALUES ('847', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '382', '22', null);
INSERT INTO `qc_module_detail` VALUES ('848', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('849', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('850', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('851', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('852', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '385', '27', null);
INSERT INTO `qc_module_detail` VALUES ('853', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '304', '28', null);
INSERT INTO `qc_module_detail` VALUES ('854', 'Y', '2020-05-08 19:11:09', '2020-05-08 20:09:39', '102', '102', '21', '0', '305', '29', null);
INSERT INTO `qc_module_detail` VALUES ('855', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('856', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('857', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('858', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('859', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('860', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('861', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '316', '7', null);
INSERT INTO `qc_module_detail` VALUES ('862', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '380', '8', null);
INSERT INTO `qc_module_detail` VALUES ('863', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '381', '9', null);
INSERT INTO `qc_module_detail` VALUES ('864', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '383', '10', null);
INSERT INTO `qc_module_detail` VALUES ('865', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '320', '11', null);
INSERT INTO `qc_module_detail` VALUES ('866', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '326', '12', null);
INSERT INTO `qc_module_detail` VALUES ('867', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '347', '13', null);
INSERT INTO `qc_module_detail` VALUES ('868', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '322', '14', null);
INSERT INTO `qc_module_detail` VALUES ('869', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '337', '15', null);
INSERT INTO `qc_module_detail` VALUES ('870', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '344', '16', null);
INSERT INTO `qc_module_detail` VALUES ('871', 'Y', '2020-05-08 19:12:29', '2020-05-09 17:24:56', '103', '103', '20', '0', '340', '17', null);
INSERT INTO `qc_module_detail` VALUES ('872', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('873', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('874', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('875', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('876', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('877', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('878', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('879', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('880', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('881', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('882', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('883', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('884', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('885', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('886', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('887', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('888', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('889', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('890', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('891', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('892', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('893', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('894', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('895', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('896', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('897', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '386', '26', null);
INSERT INTO `qc_module_detail` VALUES ('898', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('899', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('900', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('901', 'Y', '2020-05-08 19:24:43', '2020-05-08 19:26:05', '102', '102', '1', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('902', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('903', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('904', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('905', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('906', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('907', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('908', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('909', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('910', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('911', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('912', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('913', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('914', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('915', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('916', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('917', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('918', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('919', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('920', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('921', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('922', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('923', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('924', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('925', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('926', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('927', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('928', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('929', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('930', 'Y', '2020-05-08 19:26:05', '2020-05-08 19:40:42', '102', '102', '1', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('931', 'Y', '2020-05-08 19:30:06', '2020-05-09 10:11:56', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('932', 'Y', '2020-05-08 19:30:35', '2020-05-09 16:37:25', '103', '103', '23', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('933', 'Y', '2020-05-08 19:31:41', '2020-05-08 20:01:38', '103', '103', '24', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('934', 'Y', '2020-05-08 19:35:23', '2020-05-08 20:28:54', '103', '103', '25', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('935', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('936', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('937', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('938', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('939', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('940', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('941', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('942', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('943', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('944', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('945', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('946', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('947', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('948', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('949', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('950', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('951', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('952', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('953', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('954', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('955', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('956', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('957', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('958', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('959', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('960', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('961', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('962', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('963', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('964', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('965', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('966', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('967', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '94', '33', null);
INSERT INTO `qc_module_detail` VALUES ('968', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '96', '34', null);
INSERT INTO `qc_module_detail` VALUES ('969', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '95', '35', null);
INSERT INTO `qc_module_detail` VALUES ('970', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '100', '36', null);
INSERT INTO `qc_module_detail` VALUES ('971', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '398', '37', null);
INSERT INTO `qc_module_detail` VALUES ('972', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('973', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('974', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('975', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('976', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('977', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '399', '43', null);
INSERT INTO `qc_module_detail` VALUES ('978', 'N', '2020-05-08 19:40:42', '2020-05-08 19:40:42', '102', '102', '1', '2', '400', '44', null);
INSERT INTO `qc_module_detail` VALUES ('979', 'Y', '2020-05-08 20:01:38', '2020-05-08 20:02:21', '103', '103', '24', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('980', 'Y', '2020-05-08 20:01:38', '2020-05-08 20:02:21', '103', '103', '24', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('981', 'Y', '2020-05-08 20:01:38', '2020-05-08 20:02:21', '103', '103', '24', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('982', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('983', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('984', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('985', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('986', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('987', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('988', 'Y', '2020-05-08 20:02:21', '2020-05-08 20:03:49', '103', '103', '24', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('989', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('990', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('991', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('992', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('993', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('994', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('995', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('996', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('997', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('998', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('999', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1000', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1001', 'Y', '2020-05-08 20:03:49', '2020-05-09 18:57:14', '103', '103', '24', '0', '340', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1002', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '321', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1003', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '323', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1004', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '324', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1005', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '325', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1006', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '328', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1007', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '329', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1008', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '330', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1009', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '333', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1010', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '348', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1011', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '349', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1012', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '351', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1013', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '353', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1014', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '354', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1015', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '355', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1016', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '356', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1017', 'Y', '2020-05-08 20:06:22', '2020-05-09 14:22:32', '99', '99', '26', '0', '369', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1018', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1019', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1020', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1021', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1022', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1023', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1024', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1025', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1026', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1027', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1028', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1029', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1030', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1031', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1032', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1033', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1034', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1035', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1036', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1037', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1038', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1039', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '407', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1040', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '304', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1041', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '305', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1042', 'Y', '2020-05-08 20:07:36', '2020-05-09 17:33:33', '102', '99', '15', '0', '307', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1043', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1044', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1045', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1046', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1047', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1048', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1049', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1050', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1051', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1052', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1053', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1054', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1055', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1056', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1057', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1058', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1059', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '285', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1060', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '376', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1061', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '289', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1062', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '290', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1063', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '291', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1064', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '382', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1065', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '409', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1066', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '385', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1067', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '304', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1068', 'Y', '2020-05-08 20:09:39', '2020-05-09 19:37:22', '102', '103', '21', '0', '305', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1069', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1070', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1071', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1072', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1073', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1074', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1075', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1076', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1077', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1078', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1079', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1080', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1081', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1082', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1083', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1084', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1085', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1086', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1087', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1088', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1089', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1090', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1091', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1092', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1093', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1094', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1095', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1096', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1097', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1098', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1099', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1100', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1101', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1102', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '1', '393', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1103', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '395', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1104', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '397', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1105', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '94', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1106', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '96', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1107', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '95', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1108', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '100', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1109', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '398', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1110', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '418', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1111', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('1112', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('1113', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('1114', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('1115', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('1116', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '399', '48', null);
INSERT INTO `qc_module_detail` VALUES ('1117', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '27', '2', '400', '49', null);
INSERT INTO `qc_module_detail` VALUES ('1118', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1119', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1120', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1121', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1122', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1123', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1124', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1125', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1126', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1127', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1128', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1129', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1130', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1131', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1132', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1133', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1134', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1135', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1136', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1137', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1138', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1139', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1140', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1141', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1142', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1143', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1144', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1145', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1146', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1147', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1148', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1149', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1150', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1151', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '1', '393', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1152', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '395', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1153', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '397', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1154', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '94', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1155', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '96', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1156', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '95', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1157', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '100', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1158', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '398', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1159', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '418', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1160', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('1161', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('1162', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('1163', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('1164', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('1165', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '399', '48', null);
INSERT INTO `qc_module_detail` VALUES ('1166', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '28', '2', '400', '49', null);
INSERT INTO `qc_module_detail` VALUES ('1167', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1168', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1169', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1170', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1171', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1172', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1173', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1174', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1175', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1176', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1177', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1178', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1179', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1180', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1181', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1182', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1183', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1184', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1185', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1186', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1187', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1188', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1189', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1190', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1191', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1192', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1193', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1194', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1195', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1196', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1197', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1198', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1199', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1200', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '1', '393', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1201', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '395', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1202', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '397', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1203', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '94', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1204', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '96', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1205', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '95', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1206', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '100', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1207', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '398', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1208', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '418', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1209', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('1210', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('1211', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('1212', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('1213', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('1214', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '399', '48', null);
INSERT INTO `qc_module_detail` VALUES ('1215', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '29', '2', '400', '49', null);
INSERT INTO `qc_module_detail` VALUES ('1216', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1217', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1218', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1219', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1220', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1221', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1222', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1223', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1224', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1225', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1226', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1227', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1228', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1229', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1230', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1231', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1232', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1233', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1234', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1235', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1236', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1237', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '407', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1238', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '420', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1239', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '304', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1240', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '30', '0', '305', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1241', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1242', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1243', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1244', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1245', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1246', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1247', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1248', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1249', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1250', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1251', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1252', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1253', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1254', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1255', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1256', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1257', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1258', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1259', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1260', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1261', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1262', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1263', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1264', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1265', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1266', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1267', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1268', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1269', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1270', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1271', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1272', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '1', '393', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1273', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '395', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1274', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '397', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1275', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1276', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1277', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1278', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1279', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1280', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '418', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1281', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1282', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1283', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('1284', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('1285', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('1286', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '399', '46', null);
INSERT INTO `qc_module_detail` VALUES ('1287', 'Y', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '31', '2', '400', '47', null);
INSERT INTO `qc_module_detail` VALUES ('1288', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1289', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1290', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1291', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1292', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1293', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1294', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1295', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1296', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1297', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1298', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1299', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1300', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1301', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1302', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1303', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1304', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1305', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1306', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1307', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1308', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1309', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1310', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1311', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1312', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1313', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1314', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1315', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1316', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1317', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1318', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1319', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '1', '393', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1320', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '395', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1321', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '397', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1322', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1323', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1324', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1325', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1326', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1327', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '418', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1328', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1329', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1330', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('1331', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('1332', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('1333', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '399', '46', null);
INSERT INTO `qc_module_detail` VALUES ('1334', 'Y', '2020-05-08 20:18:54', '2020-05-12 14:40:09', '102', '97', '32', '2', '400', '47', null);
INSERT INTO `qc_module_detail` VALUES ('1335', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1336', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1337', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1338', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1339', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1340', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1341', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1342', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1343', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1344', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1345', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1346', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1347', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1348', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1349', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1350', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1351', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1352', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1353', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1354', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1355', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1356', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1357', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1358', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1359', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1360', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1361', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1362', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1363', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1364', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1365', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1366', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '1', '393', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1367', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '395', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1368', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '397', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1369', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1370', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1371', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1372', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1373', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1374', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '418', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1375', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1376', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1377', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('1378', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('1379', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('1380', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '399', '46', null);
INSERT INTO `qc_module_detail` VALUES ('1381', 'Y', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '33', '2', '400', '47', null);
INSERT INTO `qc_module_detail` VALUES ('1382', 'Y', '2020-05-08 20:28:54', '2020-05-08 20:32:24', '103', '103', '25', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1383', 'Y', '2020-05-08 20:28:54', '2020-05-08 20:32:24', '103', '103', '25', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1384', 'Y', '2020-05-08 20:28:54', '2020-05-08 20:32:24', '103', '103', '25', '0', '411', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1385', 'Y', '2020-05-08 20:28:54', '2020-05-08 20:32:24', '103', '103', '25', '0', '419', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1386', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1387', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1388', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1389', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1390', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1391', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1392', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1393', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1394', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1395', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1396', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1397', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1398', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1399', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1400', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1401', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1402', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1403', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '285', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1404', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1405', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '289', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1406', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '290', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1407', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '291', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1408', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '382', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1409', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '409', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1410', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '438', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1411', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '304', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1412', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '34', '0', '305', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1413', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1414', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1415', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '411', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1416', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '419', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1417', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '441', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1418', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '421', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1419', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '422', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1420', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '424', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1421', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '425', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1422', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '427', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1423', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '428', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1424', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '429', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1425', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '431', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1426', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '432', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1427', 'N', '2020-05-08 20:32:24', '2020-05-08 20:32:24', '103', '103', '25', '0', '437', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1428', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1429', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1430', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1431', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1432', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1433', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1434', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1435', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1436', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1437', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1438', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1439', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1440', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1441', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1442', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1443', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1444', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1445', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '285', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1446', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1447', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '289', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1448', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '290', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1449', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '291', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1450', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '382', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1451', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '409', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1452', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '304', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1453', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '35', '0', '305', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1454', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1455', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1456', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '419', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1457', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '441', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1458', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '421', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1459', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '422', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1460', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '424', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1461', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '425', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1462', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '427', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1463', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '428', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1464', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '429', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1465', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '431', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1466', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '432', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1467', 'Y', '2020-05-09 09:27:50', '2020-05-09 09:29:24', '103', '103', '36', '0', '437', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1468', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1469', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1470', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1471', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '419', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1472', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '441', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1473', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '421', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1474', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '422', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1475', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '424', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1476', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '425', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1477', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '427', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1478', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '428', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1479', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '429', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1480', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '431', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1481', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '432', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1482', 'Y', '2020-05-09 09:29:24', '2020-05-09 09:46:41', '103', '103', '36', '0', '437', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1483', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1484', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1485', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '346', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1486', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '423', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1487', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '426', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1488', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '430', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1489', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '434', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1490', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '435', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1491', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '436', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1492', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '439', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1493', 'Y', '2020-05-09 09:42:30', '2020-05-09 10:02:31', '101', '101', '37', '0', '442', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1494', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1495', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1496', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1497', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1498', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1499', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1500', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '444', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1501', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '4', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1502', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '10', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1503', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '446', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1504', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '448', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1505', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '449', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1506', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '450', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1507', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '0', '16', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1508', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '31', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1509', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '35', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1510', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '378', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1511', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '110', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1512', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '377', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1513', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '179', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1514', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '180', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1515', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '204', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1516', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '379', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1517', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '209', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1518', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1519', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1520', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1521', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1522', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '452', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1523', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '415', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1524', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '417', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1525', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '414', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1526', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1527', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1528', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '457', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1529', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1530', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1531', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1532', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1533', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1534', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1535', 'Y', '2020-05-09 09:44:59', '2020-05-09 11:09:21', '102', '105', '38', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1536', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1537', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1538', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1539', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1540', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1541', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1542', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '444', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1543', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '4', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1544', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '10', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1545', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '446', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1546', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '448', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1547', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '449', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1548', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '450', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1549', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '0', '16', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1550', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '31', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1551', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '35', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1552', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '378', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1553', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '110', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1554', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '377', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1555', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '179', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1556', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '180', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1557', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '204', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1558', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '379', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1559', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '209', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1560', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1561', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1562', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1563', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1564', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '452', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1565', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '415', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1566', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '417', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1567', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '414', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1568', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1569', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1570', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '457', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1571', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1572', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1573', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1574', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1575', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1576', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1577', 'Y', '2020-05-09 09:46:23', '2020-05-09 15:42:07', '102', '102', '39', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1578', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1579', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1580', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1581', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1582', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1583', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1584', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '444', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1585', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '4', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1586', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '10', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1587', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '446', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1588', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '448', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1589', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '449', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1590', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '450', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1591', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '0', '16', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1592', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '31', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1593', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '35', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1594', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '378', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1595', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '110', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1596', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '377', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1597', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '179', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1598', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '180', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1599', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '204', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1600', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '379', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1601', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '209', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1602', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1603', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1604', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1605', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1606', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '452', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1607', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '415', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1608', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '417', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1609', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '414', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1610', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1611', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1612', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '457', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1613', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1614', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1615', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1616', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1617', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1618', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1619', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '40', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1620', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1621', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1622', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1623', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1624', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1625', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1626', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1627', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '421', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1628', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '422', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1629', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '424', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1630', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '425', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1631', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '427', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1632', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '428', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1633', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '429', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1634', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '431', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1635', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '432', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1636', 'Y', '2020-05-09 09:46:41', '2020-05-09 09:53:59', '103', '103', '36', '0', '437', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1637', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1638', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1639', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1640', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1641', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1642', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1643', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1644', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1645', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1646', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1647', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1648', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1649', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1650', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1651', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1652', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1653', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1654', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1655', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1656', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1657', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1658', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '409', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1659', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '459', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1660', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '304', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1661', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '41', '0', '305', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1662', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1663', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1664', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1665', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1666', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1667', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1668', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '444', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1669', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '4', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1670', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '10', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1671', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '446', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1672', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '448', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1673', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '449', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1674', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '450', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1675', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '0', '16', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1676', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '31', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1677', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '35', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1678', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '378', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1679', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '110', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1680', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '377', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1681', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '179', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1682', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '180', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1683', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '204', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1684', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '379', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1685', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '209', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1686', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1687', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1688', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1689', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1690', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '452', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1691', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '415', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1692', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '417', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1693', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '414', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1694', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1695', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1696', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '457', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1697', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1698', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1699', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1700', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1701', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1702', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1703', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '42', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1704', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1705', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1706', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1707', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1708', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1709', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1710', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1711', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '465', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1712', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '424', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1713', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1714', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1715', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1716', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '429', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1717', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1718', 'Y', '2020-05-09 09:53:59', '2020-05-12 11:40:36', '103', '103', '36', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1719', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1720', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1721', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1722', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1723', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1724', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1725', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1726', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '465', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1727', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '424', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1728', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1729', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1730', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1731', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '429', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1732', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1733', 'Y', '2020-05-09 10:01:44', '2020-05-09 19:23:19', '103', '103', '43', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1734', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1735', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1736', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '346', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1737', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '423', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1738', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '426', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1739', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '430', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1740', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '434', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1741', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '435', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1742', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '436', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1743', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '439', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1744', 'Y', '2020-05-09 10:02:31', '2020-05-09 15:41:00', '101', '101', '37', '0', '482', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1745', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '462', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1746', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '463', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1747', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '464', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1748', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '466', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1749', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '468', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1750', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '469', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1751', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '470', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1752', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '471', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1753', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '473', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1754', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '475', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1755', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '476', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1756', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '477', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1757', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '478', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1758', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '479', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1759', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '480', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1760', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '481', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1761', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '483', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1762', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '484', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1763', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '485', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1764', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '44', '0', '486', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1765', 'Y', '2020-05-09 10:08:43', '2020-05-09 15:44:00', '101', '101', '45', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1766', 'Y', '2020-05-09 10:08:43', '2020-05-09 15:44:00', '101', '101', '45', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1767', 'Y', '2020-05-09 10:08:43', '2020-05-09 15:44:00', '101', '101', '45', '0', '346', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1768', 'Y', '2020-05-09 10:08:43', '2020-05-09 15:44:00', '101', '101', '45', '0', '423', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1769', 'Y', '2020-05-09 10:08:43', '2020-05-09 15:44:00', '101', '101', '45', '0', '482', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1770', 'Y', '2020-05-09 10:08:43', '2020-05-09 15:44:00', '101', '101', '45', '0', '436', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1771', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1772', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1773', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1774', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1775', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1776', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1777', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1778', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1779', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1780', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1781', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1782', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1783', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1784', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1785', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1786', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1787', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1788', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1789', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1790', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1791', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1792', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '409', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1793', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '304', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1794', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '46', '0', '305', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1795', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1796', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1797', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '423', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1798', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '426', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1799', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '430', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1800', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '434', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1801', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '435', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1802', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '436', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1803', 'Y', '2020-05-09 10:11:53', '2020-05-09 10:13:06', '101', '101', '47', '0', '490', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1804', 'Y', '2020-05-09 10:11:56', '2020-05-09 10:15:17', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1805', 'Y', '2020-05-09 10:11:56', '2020-05-09 10:15:17', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1806', 'Y', '2020-05-09 10:11:56', '2020-05-09 10:15:17', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1807', 'Y', '2020-05-09 10:11:56', '2020-05-09 10:15:17', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1808', 'Y', '2020-05-09 10:11:56', '2020-05-09 10:15:17', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1809', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1810', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1811', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '423', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1812', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '426', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1813', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '430', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1814', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '434', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1815', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '435', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1816', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '436', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1817', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '490', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1818', 'Y', '2020-05-09 10:13:06', '2020-05-09 15:41:43', '101', '101', '47', '0', '495', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1819', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1820', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1821', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1822', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1823', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1824', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1825', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1826', 'Y', '2020-05-09 10:15:17', '2020-05-09 10:20:08', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1827', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1828', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1829', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1830', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1831', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1832', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1833', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1834', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1835', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '402', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1836', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1837', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1838', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1839', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1840', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1841', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1842', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1843', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1844', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1845', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1846', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1847', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1848', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1849', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1850', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '387', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1851', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '496', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1852', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '1', '393', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1853', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '395', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1854', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '397', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1855', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '501', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1856', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '502', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1857', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '94', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1858', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '96', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1859', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '95', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1860', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '100', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1861', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '398', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1862', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '103', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1863', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '105', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1864', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '106', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1865', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '505', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1866', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '506', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1867', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1868', 'Y', '2020-05-09 10:18:00', '2020-05-09 15:59:24', '102', '102', '48', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1869', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1870', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1871', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1872', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1873', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1874', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1875', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1876', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1877', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '402', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1878', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1879', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1880', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1881', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1882', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1883', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1884', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1885', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1886', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1887', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1888', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1889', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1890', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1891', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1892', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '387', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1893', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '496', '25', null);
INSERT INTO `qc_module_detail` VALUES ('1894', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '1', '393', '26', null);
INSERT INTO `qc_module_detail` VALUES ('1895', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '395', '27', null);
INSERT INTO `qc_module_detail` VALUES ('1896', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '397', '28', null);
INSERT INTO `qc_module_detail` VALUES ('1897', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '501', '29', null);
INSERT INTO `qc_module_detail` VALUES ('1898', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '502', '30', null);
INSERT INTO `qc_module_detail` VALUES ('1899', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '94', '31', null);
INSERT INTO `qc_module_detail` VALUES ('1900', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '96', '32', null);
INSERT INTO `qc_module_detail` VALUES ('1901', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '95', '33', null);
INSERT INTO `qc_module_detail` VALUES ('1902', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '100', '34', null);
INSERT INTO `qc_module_detail` VALUES ('1903', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '398', '35', null);
INSERT INTO `qc_module_detail` VALUES ('1904', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '103', '36', null);
INSERT INTO `qc_module_detail` VALUES ('1905', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '105', '37', null);
INSERT INTO `qc_module_detail` VALUES ('1906', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '106', '38', null);
INSERT INTO `qc_module_detail` VALUES ('1907', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '505', '39', null);
INSERT INTO `qc_module_detail` VALUES ('1908', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '506', '40', null);
INSERT INTO `qc_module_detail` VALUES ('1909', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('1910', 'Y', '2020-05-09 10:18:11', '2020-05-09 16:10:16', '102', '102', '49', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('1911', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1912', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1913', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1914', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1915', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1916', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1917', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1918', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1919', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1920', 'Y', '2020-05-09 10:20:08', '2020-05-09 10:22:31', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1921', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1922', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1923', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1924', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1925', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1926', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1927', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1928', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1929', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1930', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1931', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1932', 'Y', '2020-05-09 10:22:31', '2020-05-09 10:32:05', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1933', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1934', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1935', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1936', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1937', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1938', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1939', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1940', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1941', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1942', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1943', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1944', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1945', 'Y', '2020-05-09 10:32:05', '2020-05-09 10:38:56', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1946', 'Y', '2020-05-09 10:35:58', '2020-05-09 10:37:40', '101', '101', '50', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1947', 'Y', '2020-05-09 10:35:58', '2020-05-09 10:37:40', '101', '101', '50', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1948', 'Y', '2020-05-09 10:35:58', '2020-05-09 10:37:40', '101', '101', '50', '0', '482', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1949', 'Y', '2020-05-09 10:35:58', '2020-05-09 10:37:40', '101', '101', '50', '0', '436', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1950', 'Y', '2020-05-09 10:37:40', '2020-05-09 10:53:28', '101', '101', '50', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1951', 'Y', '2020-05-09 10:37:40', '2020-05-09 10:53:28', '101', '101', '50', '0', '436', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1952', 'Y', '2020-05-09 10:37:40', '2020-05-09 10:53:28', '101', '101', '50', '0', '436', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1953', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1954', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1955', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1956', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1957', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1958', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1959', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1960', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1961', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1962', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1963', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1964', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1965', 'Y', '2020-05-09 10:38:56', '2020-05-09 11:09:42', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1966', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1967', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1968', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1969', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1970', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1971', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1972', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '274', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1973', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1974', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1975', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '276', '10', null);
INSERT INTO `qc_module_detail` VALUES ('1976', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '278', '11', null);
INSERT INTO `qc_module_detail` VALUES ('1977', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('1978', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '371', '13', null);
INSERT INTO `qc_module_detail` VALUES ('1979', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '372', '14', null);
INSERT INTO `qc_module_detail` VALUES ('1980', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '458', '15', null);
INSERT INTO `qc_module_detail` VALUES ('1981', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '376', '16', null);
INSERT INTO `qc_module_detail` VALUES ('1982', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('1983', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('1984', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('1985', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('1986', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '409', '21', null);
INSERT INTO `qc_module_detail` VALUES ('1987', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '304', '22', null);
INSERT INTO `qc_module_detail` VALUES ('1988', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '305', '23', null);
INSERT INTO `qc_module_detail` VALUES ('1989', 'Y', '2020-05-09 10:42:00', '2020-05-09 10:44:27', '102', '102', '51', '0', '529', '24', null);
INSERT INTO `qc_module_detail` VALUES ('1990', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('1991', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('1992', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('1993', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('1994', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('1995', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('1996', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '274', '7', null);
INSERT INTO `qc_module_detail` VALUES ('1997', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('1998', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('1999', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '276', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2000', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '278', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2001', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2002', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '371', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2003', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '372', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2004', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '458', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2005', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '376', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2006', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2007', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2008', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2009', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2010', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '409', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2011', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '304', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2012', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '305', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2013', 'Y', '2020-05-09 10:44:27', '2020-05-09 20:20:53', '102', '99', '51', '0', '529', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2014', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2015', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2016', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2017', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2018', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2019', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2020', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '513', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2021', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2022', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '517', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2023', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2024', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2025', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '0', '474', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2026', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2027', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2028', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2029', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2030', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2031', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2032', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '379', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2033', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '213', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2034', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '387', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2035', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '496', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2036', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '1', '527', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2037', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '395', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2038', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '533', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2039', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '501', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2040', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '502', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2041', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '94', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2042', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '96', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2043', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '95', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2044', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '100', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2045', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '398', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2046', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '103', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2047', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '105', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2048', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '106', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2049', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '505', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2050', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '506', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2051', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '107', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2052', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '52', '2', '108', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2053', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2054', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2055', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2056', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2057', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2058', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2059', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '513', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2060', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2061', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '517', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2062', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2063', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2064', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '0', '474', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2065', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2066', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2067', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2068', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2069', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2070', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2071', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '379', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2072', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '213', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2073', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '387', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2074', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '496', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2075', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '1', '527', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2076', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '395', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2077', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '533', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2078', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '501', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2079', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '502', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2080', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '94', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2081', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '96', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2082', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '95', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2083', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '100', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2084', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '398', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2085', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '103', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2086', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '105', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2087', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '106', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2088', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '505', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2089', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '506', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2090', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '107', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2091', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '53', '2', '108', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2092', 'Y', '2020-05-09 10:53:28', '2020-05-09 15:41:54', '101', '101', '50', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2093', 'Y', '2020-05-09 10:53:28', '2020-05-09 15:41:54', '101', '101', '50', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2094', 'Y', '2020-05-09 10:53:28', '2020-05-09 15:41:54', '101', '101', '50', '0', '482', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2095', 'Y', '2020-05-09 10:53:28', '2020-05-09 15:41:54', '101', '101', '50', '0', '436', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2096', 'N', '2020-05-09 10:53:51', '2020-05-09 10:53:51', '101', '101', '54', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2097', 'N', '2020-05-09 10:53:51', '2020-05-09 10:53:51', '101', '101', '54', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2098', 'N', '2020-05-09 10:53:51', '2020-05-09 10:53:51', '101', '101', '54', '0', '482', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2099', 'N', '2020-05-09 10:53:51', '2020-05-09 10:53:51', '101', '101', '54', '0', '436', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2100', 'N', '2020-05-09 10:54:22', '2020-05-09 10:54:22', '101', '101', '55', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2101', 'N', '2020-05-09 10:54:22', '2020-05-09 10:54:22', '101', '101', '55', '0', '436', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2102', 'N', '2020-05-09 10:54:22', '2020-05-09 10:54:22', '101', '101', '55', '0', '436', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2103', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2104', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2105', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '426', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2106', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '430', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2107', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '434', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2108', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '435', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2109', 'Y', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '56', '0', '436', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2110', 'N', '2020-05-09 10:57:34', '2020-05-09 10:57:34', '101', '101', '57', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2111', 'N', '2020-05-09 10:57:34', '2020-05-09 10:57:34', '101', '101', '57', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2112', 'N', '2020-05-09 10:57:34', '2020-05-09 10:57:34', '101', '101', '57', '0', '482', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2113', 'N', '2020-05-09 10:57:34', '2020-05-09 10:57:34', '101', '101', '57', '0', '436', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2114', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2115', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2116', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '346', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2117', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '423', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2118', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '426', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2119', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '430', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2120', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '434', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2121', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '435', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2122', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '436', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2123', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '439', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2124', 'Y', '2020-05-09 10:57:54', '2020-05-09 15:43:18', '101', '101', '58', '0', '482', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2125', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2126', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2127', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2128', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2129', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2130', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2131', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2132', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2133', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2134', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2135', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2136', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2137', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2138', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2139', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2140', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2141', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2142', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2143', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2144', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2145', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2146', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2147', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2148', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2149', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2150', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2151', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2152', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2153', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2154', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2155', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2156', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2157', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2158', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2159', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2160', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2161', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2162', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2163', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2164', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2165', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2166', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2167', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2168', 'Y', '2020-05-09 11:07:18', '2020-05-09 11:33:11', '102', '102', '59', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2169', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2170', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2171', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2172', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2173', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '9', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2174', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '15', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2175', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '2', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2176', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '444', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2177', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2178', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2179', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2180', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2181', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2182', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2183', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2184', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '31', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2185', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '35', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2186', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '378', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2187', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '110', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2188', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '377', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2189', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '179', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2190', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '180', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2191', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '204', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2192', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '379', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2193', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '209', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2194', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '213', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2195', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2196', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2197', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2198', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '452', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2199', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2200', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2201', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '414', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2202', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '1', '393', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2203', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '395', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2204', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '457', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2205', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '94', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2206', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '96', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2207', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '103', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2208', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '105', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2209', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '106', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2210', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '107', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2211', 'Y', '2020-05-09 11:09:21', '2020-05-09 11:17:33', '105', '105', '38', '2', '108', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2212', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2213', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2214', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2215', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2216', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2217', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2218', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2219', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2220', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2221', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2222', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2223', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2224', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2225', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '528', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2226', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '534', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2227', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '535', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2228', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '536', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2229', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '538', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2230', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '539', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2231', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '540', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2232', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '317', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2233', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '541', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2234', 'Y', '2020-05-09 11:09:42', '2020-05-09 11:28:12', '103', '103', '22', '0', '320', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2235', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2236', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2237', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2238', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2239', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2240', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2241', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2242', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2243', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2244', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2245', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2246', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2247', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2248', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2249', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2250', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2251', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2252', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2253', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2254', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2255', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2256', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2257', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2258', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2259', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2260', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2261', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2262', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2263', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2264', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2265', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2266', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2267', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2268', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2269', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2270', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2271', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2272', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2273', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2274', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2275', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2276', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2277', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2278', 'Y', '2020-05-09 11:10:35', '2020-05-09 16:36:00', '102', '102', '60', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2279', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '38', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2280', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '39', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2281', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '41', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2282', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '56', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2283', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '57', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2284', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '60', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2285', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '61', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2286', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '63', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2287', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '65', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2288', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '66', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2289', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '68', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2290', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '69', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2291', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '72', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2292', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '74', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2293', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '75', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2294', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '76', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2295', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '77', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2296', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '79', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2297', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '81', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2298', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '82', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2299', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '83', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2300', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '85', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2301', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '90', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2302', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '91', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2303', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '202', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2304', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '201', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2305', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '61', '0', '203', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2306', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '38', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2307', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '39', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2308', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '41', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2309', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '56', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2310', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '57', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2311', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '60', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2312', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '61', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2313', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '63', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2314', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '65', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2315', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '66', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2316', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '68', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2317', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '69', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2318', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '72', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2319', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '74', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2320', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '75', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2321', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '76', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2322', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '77', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2323', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '79', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2324', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '81', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2325', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '82', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2326', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '83', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2327', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '85', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2328', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '90', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2329', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '91', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2330', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '202', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2331', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '201', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2332', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '62', '0', '203', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2333', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2334', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2335', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2336', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2337', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2338', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2339', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2340', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2341', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2342', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2343', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2344', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2345', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2346', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2347', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2348', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2349', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2350', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2351', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2352', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2353', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2354', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2355', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2356', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2357', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2358', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2359', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2360', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2361', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2362', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2363', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2364', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2365', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2366', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2367', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2368', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2369', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2370', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2371', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2372', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2373', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2374', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2375', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2376', 'Y', '2020-05-09 11:12:21', '2020-05-09 16:41:17', '102', '102', '63', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2377', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '331', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2378', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '358', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2379', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '361', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2380', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '363', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2381', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '364', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2382', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '365', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2383', 'Y', '2020-05-09 11:13:55', '2020-05-09 11:15:44', '99', '99', '17', '0', '367', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2384', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '331', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2385', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '358', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2386', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '361', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2387', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '363', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2388', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '364', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2389', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '365', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2390', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '0', '367', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2391', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '350', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2392', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '352', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2393', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '370', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2394', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '373', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2395', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '390', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2396', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '391', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2397', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '392', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2398', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '403', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2399', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '404', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2400', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '405', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2401', 'Y', '2020-05-09 11:15:44', '2020-05-09 11:16:18', '99', '99', '17', '1', '406', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2402', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '331', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2403', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '358', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2404', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '361', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2405', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '363', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2406', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '364', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2407', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '365', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2408', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '0', '367', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2409', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '350', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2410', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '352', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2411', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '370', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2412', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '373', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2413', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '390', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2414', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '391', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2415', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '392', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2416', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '403', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2417', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '404', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2418', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '405', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2419', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '1', '406', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2420', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '2', '408', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2421', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '2', '412', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2422', 'N', '2020-05-09 11:16:18', '2020-05-09 11:16:18', '99', '99', '17', '2', '413', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2423', 'Y', '2020-05-09 11:16:58', '2020-05-09 11:20:11', '99', '99', '18', '0', '332', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2424', 'Y', '2020-05-09 11:16:58', '2020-05-09 11:20:11', '99', '99', '18', '0', '334', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2425', 'Y', '2020-05-09 11:16:58', '2020-05-09 11:20:11', '99', '99', '18', '0', '335', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2426', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2427', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2428', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2429', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2430', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2431', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2432', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2433', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2434', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '444', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2435', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '4', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2436', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '10', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2437', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '446', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2438', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '448', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2439', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '449', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2440', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '450', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2441', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '0', '16', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2442', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2443', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2444', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2445', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2446', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2447', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2448', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2449', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2450', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2451', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2452', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2453', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '387', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2454', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '249', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2455', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '388', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2456', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '452', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2457', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2458', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2459', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '414', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2460', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '1', '393', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2461', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '395', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2462', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '457', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2463', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2464', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2465', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2466', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2467', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2468', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2469', 'Y', '2020-05-09 11:17:33', '2020-05-09 11:28:58', '105', '105', '38', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2470', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2471', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2472', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2473', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2474', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2475', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2476', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2477', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2478', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2479', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2480', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2481', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '543', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2482', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2483', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2484', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2485', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2486', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2487', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2488', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2489', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2490', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2491', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '94', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2492', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '96', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2493', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '95', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2494', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '100', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2495', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '398', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2496', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '418', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2497', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '103', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2498', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '105', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2499', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '106', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2500', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '107', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2501', 'Y', '2020-05-09 11:19:48', '2020-05-09 16:46:49', '102', '102', '64', '2', '108', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2502', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '332', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2503', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '334', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2504', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '335', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2505', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '546', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2506', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '336', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2507', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '341', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2508', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '0', '342', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2509', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '416', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2510', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '440', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2511', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '487', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2512', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '489', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2513', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '497', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2514', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '493', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2515', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '500', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2516', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '503', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2517', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '504', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2518', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '507', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2519', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '509', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2520', 'Y', '2020-05-09 11:20:11', '2020-05-09 11:20:59', '99', '99', '18', '1', '510', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2521', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '332', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2522', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '334', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2523', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '335', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2524', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '546', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2525', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '336', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2526', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '341', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2527', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '0', '342', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2528', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '416', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2529', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '440', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2530', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '487', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2531', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '489', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2532', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '497', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2533', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '493', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2534', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '500', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2535', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '503', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2536', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '504', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2537', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '507', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2538', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '509', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2539', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '1', '510', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2540', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '2', '512', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2541', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '2', '514', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2542', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '2', '516', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2543', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '2', '518', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2544', 'N', '2020-05-09 11:20:59', '2020-05-09 11:20:59', '99', '99', '18', '2', '519', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2545', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2546', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2547', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2548', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2549', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2550', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2551', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2552', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2553', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2554', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2555', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2556', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '543', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2557', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2558', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2559', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2560', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2561', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2562', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2563', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2564', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2565', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2566', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '94', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2567', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '96', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2568', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '95', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2569', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '100', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2570', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '398', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2571', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '418', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2572', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '103', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2573', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '105', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2574', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '106', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2575', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '107', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2576', 'Y', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '65', '2', '108', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2577', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2578', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2579', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2580', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2581', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2582', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2583', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2584', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2585', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2586', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2587', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2588', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '543', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2589', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2590', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2591', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2592', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2593', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2594', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2595', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2596', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2597', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2598', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '94', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2599', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '96', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2600', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '95', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2601', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '100', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2602', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '398', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2603', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '418', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2604', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '103', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2605', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '105', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2606', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '106', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2607', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '107', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2608', 'Y', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '66', '2', '108', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2609', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2610', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2611', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2612', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2613', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2614', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2615', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2616', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2617', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2618', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2619', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2620', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '543', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2621', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2622', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2623', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2624', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2625', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2626', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2627', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2628', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2629', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2630', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '94', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2631', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '96', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2632', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '95', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2633', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '100', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2634', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '398', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2635', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '418', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2636', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '103', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2637', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '105', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2638', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '106', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2639', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '107', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2640', 'Y', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '67', '2', '108', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2641', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2642', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2643', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2644', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2645', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2646', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2647', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2648', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2649', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2650', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2651', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2652', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2653', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2654', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '528', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2655', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '534', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2656', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '535', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2657', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '536', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2658', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '538', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2659', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '539', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2660', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '540', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2661', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '317', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2662', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '541', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2663', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '320', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2664', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '544', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2665', 'Y', '2020-05-09 11:28:12', '2020-05-09 11:28:43', '103', '103', '22', '0', '347', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2666', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2667', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2668', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2669', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2670', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2671', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2672', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2673', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2674', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2675', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2676', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2677', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2678', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2679', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '528', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2680', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '534', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2681', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '535', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2682', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '536', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2683', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '538', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2684', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '539', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2685', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '540', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2686', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '317', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2687', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '541', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2688', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '320', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2689', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '544', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2690', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '347', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2691', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '550', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2692', 'Y', '2020-05-09 11:28:43', '2020-05-09 16:09:49', '103', '103', '22', '0', '340', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2693', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2694', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2695', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2696', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2697', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2698', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2699', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2700', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2701', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2702', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2703', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2704', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2705', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2706', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2707', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2708', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2709', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2710', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2711', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2712', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2713', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2714', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2715', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2716', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2717', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2718', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2719', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2720', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '387', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2721', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '249', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2722', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '388', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2723', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '452', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2724', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2725', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2726', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '414', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2727', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '1', '393', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2728', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '395', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2729', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '457', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2730', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2731', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2732', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2733', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2734', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2735', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2736', 'Y', '2020-05-09 11:28:58', '2020-05-09 14:59:59', '105', '102', '38', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2737', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2738', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2739', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2740', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2741', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2742', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2743', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2744', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2745', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2746', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2747', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2748', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2749', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2750', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2751', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2752', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2753', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2754', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2755', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2756', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2757', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2758', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2759', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2760', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2761', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2762', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2763', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2764', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2765', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2766', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2767', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2768', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2769', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2770', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2771', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2772', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2773', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2774', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2775', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2776', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2777', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2778', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2779', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2780', 'Y', '2020-05-09 11:33:11', '2020-05-09 16:29:06', '102', '102', '59', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2781', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2782', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2783', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2784', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2785', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2786', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2787', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2788', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2789', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2790', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2791', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2792', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2793', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2794', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2795', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2796', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2797', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2798', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2799', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2800', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2801', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2802', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2803', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2804', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2805', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2806', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2807', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2808', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2809', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2810', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2811', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2812', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2813', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2814', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2815', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2816', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2817', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2818', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '95', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2819', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '100', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2820', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '398', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2821', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2822', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2823', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2824', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2825', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('2826', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '399', '46', null);
INSERT INTO `qc_module_detail` VALUES ('2827', 'Y', '2020-05-09 11:38:36', '2020-05-09 11:40:18', '102', '102', '68', '2', '400', '47', null);
INSERT INTO `qc_module_detail` VALUES ('2828', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2829', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2830', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2831', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2832', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2833', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2834', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2835', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2836', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2837', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2838', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2839', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2840', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2841', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2842', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2843', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2844', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2845', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2846', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2847', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2848', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2849', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2850', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2851', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2852', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2853', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2854', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2855', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2856', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2857', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2858', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2859', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2860', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '94', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2861', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '96', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2862', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '95', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2863', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '100', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2864', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '398', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2865', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2866', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2867', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2868', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2869', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2870', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '399', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2871', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '69', '2', '400', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2872', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2873', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2874', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2875', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2876', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2877', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2878', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2879', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2880', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2881', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2882', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2883', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2884', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2885', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2886', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2887', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2888', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2889', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2890', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2891', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2892', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2893', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2894', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2895', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2896', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2897', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2898', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2899', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2900', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2901', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2902', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2903', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2904', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2905', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2906', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2907', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2908', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2909', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '95', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2910', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '100', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2911', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '398', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2912', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2913', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2914', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2915', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2916', 'Y', '2020-05-09 11:40:18', '2020-05-09 17:10:52', '102', '102', '68', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('2917', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2918', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2919', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2920', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2921', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2922', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2923', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2924', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2925', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2926', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2927', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2928', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2929', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2930', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2931', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2932', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2933', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2934', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2935', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2936', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2937', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2938', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2939', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2940', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2941', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2942', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2943', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2944', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2945', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2946', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2947', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2948', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2949', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2950', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2951', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2952', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '501', '36', null);
INSERT INTO `qc_module_detail` VALUES ('2953', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '502', '37', null);
INSERT INTO `qc_module_detail` VALUES ('2954', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('2955', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('2956', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '95', '40', null);
INSERT INTO `qc_module_detail` VALUES ('2957', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '100', '41', null);
INSERT INTO `qc_module_detail` VALUES ('2958', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '398', '42', null);
INSERT INTO `qc_module_detail` VALUES ('2959', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('2960', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('2961', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('2962', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('2963', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '70', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('2964', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('2965', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('2966', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('2967', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('2968', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('2969', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('2970', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('2971', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('2972', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('2973', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '402', '10', null);
INSERT INTO `qc_module_detail` VALUES ('2974', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('2975', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('2976', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('2977', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('2978', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('2979', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('2980', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('2981', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('2982', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('2983', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('2984', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('2985', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('2986', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('2987', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('2988', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('2989', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('2990', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('2991', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('2992', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('2993', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('2994', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('2995', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('2996', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('2997', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('2998', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('2999', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '501', '36', null);
INSERT INTO `qc_module_detail` VALUES ('3000', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '502', '37', null);
INSERT INTO `qc_module_detail` VALUES ('3001', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('3002', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('3003', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '95', '40', null);
INSERT INTO `qc_module_detail` VALUES ('3004', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '100', '41', null);
INSERT INTO `qc_module_detail` VALUES ('3005', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '398', '42', null);
INSERT INTO `qc_module_detail` VALUES ('3006', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('3007', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('3008', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('3009', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('3010', 'Y', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '71', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('3011', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3012', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3013', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3014', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3015', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3016', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3017', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3018', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3019', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3020', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3021', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3022', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3023', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3024', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3025', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3026', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3027', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3028', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3029', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3030', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3031', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3032', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3033', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3034', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3035', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3036', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3037', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3038', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3039', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3040', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3041', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3042', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3043', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '94', '33', null);
INSERT INTO `qc_module_detail` VALUES ('3044', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '96', '34', null);
INSERT INTO `qc_module_detail` VALUES ('3045', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '95', '35', null);
INSERT INTO `qc_module_detail` VALUES ('3046', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '100', '36', null);
INSERT INTO `qc_module_detail` VALUES ('3047', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '398', '37', null);
INSERT INTO `qc_module_detail` VALUES ('3048', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '103', '38', null);
INSERT INTO `qc_module_detail` VALUES ('3049', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '105', '39', null);
INSERT INTO `qc_module_detail` VALUES ('3050', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '106', '40', null);
INSERT INTO `qc_module_detail` VALUES ('3051', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('3052', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('3053', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '399', '43', null);
INSERT INTO `qc_module_detail` VALUES ('3054', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '72', '2', '400', '44', null);
INSERT INTO `qc_module_detail` VALUES ('3055', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '112', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3056', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '113', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3057', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '114', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3058', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '115', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3059', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '116', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3060', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '117', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3061', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '0', '118', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3062', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '119', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3063', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '120', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3064', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '122', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3065', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '123', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3066', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '124', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3067', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '125', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3068', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '132', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3069', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '137', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3070', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '139', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3071', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '141', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3072', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '143', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3073', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '73', '1', '145', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3074', 'Y', '2020-05-09 13:41:57', '2020-05-09 14:02:11', '99', '99', '74', '0', '592', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3075', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3076', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3077', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3078', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3079', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3080', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3081', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3082', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '560', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3083', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3084', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3085', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3086', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3087', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '588', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3088', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '589', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3089', 'Y', '2020-05-09 13:42:18', '2020-05-09 19:21:10', '102', '104', '75', '0', '590', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3090', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '571', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3091', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '572', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3092', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '573', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3093', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '575', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3094', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '576', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3095', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '578', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3096', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '580', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3097', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '581', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3098', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '582', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3099', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '583', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3100', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '587', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3101', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '593', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3102', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '595', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3103', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '598', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3104', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '609', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3105', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '610', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3106', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '611', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3107', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '76', '0', '612', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3108', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3109', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3110', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3111', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3112', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3113', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3114', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3115', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3116', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3117', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3118', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3119', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3120', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3121', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3122', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3123', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '84', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3124', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '28', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3125', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '34', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3126', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '29', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3127', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '147', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3128', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '51', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3129', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '148', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3130', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '86', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3131', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '87', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3132', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '151', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3133', 'Y', '2020-05-09 13:59:18', '2020-05-09 14:05:24', '103', '103', '6', '0', '175', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3134', 'Y', '2020-05-09 14:02:11', '2020-05-09 14:02:59', '99', '99', '74', '0', '592', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3135', 'Y', '2020-05-09 14:02:11', '2020-05-09 14:02:59', '99', '99', '74', '0', '596', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3136', 'Y', '2020-05-09 14:02:11', '2020-05-09 14:02:59', '99', '99', '74', '0', '600', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3137', 'Y', '2020-05-09 14:02:11', '2020-05-09 14:02:59', '99', '99', '74', '0', '602', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3138', 'Y', '2020-05-09 14:02:11', '2020-05-09 14:02:59', '99', '99', '74', '0', '603', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3139', 'Y', '2020-05-09 14:02:11', '2020-05-09 14:02:59', '99', '99', '74', '0', '606', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3140', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '0', '592', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3141', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '0', '596', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3142', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '0', '600', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3143', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '0', '602', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3144', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '0', '603', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3145', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '1', '606', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3146', 'Y', '2020-05-09 14:02:59', '2020-05-09 14:03:22', '99', '99', '74', '1', '608', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3147', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '0', '592', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3148', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '0', '596', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3149', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '0', '600', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3150', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '0', '602', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3151', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '0', '603', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3152', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '1', '606', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3153', 'Y', '2020-05-09 14:03:22', '2020-05-09 17:17:10', '99', '99', '74', '2', '608', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3154', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3155', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3156', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3157', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3158', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3159', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3160', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3161', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3162', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3163', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3164', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3165', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3166', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3167', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3168', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3169', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '84', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3170', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '28', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3171', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '34', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3172', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '29', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3173', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '147', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3174', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '51', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3175', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '148', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3176', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '86', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3177', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '87', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3178', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '151', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3179', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '175', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3180', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '184', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3181', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '615', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3182', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '184', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3183', 'Y', '2020-05-09 14:05:24', '2020-05-09 14:31:52', '103', '105', '6', '0', '616', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3184', 'Y', '2020-05-09 14:08:05', '2020-05-09 14:10:37', '99', '99', '77', '0', '622', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3185', 'Y', '2020-05-09 14:10:37', '2020-05-09 15:08:02', '99', '99', '77', '0', '622', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3186', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '560', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3187', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '568', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3188', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '570', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3189', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '577', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3190', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '585', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3191', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '589', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3192', 'Y', '2020-05-09 14:14:16', '2020-05-09 19:20:51', '102', '104', '78', '0', '590', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3193', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '321', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3194', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '323', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3195', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '324', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3196', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '325', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3197', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '328', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3198', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '638', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3199', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '329', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3200', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '330', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3201', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '333', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3202', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '348', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3203', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '349', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3204', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '351', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3205', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '353', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3206', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '354', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3207', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '355', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3208', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '356', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3209', 'Y', '2020-05-09 14:22:32', '2020-05-09 14:28:56', '99', '99', '26', '0', '369', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3210', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '321', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3211', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '323', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3212', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '324', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3213', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '325', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3214', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '328', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3215', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '638', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3216', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '329', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3217', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '330', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3218', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '333', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3219', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '348', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3220', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '349', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3221', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '351', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3222', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '648', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3223', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '353', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3224', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '354', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3225', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '355', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3226', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '356', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3227', 'Y', '2020-05-09 14:28:56', '2020-05-09 14:30:12', '99', '99', '26', '0', '369', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3228', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '321', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3229', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '323', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3230', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '324', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3231', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '325', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3232', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '328', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3233', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '638', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3234', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '329', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3235', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '330', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3236', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '333', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3237', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '348', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3238', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '349', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3239', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '351', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3240', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '648', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3241', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '353', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3242', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '354', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3243', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '651', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3244', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '355', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3245', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '356', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3246', 'Y', '2020-05-09 14:30:12', '2020-05-09 14:37:04', '99', '99', '26', '0', '369', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3247', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3248', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3249', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3250', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3251', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3252', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3253', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3254', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3255', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3256', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3257', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3258', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3259', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3260', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3261', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3262', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '84', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3263', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '28', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3264', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '34', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3265', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '29', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3266', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '147', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3267', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '51', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3268', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '148', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3269', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '86', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3270', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '87', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3271', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '151', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3272', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '175', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3273', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '184', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3274', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '653', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3275', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '615', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3276', 'Y', '2020-05-09 14:31:52', '2020-05-12 11:24:45', '105', '103', '6', '0', '616', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3277', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '321', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3278', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '323', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3279', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '324', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3280', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '325', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3281', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '328', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3282', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '638', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3283', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '329', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3284', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '330', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3285', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '659', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3286', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '656', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3287', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '333', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3288', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '348', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3289', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '349', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3290', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '351', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3291', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '648', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3292', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '353', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3293', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '354', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3294', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '651', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3295', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '355', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3296', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '356', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3297', 'N', '2020-05-09 14:37:04', '2020-05-09 14:37:04', '99', '99', '26', '0', '369', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3298', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3299', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3300', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3301', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3302', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3303', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3304', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3305', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3306', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3307', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3308', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3309', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3310', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3311', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3312', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '44', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3313', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '45', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3314', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '306', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3315', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '52', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3316', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '53', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3317', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '55', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3318', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3319', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '80', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3320', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '210', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3321', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '86', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3322', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '88', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3323', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '89', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3324', 'Y', '2020-05-09 14:38:18', '2020-05-09 14:44:27', '103', '103', '13', '0', '92', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3325', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3326', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3327', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '558', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3328', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '657', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3329', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '636', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3330', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '639', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3331', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '649', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3332', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3333', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3334', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3335', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3336', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3337', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3338', 'Y', '2020-05-09 14:41:18', '2020-05-09 17:34:35', '102', '102', '79', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3339', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3340', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3341', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3342', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3343', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3344', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3345', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3346', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3347', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3348', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3349', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3350', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3351', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3352', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3353', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '44', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3354', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '45', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3355', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '306', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3356', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '52', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3357', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '53', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3358', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '55', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3359', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3360', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '73', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3361', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '78', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3362', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3363', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3364', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3365', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '88', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3366', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '89', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3367', 'Y', '2020-05-09 14:44:27', '2020-05-12 11:25:19', '103', '103', '13', '0', '92', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3368', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3369', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3370', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3371', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3372', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3373', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3374', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3375', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '649', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3376', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '650', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3377', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '568', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3378', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '570', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3379', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '577', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3380', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '585', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3381', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '663', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3382', 'Y', '2020-05-09 14:55:14', '2020-05-09 19:20:36', '102', '104', '80', '0', '664', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3383', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3384', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3385', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3386', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3387', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3388', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3389', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3390', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '649', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3391', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '650', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3392', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '568', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3393', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '570', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3394', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '577', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3395', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '585', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3396', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '663', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3397', 'Y', '2020-05-09 14:59:09', '2020-05-09 19:20:15', '102', '104', '81', '0', '664', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3398', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3399', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3400', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3401', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3402', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3403', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3404', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3405', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3406', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3407', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3408', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3409', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3410', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3411', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3412', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3413', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3414', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3415', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3416', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3417', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3418', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3419', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3420', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3421', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3422', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3423', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3424', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3425', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '387', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3426', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '249', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3427', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '388', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3428', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '452', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3429', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3430', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('3431', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '414', '34', null);
INSERT INTO `qc_module_detail` VALUES ('3432', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '1', '393', '35', null);
INSERT INTO `qc_module_detail` VALUES ('3433', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '395', '36', null);
INSERT INTO `qc_module_detail` VALUES ('3434', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '457', '37', null);
INSERT INTO `qc_module_detail` VALUES ('3435', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '501', '38', null);
INSERT INTO `qc_module_detail` VALUES ('3436', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '502', '39', null);
INSERT INTO `qc_module_detail` VALUES ('3437', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '94', '40', null);
INSERT INTO `qc_module_detail` VALUES ('3438', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '96', '41', null);
INSERT INTO `qc_module_detail` VALUES ('3439', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '103', '42', null);
INSERT INTO `qc_module_detail` VALUES ('3440', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '105', '43', null);
INSERT INTO `qc_module_detail` VALUES ('3441', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '106', '44', null);
INSERT INTO `qc_module_detail` VALUES ('3442', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '107', '45', null);
INSERT INTO `qc_module_detail` VALUES ('3443', 'Y', '2020-05-09 14:59:59', '2020-05-09 15:03:29', '102', '102', '38', '2', '108', '46', null);
INSERT INTO `qc_module_detail` VALUES ('3444', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '0', '561', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3445', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '0', '562', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3446', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '0', '563', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3447', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '0', '564', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3448', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '0', '565', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3449', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '1', '566', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3450', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '1', '567', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3451', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '1', '569', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3452', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '574', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3453', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '579', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3454', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '584', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3455', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '586', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3456', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '594', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3457', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '597', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3458', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '599', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3459', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '601', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3460', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '604', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3461', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '605', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3462', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '607', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3463', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '617', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3464', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '618', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3465', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '619', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3466', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '620', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3467', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '623', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3468', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '624', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3469', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '632', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3470', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '633', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3471', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '634', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3472', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '635', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3473', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '637', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3474', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '640', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3475', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '82', '2', '641', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3476', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3477', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3478', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3479', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3480', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3481', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3482', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3483', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3484', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3485', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3486', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3487', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3488', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3489', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3490', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3491', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3492', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3493', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3494', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3495', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3496', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3497', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3498', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3499', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3500', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3501', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3502', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3503', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '215', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3504', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '387', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3505', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '249', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3506', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '388', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3507', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '452', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3508', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '415', '33', null);
INSERT INTO `qc_module_detail` VALUES ('3509', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '417', '34', null);
INSERT INTO `qc_module_detail` VALUES ('3510', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '414', '35', null);
INSERT INTO `qc_module_detail` VALUES ('3511', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '1', '393', '36', null);
INSERT INTO `qc_module_detail` VALUES ('3512', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '395', '37', null);
INSERT INTO `qc_module_detail` VALUES ('3513', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '457', '38', null);
INSERT INTO `qc_module_detail` VALUES ('3514', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '501', '39', null);
INSERT INTO `qc_module_detail` VALUES ('3515', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '502', '40', null);
INSERT INTO `qc_module_detail` VALUES ('3516', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '94', '41', null);
INSERT INTO `qc_module_detail` VALUES ('3517', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '96', '42', null);
INSERT INTO `qc_module_detail` VALUES ('3518', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('3519', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('3520', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('3521', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('3522', 'Y', '2020-05-09 15:03:29', '2020-05-11 14:50:59', '102', '103', '38', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('3523', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3524', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3525', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3526', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3527', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3528', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3529', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3530', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '649', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3531', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '650', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3532', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '568', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3533', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '570', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3534', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '577', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3535', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '585', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3536', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '663', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3537', 'Y', '2020-05-09 15:04:47', '2020-05-09 19:20:07', '102', '104', '83', '0', '664', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3538', 'Y', '2020-05-09 15:08:02', '2020-05-09 15:09:57', '99', '99', '77', '0', '622', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3539', 'Y', '2020-05-09 15:08:02', '2020-05-09 15:09:57', '99', '99', '77', '0', '627', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3540', 'Y', '2020-05-09 15:08:02', '2020-05-09 15:09:57', '99', '99', '77', '0', '628', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3541', 'Y', '2020-05-09 15:08:02', '2020-05-09 15:09:57', '99', '99', '77', '0', '629', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3542', 'Y', '2020-05-09 15:08:02', '2020-05-09 15:09:57', '99', '99', '77', '0', '630', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3543', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3544', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3545', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3546', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3547', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3548', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3549', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3550', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '649', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3551', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '650', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3552', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '568', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3553', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '570', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3554', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '577', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3555', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '585', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3556', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '663', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3557', 'Y', '2020-05-09 15:09:04', '2020-05-09 19:19:56', '102', '104', '84', '0', '664', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3558', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '622', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3559', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '627', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3560', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '628', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3561', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '629', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3562', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '630', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3563', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '631', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3564', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '642', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3565', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '643', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3566', 'Y', '2020-05-09 15:09:57', '2020-05-09 15:10:26', '99', '99', '77', '0', '644', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3567', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '0', '625', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3568', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '622', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3569', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '627', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3570', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '628', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3571', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '629', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3572', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '630', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3573', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '631', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3574', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '642', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3575', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '643', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3576', 'Y', '2020-05-09 15:10:26', '2020-05-09 15:12:05', '99', '99', '77', '1', '644', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3577', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3578', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3579', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3580', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3581', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3582', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3583', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3584', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3585', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3586', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3587', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3588', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3589', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3590', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3591', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3592', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3593', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3594', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3595', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '306', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3596', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3597', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3598', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3599', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3600', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3601', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3602', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3603', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '88', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3604', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '89', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3605', 'Y', '2020-05-09 15:11:35', '2020-05-09 15:22:29', '103', '103', '7', '0', '92', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3606', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '0', '625', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3607', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '622', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3608', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '627', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3609', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '628', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3610', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '629', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3611', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '630', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3612', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '631', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3613', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '642', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3614', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '643', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3615', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '1', '644', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3616', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '2', '645', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3617', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '2', '646', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3618', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '2', '647', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3619', 'Y', '2020-05-09 15:12:05', '2020-05-09 15:12:54', '99', '99', '77', '2', '652', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3620', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '0', '625', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3621', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '622', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3622', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '627', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3623', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '628', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3624', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '629', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3625', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '630', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3626', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '631', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3627', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '642', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3628', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '643', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3629', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '1', '644', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3630', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '2', '645', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3631', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '2', '646', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3632', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '2', '647', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3633', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '2', '652', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3634', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '3', '654', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3635', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '3', '655', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3636', 'Y', '2020-05-09 15:12:54', '2020-05-09 15:24:30', '99', '99', '77', '3', '658', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3637', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3638', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3639', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3640', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3641', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3642', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3643', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3644', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3645', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3646', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3647', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3648', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3649', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3650', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3651', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3652', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3653', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3654', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3655', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '306', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3656', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3657', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3658', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3659', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3660', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '73', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3661', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '78', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3662', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '80', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3663', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '210', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3664', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '86', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3665', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '87', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3666', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '88', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3667', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '89', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3668', 'Y', '2020-05-09 15:22:29', '2020-05-09 15:24:11', '103', '103', '7', '0', '92', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3669', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3670', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3671', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3672', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3673', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3674', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3675', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3676', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3677', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3678', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3679', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3680', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3681', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3682', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3683', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3684', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3685', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3686', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3687', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '306', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3688', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3689', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3690', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3691', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3692', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '73', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3693', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '78', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3694', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '80', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3695', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '210', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3696', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '86', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3697', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '88', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3698', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '89', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3699', 'Y', '2020-05-09 15:24:11', '2020-05-12 11:25:01', '103', '103', '7', '0', '92', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3700', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '0', '625', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3701', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '622', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3702', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '627', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3703', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '628', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3704', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '629', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3705', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '630', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3706', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '631', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3707', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '642', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3708', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '643', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3709', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '1', '644', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3710', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '2', '645', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3711', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '2', '646', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3712', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '2', '647', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3713', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '2', '652', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3714', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '654', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3715', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '655', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3716', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '658', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3717', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '681', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3718', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '660', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3719', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '661', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3720', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '662', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3721', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '665', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3722', 'Y', '2020-05-09 15:24:30', '2020-05-09 15:27:08', '99', '99', '77', '3', '667', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3723', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '675', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3724', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '568', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3725', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '676', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3726', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '677', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3727', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '678', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3728', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '679', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3729', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '680', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3730', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '585', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3731', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '589', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3732', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '590', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3733', 'Y', '2020-05-09 15:25:19', '2020-05-09 19:19:41', '102', '104', '85', '0', '664', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3734', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '0', '625', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3735', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '622', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3736', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '627', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3737', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '628', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3738', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '629', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3739', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '630', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3740', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '631', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3741', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '642', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3742', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '643', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3743', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '1', '644', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3744', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '2', '645', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3745', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '2', '646', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3746', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '2', '647', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3747', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '2', '652', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3748', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '654', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3749', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '655', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3750', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '658', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3751', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '681', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3752', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '660', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3753', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '661', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3754', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '662', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3755', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '665', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3756', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '3', '667', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3757', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '4', '668', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3758', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '4', '669', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3759', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '4', '670', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3760', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '4', '671', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3761', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '4', '673', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3762', 'N', '2020-05-09 15:27:08', '2020-05-09 15:27:08', '99', '99', '77', '4', '674', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3763', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '0', '625', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3764', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '622', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3765', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '627', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3766', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '628', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3767', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '629', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3768', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '630', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3769', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '631', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3770', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '642', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3771', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '643', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3772', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '1', '644', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3773', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '2', '645', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3774', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '2', '646', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3775', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '2', '647', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3776', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '2', '652', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3777', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '654', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3778', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '655', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3779', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '658', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3780', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '681', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3781', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '660', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3782', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '661', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3783', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '662', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3784', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '665', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3785', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '3', '667', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3786', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '4', '668', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3787', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '4', '669', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3788', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '4', '670', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3789', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '4', '671', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3790', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '4', '673', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3791', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '86', '4', '674', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3792', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3793', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3794', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3795', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3796', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3797', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3798', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3799', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '560', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3800', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3801', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3802', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3803', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3804', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '588', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3805', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '589', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3806', 'Y', '2020-05-09 15:34:06', '2020-05-09 15:52:26', '102', '102', '87', '0', '590', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3807', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3808', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3809', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '426', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3810', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '430', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3811', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '434', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3812', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '435', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3813', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '436', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3814', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '439', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3815', 'Y', '2020-05-09 15:41:00', '2020-05-09 15:43:31', '101', '101', '37', '0', '442', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3816', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3817', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3818', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '423', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3819', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '426', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3820', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '430', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3821', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '434', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3822', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '435', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3823', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '436', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3824', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '490', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3825', 'Y', '2020-05-09 15:41:43', '2020-05-12 13:45:04', '101', '101', '47', '0', '495', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3826', 'N', '2020-05-09 15:41:54', '2020-05-09 15:41:54', '101', '101', '50', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3827', 'N', '2020-05-09 15:41:54', '2020-05-09 15:41:54', '101', '101', '50', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3828', 'N', '2020-05-09 15:41:54', '2020-05-09 15:41:54', '101', '101', '50', '0', '482', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3829', 'N', '2020-05-09 15:41:54', '2020-05-09 15:41:54', '101', '101', '50', '0', '436', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3830', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3831', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3832', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3833', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3834', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3835', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3836', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '11', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3837', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '542', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3838', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3839', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3840', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3841', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3842', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3843', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3844', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3845', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '31', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3846', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '35', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3847', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '378', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3848', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '110', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3849', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '377', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3850', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '179', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3851', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '180', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3852', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '204', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3853', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '379', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3854', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '209', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3855', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '213', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3856', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3857', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3858', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3859', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '452', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3860', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3861', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3862', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '414', '33', null);
INSERT INTO `qc_module_detail` VALUES ('3863', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '1', '393', '34', null);
INSERT INTO `qc_module_detail` VALUES ('3864', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '395', '35', null);
INSERT INTO `qc_module_detail` VALUES ('3865', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '457', '36', null);
INSERT INTO `qc_module_detail` VALUES ('3866', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '94', '37', null);
INSERT INTO `qc_module_detail` VALUES ('3867', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '96', '38', null);
INSERT INTO `qc_module_detail` VALUES ('3868', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '103', '39', null);
INSERT INTO `qc_module_detail` VALUES ('3869', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '105', '40', null);
INSERT INTO `qc_module_detail` VALUES ('3870', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '106', '41', null);
INSERT INTO `qc_module_detail` VALUES ('3871', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '107', '42', null);
INSERT INTO `qc_module_detail` VALUES ('3872', 'Y', '2020-05-09 15:42:07', '2020-05-09 15:44:23', '102', '102', '39', '2', '108', '43', null);
INSERT INTO `qc_module_detail` VALUES ('3873', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3874', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3875', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '346', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3876', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '423', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3877', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '426', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3878', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '430', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3879', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '434', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3880', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '435', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3881', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '436', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3882', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '439', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3883', 'Y', '2020-05-09 15:43:18', '2020-05-11 14:02:47', '101', '101', '58', '0', '442', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3884', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3885', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3886', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '426', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3887', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '430', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3888', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '434', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3889', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '435', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3890', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '436', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3891', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '439', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3892', 'N', '2020-05-09 15:43:31', '2020-05-09 15:43:31', '101', '101', '37', '0', '442', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3893', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3894', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3895', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '426', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3896', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '430', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3897', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '434', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3898', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '435', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3899', 'N', '2020-05-09 15:43:50', '2020-05-09 15:43:50', '101', '101', '56', '0', '436', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3900', 'Y', '2020-05-09 15:44:00', '2020-05-11 10:19:29', '101', '101', '45', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3901', 'Y', '2020-05-09 15:44:00', '2020-05-11 10:19:29', '101', '101', '45', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3902', 'Y', '2020-05-09 15:44:00', '2020-05-11 10:19:29', '101', '101', '45', '0', '346', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3903', 'Y', '2020-05-09 15:44:00', '2020-05-11 10:19:29', '101', '101', '45', '0', '423', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3904', 'Y', '2020-05-09 15:44:00', '2020-05-11 10:19:29', '101', '101', '45', '0', '482', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3905', 'Y', '2020-05-09 15:44:00', '2020-05-11 10:19:29', '101', '101', '45', '0', '436', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3906', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3907', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3908', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3909', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3910', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3911', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3912', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '11', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3913', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '542', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3914', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3915', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3916', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3917', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3918', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3919', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3920', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3921', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '31', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3922', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '35', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3923', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '378', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3924', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '110', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3925', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '377', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3926', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '179', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3927', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '180', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3928', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '204', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3929', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '379', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3930', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '209', '25', null);
INSERT INTO `qc_module_detail` VALUES ('3931', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '213', '26', null);
INSERT INTO `qc_module_detail` VALUES ('3932', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '215', '27', null);
INSERT INTO `qc_module_detail` VALUES ('3933', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '387', '28', null);
INSERT INTO `qc_module_detail` VALUES ('3934', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '249', '29', null);
INSERT INTO `qc_module_detail` VALUES ('3935', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '388', '30', null);
INSERT INTO `qc_module_detail` VALUES ('3936', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '452', '31', null);
INSERT INTO `qc_module_detail` VALUES ('3937', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('3938', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('3939', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '414', '34', null);
INSERT INTO `qc_module_detail` VALUES ('3940', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '1', '393', '35', null);
INSERT INTO `qc_module_detail` VALUES ('3941', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '395', '36', null);
INSERT INTO `qc_module_detail` VALUES ('3942', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '457', '37', null);
INSERT INTO `qc_module_detail` VALUES ('3943', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('3944', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('3945', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('3946', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('3947', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('3948', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('3949', 'Y', '2020-05-09 15:44:23', '2020-05-11 14:45:15', '102', '103', '39', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('3950', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '332', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3951', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '334', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3952', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '335', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3953', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '546', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3954', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '336', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3955', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '341', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3956', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '0', '342', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3957', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '416', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3958', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '440', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3959', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '487', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3960', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '489', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3961', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '497', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3962', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '493', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3963', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '500', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3964', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '503', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3965', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '504', '16', null);
INSERT INTO `qc_module_detail` VALUES ('3966', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '507', '17', null);
INSERT INTO `qc_module_detail` VALUES ('3967', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '509', '18', null);
INSERT INTO `qc_module_detail` VALUES ('3968', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '1', '510', '19', null);
INSERT INTO `qc_module_detail` VALUES ('3969', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '2', '512', '20', null);
INSERT INTO `qc_module_detail` VALUES ('3970', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '2', '514', '21', null);
INSERT INTO `qc_module_detail` VALUES ('3971', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '2', '516', '22', null);
INSERT INTO `qc_module_detail` VALUES ('3972', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '2', '518', '23', null);
INSERT INTO `qc_module_detail` VALUES ('3973', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '88', '2', '519', '24', null);
INSERT INTO `qc_module_detail` VALUES ('3974', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3975', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3976', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3977', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3978', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3979', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3980', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3981', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '682', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3982', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3983', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '683', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3984', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('3985', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('3986', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '588', '13', null);
INSERT INTO `qc_module_detail` VALUES ('3987', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '589', '14', null);
INSERT INTO `qc_module_detail` VALUES ('3988', 'Y', '2020-05-09 15:52:26', '2020-05-09 19:18:56', '102', '104', '87', '0', '590', '15', null);
INSERT INTO `qc_module_detail` VALUES ('3989', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('3990', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('3991', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('3992', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('3993', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('3994', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('3995', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('3996', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('3997', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '12', '9', null);
INSERT INTO `qc_module_detail` VALUES ('3998', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('3999', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4000', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4001', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4002', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4003', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4004', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4005', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4006', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4007', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4008', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4009', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4010', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4011', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4012', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '387', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4013', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '496', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4014', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '1', '393', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4015', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '395', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4016', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '397', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4017', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '501', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4018', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '502', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4019', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '94', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4020', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '96', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4021', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '95', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4022', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '100', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4023', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '398', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4024', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '103', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4025', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '105', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4026', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '106', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4027', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '505', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4028', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '506', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4029', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4030', 'Y', '2020-05-09 15:59:24', '2020-05-09 16:03:13', '102', '102', '48', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4031', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4032', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4033', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4034', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4035', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4036', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4037', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4038', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4039', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '12', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4040', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4041', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4042', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4043', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4044', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4045', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4046', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4047', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4048', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4049', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4050', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4051', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4052', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4053', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4054', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '496', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4055', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '249', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4056', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '1', '393', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4057', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '395', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4058', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '397', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4059', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '501', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4060', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '502', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4061', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '94', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4062', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '96', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4063', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '95', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4064', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '100', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4065', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '398', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4066', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '103', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4067', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '105', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4068', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '106', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4069', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '505', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4070', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '506', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4071', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '107', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4072', 'N', '2020-05-09 16:03:13', '2020-05-09 16:03:13', '102', '102', '48', '2', '108', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4073', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4074', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4075', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4076', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4077', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4078', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4079', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4080', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4081', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4082', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4083', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4084', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4085', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4086', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '528', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4087', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '534', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4088', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '535', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4089', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '536', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4090', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '538', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4091', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '539', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4092', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '540', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4093', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '317', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4094', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '541', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4095', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '320', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4096', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '544', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4097', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '550', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4098', 'Y', '2020-05-09 16:09:49', '2020-05-09 16:14:25', '103', '103', '22', '0', '340', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4099', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4100', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4101', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4102', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4103', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4104', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4105', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4106', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4107', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '12', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4108', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4109', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4110', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4111', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4112', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4113', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4114', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4115', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4116', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4117', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4118', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4119', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4120', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4121', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4122', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '496', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4123', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '1', '393', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4124', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '395', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4125', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '397', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4126', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '501', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4127', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '502', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4128', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '94', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4129', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '96', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4130', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '95', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4131', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '100', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4132', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '398', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4133', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '103', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4134', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '105', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4135', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '106', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4136', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '505', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4137', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '506', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4138', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '107', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4139', 'Y', '2020-05-09 16:10:16', '2020-05-09 16:19:02', '102', '102', '49', '2', '108', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4140', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4141', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4142', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4143', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4144', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4145', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4146', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4147', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '313', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4148', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4149', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4150', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4151', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4152', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4153', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '528', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4154', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '534', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4155', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '535', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4156', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '536', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4157', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '538', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4158', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '539', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4159', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '540', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4160', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '317', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4161', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '541', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4162', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '320', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4163', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '544', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4164', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '685', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4165', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '550', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4166', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '684', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4167', 'Y', '2020-05-09 16:14:25', '2020-05-12 14:59:37', '103', '103', '22', '0', '340', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4168', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4169', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4170', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4171', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4172', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4173', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4174', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4175', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4176', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '12', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4177', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4178', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4179', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4180', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4181', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4182', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4183', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4184', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4185', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4186', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4187', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4188', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4189', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4190', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4191', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '686', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4192', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '687', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4193', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '689', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4194', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '690', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4195', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '691', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4196', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '1', '393', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4197', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '395', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4198', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '397', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4199', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '501', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4200', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '502', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4201', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '94', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4202', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '96', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4203', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '95', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4204', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '100', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4205', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '398', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4206', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '103', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4207', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '105', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4208', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '106', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4209', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '505', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4210', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '506', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4211', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4212', 'Y', '2020-05-09 16:19:02', '2020-05-09 16:21:47', '102', '102', '49', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('4213', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4214', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4215', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '461', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4216', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '15', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4217', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '11', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4218', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4219', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '467', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4220', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '472', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4221', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '12', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4222', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '16', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4223', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '0', '474', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4224', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '31', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4225', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '35', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4226', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '378', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4227', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '110', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4228', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '377', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4229', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '179', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4230', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '180', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4231', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '204', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4232', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '379', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4233', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '209', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4234', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '211', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4235', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '213', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4236', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '686', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4237', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '687', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4238', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '689', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4239', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '690', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4240', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '691', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4241', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '1', '393', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4242', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '395', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4243', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '692', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4244', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '501', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4245', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '502', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4246', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '94', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4247', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '96', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4248', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '95', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4249', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '100', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4250', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '398', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4251', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '103', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4252', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '105', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4253', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '106', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4254', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '505', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4255', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '506', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4256', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4257', 'N', '2020-05-09 16:21:47', '2020-05-09 16:21:47', '102', '102', '49', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('4258', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4259', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4260', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4261', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4262', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4263', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4264', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4265', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4266', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4267', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4268', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4269', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4270', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4271', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4272', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4273', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4274', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4275', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4276', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4277', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4278', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4279', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4280', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4281', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4282', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4283', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4284', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4285', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4286', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4287', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4288', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4289', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4290', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4291', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4292', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4293', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4294', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4295', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4296', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4297', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4298', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4299', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4300', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4301', 'Y', '2020-05-09 16:29:06', '2020-05-12 14:18:15', '102', '97', '59', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4302', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4303', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4304', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4305', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4306', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4307', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4308', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4309', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4310', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4311', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4312', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '12', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4313', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4314', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4315', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4316', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4317', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4318', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4319', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4320', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4321', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4322', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4323', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4324', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4325', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4326', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4327', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4328', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4329', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4330', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4331', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4332', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4333', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4334', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4335', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4336', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4337', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4338', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4339', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4340', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4341', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4342', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4343', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4344', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4345', 'Y', '2020-05-09 16:36:00', '2020-05-12 14:19:21', '102', '97', '60', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4346', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4347', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4348', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '310', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4349', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '311', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4350', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '312', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4351', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '313', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4352', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4353', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '315', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4354', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '316', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4355', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '317', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4356', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '318', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4357', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '319', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4358', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '320', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4359', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '322', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4360', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '337', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4361', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '326', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4362', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '345', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4363', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '338', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4364', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '327', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4365', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '344', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4366', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '340', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4367', 'N', '2020-05-09 16:37:25', '2020-05-09 16:37:25', '103', '103', '23', '0', '347', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4368', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4369', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4370', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4371', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4372', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4373', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4374', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4375', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4376', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4377', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4378', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4379', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '0', '12', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4380', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4381', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4382', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4383', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4384', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4385', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4386', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4387', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4388', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4389', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4390', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4391', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4392', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4393', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4394', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4395', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4396', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4397', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '1', '393', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4398', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '395', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4399', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '397', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4400', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '501', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4401', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '502', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4402', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4403', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4404', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4405', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4406', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4407', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4408', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4409', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4410', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4411', 'Y', '2020-05-09 16:41:17', '2020-05-12 14:19:52', '102', '97', '63', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4412', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4413', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4414', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4415', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4416', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4417', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4418', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4419', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4420', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4421', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4422', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4423', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4424', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4425', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4426', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4427', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4428', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4429', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4430', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4431', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4432', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4433', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '94', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4434', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '96', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4435', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '95', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4436', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '100', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4437', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '398', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4438', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '418', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4439', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '103', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4440', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '105', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4441', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '106', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4442', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '107', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4443', 'Y', '2020-05-09 16:46:49', '2020-05-09 16:58:49', '102', '102', '64', '2', '108', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4444', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4445', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4446', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '310', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4447', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '311', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4448', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '312', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4449', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '313', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4450', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4451', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '315', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4452', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '316', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4453', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '317', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4454', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '318', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4455', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '319', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4456', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '320', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4457', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '322', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4458', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '337', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4459', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '338', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4460', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '340', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4461', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '326', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4462', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '327', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4463', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '344', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4464', 'N', '2020-05-09 16:55:10', '2020-05-09 16:55:10', '103', '103', '19', '0', '345', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4465', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4466', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4467', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4468', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4469', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4470', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4471', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4472', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4473', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4474', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4475', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4476', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4477', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4478', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4479', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4480', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4481', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4482', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4483', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4484', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4485', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4486', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '501', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4487', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '502', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4488', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '94', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4489', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '96', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4490', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '95', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4491', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '100', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4492', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '398', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4493', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '103', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4494', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '105', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4495', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '106', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4496', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '107', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4497', 'Y', '2020-05-09 16:58:49', '2020-05-12 11:30:57', '102', '97', '64', '2', '108', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4498', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4499', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4500', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4501', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4502', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4503', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4504', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4505', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4506', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4507', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4508', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4509', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4510', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4511', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4512', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4513', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4514', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4515', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4516', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4517', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4518', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4519', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '501', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4520', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '502', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4521', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '94', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4522', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '96', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4523', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '95', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4524', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '100', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4525', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '398', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4526', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '103', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4527', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '105', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4528', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '106', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4529', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '107', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4530', 'N', '2020-05-09 17:01:22', '2020-05-09 17:01:22', '102', '102', '65', '2', '108', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4531', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4532', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4533', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4534', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4535', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4536', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4537', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4538', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4539', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4540', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4541', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4542', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4543', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4544', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4545', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4546', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4547', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4548', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4549', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4550', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4551', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4552', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '501', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4553', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '502', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4554', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '94', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4555', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '96', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4556', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '95', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4557', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '100', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4558', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '398', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4559', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '103', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4560', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '105', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4561', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '106', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4562', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '107', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4563', 'N', '2020-05-09 17:05:07', '2020-05-09 17:05:07', '102', '102', '66', '2', '108', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4564', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4565', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4566', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4567', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4568', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4569', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4570', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4571', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4572', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4573', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4574', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4575', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4576', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4577', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4578', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4579', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '1', '545', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4580', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '1', '547', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4581', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '1', '548', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4582', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '1', '549', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4583', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '395', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4584', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '397', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4585', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '501', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4586', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '502', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4587', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '94', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4588', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '96', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4589', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '95', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4590', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '100', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4591', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '398', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4592', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '103', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4593', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '105', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4594', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '106', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4595', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '107', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4596', 'N', '2020-05-09 17:07:44', '2020-05-09 17:07:44', '102', '102', '67', '2', '108', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4597', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4598', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4599', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4600', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4601', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4602', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4603', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4604', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4605', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4606', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4607', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4608', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '0', '12', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4609', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4610', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4611', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4612', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4613', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4614', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4615', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4616', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4617', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4618', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4619', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4620', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4621', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4622', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4623', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4624', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4625', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4626', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4627', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4628', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4629', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4630', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4631', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4632', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4633', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4634', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '95', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4635', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '100', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4636', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '398', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4637', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4638', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4639', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4640', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4641', 'Y', '2020-05-09 17:10:52', '2020-05-09 17:17:04', '102', '102', '68', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('4642', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4643', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4644', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4645', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4646', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4647', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4648', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4649', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4650', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4651', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4652', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4653', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '0', '12', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4654', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4655', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4656', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4657', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4658', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4659', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4660', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4661', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4662', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4663', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4664', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4665', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4666', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4667', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4668', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4669', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4670', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4671', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4672', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4673', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4674', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4675', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4676', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4677', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '501', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4678', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '502', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4679', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4680', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4681', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '95', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4682', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '100', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4683', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '398', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4684', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4685', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4686', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('4687', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('4688', 'N', '2020-05-09 17:17:04', '2020-05-09 17:17:04', '102', '102', '68', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('4689', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '0', '592', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4690', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '0', '596', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4691', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '0', '600', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4692', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '0', '602', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4693', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '0', '603', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4694', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '1', '606', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4695', 'Y', '2020-05-09 17:17:10', '2020-05-09 17:39:07', '99', '103', '74', '1', '608', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4696', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4697', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4698', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4699', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4700', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4701', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4702', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4703', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4704', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4705', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4706', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4707', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4708', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '326', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4709', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '347', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4710', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '322', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4711', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '337', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4712', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '344', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4713', 'Y', '2020-05-09 17:24:56', '2020-05-09 17:30:49', '103', '103', '20', '0', '340', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4714', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4715', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4716', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4717', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4718', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4719', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4720', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4721', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4722', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4723', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4724', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4725', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '0', '12', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4726', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4727', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4728', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4729', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4730', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4731', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4732', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4733', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4734', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4735', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4736', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4737', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4738', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4739', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4740', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4741', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4742', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4743', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4744', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4745', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4746', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4747', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('4748', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('4749', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '501', '36', null);
INSERT INTO `qc_module_detail` VALUES ('4750', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '502', '37', null);
INSERT INTO `qc_module_detail` VALUES ('4751', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('4752', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('4753', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '95', '40', null);
INSERT INTO `qc_module_detail` VALUES ('4754', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '100', '41', null);
INSERT INTO `qc_module_detail` VALUES ('4755', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '398', '42', null);
INSERT INTO `qc_module_detail` VALUES ('4756', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('4757', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('4758', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('4759', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('4760', 'N', '2020-05-09 17:25:51', '2020-05-09 17:25:51', '102', '102', '71', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('4761', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4762', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4763', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4764', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4765', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4766', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4767', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4768', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4769', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4770', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4771', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4772', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4773', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '326', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4774', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '685', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4775', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '322', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4776', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '337', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4777', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '684', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4778', 'Y', '2020-05-09 17:30:49', '2020-05-09 17:39:52', '103', '103', '20', '0', '340', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4779', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4780', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4781', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4782', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4783', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4784', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4785', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4786', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4787', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4788', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4789', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4790', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4791', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4792', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4793', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4794', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4795', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4796', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4797', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4798', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4799', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4800', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '407', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4801', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '304', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4802', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '305', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4803', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '0', '307', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4804', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '1', '694', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4805', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '1', '300', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4806', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '1', '301', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4807', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '1', '302', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4808', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '1', '303', '30', null);
INSERT INTO `qc_module_detail` VALUES ('4809', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '2', '304', '31', null);
INSERT INTO `qc_module_detail` VALUES ('4810', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '2', '305', '32', null);
INSERT INTO `qc_module_detail` VALUES ('4811', 'Y', '2020-05-09 17:33:33', '2020-05-09 17:34:16', '99', '99', '15', '2', '307', '33', null);
INSERT INTO `qc_module_detail` VALUES ('4812', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4813', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4814', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4815', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4816', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4817', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4818', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4819', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4820', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4821', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4822', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4823', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4824', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4825', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4826', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4827', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4828', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4829', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4830', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4831', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4832', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4833', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4834', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4835', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4836', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4837', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4838', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '2', '304', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4839', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4840', 'Y', '2020-05-09 17:34:16', '2020-05-09 19:25:08', '99', '99', '15', '2', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4841', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4842', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4843', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '558', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4844', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '657', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4845', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '636', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4846', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '639', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4847', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '649', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4848', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4849', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4850', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '626', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4851', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4852', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4853', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4854', 'Y', '2020-05-09 17:34:35', '2020-05-09 19:00:32', '102', '102', '79', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4855', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '0', '592', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4856', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '0', '596', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4857', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '0', '600', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4858', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '0', '602', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4859', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '0', '603', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4860', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '1', '697', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4861', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '1', '606', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4862', 'N', '2020-05-09 17:39:07', '2020-05-09 17:39:07', '103', '103', '74', '1', '608', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4863', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4864', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4865', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4866', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4867', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4868', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4869', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4870', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4871', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4872', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4873', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4874', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '320', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4875', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '326', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4876', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '696', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4877', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '322', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4878', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '337', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4879', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '698', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4880', 'Y', '2020-05-09 17:39:52', '2020-05-09 18:49:34', '103', '103', '20', '0', '340', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4881', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4882', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4883', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4884', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4885', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4886', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4887', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4888', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4889', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4890', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4891', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4892', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '700', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4893', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '326', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4894', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '696', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4895', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '322', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4896', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '337', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4897', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '698', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4898', 'Y', '2020-05-09 18:49:34', '2020-05-12 15:19:23', '103', '103', '20', '0', '340', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4899', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4900', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4901', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4902', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4903', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4904', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4905', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4906', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4907', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4908', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4909', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4910', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '700', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4911', 'N', '2020-05-09 18:57:14', '2020-05-09 18:57:14', '103', '103', '24', '0', '340', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4912', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4913', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4914', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4915', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4916', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4917', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4918', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4919', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '649', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4920', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '650', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4921', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '568', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4922', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '626', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4923', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '577', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4924', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '585', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4925', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '663', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4926', 'Y', '2020-05-09 19:00:32', '2020-05-09 19:18:36', '102', '104', '79', '0', '664', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4927', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4928', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4929', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4930', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4931', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4932', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4933', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4934', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4935', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4936', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4937', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4938', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4939', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4940', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4941', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('4942', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('4943', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('4944', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('4945', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('4946', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('4947', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('4948', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('4949', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('4950', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('4951', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('4952', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('4953', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '2', '420', '27', null);
INSERT INTO `qc_module_detail` VALUES ('4954', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '2', '304', '28', null);
INSERT INTO `qc_module_detail` VALUES ('4955', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '89', '2', '305', '29', null);
INSERT INTO `qc_module_detail` VALUES ('4956', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4957', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4958', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4959', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4960', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4961', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4962', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4963', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4964', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4965', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '626', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4966', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4967', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4968', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4969', 'Y', '2020-05-09 19:18:36', '2020-05-09 19:23:51', '104', '104', '79', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4970', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4971', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4972', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4973', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4974', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4975', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4976', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4977', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '568', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4978', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '683', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4979', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4980', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('4981', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '588', '12', null);
INSERT INTO `qc_module_detail` VALUES ('4982', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '589', '13', null);
INSERT INTO `qc_module_detail` VALUES ('4983', 'Y', '2020-05-09 19:18:56', '2020-05-09 19:22:12', '104', '104', '87', '0', '590', '14', null);
INSERT INTO `qc_module_detail` VALUES ('4984', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '568', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4985', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '676', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4986', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '677', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4987', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '678', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4988', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '679', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4989', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '680', '6', null);
INSERT INTO `qc_module_detail` VALUES ('4990', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '585', '7', null);
INSERT INTO `qc_module_detail` VALUES ('4991', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '589', '8', null);
INSERT INTO `qc_module_detail` VALUES ('4992', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '590', '9', null);
INSERT INTO `qc_module_detail` VALUES ('4993', 'Y', '2020-05-09 19:19:41', '2020-05-09 19:23:40', '104', '104', '85', '0', '664', '10', null);
INSERT INTO `qc_module_detail` VALUES ('4994', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('4995', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('4996', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('4997', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('4998', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('4999', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5000', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5001', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5002', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5003', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5004', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5005', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5006', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5007', 'Y', '2020-05-09 19:19:56', '2020-05-09 19:23:30', '104', '104', '84', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5008', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5009', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5010', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5011', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5012', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5013', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5014', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5015', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5016', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5017', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5018', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5019', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5020', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5021', 'Y', '2020-05-09 19:20:07', '2020-05-09 19:23:21', '104', '104', '83', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5022', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5023', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5024', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5025', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5026', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5027', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5028', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5029', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5030', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5031', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5032', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5033', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5034', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5035', 'Y', '2020-05-09 19:20:15', '2020-05-09 19:23:13', '104', '104', '81', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5036', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5037', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5038', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5039', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5040', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5041', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5042', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5043', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5044', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5045', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '570', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5046', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5047', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5048', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '663', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5049', 'Y', '2020-05-09 19:20:36', '2020-05-09 19:23:46', '104', '104', '80', '0', '664', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5050', 'Y', '2020-05-09 19:20:51', '2020-05-09 19:22:53', '104', '104', '78', '0', '568', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5051', 'Y', '2020-05-09 19:20:51', '2020-05-09 19:22:53', '104', '104', '78', '0', '570', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5052', 'Y', '2020-05-09 19:20:51', '2020-05-09 19:22:53', '104', '104', '78', '0', '577', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5053', 'Y', '2020-05-09 19:20:51', '2020-05-09 19:22:53', '104', '104', '78', '0', '585', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5054', 'Y', '2020-05-09 19:20:51', '2020-05-09 19:22:53', '104', '104', '78', '0', '589', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5055', 'Y', '2020-05-09 19:20:51', '2020-05-09 19:22:53', '104', '104', '78', '0', '590', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5056', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5057', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5058', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5059', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5060', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5061', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5062', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5063', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '568', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5064', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '570', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5065', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5066', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5067', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '588', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5068', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '589', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5069', 'Y', '2020-05-09 19:21:10', '2020-05-09 19:22:48', '104', '104', '75', '0', '590', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5070', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5071', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5072', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5073', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5074', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5075', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5076', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5077', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '568', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5078', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '577', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5079', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '585', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5080', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '588', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5081', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '589', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5082', 'Y', '2020-05-09 19:22:12', '2020-05-09 19:51:19', '104', '104', '87', '0', '590', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5083', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5084', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5085', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5086', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5087', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5088', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5089', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5090', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '568', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5091', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '577', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5092', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '585', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5093', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '588', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5094', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '589', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5095', 'Y', '2020-05-09 19:22:48', '2020-05-09 19:53:43', '104', '104', '75', '0', '590', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5096', 'Y', '2020-05-09 19:22:53', '2020-05-09 19:53:37', '104', '104', '78', '0', '568', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5097', 'Y', '2020-05-09 19:22:53', '2020-05-09 19:53:37', '104', '104', '78', '0', '577', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5098', 'Y', '2020-05-09 19:22:53', '2020-05-09 19:53:37', '104', '104', '78', '0', '585', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5099', 'Y', '2020-05-09 19:22:53', '2020-05-09 19:53:37', '104', '104', '78', '0', '589', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5100', 'Y', '2020-05-09 19:22:53', '2020-05-09 19:53:37', '104', '104', '78', '0', '590', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5101', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5102', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5103', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5104', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5105', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5106', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5107', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5108', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5109', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5110', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5111', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5112', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '663', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5113', 'Y', '2020-05-09 19:23:13', '2020-05-09 19:53:23', '104', '104', '81', '0', '664', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5114', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5115', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5116', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5117', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5118', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5119', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5120', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5121', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '465', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5122', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '424', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5123', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5124', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5125', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5126', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '704', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5127', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5128', 'Y', '2020-05-09 19:23:19', '2020-05-12 12:33:02', '103', '103', '43', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5129', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5130', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5131', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5132', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5133', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5134', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5135', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5136', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5137', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5138', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5139', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5140', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '663', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5141', 'Y', '2020-05-09 19:23:21', '2020-05-09 19:53:17', '104', '104', '83', '0', '664', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5142', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5143', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5144', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5145', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5146', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5147', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5148', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5149', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5150', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5151', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5152', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5153', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '663', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5154', 'Y', '2020-05-09 19:23:30', '2020-05-09 19:52:58', '104', '104', '84', '0', '664', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5155', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '568', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5156', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '676', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5157', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '677', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5158', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '678', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5159', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '680', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5160', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '585', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5161', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '589', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5162', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '590', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5163', 'Y', '2020-05-09 19:23:40', '2020-05-09 19:52:42', '104', '104', '85', '0', '664', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5164', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5165', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5166', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5167', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5168', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5169', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5170', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5171', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5172', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5173', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5174', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5175', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '663', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5176', 'Y', '2020-05-09 19:23:46', '2020-05-09 19:52:19', '104', '104', '80', '0', '664', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5177', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5178', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5179', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5180', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5181', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5182', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5183', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5184', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5185', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5186', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5187', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '585', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5188', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '663', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5189', 'Y', '2020-05-09 19:23:51', '2020-05-09 19:40:32', '104', '104', '79', '0', '664', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5190', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5191', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5192', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5193', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5194', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5195', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5196', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5197', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5198', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5199', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5200', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5201', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5202', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5203', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5204', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5205', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5206', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5207', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5208', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5209', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5210', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5211', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5212', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5213', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5214', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5215', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5216', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5217', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5218', 'N', '2020-05-09 19:25:08', '2020-05-09 19:25:08', '99', '99', '15', '2', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5219', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5220', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5221', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5222', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5223', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5224', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5225', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5226', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5227', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5228', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5229', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5230', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5231', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5232', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5233', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5234', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '376', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5235', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5236', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5237', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5238', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5239', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '1', '694', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5240', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '1', '300', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5241', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '1', '301', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5242', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '1', '302', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5243', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '1', '303', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5244', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '2', '705', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5245', 'Y', '2020-05-09 19:39:46', '2020-05-09 19:55:13', '99', '99', '90', '2', '305', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5246', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5247', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5248', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5249', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5250', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5251', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5252', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5253', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5254', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5255', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5256', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5257', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5258', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5259', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5260', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5261', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5262', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5263', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5264', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5265', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5266', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5267', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5268', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5269', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5270', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5271', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5272', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5273', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5274', 'Y', '2020-05-09 19:40:23', '2020-05-09 20:07:36', '103', '103', '91', '2', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5275', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5276', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5277', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5278', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5279', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5280', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5281', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '706', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5282', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '707', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5283', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '708', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5284', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '701', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5285', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '650', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5286', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '568', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5287', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '626', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5288', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '577', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5289', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '585', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5290', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '663', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5291', 'Y', '2020-05-09 19:40:32', '2020-05-09 19:43:32', '104', '104', '79', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5292', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5293', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5294', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5295', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5296', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5297', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5298', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5299', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5300', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5301', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5302', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5303', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5304', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5305', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5306', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5307', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5308', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5309', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5310', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5311', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5312', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5313', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5314', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5315', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5316', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5317', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5318', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5319', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5320', 'Y', '2020-05-09 19:40:34', '2020-05-09 20:30:47', '103', '103', '92', '2', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5321', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5322', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5323', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5324', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5325', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5326', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5327', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5328', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5329', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5330', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5331', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '280', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5332', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5333', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '285', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5334', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '287', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5335', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5336', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5337', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5338', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5339', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5340', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5341', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5342', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5343', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5344', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5345', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5346', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5347', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5348', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5349', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '93', '2', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5350', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5351', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5352', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5353', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5354', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5355', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5356', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5357', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5358', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5359', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5360', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5361', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5362', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5363', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5364', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5365', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '585', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5366', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '663', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5367', 'Y', '2020-05-09 19:43:32', '2020-05-09 19:51:30', '104', '104', '79', '0', '664', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5368', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5369', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5370', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5371', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5372', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5373', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5374', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5375', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '709', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5376', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5377', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '710', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5378', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5379', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '585', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5380', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '588', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5381', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '589', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5382', 'Y', '2020-05-09 19:51:19', '2020-05-09 19:52:50', '104', '104', '87', '0', '590', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5383', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5384', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5385', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5386', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5387', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5388', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5389', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5390', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5391', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5392', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5393', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5394', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5395', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5396', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5397', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5398', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '663', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5399', 'Y', '2020-05-09 19:51:30', '2020-05-09 19:55:52', '104', '104', '79', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5400', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5401', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5402', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5403', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5404', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5405', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5406', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5407', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5408', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5409', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5410', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '663', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5411', 'Y', '2020-05-09 19:52:19', '2020-05-09 20:06:44', '104', '104', '80', '0', '664', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5412', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '568', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5413', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '676', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5414', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '677', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5415', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '678', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5416', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '680', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5417', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '589', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5418', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '590', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5419', 'Y', '2020-05-09 19:52:42', '2020-05-09 20:29:53', '104', '104', '85', '0', '664', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5420', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5421', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5422', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5423', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5424', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5425', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5426', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5427', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '709', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5428', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5429', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '710', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5430', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5431', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '588', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5432', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '589', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5433', 'Y', '2020-05-09 19:52:50', '2020-05-09 19:58:53', '104', '104', '87', '0', '590', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5434', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5435', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5436', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5437', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5438', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5439', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5440', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5441', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5442', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5443', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5444', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '663', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5445', 'Y', '2020-05-09 19:52:58', '2020-05-09 20:07:20', '104', '104', '84', '0', '664', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5446', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5447', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5448', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5449', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5450', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5451', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5452', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5453', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5454', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5455', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5456', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '663', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5457', 'Y', '2020-05-09 19:53:17', '2020-05-09 20:07:18', '104', '104', '83', '0', '664', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5458', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5459', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5460', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5461', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5462', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5463', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5464', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5465', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '650', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5466', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5467', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '577', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5468', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '663', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5469', 'Y', '2020-05-09 19:53:23', '2020-05-09 20:07:16', '104', '104', '81', '0', '664', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5470', 'Y', '2020-05-09 19:53:37', '2020-05-09 20:14:13', '104', '104', '78', '0', '568', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5471', 'Y', '2020-05-09 19:53:37', '2020-05-09 20:14:13', '104', '104', '78', '0', '577', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5472', 'Y', '2020-05-09 19:53:37', '2020-05-09 20:14:13', '104', '104', '78', '0', '589', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5473', 'Y', '2020-05-09 19:53:37', '2020-05-09 20:14:13', '104', '104', '78', '0', '590', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5474', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5475', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5476', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5477', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5478', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5479', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5480', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5481', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '568', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5482', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '577', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5483', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '588', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5484', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '589', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5485', 'Y', '2020-05-09 19:53:43', '2020-05-09 20:10:50', '104', '104', '75', '0', '590', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5486', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5487', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5488', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5489', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5490', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5491', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5492', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5493', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5494', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5495', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5496', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5497', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5498', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5499', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5500', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5501', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '376', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5502', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5503', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5504', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5505', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5506', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '1', '694', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5507', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '1', '300', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5508', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '1', '301', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5509', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '1', '302', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5510', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '1', '303', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5511', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '2', '705', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5512', 'Y', '2020-05-09 19:55:13', '2020-05-09 20:17:06', '99', '102', '90', '2', '305', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5513', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5514', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5515', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5516', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5517', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5518', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5519', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5520', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5521', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5522', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5523', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5524', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5525', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5526', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5527', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5528', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '711', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5529', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '712', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5530', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '714', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5531', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '663', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5532', 'N', '2020-05-09 19:55:52', '2020-05-09 19:55:52', '104', '104', '79', '0', '664', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5533', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5534', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5535', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5536', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5537', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5538', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5539', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5540', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '709', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5541', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '568', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5542', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '710', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5543', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '577', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5544', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '711', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5545', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '716', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5546', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '588', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5547', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5548', 'Y', '2020-05-09 19:58:53', '2020-05-09 20:03:37', '104', '104', '87', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5549', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5550', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5551', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5552', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5553', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5554', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5555', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5556', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '709', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5557', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '717', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5558', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '710', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5559', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '718', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5560', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '711', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5561', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '716', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5562', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '588', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5563', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5564', 'N', '2020-05-09 20:03:37', '2020-05-09 20:03:37', '104', '104', '87', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5565', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5566', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5567', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5568', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5569', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5570', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5571', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5572', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5573', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5574', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5575', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5576', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5577', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5578', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5579', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5580', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '711', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5581', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '712', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5582', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '714', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5583', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '663', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5584', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '94', '0', '664', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5585', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5586', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5587', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5588', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5589', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5590', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5591', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5592', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5593', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5594', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5595', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5596', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5597', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5598', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5599', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5600', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '711', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5601', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '712', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5602', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '714', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5603', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '663', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5604', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '95', '0', '664', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5605', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5606', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5607', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5608', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5609', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5610', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5611', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5612', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5613', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5614', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5615', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '282', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5616', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '715', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5617', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '374', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5618', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '433', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5619', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '289', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5620', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '290', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5621', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '291', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5622', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '293', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5623', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '294', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5624', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '296', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5625', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '297', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5626', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '0', '719', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5627', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '1', '694', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5628', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '1', '300', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5629', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '1', '301', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5630', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '1', '302', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5631', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '1', '303', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5632', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '2', '705', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5633', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '2', '305', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5634', 'Y', '2020-05-09 20:07:36', '2020-05-09 20:08:15', '103', '103', '91', '2', '307', '30', null);
INSERT INTO `qc_module_detail` VALUES ('5635', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5636', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5637', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5638', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5639', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5640', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5641', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5642', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5643', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5644', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5645', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5646', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5647', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5648', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5649', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5650', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '711', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5651', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '712', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5652', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '714', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5653', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '663', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5654', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '96', '0', '664', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5655', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5656', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5657', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '666', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5658', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '558', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5659', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '657', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5660', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '636', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5661', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '639', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5662', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '706', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5663', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '707', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5664', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '708', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5665', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '701', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5666', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '650', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5667', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '568', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5668', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '626', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5669', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '577', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5670', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '711', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5671', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '712', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5672', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '714', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5673', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '663', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5674', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '97', '0', '664', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5675', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5676', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5677', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5678', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5679', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5680', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5681', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5682', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5683', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5684', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5685', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '282', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5686', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '715', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5687', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '374', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5688', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '433', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5689', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '719', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5690', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '289', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5691', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '290', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5692', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '291', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5693', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '293', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5694', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '294', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5695', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '296', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5696', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '0', '297', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5697', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '1', '694', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5698', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '1', '300', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5699', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '1', '301', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5700', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '1', '302', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5701', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '1', '303', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5702', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '2', '705', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5703', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '2', '305', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5704', 'Y', '2020-05-09 20:08:15', '2020-05-09 20:11:05', '103', '103', '91', '2', '307', '30', null);
INSERT INTO `qc_module_detail` VALUES ('5705', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5706', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5707', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5708', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5709', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5710', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5711', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5712', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5713', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5714', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5715', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '282', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5716', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '715', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5717', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '374', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5718', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '433', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5719', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '719', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5720', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '720', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5721', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5722', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5723', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5724', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '293', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5725', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '294', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5726', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '296', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5727', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '0', '297', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5728', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '1', '694', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5729', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '1', '300', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5730', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '1', '301', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5731', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '1', '302', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5732', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '1', '303', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5733', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '2', '705', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5734', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '2', '305', '30', null);
INSERT INTO `qc_module_detail` VALUES ('5735', 'Y', '2020-05-09 20:11:05', '2020-05-09 20:13:59', '103', '103', '91', '2', '307', '31', null);
INSERT INTO `qc_module_detail` VALUES ('5736', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '553', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5737', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '554', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5738', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '555', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5739', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '556', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5740', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '557', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5741', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '558', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5742', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '559', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5743', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '709', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5744', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '717', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5745', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '710', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5746', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '718', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5747', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '711', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5748', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '716', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5749', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '588', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5750', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5751', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '98', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5752', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5753', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5754', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5755', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5756', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5757', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5758', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5759', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5760', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5761', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5762', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '282', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5763', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '715', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5764', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '374', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5765', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '433', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5766', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '719', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5767', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '720', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5768', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5769', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5770', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5771', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5772', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '1', '694', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5773', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '1', '300', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5774', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '1', '301', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5775', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '1', '302', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5776', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '1', '303', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5777', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '2', '705', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5778', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '2', '305', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5779', 'Y', '2020-05-09 20:13:59', '2020-05-09 20:22:36', '103', '103', '91', '2', '307', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5780', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '709', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5781', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '717', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5782', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '710', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5783', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '718', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5784', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '711', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5785', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '716', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5786', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '589', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5787', 'Y', '2020-05-09 20:14:13', '2020-05-09 20:58:21', '104', '104', '78', '0', '590', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5788', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5789', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5790', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5791', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5792', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5793', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5794', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5795', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5796', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5797', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5798', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5799', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5800', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5801', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5802', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5803', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5804', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5805', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5806', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5807', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5808', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5809', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5810', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5811', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5812', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5813', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5814', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5815', 'Y', '2020-05-09 20:17:06', '2020-05-09 20:19:51', '102', '102', '90', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5816', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5817', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5818', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5819', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5820', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5821', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5822', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5823', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5824', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5825', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5826', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5827', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5828', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5829', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5830', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5831', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5832', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5833', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5834', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5835', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5836', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5837', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5838', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5839', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5840', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5841', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5842', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5843', 'N', '2020-05-09 20:19:51', '2020-05-09 20:19:51', '102', '102', '90', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5844', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5845', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5846', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5847', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5848', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5849', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5850', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5851', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5852', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5853', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5854', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5855', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5856', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5857', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5858', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5859', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5860', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5861', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5862', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5863', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5864', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5865', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5866', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5867', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5868', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5869', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5870', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5871', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '99', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5872', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5873', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5874', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5875', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5876', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5877', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5878', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5879', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5880', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5881', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5882', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '282', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5883', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '715', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5884', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '374', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5885', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '433', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5886', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '719', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5887', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '720', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5888', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5889', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5890', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5891', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5892', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '1', '694', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5893', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '1', '723', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5894', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '1', '724', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5895', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '1', '725', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5896', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '1', '726', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5897', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '2', '705', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5898', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '2', '305', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5899', 'Y', '2020-05-09 20:22:36', '2020-05-09 20:24:25', '103', '103', '91', '2', '307', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5900', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5901', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5902', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5903', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5904', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5905', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5906', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5907', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5908', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5909', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5910', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5911', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5912', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5913', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5914', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5915', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5916', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5917', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5918', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5919', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5920', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5921', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5922', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5923', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5924', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5925', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5926', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5927', 'Y', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '100', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5928', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5929', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5930', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5931', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5932', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5933', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '272', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5934', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5935', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '274', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5936', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '276', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5937', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '278', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5938', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '282', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5939', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '715', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5940', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '374', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5941', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '433', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5942', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '719', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5943', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '720', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5944', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '289', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5945', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '290', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5946', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '291', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5947', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '0', '382', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5948', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '1', '694', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5949', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '1', '723', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5950', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '1', '724', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5951', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '1', '725', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5952', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '1', '726', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5953', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '2', '705', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5954', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '2', '305', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5955', 'Y', '2020-05-09 20:24:25', '2020-05-09 20:27:10', '103', '103', '91', '2', '307', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5956', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5957', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5958', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5959', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5960', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '271', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5961', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '273', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5962', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '368', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5963', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '272', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5964', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '274', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5965', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '276', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5966', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '278', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5967', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '282', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5968', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '715', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5969', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '374', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5970', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '433', '15', null);
INSERT INTO `qc_module_detail` VALUES ('5971', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '719', '16', null);
INSERT INTO `qc_module_detail` VALUES ('5972', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '720', '17', null);
INSERT INTO `qc_module_detail` VALUES ('5973', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('5974', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('5975', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('5976', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('5977', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('5978', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '1', '723', '23', null);
INSERT INTO `qc_module_detail` VALUES ('5979', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '1', '724', '24', null);
INSERT INTO `qc_module_detail` VALUES ('5980', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '1', '725', '25', null);
INSERT INTO `qc_module_detail` VALUES ('5981', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '1', '726', '26', null);
INSERT INTO `qc_module_detail` VALUES ('5982', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('5983', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('5984', 'Y', '2020-05-09 20:27:10', '2020-05-09 20:49:15', '103', '99', '91', '2', '307', '29', null);
INSERT INTO `qc_module_detail` VALUES ('5985', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('5986', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('5987', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('5988', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('5989', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('5990', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('5991', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '568', '7', null);
INSERT INTO `qc_module_detail` VALUES ('5992', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('5993', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('5994', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('5995', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '679', '11', null);
INSERT INTO `qc_module_detail` VALUES ('5996', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '680', '12', null);
INSERT INTO `qc_module_detail` VALUES ('5997', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '711', '13', null);
INSERT INTO `qc_module_detail` VALUES ('5998', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '716', '14', null);
INSERT INTO `qc_module_detail` VALUES ('5999', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6000', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6001', 'Y', '2020-05-09 20:29:53', '2020-05-09 20:32:41', '104', '104', '85', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6002', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6003', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6004', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6005', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6006', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6007', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6008', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6009', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6010', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6011', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6012', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6013', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6014', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6015', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6016', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6017', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6018', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6019', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6020', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6021', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6022', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6023', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6024', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6025', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6026', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6027', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6028', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6029', 'Y', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '101', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6030', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6031', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6032', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '269', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6033', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '270', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6034', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '272', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6035', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '271', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6036', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '273', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6037', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '368', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6038', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '274', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6039', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '276', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6040', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '278', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6041', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '280', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6042', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6043', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '285', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6044', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '287', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6045', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '289', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6046', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '290', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6047', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '291', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6048', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '0', '382', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6049', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '1', '694', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6050', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '1', '723', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6051', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '1', '724', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6052', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '1', '725', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6053', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '1', '726', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6054', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '2', '705', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6055', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '2', '305', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6056', 'Y', '2020-05-09 20:30:47', '2020-05-09 21:02:49', '103', '102', '92', '2', '307', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6057', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6058', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6059', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6060', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6061', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6062', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6063', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6064', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6065', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6066', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6067', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '679', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6068', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '680', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6069', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '711', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6070', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '716', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6071', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6072', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6073', 'Y', '2020-05-09 20:32:41', '2020-05-09 20:40:03', '104', '104', '85', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6074', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6075', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6076', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6077', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6078', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6079', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6080', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6081', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6082', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6083', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6084', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6085', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6086', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6087', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6088', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6089', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6090', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6091', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6092', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6093', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6094', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6095', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6096', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6097', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6098', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6099', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '1', '303', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6100', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '2', '304', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6101', 'N', '2020-05-09 20:34:39', '2020-05-09 20:34:39', '99', '99', '100', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6102', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6103', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6104', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6105', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6106', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6107', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6108', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6109', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6110', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6111', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6112', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '733', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6113', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '680', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6114', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '711', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6115', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '716', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6116', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6117', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6118', 'Y', '2020-05-09 20:40:03', '2020-05-09 20:41:04', '104', '104', '85', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6119', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6120', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6121', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6122', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6123', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6124', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6125', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6126', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6127', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6128', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6129', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '680', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6130', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '711', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6131', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '716', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6132', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '589', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6133', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '590', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6134', 'Y', '2020-05-09 20:41:04', '2020-05-09 20:42:12', '104', '104', '85', '0', '664', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6135', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6136', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6137', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6138', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6139', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6140', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6141', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6142', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6143', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6144', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6145', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6146', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6147', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '713', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6148', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6149', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6150', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '458', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6151', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '376', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6152', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '289', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6153', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '290', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6154', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '291', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6155', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '0', '382', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6156', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '1', '694', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6157', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '1', '300', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6158', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '1', '301', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6159', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '1', '302', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6160', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '1', '734', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6161', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '2', '705', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6162', 'N', '2020-05-09 20:42:02', '2020-05-09 20:42:02', '102', '102', '101', '2', '305', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6163', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6164', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6165', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6166', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6167', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6168', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6169', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6170', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6171', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6172', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6173', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '679', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6174', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '680', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6175', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '711', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6176', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '716', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6177', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6178', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6179', 'N', '2020-05-09 20:42:12', '2020-05-09 20:42:12', '104', '104', '85', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6180', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6181', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6182', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6183', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6184', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6185', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6186', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6187', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6188', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6189', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6190', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '679', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6191', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '680', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6192', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '711', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6193', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '716', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6194', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6195', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6196', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '102', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6197', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6198', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6199', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6200', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '269', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6201', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '357', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6202', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '360', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6203', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '362', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6204', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6205', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6206', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6207', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6208', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6209', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6210', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6211', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6212', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6213', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6214', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '285', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6215', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '719', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6216', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '376', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6217', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '720', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6218', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '289', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6219', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '290', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6220', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '291', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6221', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '0', '382', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6222', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '1', '694', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6223', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '1', '723', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6224', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '1', '724', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6225', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '1', '725', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6226', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '1', '726', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6227', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '2', '705', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6228', 'Y', '2020-05-09 20:49:15', '2020-05-09 20:50:12', '99', '99', '91', '2', '305', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6229', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6230', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6231', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6232', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6233', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6234', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6235', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6236', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6237', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6238', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6239', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6240', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6241', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6242', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6243', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6244', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6245', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6246', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '285', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6247', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '719', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6248', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '376', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6249', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '720', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6250', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '289', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6251', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '290', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6252', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '291', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6253', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '0', '382', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6254', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '1', '694', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6255', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '1', '723', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6256', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '1', '724', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6257', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '1', '725', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6258', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '1', '726', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6259', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '2', '705', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6260', 'Y', '2020-05-09 20:50:12', '2020-05-09 20:56:01', '99', '99', '91', '2', '305', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6261', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6262', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6263', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6264', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6265', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6266', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6267', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6268', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6269', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6270', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6271', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6272', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6273', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6274', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6275', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6276', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6277', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6278', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6279', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6280', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6281', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6282', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6283', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6284', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6285', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6286', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6287', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6288', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6289', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6290', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '2', '705', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6291', 'Y', '2020-05-09 20:56:01', '2020-05-09 20:57:26', '99', '99', '91', '2', '305', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6292', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6293', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6294', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6295', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6296', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6297', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6298', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6299', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6300', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6301', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6302', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6303', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6304', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6305', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6306', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6307', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6308', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6309', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6310', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6311', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6312', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6313', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6314', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6315', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6316', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6317', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6318', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6319', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6320', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6321', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '2', '305', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6322', 'Y', '2020-05-09 20:57:26', '2020-05-09 20:57:50', '99', '99', '91', '2', '304', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6323', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6324', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6325', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6326', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6327', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6328', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6329', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6330', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6331', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6332', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '274', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6333', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6334', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6335', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6336', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6337', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6338', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6339', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6340', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6341', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6342', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6343', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6344', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6345', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6346', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6347', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6348', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6349', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6350', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6351', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6352', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '2', '304', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6353', 'Y', '2020-05-09 20:57:50', '2020-05-09 20:59:51', '99', '99', '91', '2', '305', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6354', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6355', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6356', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6357', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6358', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6359', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6360', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6361', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '676', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6362', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '677', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6363', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '678', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6364', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '679', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6365', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '680', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6366', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '711', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6367', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '716', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6368', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '589', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6369', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '590', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6370', 'Y', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '103', '0', '664', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6371', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6372', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6373', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6374', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6375', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6376', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6377', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6378', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6379', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6380', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6381', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6382', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6383', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6384', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '371', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6385', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6386', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6387', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6388', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6389', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6390', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6391', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6392', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6393', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6394', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6395', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6396', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6397', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6398', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6399', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6400', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '2', '304', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6401', 'Y', '2020-05-09 20:59:51', '2020-05-09 21:01:39', '99', '99', '91', '2', '305', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6402', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '706', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6403', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '727', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6404', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '728', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6405', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '730', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6406', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '731', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6407', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '732', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6408', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '717', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6409', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '679', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6410', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '680', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6411', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '711', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6412', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '716', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6413', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '589', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6414', 'N', '2020-05-09 20:59:54', '2020-05-09 20:59:54', '104', '104', '103', '0', '590', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6415', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6416', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6417', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6418', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6419', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6420', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6421', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6422', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6423', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6424', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6425', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6426', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6427', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6428', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '736', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6429', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6430', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6431', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6432', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6433', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6434', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6435', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6436', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6437', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6438', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6439', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6440', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6441', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6442', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6443', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6444', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '2', '304', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6445', 'N', '2020-05-09 21:01:39', '2020-05-09 21:01:39', '99', '99', '91', '2', '305', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6446', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6447', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6448', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6449', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6450', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6451', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6452', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6453', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6454', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6455', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6456', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6457', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6458', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6459', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '736', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6460', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6461', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6462', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6463', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6464', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6465', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6466', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6467', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6468', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6469', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6470', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6471', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6472', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6473', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6474', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6475', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '2', '304', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6476', 'Y', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '104', '2', '305', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6477', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6478', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6479', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6480', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6481', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6482', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6483', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6484', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6485', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6486', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6487', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6488', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6489', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6490', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '736', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6491', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6492', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6493', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6494', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '719', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6495', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6496', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '720', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6497', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '289', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6498', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '290', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6499', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '291', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6500', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '0', '382', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6501', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '1', '694', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6502', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '1', '723', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6503', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '1', '724', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6504', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '1', '725', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6505', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '1', '726', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6506', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '2', '304', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6507', 'Y', '2020-05-09 21:03:22', '2020-05-09 21:25:36', '102', '99', '105', '2', '305', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6508', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6509', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6510', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6511', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6512', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6513', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6514', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6515', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6516', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6517', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6518', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6519', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6520', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6521', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '736', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6522', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6523', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6524', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '719', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6525', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '376', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6526', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '720', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6527', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '289', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6528', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '290', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6529', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '291', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6530', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '0', '382', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6531', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '1', '694', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6532', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '1', '723', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6533', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '1', '724', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6534', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '1', '725', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6535', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '1', '726', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6536', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '2', '304', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6537', 'Y', '2020-05-09 21:25:36', '2020-05-09 21:38:23', '99', '99', '105', '2', '305', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6538', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6539', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6540', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6541', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6542', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6543', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6544', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6545', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6546', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6547', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6548', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6549', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6550', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6551', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '736', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6552', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6553', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6554', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '433', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6555', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '737', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6556', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '376', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6557', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '289', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6558', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '290', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6559', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '291', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6560', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '0', '382', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6561', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '694', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6562', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '723', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6563', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '724', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6564', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '725', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6565', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '1', '726', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6566', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '2', '304', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6567', 'N', '2020-05-09 21:36:10', '2020-05-09 21:36:10', '102', '102', '104', '2', '305', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6568', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '223', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6569', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '268', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6570', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '272', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6571', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '357', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6572', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '360', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6573', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '362', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6574', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '269', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6575', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '366', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6576', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '368', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6577', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '735', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6578', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '276', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6579', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '278', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6580', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '282', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6581', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '736', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6582', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '372', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6583', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '374', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6584', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '285', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6585', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '376', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6586', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '720', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6587', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '289', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6588', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '290', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6589', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '291', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6590', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '0', '382', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6591', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '1', '694', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6592', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '1', '723', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6593', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '1', '724', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6594', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '1', '725', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6595', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '1', '726', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6596', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '2', '304', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6597', 'N', '2020-05-09 21:38:23', '2020-05-09 21:38:23', '99', '99', '105', '2', '305', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6598', 'N', '2020-05-11 10:19:29', '2020-05-11 10:19:29', '101', '101', '45', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6599', 'N', '2020-05-11 10:19:29', '2020-05-11 10:19:29', '101', '101', '45', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6600', 'N', '2020-05-11 10:19:29', '2020-05-11 10:19:29', '101', '101', '45', '0', '482', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6601', 'N', '2020-05-11 10:19:29', '2020-05-11 10:19:29', '101', '101', '45', '0', '436', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6602', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6603', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '343', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6604', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '423', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6605', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '426', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6606', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '430', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6607', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '434', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6608', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '435', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6609', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '436', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6610', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '439', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6611', 'N', '2020-05-11 14:02:47', '2020-05-11 14:02:47', '101', '101', '58', '0', '442', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6612', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6613', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6614', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6615', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '9', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6616', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '15', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6617', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '2', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6618', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '11', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6619', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '542', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6620', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6621', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6622', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6623', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6624', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6625', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6626', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6627', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '31', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6628', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '35', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6629', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '378', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6630', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '110', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6631', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '377', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6632', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '179', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6633', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '180', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6634', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '204', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6635', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '379', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6636', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '209', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6637', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '213', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6638', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '215', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6639', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '387', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6640', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '249', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6641', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '388', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6642', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '452', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6643', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '415', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6644', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '417', '33', null);
INSERT INTO `qc_module_detail` VALUES ('6645', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '414', '34', null);
INSERT INTO `qc_module_detail` VALUES ('6646', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '1', '393', '35', null);
INSERT INTO `qc_module_detail` VALUES ('6647', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '395', '36', null);
INSERT INTO `qc_module_detail` VALUES ('6648', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '457', '37', null);
INSERT INTO `qc_module_detail` VALUES ('6649', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('6650', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '738', '39', null);
INSERT INTO `qc_module_detail` VALUES ('6651', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('6652', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('6653', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('6654', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('6655', 'N', '2020-05-11 14:45:15', '2020-05-11 14:45:15', '103', '103', '39', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('6656', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6657', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6658', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6659', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6660', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6661', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6662', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6663', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6664', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6665', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6666', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6667', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6668', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6669', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6670', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6671', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6672', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6673', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6674', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6675', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6676', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6677', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6678', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6679', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6680', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6681', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6682', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6683', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '215', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6684', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '387', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6685', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '249', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6686', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '388', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6687', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '452', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6688', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '415', '33', null);
INSERT INTO `qc_module_detail` VALUES ('6689', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '417', '34', null);
INSERT INTO `qc_module_detail` VALUES ('6690', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '414', '35', null);
INSERT INTO `qc_module_detail` VALUES ('6691', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '1', '393', '36', null);
INSERT INTO `qc_module_detail` VALUES ('6692', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '395', '37', null);
INSERT INTO `qc_module_detail` VALUES ('6693', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '457', '38', null);
INSERT INTO `qc_module_detail` VALUES ('6694', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '501', '39', null);
INSERT INTO `qc_module_detail` VALUES ('6695', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '502', '40', null);
INSERT INTO `qc_module_detail` VALUES ('6696', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '94', '41', null);
INSERT INTO `qc_module_detail` VALUES ('6697', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '738', '42', null);
INSERT INTO `qc_module_detail` VALUES ('6698', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('6699', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('6700', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('6701', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('6702', 'Y', '2020-05-11 14:50:59', '2020-05-11 15:36:50', '103', '102', '38', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('6703', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6704', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6705', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6706', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6707', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6708', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6709', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6710', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6711', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6712', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6713', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6714', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6715', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6716', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6717', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6718', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6719', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6720', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6721', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6722', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6723', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6724', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6725', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6726', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6727', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6728', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6729', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6730', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '215', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6731', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '387', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6732', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '249', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6733', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '388', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6734', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '452', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6735', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '415', '33', null);
INSERT INTO `qc_module_detail` VALUES ('6736', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '417', '34', null);
INSERT INTO `qc_module_detail` VALUES ('6737', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '414', '35', null);
INSERT INTO `qc_module_detail` VALUES ('6738', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '1', '393', '36', null);
INSERT INTO `qc_module_detail` VALUES ('6739', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '395', '37', null);
INSERT INTO `qc_module_detail` VALUES ('6740', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '457', '38', null);
INSERT INTO `qc_module_detail` VALUES ('6741', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '501', '39', null);
INSERT INTO `qc_module_detail` VALUES ('6742', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '502', '40', null);
INSERT INTO `qc_module_detail` VALUES ('6743', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '94', '41', null);
INSERT INTO `qc_module_detail` VALUES ('6744', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '738', '42', null);
INSERT INTO `qc_module_detail` VALUES ('6745', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('6746', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('6747', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('6748', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('6749', 'Y', '2020-05-11 15:36:50', '2020-05-11 15:37:27', '102', '102', '38', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('6750', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6751', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6752', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6753', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6754', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6755', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6756', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6757', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6758', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6759', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6760', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6761', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6762', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6763', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6764', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6765', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6766', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6767', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6768', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6769', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6770', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6771', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6772', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6773', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6774', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6775', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6776', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6777', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '215', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6778', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '387', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6779', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '249', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6780', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '388', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6781', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '452', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6782', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '415', '33', null);
INSERT INTO `qc_module_detail` VALUES ('6783', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '417', '34', null);
INSERT INTO `qc_module_detail` VALUES ('6784', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '414', '35', null);
INSERT INTO `qc_module_detail` VALUES ('6785', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '1', '393', '36', null);
INSERT INTO `qc_module_detail` VALUES ('6786', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '395', '37', null);
INSERT INTO `qc_module_detail` VALUES ('6787', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '457', '38', null);
INSERT INTO `qc_module_detail` VALUES ('6788', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '501', '39', null);
INSERT INTO `qc_module_detail` VALUES ('6789', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '502', '40', null);
INSERT INTO `qc_module_detail` VALUES ('6790', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '94', '41', null);
INSERT INTO `qc_module_detail` VALUES ('6791', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '738', '42', null);
INSERT INTO `qc_module_detail` VALUES ('6792', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('6793', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('6794', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('6795', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('6796', 'Y', '2020-05-11 15:37:27', '2020-05-11 15:37:39', '102', '102', '38', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('6797', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6798', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6799', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6800', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6801', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6802', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6803', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6804', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6805', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6806', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6807', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6808', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6809', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6810', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6811', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6812', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6813', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6814', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6815', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6816', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6817', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6818', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6819', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6820', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6821', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6822', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6823', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6824', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '215', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6825', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '387', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6826', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '249', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6827', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '388', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6828', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '452', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6829', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '415', '33', null);
INSERT INTO `qc_module_detail` VALUES ('6830', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '417', '34', null);
INSERT INTO `qc_module_detail` VALUES ('6831', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '414', '35', null);
INSERT INTO `qc_module_detail` VALUES ('6832', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '1', '393', '36', null);
INSERT INTO `qc_module_detail` VALUES ('6833', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '395', '37', null);
INSERT INTO `qc_module_detail` VALUES ('6834', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '457', '38', null);
INSERT INTO `qc_module_detail` VALUES ('6835', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '501', '39', null);
INSERT INTO `qc_module_detail` VALUES ('6836', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '502', '40', null);
INSERT INTO `qc_module_detail` VALUES ('6837', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '94', '41', null);
INSERT INTO `qc_module_detail` VALUES ('6838', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '738', '42', null);
INSERT INTO `qc_module_detail` VALUES ('6839', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('6840', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('6841', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('6842', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('6843', 'Y', '2020-05-11 15:37:39', '2020-05-11 15:37:52', '102', '102', '38', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('6844', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6845', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '3', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6846', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '5', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6847', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '11', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6848', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '542', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6849', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '9', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6850', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '15', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6851', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '2', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6852', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '4', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6853', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '10', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6854', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '446', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6855', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '448', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6856', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '449', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6857', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '450', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6858', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '16', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6859', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '0', '551', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6860', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '31', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6861', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '35', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6862', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '378', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6863', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '110', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6864', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '377', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6865', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '179', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6866', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '180', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6867', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '204', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6868', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '379', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6869', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '209', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6870', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '213', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6871', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '215', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6872', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '387', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6873', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '249', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6874', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '388', '31', null);
INSERT INTO `qc_module_detail` VALUES ('6875', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '452', '32', null);
INSERT INTO `qc_module_detail` VALUES ('6876', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '415', '33', null);
INSERT INTO `qc_module_detail` VALUES ('6877', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '417', '34', null);
INSERT INTO `qc_module_detail` VALUES ('6878', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '414', '35', null);
INSERT INTO `qc_module_detail` VALUES ('6879', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '1', '393', '36', null);
INSERT INTO `qc_module_detail` VALUES ('6880', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '395', '37', null);
INSERT INTO `qc_module_detail` VALUES ('6881', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '457', '38', null);
INSERT INTO `qc_module_detail` VALUES ('6882', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '501', '39', null);
INSERT INTO `qc_module_detail` VALUES ('6883', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '502', '40', null);
INSERT INTO `qc_module_detail` VALUES ('6884', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '94', '41', null);
INSERT INTO `qc_module_detail` VALUES ('6885', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '738', '42', null);
INSERT INTO `qc_module_detail` VALUES ('6886', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('6887', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('6888', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('6889', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('6890', 'N', '2020-05-11 15:37:52', '2020-05-11 15:37:52', '102', '102', '38', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('6891', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6892', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6893', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6894', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6895', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6896', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6897', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6898', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6899', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6900', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6901', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6902', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6903', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6904', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6905', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6906', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6907', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6908', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6909', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6910', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '306', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6911', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6912', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '73', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6913', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '78', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6914', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6915', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6916', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6917', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '88', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6918', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '89', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6919', 'Y', '2020-05-12 11:23:38', '2020-05-12 11:24:34', '103', '103', '14', '0', '92', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6920', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6921', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6922', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6923', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6924', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6925', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6926', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6927', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6928', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6929', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6930', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6931', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6932', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6933', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6934', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6935', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6936', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6937', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6938', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6939', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '306', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6940', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6941', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '73', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6942', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '78', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6943', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6944', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6945', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6946', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '87', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6947', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '88', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6948', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '89', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6949', 'Y', '2020-05-12 11:24:34', '2020-05-12 11:25:26', '103', '103', '14', '0', '92', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6950', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '23', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6951', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '22', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6952', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '18', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6953', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '21', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6954', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '133', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6955', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '135', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6956', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '19', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6957', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '146', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6958', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '36', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6959', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '37', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6960', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '40', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6961', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '45', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6962', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '44', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6963', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '26', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6964', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '27', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6965', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '84', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6966', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '28', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6967', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '34', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6968', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '29', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6969', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '147', '20', null);
INSERT INTO `qc_module_detail` VALUES ('6970', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '51', '21', null);
INSERT INTO `qc_module_detail` VALUES ('6971', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '148', '22', null);
INSERT INTO `qc_module_detail` VALUES ('6972', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '86', '23', null);
INSERT INTO `qc_module_detail` VALUES ('6973', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '87', '24', null);
INSERT INTO `qc_module_detail` VALUES ('6974', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '151', '25', null);
INSERT INTO `qc_module_detail` VALUES ('6975', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '175', '26', null);
INSERT INTO `qc_module_detail` VALUES ('6976', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '184', '27', null);
INSERT INTO `qc_module_detail` VALUES ('6977', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '653', '28', null);
INSERT INTO `qc_module_detail` VALUES ('6978', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '615', '29', null);
INSERT INTO `qc_module_detail` VALUES ('6979', 'N', '2020-05-12 11:24:45', '2020-05-12 11:24:45', '103', '103', '6', '0', '616', '30', null);
INSERT INTO `qc_module_detail` VALUES ('6980', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('6981', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('6982', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('6983', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('6984', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('6985', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('6986', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('6987', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('6988', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('6989', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('6990', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('6991', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('6992', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('6993', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('6994', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '42', '15', null);
INSERT INTO `qc_module_detail` VALUES ('6995', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '43', '16', null);
INSERT INTO `qc_module_detail` VALUES ('6996', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '44', '17', null);
INSERT INTO `qc_module_detail` VALUES ('6997', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '45', '18', null);
INSERT INTO `qc_module_detail` VALUES ('6998', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '306', '19', null);
INSERT INTO `qc_module_detail` VALUES ('6999', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '52', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7000', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '53', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7001', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '55', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7002', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '70', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7003', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '73', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7004', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '78', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7005', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '80', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7006', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '210', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7007', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '86', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7008', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '87', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7009', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '88', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7010', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '89', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7011', 'N', '2020-05-12 11:25:01', '2020-05-12 11:25:01', '103', '103', '7', '0', '92', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7012', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7013', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7014', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7015', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7016', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7017', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7018', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7019', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7020', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '28', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7021', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '29', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7022', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '199', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7023', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '36', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7024', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '37', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7025', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '40', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7026', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '44', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7027', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '45', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7028', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '306', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7029', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '52', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7030', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '53', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7031', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '55', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7032', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7033', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '73', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7034', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '78', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7035', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7036', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7037', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7038', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '87', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7039', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '88', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7040', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '89', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7041', 'N', '2020-05-12 11:25:19', '2020-05-12 11:25:19', '103', '103', '13', '0', '92', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7042', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '18', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7043', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '21', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7044', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '19', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7045', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '22', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7046', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '23', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7047', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '24', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7048', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '25', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7049', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '26', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7050', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '27', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7051', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '28', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7052', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '29', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7053', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '199', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7054', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '36', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7055', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '37', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7056', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '40', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7057', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '44', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7058', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '45', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7059', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '46', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7060', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '49', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7061', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '306', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7062', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '70', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7063', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '73', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7064', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '78', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7065', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '80', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7066', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '210', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7067', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '86', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7068', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '87', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7069', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '88', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7070', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '89', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7071', 'N', '2020-05-12 11:25:26', '2020-05-12 11:25:26', '103', '103', '14', '0', '92', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7072', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7073', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7074', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7075', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7076', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7077', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7078', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7079', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7080', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7081', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7082', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7083', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7084', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7085', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7086', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7087', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '1', '740', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7088', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '395', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7089', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '397', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7090', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '501', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7091', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '502', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7092', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '94', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7093', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '96', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7094', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '95', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7095', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '100', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7096', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '398', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7097', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '103', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7098', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '105', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7099', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '106', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7100', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '107', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7101', 'Y', '2020-05-12 11:30:57', '2020-05-12 11:31:53', '97', '97', '64', '2', '108', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7102', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7103', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7104', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7105', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7106', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7107', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7108', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7109', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7110', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7111', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7112', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7113', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7114', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7115', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7116', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7117', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '395', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7118', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '397', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7119', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '501', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7120', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '502', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7121', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '94', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7122', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '96', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7123', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '95', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7124', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '100', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7125', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '398', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7126', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '103', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7127', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '105', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7128', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '106', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7129', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '107', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7130', 'Y', '2020-05-12 11:31:53', '2020-05-12 11:33:08', '97', '97', '64', '2', '108', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7131', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7132', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7133', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7134', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7135', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7136', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7137', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7138', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7139', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7140', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7141', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '543', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7142', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7143', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '0', '12', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7144', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7145', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7146', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '1', '741', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7147', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '395', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7148', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '397', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7149', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '501', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7150', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '502', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7151', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '94', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7152', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '96', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7153', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '95', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7154', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '100', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7155', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '398', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7156', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '103', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7157', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '105', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7158', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '106', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7159', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '107', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7160', 'N', '2020-05-12 11:33:08', '2020-05-12 11:33:08', '97', '97', '64', '2', '108', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7161', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7162', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7163', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7164', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7165', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7166', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7167', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7168', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '742', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7169', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '424', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7170', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7171', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7172', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7173', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '429', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7174', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7175', 'Y', '2020-05-12 11:40:36', '2020-05-12 11:44:09', '103', '103', '36', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7176', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7177', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7178', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7179', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7180', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7181', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7182', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7183', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '742', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7184', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '743', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7185', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7186', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7187', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7188', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '429', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7189', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7190', 'Y', '2020-05-12 11:44:09', '2020-05-12 11:46:50', '103', '103', '36', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7191', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7192', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7193', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7194', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7195', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7196', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7197', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7198', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '742', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7199', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '743', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7200', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7201', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7202', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7203', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '744', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7204', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7205', 'N', '2020-05-12 11:46:50', '2020-05-12 11:46:50', '103', '103', '36', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7206', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '394', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7207', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '410', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7208', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '443', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7209', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '445', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7210', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '447', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7211', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '419', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7212', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '441', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7213', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '742', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7214', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '743', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7215', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '425', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7216', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '427', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7217', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '428', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7218', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '704', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7219', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '431', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7220', 'N', '2020-05-12 12:33:02', '2020-05-12 12:33:02', '103', '103', '43', '0', '460', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7221', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '339', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7222', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '423', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7223', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '426', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7224', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '430', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7225', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '434', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7226', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '435', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7227', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '436', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7228', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '490', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7229', 'N', '2020-05-12 13:45:04', '2020-05-12 13:45:04', '101', '101', '47', '0', '495', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7230', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7231', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7232', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7233', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7234', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7235', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7236', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7237', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7238', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7239', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7240', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7241', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7242', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7243', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7244', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '109', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7245', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7246', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7247', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7248', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7249', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7250', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7251', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7252', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7253', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7254', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7255', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7256', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7257', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7258', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7259', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7260', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '1', '393', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7261', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '395', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7262', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '397', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7263', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '501', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7264', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '502', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7265', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7266', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7267', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '95', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7268', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '100', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7269', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '398', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7270', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7271', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7272', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7273', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7274', 'N', '2020-05-12 14:18:15', '2020-05-12 14:18:15', '97', '97', '59', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('7275', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7276', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7277', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7278', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7279', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7280', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7281', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7282', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7283', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7284', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7285', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '12', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7286', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '0', '16', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7287', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7288', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7289', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '109', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7290', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7291', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7292', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7293', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7294', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7295', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7296', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7297', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7298', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7299', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7300', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7301', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7302', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7303', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7304', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7305', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '1', '393', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7306', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '395', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7307', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '397', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7308', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '501', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7309', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '502', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7310', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7311', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7312', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '95', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7313', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '100', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7314', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '398', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7315', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7316', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7317', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7318', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7319', 'N', '2020-05-12 14:19:21', '2020-05-12 14:19:21', '97', '97', '60', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('7320', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7321', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7322', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7323', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7324', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7325', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7326', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7327', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7328', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7329', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7330', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7331', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '0', '12', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7332', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7333', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7334', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '109', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7335', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7336', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7337', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7338', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7339', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7340', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7341', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7342', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7343', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7344', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7345', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7346', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7347', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7348', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7349', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7350', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '1', '393', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7351', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '395', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7352', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '397', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7353', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '501', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7354', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '502', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7355', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '94', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7356', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '96', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7357', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '95', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7358', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '100', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7359', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '398', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7360', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7361', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7362', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7363', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7364', 'N', '2020-05-12 14:19:52', '2020-05-12 14:19:52', '97', '97', '63', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('7365', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7366', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7367', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7368', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7369', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7370', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7371', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7372', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7373', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7374', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7375', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7376', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7377', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7378', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7379', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7380', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7381', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7382', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7383', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7384', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7385', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7386', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7387', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7388', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7389', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7390', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7391', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7392', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7393', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7394', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7395', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '414', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7396', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '1', '393', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7397', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '395', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7398', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '397', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7399', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '94', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7400', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '96', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7401', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '95', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7402', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '100', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7403', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '398', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7404', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '418', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7405', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '103', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7406', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '105', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7407', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '106', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7408', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '107', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7409', 'Y', '2020-05-12 14:40:09', '2020-05-12 14:41:05', '97', '97', '32', '2', '108', '45', null);
INSERT INTO `qc_module_detail` VALUES ('7410', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7411', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7412', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7413', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7414', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7415', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7416', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7417', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7418', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7419', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7420', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7421', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7422', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7423', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7424', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7425', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7426', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7427', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7428', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7429', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7430', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7431', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7432', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7433', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7434', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7435', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7436', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7437', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7438', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7439', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7440', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '1', '393', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7441', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '395', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7442', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '397', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7443', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '94', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7444', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '96', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7445', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '95', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7446', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '100', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7447', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '398', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7448', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '418', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7449', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7450', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7451', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7452', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7453', 'N', '2020-05-12 14:41:05', '2020-05-12 14:41:05', '97', '97', '32', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7454', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7455', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7456', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7457', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7458', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7459', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7460', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7461', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7462', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7463', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7464', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '12', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7465', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7466', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7467', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7468', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7469', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7470', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7471', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7472', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7473', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7474', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7475', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7476', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7477', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7478', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7479', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7480', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7481', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7482', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7483', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7484', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '1', '393', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7485', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '395', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7486', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '397', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7487', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '94', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7488', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '96', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7489', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '95', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7490', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '100', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7491', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '398', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7492', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '418', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7493', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7494', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7495', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7496', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7497', 'N', '2020-05-12 14:41:27', '2020-05-12 14:41:27', '97', '97', '31', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7498', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7499', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7500', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7501', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7502', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7503', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7504', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7505', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7506', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7507', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '12', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7508', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '15', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7509', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '401', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7510', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '0', '16', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7511', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '31', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7512', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '35', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7513', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '378', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7514', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '110', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7515', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '377', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7516', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '179', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7517', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '180', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7518', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '204', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7519', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '379', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7520', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '209', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7521', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '211', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7522', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '213', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7523', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '215', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7524', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '387', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7525', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '249', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7526', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '388', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7527', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '389', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7528', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '1', '393', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7529', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '395', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7530', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '397', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7531', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '94', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7532', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '96', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7533', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '95', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7534', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '100', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7535', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '398', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7536', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '418', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7537', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '103', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7538', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '105', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7539', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '106', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7540', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '107', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7541', 'N', '2020-05-12 14:41:51', '2020-05-12 14:41:51', '97', '97', '33', '2', '108', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7542', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '1', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7543', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '2', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7544', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '3', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7545', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '4', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7546', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '5', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7547', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '6', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7548', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '9', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7549', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '10', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7550', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '11', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7551', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '15', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7552', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '16', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7553', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '0', '12', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7554', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '31', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7555', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '35', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7556', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '378', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7557', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '110', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7558', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '377', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7559', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '179', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7560', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '180', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7561', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '204', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7562', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '379', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7563', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '209', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7564', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '211', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7565', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '213', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7566', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '215', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7567', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '387', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7568', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '249', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7569', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '388', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7570', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '389', '29', null);
INSERT INTO `qc_module_detail` VALUES ('7571', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '414', '30', null);
INSERT INTO `qc_module_detail` VALUES ('7572', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '415', '31', null);
INSERT INTO `qc_module_detail` VALUES ('7573', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '417', '32', null);
INSERT INTO `qc_module_detail` VALUES ('7574', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '1', '393', '33', null);
INSERT INTO `qc_module_detail` VALUES ('7575', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '395', '34', null);
INSERT INTO `qc_module_detail` VALUES ('7576', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '397', '35', null);
INSERT INTO `qc_module_detail` VALUES ('7577', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '501', '36', null);
INSERT INTO `qc_module_detail` VALUES ('7578', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '502', '37', null);
INSERT INTO `qc_module_detail` VALUES ('7579', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '94', '38', null);
INSERT INTO `qc_module_detail` VALUES ('7580', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '96', '39', null);
INSERT INTO `qc_module_detail` VALUES ('7581', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '95', '40', null);
INSERT INTO `qc_module_detail` VALUES ('7582', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '100', '41', null);
INSERT INTO `qc_module_detail` VALUES ('7583', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '398', '42', null);
INSERT INTO `qc_module_detail` VALUES ('7584', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '103', '43', null);
INSERT INTO `qc_module_detail` VALUES ('7585', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '105', '44', null);
INSERT INTO `qc_module_detail` VALUES ('7586', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '106', '45', null);
INSERT INTO `qc_module_detail` VALUES ('7587', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '107', '46', null);
INSERT INTO `qc_module_detail` VALUES ('7588', 'N', '2020-05-12 14:55:15', '2020-05-12 14:55:15', '97', '97', '106', '2', '108', '47', null);
INSERT INTO `qc_module_detail` VALUES ('7589', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7590', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7591', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7592', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7593', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7594', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '498', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7595', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '499', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7596', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '746', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7597', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '508', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7598', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '315', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7599', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '511', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7600', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '316', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7601', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '515', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7602', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '528', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7603', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '534', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7604', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '535', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7605', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '536', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7606', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '538', '18', null);
INSERT INTO `qc_module_detail` VALUES ('7607', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '539', '19', null);
INSERT INTO `qc_module_detail` VALUES ('7608', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '540', '20', null);
INSERT INTO `qc_module_detail` VALUES ('7609', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '317', '21', null);
INSERT INTO `qc_module_detail` VALUES ('7610', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '541', '22', null);
INSERT INTO `qc_module_detail` VALUES ('7611', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '320', '23', null);
INSERT INTO `qc_module_detail` VALUES ('7612', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '544', '24', null);
INSERT INTO `qc_module_detail` VALUES ('7613', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '685', '25', null);
INSERT INTO `qc_module_detail` VALUES ('7614', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '550', '26', null);
INSERT INTO `qc_module_detail` VALUES ('7615', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '684', '27', null);
INSERT INTO `qc_module_detail` VALUES ('7616', 'N', '2020-05-12 14:59:37', '2020-05-12 14:59:37', '103', '103', '22', '0', '340', '28', null);
INSERT INTO `qc_module_detail` VALUES ('7617', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '308', '1', null);
INSERT INTO `qc_module_detail` VALUES ('7618', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '309', '2', null);
INSERT INTO `qc_module_detail` VALUES ('7619', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '359', '3', null);
INSERT INTO `qc_module_detail` VALUES ('7620', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '375', '4', null);
INSERT INTO `qc_module_detail` VALUES ('7621', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '311', '5', null);
INSERT INTO `qc_module_detail` VALUES ('7622', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '312', '6', null);
INSERT INTO `qc_module_detail` VALUES ('7623', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '314', '7', null);
INSERT INTO `qc_module_detail` VALUES ('7624', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '316', '8', null);
INSERT INTO `qc_module_detail` VALUES ('7625', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '380', '9', null);
INSERT INTO `qc_module_detail` VALUES ('7626', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '381', '10', null);
INSERT INTO `qc_module_detail` VALUES ('7627', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '383', '11', null);
INSERT INTO `qc_module_detail` VALUES ('7628', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '700', '12', null);
INSERT INTO `qc_module_detail` VALUES ('7629', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '326', '13', null);
INSERT INTO `qc_module_detail` VALUES ('7630', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '696', '14', null);
INSERT INTO `qc_module_detail` VALUES ('7631', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '322', '15', null);
INSERT INTO `qc_module_detail` VALUES ('7632', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '337', '16', null);
INSERT INTO `qc_module_detail` VALUES ('7633', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '698', '17', null);
INSERT INTO `qc_module_detail` VALUES ('7634', 'N', '2020-05-12 15:19:23', '2020-05-12 15:19:23', '103', '103', '20', '0', '340', '18', null);

-- ----------------------------
-- Table structure for qc_module_info
-- ----------------------------
DROP TABLE IF EXISTS `qc_module_info`;
CREATE TABLE `qc_module_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '模板名称',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `mode_id` bigint(20) NOT NULL COMMENT '数据模块ID',
  `record_module_id` bigint(20) NOT NULL COMMENT 'med_record_module的id',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `INDEX_1` (`hospital_id`,`record_module_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=107 DEFAULT CHARSET=utf8 COMMENT='模型表';

-- ----------------------------
-- Records of qc_module_info
-- ----------------------------
INSERT INTO `qc_module_info` VALUES ('1', 'N', '2020-05-08 11:34:36', '2020-05-08 19:40:42', '102', '102', '入院记录-0010入院记录（男）-1', '3', '1', '23', '');
INSERT INTO `qc_module_info` VALUES ('2', 'Y', '2020-05-08 12:20:44', '2020-05-08 20:15:15', '102', '102', '入院记录-0010 入院记录（中医 女）-1', '3', '1', '17', '');
INSERT INTO `qc_module_info` VALUES ('3', 'N', '2020-05-08 13:23:43', '2020-05-08 15:12:26', '99', '99', '术前讨论、术前小结-0290 术前讨论兼术前小结-1', '3', '11', '58', '');
INSERT INTO `qc_module_info` VALUES ('4', 'N', '2020-05-08 13:26:12', '2020-05-08 13:47:44', '99', '101', '会诊申请单-0310 会诊申请-1', '3', '30', '80', '');
INSERT INTO `qc_module_info` VALUES ('5', 'N', '2020-05-08 13:54:27', '2020-05-08 14:22:31', '101', '101', '会诊结果单-会诊结果-2', '3', '31', '82', '');
INSERT INTO `qc_module_info` VALUES ('6', 'N', '2020-05-08 14:24:13', '2020-05-12 11:24:45', '103', '103', '手术记录-0900 手术记录-1', '3', '17', '59', '');
INSERT INTO `qc_module_info` VALUES ('7', 'N', '2020-05-08 15:01:37', '2020-05-12 11:25:01', '103', '103', '手术记录-0900 手术记录02-2', '3', '17', '62', '');
INSERT INTO `qc_module_info` VALUES ('8', 'N', '2020-05-08 15:04:00', '2020-05-08 15:13:01', '102', '102', '死亡病例讨论记录-死亡病例讨论-1', '3', '3', '35', '');
INSERT INTO `qc_module_info` VALUES ('9', 'N', '2020-05-08 15:04:24', '2020-05-08 15:04:24', '101', '101', '会诊记录-0310 会诊记录-1', '3', '7', '54', '');
INSERT INTO `qc_module_info` VALUES ('10', 'N', '2020-05-08 15:18:59', '2020-05-08 17:11:42', '99', '99', '术前讨论、术前小结-0290 术前小结-1', '3', '11', '56', '');
INSERT INTO `qc_module_info` VALUES ('11', 'N', '2020-05-08 15:45:29', '2020-05-08 15:45:29', '101', '101', '输血/血制品病程记录-0341 血液制品输注前评估及输注过程记录（输血）-1', '3', '10', '55', '');
INSERT INTO `qc_module_info` VALUES ('12', 'N', '2020-05-08 15:53:16', '2020-05-08 15:53:16', '99', '99', '抢救记录-0150 抢救记录02-1', '3', '22', '69', '');
INSERT INTO `qc_module_info` VALUES ('13', 'N', '2020-05-08 15:59:39', '2020-05-12 11:25:19', '103', '103', '手术记录-0900 手术记录02-1', '3', '17', '61', '');
INSERT INTO `qc_module_info` VALUES ('14', 'N', '2020-05-08 16:25:16', '2020-05-12 11:25:26', '103', '103', '手术记录-0901 硬膜下血肿手术手术记录-1', '3', '17', '60', '');
INSERT INTO `qc_module_info` VALUES ('15', 'N', '2020-05-08 16:32:28', '2020-05-09 19:25:08', '102', '99', '出院小结-0840 出院记录-1', '3', '5', '46', '');
INSERT INTO `qc_module_info` VALUES ('16', 'N', '2020-05-08 17:06:32', '2020-05-08 17:06:32', '101', '101', '输血后效果评价-0342 输血/血液制品输注后疗效评价（输血）-1', '3', '32', '83', '');
INSERT INTO `qc_module_info` VALUES ('17', 'N', '2020-05-08 17:38:16', '2020-05-09 11:16:18', '99', '99', '转入记录-0230 转入记录-1', '3', '26', '75', '');
INSERT INTO `qc_module_info` VALUES ('18', 'N', '2020-05-08 17:38:45', '2020-05-09 11:20:59', '99', '99', '转出记录-0220 转出记录-1', '3', '27', '76', '');
INSERT INTO `qc_module_info` VALUES ('19', 'N', '2020-05-08 17:42:51', '2020-05-09 16:55:10', '103', '103', '术后首次病程及谈话记录-0160 术后首次病程录-2', '3', '18', '64', '');
INSERT INTO `qc_module_info` VALUES ('20', 'N', '2020-05-08 18:02:52', '2020-05-12 15:19:23', '103', '103', '术后首次病程及谈话记录-0160 术后首次病程录02-1', '3', '18', '66', '');
INSERT INTO `qc_module_info` VALUES ('21', 'Y', '2020-05-08 18:05:47', '2020-05-09 19:37:22', '102', '103', '出院小结-0840 出院记录（手术）-3', '3', '5', '50', '');
INSERT INTO `qc_module_info` VALUES ('22', 'N', '2020-05-08 19:30:06', '2020-05-12 14:59:37', '103', '103', '术后首次病程及谈话记录-0073 (日间)手术及术后首次病程记录-1', '3', '18', '65', '');
INSERT INTO `qc_module_info` VALUES ('23', 'N', '2020-05-08 19:30:35', '2020-05-09 16:37:25', '103', '103', '术后首次病程及谈话记录-0160 术后首次病程录-1', '3', '18', '63', '');
INSERT INTO `qc_module_info` VALUES ('24', 'N', '2020-05-08 19:31:41', '2020-05-09 18:57:14', '103', '103', '术后首次病程及谈话记录-0160 术后首次病程录02-2', '3', '18', '67', '');
INSERT INTO `qc_module_info` VALUES ('25', 'N', '2020-05-08 19:35:23', '2020-05-08 20:32:24', '103', '103', '阶段小结-0240 阶段小结-1', '3', '28', '77', '');
INSERT INTO `qc_module_info` VALUES ('26', 'N', '2020-05-08 20:06:22', '2020-05-09 14:37:04', '99', '99', '病危通知书-0433 病危（重）通知-1', '3', '25', '73', '');
INSERT INTO `qc_module_info` VALUES ('27', 'N', '2020-05-08 20:15:19', '2020-05-08 20:15:19', '102', '102', '入院记录-0010 入院记录（中医 女）-1', '3', '1', '17', '');
INSERT INTO `qc_module_info` VALUES ('28', 'N', '2020-05-08 20:15:56', '2020-05-08 20:15:56', '102', '102', '入院记录-0010 入院记录（中医 女）-2', '3', '1', '89', '');
INSERT INTO `qc_module_info` VALUES ('29', 'N', '2020-05-08 20:16:35', '2020-05-08 20:16:35', '102', '102', '入院记录-0010 入院记录（中医 女）-3', '3', '1', '90', '');
INSERT INTO `qc_module_info` VALUES ('30', 'Y', '2020-05-08 20:16:38', '2020-05-09 19:05:50', '102', '99', '出院小结-0840 出院记录-2', '3', '5', '47', '');
INSERT INTO `qc_module_info` VALUES ('31', 'N', '2020-05-08 20:18:17', '2020-05-12 14:41:27', '102', '97', '入院记录-0010 入院记录（中医 男）-1', '3', '1', '15', '');
INSERT INTO `qc_module_info` VALUES ('32', 'N', '2020-05-08 20:18:54', '2020-05-12 14:41:05', '102', '97', '入院记录-0010 入院记录（中医 男）-2', '3', '1', '16', '');
INSERT INTO `qc_module_info` VALUES ('33', 'N', '2020-05-08 20:19:31', '2020-05-12 14:41:51', '102', '97', '入院记录-0010 入院记录（中医 男）-3', '3', '1', '88', '');
INSERT INTO `qc_module_info` VALUES ('34', 'Y', '2020-05-08 20:29:12', '2020-05-09 19:37:15', '102', '103', '出院小结-0840 出院记录（手术）-1', '3', '5', '48', '');
INSERT INTO `qc_module_info` VALUES ('35', 'Y', '2020-05-08 20:34:50', '2020-05-09 19:37:18', '102', '103', '出院小结-0840 出院记录（手术）-2', '3', '5', '49', '');
INSERT INTO `qc_module_info` VALUES ('36', 'N', '2020-05-09 09:27:50', '2020-05-12 11:46:50', '103', '103', '阶段小结-0240 阶段小结02-1', '3', '28', '78', '');
INSERT INTO `qc_module_info` VALUES ('37', 'N', '2020-05-09 09:42:30', '2020-05-09 15:43:31', '101', '101', '查房记录-0120 上级查房记录-1', '3', '4', '38', '');
INSERT INTO `qc_module_info` VALUES ('38', 'N', '2020-05-09 09:44:59', '2020-05-11 15:37:52', '102', '102', '入院记录-0010 入院记录（产科）-1', '3', '1', '7', '');
INSERT INTO `qc_module_info` VALUES ('39', 'N', '2020-05-09 09:46:23', '2020-05-11 14:45:15', '102', '103', '入院记录-0010 入院记录（产科）-2', '3', '1', '8', '');
INSERT INTO `qc_module_info` VALUES ('40', 'N', '2020-05-09 09:46:33', '2020-05-09 09:46:33', '102', '102', '入院记录-0010 入院记录（产科）-3', '3', '1', '86', '');
INSERT INTO `qc_module_info` VALUES ('41', 'Y', '2020-05-09 09:47:23', '2020-05-09 19:28:56', '102', '99', '出院小结-0840 出院记录（非手术）-1', '3', '5', '51', '');
INSERT INTO `qc_module_info` VALUES ('42', 'N', '2020-05-09 09:47:26', '2020-05-09 09:47:26', '102', '102', '入院记录-0010 入院记录（产科）-4', '3', '1', '87', '');
INSERT INTO `qc_module_info` VALUES ('43', 'N', '2020-05-09 10:01:44', '2020-05-12 12:33:02', '103', '103', '阶段小结-0240 阶段小结02-2', '3', '28', '79', '');
INSERT INTO `qc_module_info` VALUES ('44', 'N', '2020-05-09 10:08:02', '2020-05-09 10:08:02', '99', '99', '疑难病例讨论记录-0280 疑难病例讨论02-1', '3', '19', '68', '');
INSERT INTO `qc_module_info` VALUES ('45', 'N', '2020-05-09 10:08:43', '2020-05-11 10:19:29', '101', '101', '查房记录-0120 上级查房记录-3', '3', '4', '40', '');
INSERT INTO `qc_module_info` VALUES ('46', 'Y', '2020-05-09 10:08:59', '2020-05-09 20:22:26', '102', '102', '出院小结-0840 出院记录（非手术）-2', '3', '5', '52', '');
INSERT INTO `qc_module_info` VALUES ('47', 'N', '2020-05-09 10:11:53', '2020-05-12 13:45:04', '101', '101', '查房记录-0110 主刀医生术前查房记录(SOAP)-1', '3', '4', '44', '');
INSERT INTO `qc_module_info` VALUES ('48', 'N', '2020-05-09 10:18:00', '2020-05-09 16:03:13', '102', '102', '入院记录-0010 入院记录（儿）-1', '3', '1', '13', '');
INSERT INTO `qc_module_info` VALUES ('49', 'N', '2020-05-09 10:18:11', '2020-05-09 16:21:47', '102', '102', '入院记录-0010 入院记录（儿）-2', '3', '1', '14', '');
INSERT INTO `qc_module_info` VALUES ('50', 'N', '2020-05-09 10:35:58', '2020-05-09 15:41:54', '101', '101', '查房记录-0130 普通病程录-1', '3', '4', '41', '');
INSERT INTO `qc_module_info` VALUES ('51', 'Y', '2020-05-09 10:42:00', '2020-05-09 20:20:53', '102', '99', '出院小结-0840 出院记录（非手术）-3', '3', '5', '53', '');
INSERT INTO `qc_module_info` VALUES ('52', 'N', '2020-05-09 10:50:53', '2020-05-09 10:50:53', '102', '102', '入院记录-0010 入院记录（新生儿）-1', '3', '1', '18', '');
INSERT INTO `qc_module_info` VALUES ('53', 'N', '2020-05-09 10:51:32', '2020-05-09 10:51:32', '102', '102', '入院记录-0010 入院记录（新生儿）-2', '3', '1', '91', '');
INSERT INTO `qc_module_info` VALUES ('54', 'N', '2020-05-09 10:53:51', '2020-05-09 10:53:51', '101', '101', '查房记录-0130 普通病程录-2', '3', '4', '42', '');
INSERT INTO `qc_module_info` VALUES ('55', 'N', '2020-05-09 10:54:22', '2020-05-09 10:54:22', '101', '101', '查房记录-查房记录(简单)-1', '3', '4', '94', '');
INSERT INTO `qc_module_info` VALUES ('56', 'N', '2020-05-09 10:56:01', '2020-05-09 15:43:50', '101', '101', '查房记录-0110 查房记录(SOAP)-1', '3', '4', '37', '');
INSERT INTO `qc_module_info` VALUES ('57', 'N', '2020-05-09 10:57:34', '2020-05-09 10:57:34', '101', '101', '查房记录-新生儿普通病程记录-1', '3', '4', '43', '');
INSERT INTO `qc_module_info` VALUES ('58', 'N', '2020-05-09 10:57:54', '2020-05-11 14:02:47', '101', '101', '查房记录-0120 上级查房记录-2', '3', '4', '39', '');
INSERT INTO `qc_module_info` VALUES ('59', 'N', '2020-05-09 11:07:18', '2020-05-12 14:18:15', '102', '97', '入院记录-0010 入院记录（男）-1', '3', '1', '9', '');
INSERT INTO `qc_module_info` VALUES ('60', 'N', '2020-05-09 11:10:35', '2020-05-12 14:19:21', '102', '97', '入院记录-0010 入院记录（男）-2', '3', '1', '10', '');
INSERT INTO `qc_module_info` VALUES ('61', 'N', '2020-05-09 11:10:36', '2020-05-09 11:10:36', '102', '102', '死亡病例讨论记录-死亡病例讨论-2', '3', '3', '36', '');
INSERT INTO `qc_module_info` VALUES ('62', 'N', '2020-05-09 11:10:43', '2020-05-09 11:10:43', '102', '102', '死亡病例讨论记录-死亡病例讨论-3', '3', '3', '93', '');
INSERT INTO `qc_module_info` VALUES ('63', 'N', '2020-05-09 11:12:21', '2020-05-12 14:19:52', '102', '97', '入院记录-0010 入院记录（男）-3', '3', '1', '11', '');
INSERT INTO `qc_module_info` VALUES ('64', 'N', '2020-05-09 11:19:48', '2020-05-12 11:33:08', '102', '97', '入院记录-0010 再次入院（女）-1', '3', '1', '21', '');
INSERT INTO `qc_module_info` VALUES ('65', 'N', '2020-05-09 11:21:25', '2020-05-09 17:01:22', '102', '102', '入院记录-0010 再次入院（女）-2', '3', '1', '22', '');
INSERT INTO `qc_module_info` VALUES ('66', 'N', '2020-05-09 11:23:35', '2020-05-09 17:05:07', '102', '102', '入院记录-0010 再次入院（男）-1', '3', '1', '19', '');
INSERT INTO `qc_module_info` VALUES ('67', 'N', '2020-05-09 11:24:22', '2020-05-09 17:07:44', '102', '102', '入院记录-0010 再次入院（男）-2', '3', '1', '20', '');
INSERT INTO `qc_module_info` VALUES ('68', 'N', '2020-05-09 11:38:36', '2020-05-09 17:17:04', '102', '102', '入院记录-0011 入院记录（神经外科--女）-1', '3', '1', '12', '');
INSERT INTO `qc_module_info` VALUES ('69', 'N', '2020-05-09 11:40:06', '2020-05-09 11:40:06', '102', '102', '入院记录-0840 出院记录02-1', '3', '1', '25', '');
INSERT INTO `qc_module_info` VALUES ('70', 'N', '2020-05-09 13:09:39', '2020-05-09 13:09:39', '102', '102', '入院记录-0010 入院记录（女）-3', '3', '1', '5', '');
INSERT INTO `qc_module_info` VALUES ('71', 'N', '2020-05-09 13:11:13', '2020-05-09 17:25:51', '102', '102', '入院记录-0010 入院记录（女）-4', '3', '1', '6', '');
INSERT INTO `qc_module_info` VALUES ('72', 'N', '2020-05-09 13:14:41', '2020-05-09 13:14:41', '102', '102', '入院记录-0010入院记录（男）-2', '3', '1', '24', '');
INSERT INTO `qc_module_info` VALUES ('73', 'N', '2020-05-09 13:17:47', '2020-05-09 13:17:47', '101', '101', '会诊结果单-会诊结果-1', '3', '31', '81', '');
INSERT INTO `qc_module_info` VALUES ('74', 'N', '2020-05-09 13:41:57', '2020-05-09 17:39:07', '99', '103', '危急值记录-0330 危急值处置记录-1', '3', '23', '70', '');
INSERT INTO `qc_module_info` VALUES ('75', 'Y', '2020-05-09 13:42:18', '2020-05-09 20:10:50', '102', '104', '首次病程录-0300 首次病程录-1', '3', '2', '34', '');
INSERT INTO `qc_module_info` VALUES ('76', 'N', '2020-05-09 13:54:02', '2020-05-09 13:54:02', '99', '99', '死亡记录-0850 死亡记录-2', '3', '24', '72', '');
INSERT INTO `qc_module_info` VALUES ('77', 'N', '2020-05-09 14:08:05', '2020-05-09 15:27:08', '99', '99', '病理检验送检单-0961 常规病理检验申请单-1', '3', '35', '85', '');
INSERT INTO `qc_module_info` VALUES ('78', 'Y', '2020-05-09 14:14:16', '2020-05-09 20:58:21', '102', '104', '首次病程录-0300 首次病程录02-1', '3', '2', '27', '');
INSERT INTO `qc_module_info` VALUES ('79', 'N', '2020-05-09 14:41:18', '2020-05-09 19:55:52', '102', '104', '首次病程录-0300 首次病程录02-2', '3', '2', '28', '');
INSERT INTO `qc_module_info` VALUES ('80', 'Y', '2020-05-09 14:55:14', '2020-05-09 20:06:44', '102', '104', '首次病程录-0300 首次病程录02-3', '3', '2', '29', '');
INSERT INTO `qc_module_info` VALUES ('81', 'Y', '2020-05-09 14:59:09', '2020-05-09 20:07:16', '102', '104', '首次病程录-0300 首次病程录02-4', '3', '2', '30', '');
INSERT INTO `qc_module_info` VALUES ('82', 'N', '2020-05-09 15:00:55', '2020-05-09 15:00:55', '101', '101', '查房记录-0291 术前讨论（术前小结）兼主刀查房-1', '3', '4', '45', '');
INSERT INTO `qc_module_info` VALUES ('83', 'Y', '2020-05-09 15:04:47', '2020-05-09 20:07:18', '102', '104', '首次病程录-0300 首次病程录02-5', '3', '2', '31', '');
INSERT INTO `qc_module_info` VALUES ('84', 'Y', '2020-05-09 15:09:04', '2020-05-09 20:07:20', '102', '104', '首次病程录-0300 首次病程录02-6', '3', '2', '32', '');
INSERT INTO `qc_module_info` VALUES ('85', 'N', '2020-05-09 15:25:19', '2020-05-09 20:42:12', '102', '104', '首次病程录-0300 首次病程录（中医）-1', '3', '2', '33', '');
INSERT INTO `qc_module_info` VALUES ('86', 'N', '2020-05-09 15:28:12', '2020-05-09 15:28:12', '99', '99', '病理检验送检单-0971 手术中快速冰冻切片病理送检单-1', '3', '35', '84', '');
INSERT INTO `qc_module_info` VALUES ('87', 'N', '2020-05-09 15:34:06', '2020-05-09 20:03:37', '102', '104', '首次病程录-神经外科-首次病程-1', '3', '2', '26', '');
INSERT INTO `qc_module_info` VALUES ('88', 'N', '2020-05-09 15:46:55', '2020-05-09 15:46:55', '99', '99', '转出记录-0220 转出记录-2', '3', '27', '98', '');
INSERT INTO `qc_module_info` VALUES ('89', 'N', '2020-05-09 19:08:35', '2020-05-09 19:08:35', '99', '99', '出院小结-0840 出院记录-2', '3', '5', '47', '');
INSERT INTO `qc_module_info` VALUES ('90', 'N', '2020-05-09 19:39:46', '2020-05-09 20:19:51', '99', '102', '出院小结-0840 出院记录（非手术）-1', '3', '5', '51', '');
INSERT INTO `qc_module_info` VALUES ('91', 'N', '2020-05-09 19:40:23', '2020-05-09 21:01:39', '103', '99', '出院小结-0840 出院记录（手术）-1', '3', '5', '48', '');
INSERT INTO `qc_module_info` VALUES ('92', 'Y', '2020-05-09 19:40:34', '2020-05-09 21:02:49', '103', '102', '出院小结-0840 出院记录（手术）-2', '3', '5', '49', '');
INSERT INTO `qc_module_info` VALUES ('93', 'Y', '2020-05-09 19:40:40', '2020-05-09 21:03:00', '103', '102', '出院小结-0840 出院记录（手术）-3', '3', '5', '50', '');
INSERT INTO `qc_module_info` VALUES ('94', 'N', '2020-05-09 20:07:01', '2020-05-09 20:07:01', '104', '104', '首次病程录-0300 首次病程录02-3', '3', '2', '29', '');
INSERT INTO `qc_module_info` VALUES ('95', 'N', '2020-05-09 20:07:28', '2020-05-09 20:07:28', '104', '104', '首次病程录-0300 首次病程录02-4', '3', '2', '30', '');
INSERT INTO `qc_module_info` VALUES ('96', 'N', '2020-05-09 20:07:38', '2020-05-09 20:07:38', '104', '104', '首次病程录-0300 首次病程录02-5', '3', '2', '31', '');
INSERT INTO `qc_module_info` VALUES ('97', 'N', '2020-05-09 20:07:48', '2020-05-09 20:07:48', '104', '104', '首次病程录-0300 首次病程录02-6', '3', '2', '32', '');
INSERT INTO `qc_module_info` VALUES ('98', 'N', '2020-05-09 20:11:12', '2020-05-09 20:11:12', '104', '104', '首次病程录-0300 首次病程录-1', '3', '2', '34', '');
INSERT INTO `qc_module_info` VALUES ('99', 'Y', '2020-05-09 20:22:34', '2020-05-09 20:23:07', '102', '99', '出院小结-0840 出院记录（非手术）-3', '3', '5', '53', '');
INSERT INTO `qc_module_info` VALUES ('100', 'N', '2020-05-09 20:23:21', '2020-05-09 20:34:39', '99', '99', '出院小结-0840 出院记录（非手术）-3', '3', '5', '53', '');
INSERT INTO `qc_module_info` VALUES ('101', 'N', '2020-05-09 20:30:10', '2020-05-09 20:42:02', '102', '102', '出院小结-0840 出院记录（非手术）-2', '3', '5', '52', '');
INSERT INTO `qc_module_info` VALUES ('102', 'N', '2020-05-09 20:44:07', '2020-05-09 20:44:07', '104', '104', '首次病程录-0300 首次病程录（中医）-2', '3', '2', '92', '');
INSERT INTO `qc_module_info` VALUES ('103', 'N', '2020-05-09 20:58:39', '2020-05-09 20:59:54', '104', '104', '首次病程录-0300 首次病程录02-1', '3', '2', '27', '');
INSERT INTO `qc_module_info` VALUES ('104', 'N', '2020-05-09 21:03:10', '2020-05-09 21:36:10', '102', '102', '出院小结-0840 出院记录（手术）-2', '3', '5', '49', '');
INSERT INTO `qc_module_info` VALUES ('105', 'N', '2020-05-09 21:03:22', '2020-05-09 21:38:23', '102', '99', '出院小结-0840 出院记录（手术）-3', '3', '5', '50', '');
INSERT INTO `qc_module_info` VALUES ('106', 'N', '2020-05-12 14:55:14', '2020-05-12 14:55:14', '97', '97', '入院记录-0010 入院记录（女）-2', '3', '1', '4', '');

-- ----------------------------
-- Table structure for qc_question_entry
-- ----------------------------
DROP TABLE IF EXISTS `qc_question_entry`;
CREATE TABLE `qc_question_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `question_id` bigint(20) DEFAULT NULL COMMENT 'question_id',
  `cases_entry_id` bigint(20) DEFAULT NULL COMMENT 'cases_entry_id',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `question_id` (`question_id`),
  KEY `cases_entry_id` (`cases_entry_id`)
) ENGINE=InnoDB AUTO_INCREMENT=352 DEFAULT CHARSET=utf8 COMMENT='标签条目映射表';

-- ----------------------------
-- Records of qc_question_entry
-- ----------------------------
INSERT INTO `qc_question_entry` VALUES ('1', 'N', '2020-05-08 10:03:43', '2020-05-08 10:03:43', '102', '102', '2', '2404', '1', null);
INSERT INTO `qc_question_entry` VALUES ('2', 'Y', '2020-05-08 10:04:03', '2020-05-09 14:50:44', '102', '97', '1', '2397', '1', null);
INSERT INTO `qc_question_entry` VALUES ('3', 'Y', '2020-05-08 10:04:03', '2020-05-09 14:50:44', '102', '97', '1', '2408', '2', null);
INSERT INTO `qc_question_entry` VALUES ('4', 'N', '2020-05-08 10:08:38', '2020-05-08 10:08:38', '102', '102', '3', '2396', '1', null);
INSERT INTO `qc_question_entry` VALUES ('5', 'N', '2020-05-08 10:08:38', '2020-05-08 10:08:38', '102', '102', '3', '2407', '2', null);
INSERT INTO `qc_question_entry` VALUES ('6', 'N', '2020-05-08 10:18:24', '2020-05-08 10:18:24', '102', '102', '4', '2777', '1', null);
INSERT INTO `qc_question_entry` VALUES ('7', 'N', '2020-05-08 10:20:05', '2020-05-08 10:20:05', '102', '102', '5', '2374', '1', null);
INSERT INTO `qc_question_entry` VALUES ('8', 'N', '2020-05-08 10:20:05', '2020-05-08 10:20:05', '102', '102', '5', '2375', '2', null);
INSERT INTO `qc_question_entry` VALUES ('9', 'Y', '2020-05-08 10:23:35', '2020-05-11 13:35:51', '102', '103', '6', '2373', '1', null);
INSERT INTO `qc_question_entry` VALUES ('10', 'N', '2020-05-08 10:28:46', '2020-05-08 10:28:46', '102', '102', '9', '2391', '1', null);
INSERT INTO `qc_question_entry` VALUES ('11', 'N', '2020-05-08 10:31:23', '2020-05-08 10:31:23', '102', '102', '10', '2385', '1', null);
INSERT INTO `qc_question_entry` VALUES ('12', 'N', '2020-05-08 10:32:03', '2020-05-08 10:32:03', '102', '102', '11', '2392', '1', null);
INSERT INTO `qc_question_entry` VALUES ('13', 'N', '2020-05-08 10:32:03', '2020-05-08 10:32:03', '102', '102', '11', '2403', '2', null);
INSERT INTO `qc_question_entry` VALUES ('14', 'N', '2020-05-08 10:34:26', '2020-05-08 10:34:26', '102', '102', '12', '2388', '1', null);
INSERT INTO `qc_question_entry` VALUES ('15', 'N', '2020-05-08 10:34:26', '2020-05-08 10:34:26', '102', '102', '12', '2399', '2', null);
INSERT INTO `qc_question_entry` VALUES ('16', 'N', '2020-05-08 10:34:26', '2020-05-08 10:34:26', '102', '102', '12', '2849', '3', null);
INSERT INTO `qc_question_entry` VALUES ('17', 'N', '2020-05-08 10:36:12', '2020-05-08 10:36:12', '102', '102', '15', '2394', '1', null);
INSERT INTO `qc_question_entry` VALUES ('18', 'N', '2020-05-08 10:36:12', '2020-05-08 10:36:12', '102', '102', '15', '2405', '2', null);
INSERT INTO `qc_question_entry` VALUES ('19', 'Y', '2020-05-08 10:37:08', '2020-05-08 10:37:28', '102', '102', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('20', 'Y', '2020-05-08 10:37:28', '2020-05-09 10:39:00', '102', '105', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('21', 'Y', '2020-05-08 10:49:57', '2020-05-08 11:08:23', '102', '102', '31', '2771', '1', null);
INSERT INTO `qc_question_entry` VALUES ('22', 'Y', '2020-05-08 10:49:57', '2020-05-08 11:08:23', '102', '102', '31', '2850', '2', null);
INSERT INTO `qc_question_entry` VALUES ('23', 'Y', '2020-05-08 10:49:57', '2020-05-08 11:08:23', '102', '102', '31', '2766', '3', null);
INSERT INTO `qc_question_entry` VALUES ('24', 'Y', '2020-05-08 10:49:57', '2020-05-08 11:08:23', '102', '102', '31', '2765', '4', null);
INSERT INTO `qc_question_entry` VALUES ('25', 'Y', '2020-05-08 10:49:57', '2020-05-08 11:08:23', '102', '102', '31', '2764', '5', null);
INSERT INTO `qc_question_entry` VALUES ('26', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2255', '1', null);
INSERT INTO `qc_question_entry` VALUES ('27', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2360', '2', null);
INSERT INTO `qc_question_entry` VALUES ('28', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2361', '3', null);
INSERT INTO `qc_question_entry` VALUES ('29', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2362', '4', null);
INSERT INTO `qc_question_entry` VALUES ('30', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2364', '5', null);
INSERT INTO `qc_question_entry` VALUES ('31', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2368', '6', null);
INSERT INTO `qc_question_entry` VALUES ('32', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2369', '7', null);
INSERT INTO `qc_question_entry` VALUES ('33', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2370', '8', null);
INSERT INTO `qc_question_entry` VALUES ('34', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2371', '9', null);
INSERT INTO `qc_question_entry` VALUES ('35', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2372', '10', null);
INSERT INTO `qc_question_entry` VALUES ('36', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2751', '11', null);
INSERT INTO `qc_question_entry` VALUES ('37', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2753', '12', null);
INSERT INTO `qc_question_entry` VALUES ('38', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2757', '13', null);
INSERT INTO `qc_question_entry` VALUES ('39', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2760', '14', null);
INSERT INTO `qc_question_entry` VALUES ('40', 'Y', '2020-05-08 10:55:08', '2020-05-09 17:45:13', '102', '103', '35', '2761', '15', null);
INSERT INTO `qc_question_entry` VALUES ('41', 'Y', '2020-05-08 11:08:23', '2020-05-09 17:44:48', '102', '103', '31', '2771', '1', null);
INSERT INTO `qc_question_entry` VALUES ('42', 'Y', '2020-05-08 11:08:23', '2020-05-09 17:44:48', '102', '103', '31', '2850', '2', null);
INSERT INTO `qc_question_entry` VALUES ('43', 'Y', '2020-05-08 11:08:23', '2020-05-09 17:44:48', '102', '103', '31', '2766', '3', null);
INSERT INTO `qc_question_entry` VALUES ('44', 'Y', '2020-05-08 11:08:23', '2020-05-09 17:44:48', '102', '103', '31', '2765', '4', null);
INSERT INTO `qc_question_entry` VALUES ('45', 'Y', '2020-05-08 11:08:23', '2020-05-09 17:44:48', '102', '103', '31', '2764', '5', null);
INSERT INTO `qc_question_entry` VALUES ('46', 'Y', '2020-05-08 11:34:22', '2020-05-09 19:22:26', '102', '102', '63', '2668', '1', null);
INSERT INTO `qc_question_entry` VALUES ('47', 'N', '2020-05-08 11:35:14', '2020-05-08 11:35:14', '102', '102', '65', '2667', '1', null);
INSERT INTO `qc_question_entry` VALUES ('48', 'Y', '2020-05-08 11:36:00', '2020-05-08 15:10:11', '102', '102', '66', '2671', '1', null);
INSERT INTO `qc_question_entry` VALUES ('49', 'Y', '2020-05-08 11:38:06', '2020-05-09 19:27:43', '102', '102', '69', '2669', '1', null);
INSERT INTO `qc_question_entry` VALUES ('50', 'Y', '2020-05-08 11:40:41', '2020-05-09 19:33:07', '102', '102', '77', '2680', '1', null);
INSERT INTO `qc_question_entry` VALUES ('51', 'Y', '2020-05-08 11:44:20', '2020-05-08 15:12:06', '102', '102', '83', '2258', '1', null);
INSERT INTO `qc_question_entry` VALUES ('52', 'Y', '2020-05-08 11:54:09', '2020-05-09 19:46:39', '102', '102', '85', '2257', '1', null);
INSERT INTO `qc_question_entry` VALUES ('53', 'Y', '2020-05-08 13:16:26', '2020-05-09 19:48:52', '102', '102', '91', '2821', '1', null);
INSERT INTO `qc_question_entry` VALUES ('54', 'Y', '2020-05-08 13:20:07', '2020-05-09 15:35:56', '103', '105', '92', '2170', '1', null);
INSERT INTO `qc_question_entry` VALUES ('55', 'Y', '2020-05-08 13:20:43', '2020-05-09 13:25:53', '103', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('56', 'Y', '2020-05-08 13:20:43', '2020-05-09 13:25:53', '103', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('57', 'Y', '2020-05-08 13:21:55', '2020-05-09 13:25:39', '103', '97', '24', '2188', '1', null);
INSERT INTO `qc_question_entry` VALUES ('58', 'Y', '2020-05-08 13:21:55', '2020-05-09 13:25:39', '103', '97', '24', '2186', '2', null);
INSERT INTO `qc_question_entry` VALUES ('59', 'Y', '2020-05-08 13:22:34', '2020-05-08 14:36:07', '103', '103', '51', '2437', '1', null);
INSERT INTO `qc_question_entry` VALUES ('60', 'Y', '2020-05-08 13:22:56', '2020-05-08 14:30:18', '103', '103', '34', '2438', '1', null);
INSERT INTO `qc_question_entry` VALUES ('61', 'Y', '2020-05-08 13:23:08', '2020-05-09 13:45:08', '103', '103', '28', '2439', '1', null);
INSERT INTO `qc_question_entry` VALUES ('62', 'N', '2020-05-08 13:26:09', '2020-05-08 13:26:09', '103', '103', '44', '2440', '1', null);
INSERT INTO `qc_question_entry` VALUES ('63', 'Y', '2020-05-08 13:26:36', '2020-05-09 13:45:38', '103', '103', '29', '2441', '1', null);
INSERT INTO `qc_question_entry` VALUES ('64', 'N', '2020-05-08 13:32:49', '2020-05-08 13:32:49', '103', '103', '18', '2471', '1', null);
INSERT INTO `qc_question_entry` VALUES ('65', 'N', '2020-05-08 13:39:56', '2020-05-08 13:39:56', '102', '102', '103', '2317', '1', null);
INSERT INTO `qc_question_entry` VALUES ('66', 'Y', '2020-05-08 13:45:57', '2020-05-09 16:08:29', '103', '105', '36', '2824', '1', null);
INSERT INTO `qc_question_entry` VALUES ('67', 'Y', '2020-05-08 13:46:20', '2020-05-08 14:26:10', '103', '103', '40', '2825', '1', null);
INSERT INTO `qc_question_entry` VALUES ('68', 'Y', '2020-05-08 13:46:35', '2020-05-09 16:19:42', '103', '105', '42', '2826', '1', null);
INSERT INTO `qc_question_entry` VALUES ('69', 'Y', '2020-05-08 13:46:50', '2020-05-09 16:19:23', '103', '105', '43', '2827', '1', null);
INSERT INTO `qc_question_entry` VALUES ('70', 'N', '2020-05-08 13:47:06', '2020-05-08 13:47:06', '103', '103', '45', '2828', '1', null);
INSERT INTO `qc_question_entry` VALUES ('71', 'Y', '2020-05-08 13:47:32', '2020-05-09 11:04:22', '103', '97', '26', '2829', '1', null);
INSERT INTO `qc_question_entry` VALUES ('72', 'N', '2020-05-08 13:47:46', '2020-05-08 13:47:46', '103', '103', '80', '2830', '1', null);
INSERT INTO `qc_question_entry` VALUES ('73', 'N', '2020-05-08 13:48:00', '2020-05-08 13:48:00', '103', '103', '86', '2831', '1', null);
INSERT INTO `qc_question_entry` VALUES ('74', 'Y', '2020-05-08 14:26:10', '2020-05-12 16:07:10', '103', '103', '40', '2825', '1', null);
INSERT INTO `qc_question_entry` VALUES ('75', 'Y', '2020-05-08 14:30:18', '2020-05-09 13:45:27', '103', '103', '34', '2438', '1', null);
INSERT INTO `qc_question_entry` VALUES ('76', 'Y', '2020-05-08 14:36:07', '2020-05-09 13:46:18', '103', '103', '51', '2437', '1', null);
INSERT INTO `qc_question_entry` VALUES ('77', 'Y', '2020-05-08 14:42:11', '2020-05-08 19:09:23', '99', '99', '164', '2134', '1', null);
INSERT INTO `qc_question_entry` VALUES ('78', 'Y', '2020-05-08 15:07:09', '2020-05-09 19:21:42', '102', '102', '61', '2674', '1', null);
INSERT INTO `qc_question_entry` VALUES ('79', 'Y', '2020-05-08 15:10:11', '2020-05-09 19:25:10', '102', '102', '66', '2671', '1', null);
INSERT INTO `qc_question_entry` VALUES ('80', 'Y', '2020-05-08 15:10:11', '2020-05-09 19:25:10', '102', '102', '66', '2672', '2', null);
INSERT INTO `qc_question_entry` VALUES ('81', 'Y', '2020-05-08 15:10:44', '2020-05-09 19:33:49', '102', '102', '79', '2676', '1', null);
INSERT INTO `qc_question_entry` VALUES ('82', 'Y', '2020-05-08 15:12:06', '2020-05-09 19:45:12', '102', '102', '83', '2258', '1', null);
INSERT INTO `qc_question_entry` VALUES ('83', 'Y', '2020-05-08 15:12:06', '2020-05-09 19:45:12', '102', '102', '83', '2675', '2', null);
INSERT INTO `qc_question_entry` VALUES ('84', 'N', '2020-05-08 15:26:59', '2020-05-08 15:26:59', '99', '99', '214', '2135', '1', null);
INSERT INTO `qc_question_entry` VALUES ('85', 'N', '2020-05-08 15:29:05', '2020-05-08 15:29:05', '99', '99', '225', '2133', '1', null);
INSERT INTO `qc_question_entry` VALUES ('86', 'Y', '2020-05-08 15:41:55', '2020-05-09 10:15:26', '99', '97', '253', '2132', '1', null);
INSERT INTO `qc_question_entry` VALUES ('87', 'N', '2020-05-08 15:44:30', '2020-05-08 15:44:30', '99', '99', '258', '2136', '1', null);
INSERT INTO `qc_question_entry` VALUES ('88', 'N', '2020-05-08 16:10:40', '2020-05-08 16:10:40', '102', '102', '273', '2413', '1', null);
INSERT INTO `qc_question_entry` VALUES ('89', 'Y', '2020-05-08 16:12:25', '2020-05-09 17:13:14', '102', '99', '278', '2629', '1', null);
INSERT INTO `qc_question_entry` VALUES ('90', 'Y', '2020-05-08 16:15:34', '2020-05-09 17:16:50', '102', '99', '282', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('91', 'Y', '2020-05-08 16:15:46', '2020-05-09 17:13:02', '102', '99', '276', '2632', '1', null);
INSERT INTO `qc_question_entry` VALUES ('92', 'Y', '2020-05-08 16:16:46', '2020-05-09 17:58:25', '102', '105', '285', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('93', 'Y', '2020-05-08 16:16:46', '2020-05-09 17:58:25', '102', '105', '285', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('94', 'Y', '2020-05-08 16:20:41', '2020-05-09 17:23:13', '102', '99', '287', '2630', '1', null);
INSERT INTO `qc_question_entry` VALUES ('95', 'Y', '2020-05-08 16:21:52', '2020-05-09 17:25:09', '102', '99', '291', '2628', '1', null);
INSERT INTO `qc_question_entry` VALUES ('96', 'Y', '2020-05-08 16:22:12', '2020-05-09 17:25:54', '102', '99', '293', '2299', '1', null);
INSERT INTO `qc_question_entry` VALUES ('97', 'Y', '2020-05-08 16:23:22', '2020-05-08 16:28:25', '102', '102', '298', '2303', '1', null);
INSERT INTO `qc_question_entry` VALUES ('98', 'Y', '2020-05-08 16:23:59', '2020-05-09 17:34:58', '102', '99', '300', '2304', '1', null);
INSERT INTO `qc_question_entry` VALUES ('99', 'Y', '2020-05-08 16:26:40', '2020-05-09 17:13:51', '102', '99', '280', '2634', '1', null);
INSERT INTO `qc_question_entry` VALUES ('100', 'Y', '2020-05-08 16:28:25', '2020-05-08 20:05:47', '102', '102', '298', '2303', '1', null);
INSERT INTO `qc_question_entry` VALUES ('101', 'Y', '2020-05-08 17:16:36', '2020-05-08 17:19:39', '103', '103', '316', '2832', '1', null);
INSERT INTO `qc_question_entry` VALUES ('102', 'Y', '2020-05-08 17:19:39', '2020-05-09 17:06:57', '103', '103', '316', '2832', '1', null);
INSERT INTO `qc_question_entry` VALUES ('103', 'Y', '2020-05-08 17:45:58', '2020-05-09 17:10:22', '103', '103', '318', '2444', '1', null);
INSERT INTO `qc_question_entry` VALUES ('104', 'Y', '2020-05-08 17:46:48', '2020-05-08 17:50:01', '101', '101', '339', '2214', '1', null);
INSERT INTO `qc_question_entry` VALUES ('105', 'Y', '2020-05-08 17:46:48', '2020-05-08 17:50:01', '101', '101', '339', '2221', '2', null);
INSERT INTO `qc_question_entry` VALUES ('106', 'Y', '2020-05-08 17:46:48', '2020-05-08 17:50:01', '101', '101', '339', '2228', '3', null);
INSERT INTO `qc_question_entry` VALUES ('107', 'Y', '2020-05-08 17:46:48', '2020-05-08 17:50:01', '101', '101', '339', '2655', '4', null);
INSERT INTO `qc_question_entry` VALUES ('108', 'Y', '2020-05-08 17:46:48', '2020-05-08 17:50:01', '101', '101', '339', '2657', '5', null);
INSERT INTO `qc_question_entry` VALUES ('109', 'Y', '2020-05-08 17:46:48', '2020-05-08 17:50:01', '101', '101', '339', '2658', '6', null);
INSERT INTO `qc_question_entry` VALUES ('110', 'Y', '2020-05-08 17:50:01', '2020-05-08 17:53:40', '101', '101', '339', '2214', '1', null);
INSERT INTO `qc_question_entry` VALUES ('111', 'Y', '2020-05-08 17:50:01', '2020-05-08 17:53:40', '101', '101', '339', '2221', '2', null);
INSERT INTO `qc_question_entry` VALUES ('112', 'Y', '2020-05-08 17:50:01', '2020-05-08 17:53:40', '101', '101', '339', '2228', '3', null);
INSERT INTO `qc_question_entry` VALUES ('113', 'Y', '2020-05-08 17:50:01', '2020-05-08 17:53:40', '101', '101', '339', '2655', '4', null);
INSERT INTO `qc_question_entry` VALUES ('114', 'Y', '2020-05-08 17:50:01', '2020-05-08 17:53:40', '101', '101', '339', '2657', '5', null);
INSERT INTO `qc_question_entry` VALUES ('115', 'Y', '2020-05-08 17:50:01', '2020-05-08 17:53:40', '101', '101', '339', '2658', '6', null);
INSERT INTO `qc_question_entry` VALUES ('116', 'Y', '2020-05-08 17:53:16', '2020-05-08 17:53:48', '101', '101', '346', '2215', '1', null);
INSERT INTO `qc_question_entry` VALUES ('117', 'Y', '2020-05-08 17:53:16', '2020-05-08 17:53:48', '101', '101', '346', '2639', '2', null);
INSERT INTO `qc_question_entry` VALUES ('118', 'Y', '2020-05-08 17:53:16', '2020-05-08 17:53:48', '101', '101', '346', '2802', '3', null);
INSERT INTO `qc_question_entry` VALUES ('119', 'Y', '2020-05-08 17:53:16', '2020-05-08 17:53:48', '101', '101', '346', '2834', '4', null);
INSERT INTO `qc_question_entry` VALUES ('120', 'N', '2020-05-08 17:53:40', '2020-05-08 17:53:40', '101', '101', '339', '2214', '1', null);
INSERT INTO `qc_question_entry` VALUES ('121', 'N', '2020-05-08 17:53:40', '2020-05-08 17:53:40', '101', '101', '339', '2221', '2', null);
INSERT INTO `qc_question_entry` VALUES ('122', 'N', '2020-05-08 17:53:40', '2020-05-08 17:53:40', '101', '101', '339', '2228', '3', null);
INSERT INTO `qc_question_entry` VALUES ('123', 'N', '2020-05-08 17:53:40', '2020-05-08 17:53:40', '101', '101', '339', '2655', '4', null);
INSERT INTO `qc_question_entry` VALUES ('124', 'N', '2020-05-08 17:53:40', '2020-05-08 17:53:40', '101', '101', '339', '2657', '5', null);
INSERT INTO `qc_question_entry` VALUES ('125', 'N', '2020-05-08 17:53:40', '2020-05-08 17:53:40', '101', '101', '339', '2658', '6', null);
INSERT INTO `qc_question_entry` VALUES ('126', 'N', '2020-05-08 17:53:45', '2020-05-08 17:53:45', '103', '103', '347', '2472', '1', null);
INSERT INTO `qc_question_entry` VALUES ('127', 'Y', '2020-05-08 17:53:48', '2020-05-08 17:54:56', '101', '101', '346', '2215', '1', null);
INSERT INTO `qc_question_entry` VALUES ('128', 'Y', '2020-05-08 17:53:48', '2020-05-08 17:54:56', '101', '101', '346', '2639', '2', null);
INSERT INTO `qc_question_entry` VALUES ('129', 'Y', '2020-05-08 17:53:48', '2020-05-08 17:54:56', '101', '101', '346', '2802', '3', null);
INSERT INTO `qc_question_entry` VALUES ('130', 'Y', '2020-05-08 17:53:48', '2020-05-08 17:54:56', '101', '101', '346', '2834', '4', null);
INSERT INTO `qc_question_entry` VALUES ('131', 'N', '2020-05-08 17:54:56', '2020-05-08 17:54:56', '101', '101', '346', '2215', '1', null);
INSERT INTO `qc_question_entry` VALUES ('132', 'N', '2020-05-08 17:54:56', '2020-05-08 17:54:56', '101', '101', '346', '2639', '2', null);
INSERT INTO `qc_question_entry` VALUES ('133', 'N', '2020-05-08 17:54:56', '2020-05-08 17:54:56', '101', '101', '346', '2802', '3', null);
INSERT INTO `qc_question_entry` VALUES ('134', 'N', '2020-05-08 17:54:56', '2020-05-08 17:54:56', '101', '101', '346', '2834', '4', null);
INSERT INTO `qc_question_entry` VALUES ('135', 'N', '2020-05-08 18:09:06', '2020-05-08 18:09:06', '102', '102', '366', '2413', '1', null);
INSERT INTO `qc_question_entry` VALUES ('136', 'N', '2020-05-08 19:04:47', '2020-05-08 19:04:47', '103', '103', '380', '2833', '1', null);
INSERT INTO `qc_question_entry` VALUES ('137', 'Y', '2020-05-08 19:06:22', '2020-05-08 19:14:15', '103', '103', '383', '2833', '1', null);
INSERT INTO `qc_question_entry` VALUES ('138', 'N', '2020-05-08 19:09:23', '2020-05-08 19:09:23', '99', '99', '164', '2134', '1', null);
INSERT INTO `qc_question_entry` VALUES ('139', 'Y', '2020-05-08 19:14:15', '2020-05-12 16:59:51', '103', '103', '383', '2833', '1', null);
INSERT INTO `qc_question_entry` VALUES ('140', 'N', '2020-05-08 20:05:47', '2020-05-08 20:05:47', '102', '102', '298', '2303', '1', null);
INSERT INTO `qc_question_entry` VALUES ('141', 'N', '2020-05-09 09:54:10', '2020-05-09 09:54:10', '99', '99', '471', '2664', '1', null);
INSERT INTO `qc_question_entry` VALUES ('142', 'N', '2020-05-09 09:54:59', '2020-05-09 09:54:59', '99', '99', '473', '2664', '1', null);
INSERT INTO `qc_question_entry` VALUES ('143', 'Y', '2020-05-09 10:01:28', '2020-05-09 10:05:15', '99', '99', '481', '2260', '1', null);
INSERT INTO `qc_question_entry` VALUES ('144', 'Y', '2020-05-09 10:01:28', '2020-05-09 10:05:15', '99', '99', '481', '2263', '2', null);
INSERT INTO `qc_question_entry` VALUES ('145', 'Y', '2020-05-09 10:01:28', '2020-05-09 10:05:15', '99', '99', '481', '2661', '3', null);
INSERT INTO `qc_question_entry` VALUES ('146', 'Y', '2020-05-09 10:01:28', '2020-05-09 10:05:15', '99', '99', '481', '2665', '4', null);
INSERT INTO `qc_question_entry` VALUES ('147', 'Y', '2020-05-09 10:02:32', '2020-05-09 10:02:46', '99', '99', '483', '2660', '1', null);
INSERT INTO `qc_question_entry` VALUES ('148', 'Y', '2020-05-09 10:02:46', '2020-05-09 10:05:33', '99', '99', '483', '2660', '1', null);
INSERT INTO `qc_question_entry` VALUES ('149', 'Y', '2020-05-09 10:03:45', '2020-05-09 14:50:24', '99', '99', '484', '2262', '1', null);
INSERT INTO `qc_question_entry` VALUES ('150', 'N', '2020-05-09 10:05:15', '2020-05-09 10:05:15', '99', '99', '481', '2260', '1', null);
INSERT INTO `qc_question_entry` VALUES ('151', 'N', '2020-05-09 10:05:15', '2020-05-09 10:05:15', '99', '99', '481', '2263', '2', null);
INSERT INTO `qc_question_entry` VALUES ('152', 'N', '2020-05-09 10:05:15', '2020-05-09 10:05:15', '99', '99', '481', '2661', '3', null);
INSERT INTO `qc_question_entry` VALUES ('153', 'N', '2020-05-09 10:05:15', '2020-05-09 10:05:15', '99', '99', '481', '2665', '4', null);
INSERT INTO `qc_question_entry` VALUES ('154', 'N', '2020-05-09 10:05:33', '2020-05-09 10:05:33', '99', '99', '483', '2660', '1', null);
INSERT INTO `qc_question_entry` VALUES ('155', 'Y', '2020-05-09 10:15:26', '2020-05-09 10:19:12', '97', '97', '253', '2132', '1', null);
INSERT INTO `qc_question_entry` VALUES ('156', 'Y', '2020-05-09 10:19:12', '2020-05-09 10:19:49', '97', '97', '253', '2132', '1', null);
INSERT INTO `qc_question_entry` VALUES ('157', 'N', '2020-05-09 10:19:49', '2020-05-09 10:19:49', '97', '97', '253', '2132', '1', null);
INSERT INTO `qc_question_entry` VALUES ('158', 'N', '2020-05-09 10:25:33', '2020-05-09 10:25:33', '103', '103', '515', '2832', '1', null);
INSERT INTO `qc_question_entry` VALUES ('159', 'Y', '2020-05-09 10:39:00', '2020-05-09 10:44:16', '105', '105', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('160', 'Y', '2020-05-09 10:44:16', '2020-05-09 10:44:27', '105', '105', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('161', 'Y', '2020-05-09 10:44:27', '2020-05-09 16:00:48', '105', '102', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('162', 'Y', '2020-05-09 11:04:22', '2020-05-09 13:24:24', '97', '97', '26', '2829', '1', null);
INSERT INTO `qc_question_entry` VALUES ('163', 'Y', '2020-05-09 11:49:25', '2020-05-09 16:27:24', '102', '102', '560', '2313', '1', null);
INSERT INTO `qc_question_entry` VALUES ('164', 'Y', '2020-05-09 11:49:25', '2020-05-09 16:27:24', '102', '102', '560', '2797', '2', null);
INSERT INTO `qc_question_entry` VALUES ('165', 'Y', '2020-05-09 11:49:25', '2020-05-09 16:27:24', '102', '102', '560', '2798', '3', null);
INSERT INTO `qc_question_entry` VALUES ('166', 'Y', '2020-05-09 13:24:24', '2020-05-09 13:24:50', '97', '97', '26', '2829', '1', null);
INSERT INTO `qc_question_entry` VALUES ('167', 'Y', '2020-05-09 13:24:50', '2020-05-09 13:25:08', '97', '97', '26', '2829', '1', null);
INSERT INTO `qc_question_entry` VALUES ('168', 'N', '2020-05-09 13:25:08', '2020-05-09 13:25:08', '97', '97', '26', '2829', '1', null);
INSERT INTO `qc_question_entry` VALUES ('169', 'Y', '2020-05-09 13:25:39', '2020-05-09 13:31:56', '97', '97', '24', '2188', '1', null);
INSERT INTO `qc_question_entry` VALUES ('170', 'Y', '2020-05-09 13:25:39', '2020-05-09 13:31:56', '97', '97', '24', '2186', '2', null);
INSERT INTO `qc_question_entry` VALUES ('171', 'Y', '2020-05-09 13:25:53', '2020-05-09 13:26:15', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('172', 'Y', '2020-05-09 13:25:53', '2020-05-09 13:26:15', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('173', 'Y', '2020-05-09 13:26:15', '2020-05-09 13:28:56', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('174', 'Y', '2020-05-09 13:26:15', '2020-05-09 13:28:56', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('175', 'Y', '2020-05-09 13:26:48', '2020-05-09 17:52:39', '102', '102', '568', '2683', '1', null);
INSERT INTO `qc_question_entry` VALUES ('176', 'Y', '2020-05-09 13:28:56', '2020-05-09 13:30:16', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('177', 'Y', '2020-05-09 13:28:56', '2020-05-09 13:30:16', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('178', 'Y', '2020-05-09 13:30:16', '2020-05-09 13:30:54', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('179', 'Y', '2020-05-09 13:30:16', '2020-05-09 13:30:54', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('180', 'Y', '2020-05-09 13:30:54', '2020-05-09 13:31:10', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('181', 'Y', '2020-05-09 13:30:54', '2020-05-09 13:31:10', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('182', 'Y', '2020-05-09 13:31:10', '2020-05-09 13:31:21', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('183', 'Y', '2020-05-09 13:31:10', '2020-05-09 13:31:21', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('184', 'Y', '2020-05-09 13:31:21', '2020-05-09 13:32:21', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('185', 'Y', '2020-05-09 13:31:21', '2020-05-09 13:32:21', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('186', 'Y', '2020-05-09 13:31:56', '2020-05-09 13:32:15', '97', '97', '24', '2188', '1', null);
INSERT INTO `qc_question_entry` VALUES ('187', 'Y', '2020-05-09 13:31:56', '2020-05-09 13:32:15', '97', '97', '24', '2186', '2', null);
INSERT INTO `qc_question_entry` VALUES ('188', 'N', '2020-05-09 13:32:15', '2020-05-09 13:32:15', '97', '97', '24', '2188', '1', null);
INSERT INTO `qc_question_entry` VALUES ('189', 'N', '2020-05-09 13:32:15', '2020-05-09 13:32:15', '97', '97', '24', '2186', '2', null);
INSERT INTO `qc_question_entry` VALUES ('190', 'N', '2020-05-09 13:32:21', '2020-05-09 13:32:21', '97', '97', '25', '2187', '1', null);
INSERT INTO `qc_question_entry` VALUES ('191', 'N', '2020-05-09 13:32:21', '2020-05-09 13:32:21', '97', '97', '25', '2185', '2', null);
INSERT INTO `qc_question_entry` VALUES ('192', 'Y', '2020-05-09 13:32:41', '2020-05-09 16:34:11', '99', '99', '581', '2448', '1', null);
INSERT INTO `qc_question_entry` VALUES ('193', 'Y', '2020-05-09 13:33:20', '2020-05-09 16:36:00', '99', '99', '582', '2456', '1', null);
INSERT INTO `qc_question_entry` VALUES ('194', 'Y', '2020-05-09 13:34:28', '2020-05-09 13:47:54', '99', '99', '583', '2453', '1', null);
INSERT INTO `qc_question_entry` VALUES ('195', 'Y', '2020-05-09 13:37:20', '2020-05-09 16:36:25', '99', '99', '587', '2453', '1', null);
INSERT INTO `qc_question_entry` VALUES ('196', 'Y', '2020-05-09 13:40:16', '2020-05-09 16:37:09', '99', '99', '593', '2455', '1', null);
INSERT INTO `qc_question_entry` VALUES ('197', 'N', '2020-05-09 13:42:03', '2020-05-09 13:42:03', '99', '99', '595', '2454', '1', null);
INSERT INTO `qc_question_entry` VALUES ('198', 'N', '2020-05-09 13:45:08', '2020-05-09 13:45:08', '103', '103', '28', '2439', '1', null);
INSERT INTO `qc_question_entry` VALUES ('199', 'N', '2020-05-09 13:45:27', '2020-05-09 13:45:27', '103', '103', '34', '2438', '1', null);
INSERT INTO `qc_question_entry` VALUES ('200', 'N', '2020-05-09 13:45:38', '2020-05-09 13:45:38', '103', '103', '29', '2441', '1', null);
INSERT INTO `qc_question_entry` VALUES ('201', 'N', '2020-05-09 13:46:18', '2020-05-09 13:46:18', '103', '103', '51', '2437', '1', null);
INSERT INTO `qc_question_entry` VALUES ('202', 'Y', '2020-05-09 13:47:54', '2020-05-09 16:44:20', '99', '99', '583', '2452', '1', null);
INSERT INTO `qc_question_entry` VALUES ('203', 'N', '2020-05-09 13:49:49', '2020-05-09 13:49:49', '99', '99', '610', '2449', '1', null);
INSERT INTO `qc_question_entry` VALUES ('204', 'N', '2020-05-09 13:50:37', '2020-05-09 13:50:37', '99', '99', '611', '2449', '1', null);
INSERT INTO `qc_question_entry` VALUES ('205', 'Y', '2020-05-09 14:40:31', '2020-05-09 18:59:25', '102', '102', '663', '2685', '1', null);
INSERT INTO `qc_question_entry` VALUES ('206', 'Y', '2020-05-09 14:40:59', '2020-05-11 19:27:53', '102', '103', '664', '2803', '1', null);
INSERT INTO `qc_question_entry` VALUES ('207', 'N', '2020-05-09 14:50:24', '2020-05-09 14:50:24', '99', '99', '484', '2262', '1', null);
INSERT INTO `qc_question_entry` VALUES ('208', 'Y', '2020-05-09 14:50:44', '2020-05-09 14:51:04', '97', '97', '1', '2397', '1', null);
INSERT INTO `qc_question_entry` VALUES ('209', 'Y', '2020-05-09 14:50:44', '2020-05-09 14:51:04', '97', '97', '1', '2408', '2', null);
INSERT INTO `qc_question_entry` VALUES ('210', 'N', '2020-05-09 14:51:04', '2020-05-09 14:51:04', '97', '97', '1', '2397', '1', null);
INSERT INTO `qc_question_entry` VALUES ('211', 'N', '2020-05-09 14:51:04', '2020-05-09 14:51:04', '97', '97', '1', '2408', '2', null);
INSERT INTO `qc_question_entry` VALUES ('212', 'N', '2020-05-09 15:35:56', '2020-05-09 15:35:56', '105', '105', '92', '2170', '1', null);
INSERT INTO `qc_question_entry` VALUES ('213', 'Y', '2020-05-09 16:00:48', '2020-05-09 16:10:04', '102', '102', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('214', 'N', '2020-05-09 16:08:29', '2020-05-09 16:08:29', '105', '105', '36', '2824', '1', null);
INSERT INTO `qc_question_entry` VALUES ('215', 'Y', '2020-05-09 16:10:04', '2020-05-11 14:17:00', '102', '103', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('216', 'N', '2020-05-09 16:19:23', '2020-05-09 16:19:23', '105', '105', '43', '2827', '1', null);
INSERT INTO `qc_question_entry` VALUES ('217', 'N', '2020-05-09 16:19:42', '2020-05-09 16:19:42', '105', '105', '42', '2826', '1', null);
INSERT INTO `qc_question_entry` VALUES ('218', 'Y', '2020-05-09 16:27:24', '2020-05-09 16:29:27', '102', '102', '560', '2313', '1', null);
INSERT INTO `qc_question_entry` VALUES ('219', 'Y', '2020-05-09 16:27:24', '2020-05-09 16:29:27', '102', '102', '560', '2797', '2', null);
INSERT INTO `qc_question_entry` VALUES ('220', 'Y', '2020-05-09 16:27:24', '2020-05-09 16:29:27', '102', '102', '560', '2798', '3', null);
INSERT INTO `qc_question_entry` VALUES ('221', 'N', '2020-05-09 16:29:27', '2020-05-09 16:29:27', '102', '102', '560', '2313', '1', null);
INSERT INTO `qc_question_entry` VALUES ('222', 'N', '2020-05-09 16:29:27', '2020-05-09 16:29:27', '102', '102', '560', '2797', '2', null);
INSERT INTO `qc_question_entry` VALUES ('223', 'N', '2020-05-09 16:29:27', '2020-05-09 16:29:27', '102', '102', '560', '2798', '3', null);
INSERT INTO `qc_question_entry` VALUES ('224', 'N', '2020-05-09 16:34:11', '2020-05-09 16:34:11', '99', '99', '581', '2448', '1', null);
INSERT INTO `qc_question_entry` VALUES ('225', 'N', '2020-05-09 16:36:00', '2020-05-09 16:36:00', '99', '99', '582', '2456', '1', null);
INSERT INTO `qc_question_entry` VALUES ('226', 'Y', '2020-05-09 16:36:25', '2020-05-09 18:54:13', '99', '99', '587', '2453', '1', null);
INSERT INTO `qc_question_entry` VALUES ('227', 'Y', '2020-05-09 16:37:09', '2020-05-09 16:40:49', '99', '99', '593', '2455', '1', null);
INSERT INTO `qc_question_entry` VALUES ('228', 'N', '2020-05-09 16:40:49', '2020-05-09 16:40:49', '99', '99', '593', '2455', '1', null);
INSERT INTO `qc_question_entry` VALUES ('229', 'Y', '2020-05-09 16:44:20', '2020-05-09 17:10:32', '99', '105', '583', '2452', '1', null);
INSERT INTO `qc_question_entry` VALUES ('230', 'Y', '2020-05-09 17:06:57', '2020-05-09 19:01:58', '103', '103', '316', '2832', '1', null);
INSERT INTO `qc_question_entry` VALUES ('231', 'N', '2020-05-09 17:10:22', '2020-05-09 17:10:22', '103', '103', '318', '2444', '1', null);
INSERT INTO `qc_question_entry` VALUES ('232', 'N', '2020-05-09 17:10:32', '2020-05-09 17:10:32', '105', '105', '583', '2452', '1', null);
INSERT INTO `qc_question_entry` VALUES ('233', 'N', '2020-05-09 17:13:02', '2020-05-09 17:13:02', '99', '99', '276', '2632', '1', null);
INSERT INTO `qc_question_entry` VALUES ('234', 'N', '2020-05-09 17:13:14', '2020-05-09 17:13:14', '99', '99', '278', '2629', '1', null);
INSERT INTO `qc_question_entry` VALUES ('235', 'N', '2020-05-09 17:13:51', '2020-05-09 17:13:51', '99', '99', '280', '2634', '1', null);
INSERT INTO `qc_question_entry` VALUES ('236', 'Y', '2020-05-09 17:16:50', '2020-05-09 17:18:06', '99', '99', '282', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('237', 'Y', '2020-05-09 17:18:06', '2020-05-09 17:18:52', '99', '99', '282', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('238', 'Y', '2020-05-09 17:18:52', '2020-05-09 20:12:42', '99', '102', '282', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('239', 'N', '2020-05-09 17:23:13', '2020-05-09 17:23:13', '99', '99', '287', '2630', '1', null);
INSERT INTO `qc_question_entry` VALUES ('240', 'Y', '2020-05-09 17:25:09', '2020-05-09 20:32:04', '99', '99', '291', '2628', '1', null);
INSERT INTO `qc_question_entry` VALUES ('241', 'Y', '2020-05-09 17:25:54', '2020-05-09 17:26:12', '99', '99', '293', '2299', '1', null);
INSERT INTO `qc_question_entry` VALUES ('242', 'N', '2020-05-09 17:26:12', '2020-05-09 17:26:12', '99', '99', '293', '2299', '1', null);
INSERT INTO `qc_question_entry` VALUES ('243', 'Y', '2020-05-09 17:34:58', '2020-05-09 17:41:40', '99', '99', '300', '2304', '1', null);
INSERT INTO `qc_question_entry` VALUES ('244', 'N', '2020-05-09 17:39:31', '2020-05-09 17:39:31', '98', '98', '699', '2324', '1', null);
INSERT INTO `qc_question_entry` VALUES ('245', 'N', '2020-05-09 17:39:31', '2020-05-09 17:39:31', '98', '98', '699', '2323', '2', null);
INSERT INTO `qc_question_entry` VALUES ('246', 'N', '2020-05-09 17:39:31', '2020-05-09 17:39:31', '98', '98', '699', '2322', '3', null);
INSERT INTO `qc_question_entry` VALUES ('247', 'N', '2020-05-09 17:39:31', '2020-05-09 17:39:31', '98', '98', '699', '2321', '4', null);
INSERT INTO `qc_question_entry` VALUES ('248', 'N', '2020-05-09 17:39:31', '2020-05-09 17:39:31', '98', '98', '699', '2318', '5', null);
INSERT INTO `qc_question_entry` VALUES ('249', 'N', '2020-05-09 17:41:40', '2020-05-09 17:41:40', '99', '99', '300', '2304', '1', null);
INSERT INTO `qc_question_entry` VALUES ('250', 'N', '2020-05-09 17:44:48', '2020-05-09 17:44:48', '103', '103', '31', '2771', '1', null);
INSERT INTO `qc_question_entry` VALUES ('251', 'N', '2020-05-09 17:44:48', '2020-05-09 17:44:48', '103', '103', '31', '2850', '2', null);
INSERT INTO `qc_question_entry` VALUES ('252', 'N', '2020-05-09 17:44:48', '2020-05-09 17:44:48', '103', '103', '31', '2766', '3', null);
INSERT INTO `qc_question_entry` VALUES ('253', 'N', '2020-05-09 17:44:48', '2020-05-09 17:44:48', '103', '103', '31', '2765', '4', null);
INSERT INTO `qc_question_entry` VALUES ('254', 'N', '2020-05-09 17:44:48', '2020-05-09 17:44:48', '103', '103', '31', '2764', '5', null);
INSERT INTO `qc_question_entry` VALUES ('255', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2255', '1', null);
INSERT INTO `qc_question_entry` VALUES ('256', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2360', '2', null);
INSERT INTO `qc_question_entry` VALUES ('257', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2361', '3', null);
INSERT INTO `qc_question_entry` VALUES ('258', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2362', '4', null);
INSERT INTO `qc_question_entry` VALUES ('259', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2364', '5', null);
INSERT INTO `qc_question_entry` VALUES ('260', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2368', '6', null);
INSERT INTO `qc_question_entry` VALUES ('261', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2369', '7', null);
INSERT INTO `qc_question_entry` VALUES ('262', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2370', '8', null);
INSERT INTO `qc_question_entry` VALUES ('263', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2371', '9', null);
INSERT INTO `qc_question_entry` VALUES ('264', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2372', '10', null);
INSERT INTO `qc_question_entry` VALUES ('265', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2751', '11', null);
INSERT INTO `qc_question_entry` VALUES ('266', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2753', '12', null);
INSERT INTO `qc_question_entry` VALUES ('267', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2757', '13', null);
INSERT INTO `qc_question_entry` VALUES ('268', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2760', '14', null);
INSERT INTO `qc_question_entry` VALUES ('269', 'N', '2020-05-09 17:45:13', '2020-05-09 17:45:13', '103', '103', '35', '2761', '15', null);
INSERT INTO `qc_question_entry` VALUES ('270', 'Y', '2020-05-09 17:52:39', '2020-05-11 19:28:19', '102', '103', '568', '2683', '1', null);
INSERT INTO `qc_question_entry` VALUES ('271', 'Y', '2020-05-09 17:58:25', '2020-05-09 18:06:56', '105', '105', '285', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('272', 'Y', '2020-05-09 17:58:25', '2020-05-09 18:06:56', '105', '105', '285', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('273', 'Y', '2020-05-09 18:06:56', '2020-05-09 18:56:07', '105', '99', '285', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('274', 'Y', '2020-05-09 18:06:56', '2020-05-09 18:56:07', '105', '99', '285', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('275', 'N', '2020-05-09 18:54:13', '2020-05-09 18:54:13', '99', '99', '587', '2453', '1', null);
INSERT INTO `qc_question_entry` VALUES ('276', 'Y', '2020-05-09 18:56:07', '2020-05-09 18:56:19', '99', '99', '285', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('277', 'Y', '2020-05-09 18:56:07', '2020-05-09 18:56:19', '99', '99', '285', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('278', 'N', '2020-05-09 18:56:19', '2020-05-09 18:56:19', '99', '99', '285', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('279', 'N', '2020-05-09 18:56:19', '2020-05-09 18:56:19', '99', '99', '285', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('280', 'Y', '2020-05-09 18:59:25', '2020-05-11 19:24:45', '102', '103', '663', '2685', '1', null);
INSERT INTO `qc_question_entry` VALUES ('281', 'N', '2020-05-09 19:01:58', '2020-05-09 19:01:58', '103', '103', '316', '2832', '1', null);
INSERT INTO `qc_question_entry` VALUES ('282', 'N', '2020-05-09 19:20:03', '2020-05-09 19:20:03', '98', '98', '703', '2323', '1', null);
INSERT INTO `qc_question_entry` VALUES ('283', 'N', '2020-05-09 19:20:03', '2020-05-09 19:20:03', '98', '98', '703', '2322', '2', null);
INSERT INTO `qc_question_entry` VALUES ('284', 'Y', '2020-05-09 19:21:42', '2020-05-09 19:23:31', '102', '102', '61', '2674', '1', null);
INSERT INTO `qc_question_entry` VALUES ('285', 'N', '2020-05-09 19:22:26', '2020-05-09 19:22:26', '102', '102', '63', '2668', '1', null);
INSERT INTO `qc_question_entry` VALUES ('286', 'Y', '2020-05-09 19:23:31', '2020-05-09 19:24:33', '102', '102', '61', '2674', '1', null);
INSERT INTO `qc_question_entry` VALUES ('287', 'N', '2020-05-09 19:24:33', '2020-05-09 19:24:33', '102', '102', '61', '2674', '1', null);
INSERT INTO `qc_question_entry` VALUES ('288', 'Y', '2020-05-09 19:24:43', '2020-05-09 19:32:45', '98', '98', '702', '2325', '1', null);
INSERT INTO `qc_question_entry` VALUES ('289', 'Y', '2020-05-09 19:24:43', '2020-05-09 19:32:45', '98', '98', '702', '2324', '2', null);
INSERT INTO `qc_question_entry` VALUES ('290', 'Y', '2020-05-09 19:24:43', '2020-05-09 19:32:45', '98', '98', '702', '2320', '3', null);
INSERT INTO `qc_question_entry` VALUES ('291', 'Y', '2020-05-09 19:24:43', '2020-05-09 19:32:45', '98', '98', '702', '2319', '4', null);
INSERT INTO `qc_question_entry` VALUES ('292', 'N', '2020-05-09 19:25:10', '2020-05-09 19:25:10', '102', '102', '66', '2671', '1', null);
INSERT INTO `qc_question_entry` VALUES ('293', 'N', '2020-05-09 19:25:10', '2020-05-09 19:25:10', '102', '102', '66', '2672', '2', null);
INSERT INTO `qc_question_entry` VALUES ('294', 'Y', '2020-05-09 19:27:43', '2020-05-09 19:27:48', '102', '102', '69', '2669', '1', null);
INSERT INTO `qc_question_entry` VALUES ('295', 'N', '2020-05-09 19:27:48', '2020-05-09 19:27:48', '102', '102', '69', '2669', '1', null);
INSERT INTO `qc_question_entry` VALUES ('296', 'Y', '2020-05-09 19:32:45', '2020-05-09 19:32:52', '98', '98', '702', '2325', '1', null);
INSERT INTO `qc_question_entry` VALUES ('297', 'Y', '2020-05-09 19:32:45', '2020-05-09 19:32:52', '98', '98', '702', '2324', '2', null);
INSERT INTO `qc_question_entry` VALUES ('298', 'Y', '2020-05-09 19:32:45', '2020-05-09 19:32:52', '98', '98', '702', '2320', '3', null);
INSERT INTO `qc_question_entry` VALUES ('299', 'Y', '2020-05-09 19:32:45', '2020-05-09 19:32:52', '98', '98', '702', '2319', '4', null);
INSERT INTO `qc_question_entry` VALUES ('300', 'Y', '2020-05-09 19:32:45', '2020-05-09 19:32:52', '98', '98', '702', '2357', '5', null);
INSERT INTO `qc_question_entry` VALUES ('301', 'Y', '2020-05-09 19:32:45', '2020-05-09 19:32:52', '98', '98', '702', '2358', '6', null);
INSERT INTO `qc_question_entry` VALUES ('302', 'Y', '2020-05-09 19:32:52', '2020-05-09 19:33:38', '98', '98', '702', '2319', '1', null);
INSERT INTO `qc_question_entry` VALUES ('303', 'Y', '2020-05-09 19:32:52', '2020-05-09 19:33:38', '98', '98', '702', '2357', '2', null);
INSERT INTO `qc_question_entry` VALUES ('304', 'Y', '2020-05-09 19:32:52', '2020-05-09 19:33:38', '98', '98', '702', '2358', '3', null);
INSERT INTO `qc_question_entry` VALUES ('305', 'N', '2020-05-09 19:33:07', '2020-05-09 19:33:07', '102', '102', '77', '2680', '1', null);
INSERT INTO `qc_question_entry` VALUES ('306', 'Y', '2020-05-09 19:33:38', '2020-05-09 19:52:53', '98', '98', '702', '2319', '1', null);
INSERT INTO `qc_question_entry` VALUES ('307', 'Y', '2020-05-09 19:33:38', '2020-05-09 19:52:53', '98', '98', '702', '2358', '2', null);
INSERT INTO `qc_question_entry` VALUES ('308', 'Y', '2020-05-09 19:33:49', '2020-05-09 19:57:09', '102', '102', '79', '2676', '1', null);
INSERT INTO `qc_question_entry` VALUES ('309', 'Y', '2020-05-09 19:45:12', '2020-05-09 19:57:56', '102', '102', '83', '2258', '1', null);
INSERT INTO `qc_question_entry` VALUES ('310', 'Y', '2020-05-09 19:45:12', '2020-05-09 19:57:56', '102', '102', '83', '2675', '2', null);
INSERT INTO `qc_question_entry` VALUES ('311', 'Y', '2020-05-09 19:46:39', '2020-05-09 19:58:10', '102', '102', '85', '2257', '1', null);
INSERT INTO `qc_question_entry` VALUES ('312', 'N', '2020-05-09 19:48:52', '2020-05-09 19:48:52', '102', '102', '91', '2821', '1', null);
INSERT INTO `qc_question_entry` VALUES ('313', 'N', '2020-05-09 19:52:53', '2020-05-09 19:52:53', '98', '98', '702', '2319', '1', null);
INSERT INTO `qc_question_entry` VALUES ('314', 'N', '2020-05-09 19:52:53', '2020-05-09 19:52:53', '98', '98', '702', '2358', '2', null);
INSERT INTO `qc_question_entry` VALUES ('315', 'N', '2020-05-09 19:52:53', '2020-05-09 19:52:53', '98', '98', '702', '2324', '3', null);
INSERT INTO `qc_question_entry` VALUES ('316', 'Y', '2020-05-09 19:54:32', '2020-05-09 20:15:54', '99', '102', '713', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('317', 'N', '2020-05-09 19:56:58', '2020-05-09 19:56:58', '103', '103', '715', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('318', 'N', '2020-05-09 19:57:09', '2020-05-09 19:57:09', '102', '102', '79', '2676', '1', null);
INSERT INTO `qc_question_entry` VALUES ('319', 'N', '2020-05-09 19:57:56', '2020-05-09 19:57:56', '102', '102', '83', '2258', '1', null);
INSERT INTO `qc_question_entry` VALUES ('320', 'N', '2020-05-09 19:57:56', '2020-05-09 19:57:56', '102', '102', '83', '2675', '2', null);
INSERT INTO `qc_question_entry` VALUES ('321', 'N', '2020-05-09 19:58:10', '2020-05-09 19:58:10', '102', '102', '85', '2257', '1', null);
INSERT INTO `qc_question_entry` VALUES ('322', 'Y', '2020-05-09 20:02:07', '2020-05-09 20:32:13', '104', '104', '717', '2683', '1', null);
INSERT INTO `qc_question_entry` VALUES ('323', 'Y', '2020-05-09 20:12:42', '2020-05-09 20:13:59', '102', '102', '282', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('324', 'N', '2020-05-09 20:13:59', '2020-05-09 20:13:59', '102', '102', '282', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('325', 'N', '2020-05-09 20:15:54', '2020-05-09 20:15:54', '102', '102', '713', '2633', '1', null);
INSERT INTO `qc_question_entry` VALUES ('326', 'N', '2020-05-09 20:22:22', '2020-05-09 20:22:22', '98', '98', '729', '2354', '1', null);
INSERT INTO `qc_question_entry` VALUES ('327', 'N', '2020-05-09 20:22:22', '2020-05-09 20:22:22', '98', '98', '729', '2340', '2', null);
INSERT INTO `qc_question_entry` VALUES ('328', 'N', '2020-05-09 20:32:04', '2020-05-09 20:32:04', '99', '99', '291', '2628', '1', null);
INSERT INTO `qc_question_entry` VALUES ('329', 'Y', '2020-05-09 20:32:13', '2020-05-11 19:26:41', '104', '103', '717', '2683', '1', null);
INSERT INTO `qc_question_entry` VALUES ('330', 'Y', '2020-05-09 21:35:23', '2020-05-09 21:36:41', '102', '102', '737', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('331', 'Y', '2020-05-09 21:35:23', '2020-05-09 21:36:41', '102', '102', '737', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('332', 'Y', '2020-05-09 21:36:41', '2020-05-09 21:39:07', '102', '102', '737', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('333', 'Y', '2020-05-09 21:36:41', '2020-05-09 21:39:07', '102', '102', '737', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('334', 'N', '2020-05-09 21:39:07', '2020-05-09 21:39:07', '102', '102', '737', '2302', '1', null);
INSERT INTO `qc_question_entry` VALUES ('335', 'N', '2020-05-09 21:39:07', '2020-05-09 21:39:07', '102', '102', '737', '2631', '2', null);
INSERT INTO `qc_question_entry` VALUES ('336', 'N', '2020-05-11 13:35:51', '2020-05-11 13:35:51', '103', '103', '6', '2373', '1', null);
INSERT INTO `qc_question_entry` VALUES ('337', 'Y', '2020-05-11 14:17:00', '2020-05-11 15:02:09', '103', '103', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('338', 'Y', '2020-05-11 15:02:09', '2020-05-11 15:28:05', '103', '103', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('339', 'Y', '2020-05-11 15:28:05', '2020-05-11 15:45:06', '103', '102', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('340', 'Y', '2020-05-11 15:34:20', '2020-05-11 15:34:30', '102', '102', '739', '2313', '1', null);
INSERT INTO `qc_question_entry` VALUES ('341', 'Y', '2020-05-11 15:34:20', '2020-05-11 15:34:30', '102', '102', '739', '2686', '2', null);
INSERT INTO `qc_question_entry` VALUES ('342', 'Y', '2020-05-11 15:34:20', '2020-05-11 15:34:30', '102', '102', '739', '2797', '3', null);
INSERT INTO `qc_question_entry` VALUES ('343', 'Y', '2020-05-11 15:34:20', '2020-05-11 15:34:30', '102', '102', '739', '2798', '4', null);
INSERT INTO `qc_question_entry` VALUES ('344', 'N', '2020-05-11 15:45:06', '2020-05-11 15:45:06', '102', '102', '16', '2400', '1', null);
INSERT INTO `qc_question_entry` VALUES ('345', 'Y', '2020-05-11 19:24:45', '2020-05-11 19:26:00', '103', '103', '663', '2685', '1', null);
INSERT INTO `qc_question_entry` VALUES ('346', 'N', '2020-05-11 19:26:00', '2020-05-11 19:26:00', '103', '103', '663', '2685', '1', null);
INSERT INTO `qc_question_entry` VALUES ('347', 'N', '2020-05-11 19:26:41', '2020-05-11 19:26:41', '103', '103', '717', '2683', '1', null);
INSERT INTO `qc_question_entry` VALUES ('348', 'N', '2020-05-11 19:27:53', '2020-05-11 19:27:53', '103', '103', '664', '2803', '1', null);
INSERT INTO `qc_question_entry` VALUES ('349', 'N', '2020-05-11 19:28:19', '2020-05-11 19:28:19', '103', '103', '568', '2683', '1', null);
INSERT INTO `qc_question_entry` VALUES ('350', 'N', '2020-05-12 16:07:20', '2020-05-12 16:07:20', '103', '103', '37', '2825', '1', null);
INSERT INTO `qc_question_entry` VALUES ('351', 'N', '2020-05-12 16:59:02', '2020-05-12 16:59:02', '103', '103', '345', '2166', '1', null);

-- ----------------------------
-- Table structure for qc_question_info
-- ----------------------------
DROP TABLE IF EXISTS `qc_question_info`;
CREATE TABLE `qc_question_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `mode_id` bigint(20) DEFAULT NULL COMMENT '数据模块ID',
  `tag_name` varchar(100) NOT NULL DEFAULT '' COMMENT '标签名',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT 'key',
  `val` varchar(1000) NOT NULL DEFAULT '' COMMENT 'value',
  `tag_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '标签标识(1：单标签 4：组合标签)',
  `control_type` tinyint(4) DEFAULT '0' COMMENT '控件类型(0：无类型)',
  `retract` tinyint(4) DEFAULT '0' COMMENT '缩进(0：不缩进 1：缩进)',
  `add_line` tinyint(4) DEFAULT '0' COMMENT '内容换行(0：不换行，1：换行)',
  `mono_line` tinyint(4) DEFAULT '0' COMMENT '独占一行(0：不换行，1：换行)',
  `bold` tinyint(4) DEFAULT '0' COMMENT '换行(0：不换行，1：加粗)',
  `position` tinyint(4) DEFAULT '0' COMMENT '显示位置(1：靠右显示)',
  `cases_entry_ids` varchar(1000) NOT NULL DEFAULT '' COMMENT '质控条目id列表',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=748 DEFAULT CHARSET=utf8 COMMENT='标签基础表';

-- ----------------------------
-- Records of qc_question_info
-- ----------------------------
INSERT INTO `qc_question_info` VALUES ('1', 'N', '2020-05-08 09:57:23', '2020-05-09 14:51:04', '102', '97', '3', '1', '入院记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('2', 'N', '2020-05-08 10:02:10', '2020-05-08 10:03:43', '102', '102', '3', '1', '入院记录-职业', '职业：', '【职业】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('3', 'N', '2020-05-08 10:08:27', '2020-05-08 10:08:38', '102', '102', '3', '1', '入院记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('4', 'N', '2020-05-08 10:18:02', '2020-05-08 10:18:24', '102', '102', '3', '1', '入院记录-工作单位', '工作单位：', '【工作单位】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('5', 'N', '2020-05-08 10:19:51', '2020-05-08 10:20:05', '102', '102', '3', '1', '入院记录-出生日期', '出生日期：', '【出生日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('6', 'N', '2020-05-08 10:23:28', '2020-05-11 13:35:51', '102', '103', '3', '1', '入院记录-户口地址', '户口地址：', '【联系地址】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('7', 'N', '2020-05-08 10:26:52', '2020-05-08 10:27:24', '101', '101', '3', '30', '会诊申请单-病案号', '病案号：', '【病案号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('8', 'N', '2020-05-08 10:28:32', '2020-05-08 10:28:32', '101', '101', '3', '30', '会诊申请单-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('9', 'N', '2020-05-08 10:28:36', '2020-05-08 10:28:46', '102', '102', '3', '1', '入院记录-婚姻', '婚姻：', '【婚姻】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('10', 'N', '2020-05-08 10:31:15', '2020-05-08 10:31:23', '102', '102', '3', '1', '入院记录-电话', '电话：', '【电话】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('11', 'N', '2020-05-08 10:31:43', '2020-05-08 10:32:03', '102', '102', '3', '1', '入院记录-出生地', '出生地：', '【出生地】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('12', 'N', '2020-05-08 10:34:13', '2020-05-08 10:34:26', '102', '102', '3', '1', '入院记录-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('13', 'N', '2020-05-08 10:34:15', '2020-05-08 10:34:15', '101', '101', '3', '30', '会诊申请单-申请科室', '申请科室：', '【申请科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('14', 'N', '2020-05-08 10:35:41', '2020-05-08 10:43:15', '101', '101', '3', '30', '会诊申请单-会诊类别', '会诊类别：', '【会诊分类】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('15', 'N', '2020-05-08 10:35:56', '2020-05-08 10:36:12', '102', '102', '3', '1', '入院记录-民族', '民族：', '【民族】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('16', 'N', '2020-05-08 10:36:50', '2020-05-11 15:45:06', '102', '102', '3', '1', '入院记录-病史陈述者', '病史陈述者：', '【联系人】  【关系】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('17', 'N', '2020-05-08 10:37:06', '2020-05-09 14:30:41', '101', '103', '3', '30', '会诊申请单-申请医师', '申请医师：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('18', 'N', '2020-05-08 10:37:21', '2020-05-08 13:32:49', '103', '103', '3', '17', '手术记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('19', 'N', '2020-05-08 10:37:47', '2020-05-08 18:07:45', '103', '103', '3', '17', '手术记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('20', 'N', '2020-05-08 10:38:20', '2020-05-08 10:38:20', '102', '102', '3', '1', '入院记录-联系地址', '联系地址：', '【联系地址】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('21', 'N', '2020-05-08 10:38:22', '2020-05-08 10:42:38', '103', '103', '3', '17', '手术记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('22', 'N', '2020-05-08 10:38:41', '2020-05-08 10:41:19', '103', '103', '3', '17', '手术记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('23', 'N', '2020-05-08 10:39:18', '2020-05-09 13:26:03', '103', '103', '3', '17', '手术记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('24', 'N', '2020-05-08 10:44:46', '2020-05-09 13:32:15', '103', '97', '3', '17', '手术记录-手术开始时间', '手术开始时间：', '【手术开始时间】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('25', 'N', '2020-05-08 10:45:35', '2020-05-09 13:32:21', '103', '97', '3', '17', '手术记录-手术结束时间', '手术结束时间：', '【手术结束时间】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('26', 'N', '2020-05-08 10:45:52', '2020-05-09 13:25:08', '103', '97', '3', '17', '手术记录-切口类别', '切口类别：', '【切口类别】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('27', 'N', '2020-05-08 10:46:24', '2020-05-09 13:43:16', '103', '103', '3', '17', '手术记录-手术时数', '手术时数：', '【手术时数】分', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('28', 'N', '2020-05-08 10:46:52', '2020-05-09 13:45:08', '103', '103', '3', '17', '手术记录-术前诊断', '术前诊断：', '【术前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('29', 'N', '2020-05-08 10:47:35', '2020-05-09 13:45:38', '103', '103', '3', '17', '手术记录-手术名称', '手术名称：', '【手术名称】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('30', 'N', '2020-05-08 10:47:57', '2020-05-08 10:47:57', '101', '101', '3', '30', '会诊申请单-申请日期', '申请日期：', '【申请日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('31', 'N', '2020-05-08 10:49:34', '2020-05-09 17:44:48', '102', '103', '3', '1', '入院记录-主诉', '主诉：', '【主诉】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('32', 'N', '2020-05-08 10:49:45', '2020-05-09 14:29:48', '101', '103', '3', '30', '会诊申请单-会诊科室', '会诊科室：', '【会诊科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('33', 'N', '2020-05-08 10:50:44', '2020-05-09 13:48:45', '101', '103', '3', '30', '会诊申请单-当前诊断', '当前诊断：', '【当前诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('34', 'N', '2020-05-08 10:53:15', '2020-05-09 13:45:27', '103', '103', '3', '17', '手术记录-术后诊断', '术后诊断：', '【术后诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('35', 'N', '2020-05-08 10:53:42', '2020-05-09 17:45:13', '102', '103', '3', '1', '入院记录-现病史', '现病史：', '【现病史】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('36', 'N', '2020-05-08 10:53:57', '2020-05-09 16:08:29', '103', '105', '3', '17', '手术记录-手术医师', '手术医师：', '【手术医师】 【被邀请专家】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('37', 'N', '2020-05-08 10:54:09', '2020-05-12 16:07:20', '103', '103', '3', '17', '手术记录-助手I', '助手I：', '【助手】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('38', 'N', '2020-05-08 10:59:40', '2020-05-08 10:59:40', '102', '102', '3', '3', '死亡病例讨论记录-姓名', '姓名:', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('39', 'N', '2020-05-08 11:00:24', '2020-05-08 11:00:24', '102', '102', '3', '3', '死亡病例讨论记录-性别', '性别:', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('40', 'N', '2020-05-08 11:00:46', '2020-05-12 16:07:10', '103', '103', '3', '17', '手术记录-助手II', '助手II：', '【助手II】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('41', 'N', '2020-05-08 11:01:05', '2020-05-09 19:15:56', '102', '102', '3', '3', '死亡病例讨论记录-科别', '科别: ', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('42', 'N', '2020-05-08 11:04:12', '2020-05-09 16:19:42', '103', '105', '3', '17', '手术记录-器械护士', '器械护士：', '【器械护士1】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('43', 'N', '2020-05-08 11:05:37', '2020-05-09 16:19:23', '103', '105', '3', '17', '手术记录-巡回护士', '巡回护士：', '【巡回护士1】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('44', 'N', '2020-05-08 11:06:40', '2020-05-08 13:26:09', '103', '103', '3', '17', '手术记录-麻醉方式', '麻醉方式：', '【麻醉方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('45', 'N', '2020-05-08 11:07:11', '2020-05-08 13:47:06', '103', '103', '3', '17', '手术记录-麻醉医师', '麻醉医师：', '【麻醉医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('46', 'N', '2020-05-08 11:07:35', '2020-05-08 11:36:35', '103', '103', '3', '17', '手术记录-手术切口描述', '手术切口描述：', '【手术切口】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('47', 'N', '2020-05-08 11:08:04', '2020-05-11 15:22:52', '102', '103', '3', '1', '入院记录-体温', '体温：', '【体温】℃', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('48', 'N', '2020-05-08 11:10:11', '2020-05-08 11:30:14', '102', '102', '3', '1', '入院记录-脉搏', '脉搏：', '【脉搏】次/分', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('49', 'N', '2020-05-08 11:10:25', '2020-05-08 11:27:39', '103', '103', '3', '17', '手术记录-皮肤消毒描述', '皮肤消毒描述：', '【皮肤消毒】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('50', 'N', '2020-05-08 11:10:35', '2020-05-08 11:30:24', '102', '102', '3', '1', '入院记录-呼吸', '呼吸：', '【呼吸】次/分', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('51', 'N', '2020-05-08 11:12:36', '2020-05-09 13:46:18', '103', '103', '3', '17', '手术记录-手术经过', '手术经过：', '【手术经过】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('52', 'N', '2020-05-08 11:14:10', '2020-05-09 15:21:12', '103', '105', '3', '17', '手术记录-手术风险评估', '手术风险评估：', '手术切口清洁程度（【内容】分）+麻醉ASA分级（【内容】分）+手术持续时间（ 0   分）=    分', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('53', 'N', '2020-05-08 11:15:42', '2020-05-09 15:27:12', '103', '105', '3', '17', '手术记录-NNIS分级', 'NNIS分级：', '【NNIS分级】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('54', 'Y', '2020-05-08 11:23:29', '2020-05-08 11:23:35', '97', '97', '3', '17', '手术记录-NNIS分级1', 'NNIS分级：', '【NNIS分级】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('55', 'N', '2020-05-08 11:27:27', '2020-05-08 11:27:27', '103', '103', '3', '17', '手术记录-手术类别(可选)', '手术类别(可选)：', '【手术类别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('56', 'N', '2020-05-08 11:27:43', '2020-05-08 11:27:43', '102', '102', '3', '3', '死亡病例讨论记录-床号', '床号: ', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('57', 'N', '2020-05-08 11:28:46', '2020-05-09 19:20:33', '102', '102', '3', '3', '死亡病例讨论记录-病案号', '病案号:', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('58', 'N', '2020-05-08 11:30:49', '2020-05-08 11:30:49', '99', '99', '3', '11', '术前讨论、术前小结-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('59', 'N', '2020-05-08 11:31:43', '2020-05-08 11:31:43', '101', '101', '3', '30', '会诊申请单-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('60', 'N', '2020-05-08 11:32:59', '2020-05-08 11:32:59', '102', '102', '3', '3', '死亡病例讨论记录-年龄', '年龄:', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('61', 'N', '2020-05-08 11:33:20', '2020-05-09 19:24:33', '102', '102', '3', '3', '死亡病例讨论记录-死亡日期', '死亡日期:', '【死亡时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('62', 'N', '2020-05-08 11:34:07', '2020-05-08 11:34:07', '101', '101', '3', '30', '会诊申请单-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('63', 'N', '2020-05-08 11:34:22', '2020-05-09 19:22:26', '102', '102', '3', '3', '死亡病例讨论记录-诊断', '诊断:', '【当前诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('64', 'N', '2020-05-08 11:34:35', '2020-05-09 14:33:38', '101', '103', '3', '30', '会诊申请单-科别', '科别：', '【科别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('65', 'N', '2020-05-08 11:35:14', '2020-05-08 11:35:14', '102', '102', '3', '3', '死亡病例讨论记录-死亡原因', '死亡原因: ', '【死亡原因】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('66', 'N', '2020-05-08 11:36:00', '2020-05-09 19:25:10', '102', '102', '3', '3', '死亡病例讨论记录-讨论日期', '讨论日期:', '【事件日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('67', 'N', '2020-05-08 11:36:06', '2020-05-08 11:36:06', '101', '101', '3', '30', '会诊申请单-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('68', 'N', '2020-05-08 11:36:44', '2020-05-08 11:36:44', '102', '102', '3', '3', '死亡病例讨论记录-讨论地点', '讨论地点:', '【讨论地点】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('69', 'N', '2020-05-08 11:38:06', '2020-05-09 19:27:48', '102', '102', '3', '3', '死亡病例讨论记录-主持人姓名及专业技术职务', '主持人姓名及专业技术职务: ', '【讨论主持人】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('70', 'N', '2020-05-08 11:38:19', '2020-05-08 11:38:19', '103', '103', '3', '17', '手术记录-手术标本', '手术标本：', '【手术标本】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('71', 'N', '2020-05-08 11:38:31', '2020-05-08 11:38:31', '101', '101', '3', '30', '会诊申请单-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('72', 'N', '2020-05-08 11:38:45', '2020-05-09 19:28:34', '102', '102', '3', '3', '死亡病例讨论记录-参加人员姓名及专业技术职务', '参加人员姓名及专业技术职务:', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('73', 'N', '2020-05-08 11:39:02', '2020-05-08 11:39:24', '103', '103', '3', '17', '手术记录-术中送检', '术中送检：', '【是否术中送检】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('74', 'N', '2020-05-08 11:39:26', '2020-05-09 19:31:30', '102', '102', '3', '3', '死亡病例讨论记录-医师', '医师:', '【参加人员及职称医生】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('75', 'N', '2020-05-08 11:39:44', '2020-05-09 19:32:01', '102', '102', '3', '3', '死亡病例讨论记录-护士', '护士:', '【参加人员及职称】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('76', 'N', '2020-05-08 11:40:05', '2020-05-08 14:46:13', '102', '102', '3', '3', '死亡病例讨论记录-病史简介', '病史简介:', '【病史简介】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('77', 'N', '2020-05-08 11:40:41', '2020-05-09 19:33:07', '102', '102', '3', '3', '死亡病例讨论记录-主诉', '主诉:', '【主诉】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('78', 'N', '2020-05-08 11:41:10', '2020-05-08 11:41:10', '103', '103', '3', '17', '手术记录-冰冻切片结果', '冰冻切片结果：', '【冰冻切片结果】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('79', 'N', '2020-05-08 11:41:41', '2020-05-09 19:57:09', '102', '102', '3', '3', '死亡病例讨论记录-发病经过', '发病经过:', '【入院情况】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('80', 'N', '2020-05-08 11:42:03', '2020-05-08 13:47:46', '103', '103', '3', '17', '手术记录-术中并发症', '术中并发症：', '【是否术中并发症】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('81', 'N', '2020-05-08 11:42:32', '2020-05-09 19:57:26', '102', '102', '3', '3', '死亡病例讨论记录-体格检查', '体格检查：', '体温【体温耳】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg，【专科检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('82', 'N', '2020-05-08 11:43:00', '2020-05-09 19:57:42', '102', '102', '3', '3', '死亡病例讨论记录-辅助检查', '辅助检查:', '【实验室检查】【影像学检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('83', 'N', '2020-05-08 11:44:20', '2020-05-09 19:57:56', '102', '102', '3', '3', '死亡病例讨论记录-具体讨论内容', '具体讨论内容:', '【讨论内容】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('84', 'N', '2020-05-08 11:44:46', '2020-05-09 13:42:56', '103', '103', '3', '17', '手术记录-出血', '出血：', '【失血】ml', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('85', 'N', '2020-05-08 11:54:09', '2020-05-09 19:58:10', '102', '102', '3', '3', '死亡病例讨论记录-主持人小结', '主持人小结:', '【讨论小结】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('86', 'N', '2020-05-08 12:53:40', '2020-05-08 13:48:00', '103', '103', '3', '17', '手术记录-输血情况', '输血情况：', '【输血情况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('87', 'N', '2020-05-08 13:09:31', '2020-05-09 15:08:02', '103', '105', '3', '17', '手术记录-输血项目', '', '红细胞【红细胞】单位     血小板【血小板】 袋     血浆 【血浆】 ml     自体输血 【全血】 ml', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('88', 'N', '2020-05-08 13:15:05', '2020-05-09 15:34:07', '103', '105', '3', '17', '手术记录-主刀医师签名', '主刀医师签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('89', 'N', '2020-05-08 13:15:35', '2020-05-09 16:20:55', '103', '105', '3', '17', '手术记录-或外院专家', '或外院专家：', '【被邀请专家】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('90', 'N', '2020-05-08 13:16:02', '2020-05-09 19:51:55', '102', '102', '3', '3', '死亡病例讨论记录-记录者签名', '记录者签名:', '【记录医师】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('91', 'N', '2020-05-08 13:16:26', '2020-05-09 19:48:52', '102', '102', '3', '3', '死亡病例讨论记录-主持人签名', '主持人签名:', '【讨论主持人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('92', 'N', '2020-05-08 13:16:30', '2020-05-09 15:35:56', '103', '105', '3', '17', '手术记录-记录时间', '记录时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('93', 'N', '2020-05-08 13:21:43', '2020-05-08 13:21:43', '102', '102', '3', '1', '入院记录-血压', '血压：', '【血压】mmHg', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('94', 'N', '2020-05-08 13:28:28', '2020-05-09 15:08:25', '102', '102', '3', '1', '入院记录-专科检查', '专科检查：', '【专科体格检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('95', 'N', '2020-05-08 13:29:13', '2020-05-08 13:29:13', '102', '102', '3', '1', '入院记录-实验室检查', '实验室检查：', '【实验室检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('96', 'N', '2020-05-08 13:30:28', '2020-05-09 18:39:21', '102', '103', '3', '1', '入院记录-辅助检查', '辅助检查', '', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('97', 'N', '2020-05-08 13:33:07', '2020-05-08 13:33:07', '101', '101', '3', '30', '会诊申请单-会诊医师', '会诊医师：', '【会诊医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('98', 'N', '2020-05-08 13:35:44', '2020-05-09 16:38:04', '101', '101', '3', '30', '会诊申请单-简要病情', '简要病情：', '【简要病情】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('99', 'N', '2020-05-08 13:36:24', '2020-05-09 14:01:50', '101', '103', '3', '30', '会诊申请单-诊疗情况', '诊疗情况：', '【诊治经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('100', 'N', '2020-05-08 13:37:03', '2020-05-08 13:37:03', '102', '102', '3', '1', '入院记录-影像学检查', '影像学检查：', '【影像学检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('101', 'N', '2020-05-08 13:37:35', '2020-05-09 16:39:25', '101', '101', '3', '30', '会诊申请单-申请会诊理由与目的', '申请会诊理由与目的：', '【申请理由目的】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('102', 'N', '2020-05-08 13:38:26', '2020-05-08 13:38:26', '101', '101', '3', '30', '会诊申请单-医师签名', '医师签名：', '【签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('103', 'N', '2020-05-08 13:39:30', '2020-05-08 13:40:06', '102', '102', '3', '1', '入院记录-初步诊断', '初步诊断：', '【初步诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('104', 'N', '2020-05-08 13:39:33', '2020-05-08 13:39:33', '101', '101', '3', '30', '会诊申请单-会诊日期及时间', '会诊日期及时间：', '【会诊时间】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('105', 'N', '2020-05-08 13:40:20', '2020-05-08 13:40:20', '102', '102', '3', '1', '入院记录-修正诊断', '修正诊断：', '【修正诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('106', 'N', '2020-05-08 13:40:41', '2020-05-09 14:52:45', '102', '97', '3', '1', '入院记录-补充诊断', '补充诊断：', '【补充诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('107', 'N', '2020-05-08 13:41:11', '2020-05-11 14:09:18', '102', '103', '3', '1', '入院记录-记录医师', '记录医师：', '【医师签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('108', 'N', '2020-05-08 13:41:31', '2020-05-11 14:07:37', '102', '103', '3', '1', '入院记录-记录日期', '记录日期：', '【记录日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('109', 'N', '2020-05-08 13:42:23', '2020-05-08 13:42:27', '102', '102', '3', '1', '入院记录-目前仍需治疗的其他疾病', '目前仍需治疗的其他疾病：', '【目前仍需治疗的其他疾病】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('110', 'N', '2020-05-08 13:47:31', '2020-05-09 11:34:00', '102', '105', '3', '1', '入院记录-一般健康状况', '一般健康状况：', '【既往健康状况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('111', 'N', '2020-05-08 13:47:58', '2020-05-08 13:47:58', '102', '102', '3', '1', '入院记录-高血压', '高血压：', '【高血压】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('112', 'N', '2020-05-08 13:54:02', '2020-05-08 13:54:02', '101', '101', '3', '31', '会诊结果单-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('113', 'N', '2020-05-08 13:54:57', '2020-05-08 13:54:57', '101', '101', '3', '31', '会诊结果单-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('114', 'N', '2020-05-08 13:55:42', '2020-05-08 13:55:42', '101', '101', '3', '31', '会诊结果单-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('115', 'N', '2020-05-08 13:56:13', '2020-05-08 13:56:13', '101', '101', '3', '31', '会诊结果单-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('116', 'N', '2020-05-08 13:57:06', '2020-05-08 13:57:06', '101', '101', '3', '31', '会诊结果单-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('117', 'N', '2020-05-08 13:57:39', '2020-05-08 13:57:39', '101', '101', '3', '31', '会诊结果单-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('118', 'N', '2020-05-08 13:58:11', '2020-05-08 13:58:11', '101', '101', '3', '31', '会诊结果单-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('119', 'N', '2020-05-08 13:59:29', '2020-05-08 13:59:29', '101', '101', '3', '31', '会诊结果单-申请科室', '申请科室：', '【申请科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('120', 'N', '2020-05-08 14:00:22', '2020-05-08 14:00:22', '101', '101', '3', '31', '会诊结果单-申请医生', '申请医生：', '【申请医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('121', 'N', '2020-05-08 14:00:40', '2020-05-08 14:00:40', '99', '99', '3', '11', '术前讨论、术前小结-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('122', 'N', '2020-05-08 14:01:13', '2020-05-08 14:01:13', '101', '101', '3', '31', '会诊结果单-会诊类别', '会诊类别：', '【会诊类别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('123', 'N', '2020-05-08 14:01:47', '2020-05-08 14:01:47', '101', '101', '3', '31', '会诊结果单-申请日期', '申请日期：', '【申请日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('124', 'N', '2020-05-08 14:02:19', '2020-05-08 14:02:19', '101', '101', '3', '31', '会诊结果单-会诊科室', '会诊科室：', '【会诊科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('125', 'N', '2020-05-08 14:03:01', '2020-05-08 14:03:01', '101', '101', '3', '31', '会诊结果单-会诊到达时间', '会诊到达时间：', '【会诊到达时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('126', 'N', '2020-05-08 14:05:02', '2020-05-08 14:05:02', '99', '99', '3', '11', '术前讨论、术前小结-科别', '科别：', '【科别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('127', 'N', '2020-05-08 14:05:21', '2020-05-08 14:05:21', '99', '99', '3', '11', '术前讨论、术前小结-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('128', 'N', '2020-05-08 14:05:44', '2020-05-08 14:06:32', '99', '99', '3', '11', '术前讨论、术前小结-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('129', 'N', '2020-05-08 14:07:31', '2020-05-09 16:45:05', '99', '99', '3', '11', '术前讨论、术前小结-讨论时间', '讨论时间：', '【讨论时间】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('130', 'N', '2020-05-08 14:08:07', '2020-05-08 14:08:07', '99', '99', '3', '11', '术前讨论、术前小结-讨论方式', '讨论方式：', '【讨论方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('131', 'N', '2020-05-08 14:08:41', '2020-05-09 17:34:04', '99', '99', '3', '11', '术前讨论、术前小结-参加人员', '参加人员（姓名+职称）：', '【参加人员】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('132', 'N', '2020-05-08 14:08:59', '2020-05-08 14:14:52', '101', '101', '3', '31', '会诊结果单-病史回顾描述', '病史回顾描述：', '【病史回顾描述】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('133', 'N', '2020-05-08 14:09:21', '2020-05-09 13:42:44', '103', '103', '3', '17', '手术记录-年龄', '年龄：', '【年龄】岁', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('134', 'N', '2020-05-08 14:09:29', '2020-05-09 15:57:07', '99', '99', '3', '11', '术前讨论、术前小结-简要病情', '一、简要病情：', '【简要病情】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('135', 'N', '2020-05-08 14:10:05', '2020-05-08 14:10:05', '103', '103', '3', '17', '手术记录-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('136', 'N', '2020-05-08 14:10:06', '2020-05-08 14:10:06', '99', '99', '3', '11', '术前讨论、术前小结-主诉', '主诉：', '【主诉】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('137', 'N', '2020-05-08 14:10:16', '2020-05-08 14:15:07', '101', '101', '3', '31', '会诊结果单-会诊查体', '会诊查体：', '【会诊查体】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('138', 'N', '2020-05-08 14:10:46', '2020-05-08 14:10:46', '99', '99', '3', '11', '术前讨论、术前小结-发病经过', '发病经过：', '【发病经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('139', 'N', '2020-05-08 14:10:46', '2020-05-08 14:15:20', '101', '101', '3', '31', '会诊结果单-当前诊断', '当前诊断：', '【当前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('140', 'N', '2020-05-08 14:11:06', '2020-05-08 14:11:06', '99', '99', '3', '11', '术前讨论、术前小结-体格检查', '体格检查：', '【体格检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('141', 'N', '2020-05-08 14:11:23', '2020-05-08 14:15:33', '101', '101', '3', '31', '会诊结果单-会诊意见', '会诊意见：', '【会诊意见】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('142', 'N', '2020-05-08 14:11:32', '2020-05-09 16:25:54', '99', '103', '3', '11', '术前讨论、术前小结-辅助检查', '辅助检查：', '【辅助检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('143', 'N', '2020-05-08 14:11:56', '2020-05-08 14:11:56', '101', '101', '3', '31', '会诊结果单-医师签名', '医师签名：', '【医师签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('144', 'N', '2020-05-08 14:12:29', '2020-05-08 14:12:29', '99', '99', '3', '11', '术前讨论、术前小结-讨论结论', '二、讨论结论', '【讨论结论】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('145', 'N', '2020-05-08 14:14:21', '2020-05-08 14:14:31', '101', '101', '3', '31', '会诊结果单-会诊日期及时间', '会诊日期及时间：', '【会诊日期及时间】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('146', 'N', '2020-05-08 14:24:51', '2020-05-08 14:24:51', '103', '103', '3', '17', '手术记录-手术日期', '手术日期：', '【手术日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('147', 'N', '2020-05-08 14:32:36', '2020-05-09 13:45:58', '103', '103', '3', '17', '手术记录-术中所见', '术中所见：', '【术中发现】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('148', 'N', '2020-05-08 14:34:19', '2020-05-09 14:24:37', '103', '105', '3', '17', '手术记录-处理标本', '处理标本：', '【手术标本】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('149', 'N', '2020-05-08 14:35:20', '2020-05-09 16:28:53', '99', '103', '3', '11', '术前讨论、术前小结-术前诊断', '1.术前诊断：', '【术前诊断】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('150', 'N', '2020-05-08 14:35:57', '2020-05-08 14:35:57', '99', '99', '3', '11', '术前讨论、术前小结-手术指征与禁忌征', '2.手术指征与禁忌征：', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('151', 'N', '2020-05-08 14:37:05', '2020-05-09 13:47:01', '103', '103', '3', '17', '手术记录-病理冰冻诊断', '病理冰冻诊断：', '【病理冰冻诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('152', 'N', '2020-05-08 14:37:20', '2020-05-08 14:37:20', '99', '99', '3', '11', '术前讨论、术前小结-手术指征', '手术指征：', '【手术指征】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('153', 'N', '2020-05-08 14:37:41', '2020-05-09 14:56:13', '99', '99', '3', '22', '抢救记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('154', 'N', '2020-05-08 14:37:53', '2020-05-09 17:04:16', '99', '99', '3', '11', '术前讨论、术前小结-禁忌症', '禁忌症：', '【禁忌症】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('155', 'N', '2020-05-08 14:38:23', '2020-05-08 14:38:23', '99', '99', '3', '22', '抢救记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('156', 'N', '2020-05-08 14:38:30', '2020-05-08 14:38:30', '99', '99', '3', '11', '术前讨论、术前小结-可替代方案', '3.可替代方案：', '【可替代方案】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('157', 'N', '2020-05-08 14:38:54', '2020-05-08 14:38:54', '99', '99', '3', '11', '术前讨论、术前小结-拟施手术方式、名称及可能的变更', '4.拟施手术方式、名称及可能的变更：', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('158', 'N', '2020-05-08 14:39:34', '2020-05-08 14:39:34', '99', '99', '3', '22', '抢救记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('159', 'N', '2020-05-08 14:39:39', '2020-05-08 14:39:39', '99', '99', '3', '11', '术前讨论、术前小结-手术方式', '手术方式：', '【手术方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('160', 'N', '2020-05-08 14:39:56', '2020-05-09 16:59:44', '99', '99', '3', '11', '术前讨论、术前小结-手术名称', '手术名称：', '【手术名称】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('161', 'N', '2020-05-08 14:40:08', '2020-05-08 14:40:08', '99', '99', '3', '22', '抢救记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('162', 'N', '2020-05-08 14:40:14', '2020-05-08 14:40:14', '99', '99', '3', '11', '术前讨论、术前小结-可能的变更', '可能的变更：', '【可能的变更】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('163', 'N', '2020-05-08 14:41:27', '2020-05-08 14:41:27', '99', '99', '3', '22', '抢救记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('164', 'N', '2020-05-08 14:42:11', '2020-05-08 19:09:23', '99', '99', '3', '22', '抢救记录-抢救时间', '抢救时间：', '【抢救开始时间】~【抢救结束时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('165', 'N', '2020-05-08 14:44:02', '2020-05-09 16:45:23', '99', '99', '3', '11', '术前讨论、术前小结-计划多次手术', '5.计划多次手术：', '【计划多次手术】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('166', 'N', '2020-05-08 14:44:57', '2020-05-08 14:44:57', '99', '99', '3', '11', '术前讨论、术前小结-拟施麻醉方式', '6.拟施麻醉方式：', '【麻醉方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('167', 'N', '2020-05-08 14:45:31', '2020-05-08 14:45:31', '101', '101', '3', '7', '会诊记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('168', 'N', '2020-05-08 14:45:35', '2020-05-09 17:00:59', '99', '99', '3', '11', '术前讨论、术前小结-术前特殊准备', '7.术前特殊准备：', '【术前准备内容】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('169', 'N', '2020-05-08 14:46:12', '2020-05-08 14:46:12', '101', '101', '3', '7', '会诊记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('170', 'N', '2020-05-08 14:46:42', '2020-05-08 14:46:42', '101', '101', '3', '7', '会诊记录-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('171', 'N', '2020-05-08 14:47:27', '2020-05-08 14:47:27', '102', '102', '3', '1', '入院记录-心脏病', '心脏病：', '【心脏病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('172', 'N', '2020-05-08 14:47:45', '2020-05-08 14:47:45', '102', '102', '3', '1', '入院记录-糖尿病', '糖尿病：', '【糖尿病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('173', 'N', '2020-05-08 14:49:25', '2020-05-08 14:49:25', '102', '102', '3', '1', '入院记录-脑血管疾病', '脑血管疾病：', '【脑血管疾病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('174', 'N', '2020-05-08 14:49:40', '2020-05-08 14:49:40', '102', '102', '3', '1', '入院记录-呼吸系统疾病', '呼吸系统疾病：', '【呼吸系统疾病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('175', 'N', '2020-05-08 14:49:48', '2020-05-09 14:28:29', '103', '105', '3', '17', '手术记录-主刀/一助签名', '主刀/一助签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('176', 'N', '2020-05-08 14:49:53', '2020-05-08 14:49:53', '102', '102', '3', '1', '入院记录-肾脏疾病', '肾脏疾病：', '【肾脏疾病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('177', 'N', '2020-05-08 14:50:15', '2020-05-08 14:50:15', '102', '102', '3', '1', '入院记录-肝脏疾病', '肝脏疾病：', '【肝脏疾病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('178', 'N', '2020-05-08 14:50:48', '2020-05-09 13:10:00', '102', '105', '3', '1', '入院记录-内科疾病史其它', '内科疾病史其它：', '【内科疾病史其它】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('179', 'N', '2020-05-08 14:51:43', '2020-05-12 14:27:20', '102', '97', '3', '1', '入院记录-手术外伤史', '手术外伤史：', '【手术外伤史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('180', 'N', '2020-05-08 14:51:58', '2020-05-12 14:27:32', '102', '97', '3', '1', '入院记录-输血史', '输血史：', '【输血史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('181', 'N', '2020-05-08 14:52:09', '2020-05-08 14:52:09', '103', '103', '3', '17', '手术记录-审核人', '审核人：', '【审核人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('182', 'N', '2020-05-08 14:52:30', '2020-05-08 14:52:30', '103', '103', '3', '17', '手术记录-审核日期', '审核日期：', '【审核日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('183', 'N', '2020-05-08 14:53:28', '2020-05-11 15:26:32', '99', '99', '3', '11', '术前讨论、术前小结-主要术中、术后风险及防范措施', '8.主要术中、术后风险及防范措施：', '【可能意外和防范措施】', '1', '0', '0', '1', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('184', 'N', '2020-05-08 14:53:51', '2020-05-09 14:30:19', '103', '105', '3', '17', '手术记录-日期/时间(第一个)', '日期/时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('185', 'N', '2020-05-08 14:54:30', '2020-05-08 14:54:30', '99', '99', '3', '11', '术前讨论、术前小结-术中、术后注意事项（含护理事项）：', '9.术中、术后注意事项（含护理事项）：', '【术前术后注意事项】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('186', 'Y', '2020-05-08 14:54:47', '2020-05-08 14:58:44', '102', '102', '3', '3', '参加人员姓名及专业技术职务', '参加人员姓名及专业技术职务:', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('187', 'N', '2020-05-08 14:55:03', '2020-05-08 14:55:03', '101', '101', '3', '7', '会诊记录-会诊记录时间', '', '【记录时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('188', 'N', '2020-05-08 14:55:17', '2020-05-09 17:28:26', '99', '103', '3', '11', '术前讨论、术前小结-医生签名', '医生签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('189', 'Y', '2020-05-08 14:55:54', '2020-05-08 14:58:45', '102', '102', '3', '3', '病史简介', '病史简介:', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('190', 'N', '2020-05-08 14:55:57', '2020-05-09 16:43:00', '99', '103', '3', '11', '术前讨论、术前小结-书写日期', '书写日期：', '【记录日期】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('191', 'N', '2020-05-08 14:56:10', '2020-05-08 14:56:10', '101', '101', '3', '7', '会诊记录-会诊科室', '', '【会诊科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('192', 'N', '2020-05-08 14:56:35', '2020-05-08 14:56:35', '101', '101', '3', '7', '会诊记录-会诊医生', '', '【会诊医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('193', 'N', '2020-05-08 14:56:39', '2020-05-09 16:22:37', '99', '99', '3', '11', '术前讨论、术前小结-主刀医生签名', '主刀医生签名：', '【主刀医师签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('194', 'N', '2020-05-08 14:57:14', '2020-05-08 14:57:14', '99', '99', '3', '11', '术前讨论、术前小结-签字日期', '签字日期：', '【主刀医师签字时间】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('195', 'N', '2020-05-08 14:57:50', '2020-05-08 15:00:20', '101', '101', '3', '7', '会诊记录-会诊意见', '会诊意见：', '【会诊意见】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('196', 'Y', '2020-05-08 14:57:58', '2020-05-08 15:05:11', '99', '99', '3', '11', '术前讨论、术前小结', '术前讨论兼术前小结', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('197', 'N', '2020-05-08 15:00:09', '2020-05-08 15:00:09', '101', '101', '3', '7', '会诊记录-会诊意见的执行情况', '会诊意见的执行情况：', '【会诊情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('198', 'N', '2020-05-08 15:01:05', '2020-05-08 15:01:05', '101', '101', '3', '7', '会诊记录-记录医师', '记录医师：', '【记录医师】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('199', 'N', '2020-05-08 15:02:11', '2020-05-09 15:35:12', '103', '103', '3', '17', '手术记录-术（中）后诊断', '术（中）后诊断：', '【术后诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('200', 'N', '2020-05-08 15:04:25', '2020-05-08 15:17:04', '103', '103', '3', '17', '手术记录-手术经过及处理（包括患者的体位、切口处理、病灶所见及手术步骤等）', '手术经过及处理（包括患者的体位、切口处理、病灶所见及手术步骤等）：', '术中所见：【术中发现】术中快速冰冻病理：【病理冰冻诊断】<br/> 手术过程：【手术经过】<br/>手术完毕，将病人送复苏室。标本送检。', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('201', 'N', '2020-05-08 15:04:38', '2020-05-09 19:49:50', '102', '102', '3', '3', '死亡病例讨论记录-上级医师审核签名', '上级医师审核签名： ', '【审核人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('202', 'N', '2020-05-08 15:05:38', '2020-05-08 15:05:46', '102', '102', '3', '3', '死亡病例讨论记录-病历日期', '日期/时间:', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('203', 'N', '2020-05-08 15:06:24', '2020-05-08 15:06:24', '102', '102', '3', '3', '死亡病例讨论记录-审核日期', '日期/时间：', '【审核日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('204', 'N', '2020-05-08 15:08:48', '2020-05-12 14:27:46', '102', '97', '3', '1', '入院记录-药物食物中毒史', '药物食物中毒史：', '【药物食物中毒史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('205', 'N', '2020-05-08 15:09:02', '2020-05-08 15:09:02', '102', '102', '3', '1', '入院记录-结核病', '结核病：', '【结核病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('206', 'N', '2020-05-08 15:09:17', '2020-05-08 15:09:17', '102', '102', '3', '1', '入院记录-病毒性肝炎', '病毒性肝炎：', '【病毒性肝炎】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('207', 'N', '2020-05-08 15:11:57', '2020-05-09 13:59:38', '102', '102', '3', '1', '入院记录-传染病史其它', '传染病史其它：', '【传染病史其它】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('208', 'N', '2020-05-08 15:18:20', '2020-05-08 15:18:20', '99', '99', '3', '11', '术前小结-患者姓名', '患者姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('209', 'N', '2020-05-08 15:20:46', '2020-05-12 14:29:07', '102', '97', '3', '1', '入院记录-长期用药情况', '长期用药情况：', '【长期用药情况包括可能成瘾的药物】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('210', 'N', '2020-05-08 15:22:53', '2020-05-09 15:32:58', '103', '105', '3', '17', '手术记录-术中失血量', '术中失血量：', '约【失血】ml', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('211', 'N', '2020-05-08 15:26:12', '2020-05-12 14:28:01', '102', '97', '3', '1', '入院记录-最近一周使用抗凝药物情况', '最近一周使用抗凝药物情况：', '【最近一周使用抗凝药物情况】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('212', 'N', '2020-05-08 15:26:36', '2020-05-08 15:26:36', '101', '101', '3', '10', '输血/血制品病程记录-姓名', '姓名：', '【本人姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('213', 'N', '2020-05-08 15:26:47', '2020-05-12 14:29:17', '102', '97', '3', '1', '入院记录-过敏史', '过敏史：', '【过敏史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('214', 'N', '2020-05-08 15:26:59', '2020-05-08 15:26:59', '99', '99', '3', '22', '抢救记录-病情变化', '病情变化：', '【抢救病情】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('215', 'N', '2020-05-08 15:27:02', '2020-05-08 15:27:02', '102', '102', '3', '1', '入院记录-预防接种史', '预防接种史：', '【预防接种史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('216', 'N', '2020-05-08 15:27:08', '2020-05-08 15:27:08', '101', '101', '3', '10', '输血/血制品病程记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('217', 'N', '2020-05-08 15:27:14', '2020-05-08 15:27:14', '99', '99', '3', '11', '术前小结-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('218', 'N', '2020-05-08 15:27:54', '2020-05-09 14:37:19', '101', '103', '3', '10', '输血/血制品病程记录-科别', '科别：', '【科别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('219', 'N', '2020-05-08 15:27:57', '2020-05-08 15:27:57', '99', '99', '3', '11', '术前小结-病历号', '病历号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('220', 'N', '2020-05-08 15:28:19', '2020-05-08 15:28:19', '99', '99', '3', '22', '抢救记录-手术名称或操作名称（如无则不填）', '手术名称或操作名称（如无则不填）： ', '【手术名称】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('221', 'N', '2020-05-08 15:28:20', '2020-05-08 17:00:57', '99', '99', '3', '11', '术前小结-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('222', 'N', '2020-05-08 15:28:24', '2020-05-08 15:28:24', '101', '101', '3', '10', '输血/血制品病程记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('223', 'N', '2020-05-08 15:28:47', '2020-05-09 21:23:35', '102', '99', '3', '5', '出院小结-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('224', 'N', '2020-05-08 15:28:55', '2020-05-08 15:28:55', '101', '101', '3', '10', '输血/血制品病程记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('225', 'N', '2020-05-08 15:29:05', '2020-05-08 15:29:05', '99', '99', '3', '22', '抢救记录-抢救措施', '抢救措施： ', '【抢救措施】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('226', 'N', '2020-05-08 15:29:17', '2020-05-08 15:29:37', '99', '99', '3', '11', '术前小结-简要病情', '简要病情：', '【简要病情】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('227', 'N', '2020-05-08 15:29:36', '2020-05-08 15:29:36', '101', '101', '3', '10', '输血/血制品病程记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('228', 'N', '2020-05-08 15:30:00', '2020-05-09 16:29:45', '99', '103', '3', '11', '术前小结-术前诊断', '术前诊断：', '【术前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('229', 'N', '2020-05-08 15:30:20', '2020-05-08 15:30:20', '99', '99', '3', '11', '术前小结-手术指征', '手术指征：', '【手术指征】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('230', 'N', '2020-05-08 15:30:26', '2020-05-08 15:30:26', '101', '101', '3', '10', '输血/血制品病程记录-血型', '血型：', '【血型】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('231', 'N', '2020-05-08 15:30:41', '2020-05-08 15:34:39', '99', '99', '3', '11', '术前小结-术前准备情况', '术前准备情况：', '【术前准备内容】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('232', 'N', '2020-05-08 15:30:58', '2020-05-08 17:11:08', '99', '99', '3', '11', '术前小结-拟施手术名称和方式', '拟施手术名称和方式：', '【拟施手术名称和方式】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('233', 'N', '2020-05-08 15:31:13', '2020-05-09 16:36:12', '101', '101', '3', '10', '输血/血制品病程记录-RH血型', 'RH血型：', '【Rh血型】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('234', 'N', '2020-05-08 15:33:28', '2020-05-09 14:51:50', '101', '103', '3', '10', '输血/血制品病程记录-输注前评估', '输注前评估：', '患者现患【初步诊断】，查血常规示：【输血检验指标】，有输【输血项目】的指征。为【输血目的】，拟输【输血计划】。病人知情同意已签。', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('235', 'N', '2020-05-08 15:34:59', '2020-05-09 15:03:43', '101', '103', '3', '10', '输血/血制品病程记录-输血前预防输血反应措施', '输血前预防输血反应措施：', '(1)严格管理血库保养液和输血用具，有效预防致热源，严格执行无菌操作。 (2)①勿选用有过敏史的献血员；②献血员在采血前4h内不吃高蛋白和高脂肪食物，宜用少量清淡饮食或糖水。 (3)认真作好血型鉴定和交叉配血试验，输血前仔细查对，杜绝差错。严格执行血液保存规则，不可使用变质血液。 (4)严格把握采血、贮血和输血操作的各个环节。  ', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('236', 'N', '2020-05-08 15:35:24', '2020-05-08 15:35:24', '99', '99', '3', '11', '术前小结-拟施麻醉方式', '拟施麻醉方式：', '【麻醉方式】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('237', 'N', '2020-05-08 15:35:59', '2020-05-08 15:35:59', '101', '101', '3', '10', '输血/血制品病程记录-开始输血时间', '开始输血时间：', '【输注开始】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('238', 'N', '2020-05-08 15:36:25', '2020-05-08 15:36:25', '99', '99', '3', '11', '术前小结-注意事项', '注意事项：', '【术前术后注意事项】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('239', 'N', '2020-05-08 15:36:52', '2020-05-09 16:36:39', '101', '101', '3', '10', '输血/血制品病程记录-输血结束时间', '输血结束时间：', '【输注结束】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('240', 'N', '2020-05-08 15:37:54', '2020-05-08 15:37:54', '99', '99', '3', '11', '术前小结-医生签名', '医生签名：', '【医生签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('241', 'N', '2020-05-08 15:38:39', '2020-05-08 15:38:39', '99', '99', '3', '11', '术前小结-书写日期', '书写日期：', '【记录日期】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('242', 'N', '2020-05-08 15:38:43', '2020-05-09 14:58:46', '101', '103', '3', '10', '输血/血制品病程记录-输血过程观察', '输血过程观察：', '【输注后效果评价】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('243', 'N', '2020-05-08 15:39:36', '2020-05-08 15:39:36', '102', '102', '3', '1', '入院记录-出生生长史', '出生生长史：', '【出生生长史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('244', 'N', '2020-05-08 15:39:54', '2020-05-08 15:39:54', '102', '102', '3', '1', '入院记录-疫区居留史', '疫区居留史：', '【疫区居留史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('245', 'N', '2020-05-08 15:40:04', '2020-05-08 15:40:04', '99', '99', '3', '11', '术前小结-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('246', 'N', '2020-05-08 15:40:20', '2020-05-08 15:40:20', '102', '102', '3', '1', '入院记录-冶游史', '冶游史：', '【冶游史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('247', 'N', '2020-05-08 15:40:40', '2020-05-08 15:40:40', '102', '102', '3', '1', '入院记录-工作性质', '工作性质：', '【工作性质】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('248', 'N', '2020-05-08 15:40:48', '2020-05-08 15:40:48', '101', '101', '3', '10', '输血/血制品病程记录-记录者', '记录者：', '【记录医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('249', 'N', '2020-05-08 15:41:26', '2020-05-09 13:12:29', '102', '105', '3', '1', '入院记录-化学及放射性毒物接触史', '化学及放射性毒物接触史：', '【化学及放射性毒物接触史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('250', 'N', '2020-05-08 15:41:41', '2020-05-08 15:41:41', '102', '102', '3', '1', '入院记录-吸烟', '吸烟：', '【吸烟】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('251', 'N', '2020-05-08 15:41:54', '2020-05-08 15:41:54', '101', '101', '3', '10', '输血/血制品病程记录-记录时间', '记录时间：', '【记录时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('252', 'N', '2020-05-08 15:41:55', '2020-05-08 15:41:55', '102', '102', '3', '1', '入院记录-饮酒', '饮酒：', '【饮酒】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('253', 'N', '2020-05-08 15:41:55', '2020-05-09 10:19:49', '99', '97', '3', '22', '抢救记录-参加抢救的医务人员姓名及专业技术职称', '参加抢救的医务人员姓名及专业技术职称： ', '【参加人员及职称】<br/>', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('254', 'N', '2020-05-08 15:42:34', '2020-05-08 15:42:34', '102', '102', '3', '1', '入院记录-婚姻状况', '婚姻状况：', '【婚姻状况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('255', 'N', '2020-05-08 15:42:52', '2020-05-08 15:42:52', '102', '102', '3', '1', '入院记录-结婚年龄', '结婚年龄：', '【结婚年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('256', 'N', '2020-05-08 15:43:09', '2020-05-08 15:43:09', '99', '99', '3', '22', '抢救记录-医师签名', '医师签名： ', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('257', 'N', '2020-05-08 15:43:19', '2020-05-09 14:01:37', '102', '102', '3', '1', '入院记录-婚姻家庭关系和睦', '婚姻家庭关系和睦：', '【夫妻关系】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('258', 'N', '2020-05-08 15:44:30', '2020-05-08 15:44:30', '99', '99', '3', '22', '抢救记录-时间', '时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('259', 'N', '2020-05-08 15:45:13', '2020-05-08 15:45:13', '102', '102', '3', '1', '入院记录-子女健康状况', '子女健康状况：', '【子女健康状况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('260', 'N', '2020-05-08 15:45:14', '2020-05-08 15:45:14', '99', '99', '3', '22', '抢救记录-上级医师审核', '上级医师审核：', '【审核人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('261', 'N', '2020-05-08 15:45:49', '2020-05-08 15:45:49', '99', '99', '3', '22', '抢救记录-审核时间', '时间：', '【审核日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('262', 'N', '2020-05-08 15:47:18', '2020-05-08 15:47:18', '103', '103', '3', '17', '手术记录-内植入物', '内植入物：', '【内植入物】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('263', 'N', '2020-05-08 15:49:41', '2020-05-08 15:49:41', '102', '102', '3', '1', '入院记录-配偶健康状况', '配偶健康状况：', '【配偶健康状况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('264', 'N', '2020-05-08 15:50:25', '2020-05-08 15:50:25', '102', '102', '3', '1', '入院记录-家庭成员类似病史', '家庭成员类似病史：', '【家庭成员类似病史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('265', 'N', '2020-05-08 15:50:54', '2020-05-09 14:03:37', '102', '102', '3', '1', '入院记录-家庭成员健康情况', '家庭成员健康情况：', '【家庭成员健康情况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('266', 'N', '2020-05-08 15:51:30', '2020-05-09 14:04:02', '102', '102', '3', '1', '入院记录-家庭成员遗传性疾病', '家庭成员遗传性疾病：', '【家庭成员遗传性疾病】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('267', 'N', '2020-05-08 15:54:04', '2020-05-08 15:54:04', '103', '103', '3', '17', '手术记录- 手术经过及处理（包括患者的体位、切口处理、病灶所见及手术步骤等）', '手术经过及处理（包括患者的体位、切口处理、病灶所见及手术步骤等）：', '【手术经过】内植入物：【内植入物】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('268', 'N', '2020-05-08 16:08:16', '2020-05-08 16:08:16', '102', '102', '3', '5', '出院小结-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('269', 'N', '2020-05-08 16:08:37', '2020-05-08 16:08:37', '102', '102', '3', '5', '出院小结-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('270', 'N', '2020-05-08 16:08:57', '2020-05-08 16:08:57', '102', '102', '3', '5', '出院小结-病历号', '病历号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('271', 'N', '2020-05-08 16:09:41', '2020-05-09 17:09:25', '102', '99', '3', '5', '出院小结-入院日期', '入院日期：', '【入院时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('272', 'N', '2020-05-08 16:10:09', '2020-05-09 17:10:08', '102', '99', '3', '5', '出院小结-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('273', 'N', '2020-05-08 16:10:40', '2020-05-08 16:10:40', '102', '102', '3', '5', '出院小结-出院日期', '出院日期：', '【出院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('274', 'N', '2020-05-08 16:11:09', '2020-05-09 17:12:01', '102', '99', '3', '5', '出院小结-医疗组长', '医疗组长：', '【主诊医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('275', 'N', '2020-05-08 16:11:31', '2020-05-08 16:11:31', '101', '101', '3', '32', '输血后效果评价-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('276', 'N', '2020-05-08 16:11:56', '2020-05-09 17:13:02', '102', '99', '3', '5', '出院小结-入院诊断', '入院诊断： ', '【入院诊断】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('277', 'N', '2020-05-08 16:12:02', '2020-05-08 16:12:02', '101', '101', '3', '32', '输血后效果评价-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('278', 'N', '2020-05-08 16:12:25', '2020-05-09 17:13:14', '102', '99', '3', '5', '出院小结-出院诊断', '出院诊断：', '【出院诊断】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('279', 'N', '2020-05-08 16:14:25', '2020-05-09 15:10:46', '101', '103', '3', '32', '输血后效果评价-科别', '科别：', '【科别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('280', 'N', '2020-05-08 16:14:50', '2020-05-09 17:13:51', '102', '99', '3', '5', '出院小结-入院原因', '入院原因：', '【入院原因】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('281', 'N', '2020-05-08 16:15:02', '2020-05-08 16:15:02', '101', '101', '3', '32', '输血后效果评价-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('282', 'N', '2020-05-08 16:15:34', '2020-05-09 20:13:59', '102', '102', '3', '5', '出院小结-入院情况', '入院情况：', '患者因【主诉】入院。', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('283', 'N', '2020-05-08 16:15:38', '2020-05-08 16:15:38', '101', '101', '3', '32', '输血后效果评价-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('284', 'N', '2020-05-08 16:16:14', '2020-05-08 16:16:14', '101', '101', '3', '32', '输血后效果评价-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('285', 'N', '2020-05-08 16:16:46', '2020-05-09 21:38:01', '102', '99', '3', '5', '出院小结-住院诊治经过(包括重要发现和结论，接受的手术和操作，药物和其他治疗)-手术 ', '住院诊治经过(包括重要发现和结论，接受的手术和操作，药物和其他治疗) ： ', '【诊治经过】【住院诊治经过】于【手术日期】在【麻醉方式】行【手术】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('286', 'N', '2020-05-08 16:19:58', '2020-05-09 15:13:10', '101', '103', '3', '32', '输血后效果评价-输血后症状体征变化', '输血后症状体征变化：', '【输血后生命体征变化】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('287', 'N', '2020-05-08 16:20:41', '2020-05-09 17:23:13', '102', '99', '3', '5', '出院小结-出院时情况', '出院时情况： ', '【出院情况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('288', 'N', '2020-05-08 16:21:09', '2020-05-09 16:37:18', '101', '101', '3', '32', '输血后效果评价-复查相关实验室指标', '复查相关实验室指标：', '【复查相关实验室指标】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('289', 'N', '2020-05-08 16:21:11', '2020-05-08 16:21:11', '102', '102', '3', '5', '出院小结-出院状态', '出院状态： ', '【出院状态】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('290', 'N', '2020-05-08 16:21:31', '2020-05-09 17:24:01', '102', '99', '3', '5', '出院小结-出院去向', '出院去向： ', '【出院后去处】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('291', 'N', '2020-05-08 16:21:52', '2020-05-09 20:32:04', '102', '99', '3', '5', '出院小结-出院带药', '出院带药： ', '【出院医嘱】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('292', 'N', '2020-05-08 16:21:59', '2020-05-09 16:37:31', '101', '101', '3', '32', '输血后效果评价-输血疗效', '输血疗效：', '【输血疗效】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('293', 'N', '2020-05-08 16:22:12', '2020-05-09 17:26:12', '102', '99', '3', '5', '出院小结-出院指导', '出院指导： ', '【健康教育】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('294', 'N', '2020-05-08 16:22:32', '2020-05-08 16:22:32', '102', '102', '3', '5', '出院小结-饮食指导', '饮食指导： ', '【饮食指导】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('295', 'N', '2020-05-08 16:22:42', '2020-05-09 16:15:17', '101', '103', '3', '32', '输血后效果评价-记录医师', '记录医师：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('296', 'N', '2020-05-08 16:22:46', '2020-05-08 16:22:46', '102', '102', '3', '5', '出院小结-特殊饮食指导', '特殊饮食指导： ', '【特殊饮食指导】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('297', 'N', '2020-05-08 16:23:00', '2020-05-08 16:23:00', '102', '102', '3', '5', '出院小结-其它指导', '其它指导： ', '【其它指导】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('298', 'Y', '2020-05-08 16:23:22', '2020-05-08 20:09:58', '102', '102', '3', '5', '出院小结-随访（复诊安排） 11', '随访（复诊安排） ： ', '【随访】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('299', 'N', '2020-05-08 16:23:29', '2020-05-08 16:23:29', '101', '101', '3', '32', '输血后效果评价-记录时间', '记录时间：', '【记录时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('300', 'N', '2020-05-08 16:23:59', '2020-05-09 17:41:40', '102', '99', '3', '5', '出院小结-时间', '时间 ： ', '【随访计划】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('301', 'N', '2020-05-08 16:24:20', '2020-05-09 17:42:25', '102', '99', '3', '5', '出院小结-地点', '地点： ', '【复诊地点】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('302', 'N', '2020-05-08 16:24:44', '2020-05-09 17:40:06', '102', '99', '3', '5', '出院小结-复诊目的', '复诊目的： ', '【复诊目的】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('303', 'N', '2020-05-08 16:24:58', '2020-05-09 17:42:37', '102', '99', '3', '5', '出院小结-科室', '科室： ', '【复诊科室】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('304', 'N', '2020-05-08 16:25:17', '2020-05-09 19:23:27', '102', '99', '3', '5', '出院小结-医生签名（医师签名）', '医生签名： ', '【医师签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('305', 'N', '2020-05-08 16:25:43', '2020-05-09 17:45:32', '102', '99', '3', '5', '出院小结-记录日期', '记录日期： ', '【签名时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('306', 'N', '2020-05-08 16:26:13', '2020-05-09 14:37:53', '103', '103', '3', '17', '手术记录-（仅手术经过）手术经过及处理（包括患者的体位、切口处理、病灶所见及手术步骤等）', '手术经过及处理（包括患者的体位、切口处理、病灶所见及手术步骤等）： ', '【手术经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('307', 'N', '2020-05-08 16:36:49', '2020-05-08 18:06:29', '102', '102', '3', '5', '出院小结-医生签字时间', '医生签字时间：', '【医生签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('308', 'N', '2020-05-08 16:57:31', '2020-05-08 16:57:31', '103', '103', '3', '18', '术后首次病程及谈话记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('309', 'N', '2020-05-08 16:57:57', '2020-05-08 16:57:57', '103', '103', '3', '18', '术后首次病程及谈话记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('310', 'N', '2020-05-08 16:58:26', '2020-05-09 19:10:58', '103', '103', '3', '18', '术后首次病程及谈话记录-年龄', '年龄：', '【年龄】岁', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('311', 'N', '2020-05-08 16:59:07', '2020-05-09 13:27:05', '103', '103', '3', '18', '术后首次病程及谈话记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('312', 'N', '2020-05-08 16:59:33', '2020-05-08 16:59:33', '103', '103', '3', '18', '术后首次病程及谈话记录-手术日期', '手术日期：', '【手术日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('313', 'N', '2020-05-08 17:00:31', '2020-05-09 17:39:50', '103', '105', '3', '18', '术后首次病程及谈话记录-术前诊断', '术前诊断：', '【术中发现】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('314', 'N', '2020-05-08 17:00:52', '2020-05-12 15:18:34', '103', '103', '3', '18', '术后首次病程及谈话记录-术中诊断(术中诊断)', '术中诊断：', '【术中诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('315', 'N', '2020-05-08 17:15:53', '2020-05-09 16:39:02', '103', '103', '3', '18', '术后首次病程及谈话记录-手术名称和方式', '手术名称和方式：', '【手术名称】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('316', 'N', '2020-05-08 17:16:36', '2020-05-09 19:01:58', '103', '103', '3', '18', '术后首次病程及谈话记录-麻醉方式', '麻醉方式：', '【麻醉方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('317', 'N', '2020-05-08 17:19:32', '2020-05-09 17:09:40', '103', '103', '3', '18', '术后首次病程及谈话记录-手术简要经过（术中所见）', '手术简要经过（术中所见）：', '【术中发现】【手术经过】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('318', 'N', '2020-05-08 17:21:49', '2020-05-09 17:10:22', '103', '103', '3', '18', '术后首次病程及谈话记录-病人出手术室时一般情况，包括生命体征', '病人出手术室时一般情况，包括生命体征：', '【目前情况】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('319', 'N', '2020-05-08 17:23:32', '2020-05-08 19:14:03', '103', '103', '3', '18', '术后首次病程及谈话记录-术后处理措施', '术后处理措施：', '【治疗计划和措施】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('320', 'N', '2020-05-08 17:24:39', '2020-05-08 19:13:39', '103', '103', '3', '18', '术后首次病程及谈话记录-术后注意事项', '术后注意事项：', '【注意事项】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('321', 'N', '2020-05-08 17:25:21', '2020-05-09 14:54:36', '99', '99', '3', '25', '病危通知书-姓名', '姓名：', '【本人姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('322', 'N', '2020-05-08 17:25:27', '2020-05-08 17:25:27', '103', '103', '3', '18', '术后首次病程及谈话记录-患方意见', '患方意见：', '【意见】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('323', 'N', '2020-05-08 17:26:59', '2020-05-08 17:26:59', '99', '99', '3', '25', '病危通知书-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('324', 'N', '2020-05-08 17:27:36', '2020-05-08 17:27:36', '99', '99', '3', '25', '病危通知书-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('325', 'N', '2020-05-08 17:28:45', '2020-05-08 17:28:45', '99', '99', '3', '25', '病危通知书-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('326', 'N', '2020-05-08 17:28:46', '2020-05-09 17:42:25', '103', '105', '3', '18', '术后首次病程及谈话记录-医生签名', '医生签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('327', 'N', '2020-05-08 17:29:28', '2020-05-08 17:29:28', '103', '103', '3', '18', '术后首次病程及谈话记录-主刀医生签名', '主刀医生签名：', '【主刀医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('328', 'N', '2020-05-08 17:35:19', '2020-05-09 14:40:31', '99', '99', '3', '25', '病危通知书-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('329', 'N', '2020-05-08 17:36:05', '2020-05-09 14:32:12', '99', '99', '3', '25', '病危通知书-目前诊断', '1.目前诊断：', '【当前诊断】      病危 病重', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('330', 'N', '2020-05-08 17:37:18', '2020-05-09 14:38:40', '99', '99', '3', '25', '病危通知书-目前病情', '2.目前病情：', '【简要病情】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('331', 'N', '2020-05-08 17:37:39', '2020-05-08 17:37:39', '99', '99', '3', '26', '转入记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('332', 'N', '2020-05-08 17:37:54', '2020-05-08 17:37:54', '99', '99', '3', '27', '转出记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('333', 'N', '2020-05-08 17:38:27', '2020-05-08 17:38:27', '99', '99', '3', '25', '病危通知书-谈话医师签名', '谈话医师签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('334', 'N', '2020-05-08 17:40:14', '2020-05-08 17:40:14', '99', '99', '3', '27', '转出记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('335', 'N', '2020-05-08 17:40:28', '2020-05-08 17:43:12', '99', '99', '3', '27', '转出记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('336', 'N', '2020-05-08 17:43:49', '2020-05-08 17:43:49', '99', '99', '3', '27', '转出记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('337', 'N', '2020-05-08 17:45:36', '2020-05-08 17:45:36', '103', '103', '3', '18', '术后首次病程及谈话记录-患方签名', '患方签名：', '【患方签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('338', 'N', '2020-05-08 17:46:43', '2020-05-08 17:46:43', '103', '103', '3', '18', '术后首次病程及谈话记录-患方签名日期', '患方签名日期：', '【患方签名日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('339', 'N', '2020-05-08 17:46:48', '2020-05-08 17:53:40', '101', '101', '3', '4', '查房记录-查房日期', '', '【查房日期】', '1', '0', '0', '0', '0', '1', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('340', 'N', '2020-05-08 17:47:02', '2020-05-09 11:19:51', '103', '103', '3', '18', '术后首次病程及谈话记录-患方签字时间', '患方签字时间：', '【患者或家属签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('341', 'N', '2020-05-08 17:47:40', '2020-05-08 17:47:40', '99', '99', '3', '27', '转出记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('342', 'N', '2020-05-08 17:48:15', '2020-05-08 17:48:15', '99', '99', '3', '27', '转出记录-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('343', 'N', '2020-05-08 17:48:32', '2020-05-08 17:54:46', '101', '101', '3', '4', '查房记录-查房医师', '', '【查房医师】', '1', '0', '0', '0', '0', '1', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('344', 'N', '2020-05-08 17:50:46', '2020-05-08 17:55:06', '103', '103', '3', '18', '术后首次病程及谈话记录-记录日期（书写日期）', '记录日期：', '【书写日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('345', 'N', '2020-05-08 17:50:58', '2020-05-12 16:59:02', '103', '103', '3', '18', '术后首次病程及谈话记录-记录日期（病历日期）', '记录日期：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('346', 'N', '2020-05-08 17:53:16', '2020-05-08 17:54:56', '101', '101', '3', '4', '查房记录-参加人员及职称', '', '【参加人员及职称】', '1', '0', '0', '0', '0', '1', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('347', 'N', '2020-05-08 17:53:45', '2020-05-08 17:53:45', '103', '103', '3', '18', '术后首次病程及谈话记录-医生签字时间:', '医生签字时间：', '【医生签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('348', 'N', '2020-05-08 17:55:05', '2020-05-08 17:55:05', '99', '99', '3', '25', '病危通知书-签名时间', '签名时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('349', 'N', '2020-05-08 17:56:47', '2020-05-08 17:56:47', '99', '99', '3', '25', '病危通知书-审核医师', '审核医师：', '【审核人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('350', 'N', '2020-05-08 17:59:34', '2020-05-08 18:02:07', '99', '99', '3', '26', '转入记录-转科日期、转出科室、转入科室', '', '患者于【转科日期】由【转出科室】转入【转入科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('351', 'N', '2020-05-08 18:01:03', '2020-05-09 14:21:28', '99', '99', '3', '25', '病危通知书-日期', '日期：', '【审核日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('352', 'N', '2020-05-08 18:01:05', '2020-05-08 18:04:13', '99', '99', '3', '26', '转入记录-简要病情', '简要病情：', '【简要病情】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('353', 'N', '2020-05-08 18:03:16', '2020-05-08 18:03:16', '99', '99', '3', '25', '病危通知书-患方意见', '患方意见：', '【家属意见】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('354', 'N', '2020-05-08 18:04:03', '2020-05-09 14:31:00', '99', '99', '3', '25', '病危通知书-患者签名', '患者签名：', '【患者签字】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('355', 'N', '2020-05-08 18:05:06', '2020-05-08 18:05:06', '99', '99', '3', '25', '病危通知书-代理人签名 ', '代理人签名 ：', '【家属信息】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('356', 'N', '2020-05-08 18:06:09', '2020-05-08 18:06:09', '99', '99', '3', '25', '病危通知书-与患者关系', '与患者关系 ：', '【关系】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('357', 'N', '2020-05-08 18:06:17', '2020-05-08 18:06:17', '102', '102', '3', '5', '出院小结-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('358', 'N', '2020-05-08 18:06:28', '2020-05-08 18:06:28', '99', '99', '3', '26', '转入记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('359', 'N', '2020-05-08 18:07:00', '2020-05-08 18:07:00', '103', '103', '3', '18', '术后首次病程及谈话记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('360', 'N', '2020-05-08 18:07:08', '2020-05-09 19:52:46', '102', '99', '3', '5', '出院小结-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('361', 'N', '2020-05-08 18:07:14', '2020-05-08 18:07:14', '99', '99', '3', '26', '转入记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('362', 'N', '2020-05-08 18:07:35', '2020-05-08 18:07:35', '102', '102', '3', '5', '出院小结-入院时间', '入院时间：', '【入院时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('363', 'N', '2020-05-08 18:07:36', '2020-05-08 18:07:36', '99', '99', '3', '26', '转入记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('364', 'N', '2020-05-08 18:08:01', '2020-05-08 18:08:01', '99', '99', '3', '26', '转入记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('365', 'N', '2020-05-08 18:08:17', '2020-05-08 18:08:17', '99', '99', '3', '26', '转入记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('366', 'N', '2020-05-08 18:09:06', '2020-05-08 18:09:06', '102', '102', '3', '5', '出院小结-出院时间', '出院时间：', '【出院时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('367', 'N', '2020-05-08 18:09:20', '2020-05-08 18:09:20', '99', '99', '3', '26', '转入记录-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('368', 'N', '2020-05-08 18:09:29', '2020-05-08 18:09:29', '102', '102', '3', '5', '出院小结-住院天数', '住院天数：', '【住院天数】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('369', 'N', '2020-05-08 18:10:02', '2020-05-08 18:10:02', '99', '99', '3', '25', '病危通知书-患方签字时间', '患方签字时间：', '【患方签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('370', 'N', '2020-05-08 18:10:15', '2020-05-08 18:10:15', '99', '99', '3', '26', '转入记录-主诉', '主诉：', '【主诉】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('371', 'N', '2020-05-08 18:10:18', '2020-05-09 20:07:43', '102', '102', '3', '5', '出院小结-体格检查', '体格检查：', '体温【体温耳】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg，【专科检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('372', 'N', '2020-05-08 18:10:41', '2020-05-09 20:36:20', '102', '102', '3', '5', '出院小结-辅助检查', '辅助检查：', '【实验室检查】【影像学检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('373', 'N', '2020-05-08 18:10:58', '2020-05-08 19:30:58', '99', '99', '3', '26', '转入记录-发病经过', '发病经过', '【发病经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('374', 'N', '2020-05-08 18:11:08', '2020-05-09 19:58:01', '102', '103', '3', '5', '出院小结-病理诊断', '病理诊断：', '【病理诊断有无】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('375', 'N', '2020-05-08 18:11:21', '2020-05-08 18:11:21', '103', '103', '3', '18', '术后首次病程及谈话记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('376', 'N', '2020-05-08 18:12:04', '2020-05-09 20:14:24', '102', '99', '3', '5', '出院小结-出院时情况（症状与体征）', '出院时情况（症状与体征）：', '【出院情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('377', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '3', '1', '入院记录-内科疾病史', '内科疾病史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('378', 'N', '2020-05-08 18:48:51', '2020-05-08 18:48:51', '102', '102', '3', '1', '入院记录-既往史', '既往史', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('379', 'N', '2020-05-08 18:51:18', '2020-05-08 18:51:52', '102', '102', '3', '1', '入院记录-传染病史', '传染病史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('380', 'N', '2020-05-08 18:58:53', '2020-05-08 19:04:47', '103', '103', '3', '18', '术后首次病程及谈话记录-手术方式', '手术方式：', '【手术名称】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('381', 'N', '2020-05-08 19:04:32', '2020-05-09 10:57:03', '103', '103', '3', '18', '术后首次病程及谈话记录-手术简要经过（包括术中所见及对病灶描述）', '手术简要经过（包括术中所见及对病灶描述）：', '【手术经过】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('382', 'N', '2020-05-08 19:06:14', '2020-05-09 20:14:56', '102', '103', '3', '5', '出院小结-健康教育（包括饮食指导）', '健康教育（包括饮食指导）：', '【健康教育】', '1', '0', '0', '1', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('383', 'N', '2020-05-08 19:06:22', '2020-05-12 16:59:51', '103', '103', '3', '18', '术后首次病程及谈话记录-术后处理措施（包括专科处置内容）', '术后处理措施（包括专科处置内容）：', '【治疗计划和措施】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('384', 'Y', '2020-05-08 19:09:23', '2020-05-08 20:09:56', '102', '102', '3', '5', '出院小结-随访计划（复诊安排）11', '随访计划（复诊安排）：', '【随访计划】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('385', 'N', '2020-05-08 19:10:45', '2020-05-08 19:10:45', '102', '102', '3', '5', '出院小结-随诊安排', '随诊安排：', '【随诊安排】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('386', 'Y', '2020-05-08 19:17:37', '2020-05-08 19:26:08', '102', '102', '3', '1', '入院记录-个人史', '个人史', '', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('387', 'N', '2020-05-08 19:19:43', '2020-05-08 19:33:13', '102', '102', '3', '1', '入院记录-个人史', '个人史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('388', 'N', '2020-05-08 19:21:16', '2020-05-08 19:21:16', '102', '102', '3', '1', '入院记录-个人习惯史', '个人习惯史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('389', 'N', '2020-05-08 19:24:21', '2020-05-08 19:24:21', '102', '102', '3', '1', '入院记录-婚姻史', '婚姻史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('390', 'N', '2020-05-08 19:28:07', '2020-05-08 19:28:07', '99', '99', '3', '26', '转入记录-体格检查', '体格检查：', '【专科检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('391', 'N', '2020-05-08 19:28:54', '2020-05-08 19:28:54', '99', '99', '3', '26', '转入记录-辅助检查', '辅助检查：', '【辅助检查结果】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('392', 'N', '2020-05-08 19:29:50', '2020-05-08 19:29:50', '99', '99', '3', '26', '转入记录-入院诊断', '入院诊断：', '【入院诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('393', 'N', '2020-05-08 19:33:04', '2020-05-08 19:33:04', '102', '102', '3', '1', '入院记录-家族史', '家族史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('394', 'N', '2020-05-08 19:33:05', '2020-05-08 19:33:05', '103', '103', '3', '28', '阶段小结-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('395', 'N', '2020-05-08 19:34:28', '2020-05-08 19:34:28', '102', '102', '3', '1', '入院记录-体格检查', '体格检查', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('396', 'N', '2020-05-08 19:35:36', '2020-05-09 14:07:58', '102', '102', '3', '1', '入院记录-疼痛(分)', '疼痛：', '【疼痛评分】分', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('397', 'N', '2020-05-08 19:35:42', '2020-05-08 19:35:42', '102', '102', '3', '1', '入院记录-生命体征', '生命体征', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('398', 'N', '2020-05-08 19:37:20', '2020-05-09 13:51:39', '102', '102', '3', '1', '入院记录-其他检查', '其他检查', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('399', 'N', '2020-05-08 19:39:47', '2020-05-08 19:39:47', '102', '102', '3', '1', '入院记录-审核人', '审核人：', '【上级医生审核】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('400', 'N', '2020-05-08 19:40:30', '2020-05-08 19:40:30', '102', '102', '3', '1', '入院记录-审核日期', '审核日期', '【审核时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('401', 'N', '2020-05-08 19:57:06', '2020-05-08 19:57:06', '102', '102', '3', '1', '入院记录-发病节气', '发病节气：', '【发病节气】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('402', 'N', '2020-05-08 19:59:33', '2020-05-08 19:59:33', '102', '102', '3', '1', '入院记录-入院日期【入病房时间】', '入院日期：', '【入病房时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('403', 'N', '2020-05-08 20:01:12', '2020-05-08 20:02:44', '99', '99', '3', '26', '转入记录-诊疗经过', '诊疗经过：', '【诊治经过】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('404', 'N', '2020-05-08 20:02:53', '2020-05-08 20:02:53', '99', '99', '3', '26', '转入记录-接科情况', '接科情况：', '【接科情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('405', 'N', '2020-05-08 20:03:45', '2020-05-08 20:03:45', '99', '99', '3', '26', '转入记录-目前诊断', '目前诊断：', '【当前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('406', 'N', '2020-05-08 20:04:47', '2020-05-08 20:04:47', '99', '99', '3', '26', '转入记录-转入诊疗计划', '转入诊疗计划：', '【治疗计划和措施】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('407', 'N', '2020-05-08 20:05:57', '2020-05-09 17:29:56', '102', '99', '3', '5', '出院小结-随访（复诊安排） ', '随访（复诊安排） ', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('408', 'N', '2020-05-08 20:06:11', '2020-05-08 20:06:11', '99', '99', '3', '26', '转入记录-医师签名', '医师签名：', '【医师签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('409', 'N', '2020-05-08 20:06:40', '2020-05-08 20:29:53', '102', '102', '3', '5', '出院小结-随访计划（复诊安排）', '随访计划（复诊安排）：', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('410', 'N', '2020-05-08 20:06:50', '2020-05-08 20:06:50', '103', '103', '3', '28', '阶段小结-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('411', 'N', '2020-05-08 20:07:42', '2020-05-09 19:10:30', '103', '103', '3', '28', '阶段小结-年龄', '年龄：', '【年龄】岁', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('412', 'N', '2020-05-08 20:07:54', '2020-05-08 20:07:54', '99', '99', '3', '26', '转入记录-书写时间', '书写时间：', '【书写日期】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('413', 'N', '2020-05-08 20:08:39', '2020-05-08 20:08:39', '99', '99', '3', '26', '转入记录-医疗组长签名', '医疗组长签名：', '【医疗组长】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('414', 'N', '2020-05-08 20:09:22', '2020-05-11 14:26:29', '102', '103', '3', '1', '入院记录-生育史', '生育史：', '【顺产足月】-【早产】-【流产】-【存活】（足-早-流-存）', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('415', 'N', '2020-05-08 20:10:51', '2020-05-11 14:30:14', '102', '103', '3', '1', '入院记录-月经史', '月经史：', '【月经初潮年龄】    【经期天数】/【月经周期】    【绝经年龄】  ', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('416', 'N', '2020-05-08 20:11:18', '2020-05-08 20:25:26', '99', '99', '3', '27', '转出记录-转科日期、转出科室、转入科室', '', '【转科日期】由【转出科室】转【转入科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('417', 'N', '2020-05-08 20:12:12', '2020-05-11 14:31:06', '102', '103', '3', '1', '入院记录-月经量及性质', '月经量及性质：', '【月经量】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('418', 'N', '2020-05-08 20:14:09', '2020-05-08 20:14:09', '102', '102', '3', '1', '入院记录-中医诊断', '中医诊断：', '【中医诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('419', 'N', '2020-05-08 20:14:37', '2020-05-08 20:31:02', '103', '103', '3', '28', '阶段小结-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('420', 'N', '2020-05-08 20:15:05', '2020-05-08 20:15:05', '102', '102', '3', '5', '出院小结-签名', '签名：', '【签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('421', 'N', '2020-05-08 20:16:59', '2020-05-08 20:16:59', '103', '103', '3', '28', '阶段小结-主诉', '主诉：', '【主诉】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('422', 'N', '2020-05-08 20:17:42', '2020-05-08 20:17:42', '103', '103', '3', '28', '阶段小结-入院情况', '入院情况：', '【入院情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('423', 'N', '2020-05-08 20:18:18', '2020-05-08 20:18:18', '101', '101', '3', '4', '查房记录-查房标题', '', '【查房标题】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('424', 'N', '2020-05-08 20:18:50', '2020-05-08 20:18:50', '103', '103', '3', '28', '阶段小结-入院诊断', '入院诊断：', '【入院诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('425', 'N', '2020-05-08 20:19:32', '2020-05-09 18:07:26', '103', '105', '3', '28', '阶段小结-诊治经过', '诊治经过：', '【诊治经过】【住院诊治经过】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('426', 'N', '2020-05-08 20:20:24', '2020-05-09 16:34:57', '101', '101', '3', '4', '查房记录-S', 'S：', '【主诉】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('427', 'N', '2020-05-08 20:20:31', '2020-05-08 20:20:31', '103', '103', '3', '28', '阶段小结-目前诊断', '目前诊断：', '【当前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('428', 'N', '2020-05-08 20:21:41', '2020-05-08 20:21:41', '103', '103', '3', '28', '阶段小结-目前情况', '目前情况：', '【目前情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('429', 'N', '2020-05-08 20:23:09', '2020-05-08 20:23:09', '103', '103', '3', '28', '阶段小结-后续诊疗计划', '后续诊疗计划：', '【治疗计划和措施】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('430', 'N', '2020-05-08 20:23:21', '2020-05-09 16:35:10', '101', '101', '3', '4', '查房记录-O', 'O：', '【体检】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('431', 'N', '2020-05-08 20:24:08', '2020-05-08 20:24:08', '103', '103', '3', '28', '阶段小结-医生签名', '医生签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('432', 'N', '2020-05-08 20:25:50', '2020-05-08 20:25:50', '103', '103', '3', '28', '阶段小结-记录日期', '记录日期：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('433', 'N', '2020-05-08 20:25:58', '2020-05-08 20:25:58', '102', '102', '3', '5', '出院小结-病理号', '病理号：', '【病理号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('434', 'N', '2020-05-08 20:26:12', '2020-05-09 16:35:21', '101', '101', '3', '4', '查房记录-A', 'A：', '【病情记录】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('435', 'N', '2020-05-08 20:27:15', '2020-05-09 16:35:32', '101', '101', '3', '4', '查房记录-P', 'P：', '【治疗计划和措施】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('436', 'N', '2020-05-08 20:28:08', '2020-05-08 20:28:08', '101', '101', '3', '4', '查房记录-记录医师', '记录医师：', '【记录医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('437', 'N', '2020-05-08 20:28:11', '2020-05-08 20:28:11', '103', '103', '3', '28', '阶段小结-医生签字时间', '医生签字时间：', '【医生签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('438', 'Y', '2020-05-08 20:28:35', '2020-05-09 20:20:27', '102', '102', '3', '5', '出院小结-', '', '台州市立医院神经外科自2012年迄今，连续在台州地区学科评比中列神经外科首位，蝉联“台州市重点学科”，为台州学院脑科研究所，温州医学院硕士研究生培养点，台州市金涌名医工作室领衔人，台州市重点学科带头人所在单位。', '1', '0', '1', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('439', 'N', '2020-05-08 20:29:15', '2020-05-08 20:29:15', '101', '101', '3', '4', '查房记录-上级医师审核', '上级医师审核：', '【审核人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('440', 'N', '2020-05-08 20:30:15', '2020-05-08 20:30:15', '99', '99', '3', '27', '转出记录-入院情况', '入院情况：', '【入院情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('441', 'N', '2020-05-08 20:30:47', '2020-05-08 20:30:47', '103', '103', '3', '28', '阶段小结-小结日期', '小结日期：', '【事件日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('442', 'N', '2020-05-08 20:34:52', '2020-05-08 20:34:52', '101', '101', '3', '4', '查房记录-审核时间', '审核时间：', '【审核日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('443', 'N', '2020-05-09 09:28:27', '2020-05-09 09:28:27', '103', '103', '3', '28', '阶段小结-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('444', 'N', '2020-05-09 09:28:36', '2020-05-09 09:28:36', '102', '102', '3', '1', '入院记录-联系地址(产科)', '联系地址：', '【家庭地址】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('445', 'N', '2020-05-09 09:30:09', '2020-05-09 09:30:09', '103', '103', '3', '28', '阶段小结-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('446', 'N', '2020-05-09 09:30:27', '2020-05-09 09:31:19', '102', '102', '3', '1', '入院记录-末次月经日期(基本信息)', '末次月经日期：', '【末次月经日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('447', 'N', '2020-05-09 09:30:51', '2020-05-09 13:27:20', '103', '103', '3', '28', '阶段小结-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('448', 'N', '2020-05-09 09:32:11', '2020-05-09 11:04:22', '102', '105', '3', '1', '入院记录-产前检查', '产前检查：', '【常规产前检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('449', 'N', '2020-05-09 09:32:26', '2020-05-09 11:02:03', '102', '105', '3', '1', '入院记录-孕/产次', '孕/产次：', '【孕次】/【产次】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('450', 'N', '2020-05-09 09:32:54', '2020-05-09 09:32:54', '102', '102', '3', '1', '入院记录-预产期', '预产期：', '【预产期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('451', 'N', '2020-05-09 09:36:33', '2020-05-11 14:41:11', '102', '103', '3', '1', '入院记录-避孕措施', '避孕措施：', '【避孕方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('452', 'N', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '3', '1', '入院记录-婚姻史(产科)', '婚姻史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('453', 'N', '2020-05-09 09:39:27', '2020-05-09 09:39:27', '102', '102', '3', '1', '入院记录-意识', '意识：', '【意识】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('454', 'N', '2020-05-09 09:41:07', '2020-05-09 09:41:07', '102', '102', '3', '1', '入院记录-身高', '身高：', '【身高】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('455', 'N', '2020-05-09 09:41:27', '2020-05-09 09:41:27', '102', '102', '3', '1', '入院记录-体重', '体重：', '【体重】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('456', 'N', '2020-05-09 09:42:36', '2020-05-09 09:42:36', '102', '102', '3', '1', '入院记录-查体合作性', '查体合作性：', '【查体合作性】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('457', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '3', '1', '入院记录-一般情况(产科)', '一般情况', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('458', 'N', '2020-05-09 09:44:33', '2020-05-09 18:56:30', '102', '99', '3', '5', '出院小结-住院诊治经过(包括重要发现和结论，接受的药物和其他治疗) ', '住院诊治经过(包括重要发现和结论，接受的药物和其他治疗) ：', '【诊治经过】【住院诊治经过】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('459', 'Y', '2020-05-09 09:47:07', '2020-05-09 20:21:04', '102', '102', '3', '5', '出院小结-（非手术）', '', '管青聪主治医师专科门诊周一全天，徐芳主任医师专家门诊周二、周四全天。', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('460', 'N', '2020-05-09 09:47:18', '2020-05-09 09:47:18', '103', '103', '3', '28', '阶段小结-医疗组长签名', '医疗组长签名：', '【医疗组长】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('461', 'N', '2020-05-09 09:49:09', '2020-05-09 09:49:09', '102', '102', '3', '1', '入院记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('462', 'N', '2020-05-09 09:50:16', '2020-05-09 14:53:34', '99', '99', '3', '19', '疑难病例讨论记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('463', 'N', '2020-05-09 09:50:37', '2020-05-09 09:50:37', '99', '99', '3', '19', '疑难病例讨论记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('464', 'N', '2020-05-09 09:51:22', '2020-05-09 09:51:22', '99', '99', '3', '19', '疑难病例讨论记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('465', 'N', '2020-05-09 09:51:35', '2020-05-09 09:51:35', '103', '103', '3', '28', '阶段小结-入院情况：', '入院情况：', '主诉：【主诉】<br/>发病经过：【发病经过】<br/>体格检查：【体格检查】<br/>辅检检查：【辅检检查结果】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('466', 'N', '2020-05-09 09:51:41', '2020-05-09 09:51:41', '99', '99', '3', '19', '疑难病例讨论记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('467', 'N', '2020-05-09 09:51:43', '2020-05-09 09:51:43', '102', '102', '3', '1', '入院记录-联系人', '联系人：', '【联系人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('468', 'N', '2020-05-09 09:52:14', '2020-05-09 09:52:14', '99', '99', '3', '19', '疑难病例讨论记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('469', 'N', '2020-05-09 09:52:48', '2020-05-09 09:52:48', '99', '99', '3', '19', '疑难病例讨论记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('470', 'N', '2020-05-09 09:53:25', '2020-05-09 14:45:40', '99', '99', '3', '19', '疑难病例讨论记录-诊断', '诊断：', '【当前诊断】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('471', 'N', '2020-05-09 09:54:10', '2020-05-09 09:54:10', '99', '99', '3', '19', '疑难病例讨论记录-讨论日期', '讨论日期：', '【讨论时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('472', 'N', '2020-05-09 09:54:20', '2020-05-09 16:01:15', '102', '102', '3', '1', '入院记录-联系人电话', '联系人电话：', '【联系人电话】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('473', 'N', '2020-05-09 09:54:59', '2020-05-09 09:54:59', '99', '99', '3', '19', '疑难病例讨论记录-讨论地点', '讨论地点：', '【讨论地点】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('474', 'N', '2020-05-09 09:55:27', '2020-05-09 09:55:27', '102', '102', '3', '1', '入院记录-病史可靠性', '病史可靠性：', '【病史可靠性】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('475', 'N', '2020-05-09 09:56:16', '2020-05-09 09:56:16', '99', '99', '3', '19', '疑难病例讨论记录-主持人姓名及专业技术职务', '主持人姓名及专业技术职务：', '【主持人】  【职称】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('476', 'N', '2020-05-09 09:56:51', '2020-05-09 09:57:21', '99', '99', '3', '19', '疑难病例讨论记录-参加人员姓名及专业技术职务(包括护理人员)', '参加人员姓名及专业技术职务(包括护理人员)：', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('477', 'N', '2020-05-09 09:58:23', '2020-05-09 14:48:38', '99', '99', '3', '19', '疑难病例讨论记录-医师', '医师：', '【参加人员及职称医生】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('478', 'N', '2020-05-09 09:58:51', '2020-05-09 14:49:08', '99', '99', '3', '19', '疑难病例讨论记录-护士', '护士：', '【参加人员及职称护士】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('479', 'N', '2020-05-09 09:59:23', '2020-05-09 09:59:23', '99', '99', '3', '19', '疑难病例讨论记录-讨论目的', '讨论目的：', '【讨论目的】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('480', 'N', '2020-05-09 09:59:54', '2020-05-09 10:05:08', '99', '99', '3', '19', '疑难病例讨论记录-病史简介', '病史简介：', '【简要病情】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('481', 'N', '2020-05-09 10:01:28', '2020-05-09 10:05:15', '99', '99', '3', '19', '疑难病例讨论记录-具体讨论意见（可增页）', '具体讨论意见（可增页）：', '【讨论内容】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('482', 'N', '2020-05-09 10:01:49', '2020-05-12 10:44:12', '101', '101', '3', '4', '查房记录-病情记录', '', '【病情记录】', '1', '0', '1', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('483', 'N', '2020-05-09 10:02:32', '2020-05-09 10:05:33', '99', '99', '3', '19', '疑难病例讨论记录-主持人小结', '主持人小结：', '【结论】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('484', 'N', '2020-05-09 10:03:45', '2020-05-09 14:50:24', '99', '99', '3', '19', '疑难病例讨论记录-记录者签名', '记录者签名：', '【记录者】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('485', 'N', '2020-05-09 10:04:11', '2020-05-09 10:04:11', '99', '99', '3', '19', '疑难病例讨论记录-主持人签名', '主持人签名：', '【主持人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('486', 'N', '2020-05-09 10:04:40', '2020-05-09 10:04:40', '99', '99', '3', '19', '疑难病例讨论记录-日期/时间', '日期/时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('487', 'N', '2020-05-09 10:08:53', '2020-05-09 10:10:23', '99', '99', '3', '27', '转出记录-主诉', '主诉：', '【主诉】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('488', 'N', '2020-05-09 10:09:30', '2020-05-09 10:09:30', '102', '102', '3', '1', '入院记录-母孕史', '母孕史：', '【母孕史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('489', 'N', '2020-05-09 10:09:39', '2020-05-09 10:09:39', '99', '99', '3', '27', '转出记录-发病经过', '发病经过：', '【发病经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('490', 'N', '2020-05-09 10:09:54', '2020-05-09 10:09:54', '101', '101', '3', '4', '查房记录-主刀医师', '主刀医师：', '【主刀医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('491', 'N', '2020-05-09 10:10:15', '2020-05-09 10:29:38', '102', '102', '3', '1', '入院记录-出生史', '出生史：', '【出生史】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('492', 'N', '2020-05-09 10:11:10', '2020-05-09 10:30:41', '102', '102', '3', '1', '入院记录-喂养史', '喂养史：', '【喂养史】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('493', 'N', '2020-05-09 10:12:37', '2020-05-09 10:14:19', '99', '99', '3', '27', '转出记录-辅助检查', '辅助检查：', '【辅助检查结果】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('494', 'N', '2020-05-09 10:12:43', '2020-05-09 10:12:43', '102', '102', '3', '1', '入院记录-生长发育史', '生长发育史：', '【生长发育史】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('495', 'N', '2020-05-09 10:12:46', '2020-05-09 10:12:46', '101', '101', '3', '4', '查房记录-签字时间', '签字时间：', '【主刀医师签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('496', 'N', '2020-05-09 10:13:07', '2020-05-09 16:12:48', '102', '102', '3', '1', '入院记录-个人史(新生儿)', '个人史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('497', 'N', '2020-05-09 10:13:16', '2020-05-09 10:13:50', '99', '99', '3', '27', '转出记录-体格检查', '体格检查：', '【专科检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('498', 'N', '2020-05-09 10:13:34', '2020-05-09 10:13:34', '103', '103', '3', '18', '术后首次病程及谈话记录-手术开始时间', '手术开始时间：', '【手术开始时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('499', 'N', '2020-05-09 10:13:49', '2020-05-09 10:13:49', '103', '103', '3', '18', '术后首次病程及谈话记录-手术结束时间', '手术结束时间：', '【手术结束时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('500', 'N', '2020-05-09 10:15:04', '2020-05-09 10:15:49', '99', '99', '3', '27', '转出记录-入院诊断', '入院诊断：', '【入院诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('501', 'N', '2020-05-09 10:15:13', '2020-05-09 10:15:13', '102', '102', '3', '1', '入院记录-检查医师', '检查医师：', '【检查医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('502', 'N', '2020-05-09 10:15:27', '2020-05-09 10:15:27', '102', '102', '3', '1', '入院记录-检查时间', '检查时间：', '【检查时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('503', 'N', '2020-05-09 10:15:29', '2020-05-09 18:07:11', '99', '105', '3', '27', '转出记录-诊治经过', '诊治经过：', '【诊治经过】【住院诊治经过】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('504', 'N', '2020-05-09 10:16:38', '2020-05-09 10:16:38', '99', '99', '3', '27', '转出记录-目前诊断', '目前诊断：', '【当前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('505', 'N', '2020-05-09 10:17:12', '2020-05-11 15:00:51', '102', '103', '3', '1', '入院记录-陈述者姓名', '陈述者姓名：', '【联系人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('506', 'N', '2020-05-09 10:17:23', '2020-05-11 14:58:12', '102', '103', '3', '1', '入院记录-与患者关系', '与患者关系：', '【关系】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('507', 'N', '2020-05-09 10:18:06', '2020-05-09 10:18:06', '99', '99', '3', '27', '转出记录-目前情况', '目前情况：', '【目前情况】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('508', 'N', '2020-05-09 10:18:31', '2020-05-09 16:53:06', '103', '103', '3', '18', '术后首次病程及谈话记录-术后诊断', '术后诊断：', '【术后诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('509', 'N', '2020-05-09 10:18:51', '2020-05-09 10:18:51', '99', '99', '3', '27', '转出记录-转科原因', '转科原因：', '【转科原因】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('510', 'N', '2020-05-09 10:21:20', '2020-05-09 10:21:20', '99', '99', '3', '27', '转出记录-注意事项', '注意事项：', '【注意事项】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('511', 'N', '2020-05-09 10:21:53', '2020-05-09 10:21:53', '103', '103', '3', '18', '术后首次病程及谈话记录-手术人员', '手术人员：', '【手术相关人员】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('512', 'N', '2020-05-09 10:23:40', '2020-05-09 10:23:40', '99', '99', '3', '27', '转出记录-医师签名', '医师签名：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('513', 'N', '2020-05-09 10:23:52', '2020-05-09 10:23:52', '102', '102', '3', '1', '入院记录-联系人(新生儿)', '联系人：', '【父母姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('514', 'N', '2020-05-09 10:25:01', '2020-05-09 10:25:01', '99', '99', '3', '27', '转出记录-书写时间', '书写时间：', '【书写日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('515', 'N', '2020-05-09 10:25:33', '2020-05-09 10:40:06', '103', '103', '3', '18', '术后首次病程及谈话记录-麻醉医师', '麻醉医师：', '【麻醉医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('516', 'N', '2020-05-09 10:25:42', '2020-05-09 10:25:42', '99', '99', '3', '27', '转出记录-医疗组长签名', '医疗组长签名：', '【医疗组长】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('517', 'N', '2020-05-09 10:25:46', '2020-05-09 10:25:46', '102', '102', '3', '1', '入院记录-出生时间', '出生时间：', '【出生时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('518', 'N', '2020-05-09 10:27:46', '2020-05-09 10:27:46', '99', '99', '3', '27', '转出记录-患方/家属签字', '患方/家属签字：', '【患者签字】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('519', 'N', '2020-05-09 10:29:03', '2020-05-09 10:29:03', '99', '99', '3', '27', '转出记录-患方签字时间', '患方签字时间：', '【患方签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('520', 'N', '2020-05-09 10:32:16', '2020-05-09 10:32:16', '102', '102', '3', '1', '入院记录-父亲', '父亲：', '【父亲】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('521', 'N', '2020-05-09 10:32:32', '2020-05-09 10:32:32', '102', '102', '3', '1', '入院记录-母亲', '母亲：', '【母亲】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('522', 'N', '2020-05-09 10:33:01', '2020-05-09 10:33:01', '102', '102', '3', '1', '入院记录-妊娠期健康状况', '妊娠期健康状况：', '【妊娠期健康状况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('523', 'N', '2020-05-09 10:34:21', '2020-05-09 10:34:21', '102', '102', '3', '1', '入院记录-既往妊娠及分娩情况', '既往妊娠及分娩情况：', '【既往妊娠及分娩情况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('524', 'N', '2020-05-09 10:34:31', '2020-05-09 10:34:31', '102', '102', '3', '1', '入院记录-孕期用药', '孕期用药：', '【孕期用药】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('525', 'N', '2020-05-09 10:36:09', '2020-05-09 10:36:09', '102', '102', '3', '1', '入院记录-父母近亲婚配', '父母近亲婚配：', '【父母近亲婚配】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('526', 'N', '2020-05-09 10:38:35', '2020-05-09 10:38:35', '102', '102', '3', '1', '入院记录-患儿兄弟姐妹及两系三代健康状况', '患儿兄弟姐妹及两系三代健康状况：', '【患儿兄弟姐妹及两系三代健康状况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('527', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '3', '1', '入院记录-家族史(新生儿)', '家族史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('528', 'N', '2020-05-09 10:39:35', '2020-05-09 10:39:35', '103', '103', '3', '18', '术后首次病程及谈话记录-手术切除标本', '手术切除标本：', '【手术切除标本】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('529', 'N', '2020-05-09 10:39:59', '2020-05-09 10:39:59', '102', '102', '3', '5', '出院小结-患方签字时间', '患方签字时间:', '【患方签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('530', 'N', '2020-05-09 10:40:35', '2020-05-09 10:40:35', '102', '102', '3', '1', '入院记录-身高(新生儿)', '身高：', '【身长】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('531', 'N', '2020-05-09 10:40:52', '2020-05-09 10:40:52', '102', '102', '3', '1', '入院记录-头围', '头围：', '【头围】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('532', 'N', '2020-05-09 10:43:01', '2020-05-09 10:43:01', '102', '102', '3', '1', '入院记录-胸围', '胸围：', '【胸围】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('533', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '3', '1', '入院记录-生命体征(新生儿)', '生命体征', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('534', 'N', '2020-05-09 10:45:11', '2020-05-09 10:45:11', '103', '103', '3', '18', '术后首次病程及谈话记录-术中送检', '术中送检：', '【是否术中送检】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('535', 'N', '2020-05-09 10:45:34', '2020-05-09 10:45:34', '103', '103', '3', '18', '术后首次病程及谈话记录-术后送检', '术后送检：', '【是否术后送检】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('536', 'N', '2020-05-09 10:46:16', '2020-05-09 10:46:16', '103', '103', '3', '18', '术后首次病程及谈话记录-冰冻切片结果', '冰冻切片结果：', '【冰冻切片结果】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('537', 'Y', '2020-05-09 10:47:12', '2020-05-09 10:47:18', '97', '97', '3', '4', '查房记录-', 'ces', 'ces', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('538', 'N', '2020-05-09 10:47:36', '2020-05-09 10:47:36', '103', '103', '3', '18', '术后首次病程及谈话记录-术中并发症', '术中并发症：', '【是否术中并发症】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('539', 'N', '2020-05-09 10:50:15', '2020-05-09 10:50:15', '103', '103', '3', '18', '术后首次病程及谈话记录-术中失血量', '术中失血量：', '【术中失血量】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('540', 'N', '2020-05-09 10:50:30', '2020-05-09 10:50:30', '103', '103', '3', '18', '术后首次病程及谈话记录-术中输血量', '术中输血量：', '【术中输血量】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('541', 'N', '2020-05-09 10:56:26', '2020-05-09 16:50:25', '103', '105', '3', '18', '术后首次病程及谈话记录-术后情况及诊疗计划', '术后情况及诊疗计划：', '【治疗计划和措施】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('542', 'N', '2020-05-09 11:15:08', '2020-05-09 11:24:17', '105', '105', '3', '1', '入院记录-家庭地址', '家庭地址：', '【现住址】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('543', 'N', '2020-05-09 11:15:25', '2020-05-09 11:15:25', '102', '102', '3', '1', '入院记录-上次住院时间', '上次住院时间：', '【前次住院时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('544', 'N', '2020-05-09 11:16:33', '2020-05-09 16:52:22', '103', '105', '3', '18', '术后首次病程及谈话记录-主刀医师', '主刀医师：', '【主刀医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('545', 'N', '2020-05-09 11:17:14', '2020-05-12 11:33:58', '102', '97', '3', '1', '入院记录-既往史(再入院)', '既往史：', '【过去史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('546', 'N', '2020-05-09 11:17:46', '2020-05-09 11:17:46', '99', '99', '3', '27', '转出记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('547', 'N', '2020-05-09 11:17:48', '2020-05-12 11:33:48', '102', '97', '3', '1', '入院记录-个人史(再入院)', '个人史：', '【个人史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('548', 'N', '2020-05-09 11:18:19', '2020-05-12 11:33:55', '102', '97', '3', '1', '入院记录-婚姻史(再入院)', '婚姻史：', '【婚姻史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('549', 'N', '2020-05-09 11:18:38', '2020-05-12 11:33:52', '102', '97', '3', '1', '入院记录-家族史(再入院)', '家族史：', '【家族史】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('550', 'N', '2020-05-09 11:19:06', '2020-05-09 11:19:06', '103', '103', '3', '18', '术后首次病程及谈话记录-患方或代理人签名', '患方或代理人签名：', '【患方或代理人签名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('551', 'N', '2020-05-09 11:23:52', '2020-05-09 11:23:52', '105', '105', '3', '1', '入院记录-入院日期/时间', '入院日期/时间：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('552', 'N', '2020-05-09 11:29:28', '2020-05-09 11:29:28', '102', '102', '3', '1', '入院记录-婚姻史(简)', '婚姻史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('553', 'N', '2020-05-09 11:35:13', '2020-05-09 16:10:58', '102', '102', '3', '2', '首次病程录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('554', 'N', '2020-05-09 11:35:36', '2020-05-09 20:50:38', '102', '104', '3', '2', '首次病程录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('555', 'N', '2020-05-09 11:35:50', '2020-05-11 19:29:13', '102', '103', '3', '2', '首次病程录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('556', 'N', '2020-05-09 11:36:04', '2020-05-11 19:29:36', '102', '103', '3', '2', '首次病程录-病历号', '病历号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('557', 'N', '2020-05-09 11:36:31', '2020-05-11 19:29:25', '102', '103', '3', '2', '首次病程录-入院日期', '入院日期：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('558', 'N', '2020-05-09 11:36:46', '2020-05-09 20:51:52', '102', '104', '3', '2', '首次病程录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('559', 'N', '2020-05-09 11:37:13', '2020-05-11 19:28:45', '102', '103', '3', '2', '首次病程录-临床科室', '临床科室：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('560', 'Y', '2020-05-09 11:49:25', '2020-05-09 19:23:58', '102', '104', '3', '2', '首次病程录-病例特点', '病例特点:', '1、患者，【姓名】，【性别】性，【年龄】岁，农民。<br/>2、患者于10天前在家中被钉子刺伤右足跟部，未予处理，伤后4天伤处疼痛明显，到我院急诊科就诊，急诊给予抗炎清创换药等处理，未见明显好转，1天前患者疼痛加重，局部皮肤暗紫，肿胀，钉刺处皮肤溃烂渗出伴恶臭。<br/>3、入院查体：右足足跟处局部皮肤暗紫，肿痛明显，肿胀处可见直径0.5cm皮肤溃烂口，有脓性渗出伴恶臭，触之有波动感，足背动脉搏动可，肢端末梢血运好，触痛觉存在，活动可。<br/>4、辅助检查：待回报', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('561', 'N', '2020-05-09 13:20:45', '2020-05-09 13:20:45', '101', '101', '3', '4', '查房记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('562', 'N', '2020-05-09 13:21:07', '2020-05-09 13:21:07', '101', '101', '3', '4', '查房记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('563', 'N', '2020-05-09 13:22:04', '2020-05-09 13:22:04', '101', '101', '3', '4', '查房记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('564', 'N', '2020-05-09 13:23:38', '2020-05-09 13:23:38', '101', '101', '3', '4', '查房记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('565', 'N', '2020-05-09 13:24:21', '2020-05-09 13:24:21', '101', '101', '3', '4', '查房记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('566', 'N', '2020-05-09 13:25:16', '2020-05-09 13:25:16', '101', '101', '3', '4', '查房记录-讨论时间', '讨论时间：', '【讨论时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('567', 'N', '2020-05-09 13:25:55', '2020-05-09 13:25:55', '101', '101', '3', '4', '查房记录-讨论方式', '讨论方式：', '【讨论方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('568', 'N', '2020-05-09 13:26:48', '2020-05-11 19:28:19', '102', '103', '3', '2', '首次病程录-初步诊断', '1 初步诊断：', '【初步诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('569', 'N', '2020-05-09 13:27:22', '2020-05-09 13:27:22', '101', '101', '3', '4', '查房记录-参加人员（姓名+职称）', '参加人员（姓名+职称）：', '【讨论医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('570', 'Y', '2020-05-09 13:27:28', '2020-05-09 19:24:23', '102', '104', '3', '2', '首次病程录-诊断依据', '诊断依据:', '（1）患者，【性别】，【年龄】。<br/>（2）患者因“右足跟部刺伤后肿痛10天 ”入院。<br/>（3）患者糖尿病史10余年，高血压病史10余年。 （4）查体：右足足跟处局部皮肤暗紫，肿痛明显，肿胀处可见直径0.5cm皮肤溃烂口，有脓性渗出伴恶臭，触之有波动感，足背动脉搏动可，肢端末梢血运好，触痛觉存在，活动可。', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('571', 'N', '2020-05-09 13:28:52', '2020-05-09 13:28:52', '99', '99', '3', '24', '死亡记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('572', 'N', '2020-05-09 13:29:15', '2020-05-09 13:29:15', '99', '99', '3', '24', '死亡记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('573', 'N', '2020-05-09 13:30:44', '2020-05-09 13:30:44', '99', '99', '3', '24', '死亡记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('574', 'N', '2020-05-09 13:31:02', '2020-05-09 13:48:56', '101', '101', '3', '4', '查房记录-一、简要病情', '一、简要病情：', '', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('575', 'N', '2020-05-09 13:31:04', '2020-05-09 13:31:04', '99', '99', '3', '24', '死亡记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('576', 'N', '2020-05-09 13:31:32', '2020-05-09 13:31:32', '99', '99', '3', '24', '死亡记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('577', 'N', '2020-05-09 13:31:37', '2020-05-11 19:28:54', '102', '103', '3', '2', '首次病程录-鉴别诊断', '3 鉴别诊断：', '【鉴别诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('578', 'N', '2020-05-09 13:31:56', '2020-05-09 13:31:56', '99', '99', '3', '24', '死亡记录-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('579', 'N', '2020-05-09 13:31:58', '2020-05-09 13:31:58', '101', '101', '3', '4', '查房记录-主诉', '主诉：', '【主诉】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('580', 'N', '2020-05-09 13:32:17', '2020-05-09 16:33:21', '99', '99', '3', '24', '死亡记录-入院时间', '入院时间：', '【入院日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('581', 'N', '2020-05-09 13:32:41', '2020-05-09 16:34:11', '99', '99', '3', '24', '死亡记录-死亡时间', '死亡时间：', '【死亡时间】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('582', 'N', '2020-05-09 13:33:20', '2020-05-09 16:36:00', '99', '99', '3', '24', '死亡记录-主诉', '主诉：', '【主诉】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('583', 'N', '2020-05-09 13:34:28', '2020-05-09 17:10:32', '99', '105', '3', '24', '死亡记录-发病经过', '发病经过：', '【发病情况】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('584', 'N', '2020-05-09 13:35:29', '2020-05-09 13:35:29', '101', '101', '3', '4', '查房记录-发病经过', '发病经过：', '【发病经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('585', 'Y', '2020-05-09 13:37:05', '2020-05-09 19:53:48', '102', '104', '3', '2', '首次病程录-诊疗计划', '诊疗计划:', '1、检查计划：【检查计划】<br/>2、治疗计划：【治疗计划】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('586', 'N', '2020-05-09 13:37:16', '2020-05-09 13:37:16', '101', '101', '3', '4', '查房记录-体格检查', '体格检查：', '【体检】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('587', 'N', '2020-05-09 13:37:20', '2020-05-09 18:54:13', '99', '99', '3', '24', '死亡记录-体格检查', '体格检查：', '体温【体温耳】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg，【专科检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('588', 'N', '2020-05-09 13:37:42', '2020-05-11 19:28:34', '102', '103', '3', '2', '首次病程录-入院时在使用的治疗性药物', '入院时在使用的治疗性药物：', '【入院时在使用的治疗性药物】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('589', 'N', '2020-05-09 13:38:28', '2020-05-11 19:24:13', '102', '103', '3', '2', '首次病程录-记录医生', '记录医生：', '【记录医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('590', 'N', '2020-05-09 13:38:53', '2020-05-11 19:26:24', '102', '103', '3', '2', '首次病程录-记录日期及时间', '记录日期及时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('591', 'N', '2020-05-09 13:39:31', '2020-05-11 19:28:02', '102', '103', '3', '2', '首次病程录-医生签字时间', '医生签字时间：', '【医生签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('592', 'N', '2020-05-09 13:39:52', '2020-05-09 13:39:52', '99', '99', '3', '23', '危急值记录-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('593', 'N', '2020-05-09 13:40:16', '2020-05-09 16:40:49', '99', '99', '3', '24', '死亡记录-入院情况', '入院情况：', '辅助检查：【实验室检查】【影像学检查】 ', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('594', 'N', '2020-05-09 13:41:44', '2020-05-09 13:41:44', '101', '101', '3', '4', '查房记录-辅助检查', '辅助检查：', '【辅助检查结果】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('595', 'N', '2020-05-09 13:42:03', '2020-05-09 13:42:03', '99', '99', '3', '24', '死亡记录-入院诊断', '入院诊断：', '【入院诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('596', 'N', '2020-05-09 13:42:49', '2020-05-09 13:42:49', '99', '99', '3', '23', '危急值记录-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('597', 'N', '2020-05-09 13:42:53', '2020-05-09 13:48:38', '101', '101', '3', '4', '查房记录-二、讨论结论', '二、讨论结论：', '', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('598', 'N', '2020-05-09 13:44:02', '2020-05-09 13:44:02', '99', '99', '3', '24', '死亡记录-诊疗经过', '诊疗经过：', '【诊疗经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('599', 'N', '2020-05-09 13:44:04', '2020-05-09 17:34:19', '101', '97', '3', '4', '查房记录-1.术前诊断', '1.术前诊断：', '【术前诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('600', 'N', '2020-05-09 13:44:30', '2020-05-09 13:44:30', '99', '99', '3', '23', '危急值记录-科别', '科别：', '【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('601', 'N', '2020-05-09 13:45:18', '2020-05-09 13:48:27', '101', '101', '3', '4', '查房记录-2.手术指征与禁忌证', '2.手术指征与禁忌证：', '', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('602', 'N', '2020-05-09 13:45:32', '2020-05-09 13:45:32', '99', '99', '3', '23', '危急值记录-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('603', 'N', '2020-05-09 13:45:56', '2020-05-09 13:45:56', '99', '99', '3', '23', '危急值记录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('604', 'N', '2020-05-09 13:45:59', '2020-05-09 13:45:59', '101', '101', '3', '4', '查房记录-手术指征', '手术指征：', '【手术指征】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('605', 'N', '2020-05-09 13:47:18', '2020-05-09 13:47:18', '101', '101', '3', '4', '查房记录-禁忌证', '禁忌证：', '【手术禁忌症】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('606', 'N', '2020-05-09 13:47:54', '2020-05-09 17:40:37', '99', '103', '3', '23', '危急值记录-记录时间', '记录时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('607', 'N', '2020-05-09 13:48:09', '2020-05-09 13:48:09', '101', '101', '3', '4', '查房记录-3.可替代方案', '3.可替代方案：', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('608', 'N', '2020-05-09 13:48:58', '2020-05-09 17:41:00', '99', '103', '3', '23', '危急值记录-记录医生', '记录医生：', '【医生】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('609', 'N', '2020-05-09 13:49:02', '2020-05-09 13:49:02', '99', '99', '3', '24', '死亡记录-死亡原因', '死亡原因：', '【死亡原因】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('610', 'N', '2020-05-09 13:49:49', '2020-05-09 13:49:49', '99', '99', '3', '24', '死亡记录-死亡诊断', '死亡诊断：', '【死亡诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('611', 'N', '2020-05-09 13:50:37', '2020-05-09 13:50:37', '99', '99', '3', '24', '死亡记录-记录医师', '记录医师：', '【医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('612', 'N', '2020-05-09 13:51:14', '2020-05-09 13:51:14', '99', '99', '3', '24', '死亡记录-记录时间', '记录时间：', '【病历日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('613', 'Y', '2020-05-09 13:54:09', '2020-05-09 13:56:39', '99', '99', '3', '23', '危急值记录-日期', '日期', '【日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('614', 'Y', '2020-05-09 13:54:50', '2020-05-09 13:56:45', '99', '99', '3', '23', '危急值记录-科室', '科室', '【科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('615', 'N', '2020-05-09 14:01:50', '2020-05-09 14:18:12', '103', '103', '3', '17', '手术记录-Attending审核签名', 'Attending审核签名：', '【审核人】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('616', 'N', '2020-05-09 14:03:51', '2020-05-09 14:03:51', '103', '103', '3', '17', '手术记录-医生签字时间', '医生签字时间', '【医生签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('617', 'N', '2020-05-09 14:03:55', '2020-05-09 14:03:55', '101', '101', '3', '4', '查房记录-4.拟施手术方式、名称及可能的变更', '4.拟施手术方式、名称及可能的变更：', '', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('618', 'N', '2020-05-09 14:04:38', '2020-05-09 14:04:38', '101', '101', '3', '4', '查房记录-手术方式', '手术方式：', '【手术方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('619', 'N', '2020-05-09 14:05:04', '2020-05-09 14:05:04', '101', '101', '3', '4', '查房记录-手术名称', '手术名称：', '【手术名称】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('620', 'N', '2020-05-09 14:06:17', '2020-05-09 14:06:17', '101', '101', '3', '4', '查房记录-可能的变更', '可能的变更：', '【可能的变更】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('621', 'Y', '2020-05-09 14:06:23', '2020-05-09 19:24:15', '102', '104', '3', '2', '首次病程录-病例特点02', '病例特点:', '1、患者基本信息：【姓名】 【年龄】 【性别】<br/>2、主诉：【主诉】<br/>3、发病经过：【发病情况】<br/>4、体格检查：体温37.5℃，脉搏71次/分，呼吸19次/分，血压114/72mmHg，【专科检查】5、辅助检查：【影像学检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('622', 'N', '2020-05-09 14:07:22', '2020-05-09 14:07:22', '99', '99', '3', '35', '病理检验送检单-姓名', '姓名：', '【姓名】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('623', 'N', '2020-05-09 14:07:56', '2020-05-09 14:07:56', '101', '101', '3', '4', '查房记录-5.计划多次手术', '5.计划多次手术：', '【计划多次手术】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('624', 'N', '2020-05-09 14:11:03', '2020-05-09 14:11:03', '101', '101', '3', '4', '查房记录-6.拟施麻醉方式', '6.拟施麻醉方式：', '【麻醉方式】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('625', 'N', '2020-05-09 14:11:12', '2020-05-09 14:12:08', '99', '99', '3', '35', '病理检验送检单-病理检号', '病理检号：', '【病理号码】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('626', 'N', '2020-05-09 14:12:13', '2020-05-11 19:27:19', '102', '103', '3', '2', '首次病程录-诊断依据-拼接而成', '2 诊断依据：', '（1）【姓名】 【年龄】 【性别】 <br/>（2）【主诉】<br/>（3）【专科检查】<br/>（4）【实验室检查】【影像学检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('627', 'N', '2020-05-09 14:13:05', '2020-05-09 14:13:05', '99', '99', '3', '35', '病理检验送检单-性别', '性别：', '【性别】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('628', 'N', '2020-05-09 14:13:24', '2020-05-09 14:13:24', '99', '99', '3', '35', '病理检验送检单-年龄', '年龄：', '【年龄】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('629', 'N', '2020-05-09 14:13:57', '2020-05-09 14:13:57', '99', '99', '3', '35', '病理检验送检单-职业', '职业：', '【职业】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('630', 'N', '2020-05-09 14:14:34', '2020-05-09 14:14:34', '99', '99', '3', '35', '病理检验送检单-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('631', 'N', '2020-05-09 14:16:48', '2020-05-09 17:58:26', '99', '103', '3', '35', '病理检验送检单-科室\\病区', '科室\\病区：', '【临床科室】\\【病区】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('632', 'N', '2020-05-09 14:17:34', '2020-05-09 14:17:34', '101', '101', '3', '4', '查房记录-7.术前特殊准备', '7.术前特殊准备：', '【术前准备】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('633', 'N', '2020-05-09 14:18:22', '2020-05-09 14:18:34', '101', '101', '3', '4', '查房记录-8.主要术中、术后风险及防范措施', '8.主要术中、术后风险及防范措施：', '【术中术后防范措施】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('634', 'N', '2020-05-09 14:19:04', '2020-05-09 14:19:04', '101', '101', '3', '4', '查房记录-9.术中、术后注意事项（含护理事项）：', '9.术中、术后注意事项（含护理事项）：', '【注意事项】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('635', 'N', '2020-05-09 14:20:39', '2020-05-09 14:20:39', '101', '101', '3', '4', '查房记录-医生签名', '医生签名：', '【记录医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('636', 'N', '2020-05-09 14:21:28', '2020-05-09 19:42:22', '102', '104', '3', '2', '首次病程录-病历日期', '', '【病历日期】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('637', 'N', '2020-05-09 14:21:37', '2020-05-09 14:21:37', '101', '101', '3', '4', '查房记录-书写日期', '书写日期：', '【记录时间】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('638', 'N', '2020-05-09 14:21:56', '2020-05-09 14:21:56', '99', '99', '3', '25', '病危通知书-这是一份关于病危/病重告知书，医师会用通俗易懂的方式告知诊疗相关事宜。', '', '这是一份关于病危/病重告知书，医师会用通俗易懂的方式告知诊疗相关事宜。', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('639', 'N', '2020-05-09 14:22:01', '2020-05-09 19:42:50', '102', '104', '3', '2', '首次病程录-主诉', '', '患者，【性别】，因“【主诉】”于【入院日期】入院。', '1', '0', '1', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('640', 'N', '2020-05-09 14:22:18', '2020-05-09 14:22:18', '101', '101', '3', '4', '查房记录-主刀医师签名', '主刀医师签名：', '【主刀医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('641', 'N', '2020-05-09 14:22:46', '2020-05-09 14:22:46', '101', '101', '3', '4', '查房记录-签字日期', '签字日期：', '【主刀医师签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('642', 'N', '2020-05-09 14:23:04', '2020-05-09 14:23:04', '99', '99', '3', '35', '病理检验送检单-床号', '床号：', '【床号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('643', 'N', '2020-05-09 14:23:39', '2020-05-09 14:23:39', '99', '99', '3', '35', '病理检验送检单-联系方式', '联系方式：', '【联系方式】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('644', 'N', '2020-05-09 14:24:17', '2020-05-09 14:24:17', '99', '99', '3', '35', '病理检验送检单-籍贯', '籍贯：', '【籍贯】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('645', 'N', '2020-05-09 14:25:54', '2020-05-09 14:25:54', '99', '99', '3', '35', '病理检验送检单-送检医师', '送检医师：', '【送检医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('646', 'N', '2020-05-09 14:26:34', '2020-05-09 14:26:34', '99', '99', '3', '35', '病理检验送检单-送检时间', '送检时间：', '【送检日期】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('647', 'N', '2020-05-09 14:27:16', '2020-05-09 14:27:16', '99', '99', '3', '35', '病理检验送检单-医师联系电话', '医师联系电话：', '【医生联系电话】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('648', 'N', '2020-05-09 14:28:28', '2020-05-09 14:28:28', '99', '99', '3', '25', '病危通知书-我的医师已告知目前病情，可能出现的风险及后果，同意医务人员在患者病情危重时进行的救治。', '', '我的医师已告知目前病情，可能出现的风险及后果，同意医务人员在患者病情危重时进行的救治。', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('649', 'Y', '2020-05-09 14:29:07', '2020-05-09 19:25:04', '102', '104', '3', '2', '首次病程录-病例特点02-2', '病例特点:', '1、发病经过：【发病经过】<br/>2、体格检查：【专科检查】<br/>3、辅助检查：【辅助检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('650', 'N', '2020-05-09 14:29:53', '2020-05-11 19:27:38', '102', '103', '3', '2', '首次病程录-拟诊讨论', '拟诊讨论：', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('651', 'N', '2020-05-09 14:29:56', '2020-05-09 14:29:56', '99', '99', '3', '25', '病危通知书-如果患者无法签署知情同意书，请代理人在此签字。', '', '如果患者无法签署知情同意书，请代理人在此签字。', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('652', 'N', '2020-05-09 14:30:43', '2020-05-09 14:30:43', '99', '99', '3', '35', '病理检验送检单-收到时间', '收到时间：', '【收到日期】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('653', 'N', '2020-05-09 14:30:43', '2020-05-09 14:30:43', '105', '105', '3', '17', '手术记录-日期/时间(第二个)', '日期/时间：', '', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('654', 'N', '2020-05-09 14:32:33', '2020-05-09 17:55:32', '99', '103', '3', '35', '病理检验送检单-病史', '病史：', '【主诉】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('655', 'N', '2020-05-09 14:33:50', '2020-05-09 14:33:50', '99', '99', '3', '35', '病理检验送检单-体征', '体征：', '【专科检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('656', 'N', '2020-05-09 14:33:55', '2020-05-09 14:38:12', '99', '99', '3', '25', '病危通知书-防范措施', ' 4.防范措施： ', '(1) 患者一旦发生危及生命的情况，医务人员将会全力救治，包括气管切开、呼吸机辅助呼吸、电除颤、心脏按压、安装临时起搏器等措施。<br/> (2) 根据相关法律规定，为抢救患者，医务人员可在不征得您同意的情况下对患者先采取抢救措施，并使用应急救治所需的仪器设备和治疗手段，再履行告知义务，请您予以理解并配合抢救。', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('657', 'N', '2020-05-09 14:34:31', '2020-05-09 20:50:24', '102', '104', '3', '2', '首次病程录-病案号', '病案号：', '【病历号】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('658', 'N', '2020-05-09 14:34:33', '2020-05-09 14:34:33', '99', '99', '3', '35', '病理检验送检单-辅助检查', '辅助检查：', '【辅助检查结果】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('659', 'N', '2020-05-09 14:35:06', '2020-05-09 14:38:20', '99', '99', '3', '25', '病危通知书-目前患者病情危重，且病情有进一步恶化可能，随时出现以下一种或多种危及患者生命的并发症', '3.目前患者病情危重，且病情有进一步恶化可能，随时出现以下一种或多种危及患者生命的并发症：', ' (1)肺性脑病，严重心律失常、心功能衰竭、心肌梗死、高血压危象。<br/> (2)上消化道出血导致出血性休克、脑出血、脑梗死、脑疝。<br/> (3)感染中毒性休克、过敏性休克、心源性休克。<br/> (4)弥漫性血管内凝血。<br/>(5)多器官功能衰竭。<br/> (6)糖尿病酮症、酸中毒、低血糖性昏迷、高渗性昏迷。<br/>(7)其他。', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('660', 'N', '2020-05-09 14:35:59', '2020-05-09 17:56:58', '99', '103', '3', '35', '病理检验送检单-临床诊断', '临床诊断：', '【初步诊断】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('661', 'N', '2020-05-09 14:37:42', '2020-05-09 14:37:42', '99', '99', '3', '35', '病理检验送检单-既往病理检查', '既往病理检查：', '【既往病理检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('662', 'N', '2020-05-09 14:39:36', '2020-05-09 17:28:07', '99', '99', '3', '35', '病理检验送检单-妇科标本月经情况', '妇科标本月经情况：', '【妇科标本月经情况】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('663', 'N', '2020-05-09 14:40:31', '2020-05-11 19:26:00', '102', '103', '3', '2', '首次病程录-医师签名', '医师签名：', '【记录医师】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('664', 'N', '2020-05-09 14:40:59', '2020-05-11 19:27:53', '102', '103', '3', '2', '首次病程录-医疗组长', '医疗组长：', '【医疗组长】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('665', 'N', '2020-05-09 14:41:25', '2020-05-09 17:28:29', '99', '99', '3', '35', '病理检验送检单-组织库取材情况', '组织库取材情况：', '【组织库取材情况】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('666', 'N', '2020-05-09 14:44:50', '2020-05-11 14:03:58', '102', '99', '3', '2', '首次病程录-科别', '科别：', '【科别】【临床科室】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('667', 'N', '2020-05-09 14:47:10', '2020-05-09 14:47:10', '99', '99', '3', '35', '病理检验送检单-分子病理检测需求', '分子病理检测需求：', '【分子病理检测需求】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('668', 'N', '2020-05-09 14:50:40', '2020-05-09 14:50:46', '99', '99', '3', '35', '病理检验送检单-标本', '标本', '【标本】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('669', 'N', '2020-05-09 14:51:20', '2020-05-09 14:51:20', '99', '99', '3', '35', '病理检验送检单-送检标本名称', '送检标本名称', '【送检标本名称】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('670', 'N', '2020-05-09 14:52:16', '2020-05-09 14:52:16', '99', '99', '3', '35', '病理检验送检单-离体时间', '离体时间', '【离体时间】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('671', 'N', '2020-05-09 14:53:38', '2020-05-09 14:53:38', '99', '99', '3', '35', '病理检验送检单-固定时间', '固定时间', '【固定时间】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('672', 'Y', '2020-05-09 14:55:33', '2020-05-09 14:57:04', '99', '99', '3', '35', '病理检验送检单-1', '1', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('673', 'N', '2020-05-09 14:58:28', '2020-05-09 14:58:28', '99', '99', '3', '35', '病理检验送检单-注意：1.传染病标本务必注明，以作特殊处理。 2.固定液：10%中性福尔马林', '注意：1.传染病标本务必注明，以作特殊处理。 2.固定液：10%中性福尔马林', '', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('674', 'N', '2020-05-09 14:59:13', '2020-05-09 14:59:13', '99', '99', '3', '35', '病理检验送检单-收费', '收费', '【收费】', '1', '0', '0', '0', '0', '0', '1', '', null);
INSERT INTO `qc_question_info` VALUES ('675', 'Y', '2020-05-09 15:17:41', '2020-05-09 19:24:12', '102', '104', '3', '2', '首次病程录-病例特点（中医）', '病例特点：', '1、患者基本信息：【姓名】，【性别】，【年龄】，农民。<br/>2、主诉：【主诉】<br/>3、发病经过：【发病经过】<br/>4、体格检查：【体格检查】<br/>5、辅助检查：【辅助检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('676', 'N', '2020-05-09 15:18:19', '2020-05-09 15:18:19', '102', '102', '3', '2', '首次病程录-西医诊断', '西医诊断：', '【西医诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('677', 'N', '2020-05-09 15:18:32', '2020-05-09 20:33:19', '102', '104', '3', '2', '首次病程录-中医诊断', '中医诊断：', '【中医诊断】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('678', 'N', '2020-05-09 15:18:50', '2020-05-09 20:35:48', '102', '104', '3', '2', '首次病程录-中医辩证辨病依据及鉴别诊断', '中医辩证辨病依据及鉴别诊断：', '【中医鉴别诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('679', 'N', '2020-05-09 15:19:06', '2020-05-09 20:41:25', '102', '104', '3', '2', '首次病程录-西医诊断依据', '西医诊断依据：', '（1）【姓名】 【年龄】 【性别】 <br/>（2）【主诉】<br/>（3）【专科检查】<br/>（4）【实验室检查】【影像学检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('680', 'N', '2020-05-09 15:20:40', '2020-05-09 20:37:25', '102', '104', '3', '2', '首次病程录-西医鉴别诊断', '西医鉴别诊断：', '【鉴别诊断】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('681', 'N', '2020-05-09 15:23:18', '2020-05-09 17:25:43', '99', '99', '3', '35', '病理检验送检单-手术所见', '手术所见：', '【手术所见】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('682', 'Y', '2020-05-09 15:49:07', '2020-05-09 19:21:44', '102', '104', '3', '2', '首次病程录-病例特点（神经外科）', '病例特点：', '1.患者，【性别】，【年龄】。<br/> 2. 患者19月余前摔倒在我院开颅手术抢救，后病情好转。进一步行脑室分流手术和颅骨修补手术，手术均顺利 。术后多次因肌张力高在我科住院。1天前患者出现持续肌张力高8小时，神志不清，肢体无自主活动。遂来我院门诊就诊，门诊拟“脑外伤后综合症”收治入院。<br/>3.体格检查：神志睁眼昏迷，消瘦明显，自主睁眼，查体不合作，双侧瞳孔不等大，左侧瞳孔约 0.2cm，光反射迟钝，右侧约0.5cm左右，光反射消失，头部切口愈合好，无明显红肿渗出，V-P分流泵按压通畅。肢体肌力检查无合作。肢体肌张力偏高，肢体活动不合作。<br/>4.辅助检查： 头颅+胸部CT（2019.10.29我院检查号32748900）：右侧额颞顶骨修补术后改变。右侧大脑半球挫裂伤后改变，右侧大脑半球及左侧额叶软化灶形成。提示脑积水及脑室引流术后改变。右侧脑室穿通畸形。附见右侧乳突及副鼻窦炎症。两肺散在炎症。两肺上叶胸膜下肺大泡。气管及两侧支气管内高密度影，痰液可能。', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('683', 'Y', '2020-05-09 15:51:02', '2020-05-09 19:24:03', '102', '104', '3', '2', '首次病程录-诊断依据（神经外科）', '诊断依据：', '1.患者，【性别】，【年龄】。<br/> 2. 头部跌伤术后19月余，肌张力高8小时。<br/> 3.体格检查：神志睁眼昏迷，消瘦明显，自主睁眼，查体不合作，双侧瞳孔不等大，左侧瞳孔约 0.2cm，光反射迟钝，右侧约0.5cm左右，光反射消失，头部切口愈合好，无明显红肿渗出，V-P分流泵按压通畅。肢体肌力检查无合作。肢体肌张力偏高，肢体活动不合作。<br/> 4.辅助检查：头颅+胸部CT（2019.10.29我院检查号32748900）：右侧额颞顶骨修补术后改变。右侧大脑半球挫裂伤后改变，右侧大脑半球及左侧额叶软化灶形成。提示脑积水及脑室引流术后改变。右侧脑室穿通畸形。附见右侧乳突及副鼻窦炎症。两肺散在炎症。两肺上叶胸膜下肺大泡。气管及两侧支气管内高密度影，痰液可能。  ', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('684', 'N', '2020-05-09 16:11:07', '2020-05-09 16:56:32', '103', '105', '3', '18', '术后首次病程及谈话记录- 时间(第二个)', '时间：', '【时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('685', 'N', '2020-05-09 16:11:16', '2020-05-09 16:58:03', '103', '105', '3', '18', '术后首次病程及谈话记录-时间(第一个)', '时间：', '【主刀医师签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('686', 'N', '2020-05-09 16:16:16', '2020-05-09 16:19:36', '102', '102', '3', '1', '入院记录-母孕史-组合', '个人史', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('687', 'N', '2020-05-09 16:16:32', '2020-05-09 16:16:32', '102', '102', '3', '1', '入院记录-出生史-组合', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('688', 'N', '2020-05-09 16:16:49', '2020-05-09 16:16:49', '102', '102', '3', '1', '入院记录-喂养史-组合', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('689', 'N', '2020-05-09 16:17:10', '2020-05-09 16:17:10', '102', '102', '3', '1', '入院记录-生长发育史-组合', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('690', 'N', '2020-05-09 16:17:37', '2020-05-09 16:17:37', '102', '102', '3', '1', '入院记录-预防接种史-组合', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('691', 'N', '2020-05-09 16:18:11', '2020-05-09 16:18:11', '102', '102', '3', '1', '入院记录-化学及放射性毒物接触史-组合', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('692', 'N', '2020-05-09 16:21:25', '2020-05-09 16:21:25', '102', '102', '3', '1', '入院记录-生命体征-无疼痛', '生命体征', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('693', 'Y', '2020-05-09 17:21:40', '2020-05-09 17:21:57', '97', '97', '3', '2', 'aaa', 'aaa', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('694', 'N', '2020-05-09 17:31:18', '2020-05-09 17:31:18', '99', '99', '3', '5', '出院小结-随访（复诊安排）-1', '随访（复诊安排）', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('695', 'Y', '2020-05-09 17:35:20', '2020-05-09 17:35:52', '97', '97', '3', '4', '查房记录-22', '222', '222', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('696', 'N', '2020-05-09 17:38:23', '2020-05-09 17:38:23', '103', '103', '3', '18', '术后首次病程及谈话记录-时间1病程录02-1', '时间：', '【医生签字时间】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('697', 'N', '2020-05-09 17:38:27', '2020-05-09 17:41:58', '103', '103', '3', '23', '危急值记录-内容', '', '【内容】', '1', '0', '1', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('698', 'N', '2020-05-09 17:38:58', '2020-05-12 15:34:11', '103', '103', '3', '18', '术后首次病程及谈话记录-时间2病程录02-1', '时间：', '【时间时间】【书写日期】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('699', 'Y', '2020-05-09 17:39:31', '2020-05-09 19:12:38', '98', '103', '3', '1', '入院记录-ddd', 'ddd', 'ddd', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('700', 'N', '2020-05-09 18:49:06', '2020-05-09 18:49:06', '103', '103', '3', '18', '术后首次病程及谈话记录-术后注意事项（含生命体征）', '术后注意事项：', '体温【体温】 ℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg。【注意事项】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('701', 'N', '2020-05-09 19:05:52', '2020-05-09 19:05:52', '103', '103', '3', '2', '首次病程录-辅助检查', '辅助检查：', '【实验室检查】【影像学检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('702', 'Y', '2020-05-09 19:14:53', '2020-05-09 20:22:36', '98', '98', '3', '1', '入院记录-www', 'www', 'www', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('703', 'N', '2020-05-09 19:20:03', '2020-05-09 19:20:03', '98', '98', '3', '1', '入院记录-dd', 'dd', 'dd', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('704', 'N', '2020-05-09 19:22:56', '2020-05-09 19:22:56', '103', '103', '3', '28', '阶段小结-后续诊疗计划（含医生查房描述）', '', '【治疗计划和措施】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('705', 'N', '2020-05-09 19:24:09', '2020-05-09 19:24:09', '99', '99', '3', '5', '出院小结-医生签名（主诊医生）', '医生签名： ', '【主诊医生】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('706', 'N', '2020-05-09 19:25:42', '2020-05-09 19:25:42', '104', '104', '3', '2', '首次病程录-病例特点', '病例特点： ', '', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('707', 'N', '2020-05-09 19:27:56', '2020-05-09 19:27:56', '104', '104', '3', '2', '首次病程录-发病经过', '1、发病经过：', '【发病经过】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('708', 'N', '2020-05-09 19:28:45', '2020-05-09 19:28:45', '104', '104', '3', '2', '首次病程录-体格检查', '2、体格检查：', '【专科检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('709', 'N', '2020-05-09 19:47:18', '2020-05-09 20:18:23', '104', '104', '3', '2', '首次病程录-病例特点-有内容', '病例特点：', '【病例特点】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('710', 'N', '2020-05-09 19:48:07', '2020-05-09 20:04:41', '104', '104', '3', '2', '首次病程录-诊断依据-非拼接', '诊断依据：', '【诊断依据】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('711', 'N', '2020-05-09 19:53:55', '2020-05-09 20:45:26', '104', '104', '3', '2', '首次病程录-诊疗计划', '诊疗计划：', '', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('712', 'N', '2020-05-09 19:54:28', '2020-05-09 19:54:28', '104', '104', '3', '2', '首次病程录-检查计划 ', '1 检查计划： ', '【检查计划】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('713', 'N', '2020-05-09 19:54:32', '2020-05-09 20:15:54', '99', '102', '3', '5', '出院小结-入院情况-非手术', '入院情况：', '患者因【主诉】入院。', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('714', 'N', '2020-05-09 19:55:01', '2020-05-11 19:25:16', '104', '103', '3', '2', '首次病程录-治疗计划', '2 治疗计划：', '【治疗计划】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('715', 'N', '2020-05-09 19:56:58', '2020-05-09 19:56:58', '103', '103', '3', '5', '出院小结-入院情况（含体格检查）', '入院情况：', '患者因【主诉】入院<br/>体格检查：体温【体温】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg<br/>【专科检查】<br/>【实验室检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('716', 'N', '2020-05-09 19:58:02', '2020-05-09 19:58:02', '104', '104', '3', '2', '首次病程录-治疗计划-无标题', '', '【治疗计划】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('717', 'N', '2020-05-09 20:02:07', '2020-05-11 19:26:41', '104', '103', '3', '2', '首次病程录-初步诊断-无序号', '初步诊断：', '【初步诊断】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('718', 'N', '2020-05-09 20:02:42', '2020-05-09 20:02:42', '104', '104', '3', '2', '首次病程录-鉴别诊断-无序号', '鉴别诊断:', '【鉴别诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('719', 'N', '2020-05-09 20:03:58', '2020-05-09 20:55:42', '103', '99', '3', '5', '出院小结-住院诊治经过(含治疗) ', '住院诊治经过(包括重要发现和结论，接受的手术和操作，药物和其他治疗)：', '【诊治经过】【治疗】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('720', 'N', '2020-05-09 20:05:08', '2020-05-09 20:08:52', '103', '103', '3', '5', '出院小结-出院时情况（症状与体征即出院情况）', '出院时情况（症状与体征）：', '【出院情况】', '1', '0', '1', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('721', 'N', '2020-05-09 20:08:42', '2020-05-09 20:08:42', '99', '99', '3', '5', '出院小结-体格检查-非手术', '体格检查：', '体温【体温耳】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg，【专科检查】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('722', 'N', '2020-05-09 20:16:41', '2020-05-09 20:16:41', '103', '103', '3', '5', '出院小结-随访（复诊安排）-2', '随访计划（复诊安排）', '', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('723', 'N', '2020-05-09 20:17:54', '2020-05-09 20:38:46', '103', '99', '3', '5', '出院小结-随访计划（复诊安排）-时间', '时间：', '【随访计划】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('724', 'N', '2020-05-09 20:18:40', '2020-05-09 20:38:56', '103', '99', '3', '5', '出院小结-随访计划（复诊安排）-地点', '地点：', '【复诊地点】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('725', 'N', '2020-05-09 20:19:44', '2020-05-09 20:38:54', '103', '99', '3', '5', '出院小结-随访计划（复诊安排）-目的', '复诊目的：', '【复诊目的】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('726', 'N', '2020-05-09 20:20:26', '2020-05-09 20:39:00', '103', '99', '3', '5', '出院小结-随访计划（复诊安排）-科室', '科室：', '【复诊科室】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('727', 'N', '2020-05-09 20:21:36', '2020-05-09 20:30:48', '104', '104', '3', '2', '首次病程录-病人基本信息', '1、患者基本信息：', '【病人基本信息】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('728', 'N', '2020-05-09 20:22:14', '2020-05-09 20:30:55', '104', '104', '3', '2', '首次病程录-主诉-中医', '2、主诉：', '【主诉】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('729', 'Y', '2020-05-09 20:22:22', '2020-05-09 20:22:34', '98', '98', '3', '1', '入院记录-ff', 'ff', 'ff', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('730', 'N', '2020-05-09 20:22:53', '2020-05-11 15:46:20', '104', '102', '3', '2', '首次病程录-发病经过-中医', '3、发病经过：', '【发病经过】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('731', 'N', '2020-05-09 20:24:21', '2020-05-09 20:31:05', '104', '104', '3', '2', '首次病程录-体格检查-中医', '4、体格检查：', '【专科检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('732', 'N', '2020-05-09 20:25:18', '2020-05-09 20:31:09', '104', '104', '3', '2', '首次病程录-辅助检查-中医', '5、辅助检查：', '【实验室检查】【影像学检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('733', 'Y', '2020-05-09 20:39:00', '2020-05-09 20:41:11', '104', '104', '3', '2', '首次病程录-诊断依据-拼接而成（无序号 无标题）', '', '（1）【姓名】 【年龄】 【性别】 <br/>（2）【主诉】<br/>（3）【专科检查】<br/>（4）【实验室检查】【影像学检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('734', 'N', '2020-05-09 20:41:46', '2020-05-09 20:41:46', '102', '102', '3', '5', '出院小结-随访计划（复诊安排）-科室（非手术）', '科室：', '【临床科室】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('735', 'N', '2020-05-09 20:59:22', '2020-05-09 20:59:22', '99', '99', '3', '5', '出院小结-医疗组长-手术', '医疗组长：', '【医疗组长】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('736', 'N', '2020-05-09 21:01:11', '2020-05-09 21:01:11', '99', '99', '3', '5', '出院小结-体格检查-手术', '体格检查：', '体温【体温】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg，【专科检查】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('737', 'N', '2020-05-09 21:35:23', '2020-05-09 21:39:07', '102', '102', '3', '5', '出院小结-住院诊治经过(包括重要发现和结论，接受的手术和操作，药物和其他治疗) -手术2', '住院诊治经过(包括重要发现和结论，接受的手术和操作，药物和其他治疗) ： ', '【诊治经过】，于【手术日期】在全麻下行胸腔镜下右肺下叶前基底段切除，切口类别为Ⅱ类（沾染切口）切口愈合等级为甲病理诊断为【病理诊断】，【治疗】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('738', 'N', '2020-05-11 14:44:19', '2020-05-11 14:44:19', '103', '103', '3', '1', '入院记录-辅助检查-辅助检查结果', '辅助检查：', '【辅助检查结果】', '1', '0', '0', '0', '1', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('739', 'Y', '2020-05-11 15:34:20', '2020-05-11 15:34:47', '102', '102', '3', '2', '首次病程录-', '首次病程录', '【首次病程录】', '1', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('740', 'Y', '2020-05-12 11:30:42', '2020-05-12 11:31:58', '97', '97', '3', '1', '入院记录-再入院', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('741', 'N', '2020-05-12 11:33:01', '2020-05-12 11:33:01', '97', '97', '3', '1', '入院记录-再入院组合', '', '', '4', '0', '0', '0', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('742', 'N', '2020-05-12 11:40:10', '2020-05-12 14:39:32', '103', '103', '3', '28', '阶段小结-02-1入院情况', '入院情况：', '主诉：【主诉】<br/>发病经过：【发病情况】<br/>体格检查：体温【体温耳】℃，脉搏【脉搏】次/分，呼吸【呼吸】次/分，血压【血压】mmHg，【专科检查】<br/>辅检检查：【影像学检查】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('743', 'N', '2020-05-12 11:43:51', '2020-05-12 11:43:51', '103', '103', '3', '28', '阶段小结-02-1入院诊断', '入院诊断：', '【初步诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('744', 'N', '2020-05-12 11:46:36', '2020-05-12 11:46:36', '103', '103', '3', '28', '阶段小结-诊疗计划', '诊疗计划：', '【诊疗计划】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('745', 'N', '2020-05-12 14:50:51', '2020-05-12 14:50:51', '103', '103', '3', '18', '术后首次病程及谈话记录-术中诊断（初步诊断）', '术中诊断：', '【初步诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('746', 'N', '2020-05-12 14:59:05', '2020-05-12 14:59:05', '103', '103', '3', '18', '术后首次病程及谈话记录-术前诊断（术前诊断）', '术前诊断：', '【术前诊断】', '1', '0', '0', '1', '0', '0', '0', '', null);
INSERT INTO `qc_question_info` VALUES ('747', 'N', '2020-05-12 15:17:25', '2020-05-12 15:17:25', '103', '103', '3', '18', '术后首次病程及谈话记录-术中诊断(术中发现)', '术中诊断：', '【术中发现】', '1', '0', '0', '1', '0', '0', '0', '', null);

-- ----------------------------
-- Table structure for qc_question_mapping
-- ----------------------------
DROP TABLE IF EXISTS `qc_question_mapping`;
CREATE TABLE `qc_question_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `parent_question` bigint(20) DEFAULT NULL COMMENT '上级question',
  `son_question` bigint(20) DEFAULT NULL COMMENT '下级question',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `parent_question` (`parent_question`),
  KEY `son_question` (`son_question`)
) ENGINE=InnoDB AUTO_INCREMENT=172 DEFAULT CHARSET=utf8 COMMENT='标签映射表';

-- ----------------------------
-- Records of qc_question_mapping
-- ----------------------------
INSERT INTO `qc_question_mapping` VALUES ('1', 'Y', '2020-05-08 14:54:47', '2020-05-08 14:56:05', '102', '102', '186', '74', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('2', 'Y', '2020-05-08 14:54:47', '2020-05-08 14:56:05', '102', '102', '186', '75', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('3', 'Y', '2020-05-08 14:55:54', '2020-05-08 14:58:45', '102', '102', '189', '77', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('4', 'Y', '2020-05-08 14:55:54', '2020-05-08 14:58:45', '102', '102', '189', '79', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('5', 'Y', '2020-05-08 14:55:54', '2020-05-08 14:58:45', '102', '102', '189', '81', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('6', 'Y', '2020-05-08 14:55:54', '2020-05-08 14:58:45', '102', '102', '189', '82', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('7', 'Y', '2020-05-08 14:56:05', '2020-05-08 14:58:44', '102', '102', '186', '74', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('8', 'Y', '2020-05-08 14:56:05', '2020-05-08 14:58:44', '102', '102', '186', '75', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('9', 'Y', '2020-05-08 14:57:58', '2020-05-08 14:58:23', '99', '99', '196', '58', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('10', 'Y', '2020-05-08 14:57:58', '2020-05-08 14:58:23', '99', '99', '196', '121', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('11', 'Y', '2020-05-08 14:58:23', '2020-05-08 15:02:21', '99', '99', '196', '58', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('12', 'Y', '2020-05-08 14:58:23', '2020-05-08 15:02:21', '99', '99', '196', '121', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('13', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '58', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('14', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '121', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('15', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '194', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('16', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '193', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('17', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '190', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('18', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '188', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('19', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '185', '7', null);
INSERT INTO `qc_question_mapping` VALUES ('20', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '58', '8', null);
INSERT INTO `qc_question_mapping` VALUES ('21', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '121', '9', null);
INSERT INTO `qc_question_mapping` VALUES ('22', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '126', '10', null);
INSERT INTO `qc_question_mapping` VALUES ('23', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '127', '11', null);
INSERT INTO `qc_question_mapping` VALUES ('24', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '126', '12', null);
INSERT INTO `qc_question_mapping` VALUES ('25', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '128', '13', null);
INSERT INTO `qc_question_mapping` VALUES ('26', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '129', '14', null);
INSERT INTO `qc_question_mapping` VALUES ('27', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '130', '15', null);
INSERT INTO `qc_question_mapping` VALUES ('28', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '134', '16', null);
INSERT INTO `qc_question_mapping` VALUES ('29', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '183', '17', null);
INSERT INTO `qc_question_mapping` VALUES ('30', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '165', '18', null);
INSERT INTO `qc_question_mapping` VALUES ('31', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '159', '19', null);
INSERT INTO `qc_question_mapping` VALUES ('32', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '156', '20', null);
INSERT INTO `qc_question_mapping` VALUES ('33', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '156', '21', null);
INSERT INTO `qc_question_mapping` VALUES ('34', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '144', '22', null);
INSERT INTO `qc_question_mapping` VALUES ('35', 'Y', '2020-05-08 15:02:21', '2020-05-08 15:05:11', '99', '99', '196', '140', '23', null);
INSERT INTO `qc_question_mapping` VALUES ('36', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '111', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('37', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '171', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('38', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '172', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('39', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '173', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('40', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '174', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('41', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '176', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('42', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '177', '7', null);
INSERT INTO `qc_question_mapping` VALUES ('43', 'N', '2020-05-08 18:47:02', '2020-05-08 18:47:02', '102', '102', '377', '178', '8', null);
INSERT INTO `qc_question_mapping` VALUES ('44', 'Y', '2020-05-08 18:51:18', '2020-05-08 18:51:52', '102', '102', '379', '205', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('45', 'Y', '2020-05-08 18:51:18', '2020-05-08 18:51:52', '102', '102', '379', '206', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('46', 'N', '2020-05-08 18:51:52', '2020-05-08 18:51:52', '102', '102', '379', '205', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('47', 'N', '2020-05-08 18:51:52', '2020-05-08 18:51:52', '102', '102', '379', '206', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('48', 'N', '2020-05-08 18:51:52', '2020-05-08 18:51:52', '102', '102', '379', '207', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('49', 'Y', '2020-05-08 19:19:43', '2020-05-08 19:25:50', '102', '102', '387', '243', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('50', 'Y', '2020-05-08 19:19:43', '2020-05-08 19:25:50', '102', '102', '387', '244', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('51', 'Y', '2020-05-08 19:19:43', '2020-05-08 19:25:50', '102', '102', '387', '246', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('52', 'Y', '2020-05-08 19:19:43', '2020-05-08 19:25:50', '102', '102', '387', '247', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('53', 'Y', '2020-05-08 19:19:43', '2020-05-08 19:25:50', '102', '102', '387', '249', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('54', 'N', '2020-05-08 19:21:16', '2020-05-08 19:21:16', '102', '102', '388', '250', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('55', 'N', '2020-05-08 19:21:16', '2020-05-08 19:21:16', '102', '102', '388', '252', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('56', 'N', '2020-05-08 19:24:21', '2020-05-08 19:24:21', '102', '102', '389', '254', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('57', 'N', '2020-05-08 19:24:21', '2020-05-08 19:24:21', '102', '102', '389', '255', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('58', 'N', '2020-05-08 19:24:21', '2020-05-08 19:24:21', '102', '102', '389', '257', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('59', 'N', '2020-05-08 19:24:21', '2020-05-08 19:24:21', '102', '102', '389', '259', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('60', 'N', '2020-05-08 19:24:21', '2020-05-08 19:24:21', '102', '102', '389', '263', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('61', 'Y', '2020-05-08 19:25:50', '2020-05-08 19:33:13', '102', '102', '387', '243', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('62', 'Y', '2020-05-08 19:25:50', '2020-05-08 19:33:13', '102', '102', '387', '244', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('63', 'Y', '2020-05-08 19:25:50', '2020-05-08 19:33:13', '102', '102', '387', '246', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('64', 'Y', '2020-05-08 19:25:50', '2020-05-08 19:33:13', '102', '102', '387', '247', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('65', 'Y', '2020-05-08 19:25:50', '2020-05-08 19:33:13', '102', '102', '387', '249', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('66', 'N', '2020-05-08 19:33:04', '2020-05-08 19:33:04', '102', '102', '393', '264', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('67', 'N', '2020-05-08 19:33:04', '2020-05-08 19:33:04', '102', '102', '393', '265', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('68', 'N', '2020-05-08 19:33:04', '2020-05-08 19:33:04', '102', '102', '393', '266', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('69', 'N', '2020-05-08 19:33:13', '2020-05-08 19:33:13', '102', '102', '387', '243', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('70', 'N', '2020-05-08 19:33:13', '2020-05-08 19:33:13', '102', '102', '387', '244', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('71', 'N', '2020-05-08 19:33:13', '2020-05-08 19:33:13', '102', '102', '387', '246', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('72', 'N', '2020-05-08 19:33:13', '2020-05-08 19:33:13', '102', '102', '387', '247', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('73', 'N', '2020-05-08 19:33:13', '2020-05-08 19:33:13', '102', '102', '387', '249', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('74', 'N', '2020-05-08 19:35:42', '2020-05-08 19:35:42', '102', '102', '397', '47', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('75', 'N', '2020-05-08 19:35:42', '2020-05-08 19:35:42', '102', '102', '397', '48', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('76', 'N', '2020-05-08 19:35:42', '2020-05-08 19:35:42', '102', '102', '397', '50', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('77', 'N', '2020-05-08 19:35:42', '2020-05-08 19:35:42', '102', '102', '397', '93', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('78', 'N', '2020-05-08 19:35:42', '2020-05-08 19:35:42', '102', '102', '397', '396', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('79', 'Y', '2020-05-08 20:05:57', '2020-05-09 17:29:56', '102', '99', '407', '300', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('80', 'Y', '2020-05-08 20:05:57', '2020-05-09 17:29:56', '102', '99', '407', '301', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('81', 'Y', '2020-05-08 20:05:57', '2020-05-09 17:29:56', '102', '99', '407', '302', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('82', 'Y', '2020-05-08 20:05:57', '2020-05-09 17:29:56', '102', '99', '407', '303', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('83', 'Y', '2020-05-08 20:06:40', '2020-05-08 20:29:40', '102', '102', '409', '300', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('84', 'Y', '2020-05-08 20:06:40', '2020-05-08 20:29:40', '102', '102', '409', '301', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('85', 'Y', '2020-05-08 20:06:40', '2020-05-08 20:29:40', '102', '102', '409', '302', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('86', 'Y', '2020-05-08 20:06:40', '2020-05-08 20:29:40', '102', '102', '409', '303', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('87', 'Y', '2020-05-08 20:29:40', '2020-05-08 20:29:53', '102', '102', '409', '300', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('88', 'Y', '2020-05-08 20:29:40', '2020-05-08 20:29:53', '102', '102', '409', '301', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('89', 'Y', '2020-05-08 20:29:40', '2020-05-08 20:29:53', '102', '102', '409', '302', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('90', 'Y', '2020-05-08 20:29:40', '2020-05-08 20:29:53', '102', '102', '409', '303', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('91', 'N', '2020-05-08 20:29:53', '2020-05-08 20:29:53', '102', '102', '409', '300', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('92', 'N', '2020-05-08 20:29:53', '2020-05-08 20:29:53', '102', '102', '409', '301', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('93', 'N', '2020-05-08 20:29:53', '2020-05-08 20:29:53', '102', '102', '409', '302', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('94', 'N', '2020-05-08 20:29:53', '2020-05-08 20:29:53', '102', '102', '409', '303', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('95', 'Y', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '452', '254', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('96', 'Y', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '452', '255', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('97', 'Y', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '452', '257', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('98', 'Y', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '452', '263', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('99', 'Y', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '452', '259', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('100', 'Y', '2020-05-09 09:37:10', '2020-05-09 15:05:19', '102', '102', '452', '451', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('101', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '453', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('102', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '47', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('103', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '48', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('104', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '50', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('105', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '93', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('106', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '396', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('107', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '454', '7', null);
INSERT INTO `qc_question_mapping` VALUES ('108', 'N', '2020-05-09 09:42:55', '2020-05-09 09:42:55', '102', '102', '457', '455', '8', null);
INSERT INTO `qc_question_mapping` VALUES ('109', 'Y', '2020-05-09 10:13:07', '2020-05-09 10:31:28', '102', '102', '496', '488', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('110', 'Y', '2020-05-09 10:13:07', '2020-05-09 10:31:28', '102', '102', '496', '492', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('111', 'Y', '2020-05-09 10:13:07', '2020-05-09 10:31:28', '102', '102', '496', '494', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('112', 'Y', '2020-05-09 10:13:07', '2020-05-09 10:31:28', '102', '102', '496', '215', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('113', 'Y', '2020-05-09 10:13:07', '2020-05-09 10:31:28', '102', '102', '496', '249', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('114', 'Y', '2020-05-09 10:31:28', '2020-05-09 16:11:57', '102', '102', '496', '491', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('115', 'Y', '2020-05-09 10:31:28', '2020-05-09 16:11:57', '102', '102', '496', '215', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('116', 'Y', '2020-05-09 10:31:28', '2020-05-09 16:11:57', '102', '102', '496', '492', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('117', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '527', '520', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('118', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '527', '521', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('119', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '527', '522', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('120', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '527', '524', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('121', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '527', '523', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('122', 'N', '2020-05-09 10:38:47', '2020-05-09 10:38:47', '102', '102', '527', '526', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('123', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '47', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('124', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '48', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('125', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '50', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('126', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '93', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('127', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '455', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('128', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '530', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('129', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '531', '7', null);
INSERT INTO `qc_question_mapping` VALUES ('130', 'N', '2020-05-09 10:44:30', '2020-05-09 10:44:30', '102', '102', '533', '532', '8', null);
INSERT INTO `qc_question_mapping` VALUES ('131', 'N', '2020-05-09 11:29:28', '2020-05-09 11:29:28', '102', '102', '552', '254', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('132', 'N', '2020-05-09 15:05:19', '2020-05-09 15:05:19', '102', '102', '452', '254', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('133', 'N', '2020-05-09 15:05:19', '2020-05-09 15:05:19', '102', '102', '452', '255', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('134', 'N', '2020-05-09 15:05:19', '2020-05-09 15:05:19', '102', '102', '452', '263', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('135', 'N', '2020-05-09 15:05:19', '2020-05-09 15:05:19', '102', '102', '452', '257', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('136', 'N', '2020-05-09 15:05:19', '2020-05-09 15:05:19', '102', '102', '452', '259', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('137', 'N', '2020-05-09 15:05:19', '2020-05-09 15:05:19', '102', '102', '452', '451', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('138', 'Y', '2020-05-09 16:11:57', '2020-05-09 16:12:48', '102', '102', '496', '488', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('139', 'Y', '2020-05-09 16:11:57', '2020-05-09 16:12:48', '102', '102', '496', '491', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('140', 'Y', '2020-05-09 16:11:57', '2020-05-09 16:12:48', '102', '102', '496', '215', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('141', 'Y', '2020-05-09 16:11:57', '2020-05-09 16:12:48', '102', '102', '496', '492', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('142', 'N', '2020-05-09 16:12:48', '2020-05-09 16:12:48', '102', '102', '496', '488', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('143', 'N', '2020-05-09 16:12:48', '2020-05-09 16:12:48', '102', '102', '496', '491', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('144', 'N', '2020-05-09 16:12:48', '2020-05-09 16:12:48', '102', '102', '496', '215', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('145', 'N', '2020-05-09 16:12:48', '2020-05-09 16:12:48', '102', '102', '496', '492', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('146', 'N', '2020-05-09 16:12:48', '2020-05-09 16:12:48', '102', '102', '496', '494', '5', null);
INSERT INTO `qc_question_mapping` VALUES ('147', 'N', '2020-05-09 16:12:48', '2020-05-09 16:12:48', '102', '102', '496', '215', '6', null);
INSERT INTO `qc_question_mapping` VALUES ('148', 'Y', '2020-05-09 16:16:16', '2020-05-09 16:19:36', '102', '102', '686', '488', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('149', 'N', '2020-05-09 16:16:32', '2020-05-09 16:16:32', '102', '102', '687', '491', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('150', 'N', '2020-05-09 16:16:49', '2020-05-09 16:16:49', '102', '102', '688', '492', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('151', 'N', '2020-05-09 16:17:10', '2020-05-09 16:17:10', '102', '102', '689', '494', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('152', 'N', '2020-05-09 16:17:37', '2020-05-09 16:17:37', '102', '102', '690', '215', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('153', 'N', '2020-05-09 16:18:11', '2020-05-09 16:18:11', '102', '102', '691', '249', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('154', 'N', '2020-05-09 16:19:36', '2020-05-09 16:19:36', '102', '102', '686', '488', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('155', 'N', '2020-05-09 16:21:25', '2020-05-09 16:21:25', '102', '102', '692', '47', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('156', 'N', '2020-05-09 16:21:25', '2020-05-09 16:21:25', '102', '102', '692', '48', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('157', 'N', '2020-05-09 16:21:25', '2020-05-09 16:21:25', '102', '102', '692', '50', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('158', 'N', '2020-05-09 16:21:25', '2020-05-09 16:21:25', '102', '102', '692', '93', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('159', 'Y', '2020-05-09 17:21:40', '2020-05-09 17:21:57', '97', '97', '693', '553', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('160', 'N', '2020-05-09 17:29:56', '2020-05-09 17:29:56', '99', '99', '407', '300', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('161', 'N', '2020-05-09 17:29:56', '2020-05-09 17:29:56', '99', '99', '407', '301', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('162', 'N', '2020-05-09 17:29:56', '2020-05-09 17:29:56', '99', '99', '407', '302', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('163', 'N', '2020-05-09 17:29:56', '2020-05-09 17:29:56', '99', '99', '407', '303', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('164', 'Y', '2020-05-12 11:30:42', '2020-05-12 11:31:58', '97', '97', '740', '545', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('165', 'Y', '2020-05-12 11:30:42', '2020-05-12 11:31:58', '97', '97', '740', '547', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('166', 'Y', '2020-05-12 11:30:42', '2020-05-12 11:31:58', '97', '97', '740', '548', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('167', 'Y', '2020-05-12 11:30:42', '2020-05-12 11:31:58', '97', '97', '740', '549', '4', null);
INSERT INTO `qc_question_mapping` VALUES ('168', 'N', '2020-05-12 11:33:01', '2020-05-12 11:33:01', '97', '97', '741', '545', '1', null);
INSERT INTO `qc_question_mapping` VALUES ('169', 'N', '2020-05-12 11:33:01', '2020-05-12 11:33:01', '97', '97', '741', '547', '2', null);
INSERT INTO `qc_question_mapping` VALUES ('170', 'N', '2020-05-12 11:33:01', '2020-05-12 11:33:01', '97', '97', '741', '548', '3', null);
INSERT INTO `qc_question_mapping` VALUES ('171', 'N', '2020-05-12 11:33:01', '2020-05-12 11:33:01', '97', '97', '741', '549', '4', null);

-- ----------------------------
-- Table structure for qc_type
-- ----------------------------
DROP TABLE IF EXISTS `qc_type`;
CREATE TABLE `qc_type` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院ID',
  `name` varchar(255) DEFAULT NULL COMMENT '质控类型名称',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8 COMMENT='质控类型标准';

-- ----------------------------
-- Records of qc_type
-- ----------------------------
INSERT INTO `qc_type` VALUES ('1', '3', '0010 入院记录（中医 女）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('2', '3', '0010 入院记录（中医 男）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('3', '3', '0010 入院记录（产科）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('4', '3', '0010 入院记录（儿）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('5', '3', '0010 入院记录（女）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('6', '3', '0010 入院记录（新生儿）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('7', '3', '0010 入院记录（男）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('8', '3', '0010 再次入院（女）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('9', '3', '0010 再次入院（男）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('10', '3', '0011 入院记录（神经外科--女）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('11', '1', '入院记录（心内含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('12', '1', '入院记录（耳鼻咽喉）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('13', '1', '入院记录（妇科）-长兴', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('14', '1', '入院记录（康复科）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('15', '1', '入院记录（新生儿）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('16', '1', '入院记录（产科）-长兴', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('17', '1', '入院记录（神经外科）-长兴', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('18', '1', '入院记录（中医）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('19', '1', '24小时入出院记录', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('20', '1', '入院记录（儿科）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('21', '1', '入院记录（含系统回顾Caprini）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('22', '1', '入院记录（产科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('23', '1', '入院记录（神经内科）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('24', '1', '入院记录（耳鼻咽喉含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('25', '1', '入院记录（妇科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('26', '1', '入院记录（精神科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('27', '1', '入院记录（康复科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('28', '1', '入院记录（神经内科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('29', '1', '入院记录（神经外科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('30', '1', '入院记录（眼科含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('31', '1', '入院记录（不含系统回顾Caprini）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('32', '1', '入院记录（含系统回顾Padua）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('33', '1', '入院记录（不含系统回顾Padua）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('34', '1', '入院记录（精神科）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('35', '1', '入院记录（心内不含系统回顾）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('36', '1', '24小时内入院死亡记录', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('37', '1', '入院记录（眼科）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('38', '1', '入院记录（专用）', '长兴', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type` VALUES ('39', '3', '0010入院记录（男）', '台州', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');

-- ----------------------------
-- Table structure for qc_type_cases_entry
-- ----------------------------
DROP TABLE IF EXISTS `qc_type_cases_entry`;
CREATE TABLE `qc_type_cases_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `type_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '质控类型ID',
  `case_entry_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '条目数据ID',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4119 DEFAULT CHARSET=utf8 COMMENT='质控类型和质控条目关联表';

-- ----------------------------
-- Records of qc_type_cases_entry
-- ----------------------------
INSERT INTO `qc_type_cases_entry` VALUES ('1', '3', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2', '3', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3', '3', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('4', '3', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('5', '3', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('6', '3', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('7', '3', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('8', '3', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('9', '3', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('10', '3', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('11', '3', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('12', '3', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('13', '3', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('14', '3', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('15', '3', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('16', '3', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('17', '3', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('18', '3', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('19', '3', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('20', '3', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('21', '3', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('22', '3', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('23', '3', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('24', '3', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('25', '3', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('26', '3', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('27', '3', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('28', '3', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('29', '3', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('30', '3', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('31', '3', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('32', '3', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('33', '3', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('34', '3', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('35', '3', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('36', '3', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('37', '3', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('38', '3', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('39', '3', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('40', '3', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('41', '3', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('42', '3', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('43', '3', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('44', '3', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('45', '3', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('46', '3', '2719', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('47', '3', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('48', '3', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('49', '3', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('50', '3', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('51', '3', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('52', '3', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('53', '3', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('54', '3', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('55', '3', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('56', '3', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('57', '3', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('58', '3', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('59', '3', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('60', '3', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('61', '3', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('62', '3', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('63', '3', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('64', '3', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('65', '3', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('66', '3', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('67', '3', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('68', '3', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('69', '3', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('70', '3', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('71', '3', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('72', '3', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('73', '3', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('74', '3', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('75', '3', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('76', '3', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('77', '3', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('78', '3', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('79', '3', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('80', '3', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('81', '3', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('82', '3', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('83', '3', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('84', '3', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('85', '3', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('86', '3', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('87', '3', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('88', '3', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('89', '3', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('90', '3', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('91', '3', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('92', '3', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('93', '3', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('94', '3', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('95', '3', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('96', '3', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('97', '3', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('98', '3', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('99', '3', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('100', '3', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('101', '3', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('102', '3', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('103', '3', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('104', '3', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('105', '3', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('106', '3', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('107', '3', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('108', '3', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('109', '3', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('110', '3', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('111', '3', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('112', '3', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('113', '3', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('114', '3', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('115', '3', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('116', '3', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('117', '3', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('118', '3', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('119', '3', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('120', '3', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('121', '3', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('122', '3', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('123', '3', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('124', '3', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('125', '3', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('126', '3', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('127', '3', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('128', '3', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('129', '3', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('130', '3', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('131', '3', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('132', '3', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('133', '3', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('134', '3', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('135', '3', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('136', '3', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('137', '3', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('138', '3', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('139', '3', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('140', '3', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('141', '3', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('142', '3', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('143', '3', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('144', '3', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('145', '3', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('146', '3', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('147', '3', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('148', '3', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('149', '3', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('150', '3', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('151', '3', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('152', '3', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('153', '3', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('154', '3', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('155', '3', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('156', '3', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('157', '3', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('158', '3', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('159', '3', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('160', '3', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('161', '3', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('162', '3', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('163', '3', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('164', '3', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('165', '3', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('166', '3', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('167', '3', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('168', '3', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('169', '3', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('170', '3', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('171', '3', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('172', '3', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('173', '3', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('174', '3', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('175', '3', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('176', '3', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('177', '3', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('178', '3', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('179', '3', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('180', '3', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('181', '3', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('182', '3', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('183', '3', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('184', '3', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('185', '3', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('186', '3', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('187', '3', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('188', '3', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('189', '3', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('190', '3', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('191', '3', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('192', '3', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('193', '3', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('194', '3', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('195', '3', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('196', '3', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('197', '3', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('198', '3', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('199', '3', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('200', '3', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('201', '3', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('202', '3', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('203', '3', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('204', '3', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('205', '3', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('206', '3', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('207', '3', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('208', '3', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('209', '3', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('210', '3', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('211', '3', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('212', '3', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('213', '3', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('214', '3', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('215', '3', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('216', '3', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('217', '3', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('218', '3', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('219', '3', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('220', '3', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('221', '3', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('222', '3', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('223', '3', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('224', '3', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('225', '3', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('226', '3', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('227', '3', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('228', '3', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('229', '3', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('230', '3', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('231', '3', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('232', '3', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('233', '3', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('234', '3', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('235', '3', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('236', '3', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('237', '3', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('238', '3', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('239', '3', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('240', '3', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('241', '3', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('242', '3', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('243', '3', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('244', '3', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('245', '3', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('246', '3', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('247', '3', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('248', '3', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('249', '3', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('250', '3', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('251', '3', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('252', '3', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('253', '3', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('254', '3', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('255', '3', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('256', '3', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('257', '3', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('258', '3', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('259', '3', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('260', '3', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('261', '3', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('262', '3', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('263', '3', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('264', '3', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('265', '3', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('266', '3', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('267', '3', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('268', '3', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('269', '3', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('270', '3', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('271', '3', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('272', '3', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('273', '3', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('274', '3', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('275', '3', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('276', '3', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('277', '3', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('278', '3', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('279', '3', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('280', '3', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('281', '3', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('282', '3', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('283', '3', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('284', '3', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('285', '3', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('286', '3', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('287', '3', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('288', '3', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('289', '3', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('290', '3', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('291', '3', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('292', '3', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('293', '3', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('294', '3', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('295', '3', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('296', '3', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('297', '3', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('298', '3', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('299', '3', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('300', '3', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('301', '3', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('302', '3', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('303', '3', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('304', '3', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('305', '3', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('306', '3', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('307', '3', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('308', '3', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('309', '3', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('310', '3', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('311', '3', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('312', '3', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('313', '3', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('314', '3', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('315', '3', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('316', '3', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('317', '3', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('318', '3', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('319', '3', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('320', '3', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('321', '3', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('322', '3', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('323', '3', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('324', '3', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('325', '3', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('326', '3', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('327', '3', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('328', '3', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('329', '3', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('330', '3', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('331', '3', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('332', '3', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('333', '3', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('334', '3', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('335', '3', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('336', '3', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('337', '3', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('338', '3', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('339', '3', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('340', '3', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('341', '3', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('342', '3', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('343', '3', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('344', '3', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('345', '3', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('346', '3', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('347', '3', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('348', '3', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('349', '3', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('350', '3', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('351', '3', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('352', '3', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('353', '3', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('354', '3', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('355', '3', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('356', '3', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('357', '3', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('358', '3', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('359', '3', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('360', '3', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('361', '3', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('362', '3', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('363', '3', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('364', '3', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('365', '3', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('366', '3', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('367', '4', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('368', '4', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('369', '4', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('370', '4', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('371', '4', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('372', '4', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('373', '4', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('374', '4', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('375', '4', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('376', '4', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('377', '4', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('378', '4', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('379', '4', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('380', '4', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('381', '4', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('382', '4', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('383', '4', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('384', '4', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('385', '4', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('386', '4', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('387', '4', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('388', '4', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('389', '4', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('390', '4', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('391', '4', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('392', '4', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('393', '4', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('394', '4', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('395', '4', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('396', '4', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('397', '4', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('398', '4', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('399', '4', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('400', '4', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('401', '4', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('402', '4', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('403', '4', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('404', '4', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('405', '4', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('406', '4', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('407', '4', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('408', '4', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('409', '4', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('410', '4', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('411', '4', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('412', '4', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('413', '4', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('414', '4', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('415', '4', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('416', '4', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('417', '4', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('418', '4', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('419', '4', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('420', '4', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('421', '4', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('422', '4', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('423', '4', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('424', '4', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('425', '4', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('426', '4', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('427', '4', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('428', '4', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('429', '4', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('430', '4', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('431', '4', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('432', '4', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('433', '4', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('434', '4', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('435', '4', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('436', '4', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('437', '4', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('438', '4', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('439', '4', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('440', '4', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('441', '4', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('442', '4', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('443', '4', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('444', '4', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('445', '4', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('446', '4', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('447', '4', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('448', '4', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('449', '4', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('450', '4', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('451', '4', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('452', '4', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('453', '4', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('454', '4', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('455', '4', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('456', '4', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('457', '4', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('458', '4', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('459', '4', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('460', '4', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('461', '4', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('462', '4', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('463', '4', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('464', '4', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('465', '4', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('466', '4', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('467', '4', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('468', '4', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('469', '4', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('470', '4', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('471', '4', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('472', '4', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('473', '4', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('474', '4', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('475', '4', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('476', '4', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('477', '4', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('478', '4', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('479', '4', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('480', '4', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('481', '4', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('482', '4', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('483', '4', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('484', '4', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('485', '4', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('486', '4', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('487', '4', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('488', '4', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('489', '4', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('490', '4', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('491', '4', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('492', '4', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('493', '4', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('494', '4', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('495', '4', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('496', '4', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('497', '4', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('498', '4', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('499', '4', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('500', '4', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('501', '4', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('502', '4', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('503', '4', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('504', '4', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('505', '4', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('506', '4', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('507', '4', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('508', '4', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('509', '4', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('510', '4', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('511', '4', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('512', '4', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('513', '4', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('514', '4', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('515', '4', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('516', '4', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('517', '4', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('518', '4', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('519', '4', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('520', '4', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('521', '4', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('522', '4', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('523', '4', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('524', '4', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('525', '4', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('526', '4', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('527', '4', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('528', '4', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('529', '4', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('530', '4', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('531', '4', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('532', '4', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('533', '4', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('534', '4', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('535', '4', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('536', '4', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('537', '4', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('538', '4', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('539', '4', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('540', '4', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('541', '4', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('542', '4', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('543', '4', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('544', '4', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('545', '4', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('546', '4', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('547', '4', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('548', '4', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('549', '4', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('550', '4', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('551', '4', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('552', '4', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('553', '4', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('554', '4', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('555', '4', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('556', '4', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('557', '4', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('558', '4', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('559', '4', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('560', '4', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('561', '4', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('562', '4', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('563', '4', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('564', '4', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('565', '4', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('566', '4', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('567', '4', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('568', '4', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('569', '4', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('570', '4', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('571', '4', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('572', '4', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('573', '4', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('574', '4', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('575', '4', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('576', '4', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('577', '4', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('578', '4', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('579', '4', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('580', '4', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('581', '4', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('582', '4', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('583', '4', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('584', '4', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('585', '4', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('586', '4', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('587', '4', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('588', '4', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('589', '4', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('590', '4', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('591', '4', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('592', '4', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('593', '4', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('594', '4', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('595', '4', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('596', '4', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('597', '4', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('598', '4', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('599', '4', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('600', '4', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('601', '4', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('602', '4', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('603', '4', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('604', '4', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('605', '4', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('606', '4', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('607', '4', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('608', '4', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('609', '4', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('610', '4', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('611', '4', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('612', '4', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('613', '4', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('614', '4', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('615', '4', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('616', '4', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('617', '4', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('618', '4', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('619', '4', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('620', '4', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('621', '4', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('622', '4', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('623', '4', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('624', '4', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('625', '4', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('626', '4', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('627', '4', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('628', '4', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('629', '4', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('630', '4', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('631', '4', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('632', '4', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('633', '4', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('634', '4', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('635', '4', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('636', '4', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('637', '4', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('638', '4', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('639', '4', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('640', '4', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('641', '4', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('642', '4', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('643', '4', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('644', '4', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('645', '4', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('646', '4', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('647', '4', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('648', '4', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('649', '4', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('650', '4', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('651', '4', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('652', '4', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('653', '4', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('654', '4', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('655', '4', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('656', '4', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('657', '4', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('658', '4', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('659', '4', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('660', '4', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('661', '4', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('662', '4', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('663', '4', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('664', '4', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('665', '4', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('666', '4', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('667', '4', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('668', '4', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('669', '4', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('670', '4', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('671', '4', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('672', '4', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('673', '4', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('674', '4', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('675', '4', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('676', '4', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('677', '4', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('678', '4', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('679', '4', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('680', '4', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('681', '4', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('682', '4', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('683', '4', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('684', '4', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('685', '4', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('686', '4', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('687', '4', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('688', '4', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('689', '4', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('690', '4', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('691', '4', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('692', '4', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('693', '4', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('694', '4', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('695', '4', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('696', '4', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('697', '4', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('698', '4', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('699', '4', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('700', '4', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('701', '4', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('702', '4', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('703', '4', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('704', '4', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('705', '4', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('706', '4', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('707', '7', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('708', '7', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('709', '7', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('710', '7', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('711', '7', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('712', '7', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('713', '7', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('714', '7', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('715', '7', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('716', '7', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('717', '7', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('718', '7', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('719', '7', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('720', '7', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('721', '7', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('722', '7', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('723', '7', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('724', '7', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('725', '7', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('726', '7', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('727', '7', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('728', '7', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('729', '7', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('730', '7', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('731', '7', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('732', '7', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('733', '7', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('734', '7', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('735', '7', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('736', '7', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('737', '7', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('738', '7', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('739', '7', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('740', '7', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('741', '7', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('742', '7', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('743', '7', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('744', '7', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('745', '7', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('746', '7', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('747', '7', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('748', '7', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('749', '7', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('750', '7', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('751', '7', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('752', '7', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('753', '7', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('754', '7', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('755', '7', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('756', '7', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('757', '7', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('758', '7', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('759', '7', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('760', '7', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('761', '7', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('762', '7', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('763', '7', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('764', '7', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('765', '7', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('766', '7', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('767', '7', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('768', '7', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('769', '7', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('770', '7', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('771', '7', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('772', '7', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('773', '7', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('774', '7', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('775', '7', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('776', '7', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('777', '7', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('778', '7', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('779', '7', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('780', '7', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('781', '7', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('782', '7', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('783', '7', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('784', '7', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('785', '7', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('786', '7', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('787', '7', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('788', '7', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('789', '7', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('790', '7', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('791', '7', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('792', '7', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('793', '7', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('794', '7', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('795', '7', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('796', '7', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('797', '7', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('798', '7', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('799', '7', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('800', '7', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('801', '7', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('802', '7', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('803', '7', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('804', '7', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('805', '7', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('806', '7', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('807', '7', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('808', '7', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('809', '7', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('810', '7', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('811', '7', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('812', '7', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('813', '7', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('814', '7', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('815', '7', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('816', '7', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('817', '7', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('818', '7', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('819', '7', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('820', '7', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('821', '7', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('822', '7', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('823', '7', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('824', '7', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('825', '7', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('826', '7', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('827', '7', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('828', '7', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('829', '7', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('830', '7', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('831', '7', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('832', '7', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('833', '7', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('834', '7', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('835', '7', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('836', '7', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('837', '7', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('838', '7', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('839', '7', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('840', '7', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('841', '7', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('842', '7', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('843', '7', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('844', '7', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('845', '7', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('846', '7', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('847', '7', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('848', '7', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('849', '7', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('850', '7', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('851', '7', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('852', '7', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('853', '7', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('854', '7', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('855', '7', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('856', '7', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('857', '7', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('858', '7', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('859', '7', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('860', '7', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('861', '7', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('862', '7', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('863', '7', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('864', '7', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('865', '7', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('866', '7', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('867', '7', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('868', '7', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('869', '7', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('870', '7', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('871', '7', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('872', '7', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('873', '7', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('874', '7', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('875', '7', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('876', '7', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('877', '7', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('878', '7', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('879', '7', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('880', '7', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('881', '7', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('882', '7', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('883', '7', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('884', '7', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('885', '7', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('886', '7', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('887', '7', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('888', '7', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('889', '7', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('890', '7', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('891', '7', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('892', '7', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('893', '7', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('894', '7', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('895', '7', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('896', '7', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('897', '7', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('898', '7', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('899', '7', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('900', '7', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('901', '7', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('902', '7', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('903', '7', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('904', '7', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('905', '7', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('906', '7', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('907', '7', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('908', '7', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('909', '7', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('910', '7', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('911', '7', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('912', '7', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('913', '7', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('914', '7', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('915', '7', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('916', '7', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('917', '7', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('918', '7', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('919', '7', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('920', '7', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('921', '7', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('922', '7', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('923', '7', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('924', '7', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('925', '7', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('926', '7', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('927', '7', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('928', '7', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('929', '7', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('930', '7', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('931', '7', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('932', '7', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('933', '7', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('934', '7', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('935', '7', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('936', '7', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('937', '7', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('938', '7', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('939', '7', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('940', '7', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('941', '7', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('942', '7', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('943', '7', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('944', '7', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('945', '7', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('946', '7', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('947', '7', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('948', '7', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('949', '7', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('950', '7', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('951', '7', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('952', '7', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('953', '7', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('954', '7', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('955', '7', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('956', '7', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('957', '7', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('958', '7', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('959', '7', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('960', '7', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('961', '7', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('962', '7', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('963', '7', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('964', '7', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('965', '7', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('966', '7', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('967', '7', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('968', '7', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('969', '7', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('970', '7', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('971', '7', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('972', '7', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('973', '7', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('974', '7', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('975', '7', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('976', '7', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('977', '7', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('978', '7', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('979', '7', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('980', '7', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('981', '7', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('982', '7', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('983', '7', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('984', '7', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('985', '7', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('986', '7', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('987', '7', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('988', '7', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('989', '7', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('990', '7', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('991', '7', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('992', '7', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('993', '7', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('994', '7', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('995', '7', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('996', '7', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('997', '7', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('998', '7', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('999', '7', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1000', '7', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1001', '7', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1002', '7', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1003', '7', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1004', '7', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1005', '7', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1006', '7', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1007', '7', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1008', '7', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1009', '7', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1010', '7', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1011', '7', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1012', '7', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1013', '7', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1014', '7', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1015', '7', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1016', '7', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1017', '7', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1018', '7', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1019', '7', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1020', '7', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1021', '7', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1022', '7', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1023', '7', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1024', '7', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1025', '7', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1026', '7', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1027', '7', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1028', '7', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1029', '7', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1030', '7', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1031', '7', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1032', '7', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1033', '7', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1034', '7', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1035', '7', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1036', '7', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1037', '7', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1038', '7', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1039', '7', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1040', '7', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1041', '7', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1042', '7', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1043', '7', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1044', '7', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1045', '7', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1046', '7', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1047', '7', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1048', '7', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1049', '7', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1050', '7', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1051', '7', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1052', '7', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1053', '7', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1054', '7', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1055', '7', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1056', '7', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1057', '7', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1058', '7', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1059', '7', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1060', '7', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1061', '7', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1062', '7', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1063', '7', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1064', '7', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1065', '7', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1066', '7', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1067', '7', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1068', '7', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1069', '7', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1070', '7', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1071', '7', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1072', '5', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1073', '5', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1074', '5', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1075', '5', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1076', '5', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1077', '5', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1078', '5', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1079', '5', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1080', '5', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1081', '5', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1082', '5', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1083', '5', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1084', '5', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1085', '5', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1086', '5', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1087', '5', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1088', '5', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1089', '5', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1090', '5', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1091', '5', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1092', '5', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1093', '5', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1094', '5', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1095', '5', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1096', '5', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1097', '5', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1098', '5', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1099', '5', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1100', '5', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1101', '5', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1102', '5', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1103', '5', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1104', '5', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1105', '5', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1106', '5', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1107', '5', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1108', '5', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1109', '5', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1110', '5', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1111', '5', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1112', '5', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1113', '5', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1114', '5', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1115', '5', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1116', '5', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1117', '5', '2719', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1118', '5', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1119', '5', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1120', '5', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1121', '5', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1122', '5', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1123', '5', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1124', '5', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1125', '5', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1126', '5', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1127', '5', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1128', '5', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1129', '5', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1130', '5', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1131', '5', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1132', '5', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1133', '5', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1134', '5', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1135', '5', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1136', '5', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1137', '5', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1138', '5', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1139', '5', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1140', '5', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1141', '5', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1142', '5', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1143', '5', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1144', '5', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1145', '5', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1146', '5', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1147', '5', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1148', '5', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1149', '5', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1150', '5', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1151', '5', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1152', '5', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1153', '5', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1154', '5', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1155', '5', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1156', '5', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1157', '5', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1158', '5', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1159', '5', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1160', '5', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1161', '5', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1162', '5', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1163', '5', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1164', '5', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1165', '5', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1166', '5', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1167', '5', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1168', '5', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1169', '5', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1170', '5', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1171', '5', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1172', '5', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1173', '5', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1174', '5', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1175', '5', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1176', '5', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1177', '5', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1178', '5', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1179', '5', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1180', '5', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1181', '5', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1182', '5', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1183', '5', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1184', '5', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1185', '5', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1186', '5', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1187', '5', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1188', '5', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1189', '5', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1190', '5', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1191', '5', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1192', '5', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1193', '5', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1194', '5', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1195', '5', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1196', '5', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1197', '5', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1198', '5', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1199', '5', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1200', '5', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1201', '5', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1202', '5', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1203', '5', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1204', '5', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1205', '5', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1206', '5', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1207', '5', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1208', '5', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1209', '5', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1210', '5', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1211', '5', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1212', '5', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1213', '5', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1214', '5', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1215', '5', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1216', '5', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1217', '5', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1218', '5', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1219', '5', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1220', '5', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1221', '5', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1222', '5', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1223', '5', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1224', '5', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1225', '5', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1226', '5', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1227', '5', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1228', '5', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1229', '5', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1230', '5', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1231', '5', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1232', '5', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1233', '5', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1234', '5', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1235', '5', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1236', '5', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1237', '5', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1238', '5', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1239', '5', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1240', '5', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1241', '5', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1242', '5', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1243', '5', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1244', '5', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1245', '5', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1246', '5', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1247', '5', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1248', '5', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1249', '5', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1250', '5', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1251', '5', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1252', '5', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1253', '5', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1254', '5', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1255', '5', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1256', '5', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1257', '5', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1258', '5', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1259', '5', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1260', '5', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1261', '5', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1262', '5', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1263', '5', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1264', '5', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1265', '5', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1266', '5', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1267', '5', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1268', '5', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1269', '5', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1270', '5', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1271', '5', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1272', '5', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1273', '5', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1274', '5', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1275', '5', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1276', '5', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1277', '5', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1278', '5', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1279', '5', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1280', '5', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1281', '5', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1282', '5', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1283', '5', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1284', '5', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1285', '5', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1286', '5', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1287', '5', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1288', '5', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1289', '5', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1290', '5', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1291', '5', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1292', '5', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1293', '5', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1294', '5', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1295', '5', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1296', '5', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1297', '5', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1298', '5', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1299', '5', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1300', '5', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1301', '5', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1302', '5', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1303', '5', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1304', '5', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1305', '5', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1306', '5', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1307', '5', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1308', '5', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1309', '5', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1310', '5', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1311', '5', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1312', '5', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1313', '5', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1314', '5', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1315', '5', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1316', '5', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1317', '5', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1318', '5', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1319', '5', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1320', '5', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1321', '5', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1322', '5', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1323', '5', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1324', '5', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1325', '5', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1326', '5', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1327', '5', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1328', '5', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1329', '5', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1330', '5', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1331', '5', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1332', '5', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1333', '5', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1334', '5', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1335', '5', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1336', '5', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1337', '5', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1338', '5', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1339', '5', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1340', '5', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1341', '5', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1342', '5', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1343', '5', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1344', '5', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1345', '5', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1346', '5', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1347', '5', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1348', '5', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1349', '5', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1350', '5', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1351', '5', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1352', '5', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1353', '5', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1354', '5', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1355', '5', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1356', '5', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1357', '5', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1358', '5', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1359', '5', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1360', '5', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1361', '5', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1362', '5', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1363', '5', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1364', '5', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1365', '5', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1366', '5', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1367', '5', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1368', '5', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1369', '5', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1370', '5', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1371', '5', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1372', '5', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1373', '5', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1374', '5', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1375', '5', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1376', '5', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1377', '5', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1378', '5', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1379', '5', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1380', '5', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1381', '5', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1382', '5', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1383', '5', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1384', '5', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1385', '5', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1386', '5', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1387', '5', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1388', '5', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1389', '5', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1390', '5', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1391', '5', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1392', '5', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1393', '5', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1394', '5', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1395', '5', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1396', '5', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1397', '5', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1398', '5', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1399', '5', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1400', '5', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1401', '5', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1402', '5', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1403', '5', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1404', '5', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1405', '5', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1406', '5', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1407', '5', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1408', '5', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1409', '5', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1410', '5', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1411', '5', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1412', '5', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1413', '5', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1414', '5', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1415', '5', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1416', '5', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1417', '5', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1418', '5', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1419', '5', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1420', '5', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1421', '5', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1422', '5', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1423', '5', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1424', '5', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1425', '5', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1426', '5', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1427', '5', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1428', '5', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1429', '5', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1430', '5', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1431', '5', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1432', '5', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1433', '5', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1434', '5', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1435', '5', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1436', '5', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1437', '5', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1438', '6', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1439', '6', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1440', '6', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1441', '6', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1442', '6', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1443', '6', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1444', '6', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1445', '6', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1446', '6', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1447', '6', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1448', '6', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1449', '6', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1450', '6', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1451', '6', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1452', '6', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1453', '6', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1454', '6', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1455', '6', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1456', '6', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1457', '6', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1458', '6', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1459', '6', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1460', '6', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1461', '6', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1462', '6', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1463', '6', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1464', '6', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1465', '6', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1466', '6', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1467', '6', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1468', '6', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1469', '6', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1470', '6', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1471', '6', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1472', '6', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1473', '6', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1474', '6', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1475', '6', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1476', '6', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1477', '6', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1478', '6', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1479', '6', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1480', '6', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1481', '6', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1482', '6', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1483', '6', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1484', '6', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1485', '6', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1486', '6', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1487', '6', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1488', '6', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1489', '6', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1490', '6', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1491', '6', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1492', '6', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1493', '6', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1494', '6', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1495', '6', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1496', '6', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1497', '6', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1498', '6', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1499', '6', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1500', '6', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1501', '6', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1502', '6', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1503', '6', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1504', '6', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1505', '6', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1506', '6', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1507', '6', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1508', '6', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1509', '6', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1510', '6', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1511', '6', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1512', '6', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1513', '6', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1514', '6', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1515', '6', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1516', '6', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1517', '6', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1518', '6', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1519', '6', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1520', '6', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1521', '6', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1522', '6', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1523', '6', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1524', '6', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1525', '6', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1526', '6', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1527', '6', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1528', '6', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1529', '6', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1530', '6', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1531', '6', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1532', '6', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1533', '6', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1534', '6', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1535', '6', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1536', '6', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1537', '6', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1538', '6', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1539', '6', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1540', '6', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1541', '6', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1542', '6', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1543', '6', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1544', '6', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1545', '6', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1546', '6', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1547', '6', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1548', '6', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1549', '6', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1550', '6', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1551', '6', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1552', '6', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1553', '6', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1554', '6', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1555', '6', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1556', '6', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1557', '6', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1558', '6', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1559', '6', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1560', '6', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1561', '6', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1562', '6', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1563', '6', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1564', '6', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1565', '6', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1566', '6', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1567', '6', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1568', '6', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1569', '6', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1570', '6', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1571', '6', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1572', '6', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1573', '6', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1574', '6', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1575', '6', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1576', '6', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1577', '6', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1578', '6', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1579', '6', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1580', '6', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1581', '6', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1582', '6', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1583', '6', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1584', '6', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1585', '6', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1586', '6', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1587', '6', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1588', '6', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1589', '6', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1590', '6', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1591', '6', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1592', '6', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1593', '6', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1594', '6', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1595', '6', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1596', '6', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1597', '6', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1598', '6', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1599', '6', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1600', '6', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1601', '6', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1602', '6', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1603', '6', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1604', '6', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1605', '6', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1606', '6', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1607', '6', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1608', '6', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1609', '6', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1610', '6', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1611', '6', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1612', '6', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1613', '6', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1614', '6', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1615', '6', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1616', '6', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1617', '6', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1618', '6', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1619', '6', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1620', '6', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1621', '6', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1622', '6', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1623', '6', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1624', '6', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1625', '6', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1626', '6', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1627', '6', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1628', '6', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1629', '6', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1630', '6', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1631', '6', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1632', '6', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1633', '6', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1634', '6', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1635', '6', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1636', '6', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1637', '6', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1638', '6', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1639', '6', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1640', '6', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1641', '6', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1642', '6', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1643', '6', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1644', '6', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1645', '6', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1646', '6', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1647', '6', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1648', '6', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1649', '6', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1650', '6', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1651', '6', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1652', '6', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1653', '6', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1654', '6', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1655', '6', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1656', '6', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1657', '6', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1658', '6', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1659', '6', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1660', '6', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1661', '6', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1662', '6', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1663', '6', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1664', '6', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1665', '6', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1666', '6', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1667', '6', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1668', '6', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1669', '6', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1670', '6', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1671', '6', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1672', '6', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1673', '6', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1674', '6', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1675', '6', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1676', '6', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1677', '6', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1678', '6', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1679', '6', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1680', '6', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1681', '6', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1682', '6', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1683', '6', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1684', '6', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1685', '6', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1686', '6', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1687', '6', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1688', '6', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1689', '6', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1690', '6', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1691', '6', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1692', '6', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1693', '6', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1694', '6', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1695', '6', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1696', '6', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1697', '6', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1698', '6', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1699', '6', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1700', '6', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1701', '6', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1702', '6', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1703', '6', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1704', '6', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1705', '6', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1706', '6', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1707', '6', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1708', '6', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1709', '6', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1710', '6', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1711', '6', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1712', '6', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1713', '6', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1714', '6', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1715', '6', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1716', '6', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1717', '6', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1718', '6', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1719', '6', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1720', '6', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1721', '6', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1722', '6', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1723', '6', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1724', '6', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1725', '6', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1726', '6', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1727', '6', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1728', '6', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1729', '6', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1730', '6', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1731', '6', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1732', '6', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1733', '6', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1734', '6', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1735', '6', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1736', '6', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1737', '6', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1738', '6', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1739', '6', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1740', '6', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1741', '6', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1742', '6', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1743', '6', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1744', '6', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1745', '6', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1746', '6', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1747', '6', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1748', '6', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1749', '6', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1750', '6', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1751', '6', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1752', '6', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1753', '6', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1754', '6', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1755', '6', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1756', '6', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1757', '6', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1758', '6', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1759', '6', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1760', '6', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1761', '6', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1762', '6', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1763', '6', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1764', '6', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1765', '6', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1766', '6', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1767', '6', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1768', '6', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1769', '6', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1770', '6', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1771', '6', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1772', '6', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1773', '6', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1774', '6', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1775', '6', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1776', '6', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1777', '6', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1778', '6', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1779', '6', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1780', '2', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1781', '2', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1782', '2', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1783', '2', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1784', '2', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1785', '2', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1786', '2', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1787', '2', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1788', '2', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1789', '2', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1790', '2', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1791', '2', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1792', '2', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1793', '2', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1794', '2', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1795', '2', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1796', '2', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1797', '2', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1798', '2', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1799', '2', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1800', '2', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1801', '2', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1802', '2', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1803', '2', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1804', '2', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1805', '2', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1806', '2', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1807', '2', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1808', '2', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1809', '2', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1810', '2', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1811', '2', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1812', '2', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1813', '2', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1814', '2', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1815', '2', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1816', '2', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1817', '2', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1818', '2', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1819', '2', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1820', '2', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1821', '2', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1822', '2', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1823', '2', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1824', '2', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1825', '2', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1826', '2', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1827', '2', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1828', '2', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1829', '2', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1830', '2', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1831', '2', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1832', '2', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1833', '2', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1834', '2', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1835', '2', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1836', '2', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1837', '2', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1838', '2', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1839', '2', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1840', '2', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1841', '2', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1842', '2', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1843', '2', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1844', '2', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1845', '2', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1846', '2', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1847', '2', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1848', '2', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1849', '2', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1850', '2', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1851', '2', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1852', '2', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1853', '2', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1854', '2', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1855', '2', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1856', '2', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1857', '2', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1858', '2', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1859', '2', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1860', '2', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1861', '2', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1862', '2', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1863', '2', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1864', '2', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1865', '2', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1866', '2', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1867', '2', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1868', '2', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1869', '2', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1870', '2', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1871', '2', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1872', '2', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1873', '2', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1874', '2', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1875', '2', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1876', '2', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1877', '2', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1878', '2', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1879', '2', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1880', '2', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1881', '2', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1882', '2', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1883', '2', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1884', '2', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1885', '2', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1886', '2', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1887', '2', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1888', '2', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1889', '2', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1890', '2', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1891', '2', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1892', '2', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1893', '2', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1894', '2', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1895', '2', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1896', '2', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1897', '2', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1898', '2', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1899', '2', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1900', '2', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1901', '2', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1902', '2', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1903', '2', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1904', '2', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1905', '2', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1906', '2', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1907', '2', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1908', '2', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1909', '2', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1910', '2', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1911', '2', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1912', '2', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1913', '2', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1914', '2', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1915', '2', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1916', '2', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1917', '2', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1918', '2', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1919', '2', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1920', '2', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1921', '2', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1922', '2', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1923', '2', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1924', '2', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1925', '2', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1926', '2', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1927', '2', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1928', '2', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1929', '2', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1930', '2', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1931', '2', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1932', '2', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1933', '2', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1934', '2', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1935', '2', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1936', '2', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1937', '2', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1938', '2', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1939', '2', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1940', '2', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1941', '2', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1942', '2', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1943', '2', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1944', '2', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1945', '2', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1946', '2', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1947', '2', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1948', '2', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1949', '2', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1950', '2', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1951', '2', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1952', '2', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1953', '2', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1954', '2', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1955', '2', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1956', '2', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1957', '2', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1958', '2', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1959', '2', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1960', '2', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1961', '2', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1962', '2', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1963', '2', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1964', '2', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1965', '2', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1966', '2', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1967', '2', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1968', '2', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1969', '2', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1970', '2', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1971', '2', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1972', '2', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1973', '2', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1974', '2', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1975', '2', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1976', '2', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1977', '2', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1978', '2', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1979', '2', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1980', '2', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1981', '2', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1982', '2', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1983', '2', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1984', '2', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1985', '2', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1986', '2', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1987', '2', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1988', '2', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1989', '2', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1990', '2', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1991', '2', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1992', '2', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1993', '2', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1994', '2', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1995', '2', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1996', '2', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1997', '2', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1998', '2', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('1999', '2', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2000', '2', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2001', '2', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2002', '2', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2003', '2', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2004', '2', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2005', '2', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2006', '2', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2007', '2', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2008', '2', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2009', '2', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2010', '2', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2011', '2', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2012', '2', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2013', '2', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2014', '2', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2015', '2', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2016', '2', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2017', '2', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2018', '2', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2019', '2', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2020', '2', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2021', '2', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2022', '2', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2023', '2', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2024', '2', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2025', '2', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2026', '2', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2027', '2', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2028', '2', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2029', '2', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2030', '2', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2031', '2', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2032', '2', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2033', '2', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2034', '2', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2035', '2', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2036', '2', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2037', '2', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2038', '2', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2039', '2', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2040', '2', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2041', '2', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2042', '2', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2043', '2', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2044', '2', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2045', '2', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2046', '2', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2047', '2', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2048', '2', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2049', '2', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2050', '2', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2051', '2', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2052', '2', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2053', '2', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2054', '2', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2055', '2', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2056', '2', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2057', '2', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2058', '2', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2059', '2', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2060', '2', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2061', '2', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2062', '2', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2063', '2', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2064', '2', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2065', '2', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2066', '2', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2067', '2', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2068', '2', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2069', '2', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2070', '2', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2071', '2', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2072', '2', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2073', '2', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2074', '2', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2075', '2', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2076', '2', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2077', '2', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2078', '2', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2079', '2', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2080', '2', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2081', '2', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2082', '2', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2083', '2', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2084', '2', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2085', '2', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2086', '2', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2087', '2', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2088', '2', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2089', '2', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2090', '2', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2091', '2', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2092', '2', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2093', '2', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2094', '2', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2095', '2', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2096', '2', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2097', '2', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2098', '2', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2099', '2', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2100', '2', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2101', '2', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2102', '2', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2103', '2', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2104', '2', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2105', '2', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2106', '2', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2107', '2', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2108', '2', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2109', '2', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2110', '2', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2111', '2', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2112', '2', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2113', '2', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2114', '2', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2115', '2', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2116', '2', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2117', '2', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2118', '2', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2119', '2', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2120', '2', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2121', '2', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2122', '2', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2123', '2', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2124', '2', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2125', '2', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2126', '2', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2127', '2', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2128', '2', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2129', '2', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2130', '2', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2131', '2', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2132', '2', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2133', '2', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2134', '2', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2135', '2', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2136', '2', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2137', '2', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2138', '2', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2139', '2', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2140', '2', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2141', '2', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2142', '2', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2143', '2', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2144', '2', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2145', '1', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2146', '1', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2147', '1', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2148', '1', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2149', '1', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2150', '1', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2151', '1', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2152', '1', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2153', '1', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2154', '1', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2155', '1', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2156', '1', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2157', '1', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2158', '1', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2159', '1', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2160', '1', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2161', '1', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2162', '1', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2163', '1', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2164', '1', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2165', '1', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2166', '1', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2167', '1', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2168', '1', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2169', '1', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2170', '1', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2171', '1', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2172', '1', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2173', '1', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2174', '1', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2175', '1', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2176', '1', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2177', '1', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2178', '1', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2179', '1', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2180', '1', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2181', '1', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2182', '1', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2183', '1', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2184', '1', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2185', '1', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2186', '1', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2187', '1', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2188', '1', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2189', '1', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2190', '1', '2719', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2191', '1', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2192', '1', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2193', '1', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2194', '1', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2195', '1', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2196', '1', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2197', '1', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2198', '1', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2199', '1', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2200', '1', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2201', '1', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2202', '1', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2203', '1', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2204', '1', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2205', '1', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2206', '1', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2207', '1', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2208', '1', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2209', '1', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2210', '1', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2211', '1', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2212', '1', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2213', '1', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2214', '1', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2215', '1', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2216', '1', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2217', '1', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2218', '1', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2219', '1', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2220', '1', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2221', '1', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2222', '1', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2223', '1', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2224', '1', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2225', '1', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2226', '1', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2227', '1', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2228', '1', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2229', '1', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2230', '1', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2231', '1', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2232', '1', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2233', '1', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2234', '1', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2235', '1', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2236', '1', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2237', '1', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2238', '1', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2239', '1', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2240', '1', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2241', '1', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2242', '1', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2243', '1', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2244', '1', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2245', '1', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2246', '1', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2247', '1', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2248', '1', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2249', '1', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2250', '1', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2251', '1', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2252', '1', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2253', '1', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2254', '1', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2255', '1', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2256', '1', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2257', '1', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2258', '1', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2259', '1', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2260', '1', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2261', '1', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2262', '1', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2263', '1', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2264', '1', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2265', '1', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2266', '1', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2267', '1', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2268', '1', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2269', '1', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2270', '1', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2271', '1', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2272', '1', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2273', '1', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2274', '1', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2275', '1', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2276', '1', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2277', '1', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2278', '1', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2279', '1', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2280', '1', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2281', '1', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2282', '1', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2283', '1', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2284', '1', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2285', '1', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2286', '1', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2287', '1', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2288', '1', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2289', '1', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2290', '1', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2291', '1', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2292', '1', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2293', '1', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2294', '1', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2295', '1', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2296', '1', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2297', '1', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2298', '1', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2299', '1', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2300', '1', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2301', '1', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2302', '1', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2303', '1', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2304', '1', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2305', '1', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2306', '1', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2307', '1', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2308', '1', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2309', '1', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2310', '1', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2311', '1', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2312', '1', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2313', '1', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2314', '1', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2315', '1', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2316', '1', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2317', '1', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2318', '1', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2319', '1', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2320', '1', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2321', '1', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2322', '1', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2323', '1', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2324', '1', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2325', '1', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2326', '1', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2327', '1', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2328', '1', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2329', '1', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2330', '1', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2331', '1', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2332', '1', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2333', '1', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2334', '1', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2335', '1', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2336', '1', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2337', '1', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2338', '1', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2339', '1', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2340', '1', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2341', '1', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2342', '1', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2343', '1', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2344', '1', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2345', '1', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2346', '1', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2347', '1', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2348', '1', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2349', '1', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2350', '1', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2351', '1', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2352', '1', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2353', '1', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2354', '1', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2355', '1', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2356', '1', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2357', '1', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2358', '1', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2359', '1', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2360', '1', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2361', '1', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2362', '1', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2363', '1', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2364', '1', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2365', '1', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2366', '1', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2367', '1', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2368', '1', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2369', '1', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2370', '1', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2371', '1', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2372', '1', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2373', '1', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2374', '1', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2375', '1', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2376', '1', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2377', '1', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2378', '1', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2379', '1', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2380', '1', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2381', '1', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2382', '1', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2383', '1', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2384', '1', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2385', '1', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2386', '1', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2387', '1', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2388', '1', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2389', '1', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2390', '1', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2391', '1', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2392', '1', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2393', '1', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2394', '1', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2395', '1', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2396', '1', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2397', '1', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2398', '1', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2399', '1', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2400', '1', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2401', '1', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2402', '1', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2403', '1', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2404', '1', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2405', '1', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2406', '1', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2407', '1', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2408', '1', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2409', '1', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2410', '1', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2411', '1', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2412', '1', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2413', '1', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2414', '1', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2415', '1', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2416', '1', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2417', '1', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2418', '1', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2419', '1', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2420', '1', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2421', '1', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2422', '1', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2423', '1', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2424', '1', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2425', '1', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2426', '1', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2427', '1', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2428', '1', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2429', '1', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2430', '1', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2431', '1', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2432', '1', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2433', '1', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2434', '1', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2435', '1', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2436', '1', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2437', '1', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2438', '1', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2439', '1', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2440', '1', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2441', '1', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2442', '1', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2443', '1', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2444', '1', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2445', '1', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2446', '1', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2447', '1', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2448', '1', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2449', '1', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2450', '1', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2451', '1', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2452', '1', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2453', '1', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2454', '1', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2455', '1', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2456', '1', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2457', '1', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2458', '1', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2459', '1', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2460', '1', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2461', '1', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2462', '1', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2463', '1', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2464', '1', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2465', '1', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2466', '1', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2467', '1', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2468', '1', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2469', '1', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2470', '1', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2471', '1', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2472', '1', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2473', '1', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2474', '1', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2475', '1', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2476', '1', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2477', '1', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2478', '1', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2479', '1', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2480', '1', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2481', '1', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2482', '1', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2483', '1', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2484', '1', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2485', '1', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2486', '1', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2487', '1', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2488', '1', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2489', '1', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2490', '1', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2491', '1', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2492', '1', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2493', '1', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2494', '1', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2495', '1', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2496', '1', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2497', '1', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2498', '1', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2499', '1', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2500', '1', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2501', '1', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2502', '1', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2503', '1', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2504', '1', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2505', '1', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2506', '1', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2507', '1', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2508', '1', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2509', '1', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2510', '1', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2511', '9', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2512', '9', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2513', '9', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2514', '9', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2515', '9', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2516', '9', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2517', '9', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2518', '9', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2519', '9', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2520', '9', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2521', '9', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2522', '9', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2523', '9', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2524', '9', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2525', '9', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2526', '9', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2527', '9', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2528', '9', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2529', '9', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2530', '9', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2531', '9', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2532', '9', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2533', '9', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2534', '9', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2535', '9', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2536', '9', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2537', '9', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2538', '9', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2539', '9', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2540', '9', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2541', '9', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2542', '9', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2543', '9', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2544', '9', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2545', '9', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2546', '9', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2547', '9', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2548', '9', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2549', '9', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2550', '9', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2551', '9', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2552', '9', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2553', '9', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2554', '9', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2555', '9', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2556', '9', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2557', '9', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2558', '9', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2559', '9', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2560', '9', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2561', '9', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2562', '9', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2563', '9', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2564', '9', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2565', '9', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2566', '9', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2567', '9', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2568', '9', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2569', '9', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2570', '9', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2571', '9', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2572', '9', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2573', '9', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2574', '9', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2575', '9', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2576', '9', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2577', '9', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2578', '9', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2579', '9', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2580', '9', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2581', '9', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2582', '9', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2583', '9', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2584', '9', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2585', '9', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2586', '9', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2587', '9', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2588', '9', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2589', '9', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2590', '9', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2591', '9', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2592', '9', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2593', '9', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2594', '9', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2595', '9', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2596', '9', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2597', '9', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2598', '9', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2599', '9', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2600', '9', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2601', '9', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2602', '9', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2603', '9', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2604', '9', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2605', '9', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2606', '9', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2607', '9', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2608', '9', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2609', '9', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2610', '9', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2611', '9', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2612', '9', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2613', '9', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2614', '9', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2615', '9', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2616', '9', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2617', '9', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2618', '9', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2619', '9', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2620', '9', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2621', '9', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2622', '9', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2623', '9', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2624', '9', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2625', '9', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2626', '9', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2627', '9', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2628', '9', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2629', '9', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2630', '9', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2631', '9', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2632', '9', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2633', '9', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2634', '9', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2635', '9', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2636', '9', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2637', '9', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2638', '9', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2639', '9', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2640', '9', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2641', '9', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2642', '9', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2643', '9', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2644', '9', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2645', '9', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2646', '9', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2647', '9', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2648', '9', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2649', '9', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2650', '9', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2651', '9', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2652', '9', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2653', '9', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2654', '9', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2655', '9', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2656', '9', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2657', '9', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2658', '9', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2659', '9', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2660', '9', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2661', '9', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2662', '9', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2663', '9', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2664', '9', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2665', '9', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2666', '9', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2667', '9', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2668', '9', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2669', '9', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2670', '9', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2671', '9', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2672', '9', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2673', '9', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2674', '9', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2675', '9', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2676', '9', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2677', '9', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2678', '9', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2679', '9', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2680', '9', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2681', '9', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2682', '9', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2683', '9', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2684', '9', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2685', '9', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2686', '9', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2687', '9', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2688', '9', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2689', '9', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2690', '9', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2691', '9', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2692', '9', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2693', '9', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2694', '9', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2695', '9', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2696', '9', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2697', '9', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2698', '9', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2699', '9', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2700', '9', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2701', '9', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2702', '9', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2703', '9', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2704', '9', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2705', '9', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2706', '9', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2707', '9', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2708', '9', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2709', '9', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2710', '9', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2711', '9', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2712', '9', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2713', '9', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2714', '9', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2715', '9', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2716', '9', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2717', '9', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2718', '9', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2719', '9', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2720', '9', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2721', '9', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2722', '9', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2723', '9', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2724', '9', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2725', '9', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2726', '9', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2727', '9', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2728', '9', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2729', '9', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2730', '9', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2731', '9', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2732', '9', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2733', '9', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2734', '9', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2735', '9', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2736', '9', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2737', '9', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2738', '9', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2739', '9', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2740', '9', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2741', '9', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2742', '9', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2743', '9', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2744', '9', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2745', '9', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2746', '9', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2747', '9', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2748', '9', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2749', '9', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2750', '9', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2751', '9', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2752', '9', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2753', '9', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2754', '9', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2755', '9', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2756', '9', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2757', '9', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2758', '9', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2759', '9', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2760', '9', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2761', '9', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2762', '9', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2763', '9', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2764', '9', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2765', '9', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2766', '9', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2767', '9', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2768', '9', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2769', '9', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2770', '9', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2771', '9', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2772', '9', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2773', '9', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2774', '9', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2775', '9', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2776', '9', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2777', '9', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2778', '9', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2779', '9', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2780', '9', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2781', '9', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2782', '9', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2783', '9', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2784', '9', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2785', '9', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2786', '9', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2787', '9', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2788', '9', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2789', '9', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2790', '9', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2791', '9', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2792', '9', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2793', '9', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2794', '9', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2795', '9', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2796', '9', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2797', '9', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2798', '9', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2799', '9', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2800', '9', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2801', '9', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2802', '9', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2803', '9', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2804', '9', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2805', '9', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2806', '9', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2807', '9', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2808', '9', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2809', '9', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2810', '9', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2811', '9', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2812', '9', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2813', '9', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2814', '9', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2815', '9', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2816', '9', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2817', '9', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2818', '9', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2819', '9', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2820', '9', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2821', '9', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2822', '9', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2823', '9', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2824', '9', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2825', '9', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2826', '9', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2827', '9', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2828', '9', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2829', '9', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2830', '9', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2831', '9', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2832', '9', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2833', '9', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2834', '9', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2835', '9', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2836', '9', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2837', '9', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2838', '9', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2839', '9', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2840', '9', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2841', '9', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2842', '9', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2843', '9', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2844', '9', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2845', '9', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2846', '9', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2847', '9', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2848', '9', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2849', '9', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2850', '9', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2851', '9', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2852', '9', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2853', '9', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2854', '9', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2855', '9', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2856', '9', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2857', '9', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2858', '9', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2859', '9', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2860', '9', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2861', '9', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2862', '9', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2863', '9', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2864', '9', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2865', '9', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2866', '9', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2867', '9', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2868', '9', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2869', '9', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2870', '9', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2871', '9', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2872', '9', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2873', '9', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2874', '9', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2875', '9', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2876', '8', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2877', '8', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2878', '8', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2879', '8', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2880', '8', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2881', '8', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2882', '8', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2883', '8', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2884', '8', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2885', '8', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2886', '8', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2887', '8', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2888', '8', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2889', '8', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2890', '8', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2891', '8', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2892', '8', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2893', '8', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2894', '8', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2895', '8', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2896', '8', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2897', '8', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2898', '8', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2899', '8', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2900', '8', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2901', '8', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2902', '8', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2903', '8', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2904', '8', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2905', '8', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2906', '8', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2907', '8', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2908', '8', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2909', '8', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2910', '8', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2911', '8', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2912', '8', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2913', '8', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2914', '8', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2915', '8', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2916', '8', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2917', '8', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2918', '8', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2919', '8', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2920', '8', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2921', '8', '2719', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2922', '8', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2923', '8', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2924', '8', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2925', '8', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2926', '8', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2927', '8', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2928', '8', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2929', '8', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2930', '8', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2931', '8', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2932', '8', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2933', '8', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2934', '8', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2935', '8', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2936', '8', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2937', '8', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2938', '8', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2939', '8', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2940', '8', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2941', '8', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2942', '8', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2943', '8', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2944', '8', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2945', '8', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2946', '8', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2947', '8', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2948', '8', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2949', '8', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2950', '8', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2951', '8', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2952', '8', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2953', '8', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2954', '8', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2955', '8', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2956', '8', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2957', '8', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2958', '8', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2959', '8', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2960', '8', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2961', '8', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2962', '8', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2963', '8', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2964', '8', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2965', '8', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2966', '8', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2967', '8', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2968', '8', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2969', '8', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2970', '8', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2971', '8', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2972', '8', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2973', '8', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2974', '8', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2975', '8', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2976', '8', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2977', '8', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2978', '8', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2979', '8', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2980', '8', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2981', '8', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2982', '8', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2983', '8', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2984', '8', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2985', '8', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2986', '8', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2987', '8', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2988', '8', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2989', '8', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2990', '8', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2991', '8', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2992', '8', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2993', '8', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2994', '8', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2995', '8', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2996', '8', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2997', '8', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2998', '8', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('2999', '8', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3000', '8', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3001', '8', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3002', '8', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3003', '8', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3004', '8', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3005', '8', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3006', '8', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3007', '8', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3008', '8', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3009', '8', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3010', '8', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3011', '8', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3012', '8', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3013', '8', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3014', '8', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3015', '8', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3016', '8', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3017', '8', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3018', '8', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3019', '8', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3020', '8', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3021', '8', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3022', '8', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3023', '8', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3024', '8', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3025', '8', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3026', '8', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3027', '8', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3028', '8', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3029', '8', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3030', '8', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3031', '8', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3032', '8', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3033', '8', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3034', '8', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3035', '8', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3036', '8', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3037', '8', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3038', '8', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3039', '8', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3040', '8', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3041', '8', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3042', '8', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3043', '8', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3044', '8', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3045', '8', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3046', '8', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3047', '8', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3048', '8', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3049', '8', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3050', '8', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3051', '8', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3052', '8', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3053', '8', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3054', '8', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3055', '8', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3056', '8', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3057', '8', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3058', '8', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3059', '8', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3060', '8', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3061', '8', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3062', '8', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3063', '8', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3064', '8', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3065', '8', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3066', '8', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3067', '8', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3068', '8', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3069', '8', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3070', '8', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3071', '8', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3072', '8', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3073', '8', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3074', '8', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3075', '8', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3076', '8', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3077', '8', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3078', '8', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3079', '8', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3080', '8', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3081', '8', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3082', '8', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3083', '8', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3084', '8', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3085', '8', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3086', '8', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3087', '8', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3088', '8', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3089', '8', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3090', '8', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3091', '8', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3092', '8', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3093', '8', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3094', '8', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3095', '8', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3096', '8', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3097', '8', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3098', '8', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3099', '8', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3100', '8', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3101', '8', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3102', '8', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3103', '8', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3104', '8', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3105', '8', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3106', '8', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3107', '8', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3108', '8', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3109', '8', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3110', '8', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3111', '8', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3112', '8', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3113', '8', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3114', '8', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3115', '8', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3116', '8', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3117', '8', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3118', '8', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3119', '8', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3120', '8', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3121', '8', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3122', '8', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3123', '8', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3124', '8', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3125', '8', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3126', '8', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3127', '8', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3128', '8', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3129', '8', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3130', '8', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3131', '8', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3132', '8', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3133', '8', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3134', '8', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3135', '8', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3136', '8', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3137', '8', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3138', '8', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3139', '8', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3140', '8', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3141', '8', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3142', '8', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3143', '8', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3144', '8', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3145', '8', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3146', '8', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3147', '8', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3148', '8', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3149', '8', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3150', '8', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3151', '8', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3152', '8', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3153', '8', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3154', '8', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3155', '8', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3156', '8', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3157', '8', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3158', '8', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3159', '8', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3160', '8', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3161', '8', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3162', '8', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3163', '8', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3164', '8', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3165', '8', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3166', '8', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3167', '8', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3168', '8', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3169', '8', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3170', '8', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3171', '8', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3172', '8', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3173', '8', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3174', '8', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3175', '8', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3176', '8', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3177', '8', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3178', '8', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3179', '8', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3180', '8', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3181', '8', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3182', '8', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3183', '8', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3184', '8', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3185', '8', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3186', '8', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3187', '8', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3188', '8', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3189', '8', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3190', '8', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3191', '8', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3192', '8', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3193', '8', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3194', '8', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3195', '8', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3196', '8', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3197', '8', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3198', '8', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3199', '8', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3200', '8', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3201', '8', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3202', '8', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3203', '8', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3204', '8', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3205', '8', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3206', '8', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3207', '8', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3208', '8', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3209', '8', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3210', '8', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3211', '8', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3212', '8', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3213', '8', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3214', '8', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3215', '8', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3216', '8', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3217', '8', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3218', '8', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3219', '8', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3220', '8', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3221', '8', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3222', '8', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3223', '8', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3224', '8', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3225', '8', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3226', '8', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3227', '8', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3228', '8', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3229', '8', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3230', '8', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3231', '8', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3232', '8', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3233', '8', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3234', '8', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3235', '8', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3236', '8', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3237', '8', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3238', '8', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3239', '8', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3240', '8', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3241', '8', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3242', '10', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3243', '10', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3244', '10', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3245', '10', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3246', '10', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3247', '10', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3248', '10', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3249', '10', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3250', '10', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3251', '10', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3252', '10', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3253', '10', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3254', '10', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3255', '10', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3256', '10', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3257', '10', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3258', '10', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3259', '10', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3260', '10', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3261', '10', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3262', '10', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3263', '10', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3264', '10', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3265', '10', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3266', '10', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3267', '10', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3268', '10', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3269', '10', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3270', '10', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3271', '10', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3272', '10', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3273', '10', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3274', '10', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3275', '10', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3276', '10', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3277', '10', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3278', '10', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3279', '10', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3280', '10', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3281', '10', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3282', '10', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3283', '10', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3284', '10', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3285', '10', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3286', '10', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3287', '10', '2719', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3288', '10', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3289', '10', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3290', '10', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3291', '10', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3292', '10', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3293', '10', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3294', '10', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3295', '10', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3296', '10', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3297', '10', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3298', '10', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3299', '10', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3300', '10', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3301', '10', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3302', '10', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3303', '10', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3304', '10', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3305', '10', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3306', '10', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3307', '10', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3308', '10', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3309', '10', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3310', '10', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3311', '10', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3312', '10', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3313', '10', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3314', '10', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3315', '10', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3316', '10', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3317', '10', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3318', '10', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3319', '10', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3320', '10', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3321', '10', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3322', '10', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3323', '10', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3324', '10', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3325', '10', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3326', '10', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3327', '10', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3328', '10', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3329', '10', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3330', '10', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3331', '10', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3332', '10', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3333', '10', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3334', '10', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3335', '10', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3336', '10', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3337', '10', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3338', '10', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3339', '10', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3340', '10', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3341', '10', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3342', '10', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3343', '10', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3344', '10', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3345', '10', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3346', '10', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3347', '10', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3348', '10', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3349', '10', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3350', '10', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3351', '10', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3352', '10', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3353', '10', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3354', '10', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3355', '10', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3356', '10', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3357', '10', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3358', '10', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3359', '10', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3360', '10', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3361', '10', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3362', '10', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3363', '10', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3364', '10', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3365', '10', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3366', '10', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3367', '10', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3368', '10', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3369', '10', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3370', '10', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3371', '10', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3372', '10', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3373', '10', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3374', '10', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3375', '10', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3376', '10', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3377', '10', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3378', '10', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3379', '10', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3380', '10', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3381', '10', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3382', '10', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3383', '10', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3384', '10', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3385', '10', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3386', '10', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3387', '10', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3388', '10', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3389', '10', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3390', '10', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3391', '10', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3392', '10', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3393', '10', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3394', '10', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3395', '10', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3396', '10', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3397', '10', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3398', '10', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3399', '10', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3400', '10', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3401', '10', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3402', '10', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3403', '10', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3404', '10', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3405', '10', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3406', '10', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3407', '10', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3408', '10', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3409', '10', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3410', '10', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3411', '10', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3412', '10', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3413', '10', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3414', '10', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3415', '10', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3416', '10', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3417', '10', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3418', '10', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3419', '10', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3420', '10', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3421', '10', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3422', '10', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3423', '10', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3424', '10', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3425', '10', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3426', '10', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3427', '10', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3428', '10', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3429', '10', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3430', '10', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3431', '10', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3432', '10', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3433', '10', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3434', '10', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3435', '10', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3436', '10', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3437', '10', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3438', '10', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3439', '10', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3440', '10', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3441', '10', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3442', '10', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3443', '10', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3444', '10', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3445', '10', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3446', '10', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3447', '10', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3448', '10', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3449', '10', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3450', '10', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3451', '10', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3452', '10', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3453', '10', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3454', '10', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3455', '10', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3456', '10', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3457', '10', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3458', '10', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3459', '10', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3460', '10', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3461', '10', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3462', '10', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3463', '10', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3464', '10', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3465', '10', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3466', '10', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3467', '10', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3468', '10', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3469', '10', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3470', '10', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3471', '10', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3472', '10', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3473', '10', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3474', '10', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3475', '10', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3476', '10', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3477', '10', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3478', '10', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3479', '10', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3480', '10', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3481', '10', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3482', '10', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3483', '10', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3484', '10', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3485', '10', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3486', '10', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3487', '10', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3488', '10', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3489', '10', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3490', '10', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3491', '10', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3492', '10', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3493', '10', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3494', '10', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3495', '10', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3496', '10', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3497', '10', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3498', '10', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3499', '10', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3500', '10', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3501', '10', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3502', '10', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3503', '10', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3504', '10', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3505', '10', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3506', '10', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3507', '10', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3508', '10', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3509', '10', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3510', '10', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3511', '10', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3512', '10', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3513', '10', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3514', '10', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3515', '10', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3516', '10', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3517', '10', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3518', '10', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3519', '10', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3520', '10', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3521', '10', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3522', '10', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3523', '10', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3524', '10', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3525', '10', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3526', '10', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3527', '10', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3528', '10', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3529', '10', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3530', '10', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3531', '10', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3532', '10', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3533', '10', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3534', '10', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3535', '10', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3536', '10', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3537', '10', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3538', '10', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3539', '10', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3540', '10', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3541', '10', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3542', '10', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3543', '10', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3544', '10', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3545', '10', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3546', '10', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3547', '10', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3548', '10', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3549', '10', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3550', '10', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3551', '10', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3552', '10', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3553', '10', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3554', '10', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3555', '10', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3556', '10', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3557', '10', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3558', '10', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3559', '10', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3560', '10', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3561', '10', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3562', '10', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3563', '10', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3564', '10', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3565', '10', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3566', '10', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3567', '10', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3568', '10', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3569', '10', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3570', '10', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3571', '10', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3572', '10', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3573', '10', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3574', '10', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3575', '10', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3576', '10', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3577', '10', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3578', '10', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3579', '10', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3580', '10', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3581', '10', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3582', '10', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3583', '10', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3584', '10', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3585', '10', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3586', '10', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3587', '10', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3588', '10', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3589', '10', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3590', '10', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3591', '10', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3592', '10', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3593', '10', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3594', '10', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3595', '10', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3596', '10', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3597', '10', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3598', '10', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3599', '10', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3600', '10', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3601', '10', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3602', '10', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3603', '10', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3604', '10', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3605', '10', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3606', '10', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3607', '10', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3608', '39', '2317', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3609', '39', '2318', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3610', '39', '2319', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3611', '39', '2320', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3612', '39', '2321', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3613', '39', '2322', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3614', '39', '2323', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3615', '39', '2324', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3616', '39', '2325', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3617', '39', '2340', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3618', '39', '2354', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3619', '39', '2357', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3620', '39', '2358', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3621', '39', '2359', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3622', '39', '2360', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3623', '39', '2361', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3624', '39', '2362', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3625', '39', '2364', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3626', '39', '2368', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3627', '39', '2369', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3628', '39', '2370', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3629', '39', '2371', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3630', '39', '2372', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3631', '39', '2373', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3632', '39', '2374', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3633', '39', '2375', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3634', '39', '2385', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3635', '39', '2388', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3636', '39', '2391', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3637', '39', '2392', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3638', '39', '2394', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3639', '39', '2396', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3640', '39', '2397', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3641', '39', '2399', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3642', '39', '2400', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3643', '39', '2403', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3644', '39', '2404', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3645', '39', '2405', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3646', '39', '2407', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3647', '39', '2408', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3648', '39', '2422', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3649', '39', '2423', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3650', '39', '2424', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3651', '39', '2700', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3652', '39', '2702', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3653', '39', '2721', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3654', '39', '2723', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3655', '39', '2728', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3656', '39', '2729', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3657', '39', '2730', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3658', '39', '2731', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3659', '39', '2732', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3660', '39', '2746', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3661', '39', '2747', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3662', '39', '2751', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3663', '39', '2753', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3664', '39', '2757', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3665', '39', '2760', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3666', '39', '2761', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3667', '39', '2764', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3668', '39', '2765', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3669', '39', '2766', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3670', '39', '2768', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3671', '39', '2769', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3672', '39', '2771', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3673', '39', '2775', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3674', '39', '2776', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3675', '39', '2777', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3676', '39', '2778', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3677', '39', '2780', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3678', '39', '2781', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3679', '39', '2782', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3680', '39', '2783', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3681', '39', '2784', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3682', '39', '2785', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3683', '39', '2786', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3684', '39', '2787', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3685', '39', '2788', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3686', '39', '2789', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3687', '39', '2790', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3688', '39', '2791', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3689', '39', '2792', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3690', '39', '2793', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3691', '39', '2794', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3692', '39', '2795', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3693', '39', '2796', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3694', '39', '2799', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3695', '39', '2813', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3696', '39', '2849', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3697', '39', '2850', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3698', '39', '2853', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3699', '39', '2854', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3700', '39', '2855', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3701', '39', '2860', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3702', '39', '2313', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3703', '39', '2683', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3704', '39', '2686', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3705', '39', '2797', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3706', '39', '2798', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3707', '39', '2803', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3708', '39', '2257', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3709', '39', '2258', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3710', '39', '2667', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3711', '39', '2668', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3712', '39', '2669', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3713', '39', '2671', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3714', '39', '2672', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3715', '39', '2673', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3716', '39', '2674', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3717', '39', '2675', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3718', '39', '2676', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3719', '39', '2680', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3720', '39', '2821', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3721', '39', '2260', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3722', '39', '2262', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3723', '39', '2263', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3724', '39', '2660', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3725', '39', '2661', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3726', '39', '2664', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3727', '39', '2665', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3728', '39', '2130', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3729', '39', '2131', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3730', '39', '2132', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3731', '39', '2133', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3732', '39', '2134', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3733', '39', '2135', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3734', '39', '2136', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3735', '39', '2209', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3736', '39', '2211', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3737', '39', '2214', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3738', '39', '2215', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3739', '39', '2221', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3740', '39', '2222', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3741', '39', '2223', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3742', '39', '2228', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3743', '39', '2230', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3744', '39', '2639', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3745', '39', '2655', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3746', '39', '2657', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3747', '39', '2658', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3748', '39', '2685', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3749', '39', '2800', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3750', '39', '2801', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3751', '39', '2802', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3752', '39', '2805', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3753', '39', '2806', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3754', '39', '2834', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3755', '39', '2851', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3756', '39', '2299', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3757', '39', '2302', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3758', '39', '2303', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3759', '39', '2304', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3760', '39', '2413', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3761', '39', '2628', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3762', '39', '2629', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3763', '39', '2630', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3764', '39', '2631', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3765', '39', '2632', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3766', '39', '2633', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3767', '39', '2634', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3768', '39', '2290', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3769', '39', '2291', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3770', '39', '2292', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3771', '39', '2293', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3772', '39', '2294', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3773', '39', '2295', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3774', '39', '2296', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3775', '39', '2297', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3776', '39', '2514', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3777', '39', '2522', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3778', '39', '2524', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3779', '39', '2526', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3780', '39', '2528', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3781', '39', '2530', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3782', '39', '2532', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3783', '39', '2533', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3784', '39', '2535', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3785', '39', '2537', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3786', '39', '2538', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3787', '39', '2539', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3788', '39', '2541', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3789', '39', '2543', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3790', '39', '2546', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3791', '39', '2548', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3792', '39', '2549', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3793', '39', '2550', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3794', '39', '2551', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3795', '39', '2552', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3796', '39', '2553', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3797', '39', '2554', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3798', '39', '2555', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3799', '39', '2556', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3800', '39', '2557', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3801', '39', '2558', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3802', '39', '2559', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3803', '39', '2560', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3804', '39', '2562', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3805', '39', '2563', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3806', '39', '2564', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3807', '39', '2566', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3808', '39', '2567', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3809', '39', '2568', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3810', '39', '2569', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3811', '39', '2570', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3812', '39', '2571', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3813', '39', '2572', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3814', '39', '2576', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3815', '39', '2577', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3816', '39', '2578', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3817', '39', '2579', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3818', '39', '2580', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3819', '39', '2581', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3820', '39', '2582', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3821', '39', '2583', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3822', '39', '2584', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3823', '39', '2586', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3824', '39', '2590', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3825', '39', '2591', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3826', '39', '2595', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3827', '39', '2597', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3828', '39', '2598', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3829', '39', '2600', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3830', '39', '2601', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3831', '39', '2602', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3832', '39', '2603', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3833', '39', '2604', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3834', '39', '2605', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3835', '39', '2607', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3836', '39', '2610', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3837', '39', '2612', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3838', '39', '2614', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3839', '39', '2615', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3840', '39', '2616', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3841', '39', '2618', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3842', '39', '2620', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3843', '39', '2621', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3844', '39', '2623', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3845', '39', '2624', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3846', '39', '2625', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3847', '39', '2626', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3848', '39', '2774', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3849', '39', '2836', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3850', '39', '2837', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3851', '39', '2838', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3852', '39', '2839', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3853', '39', '2840', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3854', '39', '2841', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3855', '39', '2843', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3856', '39', '2844', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3857', '39', '2845', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3858', '39', '2846', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3859', '39', '2847', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3860', '39', '2848', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3861', '39', '2859', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3862', '39', '2265', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3863', '39', '2266', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3864', '39', '2267', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3865', '39', '2268', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3866', '39', '2269', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3867', '39', '2270', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3868', '39', '2271', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3869', '39', '2272', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3870', '39', '2279', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3871', '39', '2284', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3872', '39', '2287', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3873', '39', '2289', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3874', '39', '2499', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3875', '39', '2511', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3876', '39', '2815', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3877', '39', '2816', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3878', '39', '2817', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3879', '39', '2818', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3880', '39', '2819', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3881', '39', '2820', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3882', '39', '2217', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3883', '39', '2218', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3884', '39', '2219', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3885', '39', '2495', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3886', '39', '2243', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3887', '39', '2244', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3888', '39', '2245', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3889', '39', '2246', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3890', '39', '2247', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3891', '39', '2248', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3892', '39', '2249', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3893', '39', '2250', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3894', '39', '2251', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3895', '39', '2252', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3896', '39', '2253', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3897', '39', '2485', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3898', '39', '2490', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3899', '39', '2823', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3900', '39', '2166', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3901', '39', '2170', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3902', '39', '2185', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3903', '39', '2186', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3904', '39', '2187', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3905', '39', '2188', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3906', '39', '2229', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3907', '39', '2437', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3908', '39', '2438', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3909', '39', '2439', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3910', '39', '2440', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3911', '39', '2441', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3912', '39', '2444', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3913', '39', '2468', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3914', '39', '2471', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3915', '39', '2472', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3916', '39', '2824', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3917', '39', '2825', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3918', '39', '2826', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3919', '39', '2827', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3920', '39', '2828', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3921', '39', '2829', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3922', '39', '2830', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3923', '39', '2831', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3924', '39', '2832', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3925', '39', '2833', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3926', '39', '2232', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3927', '39', '2235', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3928', '39', '2236', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3929', '39', '2237', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3930', '39', '2238', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3931', '39', '2241', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3932', '39', '2463', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3933', '39', '2464', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3934', '39', '2835', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3935', '39', '2254', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3936', '39', '2448', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3937', '39', '2449', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3938', '39', '2451', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3939', '39', '2452', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3940', '39', '2453', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3941', '39', '2454', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3942', '39', '2455', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3943', '39', '2456', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3944', '39', '2457', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3945', '39', '2682', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3946', '39', '2414', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3947', '39', '2416', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3948', '39', '2417', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3949', '39', '2418', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3950', '39', '2227', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3951', '39', '2194', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3952', '39', '2195', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3953', '39', '2196', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3954', '39', '2197', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3955', '39', '2198', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3956', '39', '2200', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3957', '39', '2201', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3958', '39', '2202', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3959', '39', '2203', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3960', '39', '2204', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3961', '39', '2205', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3962', '39', '2206', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3963', '39', '2207', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3964', '39', '2208', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3965', '39', '2809', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3966', '39', '2810', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3967', '39', '2811', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3968', '39', '2807', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3969', '39', '2808', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3970', '39', '2255', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3971', '39', '2852', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_cases_entry` VALUES ('3972', '39', '2288', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');

-- ----------------------------
-- Table structure for qc_type_doc
-- ----------------------------
DROP TABLE IF EXISTS `qc_type_doc`;
CREATE TABLE `qc_type_doc` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `type_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '质控类型ID(qc_type.id)',
  `hospital_type_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院文书类型的类型id（med_record_type.type_id）',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院文书类型的医院ID（med_record_type.hospital_id）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(3) DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(60) DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(60) DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='质控类型和医院文书类型关联表';

-- ----------------------------
-- Records of qc_type_doc
-- ----------------------------
INSERT INTO `qc_type_doc` VALUES ('1', '1', '33047', '1', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');
INSERT INTO `qc_type_doc` VALUES ('2', '1', '33048', '1', null, 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0');

-- ----------------------------
-- Table structure for sys_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_dictionary_info`;
CREATE TABLE `sys_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=286 DEFAULT CHARSET=utf8 COMMENT='系统字典表';

-- ----------------------------
-- Records of sys_dictionary_info
-- ----------------------------
INSERT INTO `sys_dictionary_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'doctorAdviceId', '病人医嘱ID', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'behospitalCode', '病人ID', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'orderDoctorName', '医生开单判别', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'frequency', '医嘱频率判别', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'parentTypeId', '父类医嘱ID', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'doctorAdviceType', '医嘱类型判别', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'usageNum', '一次使用数量', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'usageUnit', '一次用量单位', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'dose', '医嘱单次剂量', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'doseUnit', '单次剂量单位', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'medModeType', '给药方式', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daFrequency', '医嘱频率', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daDealType', '医嘱处理类型', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daStartDate', '医嘱开始时间', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daItemName', '医嘱项目名称', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daStatus', '医嘱状态判别', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daStopDate', '医嘱结束时间', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daGroupNo', '医嘱同组序号', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daPrescriptionType', '医嘱处方类型', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'daMedType', '医嘱领药类型', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'doctorNotice', '医生嘱托', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'doctorId', '开单医生ID', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', 'doctorName', '开单医生姓名', '2', '0', '医嘱信息');
INSERT INTO `sys_dictionary_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'homePageId', '病案首页编号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalCode', '病人住院序号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'hospitalCode', '组织机构id', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'hospitalName', '医疗机构名称', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'orgCode', '医疗机构代码', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'payType', '医疗付费方式', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'healthCard', '健康卡号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalNum', '住院次数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'fileCode', '病案号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'name', '姓名', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'sex', '性别', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'birthday', '出生日期', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'age', '年龄', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'ageUnit', '年龄单位', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'nationality', '国籍', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'newbornMonth', '新生儿出生月数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'newbornDay', '新生儿出生天数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'newbornWeight', '新生儿出生体重', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'newbornBehospitalWeight', '新生儿入院体重', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'bornAddress', '出生地', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'bornPlace', '籍贯', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'nation', '民族', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'identityCardNo', '身份证号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'jobType', '职业', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'marriage', '婚姻', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'curAddress', '现住址', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'curPhone', '现住址电话', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'curPostCode', '现住址邮编', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'residenceAddress', '户口地址', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'residencePostCode', '户口地址邮编', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'workAddress', '工作单位', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'workPhone', '工作单位电话', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'workPostCode', '工作单位邮编', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'contactName', '联系人姓名', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'contactRelation', '联系人关系', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'contactAddress', '联系人地址', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'contactPhone', '联系人电话', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalWay', '入院途径', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalDate', '入院时间', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalDept', '入院科别', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalWard', '入院病房', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalBedId', '入院床位序号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalBedCode', '入院床位号码', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'changeDept', '转科科别', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'leaveHospitalDate', '出院时间', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'leaveHospitalDept', '出院科别', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'leaveHospitalWard', '出院病房', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'leaveHospitalBedId', '出院床位序号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'leaveHospitalBedCode', '出院床位号码', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalDayNum', '实际住院天数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'outpatientEmrDiagnose', '门急诊诊断', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'outpatientEmrDiagnoseCode', '门急诊诊断编码', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'poisonFactor', '损伤中毒因素', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'poisonFactorCode', '损伤中毒因素编码', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'pathologyDiagnose', '病理诊断', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'pathologyDiagnoseCode', '病理诊断编码', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'pathologyDiagnoseId', '病理诊断编号', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isMedAllergy', '药物过敏', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'medAllergyName', '过敏药物', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'autopsy', '死亡患者尸检', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'bloodType', '血型', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'rh', 'Rh', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'deptDirector', '科主任', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'directorDoctor', '主任医师', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'attendingDoctor', '主治医师', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'behospitalDoctor', '住院医师', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'responseNurse', '责任护士', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'studyDoctor', '进修医师', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'practiceDoctor', '实习医师', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'encodeMan', '编码员', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'homePageQuality', '病案质量', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'qcDoctor', '质控医师', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'qcNurse', '质控护士', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'qcDate', '质控日期', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'leaveHospitalType', '离院方式', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'acceptOrgCode', '接收机构名称', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'againBehospitalPlan', '31天内再住院计划', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'againBehospitalGoal', '再住院目的', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'tbiBeforeDay', '颅脑损伤患者昏迷前天数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'tbiBeforeHour', '颅脑损伤患者昏迷前小时', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'tbiBeforeMinute', '颅脑损伤患者昏迷前分钟', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'tbiAfterDay', '颅脑损伤患者昏迷后天数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'tbiAfterHour', '颅脑损伤患者昏迷后小时', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'tbiAfterMinute', '颅脑损伤患者昏迷后分钟', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'totalFee', '总费用', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'ownFee', '自付金额', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'generalFee', '一般医疗服务费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'serviceFee', '一般治疗服务费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'nurseFee', '护理费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'otherFee', '其他费用', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'pathologyFee', '病理诊断费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'labFee', '实验室诊断费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'pacsFee', '影像学诊断费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'clinicDiagnoseFee', '临床诊断项目费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'notOperationFee', '非手术治疗项目费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'clinicPhysicFee', '临床物理治疗费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'operationTreatFee', '手术治疗费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'anaesthesiaFee', '麻醉费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'operationFee', '手术费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'healthTypeFee', '康复类', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'chnTreatFee', '中医治疗费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'westernMedFee', '西药费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'antibiosisFee', '抗菌药物费用', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'chnMedFee', '中成药费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'chnHerbFee', '中草药费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'bloodFee', '血费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'albumenFee', '白蛋白类制品费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'globulinFee', '球蛋白类制品费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'bloodFactorFee', '凝血因子类制品费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'cellFactorFee', '细胞因子类制品费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'checkMaterialFee', '检查用一次性医用材料费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'treatMaterialFee', '治疗用一次性医用材料费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'operationMaterialFee', '手术用一次性医用材料费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'otherTypeFee', '其他类其他费', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'singleDiagManage', '单病种管理', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'clinicPathwayManage', '临床路径管理', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isOutpatientBehospital', '门诊与住院', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isLeaveBehospital', '入院与出院', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isOperationBeforeAfter', '术前与术后', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isClinicPathology', '临床与病理', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isRadiatePathology', '放射与病理', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'rescueNum', '病人抢救次数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'rescueSuccessNum', '病人抢救成功次数', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'isAutoLeavehospital', '是否为自动出院', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'returnToType', '转归情况', '2', '0', '病案首页');
INSERT INTO `sys_dictionary_info` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'homePageId', '病案首页ID', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'operationOrderNo', '手术序号', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'operationDate', '手术日期', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'operationCode', '手术编码', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'operationDoctorId', '手术医生ID', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'firstAssistantId', '一助医生ID', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'secondAssistantId', '二助医生ID', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'cutLevel', '切口等级', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'healingLevel', '愈合等级', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'operationName', '手术名称', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'operationLevel', '手术级别', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'anaesthesiaName', '麻醉方式', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', 'shamOperationName', '拟手术名称', '2', '0', '病案首页手术信息');
INSERT INTO `sys_dictionary_info` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'homePageId', '病案首页ID', '2', '0', '病案首页诊断信息');
INSERT INTO `sys_dictionary_info` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'diagnoseOrderNo', '诊断序号', '2', '0', '病案首页诊断信息');
INSERT INTO `sys_dictionary_info` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'diagnoseType', '诊断类别', '2', '0', '病案首页诊断信息');
INSERT INTO `sys_dictionary_info` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'diagnoseTypeShort', '诊断判别', '2', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'diagnoseName', '诊断名称', '2', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'behospitalType', '入院情况', '2', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'leaveHospitalType', '出院情况', '2', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'pathologyDiagnose', '病理号', '2', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', 'icdCode', '诊断编码', '2', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('231', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '病案首页', '6', '1', '231', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '入院记录', '1', '1', '232', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '首次病程录', '2', '1', '233', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '查房记录', '4', '1', '234', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '疑难病例讨论记录', '19', '1', '235', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '死亡病例讨论记录', '3', '1', '236', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '术前讨论、术前小结', '11', '1', '237', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '手术记录', '17', '1', '238', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '术后首次病程及谈话记录', '18', '1', '239', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('240', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '手术知情同意书', '16', '1', '240', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '抢救记录', '22', '1', '241', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '危急值记录', '23', '1', '242', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '阶段小结', '28', '1', '243', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '病危通知书', '25', '1', '244', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '输血/血制品病程记录', '10', '1', '245', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '输血后效果评价', '32', '1', '246', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '会诊申请单', '30', '1', '247', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '会诊结果单', '31', '1', '248', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '会诊记录', '7', '1', '249', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '病理检验送检单', '35', '1', '250', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '死亡记录', '24', '1', '251', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '转科记录', '34', '1', '252', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '专科交接单', '33', '1', '253', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('254', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '自定义病程记录', '36', '1', '254', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('255', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '授权知情同意书', '52', '1', '255', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('256', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '知情同意书', '53', '1', '256', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('257', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '病重通知书', '29', '1', '257', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('258', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '谈话告知书', '54', '1', '258', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '转出记录', '27', '1', '259', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '转入记录', '26', '1', '260', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('261', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '手术安全核查表', '21', '1', '261', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('262', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '手术风险评估表', '20', '1', '262', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('263', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '麻醉术后访视记录', '15', '1', '263', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('264', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '麻醉术前访视记录', '14', '1', '264', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('265', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '麻醉知情同意书', '13', '1', '265', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('266', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '麻醉记录', '12', '1', '266', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '交接班记录', '9', '1', '267', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('268', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '医嘱信息', '8', '1', '268', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '出院小结', '5', '1', '269', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('270', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '其他', '0', '1', '270', '所属模块');
INSERT INTO `sys_dictionary_info` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '台州', '3', '1', '1', '所属医院');
INSERT INTO `sys_dictionary_info` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '长兴', '1', '1', '2', '所属医院');
INSERT INTO `sys_dictionary_info` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '邵逸夫', '2', '1', '3', '所属医院');
INSERT INTO `sys_dictionary_info` VALUES ('274', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('275', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('276', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('277', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('278', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('279', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('280', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('281', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('282', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('283', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('284', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);
INSERT INTO `sys_dictionary_info` VALUES ('285', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '0', '', '', '1', '0', null);

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单名称',
  `parent_id` bigint(20) NOT NULL DEFAULT '-1' COMMENT '-1：表示顶级,其他值表示上级菜单的id',
  `code` varchar(255) NOT NULL DEFAULT '' COMMENT '编码，与前端对应',
  `show_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否在右侧菜单显示(0:不显示，1：显示)',
  `maintain_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否可以维护(0:不可维护，1：可以维护)',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序，从小到大',
  `remark` varchar(255) NOT NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='系统菜单';

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '控制台', '-1', 'YH-KZT', '1', '1', '1', '用户-控制台');
INSERT INTO `sys_menu` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '基础数据维护', '-1', 'YH-JCSJWH', '1', '1', '2', '用户-基础数据维护');
INSERT INTO `sys_menu` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病案质控', '-1', 'YH-BLZK', '1', '1', '3', '用户-病历质控');
INSERT INTO `sys_menu` VALUES ('4', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '统计分析', '-1', 'YH-TJFX', '1', '1', '4', '用户-统计分析');
INSERT INTO `sys_menu` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模块数据维护', '2', 'YH-JCSJWH-MKSJWH', '1', '1', '1', '用户-基础数据维护-模块数据维护');
INSERT INTO `sys_menu` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目数据维护', '2', 'YH-JCSJWH-TMSJWH', '1', '1', '2', '用户-基础数据维护-条目数据维护');
INSERT INTO `sys_menu` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控评分', '3', 'YH-BLZK-ZKPF', '1', '1', '1', '用户-病历质控-质控评分');
INSERT INTO `sys_menu` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '基础功能', '-1', 'YH-QBYH-JCGN', '0', '1', '0', '用户-基础功能');
INSERT INTO `sys_menu` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控评分(科室)', '3', 'YH-BLZK-ZKPFKS', '1', '1', '2', '用户-病历质控-质控评分(科室)');
INSERT INTO `sys_menu` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控评分(个人)', '3', 'YH-BLZK-ZKPFGR', '1', '1', '3', '用户-病历质控-质控评分(个人)');
INSERT INTO `sys_menu` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '权限管理', '-1', 'YH-QXGL', '1', '0', '5', '用户-权限管理');
INSERT INTO `sys_menu` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用户管理', '12', 'YH-QXGL-YHGL', '1', '0', '1', '用户-权限管理-用户管理');
INSERT INTO `sys_menu` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角色管理', '12', 'YH-QXGL-JSGL', '1', '0', '2', '用户-权限管理-角色管理');
INSERT INTO `sys_menu` VALUES ('15', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '控制台-科室', '-1', 'YH-KZTKS', '0', '1', '6', '用户-控制台（科室）');

-- ----------------------------
-- Table structure for sys_menu_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu_permission`;
CREATE TABLE `sys_menu_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `menu_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '菜单id',
  `permission_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '系统资源id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8 COMMENT='菜单和系统资源的映射表';

-- ----------------------------
-- Records of sys_menu_permission
-- ----------------------------
INSERT INTO `sys_menu_permission` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '1', '基础功能-获取用户、机构、菜单信息');
INSERT INTO `sys_menu_permission` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '2', '基础功能-修改密码');
INSERT INTO `sys_menu_permission` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '9', '控制台-病历相关统计');
INSERT INTO `sys_menu_permission` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '15', '控制台-缺陷相关统计');
INSERT INTO `sys_menu_permission` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '16', '控制台-医院运营相关统计');
INSERT INTO `sys_menu_permission` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '3', '用户-基础数据维护-获取医院模块数据信息');
INSERT INTO `sys_menu_permission` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '4', '用户-基础数据维护-批量更新模块数据');
INSERT INTO `sys_menu_permission` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '6', '用户-条目数据维护-分页获取医院条目数据信息');
INSERT INTO `sys_menu_permission` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '7', '用户-条目数据维护-修改医院条目数据信息');
INSERT INTO `sys_menu_permission` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '8', '用户-条目数据维护-获取医院模块数据下拉列表');
INSERT INTO `sys_menu_permission` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '30', '用户-质控评分-获取病历质控一览下医院科室下拉列表信息');
INSERT INTO `sys_menu_permission` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '17', '用户-质控评分-评分');
INSERT INTO `sys_menu_permission` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '5', '用户-质控评分-分页');
INSERT INTO `sys_menu_permission` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '11', '用户-质控评分-新增质控条目');
INSERT INTO `sys_menu_permission` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '12', '用户-质控评分-删除质控条目');
INSERT INTO `sys_menu_permission` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '13', '用户-质控评分-修改质控条目');
INSERT INTO `sys_menu_permission` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '14', '用户-质控评分-获取详情');
INSERT INTO `sys_menu_permission` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '31', '用户-质控评分(科室)-获取病历质控一览下用户科室下拉列表信息');
INSERT INTO `sys_menu_permission` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '34', '用户-质控评分(科室)-评分');
INSERT INTO `sys_menu_permission` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '32', '用户-质控评分(科室)-分页');
INSERT INTO `sys_menu_permission` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '35', '用户-质控评分(科室)-新增质控条目');
INSERT INTO `sys_menu_permission` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '36', '用户-质控评分(科室)-删除质控条目');
INSERT INTO `sys_menu_permission` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '37', '用户-质控评分(科室)-修改质控条目');
INSERT INTO `sys_menu_permission` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '38', '用户-质控评分(科室)-获取详情');
INSERT INTO `sys_menu_permission` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '39', '用户-质控评分(个人)-获取病历质控一览下用户科室下拉列表信息');
INSERT INTO `sys_menu_permission` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '40', '用户-质控评分(个人)-评分');
INSERT INTO `sys_menu_permission` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '33', '用户-质控评分(个人)-分页');
INSERT INTO `sys_menu_permission` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '41', '用户-质控评分(个人)-新增质控条目');
INSERT INTO `sys_menu_permission` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '42', '用户-质控评分(个人)-删除质控条目');
INSERT INTO `sys_menu_permission` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '43', '用户-质控评分(个人)-修改质控条目');
INSERT INTO `sys_menu_permission` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '44', '用户-质控评分(个人)-获取详情');
INSERT INTO `sys_menu_permission` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '45', '控制台-平均住院天数');
INSERT INTO `sys_menu_permission` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '46', '控制台-平均住院费用');
INSERT INTO `sys_menu_permission` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '47', '控制台-质控平均分按科室统计');
INSERT INTO `sys_menu_permission` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '48', '控制台-各科室甲级病历占比');
INSERT INTO `sys_menu_permission` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '49', '控制台-出院人数统计');
INSERT INTO `sys_menu_permission` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '50', '控制台-质控病历统计');
INSERT INTO `sys_menu_permission` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '51', '控制台-各模块缺陷占比排行');
INSERT INTO `sys_menu_permission` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '52', '控制台-条目缺陷占比');
INSERT INTO `sys_menu_permission` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '53', '控制台-各科室缺陷占比');
INSERT INTO `sys_menu_permission` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '54', '控制台（科室）-出院人数统计（科室）');
INSERT INTO `sys_menu_permission` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '55', '控制台（科室）-质控病历数统计（科室）');
INSERT INTO `sys_menu_permission` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '56', '控制台（科室）-各模块缺陷占比排行（科室）');
INSERT INTO `sys_menu_permission` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '57', '控制台（科室）-条目缺陷占比（科室）');

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '资源ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '资源名称',
  `code` varchar(20) NOT NULL DEFAULT '' COMMENT '资源编码',
  `permissionUrl` varchar(255) NOT NULL DEFAULT '' COMMENT '资源Url',
  `method` varchar(255) NOT NULL DEFAULT 'ALL' COMMENT '资源允许的请求方式',
  `descritpion` varchar(255) NOT NULL DEFAULT '' COMMENT '资源描述',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=58 DEFAULT CHARSET=utf8 COMMENT='系统资源表';

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
INSERT INTO `sys_permission` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取用户、机构、菜单信息', 'FUNC000001', '/sys/user/getUserOrgMenu', 'ALL', '基础功能-获取用户、机构、菜单信息', null);
INSERT INTO `sys_permission` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改密码', 'FUNC000002', '/sys/user/midifyPassword', 'ALL', '基础功能-修改密码', null);
INSERT INTO `sys_permission` VALUES ('3', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取医院模块数据信息', 'FUNC000003', '/qc/cases/getQcCases', 'ALL', '用户-基础数据维护-获取医院模块数据信息', '无需加密');
INSERT INTO `sys_permission` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改医院模块数据', 'FUNC000004', '/qc/cases/saveQcCases', 'ALL', '用户-基础数据维护-修改医院模块数据', null);
INSERT INTO `sys_permission` VALUES ('5', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分页查询', 'FUNC000005', '/qc/behospitalInfo/page', 'ALL', '用户-质控评分-分页', '无需加密');
INSERT INTO `sys_permission` VALUES ('6', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分页获取医院条目数据信息', 'FUNC000006', '/qc/casesEntryHospital/getQcCasesEntryAll', 'ALL', '用户-条目数据维护-分页获取医院条目数据信息', '无需加密');
INSERT INTO `sys_permission` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改医院条目数据信息', 'FUNC000007', '/qc/casesEntryHospital/updataQcCasesEntry', 'ALL', '用户-条目数据维护-修改医院条目数据信息', null);
INSERT INTO `sys_permission` VALUES ('8', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取医院模块下拉数据列表', 'FUNC000008', '/qc/casesEntryHospital/getQcCasesAll', 'ALL', '获取医院模块数据列表', '无需加密');
INSERT INTO `sys_permission` VALUES ('9', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '病历相关统计', 'FUNC000009', '/console/mrStatistics', 'ALL', '控制台-病历相关统计', null);
INSERT INTO `sys_permission` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '模糊查询医院模块条目列表', 'FUNC000010', '/qc/casesEntryHospital/findQcCasesEntry', 'ALL', '用户-条目数据维护-模糊查询医院模块条目列表', null);
INSERT INTO `sys_permission` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新增质控条目', 'FUNC000011', '/qc/behospitalInfo/addCase', 'ALL', '用户-质控评分-新增质控条目', null);
INSERT INTO `sys_permission` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '删除质控条目', 'FUNC000012', '/qc/behospitalInfo/delCase', 'ALL', '用户-质控评分-删除质控条目', null);
INSERT INTO `sys_permission` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改质控条目', 'FUNC000013', '/qc/behospitalInfo/updCase', 'ALL', '用户-质控评分-修改质控条目', null);
INSERT INTO `sys_permission` VALUES ('14', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取质控评分详情', 'FUNC000014', '/qc/behospitalInfo/getByBehospitalCode', 'ALL', '用户-质控评分-获取详情', '无需加密');
INSERT INTO `sys_permission` VALUES ('15', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '缺陷相关统计', 'FUNC000015', '/console/resultStatistics', 'ALL', '控制台-缺陷相关统计', null);
INSERT INTO `sys_permission` VALUES ('16', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '平均值相关统计', 'FUNC000016', '/console/averageStatistics', 'ALL', '控制台-平均值相关统计', null);
INSERT INTO `sys_permission` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控评分', 'FUNC000017', '/qc/behospitalInfo/analyze', 'ALL', '用户-质控评分-评分', null);
INSERT INTO `sys_permission` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取角色列表信息', 'FUNC000018', '/sys/role/list', 'ALL', '用户-权限管理-角色管理-获取角色列表信息', null);
INSERT INTO `sys_permission` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取角色菜权限单等数据', 'FUNC000019', '/sys/role/getRoleMenu', 'ALL', '用户-权限管理-角色管理-获取角色菜权限单等数据', null);
INSERT INTO `sys_permission` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改角色菜单权限数据', 'FUNC000020', '/sys/role/saveRoleMenu', 'ALL', '用户-权限管理-角色管理-修改角色菜单权限数据', null);
INSERT INTO `sys_permission` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取医院科室下拉列表信息', 'FUNC000021', '/bas/dept/listForUser', 'ALL', '用户-权限管理-用户管理-获取用户管理下医院科室下拉列表信息', null);
INSERT INTO `sys_permission` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取角色下拉列表信息', 'FUNC000022', '/sys/role/listForUser', 'ALL', '用户-权限管理-用户管理-获取角色下拉列表信息', null);
INSERT INTO `sys_permission` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用户列表翻页信息查询', 'FUNC000023', '/sys/user/userPage', 'ALL', '用户-权限管理-用户管理-用户列表翻页信息查询', null);
INSERT INTO `sys_permission` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取用户科室', 'FUNC000024', '/sys/user/getUserDepts', 'ALL', '用户-权限管理-用户管理-获取用户科室', null);
INSERT INTO `sys_permission` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取用户角色', 'FUNC000025', '/sys/user/getUserRoles', 'ALL', '用户-权限管理-用户管理-获取用户角色', null);
INSERT INTO `sys_permission` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用户启用', 'FUNC000026', '/sys/user/enable', 'ALL', '用户-权限管理-用户管理-用户启用', null);
INSERT INTO `sys_permission` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '用户停用', 'FUNC000027', '/sys/user/disable', 'ALL', '用户-权限管理-用户管理-用户停用', null);
INSERT INTO `sys_permission` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '编辑用户科室', 'FUNC000028', '/sys/user/editUserDepts', 'ALL', '用户-权限管理-用户管理-编辑用户科室', null);
INSERT INTO `sys_permission` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '编辑用户角色', 'FUNC000029', '/sys/user/editUserRoles', 'ALL', '用户-权限管理-用户管理-编辑用户角色', null);
INSERT INTO `sys_permission` VALUES ('30', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取医院科室下拉列表信息', 'FUNC000030', '/bas/dept/getList', 'ALL', '用户-质控评分-获取病历质控一览下医院科室下拉列表信息', '无需加密');
INSERT INTO `sys_permission` VALUES ('31', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取用户科室下拉列表信息', 'FUNC000031', '/bas/dept/getListUser', 'ALL', '用户-质控评分(科室)-获取病历质控一览下用户科室下拉列表信息', '无需加密');
INSERT INTO `sys_permission` VALUES ('32', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分页查询', 'FUNC000032', '/qc/behospitalInfo/page_dept', 'ALL', '用户-质控评分(科室)-分页', '无需加密');
INSERT INTO `sys_permission` VALUES ('33', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '分页查询', 'FUNC000033', '/qc/behospitalInfo/page_person', 'ALL', '用户-质控评分(个人)-分页', '无需加密');
INSERT INTO `sys_permission` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控评分', 'FUNC000017', '/qc/behospitalInfo/analyze', 'ALL', '用户-质控评分(科室)-评分', null);
INSERT INTO `sys_permission` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新增质控条目', 'FUNC000011', '/qc/behospitalInfo/addCase', 'ALL', '用户-质控评分(科室)-新增质控条目', null);
INSERT INTO `sys_permission` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '删除质控条目', 'FUNC000012', '/qc/behospitalInfo/delCase', 'ALL', '用户-质控评分(科室)-删除质控条目', null);
INSERT INTO `sys_permission` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改质控条目', 'FUNC000013', '/qc/behospitalInfo/updCase', 'ALL', '用户-质控评分(科室)-修改质控条目', null);
INSERT INTO `sys_permission` VALUES ('38', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取质控评分详情', 'FUNC000014', '/qc/behospitalInfo/getByBehospitalCode', 'ALL', '用户-质控评分(科室)-获取详情', '无需加密');
INSERT INTO `sys_permission` VALUES ('39', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取用户科室下拉列表信息', 'FUNC000031', '/bas/dept/getListUser', 'ALL', '用户-质控评分(个人)-获取病历质控一览下用户科室下拉列表信息', '无需加密');
INSERT INTO `sys_permission` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控评分', 'FUNC000017', '/qc/behospitalInfo/analyze', 'ALL', '用户-质控评分(个人)-评分', null);
INSERT INTO `sys_permission` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '新增质控条目', 'FUNC000011', '/qc/behospitalInfo/addCase', 'ALL', '用户-质控评分(个人)-新增质控条目', null);
INSERT INTO `sys_permission` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '删除质控条目', 'FUNC000012', '/qc/behospitalInfo/delCase', 'ALL', '用户-质控评分(个人)-删除质控条目', null);
INSERT INTO `sys_permission` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '修改质控条目', 'FUNC000013', '/qc/behospitalInfo/updCase', 'ALL', '用户-质控评分(个人)-修改质控条目', null);
INSERT INTO `sys_permission` VALUES ('44', 'Y', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '获取质控评分详情', 'FUNC000014', '/qc/behospitalInfo/getByBehospitalCode', 'ALL', '用户-质控评分(个人)-获取详情', '无需加密');
INSERT INTO `sys_permission` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '平均住院天数', 'FUNC000045', '/console/getAverageDayNum', 'ALL', '控制台-平均住院天数', null);
INSERT INTO `sys_permission` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '平均住院费用', 'FUNC000046', '/console/getAverageFee', 'ALL', '控制台-平均住院费用', null);
INSERT INTO `sys_permission` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控平均分按科室统计', 'FUNC000047', '/console/getAverageScore', 'ALL', '控制台-质控平均分按科室统计', null);
INSERT INTO `sys_permission` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各科室甲级病历占比', 'FUNC000048', '/console/getLevelResultDept', 'ALL', '控制台-各科室甲级病历占比', null);
INSERT INTO `sys_permission` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出院人数统计', 'FUNC000049', '/console/leaveHosCount', 'ALL', '控制台-出院人数统计', null);
INSERT INTO `sys_permission` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控病历统计', 'FUNC000050', '/console/mrCount', 'ALL', '控制台-质控病历统计', null);
INSERT INTO `sys_permission` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各模块缺陷占比排行', 'FUNC000051', '/console/entryCountGroupByCase', 'ALL', '控制台-各模块缺陷占比排行', null);
INSERT INTO `sys_permission` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目缺陷占比', 'FUNC000052', '/console/entryCountGroupByEntry', 'ALL', '控制台-条目缺陷占比', null);
INSERT INTO `sys_permission` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各科室缺陷占比', 'FUNC000053', '/console/entryByDept', 'ALL', '控制台-各科室缺陷占比', null);
INSERT INTO `sys_permission` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出院人数统计（科室）', 'FUNC000054', '/consoleByDept/leaveHosCountByDept', 'ALL', '控制台（科室）-出院人数统计（科室）', null);
INSERT INTO `sys_permission` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '质控病历数统计（科室）', 'FUNC000055', '/consoleByDept/mrCountByDept', 'ALL', '控制台（科室）-质控病历数统计（科室）', null);
INSERT INTO `sys_permission` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '各模块缺陷占比排行（科室）', 'FUNC000056', '/consoleByDept/entryCountGroupByCaseAndDept', 'ALL', '控制台（科室）-各模块缺陷占比排行（科室）', null);
INSERT INTO `sys_permission` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '条目缺陷占比（科室）', 'FUNC000057', '/consoleByDept/entryCountGroupByEntryAndDept', 'ALL', '控制台（科室）-条目缺陷占比（科室）', null);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT '角色名称',
  `roleLevel` int(11) NOT NULL DEFAULT '0' COMMENT '角色等级',
  `descritpion` varchar(255) NOT NULL DEFAULT '' COMMENT '角色描述',
  `menuItems` varchar(255) NOT NULL DEFAULT '' COMMENT '菜单ID：对应角色ID(暂无用处)',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='系统角色表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES ('-1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '超级管理员', '0', '', '', '');
INSERT INTO `sys_role` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院人员(全局)', '0', '', '', '');
INSERT INTO `sys_role` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院人员(科室)', '0', '', '', null);
INSERT INTO `sys_role` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '医院人员(个人)', '0', '', '', null);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '角色id',
  `menu_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '菜单id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=492 DEFAULT CHARSET=utf8 COMMENT='角色和菜单的映射表';

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES ('1', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('2', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('3', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('4', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '4', null);
INSERT INTO `sys_role_menu` VALUES ('5', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('6', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('7', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('8', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '4', null);
INSERT INTO `sys_role_menu` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', null);
INSERT INTO `sys_role_menu` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', null);
INSERT INTO `sys_role_menu` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', null);
INSERT INTO `sys_role_menu` VALUES ('23', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('24', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('25', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('26', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('27', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('28', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('29', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('30', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('31', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('32', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('33', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('34', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('35', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('36', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('37', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('38', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('39', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('40', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('41', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('42', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('43', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('44', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('45', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('46', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('47', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('48', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('49', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('50', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('51', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('52', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('53', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('54', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('55', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('56', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('57', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('58', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('59', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('60', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('61', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('62', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('63', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('64', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('65', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('66', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('67', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('68', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('69', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('70', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('71', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('72', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('73', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('74', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('75', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('76', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('77', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('78', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('79', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('80', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('81', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('82', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('83', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('84', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('85', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('86', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('87', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('88', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('89', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('90', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('91', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('92', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('93', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('94', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('95', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('96', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('97', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('98', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('99', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('100', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('101', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('102', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('103', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('104', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('105', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('106', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('107', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('108', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('109', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('110', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('111', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('112', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('113', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('114', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('115', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('116', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('117', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('118', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('119', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('120', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('121', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('122', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('123', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('124', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('125', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('126', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('127', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('128', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('129', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('130', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('131', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('132', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('133', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('134', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('135', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('136', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('137', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('138', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('139', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('140', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '1', null);
INSERT INTO `sys_role_menu` VALUES ('141', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('142', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('143', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('144', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('145', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('146', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('147', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('148', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('149', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('150', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('151', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('152', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('153', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('154', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('155', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('156', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('157', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('158', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('159', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('160', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('161', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('162', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('163', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('164', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('165', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('166', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('167', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('168', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('169', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('170', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('171', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('172', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('173', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('174', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('175', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('176', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('177', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('178', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('179', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('180', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('181', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('182', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('183', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('184', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('185', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('186', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('187', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('188', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('189', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('190', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('191', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('192', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('193', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('194', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('195', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('196', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('197', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('198', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('199', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('200', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('201', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('202', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('203', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('204', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('205', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('206', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('207', 'Y', '1970-01-01 12:00:00', '2020-05-12 13:23:25', '0', '82', '2', '15', null);
INSERT INTO `sys_role_menu` VALUES ('208', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('209', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('210', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('211', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('212', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('213', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('214', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('215', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('216', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('217', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('218', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('219', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('220', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('221', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('222', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('223', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('224', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('225', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('226', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('227', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('228', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('229', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('230', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('231', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('232', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('233', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('234', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('235', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('236', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('237', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('238', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('239', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('240', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('241', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('242', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('243', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('244', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('245', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('246', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('247', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('248', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('249', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('250', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('251', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('252', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('253', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('254', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('255', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('256', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('257', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('258', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('259', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('260', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('261', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('262', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('263', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('264', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('265', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('266', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('267', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('268', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('269', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('270', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('271', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('272', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('273', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('274', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('275', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('276', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('277', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('278', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('279', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('280', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('281', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('282', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('283', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('284', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('285', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('286', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('287', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('288', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('289', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('290', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('291', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('292', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('293', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('294', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('295', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('296', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('297', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('298', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('299', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('300', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('301', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('302', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('303', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('304', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('305', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('306', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('307', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('308', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('309', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('310', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '7', null);
INSERT INTO `sys_role_menu` VALUES ('311', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '9', null);
INSERT INTO `sys_role_menu` VALUES ('312', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('313', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('314', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('315', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('316', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('317', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('318', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('319', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('320', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('321', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('322', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('323', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('324', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('325', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('326', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('327', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '7', null);
INSERT INTO `sys_role_menu` VALUES ('328', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '9', null);
INSERT INTO `sys_role_menu` VALUES ('329', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('330', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('331', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('332', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('333', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('334', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('335', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('336', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('337', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('338', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('339', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('340', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('341', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('342', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('343', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('344', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('345', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '7', null);
INSERT INTO `sys_role_menu` VALUES ('346', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '9', null);
INSERT INTO `sys_role_menu` VALUES ('347', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('348', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('349', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('350', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('351', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('352', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('353', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('354', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('355', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('356', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('357', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('358', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('359', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('360', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('361', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('362', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('363', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '7', null);
INSERT INTO `sys_role_menu` VALUES ('364', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '9', null);
INSERT INTO `sys_role_menu` VALUES ('365', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('366', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('367', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('368', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('369', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('370', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('371', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('372', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '7', null);
INSERT INTO `sys_role_menu` VALUES ('373', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '9', null);
INSERT INTO `sys_role_menu` VALUES ('374', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('375', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('376', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('377', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('378', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('379', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('380', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('381', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('382', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('383', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('384', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('385', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('386', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('387', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('388', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('389', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('390', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('391', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '15', null);
INSERT INTO `sys_role_menu` VALUES ('392', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('393', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('394', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('395', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('396', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('397', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('398', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '15', null);
INSERT INTO `sys_role_menu` VALUES ('399', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('400', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('401', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('402', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('403', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('404', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('405', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('406', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('407', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('408', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('409', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('410', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('411', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('412', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('413', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('414', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('415', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('416', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('417', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('418', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('419', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('420', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('421', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('422', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('423', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('424', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('425', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('426', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('427', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('428', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('429', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('430', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('431', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('432', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('433', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('434', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('435', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('436', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('437', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('438', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '9', null);
INSERT INTO `sys_role_menu` VALUES ('439', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '10', null);
INSERT INTO `sys_role_menu` VALUES ('440', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('441', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('442', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('443', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('444', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('445', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('446', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('447', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '1', null);
INSERT INTO `sys_role_menu` VALUES ('448', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('449', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('450', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('451', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('452', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('453', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '8', null);
INSERT INTO `sys_role_menu` VALUES ('454', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '1', null);
INSERT INTO `sys_role_menu` VALUES ('455', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '2', null);
INSERT INTO `sys_role_menu` VALUES ('456', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '5', null);
INSERT INTO `sys_role_menu` VALUES ('457', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '6', null);
INSERT INTO `sys_role_menu` VALUES ('458', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '3', null);
INSERT INTO `sys_role_menu` VALUES ('459', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '7', null);
INSERT INTO `sys_role_menu` VALUES ('460', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('461', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '1', null);
INSERT INTO `sys_role_menu` VALUES ('462', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('463', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('464', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('465', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('466', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('467', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('468', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('469', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('470', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('471', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('472', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('473', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '8', null);
INSERT INTO `sys_role_menu` VALUES ('474', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '2', null);
INSERT INTO `sys_role_menu` VALUES ('475', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '5', null);
INSERT INTO `sys_role_menu` VALUES ('476', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '6', null);
INSERT INTO `sys_role_menu` VALUES ('477', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '3', null);
INSERT INTO `sys_role_menu` VALUES ('478', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '9', null);
INSERT INTO `sys_role_menu` VALUES ('479', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('480', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '1', null);
INSERT INTO `sys_role_menu` VALUES ('481', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('482', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('483', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('484', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('485', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '10', null);
INSERT INTO `sys_role_menu` VALUES ('486', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '8', null);
INSERT INTO `sys_role_menu` VALUES ('487', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '2', null);
INSERT INTO `sys_role_menu` VALUES ('488', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '5', null);
INSERT INTO `sys_role_menu` VALUES ('489', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '6', null);
INSERT INTO `sys_role_menu` VALUES ('490', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '3', null);
INSERT INTO `sys_role_menu` VALUES ('491', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '10', null);

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `role_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '角色id',
  `permission_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '资源id',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1061 DEFAULT CHARSET=utf8 COMMENT='角色和资源的映射表';

-- ----------------------------
-- Records of sys_role_permission
-- ----------------------------
INSERT INTO `sys_role_permission` VALUES ('1', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '1', '基础功能-获取用户、机构、菜单信息');
INSERT INTO `sys_role_permission` VALUES ('2', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '2', '基础功能-修改密码');
INSERT INTO `sys_role_permission` VALUES ('3', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '3', '用户-基础数据维护-获取医院模块数据信息');
INSERT INTO `sys_role_permission` VALUES ('4', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '4', '用户-基础数据维护-批量更新模块数据');
INSERT INTO `sys_role_permission` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '1', '基础功能-获取用户、机构、菜单信息');
INSERT INTO `sys_role_permission` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '2', '基础功能-修改密码');
INSERT INTO `sys_role_permission` VALUES ('7', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '5', '用户-质控评分-分页');
INSERT INTO `sys_role_permission` VALUES ('8', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '6', '用户-条目数据维护-分页获取医院条目数据信息');
INSERT INTO `sys_role_permission` VALUES ('9', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '7', '用户-条目数据维护-修改医院条目数据信息');
INSERT INTO `sys_role_permission` VALUES ('10', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '8', '用户-条目数据维护-获取医院模块数据列表');
INSERT INTO `sys_role_permission` VALUES ('11', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '9', '控制台-病历相关统计');
INSERT INTO `sys_role_permission` VALUES ('12', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '10', '用户-条目数据维护-模糊查询医院模块条目列表');
INSERT INTO `sys_role_permission` VALUES ('13', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '11', '用户-质控评分-新增质控条目');
INSERT INTO `sys_role_permission` VALUES ('14', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '12', '用户-质控评分-删除质控条目');
INSERT INTO `sys_role_permission` VALUES ('15', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '13', '用户-质控评分-修改质控条目');
INSERT INTO `sys_role_permission` VALUES ('16', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '14', '用户-质控评分-获取详情');
INSERT INTO `sys_role_permission` VALUES ('17', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '15', '控制台-缺陷相关统计');
INSERT INTO `sys_role_permission` VALUES ('18', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '16', '控制台-医院运营相关统计');
INSERT INTO `sys_role_permission` VALUES ('19', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '17', '用户-质控评分-评分');
INSERT INTO `sys_role_permission` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '3', '用户-基础数据维护-获取医院模块数据信息');
INSERT INTO `sys_role_permission` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '4', '用户-基础数据维护-批量更新模块数据');
INSERT INTO `sys_role_permission` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '5', '用户-质控评分-分页');
INSERT INTO `sys_role_permission` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '6', '用户-条目数据维护-分页获取医院条目数据信息');
INSERT INTO `sys_role_permission` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '7', '用户-条目数据维护-修改医院条目数据信息');
INSERT INTO `sys_role_permission` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '8', '用户-条目数据维护-获取医院模块数据列表');
INSERT INTO `sys_role_permission` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '9', '控制台-病历相关统计');
INSERT INTO `sys_role_permission` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '10', '用户-条目数据维护-模糊查询医院模块条目列表');
INSERT INTO `sys_role_permission` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '11', '用户-质控评分-新增质控条目');
INSERT INTO `sys_role_permission` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '12', '用户-质控评分-删除质控条目');
INSERT INTO `sys_role_permission` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '13', '用户-质控评分-修改质控条目');
INSERT INTO `sys_role_permission` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '14', '用户-质控评分-获取详情');
INSERT INTO `sys_role_permission` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', '控制台-缺陷相关统计');
INSERT INTO `sys_role_permission` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '16', '控制台-医院运营相关统计');
INSERT INTO `sys_role_permission` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '17', '用户-质控评分-评分');
INSERT INTO `sys_role_permission` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '18', '用户-权限管理-角色管理-获取角色列表信息');
INSERT INTO `sys_role_permission` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '19', '用户-权限管理-角色管理-获取角色菜权限单等数据');
INSERT INTO `sys_role_permission` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '20', '用户-权限管理-角色管理-修改角色菜单权限数据');
INSERT INTO `sys_role_permission` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '21', '用户-权限管理-用户管理-获取医院科室下拉列表信息');
INSERT INTO `sys_role_permission` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '22', '用户-权限管理-用户管理-获取角色下拉列表信息');
INSERT INTO `sys_role_permission` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '23', '用户-权限管理-用户管理-用户列表翻页信息查询');
INSERT INTO `sys_role_permission` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '24', '用户-权限管理-用户管理-获取用户科室');
INSERT INTO `sys_role_permission` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '25', '用户-权限管理-用户管理-获取用户角色');
INSERT INTO `sys_role_permission` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '26', '用户-权限管理-用户管理-用户启用');
INSERT INTO `sys_role_permission` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '27', '用户-权限管理-用户管理-用户停用');
INSERT INTO `sys_role_permission` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '28', '用户-权限管理-用户管理-编辑用户科室');
INSERT INTO `sys_role_permission` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '29', '用户-权限管理-用户管理-编辑用户角色');
INSERT INTO `sys_role_permission` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '30', '用户-质控评分-获取病历质控一览下医院科室下拉列表信息');
INSERT INTO `sys_role_permission` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '31', '用户-质控评分-获取病历质控一览下用户科室下拉列表信息');
INSERT INTO `sys_role_permission` VALUES ('49', 'Y', '1970-01-01 12:00:00', '2020-05-06 18:34:26', '0', '1', '1', '30', '用户-质控评分-获取病历质控一览下医院科室下拉列表信息');
INSERT INTO `sys_role_permission` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '32', '用户-质控评分(科室)-分页');
INSERT INTO `sys_role_permission` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '33', '用户-质控评分(个人)-分页');
INSERT INTO `sys_role_permission` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '34', '用户-质控评分(科室)-评分');
INSERT INTO `sys_role_permission` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '35', '用户-质控评分(科室)-新增质控条目');
INSERT INTO `sys_role_permission` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '36', '用户-质控评分(科室)-删除质控条目');
INSERT INTO `sys_role_permission` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '37', '用户-质控评分(科室)-修改质控条目');
INSERT INTO `sys_role_permission` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '38', '用户-质控评分(科室)-获取详情');
INSERT INTO `sys_role_permission` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '39', '用户-质控评分(个人)-获取病历质控一览下用户科室下拉列表信息');
INSERT INTO `sys_role_permission` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '40', '用户-质控评分(科室)-评分');
INSERT INTO `sys_role_permission` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '41', '用户-质控评分(科室)-新增质控条目');
INSERT INTO `sys_role_permission` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '42', '用户-质控评分(科室)-删除质控条目');
INSERT INTO `sys_role_permission` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '43', '用户-质控评分(科室)-修改质控条目');
INSERT INTO `sys_role_permission` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '44', '用户-质控评分(科室)-获取详情');
INSERT INTO `sys_role_permission` VALUES ('63', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('64', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('65', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('66', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('67', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('68', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('69', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('70', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('71', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('72', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('73', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('74', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('75', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('76', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('77', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('78', 'Y', '2020-05-06 18:34:26', '2020-05-06 18:34:54', '1', '1', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('79', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('80', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('81', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('82', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('83', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('84', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('85', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('86', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('87', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('88', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('89', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('90', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('91', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('92', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('93', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('94', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('95', 'Y', '2020-05-06 18:34:54', '2020-05-06 18:37:39', '1', '1', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('96', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('97', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('98', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('99', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('100', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('101', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('102', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('103', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('104', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('105', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('106', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('107', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('108', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('109', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('110', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('111', 'Y', '2020-05-06 18:37:39', '2020-05-06 18:41:51', '1', '1', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('112', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('113', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('114', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('115', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('116', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('117', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('118', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('119', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('120', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('121', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('122', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('123', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('124', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('125', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('126', 'Y', '2020-05-06 18:41:51', '2020-05-08 10:45:09', '1', '79', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('127', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('128', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('129', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('130', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('131', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('132', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('133', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('134', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('135', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('136', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('137', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('138', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('139', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('140', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('141', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('142', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('143', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('144', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('145', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('146', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('147', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('148', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('149', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('150', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('151', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('152', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('153', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('154', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('155', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('156', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('157', 'Y', '2020-05-08 10:45:09', '2020-05-08 10:45:21', '79', '79', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('158', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('159', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('160', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('161', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('162', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('163', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('164', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('165', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('166', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('167', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('168', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('169', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('170', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('171', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('172', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('173', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('174', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('175', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('176', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('177', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('178', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('179', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('180', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('181', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('182', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('183', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('184', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('185', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('186', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('187', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('188', 'Y', '2020-05-08 10:46:25', '2020-05-08 10:48:34', '79', '79', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('189', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('190', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('191', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('192', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('193', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('194', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('195', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('196', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('197', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('198', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('199', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('200', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('201', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('202', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('203', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('204', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('205', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('206', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('207', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('208', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('209', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('210', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('211', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('212', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('213', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('214', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('215', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('216', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('217', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('218', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('219', 'Y', '2020-05-08 11:22:08', '2020-05-08 14:32:46', '80', '80', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('220', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('221', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('222', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('223', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('224', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('225', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('226', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('227', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('228', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('229', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('230', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('231', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('232', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('233', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('234', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('235', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('236', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('237', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('238', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('239', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('240', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('241', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('242', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('243', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('244', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('245', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('246', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('247', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('248', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('249', 'Y', '2020-05-08 14:32:46', '2020-05-08 14:35:50', '80', '80', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('250', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('251', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('252', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('253', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('254', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('255', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('256', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('257', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('258', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('259', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('260', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('261', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('262', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('263', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('264', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('265', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('266', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('267', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('268', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('269', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('270', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('271', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('272', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('273', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('274', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('275', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('276', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('277', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('278', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('279', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('280', 'Y', '2020-05-08 14:35:50', '2020-05-08 14:45:39', '80', '80', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('281', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('282', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('283', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('284', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('285', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('286', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('287', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('288', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('289', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('290', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('291', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('292', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('293', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('294', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('295', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('296', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('297', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('298', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('299', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('300', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('301', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('302', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('303', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('304', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('305', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('306', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('307', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('308', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('309', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('310', 'Y', '2020-05-08 14:45:39', '2020-05-08 15:59:11', '80', '80', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('311', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('312', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('313', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('314', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('315', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('316', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('317', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('318', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('319', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('320', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('321', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('322', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('323', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('324', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('325', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('326', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('327', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('328', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('329', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('330', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('331', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('332', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('333', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('334', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('335', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('336', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('337', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('338', 'Y', '2020-05-08 15:59:11', '2020-05-08 16:15:56', '80', '80', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('339', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('340', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('341', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('342', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('343', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '3', null);
INSERT INTO `sys_role_permission` VALUES ('344', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('345', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '6', null);
INSERT INTO `sys_role_permission` VALUES ('346', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('347', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '8', null);
INSERT INTO `sys_role_permission` VALUES ('348', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '30', null);
INSERT INTO `sys_role_permission` VALUES ('349', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('350', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '5', null);
INSERT INTO `sys_role_permission` VALUES ('351', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('352', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('353', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('354', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '14', null);
INSERT INTO `sys_role_permission` VALUES ('355', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '31', null);
INSERT INTO `sys_role_permission` VALUES ('356', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('357', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '32', null);
INSERT INTO `sys_role_permission` VALUES ('358', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('359', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('360', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('361', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '38', null);
INSERT INTO `sys_role_permission` VALUES ('362', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '39', null);
INSERT INTO `sys_role_permission` VALUES ('363', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('364', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '33', null);
INSERT INTO `sys_role_permission` VALUES ('365', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('366', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('367', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('368', 'Y', '2020-05-08 16:15:56', '2020-05-08 17:10:21', '80', '80', '1', '44', null);
INSERT INTO `sys_role_permission` VALUES ('369', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('370', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('371', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('372', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('373', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('374', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('375', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('376', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('377', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('378', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('379', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('380', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('381', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('382', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('383', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('384', 'Y', '2020-05-08 17:10:21', '2020-05-08 19:01:31', '80', '13', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('385', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('386', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('387', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('388', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('389', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('390', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('391', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('392', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('393', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('394', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('395', 'Y', '2020-05-08 19:01:31', '2020-05-08 19:11:49', '13', '81', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('396', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('397', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('398', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '9', null);
INSERT INTO `sys_role_permission` VALUES ('399', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '15', null);
INSERT INTO `sys_role_permission` VALUES ('400', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '16', null);
INSERT INTO `sys_role_permission` VALUES ('401', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('402', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('403', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('404', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '35', null);
INSERT INTO `sys_role_permission` VALUES ('405', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('406', 'Y', '2020-05-08 19:01:43', '2020-05-12 13:23:25', '13', '82', '2', '37', null);
INSERT INTO `sys_role_permission` VALUES ('407', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('408', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('409', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '9', null);
INSERT INTO `sys_role_permission` VALUES ('410', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '15', null);
INSERT INTO `sys_role_permission` VALUES ('411', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '16', null);
INSERT INTO `sys_role_permission` VALUES ('412', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('413', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('414', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('415', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('416', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('417', 'Y', '2020-05-08 19:01:54', '2020-05-09 14:21:01', '13', '13', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('418', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('419', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('420', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('421', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('422', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('423', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('424', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('425', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('426', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('427', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('428', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('429', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('430', 'Y', '2020-05-08 19:11:49', '2020-05-08 19:26:27', '81', '20', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('431', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('432', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('433', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('434', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('435', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('436', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('437', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('438', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('439', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('440', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('441', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('442', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('443', 'Y', '2020-05-08 19:26:27', '2020-05-08 19:26:34', '20', '20', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('444', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('445', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('446', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('447', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('448', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('449', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('450', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('451', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('452', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('453', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('454', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('455', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('456', 'Y', '2020-05-08 19:26:34', '2020-05-08 19:26:39', '20', '20', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('457', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('458', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('459', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('460', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('461', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('462', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('463', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('464', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('465', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('466', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('467', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('468', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('469', 'Y', '2020-05-08 19:26:39', '2020-05-08 19:26:42', '20', '20', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('470', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('471', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('472', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('473', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('474', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('475', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('476', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('477', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('478', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('479', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('480', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('481', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('482', 'Y', '2020-05-08 19:26:42', '2020-05-08 19:27:08', '20', '20', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('483', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('484', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('485', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '9', null);
INSERT INTO `sys_role_permission` VALUES ('486', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '15', null);
INSERT INTO `sys_role_permission` VALUES ('487', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '16', null);
INSERT INTO `sys_role_permission` VALUES ('488', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('489', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('490', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('491', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('492', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('493', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('494', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('495', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('496', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('497', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('498', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('499', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('500', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('501', 'Y', '2020-05-08 19:27:32', '2020-05-09 14:10:39', '20', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '45', '控制台-平均住院天数');
INSERT INTO `sys_role_permission` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '46', '控制台-平均住院费用');
INSERT INTO `sys_role_permission` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '47', '控制台-质控平均分按科室统计');
INSERT INTO `sys_role_permission` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '48', '控制台-各科室甲级病历占比');
INSERT INTO `sys_role_permission` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '49', '控制台-出院人数统计');
INSERT INTO `sys_role_permission` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '50', '控制台-质控病历统计');
INSERT INTO `sys_role_permission` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '51', '控制台-各模块缺陷占比排行');
INSERT INTO `sys_role_permission` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '52', '控制台-条目缺陷占比');
INSERT INTO `sys_role_permission` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '53', '控制台-各科室缺陷占比');
INSERT INTO `sys_role_permission` VALUES ('511', 'Y', '1970-01-01 12:00:00', '2020-05-12 13:23:25', '0', '82', '2', '54', '控制台（科室）-出院人数统计（科室）');
INSERT INTO `sys_role_permission` VALUES ('512', 'Y', '1970-01-01 12:00:00', '2020-05-12 13:23:25', '0', '82', '2', '55', '控制台（科室）-质控病历数统计（科室）');
INSERT INTO `sys_role_permission` VALUES ('513', 'Y', '1970-01-01 12:00:00', '2020-05-12 13:23:25', '0', '82', '2', '56', '控制台（科室）-各模块缺陷占比排行（科室）');
INSERT INTO `sys_role_permission` VALUES ('514', 'Y', '1970-01-01 12:00:00', '2020-05-12 13:23:25', '0', '82', '2', '57', '控制台（科室）-条目缺陷占比（科室）');
INSERT INTO `sys_role_permission` VALUES ('515', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('516', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('517', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('518', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('519', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('520', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('521', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('522', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('523', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('524', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('525', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('526', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('527', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('528', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('529', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('530', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('531', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('532', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('533', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('534', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('535', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('536', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('537', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('538', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('539', 'Y', '2020-05-09 14:10:39', '2020-05-09 15:17:15', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('540', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('541', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('542', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '45', null);
INSERT INTO `sys_role_permission` VALUES ('543', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '46', null);
INSERT INTO `sys_role_permission` VALUES ('544', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '47', null);
INSERT INTO `sys_role_permission` VALUES ('545', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('546', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '49', null);
INSERT INTO `sys_role_permission` VALUES ('547', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '50', null);
INSERT INTO `sys_role_permission` VALUES ('548', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '51', null);
INSERT INTO `sys_role_permission` VALUES ('549', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '52', null);
INSERT INTO `sys_role_permission` VALUES ('550', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '53', null);
INSERT INTO `sys_role_permission` VALUES ('551', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('552', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('553', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('554', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('555', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('556', 'Y', '2020-05-09 14:21:01', '2020-05-11 10:12:24', '13', '79', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('557', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('558', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('559', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('560', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('561', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('562', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('563', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('564', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('565', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('566', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('567', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('568', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('569', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('570', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('571', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('572', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('573', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('574', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('575', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('576', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('577', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('578', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('579', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('580', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('581', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('582', 'Y', '2020-05-09 15:17:15', '2020-05-09 15:17:36', '80', '80', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('583', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('584', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('585', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('586', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('587', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('588', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('589', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('590', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('591', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('592', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('593', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('594', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('595', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('596', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('597', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('598', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('599', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('600', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('601', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('602', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('603', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('604', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('605', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('606', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('607', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('608', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('609', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('610', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('611', 'Y', '2020-05-09 15:17:36', '2020-05-11 10:27:32', '80', '1', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('612', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('613', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('614', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '45', null);
INSERT INTO `sys_role_permission` VALUES ('615', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('616', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('617', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('618', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('619', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('620', 'Y', '2020-05-11 10:12:24', '2020-05-11 10:17:04', '79', '79', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('621', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('622', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('623', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '45', null);
INSERT INTO `sys_role_permission` VALUES ('624', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('625', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('626', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('627', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('628', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('629', 'Y', '2020-05-11 10:17:04', '2020-05-11 10:33:01', '79', '1', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('630', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('631', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('632', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('633', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('634', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('635', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('636', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('637', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('638', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('639', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('640', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('641', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('642', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('643', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('644', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('645', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('646', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('647', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('648', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('649', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('650', 'Y', '2020-05-11 10:27:32', '2020-05-11 10:29:02', '1', '1', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('651', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('652', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('653', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('654', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('655', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('656', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('657', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('658', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('659', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('660', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('661', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('662', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('663', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('664', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('665', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('666', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('667', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('668', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('669', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('670', 'Y', '2020-05-11 10:29:02', '2020-05-11 13:30:09', '1', '81', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('671', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('672', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('673', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('674', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('675', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('676', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('677', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('678', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('679', 'Y', '2020-05-11 10:33:01', '2020-05-11 14:27:17', '1', '1', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('680', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('681', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('682', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('683', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('684', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('685', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('686', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('687', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('688', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('689', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('690', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('691', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('692', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('693', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('694', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('695', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('696', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('697', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '34', null);
INSERT INTO `sys_role_permission` VALUES ('698', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '35', null);
INSERT INTO `sys_role_permission` VALUES ('699', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('700', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('701', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('702', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('703', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('704', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('705', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('706', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('707', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('708', 'Y', '2020-05-11 13:30:09', '2020-05-11 14:25:30', '81', '1', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('709', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('710', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('711', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('712', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('713', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('714', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('715', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('716', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('717', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('718', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('719', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('720', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('721', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('722', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('723', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('724', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('725', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '37', null);
INSERT INTO `sys_role_permission` VALUES ('726', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('727', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('728', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('729', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '43', null);
INSERT INTO `sys_role_permission` VALUES ('730', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('731', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('732', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('733', 'Y', '2020-05-11 14:25:30', '2020-05-11 14:32:00', '1', '1', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('734', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('735', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('736', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('737', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('738', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('739', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '17', null);
INSERT INTO `sys_role_permission` VALUES ('740', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '36', null);
INSERT INTO `sys_role_permission` VALUES ('741', 'Y', '2020-05-11 14:27:17', '2020-05-11 15:24:13', '1', '1', '3', '37', null);
INSERT INTO `sys_role_permission` VALUES ('742', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('743', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('744', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('745', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('746', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('747', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('748', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('749', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('750', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('751', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('752', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('753', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('754', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('755', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('756', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('757', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('758', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('759', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('760', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('761', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('762', 'Y', '2020-05-11 14:32:00', '2020-05-11 15:32:10', '1', '1', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('763', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('764', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('765', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('766', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('767', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('768', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '17', null);
INSERT INTO `sys_role_permission` VALUES ('769', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '36', null);
INSERT INTO `sys_role_permission` VALUES ('770', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '37', null);
INSERT INTO `sys_role_permission` VALUES ('771', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('772', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('773', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('774', 'Y', '2020-05-11 15:24:13', '2020-05-11 15:51:56', '1', '1', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('775', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('776', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('777', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('778', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('779', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('780', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('781', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('782', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('783', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('784', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('785', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('786', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('787', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('788', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('789', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('790', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('791', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('792', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('793', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('794', 'Y', '2020-05-11 15:32:10', '2020-05-11 15:59:56', '1', '1', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('795', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('796', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('797', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('798', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('799', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('800', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '17', null);
INSERT INTO `sys_role_permission` VALUES ('801', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('802', 'Y', '2020-05-11 15:51:56', '2020-05-11 16:04:05', '1', '1', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('803', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('804', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('805', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('806', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('807', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('808', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('809', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('810', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('811', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('812', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('813', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('814', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('815', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('816', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('817', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('818', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('819', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('820', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('821', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('822', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('823', 'Y', '2020-05-11 15:59:56', '2020-05-11 17:48:54', '1', '13', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('824', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('825', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('826', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('827', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('828', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('829', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '17', null);
INSERT INTO `sys_role_permission` VALUES ('830', 'Y', '2020-05-11 16:04:05', '2020-05-11 16:04:45', '1', '1', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('831', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('832', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('833', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('834', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('835', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('836', 'Y', '2020-05-11 16:04:45', '2020-05-12 13:23:49', '1', '82', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('837', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('838', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('839', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('840', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('841', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('842', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('843', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('844', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('845', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('846', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('847', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('848', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('849', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('850', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('851', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('852', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('853', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '40', null);
INSERT INTO `sys_role_permission` VALUES ('854', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '41', null);
INSERT INTO `sys_role_permission` VALUES ('855', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('856', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('857', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('858', 'Y', '2020-05-11 17:48:54', '2020-05-11 19:37:15', '13', '13', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('859', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('860', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('861', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('862', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('863', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('864', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('865', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('866', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('867', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('868', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('869', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('870', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('871', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('872', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('873', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('874', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('875', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '54', null);
INSERT INTO `sys_role_permission` VALUES ('876', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '55', null);
INSERT INTO `sys_role_permission` VALUES ('877', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '56', null);
INSERT INTO `sys_role_permission` VALUES ('878', 'Y', '2020-05-11 19:37:15', '2020-05-12 13:24:51', '13', '82', '1', '57', null);
INSERT INTO `sys_role_permission` VALUES ('879', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('880', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('881', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('882', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('883', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('884', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '35', null);
INSERT INTO `sys_role_permission` VALUES ('885', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('886', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '37', null);
INSERT INTO `sys_role_permission` VALUES ('887', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '54', null);
INSERT INTO `sys_role_permission` VALUES ('888', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '55', null);
INSERT INTO `sys_role_permission` VALUES ('889', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '56', null);
INSERT INTO `sys_role_permission` VALUES ('890', 'Y', '2020-05-12 13:23:25', '2020-05-12 13:24:54', '82', '82', '2', '57', null);
INSERT INTO `sys_role_permission` VALUES ('891', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('892', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('893', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('894', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('895', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('896', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('897', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('898', 'Y', '2020-05-12 13:23:49', '2020-05-12 13:24:56', '82', '82', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('899', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('900', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('901', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('902', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('903', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('904', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('905', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('906', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('907', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('908', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('909', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('910', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('911', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('912', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('913', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('914', 'Y', '2020-05-12 13:24:51', '2020-05-12 14:09:32', '82', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('915', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('916', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('917', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('918', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('919', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('920', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '35', null);
INSERT INTO `sys_role_permission` VALUES ('921', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('922', 'Y', '2020-05-12 13:24:54', '2020-05-12 14:17:32', '82', '1', '2', '37', null);
INSERT INTO `sys_role_permission` VALUES ('923', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('924', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('925', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('926', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('927', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('928', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('929', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('930', 'Y', '2020-05-12 13:24:56', '2020-05-12 15:37:47', '82', '81', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('931', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('932', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('933', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('934', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('935', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('936', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('937', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('938', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('939', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('940', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('941', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('942', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('943', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('944', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('945', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('946', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('947', 'Y', '2020-05-12 14:09:32', '2020-05-12 14:09:53', '80', '80', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('948', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('949', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('950', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('951', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('952', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('953', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('954', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('955', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('956', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('957', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('958', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('959', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('960', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('961', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('962', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('963', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('964', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('965', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '36', null);
INSERT INTO `sys_role_permission` VALUES ('966', 'Y', '2020-05-12 14:09:53', '2020-05-12 15:37:27', '80', '81', '1', '42', null);
INSERT INTO `sys_role_permission` VALUES ('967', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('968', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('969', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('970', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('971', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('972', 'Y', '2020-05-12 14:17:32', '2020-05-12 14:27:29', '1', '1', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('973', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('974', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('975', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '45', null);
INSERT INTO `sys_role_permission` VALUES ('976', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '46', null);
INSERT INTO `sys_role_permission` VALUES ('977', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '47', null);
INSERT INTO `sys_role_permission` VALUES ('978', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '48', null);
INSERT INTO `sys_role_permission` VALUES ('979', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '49', null);
INSERT INTO `sys_role_permission` VALUES ('980', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '50', null);
INSERT INTO `sys_role_permission` VALUES ('981', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '51', null);
INSERT INTO `sys_role_permission` VALUES ('982', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '52', null);
INSERT INTO `sys_role_permission` VALUES ('983', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '53', null);
INSERT INTO `sys_role_permission` VALUES ('984', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('985', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('986', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('987', 'Y', '2020-05-12 14:27:29', '2020-05-12 15:37:43', '1', '81', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('988', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '1', null);
INSERT INTO `sys_role_permission` VALUES ('989', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '2', null);
INSERT INTO `sys_role_permission` VALUES ('990', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '45', null);
INSERT INTO `sys_role_permission` VALUES ('991', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '46', null);
INSERT INTO `sys_role_permission` VALUES ('992', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '47', null);
INSERT INTO `sys_role_permission` VALUES ('993', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '48', null);
INSERT INTO `sys_role_permission` VALUES ('994', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '49', null);
INSERT INTO `sys_role_permission` VALUES ('995', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '50', null);
INSERT INTO `sys_role_permission` VALUES ('996', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '51', null);
INSERT INTO `sys_role_permission` VALUES ('997', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '52', null);
INSERT INTO `sys_role_permission` VALUES ('998', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '53', null);
INSERT INTO `sys_role_permission` VALUES ('999', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '4', null);
INSERT INTO `sys_role_permission` VALUES ('1000', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '7', null);
INSERT INTO `sys_role_permission` VALUES ('1001', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '17', null);
INSERT INTO `sys_role_permission` VALUES ('1002', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '11', null);
INSERT INTO `sys_role_permission` VALUES ('1003', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '12', null);
INSERT INTO `sys_role_permission` VALUES ('1004', 'N', '2020-05-12 15:37:27', '2020-05-12 15:37:27', '81', '81', '1', '13', null);
INSERT INTO `sys_role_permission` VALUES ('1005', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('1006', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('1007', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '45', null);
INSERT INTO `sys_role_permission` VALUES ('1008', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '46', null);
INSERT INTO `sys_role_permission` VALUES ('1009', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '47', null);
INSERT INTO `sys_role_permission` VALUES ('1010', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '48', null);
INSERT INTO `sys_role_permission` VALUES ('1011', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '49', null);
INSERT INTO `sys_role_permission` VALUES ('1012', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '50', null);
INSERT INTO `sys_role_permission` VALUES ('1013', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '51', null);
INSERT INTO `sys_role_permission` VALUES ('1014', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '52', null);
INSERT INTO `sys_role_permission` VALUES ('1015', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '53', null);
INSERT INTO `sys_role_permission` VALUES ('1016', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('1017', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('1018', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('1019', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '35', null);
INSERT INTO `sys_role_permission` VALUES ('1020', 'Y', '2020-05-12 15:37:43', '2020-05-12 15:37:54', '81', '81', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('1021', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('1022', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('1023', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('1024', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('1025', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('1026', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('1027', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('1028', 'Y', '2020-05-12 15:37:47', '2020-05-12 16:25:57', '81', '1', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('1029', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '1', null);
INSERT INTO `sys_role_permission` VALUES ('1030', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '2', null);
INSERT INTO `sys_role_permission` VALUES ('1031', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '4', null);
INSERT INTO `sys_role_permission` VALUES ('1032', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '7', null);
INSERT INTO `sys_role_permission` VALUES ('1033', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '34', null);
INSERT INTO `sys_role_permission` VALUES ('1034', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '35', null);
INSERT INTO `sys_role_permission` VALUES ('1035', 'N', '2020-05-12 15:37:54', '2020-05-12 15:37:54', '81', '81', '2', '36', null);
INSERT INTO `sys_role_permission` VALUES ('1036', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('1037', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('1038', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '45', null);
INSERT INTO `sys_role_permission` VALUES ('1039', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '46', null);
INSERT INTO `sys_role_permission` VALUES ('1040', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '47', null);
INSERT INTO `sys_role_permission` VALUES ('1041', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '48', null);
INSERT INTO `sys_role_permission` VALUES ('1042', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '49', null);
INSERT INTO `sys_role_permission` VALUES ('1043', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '50', null);
INSERT INTO `sys_role_permission` VALUES ('1044', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '51', null);
INSERT INTO `sys_role_permission` VALUES ('1045', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '52', null);
INSERT INTO `sys_role_permission` VALUES ('1046', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '53', null);
INSERT INTO `sys_role_permission` VALUES ('1047', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('1048', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('1049', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('1050', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('1051', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('1052', 'Y', '2020-05-12 16:25:57', '2020-05-12 17:14:13', '1', '81', '3', '43', null);
INSERT INTO `sys_role_permission` VALUES ('1053', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '1', null);
INSERT INTO `sys_role_permission` VALUES ('1054', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '2', null);
INSERT INTO `sys_role_permission` VALUES ('1055', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '4', null);
INSERT INTO `sys_role_permission` VALUES ('1056', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '7', null);
INSERT INTO `sys_role_permission` VALUES ('1057', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '40', null);
INSERT INTO `sys_role_permission` VALUES ('1058', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '41', null);
INSERT INTO `sys_role_permission` VALUES ('1059', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '42', null);
INSERT INTO `sys_role_permission` VALUES ('1060', 'N', '2020-05-12 17:14:13', '2020-05-12 17:14:13', '81', '81', '3', '43', null);
